# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "12"/>
#<program4xi program = "noun4xi.py">
#<abstract4xi abstract = "scopes ace-xml files to scope-ace-xml files"/>
#<refer4xi reference = "test_noun4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'cast2noun4xi', 'color_nouns4xi', 'coordinate_nouns4xi', 'sense_noun4xi', 'reason_noun4xi', 'ace_noun4xi', 'xml_noun4xi', 'Noun4Xi' ] 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import itertools
import os
import signal
import sys
import string
from time import localtime, strftime
import threading
import _thread
import _winapi

import weakref
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "

from actor2a4xi import Actor2a4Xi
from actor2b4xi import Actor2b4Xi
from actor2c4xi import Actor2c4Xi
from actor2d4xi import Actor2d4Xi
from actor2e4xi import Actor2e4Xi
from actor2f4xi import Actor2f4Xi
from actor2g4xi import Actor2g4Xi
from actor2h4xi import Actor2h4Xi
from actor2i4xi import Actor2i4Xi
from actor2j4xi import Actor2j4Xi
from actor2k4xi import Actor2k4Xi
from actor2l4xi import Actor2l4Xi
from actor2m4xi import Actor2m4Xi
from actor2n4xi import Actor2n4Xi
from actor2o4xi import Actor2o4Xi
from actor2p4xi import Actor2p4Xi
from actor2q4xi import Actor2q4Xi
from actor2r4xi import Actor2r4Xi
from actor2s4xi import Actor2s4Xi
from actor2t4xi import Actor2t4Xi
from actor2u4xi import Actor2u4Xi
from actor2v4xi import Actor2v4Xi
from actor2w4xi import Actor2w4Xi
from actor2x4xi import Actor2x4Xi
from actor2y4xi import Actor2y4Xi
from actor2z4xi import Actor2z4Xi
from actor2_4xi import Actor2_4Xi


from charge2one4xi import charge2one4xi
from charge2two4xi import charge2two4xi
from charge2three4xi import charge2three4xi
from charge2four4xi import charge2four4xi
from charge2five4xi import charge2five4xi
from charge2six4xi import charge2six4xi
from charge2seven4xi import charge2seven4xi
from charge2eight4xi import charge2eight4xi
       

from cluster2a4xi import Cluster2a4Xi
from cluster2b4xi import Cluster2b4Xi
from cluster2c4xi import Cluster2c4Xi
from cluster2d4xi import Cluster2d4Xi
from cluster2e4xi import Cluster2e4Xi
from cluster2f4xi import Cluster2f4Xi
from cluster2g4xi import Cluster2g4Xi
from cluster2h4xi import Cluster2h4Xi
from cluster2i4xi import Cluster2i4Xi
from cluster2j4xi import Cluster2j4Xi
from cluster2k4xi import Cluster2k4Xi
from cluster2l4xi import Cluster2l4Xi
from cluster2m4xi import Cluster2m4Xi
from cluster2n4xi import Cluster2n4Xi
from cluster2o4xi import Cluster2o4Xi
from cluster2p4xi import Cluster2p4Xi
from cluster2q4xi import Cluster2q4Xi
from cluster2r4xi import Cluster2r4Xi
from cluster2s4xi import Cluster2s4Xi
from cluster2t4xi import Cluster2t4Xi
from cluster2u4xi import Cluster2u4Xi
from cluster2v4xi import Cluster2v4Xi
from cluster2w4xi import Cluster2w4Xi
from cluster2x4xi import Cluster2x4Xi
from cluster2y4xi import Cluster2y4Xi
from cluster2z4xi import Cluster2z4Xi
from cluster2_4xi import Cluster2_4Xi

from current_process4xi import get_current_process4xi            
from current_process4xi import get_identity_current_process4xi
from current_process4xi import get_name_current_process4xi

from dummyprocess4xi import DummyProcess4Xi

from verb2a4xi import Verb2a4Xi
from verb2b4xi import Verb2b4Xi
from verb2c4xi import Verb2c4Xi
from verb2d4xi import Verb2d4Xi
from verb2e4xi import Verb2e4Xi
from verb2f4xi import Verb2f4Xi
from verb2g4xi import Verb2g4Xi
from verb2h4xi import Verb2h4Xi
from verb2i4xi import Verb2i4Xi
from verb2j4xi import Verb2j4Xi
from verb2k4xi import Verb2k4Xi
from verb2l4xi import Verb2l4Xi
from verb2m4xi import Verb2m4Xi
from verb2n4xi import Verb2n4Xi
from verb2o4xi import Verb2o4Xi
from verb2p4xi import Verb2p4Xi
from verb2q4xi import Verb2q4Xi
from verb2r4xi import Verb2r4Xi
from verb2s4xi import Verb2s4Xi
from verb2t4xi import Verb2t4Xi
from verb2u4xi import Verb2u4Xi
from verb2v4xi import Verb2v4Xi
from verb2w4xi import Verb2w4Xi
from verb2x4xi import Verb2x4Xi
from verb2y4xi import Verb2y4Xi
from verb2z4xi import Verb2z4Xi
from verb2_4xi import Verb2_4Xi




# =====================================================================================================
# (X,Y,Z)- COORDINATES CONDITIONALLY EITHER DIRECTLY FROM RAM OR LOADING FROM FILES 
# =====================================================================================================

# -----------------------------------------------------------------------------------------------------
# ONE - (X + ,Y + ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2one
load2one = False
if load2one is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2ONE - (X + ,Y + ,Z + ) FROM FILES GENERATING WITH LOAD2ONE4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2ONE - (X + ,Y + ,Z + ) FROM FILES WITH LOAD2ONE4XI")
    from load2one4xi import shot2one104xi            
    from load2one4xi import shot2one1004xi             
    from load2one4xi import shot2one2004xi    
    from load2one4xi import shot2one3004xi
    from load2one4xi import shot2one4004xi
    from load2one4xi import shot2one5004xi
    from load2one4xi import shot2one6004xi
    from load2one4xi import shot2one7004xi
    from load2one4xi import shot2one8004xi
    from load2one4xi import shot2one9004xi
    from load2one4xi import shot2one10004xi            
    from load2one4xi import shot2one11004xi
    from load2one4xi import shot2one12004xi
    from load2one4xi import shot2one13004xi
    from load2one4xi import shot2one14004xi
    from load2one4xi import shot2one15004xi
    from load2one4xi import shot2one16004xi
    from load2one4xi import shot2one17004xi
    from load2one4xi import shot2one18004xi
    from load2one4xi import shot2one19004xi
    from load2one4xi import shot2one20004xi
    from load2one4xi import shot2one21004xi
    from load2one4xi import shot2one22004xi
    from load2one4xi import shot2one23004xi
    from load2one4xi import shot2one24004xi
    from load2one4xi import shot2one25004xi
    from load2one4xi import shot2one26004xi
    from load2one4xi import shot2one27004xi
    from load2one4xi import shot2one28004xi
    from load2one4xi import shot2one29004xi
    from load2one4xi import shot2one30004xi
    from load2one4xi import shot2one31004xi
    from load2one4xi import shot2one32004xi
    from load2one4xi import shot2one33004xi
    
    from load2one4xi import load2one4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2ONE - COORDINATES OF SHOOT2ONE4XI: (X + ,Y + ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2ONE - (X + ,Y + ,Z + ) DIRECTLY FROM SHOOT2ONE4XI")
    from shoot2one4xi import shot2one104xi            
    from shoot2one4xi import shot2one1004xi           
    from shoot2one4xi import shot2one2004xi    
    from shoot2one4xi import shot2one3004xi
    from shoot2one4xi import shot2one4004xi
    from shoot2one4xi import shot2one5004xi
    from shoot2one4xi import shot2one6004xi
    from shoot2one4xi import shot2one7004xi
    from shoot2one4xi import shot2one8004xi
    from shoot2one4xi import shot2one9004xi
    from shoot2one4xi import shot2one10004xi            
    from shoot2one4xi import shot2one11004xi
    from shoot2one4xi import shot2one12004xi
    from shoot2one4xi import shot2one13004xi
    from shoot2one4xi import shot2one14004xi
    from shoot2one4xi import shot2one15004xi
    from shoot2one4xi import shot2one16004xi
    from shoot2one4xi import shot2one17004xi
    from shoot2one4xi import shot2one18004xi
    from shoot2one4xi import shot2one19004xi
    from shoot2one4xi import shot2one20004xi
    from shoot2one4xi import shot2one21004xi
    from shoot2one4xi import shot2one22004xi
    from shoot2one4xi import shot2one23004xi
    from shoot2one4xi import shot2one24004xi
    from shoot2one4xi import shot2one25004xi
    from shoot2one4xi import shot2one26004xi
    from shoot2one4xi import shot2one27004xi
    from shoot2one4xi import shot2one28004xi
    from shoot2one4xi import shot2one29004xi
    from shoot2one4xi import shot2one30004xi
    from shoot2one4xi import shot2one31004xi
    from shoot2one4xi import shot2one32004xi
    from shoot2one4xi import shot2one33004xi
    
# -----------------------------------------------------------------------------------------------------
# TWO - (X + ,Y - ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2two
load2two = False
if load2two is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2TWO - (X + ,Y - ,Z - ) FROM FILES GENERATING WITH LOAD2TWO4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2TWO - (X + ,Y - ,Z - ) FROM FILES WITH LOAD2TWO4XI")
    from load2two4xi import shot2two104xi            
    from load2two4xi import shot2two1004xi             
    from load2two4xi import shot2two2004xi    
    from load2two4xi import shot2two3004xi
    from load2two4xi import shot2two4004xi
    from load2two4xi import shot2two5004xi
    from load2two4xi import shot2two6004xi
    from load2two4xi import shot2two7004xi
    from load2two4xi import shot2two8004xi
    from load2two4xi import shot2two9004xi
    from load2two4xi import shot2two10004xi            
    from load2two4xi import shot2two11004xi
    from load2two4xi import shot2two12004xi
    from load2two4xi import shot2two13004xi
    from load2two4xi import shot2two14004xi
    from load2two4xi import shot2two15004xi
    from load2two4xi import shot2two16004xi
    from load2two4xi import shot2two17004xi
    from load2two4xi import shot2two18004xi
    from load2two4xi import shot2two19004xi
    from load2two4xi import shot2two20004xi
    from load2two4xi import shot2two21004xi
    from load2two4xi import shot2two22004xi
    from load2two4xi import shot2two23004xi
    from load2two4xi import shot2two24004xi
    from load2two4xi import shot2two25004xi
    from load2two4xi import shot2two26004xi
    from load2two4xi import shot2two27004xi
    from load2two4xi import shot2two28004xi
    from load2two4xi import shot2two29004xi
    from load2two4xi import shot2two30004xi
    from load2two4xi import shot2two31004xi
    from load2two4xi import shot2two32004xi
    from load2two4xi import shot2two33004xi
    
    from load2two4xi import load2two4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2TWO - COORDINATES OF SHOOT2TWO4XI: (X + ,Y - ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2TWO - (X + ,Y - ,Z - ) DIRECTLY FROM SHOOT2TWO4XI")
    from shoot2two4xi import shot2two104xi            
    from shoot2two4xi import shot2two1004xi           
    from shoot2two4xi import shot2two2004xi    
    from shoot2two4xi import shot2two3004xi
    from shoot2two4xi import shot2two4004xi
    from shoot2two4xi import shot2two5004xi
    from shoot2two4xi import shot2two6004xi
    from shoot2two4xi import shot2two7004xi
    from shoot2two4xi import shot2two8004xi
    from shoot2two4xi import shot2two9004xi
    from shoot2two4xi import shot2two10004xi            
    from shoot2two4xi import shot2two11004xi
    from shoot2two4xi import shot2two12004xi
    from shoot2two4xi import shot2two13004xi
    from shoot2two4xi import shot2two14004xi
    from shoot2two4xi import shot2two15004xi
    from shoot2two4xi import shot2two16004xi
    from shoot2two4xi import shot2two17004xi
    from shoot2two4xi import shot2two18004xi
    from shoot2two4xi import shot2two19004xi
    from shoot2two4xi import shot2two20004xi
    from shoot2two4xi import shot2two21004xi
    from shoot2two4xi import shot2two22004xi
    from shoot2two4xi import shot2two23004xi
    from shoot2two4xi import shot2two24004xi
    from shoot2two4xi import shot2two25004xi
    from shoot2two4xi import shot2two26004xi
    from shoot2two4xi import shot2two27004xi
    from shoot2two4xi import shot2two28004xi
    from shoot2two4xi import shot2two29004xi
    from shoot2two4xi import shot2two30004xi
    from shoot2two4xi import shot2two31004xi
    from shoot2two4xi import shot2two32004xi
    from shoot2two4xi import shot2two33004xi
    
# -----------------------------------------------------------------------------------------------------
# THREE - (X + ,Y + ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2three
load2three = False
if load2three is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2THREE - (X + ,Y + ,Z - ) FROM FILES GENERATING WITH LOAD2THREE4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2THREE - (X + ,Y + ,Z - ) FROM FILES WITH LOAD2THREE4XI")
    from load2three4xi import shot2three104xi            
    from load2three4xi import shot2three1004xi             
    from load2three4xi import shot2three2004xi    
    from load2three4xi import shot2three3004xi
    from load2three4xi import shot2three4004xi
    from load2three4xi import shot2three5004xi
    from load2three4xi import shot2three6004xi
    from load2three4xi import shot2three7004xi
    from load2three4xi import shot2three8004xi
    from load2three4xi import shot2three9004xi
    from load2three4xi import shot2three10004xi            
    from load2three4xi import shot2three11004xi
    from load2three4xi import shot2three12004xi
    from load2three4xi import shot2three13004xi
    from load2three4xi import shot2three14004xi
    from load2three4xi import shot2three15004xi
    from load2three4xi import shot2three16004xi
    from load2three4xi import shot2three17004xi
    from load2three4xi import shot2three18004xi
    from load2three4xi import shot2three19004xi
    from load2three4xi import shot2three20004xi
    from load2three4xi import shot2three21004xi
    from load2three4xi import shot2three22004xi
    from load2three4xi import shot2three23004xi
    from load2three4xi import shot2three24004xi
    from load2three4xi import shot2three25004xi
    from load2three4xi import shot2three26004xi
    from load2three4xi import shot2three27004xi
    from load2three4xi import shot2three28004xi
    from load2three4xi import shot2three29004xi
    from load2three4xi import shot2three30004xi
    from load2three4xi import shot2three31004xi
    from load2three4xi import shot2three32004xi
    from load2three4xi import shot2three33004xi
    
    from load2three4xi import load2three4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2THREE - COORDINATES OF SHOOT2THREE4XI: (X + ,Y + ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2THREE - (X + ,Y + ,Z - ) DIRECTLY FROM SHOOT2THREE4XI")
    from shoot2three4xi import shot2three104xi            
    from shoot2three4xi import shot2three1004xi           
    from shoot2three4xi import shot2three2004xi    
    from shoot2three4xi import shot2three3004xi
    from shoot2three4xi import shot2three4004xi
    from shoot2three4xi import shot2three5004xi
    from shoot2three4xi import shot2three6004xi
    from shoot2three4xi import shot2three7004xi
    from shoot2three4xi import shot2three8004xi
    from shoot2three4xi import shot2three9004xi
    from shoot2three4xi import shot2three10004xi            
    from shoot2three4xi import shot2three11004xi
    from shoot2three4xi import shot2three12004xi
    from shoot2three4xi import shot2three13004xi
    from shoot2three4xi import shot2three14004xi
    from shoot2three4xi import shot2three15004xi
    from shoot2three4xi import shot2three16004xi
    from shoot2three4xi import shot2three17004xi
    from shoot2three4xi import shot2three18004xi
    from shoot2three4xi import shot2three19004xi
    from shoot2three4xi import shot2three20004xi
    from shoot2three4xi import shot2three21004xi
    from shoot2three4xi import shot2three22004xi
    from shoot2three4xi import shot2three23004xi
    from shoot2three4xi import shot2three24004xi
    from shoot2three4xi import shot2three25004xi
    from shoot2three4xi import shot2three26004xi
    from shoot2three4xi import shot2three27004xi
    from shoot2three4xi import shot2three28004xi
    from shoot2three4xi import shot2three29004xi
    from shoot2three4xi import shot2three30004xi
    from shoot2three4xi import shot2three31004xi
    from shoot2three4xi import shot2three32004xi
    from shoot2three4xi import shot2three33004xi
    
# -----------------------------------------------------------------------------------------------------
# FOUR - (X + ,Y - ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2four
load2four = False
if load2four is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FOUR - (X + ,Y - ,Z + ) FROM FILES GENERATING WITH LOAD2FOUR4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2FOUR - (X + ,Y - ,Z + ) FROM FILES WITH LOAD2FOUR4XI")
    from load2four4xi import shot2four104xi            
    from load2four4xi import shot2four1004xi             
    from load2four4xi import shot2four2004xi    
    from load2four4xi import shot2four3004xi
    from load2four4xi import shot2four4004xi
    from load2four4xi import shot2four5004xi
    from load2four4xi import shot2four6004xi
    from load2four4xi import shot2four7004xi
    from load2four4xi import shot2four8004xi
    from load2four4xi import shot2four9004xi
    from load2four4xi import shot2four10004xi            
    from load2four4xi import shot2four11004xi
    from load2four4xi import shot2four12004xi
    from load2four4xi import shot2four13004xi
    from load2four4xi import shot2four14004xi
    from load2four4xi import shot2four15004xi
    from load2four4xi import shot2four16004xi
    from load2four4xi import shot2four17004xi
    from load2four4xi import shot2four18004xi
    from load2four4xi import shot2four19004xi
    from load2four4xi import shot2four20004xi
    from load2four4xi import shot2four21004xi
    from load2four4xi import shot2four22004xi
    from load2four4xi import shot2four23004xi
    from load2four4xi import shot2four24004xi
    from load2four4xi import shot2four25004xi
    from load2four4xi import shot2four26004xi
    from load2four4xi import shot2four27004xi
    from load2four4xi import shot2four28004xi
    from load2four4xi import shot2four29004xi
    from load2four4xi import shot2four30004xi
    from load2four4xi import shot2four31004xi
    from load2four4xi import shot2four32004xi
    from load2four4xi import shot2four33004xi
    
    from load2four4xi import load2four4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FOUR - COORDINATES OF SHOOT2FOUR4XI: (X + ,Y - ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2FOUR - (X + ,Y - ,Z + ) DIRECTLY FROM SHOOT2FOUR4XI")
    from shoot2four4xi import shot2four104xi            
    from shoot2four4xi import shot2four1004xi           
    from shoot2four4xi import shot2four2004xi    
    from shoot2four4xi import shot2four3004xi
    from shoot2four4xi import shot2four4004xi
    from shoot2four4xi import shot2four5004xi
    from shoot2four4xi import shot2four6004xi
    from shoot2four4xi import shot2four7004xi
    from shoot2four4xi import shot2four8004xi
    from shoot2four4xi import shot2four9004xi
    from shoot2four4xi import shot2four10004xi            
    from shoot2four4xi import shot2four11004xi
    from shoot2four4xi import shot2four12004xi
    from shoot2four4xi import shot2four13004xi
    from shoot2four4xi import shot2four14004xi
    from shoot2four4xi import shot2four15004xi
    from shoot2four4xi import shot2four16004xi
    from shoot2four4xi import shot2four17004xi
    from shoot2four4xi import shot2four18004xi
    from shoot2four4xi import shot2four19004xi
    from shoot2four4xi import shot2four20004xi
    from shoot2four4xi import shot2four21004xi
    from shoot2four4xi import shot2four22004xi
    from shoot2four4xi import shot2four23004xi
    from shoot2four4xi import shot2four24004xi
    from shoot2four4xi import shot2four25004xi
    from shoot2four4xi import shot2four26004xi
    from shoot2four4xi import shot2four27004xi
    from shoot2four4xi import shot2four28004xi
    from shoot2four4xi import shot2four29004xi
    from shoot2four4xi import shot2four30004xi
    from shoot2four4xi import shot2four31004xi
    from shoot2four4xi import shot2four32004xi
    from shoot2four4xi import shot2four33004xi

    
# -----------------------------------------------------------------------------------------------------
# FIVE - (X - ,Y + ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2five
load2five = False
if load2five is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FIVE - (X - ,Y + ,Z + ) FROM FILES GENERATING WITH LOAD2FIVE4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2FIVE - (X - ,Y + ,Z + ) FROM FILES WITH LOAD2FIVE4XI")
    from load2five4xi import shot2five104xi            
    from load2five4xi import shot2five1004xi             
    from load2five4xi import shot2five2004xi    
    from load2five4xi import shot2five3004xi
    from load2five4xi import shot2five4004xi
    from load2five4xi import shot2five5004xi
    from load2five4xi import shot2five6004xi
    from load2five4xi import shot2five7004xi
    from load2five4xi import shot2five8004xi
    from load2five4xi import shot2five9004xi
    from load2five4xi import shot2five10004xi            
    from load2five4xi import shot2five11004xi
    from load2five4xi import shot2five12004xi
    from load2five4xi import shot2five13004xi
    from load2five4xi import shot2five14004xi
    from load2five4xi import shot2five15004xi
    from load2five4xi import shot2five16004xi
    from load2five4xi import shot2five17004xi
    from load2five4xi import shot2five18004xi
    from load2five4xi import shot2five19004xi
    from load2five4xi import shot2five20004xi
    from load2five4xi import shot2five21004xi
    from load2five4xi import shot2five22004xi
    from load2five4xi import shot2five23004xi
    from load2five4xi import shot2five24004xi
    from load2five4xi import shot2five25004xi
    from load2five4xi import shot2five26004xi
    from load2five4xi import shot2five27004xi
    from load2five4xi import shot2five28004xi
    from load2five4xi import shot2five29004xi
    from load2five4xi import shot2five30004xi
    from load2five4xi import shot2five31004xi
    from load2five4xi import shot2five32004xi
    from load2five4xi import shot2five33004xi
    
    from load2five4xi import load2five4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2FIVE - COORDINATES OF SHOOT2FIVE4XI: (X - ,Y + ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2FIVE - (X - ,Y + ,Z + ) DIRECTLY FROM SHOOT2FIVE4XI")
    from shoot2five4xi import shot2five104xi            
    from shoot2five4xi import shot2five1004xi           
    from shoot2five4xi import shot2five2004xi    
    from shoot2five4xi import shot2five3004xi
    from shoot2five4xi import shot2five4004xi
    from shoot2five4xi import shot2five5004xi
    from shoot2five4xi import shot2five6004xi
    from shoot2five4xi import shot2five7004xi
    from shoot2five4xi import shot2five8004xi
    from shoot2five4xi import shot2five9004xi
    from shoot2five4xi import shot2five10004xi            
    from shoot2five4xi import shot2five11004xi
    from shoot2five4xi import shot2five12004xi
    from shoot2five4xi import shot2five13004xi
    from shoot2five4xi import shot2five14004xi
    from shoot2five4xi import shot2five15004xi
    from shoot2five4xi import shot2five16004xi
    from shoot2five4xi import shot2five17004xi
    from shoot2five4xi import shot2five18004xi
    from shoot2five4xi import shot2five19004xi
    from shoot2five4xi import shot2five20004xi
    from shoot2five4xi import shot2five21004xi
    from shoot2five4xi import shot2five22004xi
    from shoot2five4xi import shot2five23004xi
    from shoot2five4xi import shot2five24004xi
    from shoot2five4xi import shot2five25004xi
    from shoot2five4xi import shot2five26004xi
    from shoot2five4xi import shot2five27004xi
    from shoot2five4xi import shot2five28004xi
    from shoot2five4xi import shot2five29004xi
    from shoot2five4xi import shot2five30004xi
    from shoot2five4xi import shot2five31004xi
    from shoot2five4xi import shot2five32004xi
    from shoot2five4xi import shot2five33004xi    
    
# -----------------------------------------------------------------------------------------------------
# SIX - (X - ,Y + ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2six
load2six = False
if load2six is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SIX - (X - ,Y + ,Z - ) FROM FILES GENERATING WITH LOAD2SIX4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2SIX - (X - ,Y + ,Z - ) FROM FILES WITH LOAD2SIX4XI")
    from load2six4xi import shot2six104xi            
    from load2six4xi import shot2six1004xi             
    from load2six4xi import shot2six2004xi    
    from load2six4xi import shot2six3004xi
    from load2six4xi import shot2six4004xi
    from load2six4xi import shot2six5004xi
    from load2six4xi import shot2six6004xi
    from load2six4xi import shot2six7004xi
    from load2six4xi import shot2six8004xi
    from load2six4xi import shot2six9004xi
    from load2six4xi import shot2six10004xi            
    from load2six4xi import shot2six11004xi
    from load2six4xi import shot2six12004xi
    from load2six4xi import shot2six13004xi
    from load2six4xi import shot2six14004xi
    from load2six4xi import shot2six15004xi
    from load2six4xi import shot2six16004xi
    from load2six4xi import shot2six17004xi
    from load2six4xi import shot2six18004xi
    from load2six4xi import shot2six19004xi
    from load2six4xi import shot2six20004xi
    from load2six4xi import shot2six21004xi
    from load2six4xi import shot2six22004xi
    from load2six4xi import shot2six23004xi
    from load2six4xi import shot2six24004xi
    from load2six4xi import shot2six25004xi
    from load2six4xi import shot2six26004xi
    from load2six4xi import shot2six27004xi
    from load2six4xi import shot2six28004xi
    from load2six4xi import shot2six29004xi
    from load2six4xi import shot2six30004xi
    from load2six4xi import shot2six31004xi
    from load2six4xi import shot2six32004xi
    from load2six4xi import shot2six33004xi
    
    from load2six4xi import load2six4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SIX - COORDINATES OF SHOOT2SIX4XI: (X - ,Y + ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2SIX - (X - ,Y + ,Z - ) DIRECTLY FROM SHOOT2SIX4XI")
    from shoot2six4xi import shot2six104xi            
    from shoot2six4xi import shot2six1004xi           
    from shoot2six4xi import shot2six2004xi    
    from shoot2six4xi import shot2six3004xi
    from shoot2six4xi import shot2six4004xi
    from shoot2six4xi import shot2six5004xi
    from shoot2six4xi import shot2six6004xi
    from shoot2six4xi import shot2six7004xi
    from shoot2six4xi import shot2six8004xi
    from shoot2six4xi import shot2six9004xi
    from shoot2six4xi import shot2six10004xi            
    from shoot2six4xi import shot2six11004xi
    from shoot2six4xi import shot2six12004xi
    from shoot2six4xi import shot2six13004xi
    from shoot2six4xi import shot2six14004xi
    from shoot2six4xi import shot2six15004xi
    from shoot2six4xi import shot2six16004xi
    from shoot2six4xi import shot2six17004xi
    from shoot2six4xi import shot2six18004xi
    from shoot2six4xi import shot2six19004xi
    from shoot2six4xi import shot2six20004xi
    from shoot2six4xi import shot2six21004xi
    from shoot2six4xi import shot2six22004xi
    from shoot2six4xi import shot2six23004xi
    from shoot2six4xi import shot2six24004xi
    from shoot2six4xi import shot2six25004xi
    from shoot2six4xi import shot2six26004xi
    from shoot2six4xi import shot2six27004xi
    from shoot2six4xi import shot2six28004xi
    from shoot2six4xi import shot2six29004xi
    from shoot2six4xi import shot2six30004xi
    from shoot2six4xi import shot2six31004xi
    from shoot2six4xi import shot2six32004xi
    from shoot2six4xi import shot2six33004xi    
            

    
# -----------------------------------------------------------------------------------------------------
# SEVEN - (X - ,Y - ,Z + )
# -----------------------------------------------------------------------------------------------------
global load2seven
load2seven = False
if load2seven is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SEVEN - (X - ,Y - ,Z + ) FROM FILES GENERATING WITH LOAD2SEVEN4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2SEVEN - (X - ,Y - ,Z + ) FROM FILES WITH LOAD2SEVEN4XI")
    from load2seven4xi import shot2seven104xi            
    from load2seven4xi import shot2seven1004xi             
    from load2seven4xi import shot2seven2004xi    
    from load2seven4xi import shot2seven3004xi
    from load2seven4xi import shot2seven4004xi
    from load2seven4xi import shot2seven5004xi
    from load2seven4xi import shot2seven6004xi
    from load2seven4xi import shot2seven7004xi
    from load2seven4xi import shot2seven8004xi
    from load2seven4xi import shot2seven9004xi
    from load2seven4xi import shot2seven10004xi            
    from load2seven4xi import shot2seven11004xi
    from load2seven4xi import shot2seven12004xi
    from load2seven4xi import shot2seven13004xi
    from load2seven4xi import shot2seven14004xi
    from load2seven4xi import shot2seven15004xi
    from load2seven4xi import shot2seven16004xi
    from load2seven4xi import shot2seven17004xi
    from load2seven4xi import shot2seven18004xi
    from load2seven4xi import shot2seven19004xi
    from load2seven4xi import shot2seven20004xi
    from load2seven4xi import shot2seven21004xi
    from load2seven4xi import shot2seven22004xi
    from load2seven4xi import shot2seven23004xi
    from load2seven4xi import shot2seven24004xi
    from load2seven4xi import shot2seven25004xi
    from load2seven4xi import shot2seven26004xi
    from load2seven4xi import shot2seven27004xi
    from load2seven4xi import shot2seven28004xi
    from load2seven4xi import shot2seven29004xi
    from load2seven4xi import shot2seven30004xi
    from load2seven4xi import shot2seven31004xi
    from load2seven4xi import shot2seven32004xi
    from load2seven4xi import shot2seven33004xi
    
    from load2seven4xi import load2seven4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2SEVEN - COORDINATES OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2SEVEN - (X - ,Y - ,Z + ) DIRECTLY FROM SHOOT2SEVEN4XI")
    from shoot2seven4xi import shot2seven104xi            
    from shoot2seven4xi import shot2seven1004xi           
    from shoot2seven4xi import shot2seven2004xi    
    from shoot2seven4xi import shot2seven3004xi
    from shoot2seven4xi import shot2seven4004xi
    from shoot2seven4xi import shot2seven5004xi
    from shoot2seven4xi import shot2seven6004xi
    from shoot2seven4xi import shot2seven7004xi
    from shoot2seven4xi import shot2seven8004xi
    from shoot2seven4xi import shot2seven9004xi
    from shoot2seven4xi import shot2seven10004xi            
    from shoot2seven4xi import shot2seven11004xi
    from shoot2seven4xi import shot2seven12004xi
    from shoot2seven4xi import shot2seven13004xi
    from shoot2seven4xi import shot2seven14004xi
    from shoot2seven4xi import shot2seven15004xi
    from shoot2seven4xi import shot2seven16004xi
    from shoot2seven4xi import shot2seven17004xi
    from shoot2seven4xi import shot2seven18004xi
    from shoot2seven4xi import shot2seven19004xi
    from shoot2seven4xi import shot2seven20004xi
    from shoot2seven4xi import shot2seven21004xi
    from shoot2seven4xi import shot2seven22004xi
    from shoot2seven4xi import shot2seven23004xi
    from shoot2seven4xi import shot2seven24004xi
    from shoot2seven4xi import shot2seven25004xi
    from shoot2seven4xi import shot2seven26004xi
    from shoot2seven4xi import shot2seven27004xi
    from shoot2seven4xi import shot2seven28004xi
    from shoot2seven4xi import shot2seven29004xi
    from shoot2seven4xi import shot2seven30004xi
    from shoot2seven4xi import shot2seven31004xi
    from shoot2seven4xi import shot2seven32004xi
    from shoot2seven4xi import shot2seven33004xi    

    
# -----------------------------------------------------------------------------------------------------
# EIGHT - (X - ,Y - ,Z - )
# -----------------------------------------------------------------------------------------------------
global load2eight
load2eight = False
if load2eight is True:
    # -------------------------------------------------------------------------------------------------
    # SHOT2EIGHT - (X - ,Y - ,Z - ) FROM FILES GENERATING WITH LOAD2EIGHT4XI
    # -------------------------------------------------------------------------------------------------    
    print("NOUN4XI: SHOT2EIGHT - (X - ,Y - ,Z - ) FROM FILES WITH LOAD2EIGHT4XI")
    from load2eight4xi import shot2eight104xi            
    from load2eight4xi import shot2eight1004xi             
    from load2eight4xi import shot2eight2004xi    
    from load2eight4xi import shot2eight3004xi
    from load2eight4xi import shot2eight4004xi
    from load2eight4xi import shot2eight5004xi
    from load2eight4xi import shot2eight6004xi
    from load2eight4xi import shot2eight7004xi
    from load2eight4xi import shot2eight8004xi
    from load2eight4xi import shot2eight9004xi
    from load2eight4xi import shot2eight10004xi            
    from load2eight4xi import shot2eight11004xi
    from load2eight4xi import shot2eight12004xi
    from load2eight4xi import shot2eight13004xi
    from load2eight4xi import shot2eight14004xi
    from load2eight4xi import shot2eight15004xi
    from load2eight4xi import shot2eight16004xi
    from load2eight4xi import shot2eight17004xi
    from load2eight4xi import shot2eight18004xi
    from load2eight4xi import shot2eight19004xi
    from load2eight4xi import shot2eight20004xi
    from load2eight4xi import shot2eight21004xi
    from load2eight4xi import shot2eight22004xi
    from load2eight4xi import shot2eight23004xi
    from load2eight4xi import shot2eight24004xi
    from load2eight4xi import shot2eight25004xi
    from load2eight4xi import shot2eight26004xi
    from load2eight4xi import shot2eight27004xi
    from load2eight4xi import shot2eight28004xi
    from load2eight4xi import shot2eight29004xi
    from load2eight4xi import shot2eight30004xi
    from load2eight4xi import shot2eight31004xi
    from load2eight4xi import shot2eight32004xi
    from load2eight4xi import shot2eight33004xi
    
    from load2eight4xi import load2eight4xi
else:
    # -------------------------------------------------------------------------------------------------
    # SHOT2EIGHT - COORDINATES OF SHOOT2EIGHT4XI: (X - ,Y - ,Z - ) DIRECTLY FROM RAM
    # -------------------------------------------------------------------------------------------------   
    print("NOUN4XI: SHOT2EIGHT - (X - ,Y - ,Z - ) DIRECTLY FROM SHOOT2EIGHT4XI")
    from shoot2eight4xi import shot2eight104xi            
    from shoot2eight4xi import shot2eight1004xi           
    from shoot2eight4xi import shot2eight2004xi    
    from shoot2eight4xi import shot2eight3004xi
    from shoot2eight4xi import shot2eight4004xi
    from shoot2eight4xi import shot2eight5004xi
    from shoot2eight4xi import shot2eight6004xi
    from shoot2eight4xi import shot2eight7004xi
    from shoot2eight4xi import shot2eight8004xi
    from shoot2eight4xi import shot2eight9004xi
    from shoot2eight4xi import shot2eight10004xi            
    from shoot2eight4xi import shot2eight11004xi
    from shoot2eight4xi import shot2eight12004xi
    from shoot2eight4xi import shot2eight13004xi
    from shoot2eight4xi import shot2eight14004xi
    from shoot2eight4xi import shot2eight15004xi
    from shoot2eight4xi import shot2eight16004xi
    from shoot2eight4xi import shot2eight17004xi
    from shoot2eight4xi import shot2eight18004xi
    from shoot2eight4xi import shot2eight19004xi
    from shoot2eight4xi import shot2eight20004xi
    from shoot2eight4xi import shot2eight21004xi
    from shoot2eight4xi import shot2eight22004xi
    from shoot2eight4xi import shot2eight23004xi
    from shoot2eight4xi import shot2eight24004xi
    from shoot2eight4xi import shot2eight25004xi
    from shoot2eight4xi import shot2eight26004xi
    from shoot2eight4xi import shot2eight27004xi
    from shoot2eight4xi import shot2eight28004xi
    from shoot2eight4xi import shot2eight29004xi
    from shoot2eight4xi import shot2eight30004xi
    from shoot2eight4xi import shot2eight31004xi
    from shoot2eight4xi import shot2eight32004xi
    from shoot2eight4xi import shot2eight33004xi            

    
    
# =====================================================================================================
# EOF ALL (X,Y,Z)- COORDINATES CONDITIONALLY 
# =====================================================================================================
from noun2cluster4xi import Noun2Cluster4Xi  


from pipe4xi import Pipe4Xi 

from process4xi import Process4Xi

from queue4xi  import Queue4Xi

from sleep4xi import omega2sleep4xi

from time4xi import time4xi
       
#"
# />

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# -------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

global keys2cluster
keys2cluster = Noun2Cluster4Xi.keys()

# -------------------------------------------------------------------------------------------------
# QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
# -------------------------------------------------------------------------------------------------   
global ack4queues
global nack4queues

global ack4pipes
global nack4pipes

global ack2one4process
global nack2one4process

global ack2two4process
global nack2two4process

global ack2three4process
global nack2three4process

global ack2four4process
global nack2four4process

global ack2five4process
global nack2five4process

global ack2six4process
global nack2six4process

global ack2seven4process
global nack2seven4process

global ack2eight4process
global nack2eight4process

global ack2one4start
global nack2one4start

global ack2two4start
global nack2two4start

global ack2three4start
global nack2three4start

global ack2four4start
global nack2four4start

global ack2five4start
global nack2five4start

global ack2six4start
global nack2six4start

global ack2seven4start
global nack2seven4start

global ack2eight4start
global nack2eight4start

global ack2one4run
global nack2one4run

global ack2two4run
global nack2two4run

global ack2three4run
global nack2three4run

global ack2four4run
global nack2four4run

global ack2five4run
global nack2five4run

global ack2six4run
global nack2six4run

global ack2seven4run
global nack2seven4run

global ack2eight4run
global nack2eight4run

    
# -------------------------------------------------------------------------------------------------
# CLUSTERCOLORSTATISTICS4XI
# -------------------------------------------------------------------------------------------------        
global ClusterColorStatistics4Xi     
ClusterColorStatistics4Xi = {
       1:  0,
       2:  0, 
       3:  0, 
       4:  0, 
       5:  0,        
       6:  0,        
       7:  0, 
       8:  0, 
       9:  0, 
       10: 0, 
       11: 0, 
       12: 0, 
       13: 0, 
       14: 0, 
       15: 0, 
       16: 0, 
       17: 0, 
       18: 0, 
       19: 0, 
       20: 0, 
       21: 0, 
       22: 0, 
       23: 0, 
       24: 0, 
       25: 0, 
       26: 0, 
       27: 0, 
       28: 0, 
       29: 0, 
       30: 0, 
       31: 0, 
       32: 0, 
       33: 0                                                                                                                                                                                                            
       } 

# -------------------------------------------------------------------------------------------------
# Cluster Knowledge Base 4Xi
# -------------------------------------------------------------------------------------------------   
global ClusterKB4Xi
ClusterKB4Xi = {
       'a': Cluster2a4Xi, #01
       'b': Cluster2b4Xi, #02
       'c': Cluster2c4Xi, #03
       'd': Cluster2d4Xi, #04
       'e': Cluster2e4Xi, #05
       'f': Cluster2f4Xi, #06
       'g': Cluster2g4Xi, #07
       'h': Cluster2h4Xi, #08
       'i': Cluster2i4Xi, #09
       'j': Cluster2j4Xi, #10
       'k': Cluster2k4Xi, #11
       'l': Cluster2l4Xi, #12
       'm': Cluster2m4Xi, #13
       'n': Cluster2n4Xi, #14
       'o': Cluster2o4Xi, #15
       'p': Cluster2p4Xi, #16
       'q': Cluster2q4Xi, #17
       'r': Cluster2r4Xi, #18
       's': Cluster2s4Xi, #19
       't': Cluster2t4Xi, #20
       'u': Cluster2u4Xi, #21
       'v': Cluster2v4Xi, #22
       'w': Cluster2w4Xi, #23
       'x': Cluster2x4Xi, #24
       'y': Cluster2y4Xi, #25
       'z': Cluster2z4Xi, #26
       '_': Cluster2_4Xi  #27 
       }


                                                                                                                                                                                          
# -------------------------------------------------------------------------------------------------
# ClusterColor4Xi - 33 CLUSTERS FOR NOUNS                            
# -------------------------------------------------------------------------------------------------           
             
global ClusterColor4Xi
ClusterColor4Xi = {
       #       NOUN 1    #SUPER #CLUSTER NUMBER                     # NOUN EXAMPLES          
       #       BASE        INDEX  & NAME 
       1:  {1: '#7C6142', 5: 0, 6: 'function'},                      # -functioned-by-             
       2:  {1: '#F55A5A', 5: 1, 6: 'method'},                        #   
       3:  {1: '#0080FF', 5: 2, 6: 'flow'},                          # -passed-to-;            
       4:  {1: '#9292A1', 5: 3, 6: 'object'},                        # -borning:; -born:; -inheriting-by-               
       5:  {1: '#0B6138', 5: 4, 6: 'activator'},                     # -activated-by-;         
       6:  {1: '#DF0101', 5: 4, 6: 'acceptor'},                      # -accepted-by-;               
       7:  {1: '#F3F947', 5: 3, 6: 'noun'},                          # -acted-by-;
       8:  {1: '#33570E', 5: 5, 6: 'acceptor'},                      # -acknowledged-by-; selected-by-
       9:  {1: '#4379B0', 5: 5, 6: 'mathematician'},                 # -added-by-; -calculated-by-; -defined-by-
       10: {1: '#BEF781', 5: 5, 6: 'analyzer'},                      # -analyzed-by-;-compared-by-; -concluded-by- 
       11: {1: '#F2A93B', 5: 5, 6: 'assertor'},                      # -asserted-by-; 
       12: {1: '#ACFA58', 5: 5, 6: 'builder'},                       # -built-by-; -embedded-by- 
       13: {1: '#E5AD6D', 5: 5, 6: 'caller'},                        # -called-by- 
       14: {1: '#BA57BA', 5: 5, 6: 'checker'},                       # -checked-by- 
       15: {1: '#7F7263', 5: 5, 6: 'clearer'},                       # -cleared-by-; -initialized-by- 
       16: {1: '#51C3BF', 5: 5, 6: 'closer'},                        # -closed-by- 
       17: {1: '#0080FF', 5: 5, 6: 'commander'},                     # -commanded-by-; -processed-by-
       18: {1: '#1FA8A3', 5: 7, 6: 'deletor'},                       # -deleted-by-
       19: {1: '#BA82EB', 5: 5, 6: 'connector'},                     # -connected-by-; -polled-by- 
       20: {1: '#356C6C', 5: 5, 6: 'provider'},                      # -put-by-; -created-by- 
       21: {1: '#3C3C98', 5: 5, 6: 'decider'},                       # -decided-by-  
       22: {1: '#A16666', 5: 5, 6: 'deletor'},                       # -deleted-by-; -discarded-by- 
       23: {1: '#5151B9', 5: 5, 6: 'disconnector'},                  # -disconnected-by-   
       24: {1: '#686886', 5: 5, 6: 'dispatcher'},                    # -dispatched-by-  
       25: {1: '#50506C', 5: 5, 6: 'doer'},                          # -do-by-;did-by-;-delivered-by-    
       26: {1: '#6565E9', 5: 5, 6: 'pickler'},                       # -dumped-by-; -pickled-by-   
       27: {1: '#589EE5', 5: 5, 6: 'ender'},                         # -ended-by-; -flushed-by-; freed-by-; -killed-by-  
       28: {1: '#9A5608', 5: 5, 6: 'examiner'},                      # -examined-by-
       29: {1: '#F39DC8', 5: 5, 6: 'finalizer'},                     # -finalized-by-;    
       30: {1: '#4C7094', 5: 5, 6: 'receiver'},                      # -got-by-
       31: {1: '#D82929', 5: 6, 6: 'exception'},                     # -hit-by-; -ignoring-by-  
       32: {1: '#E14747', 5: 6, 6: 'challenge'},                     # -idled-by-; -yielded-by-  
       33: {1: '#E9BBBB', 5: 7, 6: 'miscellaneous'}                  # -abbreviated-by-; -commented-by-                                                                                                                                                                                                                    
       } 


       
       
                                                                                                                                                                                                       
# ------------------------------------------------------------------------------------------------------------------------------
# FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
# ------------------------------------------------------------------------------------------------------------------------------           

#========
# ONE
#========      
global fire2one104xi
global fire2one1004xi
global fire2one2004xi
global fire2one3004xi
global fire2one4004xi
global fire2one5004xi
global fire2one6004xi
global fire2one7004xi
global fire2one8004xi
global fire2one9004xi       
global fire2one10004xi
global fire2one11004xi
global fire2one12004xi
global fire2one13004xi
global fire2one14004xi
global fire2one15004xi
global fire2one16004xi
global fire2one17004xi
global fire2one18004xi
global fire2one19004xi
global fire2one20004xi
global fire2one21004xi
global fire2one22004xi
global fire2one23004xi
global fire2one24004xi
global fire2one25004xi
global fire2one26004xi
global fire2one27004xi
global fire2one28004xi
global fire2one29004xi
global fire2one30004xi
global fire2one31004xi
global fire2one32004xi
global fire2one33004xi

#========
# TWO
#========      
global fire2two104xi
global fire2two1004xi
global fire2two2004xi
global fire2two3004xi
global fire2two4004xi
global fire2two5004xi
global fire2two6004xi
global fire2two7004xi
global fire2two8004xi
global fire2two9004xi       
global fire2two10004xi
global fire2two11004xi
global fire2two12004xi
global fire2two13004xi
global fire2two14004xi
global fire2two15004xi
global fire2two16004xi
global fire2two17004xi
global fire2two18004xi
global fire2two19004xi
global fire2two20004xi
global fire2two21004xi
global fire2two22004xi
global fire2two23004xi
global fire2two24004xi
global fire2two25004xi
global fire2two26004xi
global fire2two27004xi
global fire2two28004xi
global fire2two29004xi
global fire2two30004xi
global fire2two31004xi
global fire2two32004xi
global fire2two33004xi

#========
# THREE
#========      
global fire2three104xi
global fire2three1004xi
global fire2three2004xi
global fire2three3004xi
global fire2three4004xi
global fire2three5004xi
global fire2three6004xi
global fire2three7004xi
global fire2three8004xi
global fire2three9004xi       
global fire2three10004xi
global fire2three11004xi
global fire2three12004xi
global fire2three13004xi
global fire2three14004xi
global fire2three15004xi
global fire2three16004xi
global fire2three17004xi
global fire2three18004xi
global fire2three19004xi
global fire2three20004xi
global fire2three21004xi
global fire2three22004xi
global fire2three23004xi
global fire2three24004xi
global fire2three25004xi
global fire2three26004xi
global fire2three27004xi
global fire2three28004xi
global fire2three29004xi
global fire2three30004xi
global fire2three31004xi
global fire2three32004xi
global fire2three33004xi

#========
# FOUR
#========      
global fire2four104xi
global fire2four1004xi
global fire2four2004xi
global fire2four3004xi
global fire2four4004xi
global fire2four5004xi
global fire2four6004xi
global fire2four7004xi
global fire2four8004xi
global fire2four9004xi       
global fire2four10004xi
global fire2four11004xi
global fire2four12004xi
global fire2four13004xi
global fire2four14004xi
global fire2four15004xi
global fire2four16004xi
global fire2four17004xi
global fire2four18004xi
global fire2four19004xi
global fire2four20004xi
global fire2four21004xi
global fire2four22004xi
global fire2four23004xi
global fire2four24004xi
global fire2four25004xi
global fire2four26004xi
global fire2four27004xi
global fire2four28004xi
global fire2four29004xi
global fire2four30004xi
global fire2four31004xi
global fire2four32004xi
global fire2four33004xi
 
#========
# FIVE
#========      
global fire2five104xi
global fire2five1004xi
global fire2five2004xi
global fire2five3004xi
global fire2five4004xi
global fire2five5004xi
global fire2five6004xi
global fire2five7004xi
global fire2five8004xi
global fire2five9004xi       
global fire2five10004xi
global fire2five11004xi
global fire2five12004xi
global fire2five13004xi
global fire2five14004xi
global fire2five15004xi
global fire2five16004xi
global fire2five17004xi
global fire2five18004xi
global fire2five19004xi
global fire2five20004xi
global fire2five21004xi
global fire2five22004xi
global fire2five23004xi
global fire2five24004xi
global fire2five25004xi
global fire2five26004xi
global fire2five27004xi
global fire2five28004xi
global fire2five29004xi
global fire2five30004xi
global fire2five31004xi
global fire2five32004xi
global fire2five33004xi

#========
# SIX
#========      
global fire2six104xi
global fire2six1004xi
global fire2six2004xi
global fire2six3004xi
global fire2six4004xi
global fire2six5004xi
global fire2six6004xi
global fire2six7004xi
global fire2six8004xi
global fire2six9004xi       
global fire2six10004xi
global fire2six11004xi
global fire2six12004xi
global fire2six13004xi
global fire2six14004xi
global fire2six15004xi
global fire2six16004xi
global fire2six17004xi
global fire2six18004xi
global fire2six19004xi
global fire2six20004xi
global fire2six21004xi
global fire2six22004xi
global fire2six23004xi
global fire2six24004xi
global fire2six25004xi
global fire2six26004xi
global fire2six27004xi
global fire2six28004xi
global fire2six29004xi
global fire2six30004xi
global fire2six31004xi
global fire2six32004xi
global fire2six33004xi
 
#========
# SEVEN
#========      
global fire2seven104xi
global fire2seven1004xi
global fire2seven2004xi
global fire2seven3004xi
global fire2seven4004xi
global fire2seven5004xi
global fire2seven6004xi
global fire2seven7004xi
global fire2seven8004xi
global fire2seven9004xi       
global fire2seven10004xi
global fire2seven11004xi
global fire2seven12004xi
global fire2seven13004xi
global fire2seven14004xi
global fire2seven15004xi
global fire2seven16004xi
global fire2seven17004xi
global fire2seven18004xi
global fire2seven19004xi
global fire2seven20004xi
global fire2seven21004xi
global fire2seven22004xi
global fire2seven23004xi
global fire2seven24004xi
global fire2seven25004xi
global fire2seven26004xi
global fire2seven27004xi
global fire2seven28004xi
global fire2seven29004xi
global fire2seven30004xi
global fire2seven31004xi
global fire2seven32004xi
global fire2seven33004xi
 
#========
# EIGHT
#========      
global fire2eight104xi
global fire2eight1004xi
global fire2eight2004xi
global fire2eight3004xi
global fire2eight4004xi
global fire2eight5004xi
global fire2eight6004xi
global fire2eight7004xi
global fire2eight8004xi
global fire2eight9004xi       
global fire2eight10004xi
global fire2eight11004xi
global fire2eight12004xi
global fire2eight13004xi
global fire2eight14004xi
global fire2eight15004xi
global fire2eight16004xi
global fire2eight17004xi
global fire2eight18004xi
global fire2eight19004xi
global fire2eight20004xi
global fire2eight21004xi
global fire2eight22004xi
global fire2eight23004xi
global fire2eight24004xi
global fire2eight25004xi
global fire2eight26004xi
global fire2eight27004xi
global fire2eight28004xi
global fire2eight29004xi
global fire2eight30004xi
global fire2eight31004xi
global fire2eight32004xi
global fire2eight33004xi
                                                                                                         
# -------------------------------------------------------------------------------------------------
# GalaxyNouns4Xi - GALAXY FOR NOUNS                          
# -------------------------------------------------------------------------------------------------           
                         
global GalaxyNouns4Xi
GalaxyNouns4Xi = {
       #de Vaucouleurs scheme  
       -6:  'cE',
       -5:  'E',
       -4:  'E**(+)',
       -3:  'S0**(-)',
       -2:  'S0**(0)',           
       -1:  'S0**(+)',          
        0:  'S0/a',
        1:  'Sa',
        2:  'Sab',
        3:  'Sb ',
        4:  'Sbc ',
        5:  'Sc ',
        6:  'Scd',
        7:  'Sd ',
        8:  'Sdm ',
        9:  'Sm',
       10:  'Im',
       
       #FREE
       11:  'Sphere',           # Sphere
       12:  'Sphere',           # Sphere
       13:  'Sphere',           # Sphere
       14:  'Sphere',           # Sphere              
       15:  'Sphere',           # Sphere
       16:  'Sphere',           # Sphere
       17:  'Sphere',           # Sphere
       18:  'Sphere',           # Sphere     
       19:  'Sphere',           # Sphere
                     
       #The Yerkes (or Morgan) scheme
       20:  'B',    # Barred spiral     
       21:  'D',    # Rotational symmetry without pronounced spiral or elliptical structure         
       22:  'E',    # Elliptical       
       23:  'Ep',   # Elliptical with dust absorption 
       24:  'I',    #  Irregular      
       25:  'L',    # Low surface brightness         
       26:  'N',    # small bright nucleus       
       27:  'S',    # Spiral 

       # Your unique and rare dragon galaxy !
       30:  'Dragon2Xi',       # SENSE IT !        
       31:  'Dragon4Xi',       # REASON IT!
       32:  'Dragon8Xi',       # ACE IT!        
       33:  'yourDragonXi',    # tailored to you!                                                                                                                                                                                                                                                                                                                                                                 
       } 
        
# -------------------------------------------------------------------------------------------------
# Noun Knowledgebase                              
# -------------------------------------------------------------------------------------------------
global NounKB4Xi
NounKB4Xi = {
       'a': Actor2a4Xi, #01
       'b': Actor2b4Xi, #02
       'c': Actor2c4Xi, #03
       'd': Actor2d4Xi, #04
       'e': Actor2e4Xi, #05
       'f': Actor2f4Xi, #06
       'g': Actor2g4Xi, #07
       'h': Actor2h4Xi, #08
       'i': Actor2i4Xi, #09
       'j': Actor2j4Xi, #10
       'k': Actor2k4Xi, #11
       'l': Actor2l4Xi, #12
       'm': Actor2m4Xi, #13
       'n': Actor2n4Xi, #14
       'o': Actor2o4Xi, #15
       'p': Actor2p4Xi, #16
       'q': Actor2q4Xi, #17
       'r': Actor2r4Xi, #18
       's': Actor2s4Xi, #19
       't': Actor2t4Xi, #20
       'u': Actor2u4Xi, #21
       'v': Actor2v4Xi, #22
       'w': Actor2w4Xi, #23
       'x': Actor2x4Xi, #24
       'y': Actor2y4Xi, #25
       'z': Actor2z4Xi, #26
       '_': Actor2_4Xi  #27 
       }
        
# -------------------------------------------------------------------------------------------------
# Verb Knowledgebase                              
# -------------------------------------------------------------------------------------------------              
global VerbKB4Xi
VerbKB4Xi = {
       'a': Verb2a4Xi, #01
       'b': Verb2b4Xi, #02
       'c': Verb2c4Xi, #03
       'd': Verb2d4Xi, #04
       'e': Verb2e4Xi, #05
       'f': Verb2f4Xi, #06
       'g': Verb2g4Xi, #07
       'h': Verb2h4Xi, #08
       'i': Verb2i4Xi, #09
       'j': Verb2j4Xi, #10
       'k': Verb2k4Xi, #11
       'l': Verb2l4Xi, #12
       'm': Verb2m4Xi, #13
       'n': Verb2n4Xi, #14
       'o': Verb2o4Xi, #15
       'p': Verb2p4Xi, #16
       'q': Verb2q4Xi, #17
       'r': Verb2r4Xi, #18
       's': Verb2s4Xi, #19
       't': Verb2t4Xi, #20
       'u': Verb2u4Xi, #21
       'v': Verb2v4Xi, #22
       'w': Verb2w4Xi, #23
       'x': Verb2x4Xi, #24
       'y': Verb2y4Xi, #25
       'z': Verb2z4Xi, #26
       '_': Verb2_4Xi  #27 
       }       
                           
# -------------------------------------------------------------------------------------------------
# Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------
global pipe2zero_consumer_channel
global pipe2zero_publisher_channel
global pipe2one_consumer_channel
global pipe2one_publisher_channel
global pipe2two_consumer_channel
global pipe2two_publisher_channel
global pipe2three_consumer_channel
global pipe2three_publisher_channel
global pipe2four_consumer_channel
global pipe2four_publisher_channel
global pipe2five_consumer_channel
global pipe2five_publisher_channel
global pipe2six_consumer_channel
global pipe2six_publisher_channel
global pipe2seven_consumer_channel
global pipe2seven_publisher_channel
global pipe2eight_consumer_channel
global pipe2eight_publisher_channel

                    
# -------------------------------------------------------------------------------------------------
# Processes - one for each direction 1 ... 8                             
# -------------------------------------------------------------------------------------------------
global p2one
global p2two 
global p2three
global p2four
global p2five
global p2six
global p2seven
global p2eight
                    
# -------------------------------------------------------------------------------------------------
# Queues - queue zero for main program -  queue 1...8 for process 1...8                             
# -------------------------------------------------------------------------------------------------
global queue2zero
global queue2one
global queue2two
global queue2three
global queue2four
global queue2five
global queue2six
global queue2seven
global queue2eight

# -------------------------------------------------------------------------------------------------
# SuperClusterColor4Xi - EIGHT SUPER CLUSTERS - ONE FOR EACH TELESCOPE VIEW                            
# -------------------------------------------------------------------------------------------------        
global SuperClusterColor4Xi
SuperClusterColor4Xi = {
       #   NETWORK-CENTRIC NOUNS AT REMOTE AND DEMANDING THEATERS
       1:  {1: '#9BA2A2', 5: 'function'},      #     
       2:  {1: '#0080FF', 5: 'method'},        #               
       3:  {1: '#7C6142', 5: 'flow'},          #                  
       4:  {1: '#9292A1', 5: 'object'},        #      
       5:  {1: '#0B6138', 5: 'activator'},     #                            
       6:  {1: '#F55A5A', 5: 'mathematician'}, #
       7:  {1: '#EE4545', 5: 'initializer'},   # 
       8:  {1: '#DE9ABC', 5: 'miscellaneous'}  #                           
       }
                                                                                                                                                                                                        
# -------------------------------------------------------------------------------------------------
# SymbolColor4Xi - BASE SYMBOLS FOR NOUNS - FINAL SYMBOL BY COMBINING THESE AS REQUIRED                            
# -------------------------------------------------------------------------------------------------           
                         
global SymbolColor4Xi
SymbolColor4Xi = { 
       1:  'http://www.yourdragonxi.org/web/images/png/01_q.png',
       2:  'http://www.yourdragonxi.org/web/images/png/02_q.png',
       3:  'http://www.yourdragonxi.org/web/images/png/03_q.png',
       4:  'http://www.yourdragonxi.org/web/images/png/04_q.png',
       5:  'http://www.yourdragonxi.org/web/images/png/05_q.png',           
       6:  'http://www.yourdragonxi.org/web/images/png/06_q.png',          
       7:  'http://www.yourdragonxi.org/web/images/png/07_q.png',
       8:  'http://www.yourdragonxi.org/web/images/png/08_q.png',
       9:  'http://www.yourdragonxi.org/web/images/png/09_q.png',
       10: 'http://www.yourdragonxi.org/web/images/png/10_q.png',
       11: 'http://www.yourdragonxi.org/web/images/png/11_q.png',
       12: 'http://www.yourdragonxi.org/web/images/png/12_q.png',
       13: 'http://www.yourdragonxi.org/web/images/png/13_q.png',
       14: 'http://www.yourdragonxi.org/web/images/png/14_q.png',
       15: 'http://www.yourdragonxi.org/web/images/png/15_q.png',
       16: 'http://www.yourdragonxi.org/web/images/png/16_q.png',
       17: 'http://www.yourdragonxi.org/web/images/png/17_q.png',
       18: 'http://www.yourdragonxi.org/web/images/png/18_q.png',
       19: 'http://www.yourdragonxi.org/web/images/png/19_q.png',
       20: 'http://www.yourdragonxi.org/web/images/png/20_q.png',
       21: 'http://www.yourdragonxi.org/web/images/png/21_q.png',
       22: 'http://www.yourdragonxi.org/web/images/png/22_q.png',
       23: 'http://www.yourdragonxi.org/web/images/png/23_q.png',
       24: 'http://www.yourdragonxi.org/web/images/png/24_q.png',
       25: 'http://www.yourdragonxi.org/web/images/png/25_q.png',
       26: 'http://www.yourdragonxi.org/web/images/png/26_q.png',
       27: 'http://www.yourdragonxi.org/web/images/png/27_q.png',
       28: 'http://www.yourdragonxi.org/web/images/png/28_q.png',
       29: 'http://www.yourdragonxi.org/web/images/png/29_q.png',
       30: 'http://www.yourdragonxi.org/web/images/png/30_q.png',
       31: 'http://www.yourdragonxi.org/web/images/png/31_q.png',
       32: 'http://www.yourdragonxi.org/web/images/png/32_q.png',
       33: 'http://www.yourdragonxi.org/web/images/png/33_q.png',
       34: 'http://www.yourdragonxi.org/web/images/png/34_q.png',
       35: 'http://www.yourdragonxi.org/web/images/png/35_q.png',  
       36: 'http://www.yourdragonxi.org/web/images/png/36_q.png',  
       37: 'http://www.yourdragonxi.org/web/images/png/37_q.png',  
       38: 'http://www.yourdragonxi.org/web/images/png/38_q.png',  
       39: 'http://www.yourdragonxi.org/web/images/png/38_q.png',
       40: 'http://www.yourdragonxi.org/web/images/png/40_q.png',       
       41: 'http://www.yourdragonxi.org/web/images/png/41_q.png',
       42: 'http://www.yourdragonxi.org/web/images/png/42_q.png',
       43: 'http://www.yourdragonxi.org/web/images/png/43_q.png',
       44: 'http://www.yourdragonxi.org/web/images/png/44_q.png',
       45: 'http://www.yourdragonxi.org/web/images/png/45_q.png',  
       46: 'http://www.yourdragonxi.org/web/images/png/46_q.png',  
       47: 'http://www.yourdragonxi.org/web/images/png/47_q.png',  
       48: 'http://www.yourdragonxi.org/web/images/png/48_q.png',  
       49: 'http://www.yourdragonxi.org/web/images/png/49_q.png',
       50: 'http://www.yourdragonxi.org/web/images/png/50_q.png',       
       51: 'http://www.yourdragonxi.org/web/images/png/51_q.png',
       52: 'http://www.yourdragonxi.org/web/images/png/52_q.png',
       53: 'http://www.yourdragonxi.org/web/images/png/53_q.png',
       54: 'http://www.yourdragonxi.org/web/images/png/54_q.png',
       55: 'http://www.yourdragonxi.org/web/images/png/55_q.png',  
       56: 'http://www.yourdragonxi.org/web/images/png/56_q.png',  
       57: 'http://www.yourdragonxi.org/web/images/png/57_q.png',  
       58: 'http://www.yourdragonxi.org/web/images/png/58_q.png',  
       59: 'http://www.yourdragonxi.org/web/images/png/59_q.png',
       60: 'http://www.yourdragonxi.org/web/images/png/60_q.png',       
       61: 'http://www.yourdragonxi.org/web/images/png/61_q.png',
       62: 'http://www.yourdragonxi.org/web/images/png/62_q.png',
       63: 'http://www.yourdragonxi.org/web/images/png/63_q.png',
       64: 'http://www.yourdragonxi.org/web/images/png/64_q.png',
       65: 'http://www.yourdragonxi.org/web/images/png/65_q.png',  
       66: 'http://www.yourdragonxi.org/web/images/png/66_q.png',  
       67: 'http://www.yourdragonxi.org/web/images/png/67_q.png',  
       68: 'http://www.yourdragonxi.org/web/images/png/68_q.png',  
       69: 'http://www.yourdragonxi.org/web/images/png/69_q.png', 
       70: 'http://www.yourdragonxi.org/web/images/png/70_q.png'                                                                                                                                                                                                                                                                                                       
       } 


# -------------------------------------------------------------------------------------------------
# SUPERCLUSTERCOLORSTATISTICS4XI
# -------------------------------------------------------------------------------------------------        
global SuperClusterColorStatistics4Xi              
SuperClusterColorStatistics4Xi = {
       1:  0,
       2:  0, 
       3:  0, 
       4:  0, 
       5:  0,        
       6:  0,        
       7:  0,
       8:  0
       }

                                                  

#"
#/>
       
       
       
# -------------------------------------------------------------------------------------------------
# Settings 
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "

ack4queues = False
nack4queues = True

ack4pipes = False
nack4pipes = True

ack2one4process = False
nack2one4process = True

ack2two4process = False
nack2two4process = True

ack2three4process = False
nack2three4process = True

ack2four4process = False
nack2four4process = True

ack2five4process = False
nack2five4process = True

ack2six4process = False
nack2six4process = True

ack2seven4process = False
nack2seven4process = True

ack2eight4process = False
nack2eight4process = True


ack2one4run = False
nack2one4run = True

ack2two4run = False
nack2two4run = True

ack2three4run = False
nack2three4run = True

ack2four4run = False
nack2four4run = True

ack2five4run = False
nack2five4run = True

ack2six4run = False
nack2six4run = True

ack2seven4run = False
nack2seven4run = True

ack2eight4run = False
nack2eight4run = True

ack2one4start = False
nack2one4start = True

ack2two4start = False
nack2two4start = True

ack2three4start = False
nack2three4start = True

ack2four4start = False
nack2four4start = True

ack2five4start = False
nack2five4start = True

ack2six4start = False
nack2six4start = True

ack2seven4start = False
nack2seven4start = True

ack2eight4start = False
nack2eight4start = True



#"
#"/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "format" usage = "
#   adds leading zeroes to integer and converts it to string
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

def format(format_param = {'add-with-leading-zeros': 0}):

    '''
    adds leading zeroes to integer and converts it to string
    '''
   
    r2xi = None  
    n2xi = 0
    
    p2xi = format_param  #{'add-with-leading-zeros': 5}
                         
       
    keys2c = p2xi.keys()   
          
    if 'add-with-leading-zeros' in keys2c:
        f2xi = {
        0:'000000000',
        10:'00000000',
        100:'0000000',
        1000:'000000',
        10000:'00000',
        1000000:'000',
        10000000:'00',    
        100000000:'0'}
        

        n2xi = p2xi['add-with-leading-zeros']  #5, -333
        abs2xi = abs(n2xi)
  
        
        if abs2xi > 0:
        
            keys2f = f2xi.keys()           
    
            for key2f in sorted(keys2f):       # 

              
                if abs2xi >= key2f:            # 10,100,1000 ...                
                    pass
                else:                          # 5 < 10
                    r2xi = f2xi[key2f] + str(abs2xi) # 000000005

   
                    break                    
        else:
            r2xi = str(abs2xi)
    
        if n2xi == 0:
            r2xi = '000000000'
               
        else:
            if (r2xi is None):
                if n2xi < 0:
                    r2xi = str(n2xi)
                else:
                    r2xi = str(n2xi)

            else:
                if n2xi < 0:
                    r2xi = '-' + str(r2xi)            

        if len(r2xi) > 9:
            r2xi = r2xi[1:]
         
        return r2xi
    else:
        
                   
        return '000000000'
                        
#</function4xi>
         

            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "color_nouns4xi" usage = "to color nouns">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def color_nouns4xi():
    '''
    colors nouns
    '''
    global ClusterKB4Xi
    global VerbKB4Xi    
    
    # ---------------------------------------------------------------------------------------------
    # QUEUE, PIPE, PROCESS, START AND RUN STATES - ACK = OK - NACK = NOT OK
    # ---------------------------------------------------------------------------------------------   
    global ack4queues
    global nack4queues
    
    global ack4pipes
    global nack4pipes
    
   
    global ack2one4process
    global nack2one4process
    
    global ack2two4process
    global nack2two4process
    
    global ack2three4process
    global nack2three4process
    
    global ack2four4process
    global nack2four4process
    
    global ack2five4process
    global nack2five4process
    
    global ack2six4process
    global nack2six4process
    
    global ack2seven4process
    global nack2seven4process
    
    global ack2eight4process
    global nack2eight4process
    
    
    global ack2one4start
    global nack2one4start
    
    global ack2two4start
    global nack2two4start
    
    global ack2three4start
    global nack2three4start
    
    global ack2four4start
    global nack2four4start
    
    global ack2five4start
    global nack2five4start
    
    global ack2six4start
    global nack2six4start
    
    global ack2seven4start
    global nack2seven4start
    
    global ack2eight4start
    global nack2eight4start
    
    
    global ack2one4run
    global nack2one4run
    
    global ack2two4run
    global nack2two4run
    
    global ack2three4run
    global nack2three4run
    
    global ack2four4run
    global nack2four4run
    
    global ack2five4run
    global nack2five4run
    
    global ack2six4run
    global nack2six4run
    
    global ack2seven4run
    global nack2seven4run
    
    global ack2eight4run
    global nack2eight4run
                                                                                                                                                                                          
    # ------------------------------------------------------------------------------------------------------------------------------
    # FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
    # ------------------------------------------------------------------------------------------------------------------------------           

    #========
    # ONE
    #========      
    global fire2one104xi
    global fire2one1004xi
    global fire2one2004xi
    global fire2one3004xi
    global fire2one4004xi
    global fire2one5004xi
    global fire2one6004xi
    global fire2one7004xi
    global fire2one8004xi
    global fire2one9004xi       
    global fire2one10004xi
    global fire2one11004xi
    global fire2one12004xi
    global fire2one13004xi
    global fire2one14004xi
    global fire2one15004xi
    global fire2one16004xi
    global fire2one17004xi
    global fire2one18004xi
    global fire2one19004xi
    global fire2one20004xi
    global fire2one21004xi
    global fire2one22004xi
    global fire2one23004xi
    global fire2one24004xi
    global fire2one25004xi
    global fire2one26004xi
    global fire2one27004xi
    global fire2one28004xi
    global fire2one29004xi
    global fire2one30004xi
    global fire2one31004xi
    global fire2one32004xi
    global fire2one33004xi
    
    #========
    # TWO
    #========      
    global fire2two104xi
    global fire2two1004xi
    global fire2two2004xi
    global fire2two3004xi
    global fire2two4004xi
    global fire2two5004xi
    global fire2two6004xi
    global fire2two7004xi
    global fire2two8004xi
    global fire2two9004xi       
    global fire2two10004xi
    global fire2two11004xi
    global fire2two12004xi
    global fire2two13004xi
    global fire2two14004xi
    global fire2two15004xi
    global fire2two16004xi
    global fire2two17004xi
    global fire2two18004xi
    global fire2two19004xi
    global fire2two20004xi
    global fire2two21004xi
    global fire2two22004xi
    global fire2two23004xi
    global fire2two24004xi
    global fire2two25004xi
    global fire2two26004xi
    global fire2two27004xi
    global fire2two28004xi
    global fire2two29004xi
    global fire2two30004xi
    global fire2two31004xi
    global fire2two32004xi
    global fire2two33004xi
    
    #========
    # THREE
    #========      
    global fire2three104xi
    global fire2three1004xi
    global fire2three2004xi
    global fire2three3004xi
    global fire2three4004xi
    global fire2three5004xi
    global fire2three6004xi
    global fire2three7004xi
    global fire2three8004xi
    global fire2three9004xi       
    global fire2three10004xi
    global fire2three11004xi
    global fire2three12004xi
    global fire2three13004xi
    global fire2three14004xi
    global fire2three15004xi
    global fire2three16004xi
    global fire2three17004xi
    global fire2three18004xi
    global fire2three19004xi
    global fire2three20004xi
    global fire2three21004xi
    global fire2three22004xi
    global fire2three23004xi
    global fire2three24004xi
    global fire2three25004xi
    global fire2three26004xi
    global fire2three27004xi
    global fire2three28004xi
    global fire2three29004xi
    global fire2three30004xi
    global fire2three31004xi
    global fire2three32004xi
    global fire2three33004xi
    
    #========
    # FOUR
    #========      
    global fire2four104xi
    global fire2four1004xi
    global fire2four2004xi
    global fire2four3004xi
    global fire2four4004xi
    global fire2four5004xi
    global fire2four6004xi
    global fire2four7004xi
    global fire2four8004xi
    global fire2four9004xi       
    global fire2four10004xi
    global fire2four11004xi
    global fire2four12004xi
    global fire2four13004xi
    global fire2four14004xi
    global fire2four15004xi
    global fire2four16004xi
    global fire2four17004xi
    global fire2four18004xi
    global fire2four19004xi
    global fire2four20004xi
    global fire2four21004xi
    global fire2four22004xi
    global fire2four23004xi
    global fire2four24004xi
    global fire2four25004xi
    global fire2four26004xi
    global fire2four27004xi
    global fire2four28004xi
    global fire2four29004xi
    global fire2four30004xi
    global fire2four31004xi
    global fire2four32004xi
    global fire2four33004xi
     
    #========
    # FIVE
    #========      
    global fire2five104xi
    global fire2five1004xi
    global fire2five2004xi
    global fire2five3004xi
    global fire2five4004xi
    global fire2five5004xi
    global fire2five6004xi
    global fire2five7004xi
    global fire2five8004xi
    global fire2five9004xi       
    global fire2five10004xi
    global fire2five11004xi
    global fire2five12004xi
    global fire2five13004xi
    global fire2five14004xi
    global fire2five15004xi
    global fire2five16004xi
    global fire2five17004xi
    global fire2five18004xi
    global fire2five19004xi
    global fire2five20004xi
    global fire2five21004xi
    global fire2five22004xi
    global fire2five23004xi
    global fire2five24004xi
    global fire2five25004xi
    global fire2five26004xi
    global fire2five27004xi
    global fire2five28004xi
    global fire2five29004xi
    global fire2five30004xi
    global fire2five31004xi
    global fire2five32004xi
    global fire2five33004xi
    
    #========
    # SIX
    #========      
    global fire2six104xi
    global fire2six1004xi
    global fire2six2004xi
    global fire2six3004xi
    global fire2six4004xi
    global fire2six5004xi
    global fire2six6004xi
    global fire2six7004xi
    global fire2six8004xi
    global fire2six9004xi       
    global fire2six10004xi
    global fire2six11004xi
    global fire2six12004xi
    global fire2six13004xi
    global fire2six14004xi
    global fire2six15004xi
    global fire2six16004xi
    global fire2six17004xi
    global fire2six18004xi
    global fire2six19004xi
    global fire2six20004xi
    global fire2six21004xi
    global fire2six22004xi
    global fire2six23004xi
    global fire2six24004xi
    global fire2six25004xi
    global fire2six26004xi
    global fire2six27004xi
    global fire2six28004xi
    global fire2six29004xi
    global fire2six30004xi
    global fire2six31004xi
    global fire2six32004xi
    global fire2six33004xi
     
    #========
    # SEVEN
    #========      
    global fire2seven104xi
    global fire2seven1004xi
    global fire2seven2004xi
    global fire2seven3004xi
    global fire2seven4004xi
    global fire2seven5004xi
    global fire2seven6004xi
    global fire2seven7004xi
    global fire2seven8004xi
    global fire2seven9004xi       
    global fire2seven10004xi
    global fire2seven11004xi
    global fire2seven12004xi
    global fire2seven13004xi
    global fire2seven14004xi
    global fire2seven15004xi
    global fire2seven16004xi
    global fire2seven17004xi
    global fire2seven18004xi
    global fire2seven19004xi
    global fire2seven20004xi
    global fire2seven21004xi
    global fire2seven22004xi
    global fire2seven23004xi
    global fire2seven24004xi
    global fire2seven25004xi
    global fire2seven26004xi
    global fire2seven27004xi
    global fire2seven28004xi
    global fire2seven29004xi
    global fire2seven30004xi
    global fire2seven31004xi
    global fire2seven32004xi
    global fire2seven33004xi
     
    #========
    # EIGHT
    #========      
    global fire2eight104xi
    global fire2eight1004xi
    global fire2eight2004xi
    global fire2eight3004xi
    global fire2eight4004xi
    global fire2eight5004xi
    global fire2eight6004xi
    global fire2eight7004xi
    global fire2eight8004xi
    global fire2eight9004xi       
    global fire2eight10004xi
    global fire2eight11004xi
    global fire2eight12004xi
    global fire2eight13004xi
    global fire2eight14004xi
    global fire2eight15004xi
    global fire2eight16004xi
    global fire2eight17004xi
    global fire2eight18004xi
    global fire2eight19004xi
    global fire2eight20004xi
    global fire2eight21004xi
    global fire2eight22004xi
    global fire2eight23004xi
    global fire2eight24004xi
    global fire2eight25004xi
    global fire2eight26004xi
    global fire2eight27004xi
    global fire2eight28004xi
    global fire2eight29004xi
    global fire2eight30004xi
    global fire2eight31004xi
    global fire2eight32004xi
    global fire2eight33004xi
                    
    # -------------------------------------------------------------------------------------------------
    # Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global pipe2zero_consumer_channel
    global pipe2zero_publisher_channel
    global pipe2one_consumer_channel
    global pipe2one_publisher_channel
    global pipe2two_consumer_channel
    global pipe2two_publisher_channel
    global pipe2three_consumer_channel
    global pipe2three_publisher_channel
    global pipe2four_consumer_channel
    global pipe2four_publisher_channel
    global pipe2five_consumer_channel
    global pipe2five_publisher_channel
    global pipe2six_consumer_channel
    global pipe2six_publisher_channel
    global pipe2seven_consumer_channel
    global pipe2seven_publisher_channel
    global pipe2eight_consumer_channel
    global pipe2eight_publisher_channel
    
                        
    # -------------------------------------------------------------------------------------------------
    # Processes - one for each direction 1 ... 8                             
    # -------------------------------------------------------------------------------------------------
    global p2one
    global p2two 
    global p2three
    global p2four
    global p2five
    global p2six
    global p2seven
    global p2eight
                        
    # -------------------------------------------------------------------------------------------------
    # Queues - queue zero for main program -  queue 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global queue2zero
    global queue2one
    global queue2two
    global queue2three
    global queue2four
    global queue2five
    global queue2six
    global queue2seven
    global queue2eight
        
    # --------------------------------------------------------------------------------------------------
    # INITIALIZE 
    # --------------------------------------------------------------------------------------------------      
    ack2debug = True  
    
    Statistics2Nouns = {}
    
   
    count2key = 0
    count2passed = 0
    count2warnings = 0 
    count2ack = 0
    count2nack = 0
 
    
    # -----------------------------------------------------------------------------------------------------
    # PROCESS COMMUNICATION CREATING                           
    # -----------------------------------------------------------------------------------------------------    
  
    if ack2debug is True:
        print('=' *33)          
        print('\n (STEP 1A1/800) OF COLOR_NOUNS4XI - STARTING TO CREATE MECHANISMS FOR PROCESS COMMUNICATION - TIME: ', time4xi())  
        print('=' *33)                    
        # 
    try:
        # -----------------------------------------------------------------------------------------    
        # (STEP 1/33)
        # -----------------------------------------------------------------------------------------     
        if ack2debug is True:
            print("\n (STEP 1A2/800) OF COLOR_NOUNS4XI - CREATING PIPES WITH CONSUMER AND PUBLISHER ENDS")
        ack4pipes = False
        nack4pipes = True
        try:
            # -----------------------------------------------------------------------------------------    
            # ZERO PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2zero_consumer_channel, pipe2zero_publisher_channel = Pipe4Xi()
            if ack2debug is True:
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2ZERO_CONSUMER_CHANNEL")   
                print(pipe2zero_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000048F6048>
            
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2ZERO_PUBLISHER_CHANNEL")  
                print(pipe2zero_publisher_channel)
                # pipeconnection4xi.PipeConnection4Xi object at 0x0000000004960FD0>                  
           
                print("\n (STEP 1D/33) : CREATED PIPE2ZERO WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE PIPE2ZERO ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # ONE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2one_consumer_channel, pipe2one_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2ONE_CONSUMER_CHANNEL")   
                print(pipe2one_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000448F390> 
            
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2ONE_PUBLISHER_CHANNEL")  
                print(pipe2one_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000496E048>               
           
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI - CREATED PIPE2ONE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE PIPE2ONE ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # TWO PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2two_consumer_channel, pipe2two_publisher_channel = Pipe4Xi()
            if ack2debug is True:                
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2TWO_CONSUMER_CHANNEL")   
                print(pipe2two_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004955978>
            
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2TWO_PUBLISHER_CHANNEL")  
                print(pipe2two_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC50>        
           
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI - CREATED PIPE2TWO WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE PIPE2TWO ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # THREE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2three_consumer_channel, pipe2three_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2THREE_CONSUMER_CHANNEL")   
                print(pipe2three_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC88>
                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2THREE_PUBLISHER_CHANNEL")  
                print(pipe2three_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA438>            
               
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI - CREATED PIPE2THREE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE PIPE2THREE ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # FOUR PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2four_consumer_channel, pipe2four_publisher_channel = Pipe4Xi()
            if ack2debug is True:            
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2FOUR_CONSUMER_CHANNEL")   
                print(pipe2four_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA400>
                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2FOUR_PUBLISHER_CHANNEL")  
                print(pipe2four_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAB38>          
               
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI - CREATED PIPE2FOUR WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PIPE2FOUR ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # FIVE PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2five_consumer_channel, pipe2five_publisher_channel = Pipe4Xi()
            if ack2debug is True:              
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI - CREATED PIPE2FIVE_CONSUMER_CHANNEL")   
                print(pipe2five_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AABA8>
                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI - CREATED PIPE2FIVE_PUBLISHER_CHANNEL")  
                print(pipe2five_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAAC8>        
               
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI - CREATED PIPE2FIVE WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  *** FAILED TO CREATE PIPE2FIVE ***")
            nack4pipes = True
            ack4pipes = False  
                                   
        try:
            # -----------------------------------------------------------------------------------------    
            # SIX PIPE
            # -----------------------------------------------------------------------------------------     
                  
            pipe2six_consumer_channel, pipe2six_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI -  CREATED PIPE2SIX_CONSUMER_CHANNEL")   
                print(pipe2six_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA908>
                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  CREATED PIPE2SIX_PUBLISHER_CHANNEL")  
                print(pipe2six_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AACC0>               
               
                print("\n (STEP 1D/33)  OF NOUN4XI -  CREATED PIPE2SIX WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  *** FAILED TO CREATE PIPE2SIX ***")
            nack4pipes = True
            ack4pipes = False                         
        try:
            # -----------------------------------------------------------------------------------------    
            # SEVEN PIPE
            # -----------------------------------------------------------------------------------------     
            pipe2seven_consumer_channel, pipe2seven_publisher_channel = Pipe4Xi()
            if ack2debug is True:                     
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI -  CREATED PIPE2SEVEN_CONSUMER_CHANNEL")   
                print(pipe2seven_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC18>

                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  CREATED PIPE2SEVEN_PUBLISHER_CHANNEL")  
                print(pipe2seven_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAD30>             
               
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI -  CREATED PIPE2SEVEN WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  *** FAILED TO CREATE PIPE2SEVEN ***")
            nack4pipes = True
            ack4pipes = False  
                                    
        try:
            # -----------------------------------------------------------------------------------------    
            # EIGHT PIPE
            # -----------------------------------------------------------------------------------------     
            pipe2eight_consumer_channel, pipe2eight_publisher_channel = Pipe4Xi()
            if ack2debug is True:                   
                print("\n (STEP 1B/800) OF COLOR_NOUNS4XI -  CREATED PIPE2EIGHT_CONSUMER_CHANNEL")   
                print(pipe2eight_consumer_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AACF8> 
                
                print("\n (STEP 1C/800) OF COLOR_NOUNS4XI -  CREATED PIPE2EIGHT_PUBLISHER_CHANNEL")  
                print(pipe2eight_publisher_channel)
                # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AADA0>          
               
                print("\n (STEP 1D/800) OF COLOR_NOUNS4XI -  CREATED PIPE2EIGHT WITH CONSUMER AND PUBLISHER ENDS")
            
            ack4pipes = True
            nack4pipes = False
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 1C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PIPE2EIGHT ***")
            nack4pipes = True
            ack4pipes = False
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # ZERO QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                    
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2ZERO")
                print('=' *33)           
                 
            queue2zero = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2ZERO: ", queue2zero)
                # <queue4xi.Queue4Xi object at 0x000000000496E4E0>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2ZERO ***")
            ack4queues = False
            nack4queues = True   
            
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # ONE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2ONE")
                print('=' *33)           
                 
            queue2one = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2ONE: ", queue2one)
                # <queue4xi.Queue4Xi object at 0x00000000049AAEB8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2ONE ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # TWO QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2TWO")
                print('=' *33)           
                 
            queue2two = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2TWO: ", queue2two)
                # <queue4xi.Queue4Xi object at 0x00000000049C0048>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2TWO ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # THREE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2THREE")
                print('=' *33)           
                 
            queue2three = Queue4Xi()
            
            if ack2debug is True:              
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2THREE: ", queue2three)
                # <queue4xi.Queue4Xi object at 0x00000000049C0198>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2THREE ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # FOUR QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:             
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2FOUR")
                print('=' *33)           
                 
            queue2four = Queue4Xi()
            
            if ack2debug is True:             
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2FOUR: ", queue2four)
                # <queue4xi.Queue4Xi object at 0x00000000049C02E8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2FOUR ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # FIVE QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2FIVE")
                print('=' *33)           
                 
            queue2five = Queue4Xi()
            
            if ack2debug is True:               
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2FIVE: ", queue2five)
                # <queue4xi.Queue4Xi object at 0x00000000049C0438> 
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2FIVE ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # SIX QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2SIX")
                print('=' *33)           
                 
            queue2six = Queue4Xi()
            
            if ack2debug is True:    
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2SIX: ", queue2six)
                # <queue4xi.Queue4Xi object at 0x00000000049C0588>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2SIX ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # SEVEN QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2SEVEN")
                print('=' *33)           
                 
            queue2seven = Queue4Xi()
            
            if ack2debug is True:                 
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2SEVEN: ", queue2seven)
                # <queue4xi.Queue4Xi object at 0x00000000049C06D8>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2SEVEN ***")
            ack4queues = False
            nack4queues = True 
                                
        try:
            # -----------------------------------------------------------------------------------------    
            # EIGHT QUEUE
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:                  
                print('=' *33)    
                print("\n (STEP 2D1/800) OF COLOR_NOUNS4XI - CREATING QUEUE2EIGHT")
                print('=' *33)           
                 
            queue2eight = Queue4Xi()
            
            if ack2debug is True:     
                print('=' *33)    
                print("\n (STEP 2D2/800) OF COLOR_NOUNS4XI - CREATED QUEUE2EIGHT: ", queue2eight)
                # queue4xi.Queue4Xi object at 0x00000000049C0828>
            
            nack4queues = False
            ack4queues = True
        except:
            # -----------------------------------------------------------------------------------------    
            #
            # -----------------------------------------------------------------------------------------     
            print("\n (STEP 2D3/800) OF COLOR_NOUNS4XI - *** FAILED TO CREATE QUEUE2EIGHT ***")
            ack4queues = False
            nack4queues = True 
                                                                                                                                                                                                                                                                                                                                                                                                                                       
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (STEP 2X/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE COMMUNICATION MECHANISMS ***")                                                                                                 

    if ack2debug is True:         
        if ((ack4queues is True) and (ack4pipes is True)):
            print("\n (STEP 2Z/800) OF COLOR_NOUNS4XI - SUCCEEDED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES ", time4xi())
            # 00:52:28 03/11/13 Pacific Daylight Time
        else:
            print("\n (STEP 2Y1/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PIPE AND QUEUE COMMUNICATION MECHANISMS FOR PROCESSES *** ", time4xi())               

    
                  
    # =====================================================================================================
    # STEP 3 - COMMAND AND CONTROL MESSAGES PUT AND GET MANOEUVRES                         
    # =====================================================================================================              
    if ack2debug is True:
        print("\n (STEP 3/800) OF COLOR_NOUNS4XI - TRYING TO PUT AND SEND COMMAND AND CONTROL MESSAGES ", time4xi()) 
        # 
    
    ack2command = False 
    
    try:
        # -------------------------------------------------------------------------------------------------
        # PUT COMMAND AND CONTROL MESSAGES TO EIGHT QUEUES                         
        # ------------------------------------------------------------------------------------------------- 
        message2put4one = "<copy4xi>copy2one</copy4xi>"
        queue2one.put(message2put4one)
        if ack2debug is True:   
            print("\n (STEP 3C1/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2ONE: ", queue2one, " MESSAGE2PUT4ONE: " , message2put4one)
            # <copy4xi>copy2one</copy4xi> 
        
        message2put4two = "<copy4xi>copy2two</copy4xi>"
        queue2two.put(message2put4two)
        if ack2debug is True:   
            print("\n (STEP 3C2/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2TWO: ", queue2two, " MESSAGE2PUT4TWO: " , message2put4two)
            # <copy4xi>copy2two</copy4xi>                 
        
        message2put4three = "<copy4xi>copy2three</copy4xi>"
        queue2three.put(message2put4three)
        if ack2debug is True:   
            print("\n (STEP 3C3/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2THREE: ", queue2three, " MESSAGE2PUT4THREE: " , message2put4three)
            # <copy4xi>copy2three</copy4xi>                 
        
        message2put4four = "<copy4xi>copy2four</copy4xi>"
        queue2four.put(message2put4four)
        if ack2debug is True:   
            print("\n (STEP 3C4/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2FOUR: ", queue2four, " MESSAGE2PUT4FOUR: " , message2put4four)
            # <copy4xi>copy2four</copy4xi>                 
        
        message2put4five = "<copy4xi>copy2five</copy4xi>"
        queue2five.put(message2put4five)
        if ack2debug is True:   
            print("\n (STEP 3C5/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2FIVE: ", queue2five, " MESSAGE2PUT4FIVE: " , message2put4five)
            # <copy4xi>copy2five</copy4xi>                 
        
        message2put4six = "<copy4xi>copy2six</copy4xi>"
        queue2six.put(message2put4six)
        if ack2debug is True:   
            print("\n (STEP 3C6/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2SIX: ", queue2six, " MESSAGE2PUT4SIX: " , message2put4six)
            # <copy4xi>copy2six</copy4xi>                 
        
        message2put4seven = "<copy4xi>copy2seven</copy4xi>"
        queue2seven.put(message2put4seven)
        if ack2debug is True:   
            print("\n (STEP 3C7/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2SEVEN: ", queue2seven, " MESSAGE2PUT4SEVEN: " , message2put4seven)
            # <copy4xi>copy2seven</copy4xi>                 
        
        message2put4eight = "<copy4xi>copy2eight</copy4xi>"
        queue2eight.put(message2put4eight)
        if ack2debug is True:   
            print("\n (STEP 3C8/800) OF COLOR_NOUNS4XI - PUT TO QUEUE2EIGHT: ", queue2eight, " MESSAGE2PUT4EIGHT: " , message2put4eight)
            # <copy4xi>copy2eight</copy4xi>                 
                                                  
        # -------------------------------------------------------------------------------------------------
        # SEND COMMAND AND CONTROL MESSAGES TO EIGHT PIPES                          
        # -------------------------------------------------------------------------------------------------                 
        
        message2send4one = "<copy4xi>copy2one</copy4xi>"
        pipe2one_publisher_channel.send(message2send4one)
        if ack2debug is True:   
            print("\n (STEP 3F1/800) OF COLOR_NOUNS4XI - SEND TO PIPE2ONE_PUBLISHER_CHANNEL: ", pipe2one_publisher_channel, " MESSAGE2SEND4ONE: " , message2send4one)
            # <copy4xi>copy2one</copy4xi> 
        
        message2send4two = "<copy4xi>copy2two</copy4xi>"
        pipe2two_publisher_channel.send(message2send4two)
        if ack2debug is True:   
            print("\n (STEP 3F2/800) OF COLOR_NOUNS4XI - SEND TO PIPE2TWO_PUBLISHER_CHANNEL: ", pipe2two_publisher_channel, " MESSAGE2SEND4TWO: " , message2send4two)
            # <copy4xi>copy2two</copy4xi> 
        
        message2send4three = "<copy4xi>copy2three</copy4xi>"
        pipe2three_publisher_channel.send(message2send4three)
        if ack2debug is True:   
            print("\n (STEP 3F3/800) OF COLOR_NOUNS4XI - SEND TO PIPE2THREE_PUBLISHER_CHANNEL: ", pipe2three_publisher_channel, " MESSAGE2SEND4THREE: " , message2send4three)
            # <copy4xi>copy2three</copy4xi> 
        
        message2send4four = "<copy4xi>copy2four</copy4xi>"
        pipe2four_publisher_channel.send(message2send4four)
        if ack2debug is True:   
            print("\n (STEP 3F4/800) OF COLOR_NOUNS4XI - SEND TO PIPE2FOUR_PUBLISHER_CHANNEL: ", pipe2four_publisher_channel, " MESSAGE2SEND4FOUR: " , message2send4four)
            # <copy4xi>copy2four</copy4xi>                 
        
        message2send4five = "<copy4xi>copy2five</copy4xi>"
        pipe2five_publisher_channel.send(message2send4five)
        if ack2debug is True:   
            print("\n (STEP 3F5/800) OF COLOR_NOUNS4XI - SEND TO PIPE2FIVE_PUBLISHER_CHANNEL: ", pipe2five_publisher_channel, " MESSAGE2SEND4FIVE: " , message2send4five)
            # <copy4xi>copy2five</copy4xi> 
        
        message2send4six = "<copy4xi>copy2six</copy4xi>"
        pipe2six_publisher_channel.send(message2send4six)
        if ack2debug is True:   
            print("\n (STEP 3F6/800) OF COLOR_NOUNS4XI - SEND TO PIPE2SIX_PUBLISHER_CHANNEL: ", pipe2six_publisher_channel, " MESSAGE2SEND4SIX: " , message2send4six)
            # <copy4xi>copy2six</copy4xi> 
        
        message2send4seven = "<copy4xi>copy2seven</copy4xi>"
        pipe2seven_publisher_channel.send(message2send4seven)
        if ack2debug is True:   
            print("\n (STEP 3F7/800) OF COLOR_NOUNS4XI - SEND TO PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel, " MESSAGE2SEND4SEVEN: " , message2send4seven)
            # <copy4xi>copy2seven</copy4xi>
        
        message2send4eight = "<copy4xi>copy2eight</copy4xi>"
        pipe2eight_publisher_channel.send(message2send4eight)
        if ack2debug is True:   
            print("\n (STEP 3F8/800) OF COLOR_NOUNS4XI - SEND TO PIPE2EIGHT_PUBLISHER_CHANNEL: ", pipe2eight_publisher_channel, " MESSAGE2SEND4EIGHT: " , message2send4eight)
            # <copy4xi>copy2eight</copy4xi>                             

        ack2command = True
        
        if ack2debug is True:                 
            print("\n (STEP 3F9/800) OF COLOR_NOUNS4XI - SUCCEEDED TO SETUP COMMAND AND CONTROL WITH QUEUS AND PIPES ", time4xi()) 
            # SUCCEEDED TO SETUP COMMAND AND CONTROL WITH QUEUS AND PIPES  07:58:31 10/26/10 Pacific Daylight Time
              
    except:
        # ---------------------------------------------------------------------------------------------    
        #
        # ---------------------------------------------------------------------------------------------     
        print("\n (STEP 3X/800) OF COLOR_NOUNS4XI *** FAILED TO SETUP COMMAND AND CONTROL ***")             

    # =====================================================================================================
    # CREATE PROCESSES - ONE FOR EACH DIRECTION OF EIGHT 
    # =====================================================================================================        
     
    #========
    # ONE
    #======== 
    try:                
        # -----------------------------------------------------------------------------------------    
        # 1 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2one = Process4Xi(target=charge2one4xi, args=(queue2one, pipe2one_consumer_channel, pipe2one_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 4A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2ONE: ", p2one)                    
            # <Process4Xi(Process4Xi-1, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 1 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2one = p2one.name
        if ack2debug is True:
            print("\n (STEP 4B/800) OF COLOR_NOUNS4XI - NAME2ONE: ", name2one) 
            # Process4Xi-1 
     
        ack2one4process = True
        nack2one4process = False
    except:
        nack2one4process = True
        ack2one4process = False 
        print("\n (STEP 4C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                           

  
    #=========
    # TWO
    #=========
    try:                
        # -----------------------------------------------------------------------------------------    
        # 2 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2two = Process4Xi(target=charge2two4xi, args=(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 5A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2TWO: ", p2two)                    
            # <Process4Xi(Process4Xi-2, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 2 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2two = p2two.name
        if ack2debug is True:
            print("\n (STEP 5B/800) OF COLOR_NOUNS4XI - NAME2TWO: ", name2two) 
            # 
     
        ack2two4process = True
        nack2two4process = False
    except:
        nack2two4process = True
        ack2two4process = False 
        print("\n (STEP 5C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                                        

    #========
    # THREE 
    #======== 

    try:                
        # -----------------------------------------------------------------------------------------    
        # 3 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2three = Process4Xi(target=charge2three4xi, args=(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 6A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2THREE: ", p2three)                    
            # <Process4Xi(Process4Xi-3, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 3 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2three = p2three.name
        if ack2debug is True:
            print("\n (STEP 6B/800) OF COLOR_NOUNS4XI - NAME2THREE: ", name2three)  
            # Process4Xi-3
     
        ack2three4process = True
        nack2three4process = False
    except:
        nack2three4process = True
        ack2three4process = False 
        print("\n (STEP 6C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                                        

    
    #===========
    # FOUR
    #=========== 

    try:                
        # -----------------------------------------------------------------------------------------    
        # 4 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2four = Process4Xi(target=charge2four4xi, args=(queue2four, pipe2four_consumer_channel, pipe2four_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 7A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2FOUR: ", p2four)                    
            # <Process4Xi(Process4Xi-4, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 4 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2four = p2four.name
        if ack2debug is True:
            print("\n (STEP 7B/800) OF COLOR_NOUNS4XI - NAME2FOUR: ", name2four) 
            # 
     
        ack2four4process = True
        nack2four4process = False
    except:
        nack2four4process = True
        ack2four4process = False 
        print("\n (STEP 7C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                                        

    
    #===========
    # FIVE
    #=========== 
        
    try:                
        # -----------------------------------------------------------------------------------------    
        # 5 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2five = Process4Xi(target=charge2five4xi, args=(queue2five, pipe2five_consumer_channel, pipe2five_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 8A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2FIVE: ", p2five)                    
            # <Process4Xi(Process4Xi-5, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 5 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2five = p2five.name
        if ack2debug is True:
            print("\n (STEP 8B/800) OF COLOR_NOUNS4XI - NAME2FIVE: ", name2five)  
            # 
     
        ack2five4process = True
        nack2five4process = False
    except:
        nack2five4process = True
        ack2five4process = False 
        print("\n (STEP 8C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                                        
     
    
    #===========
    # SIX
    #===========         

    try:                
        # -----------------------------------------------------------------------------------------    
        # 6 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2six = Process4Xi(target=charge2six4xi, args=(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 9A/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2SIX: ", p2six)                    
            # CREATED PROCESS OBJECT P2SIX:  <Process4Xi(Process4Xi-6, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 6 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2six = p2six.name
        if ack2debug is True:
            print("\n (STEP 9B/800) OF COLOR_NOUNS4XI - NAME2SIX: ", name2six) 
            # 
     
        ack2six4process = True
        nack2six4process = False
    except:
        nack2six4process = True
        ack2six4process = False 
        print("\n (STEP 9C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")                                        

    
    #=============
    # SEVEN
    #=============               
 
    if ack2debug is True:
        print("\n (STEP 10A/800) OF COLOR_NOUNS4XI - TRYING TO CREATE PROCESS SEVEN")      
    try:                 
        # -----------------------------------------------------------------------------------------    
        # 7 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2seven = Process4Xi(target=charge2seven4xi, args=(queue2seven, pipe2seven_consumer_channel, pipe2seven_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 10B/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2SEVEN: ", p2seven)                    
            # <Process4Xi(Process4Xi-7, initial)>
        ack2seven4process = True
        nack2seven4process = False     
    except:
        nack2seven4process = True
        ack2seven4process = False 
        print("\n (STEP 10C/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")
            
    if ack2seven4process is True:                            
        # -----------------------------------------------------------------------------------------    
        # 7 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2seven = p2seven.name
        if ack2debug is True:
            print("\n (STEP 10D/800) OF COLOR_NOUNS4XI - NAME2SEVEN: ", name2seven) 
            # 
     
        ack2seven4process = True
        nack2seven4process = False
    else:
        print("\n (STEP 10B2/800) OF COLOR_NOUNS4XI ** SKIPPED CHECKING NAME2SEVEN - PROCESS SEVEN DID NOT EXIST **") 
        print("\n (STEP 10B3/800) OF COLOR_NOUNS4XI ** QUEUE2SEVEN: ", queue2seven)     
        print("\n (STEP 10B4/800) OF COLOR_NOUNS4XI ** PIPE2SEVEN_CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)                             
        print("\n (STEP 10B5/800) OF COLOR_NOUNS4XI ** PIPE2SEVEN_PUBLISHER_CHANNEL: ", pipe2seven_publisher_channel)               
        print("\n (STEP 10B6/800) OF COLOR_NOUNS4XI ** CHARGE2SEVEN4XI: ", charge2seven4xi)
    
    #=============
    # EIGHT
    #=============              
    if ack2debug is True:
        print("\n (STEP 11A/800) OF COLOR_NOUNS4XI - TRYING TO CREATE PROCESS EIGHT")  

    try:                
        # -----------------------------------------------------------------------------------------    
        # 8 - CREATE PROCESS WITH TARGET FUNCTION
        # -----------------------------------------------------------------------------------------                     
        p2eight = Process4Xi(target=charge2eight4xi, args=(queue2eight, pipe2eight_consumer_channel, pipe2eight_publisher_channel))
        if ack2debug is True:
            print("\n (STEP 11B/800) OF COLOR_NOUNS4XI - CREATED PROCESS OBJECT P2EIGHT: ", p2eight)                    
            # <Process4Xi(Process4Xi-8, initial)>
                    
        # -----------------------------------------------------------------------------------------    
        # 8 - GET NAME OF PROCESS
        # -----------------------------------------------------------------------------------------                        
        name2eight = p2eight.name
        if ack2debug is True:
            print("\n (STEP 11C/800) OF COLOR_NOUNS4XI - NAME2EIGHT: ", name2eight) 
            # 
     
        ack2eight4process = True
        nack2eight4process = False
    except:
        nack2eight4process = True
        ack2eight4process = False 
        print("\n (STEP 11D/800) OF COLOR_NOUNS4XI *** FAILED TO CREATE PROCESS *** ")
        
    # =====================================================================================================
    # EOF CREATING PROCESSES - ONE FOR EACH DIRECTION OF EIGHT 
    # =====================================================================================================        
                                       
                 
        

    # =====================================================================================================   
    # START PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
    
    #========
    # ONE
    #========
    nack2one4start = True
    ack2one4start = False      
                                   
    if ack2one4process is True:
        # -----------------------------------------------------------------------------------------    
        # 1 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 12C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2one)
            # 
        try:
            p2one.start()
            if ack2debug is True:
                print("\n (STEP 12C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2one)
                # Process4Xi-1
                        
            ack2one4start = True
            nack2one4start = False 
        except:
            print("\n (STEP 12C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS ONE") 
    else:
        print("\n (STEP 12C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS ONE")                          


    
    #=========
    # TWO
    #=========
    nack2two4start = True
    ack2two4start = False                                         
    
    if ack2two4process is True:
        # -----------------------------------------------------------------------------------------    
        # 2 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 13C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2two)
            # 
        try:
            p2two.start()
            if ack2debug is True:
                print("\n (STEP 13C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2two)
                # Process4Xi-2
                        
            ack2two4start = True
            nack2two4start = False 
        except:
            print("\n (STEP 13C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS TWO")   
    else:
        print("\n (STEP 13C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS TWO")                         


    #========
    # THREE 
    #======== 
    nack2three4start = True
    ack2three4start = False     
                                  
    if ack2three4process is True:
        # -----------------------------------------------------------------------------------------    
        # 3 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 14C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2three)
            # Process4Xi-3
        try:
            p2three.start()
            if ack2debug is True:
                print("\n (STEP 14C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2three)
                # Process4Xi-3
                        
            ack2three4start = True
            nack2three4start = False 
        except:
            print("\n (STEP 14C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS THREE")  
            nack2three4start = True
            ack2three4start = False                            
    else:
        print("\n (STEP 14C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS THREE")   

    
    #===========
    # FOUR
    #=========== 
    nack2four4start = True
    ack2four4start = False   
                                   
    if ack2four4process is True:
        # -----------------------------------------------------------------------------------------    
        # 4 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 15C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2four)
            # Process4Xi-1
        try:
            p2four.start()
            if ack2debug is True:
                print("\n (STEP 15C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2four)
                # Process4Xi-4
                        
            ack2four4start = True
            nack2four4start = False 
        except:
            print("\n (STEP 15C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS FOUR") 
    else:
        print("\n (STEP 15C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FOUR")                            


    
    #===========
    # FIVE
    #=========== 
    nack2five4start = True
    ack2five4start = False 
                    
    if ack2five4process is True:
        # -----------------------------------------------------------------------------------------    
        # 5 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 16C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2five)
            # Process4Xi-1
        try:
            p2five.start()
            if ack2debug is True:
                print("\n (STEP 16C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2five)
                # Process4Xi-5
                        
            ack2five4start = True
            nack2five4start = False 
        except:
            print("\n (STEP 16C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS FIVE") 
    else:
        print("\n (STEP 16C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS FIVE")                        


    
    #===========
    # SIX
    #===========         
    nack2six4start = True
    ack2six4start = False        
                                   
    if ack2six4process is True:
        # -----------------------------------------------------------------------------------------    
        # 6 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 17C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2six)
            # Process4Xi-1
        try:
            p2six.start()
            if ack2debug is True:
                print("\n (STEP 17C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2six)
                # Process4Xi-6
                        
            ack2six4start = True
            nack2six4start = False 
        except:
            print("\n (STEP 17C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS SIX")  
    else:
        print("\n (STEP 17C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SIX")                       


    
    #=============
    # SEVEN
    #=============              
    nack2seven4start = True
    ack2seven4start = False         
                                   
    if ack2seven4process is True:
        # -----------------------------------------------------------------------------------------    
        # 7 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 18C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2seven)
            # Process4Xi-1
        try:
            p2seven.start()
            if ack2debug is True:
                print("\n (STEP 18C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2seven)
                # Process4Xi-7
                        
            ack2seven4start = True
            nack2seven4start = False 
        except:
            print("\n (STEP 18C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS SEVEN")   
    else:
        print("\n (STEP 18C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS SEVEN")                      


    
    #=============
    # EIGHT
    #=============              
    nack2eight4start = True
    ack2eight4start = False                                        
    
    if ack2eight4process is True:
        # -----------------------------------------------------------------------------------------    
        # 8 - START PROCESS
        # -----------------------------------------------------------------------------------------                   
        if ack2debug is True:
            print("\n (STEP 19C1/800) OF COLOR_NOUNS4XI - STARTING PROCESS NAME: ", name2eight)
            # Process4Xi-1
        try:
            p2eight.start()
            if ack2debug is True:
                print("\n (STEP 19C2/800) OF COLOR_NOUNS4XI - STARTED PROCESS NAME: ", name2eight)
                # Process4Xi-8
                        
            ack2eight4start = True
            nack2eight4start = False 
        except:
            print("\n (STEP 19C3/800) OF COLOR_NOUNS4XI *** FAILED TO START PROCESS EIGHT") 
    else:
        print("\n (STEP 19C4/800) OF COLOR_NOUNS4XI ** SKIPPED STARTING PROCESS - FAILED TO CREATE PROCESS EIGHT")                          


    # =====================================================================================================   
    # EOF STARTING PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
   

    # =====================================================================================================   
    # RUN PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =====================================================================================================      
    
    #========
    # ONE
    #========
    nack2one4run = True
    ack2one4run = False  
                                                   
    if ack2one4process is True:

        if ack2one4start is True:
            # -----------------------------------------------------------------------------------------    
            # 1 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 20D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2one, " IS ALIVE")
                # Process4Xi-1  IS ALIVE
            try:                    
                if ack2debug is True:
                    print("\n (STEP 20D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2one.is_alive())
                    # PROCESS STATUS:  True 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 1 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 20D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2one) 
                # TRYING TO RUN PROCESS NAME:  Process4Xi-1
            try: 
                p2one.run()
                if ack2debug is True:
                    print("\n (STEP 20D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2one) 
                    # Process4Xi-1
                ack2one4run = True
                nack2one4run = False  
            except:
                print("\n (STEP 20D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2one)

        else:
            print("\n (STEP 20D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2one)
    else:
        print("\n (STEP 20D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS ONE")                                  

    
    #=========
    # TWO
    #=========
    ack2two4run = False
    nack2two4run = True 
                
    if ack2two4process is True:
                

        if ack2two4start is True:
            # -----------------------------------------------------------------------------------------    
            # 2 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 21D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2two, " IS ALIVE")
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 21D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2two.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 2 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 21D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2two)
                # 
            try: 
                p2two.run()
                if ack2debug is True:
                    print("\n (STEP 21D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2two)
                    # Process4Xi-2
                
                nack2two4run = False
                ack2two4run = True   
            except:
                print("\n (STEP 21D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2two)

        else:
            print("\n (STEP 21D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2two)
                            
    else:
        print("\n (STEP 21D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS TWO")  
        
    #========
    # THREE 
    #======== 
    ack2three4run = False
    nack2three4run = True
     
    if ack2three4process is True:

        if ack2three4start is True:
            # -----------------------------------------------------------------------------------------    
            # 3 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 22D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2three, " IS ALIVE")
                # Process4Xi-3  IS ALIVE
            try:                    
                if ack2debug is True:
                    print("\n (STEP 22D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2three.is_alive())
                    # PROCESS STATUS:  True 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 3 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 22D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2three)
                # Process4Xi-3
            
            try: 
                p2three.run()
                if ack2debug is True:
                    print("\n (STEP 22D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2three)
                    # Process4Xi-3
                
                nack2three4run = False
                ack2three4run = True   
            except:
                print("\n (STEP 22D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2three)

        else:
            print("\n (STEP 22D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2three)
                            
    else:
        print("\n (STEP 22D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS THREE")  
    
    #===========
    # FOUR
    #=========== 
    ack2four4run = False
    nack2four4run = True
     
    if ack2four4process is True:

        if ack2four4start is True:
            # -----------------------------------------------------------------------------------------    
            # 4 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 23D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2four, " IS ALIVE")
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 23DD2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2four.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 4 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 23D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2four)
                # 
            try: 
                p2four.run()
                if ack2debug is True:
                    print("\n (STEP 23D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2four)
                    # Process4Xi-4
                 
                nack2four4run = False
                ack2four4run = True   
            except:
                print("\n (STEP 23D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2four)

        else:
            print("\n (STEP 23D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2four)
    else:
        print("\n (STEP 23D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FOUR")                              

    
    #===========
    # FIVE
    #=========== 
    ack2five4run = False
    nack2five4run = True 
                        
    if ack2five4process is True:

        if ack2five4start is True:
            # -----------------------------------------------------------------------------------------    
            # 5 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 24D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2five, " IS ALIVE")
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 24D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2five.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 5 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 24D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2five)
                # 
            try: 
                p2five.run()
                if ack2debug is True:
                    print("\n (STEP 24D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2five)
                    # Process4Xi-5
                
                nack2five4run = False
                ack2five4run = True   
            except:
                print("\n (STEP 24D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2five)

        else:
            print("\n (STEP 24D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2five)
    else:
        print("\n (STEP 24D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS FIVE")                              

    #===========
    # SIX
    #===========         
    ack2six4run = False
    nack2six4run = True 
                     
    if ack2six4process is True:

        if ack2six4start is True:
            # -----------------------------------------------------------------------------------------    
            # 6 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 25D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2six, " IS ALIVE")
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 25D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2six.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 6 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 25D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2six)
            # 
            try: 
                p2six.run()
                if ack2debug is True:
                    print("\n (STEP 25D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2six)
                    # Process4Xi-6
                 
                nack2six4run = False
                ack2six4run = True   
            except:
                if ack2debug is True:
                    print("\n (STEP 25D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2six)
                    ack2six4run = False
                nack2six4run = True 
        else:
            print("\n (STEP 25D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2six)
                            
    else:
        print("\n (STEP 25D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SIX")  
    

     
    #=============
    # SEVEN
    #=============              
    ack2seven4run = False
    nack2seven4run = True 
                
    if ack2seven4process is True:

        if ack2seven4start is True:
            # -----------------------------------------------------------------------------------------    
            # 7 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 26D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2seven, " IS ALIVE")
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 26D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2seven.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 7 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 26D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2seven)
                # 
            try: 
                p2seven.run()
                if ack2debug is True:
                    print("\n (STEP 26D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2seven)
                    # Process4Xi-7 
                
                nack2seven4run = False
                ack2seven4run = True   
            except:
                print("\n (STEP 26D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2seven)

        else:
            print("\n (STEP 26D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2seven)
    else:
        print("\n (STEP 26D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS SEVEN")                              

    
    #=============
    # EIGHT
    #=============              
    ack2eight4run = False
    nack2eight4run = True 
                
    if ack2eight4process is True:

        if ack2eight4start is True:
            # -----------------------------------------------------------------------------------------    
            # 8 - ALIVE ?
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 27D1/800) OF COLOR_NOUNS4XI - TESTING WHETHER PROCESS NAME: ", name2eight, " IS ALIVE") 
                # 
            try:                    
                if ack2debug is True:
                    print("\n (STEP 27D2/800) OF COLOR_NOUNS4XI - PROCESS STATUS: ", p2eight.is_alive())
                    # 
            except:
                pass

            # -----------------------------------------------------------------------------------------    
            # 8 - RUN
            # -----------------------------------------------------------------------------------------                   
            if ack2debug is True:
                print("\n (STEP 27D3/800) OF COLOR_NOUNS4XI - TRYING TO RUN PROCESS NAME: ", name2eight)
                # 
            try: 
                p2eight.run()
                if ack2debug is True:
                    print("\n (STEP 27D4/800) OF COLOR_NOUNS4XI - PERFORMED RUN TO PROCESS NAME: ", name2eight)
                    # Process4Xi-8
                
                nack2eight4run = False
                ack2eight4run = True   
            except:
                print("\n (STEP 27D5/800) OF COLOR_NOUNS4XI *** FAILED TO RUN PROCESS NAME: ", name2eight)

        else:
            print("\n (STEP 27D6/800) OF COLOR_NOUNS4XI ** SKIPPED TO RUN - FAILED TO START PROCESS NAME: ", name2eight)
    else:
        print("\n (STEP 27D7/800) OF COLOR_NOUNS4XI ** SKIPPED RUNNING PROCESS - FAILED TO CREATE PROCESS EIGHT")                              

    # =========================================================================================================   
    # EOF RUNNING PROCESSES - FOR DIRECTIONS ONE TO EIGHT 
    # =========================================================================================================      
        
              

    # =========================================================================================================   
    # GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH OF EIGHT PROCESS 
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

                            
            if ack2one4run is True:
                # -----------------------------------------------------------------------------------------    
                # 1 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 28F1/800) OF COLOR_NOUNS4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2one)
                    # TRYING TO GET FROM QUEUE <queue4xi.Queue4Xi object at 0x02BA7090>
                message2get4one = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 28F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2one, " MESSAGE: ", message2get4one) 
                    # <queue4xi.Queue4Xi object at 0x038D5290>  MESSAGE:  <roger4xi>roger2one</roger4xi>
                
            else:
                print("\n (STEP 28F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                    
        else:
            print("\n (STEP 285F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (STEP 28F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========
                                   
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
                # -----------------------------------------------------------------------------------------    
                # 2 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 29F1/800) OF COLOR_NOUNS4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2two) 
                    # 
                
                message2get4two = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 29F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2two, " MESSAGE: ", message2get4two)
                    # <queue4xi.Queue4Xi object at 0x038D53B0>  MESSAGE:  <roger4xi>roger2two</roger4xi>
                
            else:
                print("\n (STEP 29F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)    
        else:
            print("\n (STEP 29F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (STEP 29F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
                # -----------------------------------------------------------------------------------------    
                # 3 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 30F1/800) OF COLOR_NOUNS4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2three)
                    # 
                
                message2get4three = queue2three.get()
                if ack2debug is True:
                    print("\n (STEP 30F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2three, " MESSAGE: ", message2get4three)
                    # <queue4xi.Queue4Xi object at 0x038D54B0>  MESSAGE:  <roger4xi>roger2three</roger4xi> 
                
            else:
                print("\n (STEP 30F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)                  

        else:
            print("\n (STEP 30F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (STEP 30F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

                                  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
                # -----------------------------------------------------------------------------------------    
                # 4 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 31F1/800) OF COLOR_NOUNS4XI - TRYING TO GET CONTROL MESSAGE FROM QUEUE", queue2four)
                    # 
                
                message2get4four = queue2four.get()
                if ack2debug is True:
                    print("\n (STEP 31F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2four, " MESSAGE: ", message2get4four)
                    # <queue4xi.Queue4Xi object at 0x038D0E30>  MESSAGE:  <roger4xi>roger2four</roger4xi>

            else:
                print("\n (STEP 31F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)                 
    
        else:
            print("\n (STEP 31F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (STEP 31F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
                # -----------------------------------------------------------------------------------------    
                # 5 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 32F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2five)
                    # <queue4xi.Queue4Xi object at 0x038D55B0>  MESSAGE:  <roger4xi>roger2five</roger4xi>
                
                message2get4five = queue2five.get()
                if ack2debug is True:
                    print("\n (STEP 32F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2five, " MESSAGE: ", message2get4five)
                    # 
       
            else:
                print("\n (STEP 32F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five) 
        else:
            print("\n (STEP 32F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                                         
    else:
        print("\n (STEP 32F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
                # -----------------------------------------------------------------------------------------    
                # 6 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 33F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2six)
                    # 
                
                message2get4six = queue2six.get()
                if ack2debug is True:
                    print("\n (STEP 33F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2six, " MESSAGE: ", message2get4six)
                    # <queue4xi.Queue4Xi object at 0x038D5790>  MESSAGE:  <roger4xi>roger2six</roger4xi>
            else:
                print("\n (STEP 33F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                

        else:
            print("\n (STEP 33F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (STEP 33F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
                # -----------------------------------------------------------------------------------------    
                # 7 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 34F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2seven)
                    # 
                
                message2get4seven = queue2seven.get()
                if ack2debug is True:
                    print("\n (STEP 34F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2seven, " MESSAGE: ", message2get4seven)
                    # <queue4xi.Queue4Xi object at 0x038D5890>  MESSAGE:  <roger4xi>roger2seven</roger4xi> 

            else:
                print("\n (STEP 34F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)                                        
        else:
            print("\n (STEP 34F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                 
    else:
        print("\n (STEP 34F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
                # -----------------------------------------------------------------------------------------    
                # 8 - GET ANSWER TO CONTROL MESSAGE FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT ANSWER
                # -----------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 35F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE CONTROL MESSAGE ", queue2eight)
                    # 
                
                message2get4eight = queue2eight.get()
                if ack2debug is True:
                    print("\n (STEP 35F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE CONTROL MESSAGE : ", queue2eight, " MESSAGE: ", message2get4eight)
                    # <queue4xi.Queue4Xi object at 0x038D5990>  MESSAGE:  <roger4xi>roger2eight</roger4xi>
                
    
            else:
                print("\n (STEP 35F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN RUNNING PROCESS NAME: ", name2eight)                                         
        else:
            print("\n (STEP 35F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN STARTING THE PROCESS ", time4xi())                    
    else:
        print("\n (STEP 35F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())   

    # =========================================================================================================   
    # EOF GET ANSWERS FROM QUEUES TO CONTROL MESSAGES - FROM QUEUES OF EACH OF EIGHT PROCESS 
    # =========================================================================================================      
            
    # =========================================================================================================   
    # RECEIVE VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES 
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 36F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 36F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000448F390>  CONTROL MESSAGE:  <roger4xi>roger2one</roger4xi>
                
            else:
                print("\n (STEP 36F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2one)                 
        else:
            print("\n (STEP 36F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (STEP 36F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 2 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 37F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 37F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, "  CONTROL MESSAGE: ", message2receive4two)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004955978>   CONTROL MESSAGE:  <roger4xi>roger2two</roger4xi>
            else:
                print("\n (STEP 37F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2two)      
            
        else:
            print("\n (STEP 37F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (STEP 37F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 3 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 38F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 38F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " CONTROL MESSAGE: ", message2receive4three)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC88>  CONTROL MESSAGE:  <roger4xi>roger2three</roger4xi>
            else:
                print("\n (STEP 38F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2three)       
        else:
            print("\n (STEP 38F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (STEP 38F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 4 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 39F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 39F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, "  CONTROL MESSAGE: ", message2receive4four)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA400>   CONTROL MESSAGE:  <roger4xi>roger2four</roger4xi>
            else:
                print("\n (STEP 39F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2four)  
        else:
            print("\n (STEP 39F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (STEP 39F50/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 5 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 40F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 40F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, "  CONTROL MESSAGE : ", message2receive4five)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AABA8>   CONTROL MESSAGE :  <roger4xi>roger2five</roger4xi>
            else:
                print("\n (STEP 40F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2five)      
        else:
            print("\n (STEP 40F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (STEP 40F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 6 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 41F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 41F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, "  CONTROL MESSAGE: ", message2receive4six)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA908>   CONTROL MESSAGE:  <roger4xi>roger2six</roger4xi>
            else:
                print("\n (STEP 41F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2six)   
        else:
            print("\n (STEP 41F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (STEP 41F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                
                # -----------------------------------------------------------------------------------------    
                # 7 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 42F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 42F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, "  CONTROL MESSAGE: ", message2receive4seven)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC18>   CONTROL MESSAGE:  <roger4xi>roger2seven</roger4xi>
            else:
                print("\n (STEP 42F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2seven)            

        else:
            print("\n (STEP 42F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (STEP 42F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 8 - RECEIVE ANSWER TO CONTROL MESSAGE FROM PIPE WHERE PROCESS TARGET FUNCTION HAS SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 43F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 43F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " CONTROL MESSAGE: ", message2receive4eight)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AACF8>  CONTROL MESSAGE:  <roger4xi>roger2eight</roger4xi>
            else:
                print("\n (STEP 43F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS NAME: ", name2eight)    
        else:
            print("\n (STEP 43F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (STEP 43F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
            
    # =========================================================================================================   
    # EOF RECEIVING VIA PIPES ANSWERS TO CONTROL MESSAGE - FROM EACH OF EIGHT PROCESSES 
    # =========================================================================================================      
           
    # =========================================================================================================   
    # RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - MASTER ONES ONLY
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 44F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel) 
                    # 
                 
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 44F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4one)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000448F390>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2one</ack2put4xi>
            else:
                print("\n (STEP 44F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2one)              

        else:
            print("\n (STEP 44F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (STEP 44F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 2 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 45F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel) 
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 45F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4two)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004955978>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2two</ack2put4xi>
                 
            else:
                print("\n (STEP 45F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2two)             

        else:
            print("\n (STEP 45F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (STEP 45F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 
 
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 3 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 46F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 46F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4three)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC88>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2three</ack2put4xi>
            else:
                print("\n (STEP 46F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2three)                 

        else:
            print("\n (STEP 46F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (STEP 46F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 4 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 47F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 47F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4four)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA400>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2four</ack2put4xi>
            else:
                print("\n (STEP 47F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2four)                        
    
        else:
            print("\n (STEP 47F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (STEP 47C5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 5 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 48F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 48F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4five)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AABA8>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2five</ack2put4xi>
            else:
                print("\n (STEP 48F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2five)                    

        else:
            print("\n (STEP 48F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (STEP 48F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 6 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 49F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 49F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4six)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AA908>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2six</ack2put4xi>
            else:
                print("\n (STEP 49F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2six)               

        else:
            print("\n (STEP 49F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (STEP 49F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 7 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 50F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 50F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " MESSAGE  ABOUT DICTIONARY PUT: ", message2receive4seven)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AAC18>  MESSAGE  ABOUT DICTIONARY PUT:  <ack2put4xi>queue2seven</ack2put4xi>
            else:
                print("\n (STEP 50F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2seven)               

        else:
            print("\n (STEP 50F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (STEP 50F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              
 
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                
                # -----------------------------------------------------------------------------------------    
                # 8 - RECEIVE INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPE
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 51F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 51F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " : ", message2receive4eight)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x00000000049AACF8>  :  <ack2put4xi>queue2eight</ack2put4xi>
            else:
                print("\n (STEP 51F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2eight)
        else:
            print("\n (STEP 51F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (STEP 51F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
           
    # ===========================================================================================================   
    # EOF RECEIVING INFO ABOUT SUCCESFULL DICTIONARY PUT VIA PIPES FROM EACH PROCESS/DIRECTION - MASTER ONES ONLY
    # ===========================================================================================================      
           
    # =========================================================================================================   
    # GET DICTIONARIES FROM QUEUES ONE ... EIGHT MASTER MODULES
    # =========================================================================================================      
    
    #========
    # ONE
    #========

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 1 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 52F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE ONE", queue2one)  
                    # <queue4xi.Queue4Xi object at 0x029E7090>
                
                dictionary2get4one = {} 
                try:
                    dictionary2get4one = queue2one.get() 
                         
                    if ack2debug is True:
                        print("\n (STEP 52F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE ONE: ", queue2one, " DICTIONARY: ", dictionary2get4one) 
                        # {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z', 5: '0x13y14z', 6: '0x13y15z', 7: '0x1y39z', 8: '0x1y59z', 9: '0x2y69z', 10: '0x30y25z', 11: '0x3y69z', 12: '0x4y69z', 13: '0x50y32z', 14: '0x72y34z', 15: '10x18y21z', 16: '10x47y34z', 17: '10x70y36z', 18: '11x16y21z', 19: '11x17y21z', 20: '12x0y15z', 21: '12x16y21z', 22: '13x14y22z', 23: '13x15y22z', 24: '13x46y35z', 25: '14x12y22z', 26: '14x13y22z', 27: '14x69y37z', 28: '15x10y23z', 29: '15x11y22z', 30: '15x45y35z', 31: '16x35y30z', 32: '17x44y36z', 33: '18x34y31z', 34: '18x67y38z', 35: '1x12y15z', 36: '1x30y25z', 37: '20x33y31z', 38: '21x32y31z', 39: '21x66y39z', 40: '23x30y32z', 41: '24x29y32z', 42: '24x64y39z', 43: '25x27y32z', 44: '26x25y33z', 45: '27x24y33z', 46: '27x63y40z', 47: '28x22y34z', 48: '29x20y34z', 49: '2x12y15z', 50: '2x30y26z', 51: '2x5y7z', 52: '2x5y8z', 53: '31x61y41z', 54: '33x59y41z', 55: '34x47y37z', 56: '35x0y34z', 57: '36x45y38z', 58: '36x56y42z', 59: '38x43y38z', 60: '3x11y15z', 61: '3x12y15z', 62: '3x3y8z', 63: '3x49y33z', 64: '3x4y8z', 65: '3x71y35z', 66: '40x40y39z', 67: '42x38y40z', 68: '44x35y40z', 69: '45x33y41z', 70: '4x29y26z', 71: '4x3y8z', 72: '56x0y41z', 73: '5x29y26z', 74: '6x49y33z', 75: '7x28y26z', 76: '7x70y36z', 77: '8x19y20z', 78: '8x27y27z', 79: '8x48y34z', 80: '9x19y21z', 81: '9x27y27z'}

                    shot2one104xi = dictionary2get4one
                    
                except:
                    dictionary2get4one = shot2one104xi 
                    print("\n (STEP 52F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE ONE - USING SHOT2ONE104XI: ", shot2one104xi)
            else:
                print("\n (STEP 52F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING ONE- FAILED RUNNING PROCESS NAME: ", name2one)               
            
        else:
            print("\n (STEP 52F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING ONE - FAILED STARTING PROCESS NAME: ", name2one)                                         
    else:
        print("\n (STEP 52F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING ONE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    
    #=========
    # TWO
    #=========

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 2 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 53F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE TWO ", queue2two)  
                    # 
                
                dictionary2get4two = {} 
                try:
                    dictionary2get4two = queue2two.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 53F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE TWO : ", queue2two, " DICTIONARY: ", dictionary2get4two)
                        # {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'}
 
                    
                    shot2two104xi = dictionary2get4two
                    
                except:
                    dictionary2get4two = shot2two104xi 
                    print("\n (STEP 53F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE TWO  - USING SHOT2TWO104XI: ", shot2two104xi)
             
            else:
                print("\n (STEP 53F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                   
        else:
            print("\n (STEP 53F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING TWO  - FAILED RUNNING PROCESS NAME: ", name2two)                                         
    else:
        print("\n (STEP 53F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING TWO  - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # THREE 
    #======== 

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 3 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 54F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE THREE ", queue2three)  
                    # TRYING TO GET FROM QUEUE <queue4xi.Queue4Xi object at 0x03630710> 
                
                dictionary2get4three = {} 
                try:
                    dictionary2get4three = queue2three.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 54F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE THREE : ", queue2three, " DICTIONARY: ", dictionary2get4three)
                        # {1: '0x0y-39z', 2: '0x0y-69z', 3: '0x19y-4z', 4: '0x1y-69z', 5: '0x2y-69z', 6: '0x3y-69z', 7: '0x4y-69z', 8: '0x53y-26z', 9: '0x7y-29z', 10: '0x8y-39z', 11: '0x9y-38z', 12: '10x7y-58z', 13: '11x44y-19z', 14: '13x0y-58z', 15: '13x44y-19z', 16: '15x43y-19z', 17: '18x42y-18z', 18: '1x19y-4z', 19: '1x44y-21z', 20: '1x4y-69z', 21: '1x5y-69z', 22: '1x7y-28z', 23: '1x8y-28z', 24: '1x9y-2z', 25: '20x41y-18z', 26: '21x74y-45z', 27: '22x40y-17z', 28: '22x65y-40z', 29: '23x29y-13z', 30: '24x28y-12z', 31: '24x39y-17z', 32: '26x27y-12z', 33: '26x64y-39z', 34: '27x26y-11z', 35: '27x38y-16z', 36: '29x24y-11z', 37: '29x63y-38z', 38: '2x19y-4z', 39: '2x5y-69z', 40: '2x6y-69z', 41: '2x8y-28z', 42: '2x9y-1z', 43: '2x9y-2z', 44: '30x23y-11z', 45: '31x21y-10z', 46: '33x62y-37z', 47: '36x60y-37z', 48: '39x59y-36z', 49: '3x45y-21z', 50: '3x6y-59z', 51: '3x6y-69z', 52: '3x8y-28z', 53: '3x9y-1z', 54: '43x57y-35z', 55: '46x55y-35z', 56: '49x52y-34z', 57: '4x5y-18z', 58: '4x6y-59z', 59: '4x8y-1z', 60: '4x8y-28z', 61: '4x9y-1z', 62: '52x36y-27z', 63: '52x50y-33z', 64: '54x47y-32z', 65: '57x45y-32z', 66: '5x5y-18z', 67: '5x7y-59z', 68: '5x8y-1z', 69: '5x8y-28z', 70: '6x44y-20z', 71: '6x4y-18z', 72: '6x5y-18z', 73: '6x7y-1z', 74: '6x7y-59z', 75: '6x8y-28z', 76: '7x6y0z', 77: '7x7y-59z', 78: '7x7y0z', 79: '8x0y-18z', 80: '8x44y-20z', 81: '8x5y0z', 82: '8x7y-58z', 83: '9x7y-58z'}

                    
                    shot2three104xi = dictionary2get4three
                    
                except:
                    dictionary2get4three = shot2three104xi 
                    print("\n (STEP 54F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE THREE  - USING SHOT2THREE104XI: ", shot2three104xi)
             
            else:
                print("\n (STEP 54F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                
        else:
            print("\n (STEP 54F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING THREE  - FAILED RUNNING PROCESS NAME: ", name2three)                                         
    else:
        print("\n (STEP 54F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING THREE  - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    

    
    #===========
    # FOUR
    #=========== 

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 4 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 55F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE FOUR ", queue2four)  
                    # 
                
                dictionary2get4four = {} 
                try:
                    dictionary2get4four = queue2four.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 55F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE FOUR : ", queue2four, " DICTIONARY: ", dictionary2get4four)
                        # {1: '0x-9y2z', 2: '11x-23y53z', 3: '11x-9y47z', 4: '12x-15y2z', 5: '12x-23y53z', 6: '12x-9y47z', 7: '13x-14y2z', 8: '13x-9y47z', 9: '14x-13y1z', 10: '14x-14y1z', 11: '14x-23y53z', 12: '14x-8y47z', 13: '15x-12y1z', 14: '15x-23y53z', 15: '15x-7y46z', 16: '16x-10y1z', 17: '16x-11y1z', 18: '16x-6y46z', 19: '17x-22y52z', 20: '17x-5y46z', 21: '17x-6y46z', 22: '17x-9y0z', 23: '18x-22y52z', 24: '18x-4y46z', 25: '18x-7y0z', 26: '18x-8y0z', 27: '19x-2y45z', 28: '19x-3y45z', 29: '19x-6y0z', 30: '1x-1y29z', 31: '1x-9y2z', 32: '20x-21y52z', 33: '21x-20y51z', 34: '21x-45y62z', 35: '23x-19y51z', 36: '23x-44y61z', 37: '24x-18y51z', 38: '24x-1y54z', 39: '25x0y54z', 40: '26x-43y61z', 41: '28x-7y0z', 42: '29x-3y0z', 43: '29x-42y60z', 44: '29x-4y0z', 45: '29x-6y0z', 46: '2x-1y29z', 47: '2x-7y39z', 48: '2x-9y1z', 49: '2x-9y2z', 50: '30x-20y59z', 51: '31x-19y59z', 52: '31x-41y60z', 53: '33x-18y58z', 54: '34x-16y58z', 55: '34x-40y59z', 56: '36x-15y57z', 57: '36x-39y59z', 58: '37x-13y57z', 59: '38x-11y57z', 60: '39x-37y58z', 61: '39x-9y56z', 62: '3x-1y29z', 63: '3x-7y39z', 64: '3x-8y38z', 65: '3x-9y1z', 66: '40x-7y56z', 67: '41x-35y58z', 68: '41x-5y55z', 69: '42x-3y55z', 70: '43x-1y55z', 71: '43x-33y57z', 72: '46x-31y57z', 73: '48x-29y56z', 74: '4x-1y29z', 75: '4x-8y1z', 76: '4x-8y38z', 77: '4x-9y1z', 78: '56x-30y63z', 79: '5x-8y1z', 80: '5x-8y38z', 81: '6x-1y39z', 82: '6x-8y38z', 83: '6x0y39z', 84: '7x-8y38z', 85: '7x0y39z', 86: '8x-8y38z', 87: '9x-23y54z'}
 
                    
                    shot2four104xi = dictionary2get4four
                    
                except:
                    dictionary2get4four = shot2four104xi 
                    print("\n (STEP 55F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE FOUR  - USING SHOT2FOUR104XI: ", shot2four104xi)
            else:
                print("\n (STEP 55F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                
            
        else:
            print("\n (STEP 55F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FOUR  - FAILED RUNNING PROCESS NAME: ", name2four)                                         
    else:
        print("\n (STEP 55F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FOUR  - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
        
    
    #===========
    # FIVE
    #=========== 

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 5 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 56F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE FIVE ", queue2five)  
                    # 
                
                dictionary2get4five = {} 
                try:
                    dictionary2get4five = queue2five.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 56F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE FIVE : ", queue2five, " DICTIONARY: ", dictionary2get4five)
                        # {1: '-10x10y12z', 2: '-10x12y36z', 3: '-10x45y17z', 4: '-11x10y12z', 5: '-11x11y36z', 6: '-11x49y61z', 7: '-12x11y36z', 8: '-12x45y17z', 9: '-12x9y12z', 10: '-13x11y35z', 11: '-13x49y61z', 12: '-13x7y12z', 13: '-13x8y12z', 14: '-14x10y35z', 15: '-14x6y11z', 16: '-14x7y11z', 17: '-15x4y11z', 18: '-15x5y11z', 19: '-15x9y35z', 20: '-16x3y11z', 21: '-16x49y60z', 22: '-16x8y35z', 23: '-16x9y35z', 24: '-17x7y35z', 25: '-18x53y19z', 26: '-1x0y79z', 27: '-1x6y7z', 28: '-1x9y28z', 29: '-21x52y19z', 30: '-22x55y67z', 31: '-22x8y43z', 32: '-23x51y18z', 33: '-23x7y43z', 34: '-24x3y16z', 35: '-24x6y43z', 36: '-25x0y15z', 37: '-25x1y15z', 38: '-25x2y16z', 39: '-25x4y42z', 40: '-25x5y42z', 41: '-26x2y42z', 42: '-26x50y18z', 43: '-27x0y41z', 44: '-27x1y42z', 45: '-29x49y17z', 46: '-2x0y79z', 47: '-2x6y6z', 48: '-2x6y7z', 49: '-2x9y28z', 50: '-31x47y17z', 51: '-34x46y16z', 52: '-37x44y15z', 53: '-39x42y15z', 54: '-3x0y79z', 55: '-3x6y6z', 56: '-3x9y28z', 57: '-41x40y14z', 58: '-43x38y14z', 59: '-45x36y13z', 60: '-4x0y79z', 61: '-4x5y6z', 62: '-4x6y6z', 63: '-4x9y27z', 64: '-4x9y28z', 65: '-55x39y15z', 66: '-57x36y14z', 67: '-59x33y13z', 68: '-5x0y79z', 69: '-5x46y18z', 70: '-5x5y6z', 71: '-5x9y27z', 72: '-61x30y13z', 73: '-63x27y12z', 74: '-64x23y11z', 75: '-66x20y11z', 76: '-67x13y9z', 77: '-67x17y10z', 78: '-68x9y9z', 79: '-69x2y7z', 80: '-69x6y8z', 81: '-6x0y79z', 82: '-7x0y79z', 83: '-7x45y18z', 84: '-8x12y36z', 85: '-8x49y62z', 86: '-9x12y36z', 87: '0x0y79z', 88: '0x6y7z', 89: '0x8y28z'}

                    
                    shot2five104xi = dictionary2get4five
                    
                except:
                    dictionary2get4five = shot2five104xi 
                    print("\n (STEP 56F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE FIVE  - USING SHOT2FIVE104XI: ", shot2five104xi)
            else:
                print("\n (STEP 56F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)          
            
        else:
            print("\n (STEP 56F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FIVE  - FAILED RUNNING PROCESS NAME: ", name2five)                                         
    else:
        print("\n (STEP 56F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING FIVE  - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
        
    
    #===========
    # SIX
    #===========         

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 6 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 57F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE SIX ", queue2six)  
                    # 
                
                dictionary2get4six = {} 
                try:
                    dictionary2get4six = queue2six.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 57F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE SIX : ", queue2six, " DICTIONARY: ", dictionary2get4six)
                        # {1: '-11x47y-49z', 2: '-12x13y-7z', 3: '-13x12y-7z', 4: '-13x12y-8z', 5: '-13x46y-50z', 6: '-14x10y-8z', 7: '-14x11y-8z', 8: '-15x45y-50z', 9: '-15x8y-8z', 10: '-15x9y-8z', 11: '-16x4y-9z', 12: '-16x5y-9z', 13: '-16x6y-9z', 14: '-16x7y-9z', 15: '-17x44y-51z', 16: '-19x42y-51z', 17: '-1x0y-59z', 18: '-1x11y-27z', 19: '-1x9y-2z', 20: '-25x0y-15z', 21: '-25x1y-15z', 22: '-25x2y-15z', 23: '-25x3y-14z', 24: '-25x46y-59z', 25: '-25x5y-14z', 26: '-27x45y-60z', 27: '-29x43y-60z', 28: '-2x11y-27z', 29: '-2x9y-2z', 30: '-2x9y-3z', 31: '-31x41y-61z', 32: '-32x38y-61z', 33: '-34x36y-62z', 34: '-35x34y-62z', 35: '-35x48y0z', 36: '-36x32y-63z', 37: '-37x46y0z', 38: '-38x29y-63z', 39: '-39x24y-64z', 40: '-39x27y-64z', 41: '-3x10y-27z', 42: '-3x8y-3z', 43: '-3x9y-28z', 44: '-40x22y-65z', 45: '-40x44y0z', 46: '-42x42y-1z', 47: '-44x40y-1z', 48: '-46x22y-73z', 49: '-46x37y-2z', 50: '-48x35y-3z', 51: '-4x8y-3z', 52: '-4x9y-28z', 53: '-50x32y-3z', 54: '-51x29y-4z', 55: '-53x27y-4z', 56: '-54x24y-5z', 57: '-55x21y-6z', 58: '-56x18y-6z', 59: '-57x15y-7z', 60: '-5x0y-49z', 61: '-5x7y-3z', 62: '-67x14y-9z', 63: '-68x0y-12z', 64: '-68x10y-9z', 65: '-68x3y-11z', 66: '-68x7y-10z', 67: '-6x0y-49z', 68: '-6x11y-37z', 69: '-6x49y-48z', 70: '-7x0y-49z', 71: '-7x10y-37z', 72: '-7x1y-49z', 73: '-7x4y-38z', 74: '-7x7y-38z', 75: '-7x8y-38z', 76: '-7x9y-38z', 77: '-8x1y-49z', 78: '-8x2y-49z', 79: '-8x48y-49z', 80: '-8x4y-38z', 81: '-8x5y-38z', 82: '-8x6y-38z', 83: '-9x3y-48z', 84: '-9x3y-49z', 85: '-9x4y-48z', 86: '0x0y-59z', 87: '0x12y-27z'}

                    
                    shot2six104xi = dictionary2get4six
                    
                except:
                    dictionary2get4six = shot2six104xi 
                    print("\n (STEP 57F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE SIX  - USING SHOT2SIX104XI: ", shot2six104xi)
            else:
                print("\n (STEP 57F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)              
            
        else:
            print("\n (STEP 57F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SIX  - FAILED RUNNING PROCESS NAME: ", name2six)                                         
    else:
        print("\n (STEP 57F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SIX  - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
        
    
    #=============
    # SEVEN
    #=============              

    if ack2seven4process is True:

        if ack2seven4start is True:
 
            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------    
                # 7 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 58F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE SEVEN ", queue2seven)  
                    # 
                
                dictionary2get4seven = {} 
                try:
                    dictionary2get4seven = queue2seven.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 58F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE SEVEN : ", queue2seven, " DICTIONARY: ", dictionary2get4seven)
                        # {1: '-10x-11y36z', 2: '-10x-12y36z', 3: '-10x-13y36z', 4: '-10x-15y6z', 5: '-10x-15y7z', 6: '-11x-10y36z', 7: '-11x-14y7z', 8: '-11x-8y37z', 9: '-11x-9y37z', 10: '-12x-13y7z', 11: '-12x-60y33z', 12: '-13x-13y7z', 13: '-15x-59y33z', 14: '-18x-58y34z', 15: '-1x-1y89z', 16: '-1x-28y7z', 17: '-20x-47y30z', 18: '-21x-56y34z', 19: '-23x-45y30z', 20: '-25x-44y31z', 21: '-27x-42y31z', 22: '-29x-40y32z', 23: '-2x-25y42z', 24: '-2x-62y31z', 25: '-31x-39y32z', 26: '-33x-37y33z', 27: '-34x-20y30z', 28: '-34x-35y33z', 29: '-35x-16y31z', 30: '-35x-18y30z', 31: '-36x-10y32z', 32: '-36x-12y31z', 33: '-36x-14y31z', 34: '-36x-33y34z', 35: '-36x-8y32z', 36: '-37x-30y34z', 37: '-37x-70y0z', 38: '-38x-28y35z', 39: '-3x-18y5z', 40: '-3x-24y43z', 41: '-3x-28y7z', 42: '-40x-26y35z', 43: '-40x-68y0z', 44: '-44x-66y0z', 45: '-47x-64y1z', 46: '-4x-18y5z', 47: '-4x-24y43z', 48: '-4x-28y8z', 49: '-51x-61y2z', 50: '-54x-58y3z', 51: '-57x-55y4z', 52: '-5x-18y6z', 53: '-5x-23y43z', 54: '-60x-52y4z', 55: '-62x-30y7z', 56: '-62x-49y5z', 57: '-63x-27y8z', 58: '-65x-24y9z', 59: '-65x-46y6z', 60: '-66x-20y9z', 61: '-67x-17y10z', 62: '-67x-42y7z', 63: '-69x-38y8z', 64: '-6x-17y35z', 65: '-6x-17y6z', 66: '-6x-22y43z', 67: '-6x-62y31z', 68: '-6x-6y3z', 69: '-7x-16y35z', 70: '-7x-17y35z', 71: '-7x-17y6z', 72: '-7x-4y4z', 73: '-7x-5y4z', 74: '-8x-15y35z', 75: '-8x-16y6z', 76: '-8x-1y28z', 77: '-8x-1y4z', 78: '-8x-2y28z', 79: '-8x-2y4z', 80: '-8x-3y28z', 81: '-8x-3y4z', 82: '-8x-4y28z', 83: '-8x-5y28z', 84: '-8x-6y27z', 85: '-8x0y5z', 86: '-9x-13y36z', 87: '-9x-14y36z', 88: '-9x-16y6z', 89: '-9x-4y28z', 90: '-9x-61y32z', 91: '0x-1y29z', 92: '0x-26y42z', 93: '0x-29y7z', 94: '0x-62y30z', 95: '0x0y89z'}

                    
                    shot2seven104xi = dictionary2get4seven
                    
                except:
                    dictionary2get4seven = shot2seven104xi 
                    print("\n (STEP 58F3/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE SEVEN  - USING SHOT2SEVEN104XI: ", shot2seven104xi)
            else:
                print("\n (STEP 58F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)             
            
        else:
            print("\n (STEP 58F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SEVEN  - FAILED RUNNING PROCESS NAME: ", name2seven)                                         
    else:
        print("\n (STEP 58F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING SEVEN  - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
        
    
    #=============
    # EIGHT
    #=============              

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
                
                # -------------------------------------------------------------------------------------    
                # 8 - GET DICTIONARY FROM QUEUE WHERE PROCESS TARGET FUNCTION HAS PUT IT
                # -------------------------------------------------------------------------------------                    
                if ack2debug is True:
                    print("\n (STEP 59F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FROM QUEUE EIGHT ", queue2eight)  
                    # 
                
                dictionary2get4eight = {} 
                try:
                    dictionary2get4eight = queue2eight.get()
                         
                    if ack2debug is True:
                        print("\n (STEP 59F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE EIGHT : ", queue2eight, " DICTIONARY: ", dictionary2get4eight)
                        # {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z', 5: '-10x-7y-37z', 6: '-11x-1y-27z', 7: '-11x-2y-27z', 8: '-11x-48y-4z', 9: '-12x-1y-27z', 10: '-12x-61y-49z', 11: '-13x-47y-4z', 12: '-15x-61y-49z', 13: '-16x-47y-3z', 14: '-18x-46y-3z', 15: '-18x-60y-48z', 16: '-19x-52y-41z', 17: '-1x-59y-8z', 18: '-1x-8y-49z', 19: '-21x-45y-2z', 20: '-22x-51y-41z', 21: '-23x-43y-2z', 22: '-25x-42y-1z', 23: '-25x-51y-40z', 24: '-28x-41y-1z', 25: '-28x-50y-40z', 26: '-2x-13y-14z', 27: '-2x-20y-22z', 28: '-2x-61y-51z', 29: '-2x-8y-49z', 30: '-30x-39y0z', 31: '-30x-48y-39z', 32: '-32x-38y0z', 33: '-33x-47y-38z', 34: '-34x-19y-69z', 35: '-34x-36y0z', 36: '-35x-17y-69z', 37: '-36x-23y-78z', 38: '-36x-34y0z', 39: '-36x-45y-38z', 40: '-37x-16y-68z', 41: '-38x-14y-68z', 42: '-38x-44y-37z', 43: '-39x-12y-68z', 44: '-3x-13y-14z', 45: '-3x-20y-21z', 46: '-3x-7y-39z', 47: '-3x-9y-49z', 48: '-41x-10y-67z', 49: '-41x-42y-37z', 50: '-43x-28y-29z', 51: '-43x-40y-36z', 52: '-45x-26y-29z', 53: '-46x-24y-28z', 54: '-46x-38y-35z', 55: '-48x-22y-28z', 56: '-48x-36y-35z', 57: '-49x-19y-27z', 58: '-4x-13y-14z', 59: '-4x-59y-7z', 60: '-4x-7y-38z', 61: '-4x-8y-38z', 62: '-50x-17y-27z', 63: '-51x-14y-26z', 64: '-52x-11y-26z', 65: '-5x-13y-13z', 66: '-5x-13y-14z', 67: '-5x-5y-6z', 68: '-5x-61y-50z', 69: '-5x-8y-38z', 70: '-6x-12y-13z', 71: '-6x-4y-6z', 72: '-6x-8y-38z', 73: '-7x-12y-13z', 74: '-7x-2y-5z', 75: '-7x-3y-5z', 76: '-7x-59y-7z', 77: '-7x-8y-38z', 78: '-8x-12y-13z', 79: '-8x-1y-5z', 80: '-8x-4y-28z', 81: '-8x-5y-28z', 82: '-8x-7y-38z', 83: '-8x0y-5z', 84: '-9x-11y-13z', 85: '-9x-4y-28z', 86: '-9x-61y-50z', 87: '-9x-7y-38z', 88: '0x-19y-22z', 89: '0x-1y-49z', 90: '0x-4y-49z', 91: '0x-5y-49z', 92: '0x-60y-52z', 93: '0x-6y-49z', 94: '0x-7y-49z', 95: '0x0y-49z'}
 
                    
                    shot2eight104xi = dictionary2get4eight
                    
                except:
                    dictionary2get4eight = shot2eight104xi 
                    print("\n (STEP 59F5/800) OF COLOR_NOUNS4XI ** WARNED: FAILED TO GET FROM QUEUE EIGHT  - USING SHOT2EIGHT104XI: ", shot2eight104xi)
            else:
                print("\n (STEP 59F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)             
            
        else:
            print("\n (STEP 59F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED RUNNING PROCESS NAME: ", name2eight)                                         
    else:
        print("\n (STEP 59F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING AND RECEIVING EIGHT  - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())    
           
    # =========================================================================================================   
    # EOF GETTING DICTIONARIES FROM QUEUES ONE ... EIGHT - MASTER ONES ONLY
    # =========================================================================================================      
           
    
           
    # =========================================================================================================   
    # I/I ONE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION
    # =========================================================================================================      
       
    #========
    # 10 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES - AS TO CONFIRM PUT
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 60F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 60F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one) 
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000448F390>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one104xi</ack2put4xi>
                
            else:
                print("\n (STEP 60F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 60F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 60F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    #========
    # 100 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 61F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 61F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one1004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 61F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 61F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 61F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    #========
    # 200 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 62F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 62F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one2004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 62F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 62F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 62F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
                                                
                                  
    
    #========
    # 300 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 63F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 63F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one3004xi</ack2put4xi>
                
            else:
                print("\n (STEP 63F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 63F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 63F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
    
    #========
    # 400 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 64F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 64F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one4004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 64F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 64F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 64F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())
                            
    #========
    # 500 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 65F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 65F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one5004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 65F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 65F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 65F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
                                                                                       
    #========
    # 600 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 66F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 66F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one6004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 66F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 66F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 64F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #========
    # 700 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 67F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 67F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one7004xi</ack2put4xi>
                
            else:
                print("\n (STEP 67F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 67F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 67F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
       
    #========
    # 800 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 68F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 68F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one8004xi</ack2put4xi>
                
            else:
                print("\n (STEP 68F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 68F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 68F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #========
    # 900 ONE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 69F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 69F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one9004xi</ack2put4xi>
                
            else:
                print("\n (STEP 69F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 69F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 69F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
      
           
     
    #=========
    # 1000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 70F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 70F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one10004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 70F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 70F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 70F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 71F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 71F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one11004xi</ack2put4xi>
                
            else:
                print("\n (STEP 71F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 71F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 71F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 72F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 72F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one12004xi</ack2put4xi>
                
            else:
                print("\n (STEP 72F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 72F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 72F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1300 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 73F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 73F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one13004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 73F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 73F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 73F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1400 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 74F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 74F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one14004xi</ack2put4xi>
                
            else:
                print("\n (STEP 74F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 74F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 74F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1500 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 75F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 75F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one15004xi</ack2put4xi>
                
            else:
                print("\n (STEP 75F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 75F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 75F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1600 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 76F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 76F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one16004xi</ack2put4xi>
                
            else:
                print("\n (STEP 76F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 76F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 76F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1700 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 77F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 77F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one17004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 77F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 77F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 77F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1800 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 78F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 78F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one18004xi</ack2put4xi>
                
            else:
                print("\n (STEP 78F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 78F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 78F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())                    
     
    #=========
    # 1900 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 79F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 79F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one19004xi</ack2put4xi>
                
            else:
                print("\n (STEP 79F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 79F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 79F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
        
     
    #=========
    # 2000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 80F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 80F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one20004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 80F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 80F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 80F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 81F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 81F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one21004xi</ack2put4xi>
                
            else:
                print("\n (STEP 81F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 81F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 81F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 82F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 82F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one22004xi</ack2put4xi>
                
            else:
                print("\n (STEP 82F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 82F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 82F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2300 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 83F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 83F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one23004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 83F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 83F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 83F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2400 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 84F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 84F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one24004xi</ack2put4xi>
                
            else:
                print("\n (STEP 84F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 84F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 84F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2500 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 85F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 85F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one25004xi</ack2put4xi>
                
            else:
                print("\n (STEP 85F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 85F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 85F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2600 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 86F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 86F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one26004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 86F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 86F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 86F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2700 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 87F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 87F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one27004xi</ack2put4xi>
                
            else:
                print("\n (STEP 87F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 87F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 87F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2800 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 88F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 88F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one28004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 88F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 88F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 88F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 2900 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 89F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 89F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one29004xi</ack2put4xi>
                
            else:
                print("\n (STEP 89F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 89F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 89F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 3000 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 90F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 90F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one30004xi</ack2put4xi>
                
            else:
                print("\n (STEP 90F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 90F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 90F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 3100 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 91F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 91F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one31004xi</ack2put4xi>
                
            else:
                print("\n (STEP 91F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 91F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 91F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 3200 ONE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 92F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 92F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 256>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one32004xi</ack2put4xi>
                
            else:
                print("\n (STEP 92F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 92F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 92F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  
     
    #=========
    # 3300 ONE
    #=========
   
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 93F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel)
                    # 
                
                message2receive4one = pipe2one_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 93F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2one_consumer_channel, " CONTROL MESSAGE: ", message2receive4one)
                    # <pipeconnection4xi.PipeConnection4Xi object at 0x000000000448F390>  CONTROL MESSAGE:  <ack2put4xi>queue2one8shot2one33004xi</ack2put4xi>
                
            else:
                print("\n (STEP 93F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 93F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 93F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS ONE ", time4xi())  

      
    # =========================================================================================================   
    # I/I EOF ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DICTIONARIES
    # =========================================================================================================      
            
    # =========================================================================================================   
    # II/I ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES
    # =========================================================================================================      
      
    

    #========
    # 10 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one104xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 94F1/800) OF COLOR_NOUNS4XI - TRYING TO GET COORDINATE 10 ONE: ", queue2one)
                    # 
                
                fire2one104xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 94F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE104XI: ", fire2one104xi) 
                    # GOT COORDINATE DICTIONARY:  <queue4xi.Queue4Xi object at 0x03A2BA30>  FIRE2ONE104XI:  {1: '0x0y19z', 2: '0x0y39z', 3: '0x0y59z', 4: '0x0y89z', 5: '0x13y14z', 6: '0x13y15z', 7: '0x1y39z', 8: '0x1y59z', 9: '0x2y69z', 10: '0x30y25z', 11: '0x3y69z', 12: '0x4y69z', 13: '0x50y32z', 14: '0x72y34z', 15: '10x18y21z', 16: '10x47y34z', 17: '10x70y36z', 18: '11x16y21z', 19: '11x17y21z', 20: '12x0y15z', 21: '12x16y21z', 22: '13x14y22z', 23: '13x15y22z', 24: '13x46y35z', 25: '14x12y22z', 26: '14x13y22z', 27: '14x69y37z', 28: '15x10y23z', 29: '15x11y22z', 30: '15x45y35z', 31: '16x35y30z', 32: '17x44y36z', 33: '18x34y31z', 34: '18x67y38z', 35: '1x12y15z', 36: '1x30y25z', 37: '20x33y31z', 38: '21x32y31z', 39: '21x66y39z', 40: '23x30y32z', 41: '24x29y32z', 42: '24x64y39z', 43: '25x27y32z', 44: '26x25y33z', 45: '27x24y33z', 46: '27x63y40z', 47: '28x22y34z', 48: '29x20y34z', 49: '2x12y15z', 50: '2x30y26z', 51: '2x5y7z', 52: '2x5y8z', 53: '31x61y41z', 54: '33x59y41z', 55: '34x47y37z', 56: '35x0y34z', 57: '36x45y38z', 58: '36x56y42z', 59: '38x43y38z', 60: '3x11y15z', 61: '3x12y15z', 62: '3x3y8z', 63: '3x49y33z', 64: '3x4y8z', 65: '3x71y35z', 66: '40x40y39z', 67: '42x38y40z', 68: '44x35y40z', 69: '45x33y41z', 70: '4x29y26z', 71: '4x3y8z', 72: '56x0y41z', 73: '5x29y26z', 74: '6x49y33z', 75: '7x28y26z', 76: '7x70y36z', 77: '8x19y20z', 78: '8x27y27z', 79: '8x48y34z', 80: '9x19y21z', 81: '9x27y27z'}

                
            else:
                print("\n (STEP 94F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 94F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 94F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())
    
    if ack2debug is True:
        print("\n (STEP 94F6/800) OF COLOR_NOUNS4XI -  FIRE2ONE104XI: ", fire2one104xi) 
        
      
           
    #========
    # 100 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one1004xi = {}

    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 101F1/800) OF COLOR_NOUNS4XI - TRYING TO GET 100 ONE: ", queue2one)
                    # 
                
                fire2one1004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 101F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE1004XI: ", fire2one1004xi) 
                    # GOT FROM QUEUE:  <queue4xi.Queue4Xi object at 0x03A2BA30>  FIRE2ONE1004XI:  {1: '0x0y99z', 2: '0x10y99z', 3: '0x11y99z', 4: '0x12y99z', 5: '0x13y99z', 6: '0x1y99z', 7: '0x2y99z', 8: '0x3y99z', 9: '0x4y99z', 10: '0x5y99z', 11: '0x66y74z', 12: '0x90y43z', 13: '10x63y76z', 14: '10x74y65z', 15: '10x81y56z', 16: '12x91y38z', 17: '13x61y77z', 18: '13x87y46z', 19: '14x73y66z', 20: '14x80y57z', 21: '16x60y78z', 22: '17x71y67z', 23: '17x90y39z', 24: '18x79y58z', 25: '18x86y47z', 26: '19x58y78z', 27: '1x0y199z', 28: '1x1y99z', 29: '1x2y99z', 30: '1x3y99z', 31: '1x4y99z', 32: '1x7y99z', 33: '1x83y54z', 34: '1x8y99z', 35: '1x9y99z', 36: '21x56y79z', 37: '21x69y68z', 38: '21x89y39z', 39: '22x77y58z', 40: '22x84y48z', 41: '24x54y79z', 42: '24x68y68z', 43: '26x52y80z', 44: '26x75y59z', 45: '26x83y48z', 46: '26x87y40z', 47: '28x66y69z', 48: '29x50y81z', 49: '29x73y60z', 50: '2x5y99z', 51: '2x6y99z', 52: '2x76y64z', 53: '2x93y36z', 54: '30x81y49z', 55: '30x85y41z', 56: '31x48y81z', 57: '31x63y70z', 58: '33x45y82z', 59: '33x71y61z', 60: '34x61y71z', 61: '34x78y50z', 62: '35x43y82z', 63: '35x83y42z', 64: '36x40y83z', 65: '36x59y71z', 66: '36x69y62z', 67: '38x38y83z', 68: '38x76y51z', 69: '39x35y84z', 70: '39x56y72z', 71: '39x81y43z', 72: '3x65y75z', 73: '40x33y85z', 74: '40x66y62z', 75: '41x30y85z', 76: '41x53y73z', 77: '42x73y52z', 78: '43x64y63z', 79: '43x78y44z', 80: '44x50y73z', 81: '46x47y74z', 82: '46x61y64z', 83: '46x71y53z', 84: '46x75y45z', 85: '48x44y75z', 86: '48x58y65z', 87: '49x41y75z', 88: '49x68y54z', 89: '4x89y44z', 90: '50x72y46z', 91: '51x38y76z', 92: '51x55y65z', 93: '52x35y77z', 94: '52x65y54z', 95: '53x51y66z', 96: '54x69y47z', 97: '55x48y67z', 98: '55x61y55z', 99: '57x45y68z', 100: '57x66y48z', 101: '58x58y56z', 102: '59x41y68z', 103: '5x82y55z', 104: '60x54y57z', 105: '60x62y48z', 106: '63x51y58z', 107: '63x59y49z', 108: '65x47y58z', 109: '65x55y50z', 110: '68x51y51z', 111: '6x64y76z', 112: '6x75y65z', 113: '7x92y37z', 114: '80x0y59z', 115: '9x88y45z'}
 
                  
            else:
                print("\n (STEP 101F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 101F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 101F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
      

    #========
    # 200 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one2004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 102F1/800) OF COLOR_NOUNS4XI - TRYING TO GET 200 ONE: ", queue2one)
                    # 
                
                fire2one2004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 102F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE2004XI: ", fire2one2004xi) 
                    # FIRE2ONE2004XI:  {1: '0x0y199z', 2: '0x132y149z', 3: '0x180y87z', 4: '0x23y198z', 5: '0x25y198z', 6: '0x2y199z', 7: '0x4y199z', 8: '0x6y199z', 9: '0x8y199z', 10: '101x145y92z', 11: '102x110y131z', 12: '102x77y152z', 13: '105x130y109z', 14: '105x71y154z', 15: '107x103y133z', 16: '108x139y94z', 17: '110x123y111z', 18: '111x97y134z', 19: '114x132y96z', 20: '115x90y136z', 21: '116x116y113z', 22: '118x83y137z', 23: '11x165y111z', 24: '11x9y299z', 25: '120x125y97z', 26: '121x109y114z', 27: '126x102y116z', 28: '126x118y99z', 29: '130x95y117z', 30: '131x111y101z', 31: '136x103y102z', 32: '13x128y152z', 33: '13x151y130z', 34: '15x185y74z', 35: '160x0y119z', 36: '18x177y90z', 37: '1x0y199z', 38: '1x1y199z', 39: '1x21y198z', 40: '20x126y153z', 41: '20x148y131z', 42: '20x163y112z', 43: '25x183y76z', 44: '26x123y155z', 45: '27x175y92z', 46: '28x146y133z', 47: '28x161y114z', 48: '2x167y109z', 49: '2x19y199z', 50: '2x3y199z', 51: '2x5y199z', 52: '32x120y156z', 53: '34x180y78z', 54: '35x143y134z', 55: '36x158y116z', 56: '36x172y94z', 57: '38x117y157z', 58: '3x0y199z', 59: '3x15y199z', 60: '3x17y199z', 61: '3x7y199z', 62: '3x9y199z', 63: '42x139y136z', 64: '43x113y158z', 65: '43x178y79z', 66: '44x155y117z', 67: '45x169y96z', 68: '48x109y159z', 69: '49x136y137z', 70: '4x11y199z', 71: '4x13y199z', 72: '52x151y119z', 73: '52x174y81z', 74: '53x105y161z', 75: '53x166y97z', 76: '56x132y139z', 77: '58x101y162z', 78: '59x147y120z', 79: '5x0y199z', 80: '5x152y128z', 81: '5x186y72z', 82: '61x162y99z', 83: '61x170y83z', 84: '62x127y140z', 85: '62x96y163z', 86: '66x143y122z', 87: '66x91y164z', 88: '68x123y142z', 89: '69x157y101z', 90: '6x130y151z', 91: '6x4y199z', 92: '70x166y85z', 93: '70x86y165z', 94: '73x118y143z', 95: '73x138y124z', 96: '73x81y166z', 97: '76x76y167z', 98: '77x152y102z', 99: '78x162y87z', 100: '79x112y144z', 101: '79x71y169z', 102: '80x133y125z', 103: '81x66y170z', 104: '83x107y146z', 105: '83x60y171z', 106: '84x147y104z', 107: '86x128y127z', 108: '86x156y88z', 109: '88x101y147z', 110: '92x122y128z', 111: '92x142y106z', 112: '92x95y149z', 113: '93x151y90z', 114: '96x89y150z', 115: '97x116y130z', 116: '98x136y108z', 117: '99x83y151z', 118: '9x178y88z'}

                  
            else:
                print("\n (STEP 102F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 102F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 102F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one3004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 103F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE3004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one3004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 103F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE3004XI: ", fire2one3004xi) 
                    # FIRE2ONE3004XI:  {1: '0x0y299z', 2: '0x12y299z', 3: '0x198y224z', 4: '0x270y130z', 5: '0x38y297z', 6: '0x3y299z', 7: '0x6y299z', 8: '0x9y299z', 9: '100x137y246z', 10: '100x215y183z', 11: '102x184y213z', 12: '104x236y151z', 13: '105x130y248z', 14: '105x250y127z', 15: '10x196y226z', 16: '110x122y250z', 17: '110x177y215z', 18: '110x207y186z', 19: '115x115y251z', 20: '116x229y154z', 21: '117x243y130z', 22: '118x169y217z', 23: '119x107y253z', 24: '11x9y299z', 25: '120x200y188z', 26: '122x99y255z', 27: '125x161y219z', 28: '125x91y256z', 29: '127x221y156z', 30: '129x192y190z', 31: '129x235y133z', 32: '132x152y221z', 33: '138x183y193z', 34: '138x213y159z', 35: '139x143y223z', 36: '13x268y133z', 37: '140x227y136z', 38: '144x134y225z', 39: '146x174y195z', 40: '148x204y162z', 41: '149x125y227z', 42: '151x218y138z', 43: '153x165y197z', 44: '154x116y229z', 45: '157x195y164z', 46: '158x106y231z', 47: '160x155y199z', 48: '162x209y141z', 49: '166x185y167z', 50: '167x145y202z', 51: '172x199y144z', 52: '173x135y204z', 53: '174x175y169z', 54: '178x124y206z', 55: '17x16y399z', 56: '17x248y166z', 57: '181x188y146z', 58: '182x164y172z', 59: '189x153y174z', 60: '189x178y149z', 61: '195x142y176z', 62: '197x166y151z', 63: '19x226y195z', 64: '1x2y299z', 65: '1x35y297z', 66: '204x155y154z', 67: '20x193y228z', 68: '23x277y111z', 69: '27x265y136z', 70: '2x0y299z', 71: '2x32y298z', 72: '30x189y230z', 73: '30x245y169z', 74: '31x223y197z', 75: '37x274y114z', 76: '39x185y232z', 77: '3x5y299z', 78: '41x262y138z', 79: '42x219y200z', 80: '42x242y171z', 81: '48x180y234z', 82: '4x251y164z', 83: '4x29y298z', 84: '4x7y299z', 85: '51x271y117z', 86: '53x214y202z', 87: '54x238y174z', 88: '54x258y141z', 89: '57x175y236z', 90: '5x0y299z', 91: '5x10y299z', 92: '5x13y299z', 93: '5x23y299z', 94: '5x26y298z', 95: '64x209y204z', 96: '65x170y238z', 97: '65x267y119z', 98: '66x233y176z', 99: '67x254y144z', 100: '6x16y299z', 101: '6x20y299z', 102: '73x164y239z', 103: '74x204y206z', 104: '78x227y178z', 105: '79x262y122z', 106: '80x158y241z', 107: '80x249y146z', 108: '84x198y208z', 109: '87x151y243z', 110: '89x221y181z', 111: '8x0y299z', 112: '8x229y193z', 113: '8x279y108z', 114: '92x243y149z', 115: '92x256y125z', 116: '93x191y211z', 117: '94x144y245z', 118: '9x7y299z'}

                  
            else:
                print("\n (STEP 103F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 103F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 103F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


       
    #========
    # 400 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one4004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 104F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE4004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one4004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 104F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE4004XI: ", fire2one4004xi) 
                    # FIRE2ONE4004XI:  {1: '0x0y399z', 2: '0x12y399z', 3: '0x16y399z', 4: '0x264y299z', 5: '0x360y174z', 6: '0x4y399z', 7: '0x51y396z', 8: '0x8y399z', 9: '104x303y238z', 10: '105x349y163z', 11: '107x211y322z', 12: '107x332y195z', 13: '10x305y257z', 14: '112x264y278z', 15: '116x202y324z', 16: '119x295y241z', 17: '11x0y399z', 18: '11x372y144z', 19: '123x324y198z', 20: '123x341y167z', 21: '124x255y281z', 22: '125x193y327z', 23: '12x9y399z', 24: '133x183y329z', 25: '133x286y244z', 26: '136x246y284z', 27: '139x315y202z', 28: '13x261y302z', 29: '140x173y331z', 30: '140x333y170z', 31: '147x163y333z', 32: '147x236y287z', 33: '147x277y248z', 34: '153x153y335z', 35: '155x305y205z', 36: '156x324y174z', 37: '158x142y338z', 38: '158x225y289z', 39: '15x13y399z', 40: '160x266y251z', 41: '163x132y340z', 42: '167x121y342z', 43: '167x214y292z', 44: '169x295y209z', 45: '172x256y254z', 46: '172x313y177z', 47: '176x203y295z', 48: '184x244y257z', 49: '184x284y212z', 50: '185x191y298z', 51: '187x302y181z', 52: '18x357y177z', 53: '192x179y300z', 54: '195x232y260z', 55: '197x272y216z', 56: '199x167y303z', 57: '1x47y397z', 58: '202x291y184z', 59: '205x155y305z', 60: '205x220y263z', 61: '210x260y219z', 62: '211x142y308z', 63: '214x207y266z', 64: '216x278y188z', 65: '21x20y499z', 66: '221x247y222z', 67: '223x194y269z', 68: '229x265y192z', 69: '230x180y272z', 70: '232x233y226z', 71: '237x166y275z', 72: '23x331y222z', 73: '241x251y195z', 74: '243x219y229z', 75: '252x205y232z', 76: '252x237y199z', 77: '261x190y235z', 78: '263x222y202z', 79: '26x302y260z', 80: '273x207y205z', 81: '27x257y305z', 82: '2x3y399z', 83: '31x370y148z', 84: '36x354y181z', 85: '3x0y399z', 86: '3x43y397z', 87: '40x252y307z', 88: '40x327y225z', 89: '41x297y263z', 90: '4x6y399z', 91: '50x366y152z', 92: '52x247y310z', 93: '54x350y184z', 94: '56x292y266z', 95: '56x323y228z', 96: '5x10y399z', 97: '5x334y218z', 98: '5x39y398z', 99: '64x241y312z', 100: '69x361y156z', 101: '6x35y398z', 102: '71x286y269z', 103: '72x345y188z', 104: '73x317y232z', 105: '76x234y315z', 106: '7x0y399z', 107: '7x14y399z', 108: '7x18y399z', 109: '7x30y398z', 110: '85x279y272z', 111: '87x227y317z', 112: '87x356y159z', 113: '88x310y235z', 114: '8x22y399z', 115: '8x26y399z', 116: '90x339y192z', 117: '97x219y319z', 118: '99x272y275z'}

                  
            else:
                print("\n (STEP 104F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 104F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 104F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


                               
    #========
    # 500 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one5004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 105F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE5004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one5004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 105F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE5004XI: ", fire2one5004xi) 
                    # FIRE2ONE5004XI:  {1: '0x0y499z', 2: '0x10y499z', 3: '0x15y499z', 4: '0x20y499z', 5: '0x331y374z', 6: '0x450y217z', 7: '0x5y499z', 8: '0x64y495z', 9: '106x349y341z', 10: '108x283y396z', 11: '109x445y199z', 12: '10x28y499z', 13: '10x33y498z', 14: '111x388y294z', 15: '112x423y240z', 16: '122x274y399z', 17: '123x340y344z', 18: '130x379y298z', 19: '132x436y204z', 20: '134x263y402z', 21: '134x415y244z', 22: '13x381y322z', 23: '140x330y348z', 24: '145x252y405z', 25: '149x369y302z', 26: '14x0y499z', 27: '14x465y181z', 28: '154x405y248z', 29: '154x427y208z', 30: '155x319y351z', 31: '156x241y408z', 32: '15x12y499z', 33: '166x229y411z', 34: '166x358y306z', 35: '170x307y355z', 36: '174x394y253z', 37: '175x416y213z', 38: '176x217y414z', 39: '17x326y378z', 40: '183x346y310z', 41: '184x204y417z', 42: '184x295y358z', 43: '18x16y499z', 44: '191x191y419z', 45: '194x382y257z', 46: '195x405y217z', 47: '197x282y362z', 48: '198x178y422z', 49: '200x333y313z', 50: '204x165y425z', 51: '209x152y427z', 52: '209x268y365z', 53: '212x369y261z', 54: '215x320y317z', 55: '215x392y222z', 56: '221x254y369z', 57: '22x447y222z', 58: '230x305y321z', 59: '230x355y265z', 60: '231x239y372z', 61: '234x378y226z', 62: '241x224y375z', 63: '243x290y325z', 64: '246x340y270z', 65: '249x209y379z', 66: '253x363y231z', 67: '256x275y329z', 68: '257x193y382z', 69: '25x24y598z', 70: '262x325y274z', 71: '263x178y385z', 72: '268x259y333z', 73: '270x348y235z', 74: '277x309y278z', 75: '278x242y336z', 76: '286x331y240z', 77: '288x225y340z', 78: '28x414y277z', 79: '291x292y282z', 80: '297x208y344z', 81: '2x4y499z', 82: '2x59y496z', 83: '301x314y244z', 84: '303x274y286z', 85: '315x256y290z', 86: '316x296y248z', 87: '326x237y294z', 88: '329x278y253z', 89: '33x321y381z', 90: '33x377y326z', 91: '341x259y257z', 92: '38x462y185z', 93: '45x443y226z', 94: '4x0y499z', 95: '4x54y496z', 96: '50x315y384z', 97: '50x409y281z', 98: '52x372y329z', 99: '5x8y499z', 100: '62x458y190z', 101: '65x308y387z', 102: '68x437y231z', 103: '71x365y333z', 104: '71x403y286z', 105: '7x13y499z', 106: '7x418y273z', 107: '7x49y497z', 108: '80x301y390z', 109: '86x452y195z', 110: '89x358y337z', 111: '8x17y499z', 112: '8x44y497z', 113: '91x396y290z', 114: '91x431y235z', 115: '95x292y393z', 116: '9x0y499z', 117: '9x22y499z', 118: '9x38y498z'}
 
                  
            else:
                print("\n (STEP 105F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 105F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 105F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one6004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 106F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE6004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one6004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 106F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE6004XI: ", fire2one6004xi) 
                    # FIRE2ONE6004XI:  {1: '0x0y599z', 2: '0x12y599z', 3: '0x18y599z', 4: '0x397y449z', 5: '0x540y261z', 6: '0x6y599z', 7: '103x542y234z', 8: '107x429y404z', 9: '109x476y348z', 10: '109x517y282z', 11: '10x21y599z', 12: '10x52y597z', 13: '114x351y472z', 14: '11x0y599z', 15: '11x27y599z', 16: '11x46y598z', 17: '128x419y409z', 18: '12x33y598z', 19: '12x40y598z', 20: '130x340y476z', 21: '131x534y239z', 22: '133x466y352z', 23: '135x508y288z', 24: '146x328y479z', 25: '148x408y413z', 26: '156x455y357z', 27: '158x524y245z', 28: '160x498y293z', 29: '161x316y483z', 30: '168x396y417z', 31: '16x458y386z', 32: '175x303y487z', 33: '178x443y362z', 34: '17x0y599z', 35: '17x558y217z', 36: '184x512y250z', 37: '185x486y298z', 38: '186x383y422z', 39: '188x289y490z', 40: '18x14y599z', 41: '200x275y493z', 42: '200x430y367z', 43: '204x369y426z', 44: '209x473y303z', 45: '20x392y453z', 46: '210x500y255z', 47: '211x260y497z', 48: '220x415y372z', 49: '221x245y500z', 50: '221x354y430z', 51: '22x19y599z', 52: '230x230y503z', 53: '232x458y308z', 54: '235x486y261z', 55: '237x338y434z', 56: '238x214y507z', 57: '240x400y376z', 58: '245x198y510z', 59: '251x182y513z', 60: '251x322y438z', 61: '254x443y313z', 62: '258x384y381z', 63: '259x470y266z', 64: '25x24y598z', 65: '265x305y443z', 66: '276x366y386z', 67: '276x426y319z', 68: '278x287y447z', 69: '27x536y266z', 70: '281x454y272z', 71: '289x269y451z', 72: '28x30y598z', 73: '292x349y390z', 74: '296x408y324z', 75: '299x251y454z', 76: '2x71y595z', 77: '303x436y277z', 78: '307x330y395z', 79: '308x232y458z', 80: '315x390y329z', 81: '316x213y462z', 82: '321x311y399z', 83: '324x418y282z', 84: '332x370y334z', 85: '334x291y404z', 86: '344x398y288z', 87: '346x270y408z', 88: '349x350y339z', 89: '34x497y333z', 90: '356x249y412z', 91: '362x377y293z', 92: '364x329y344z', 93: '36x42y697z', 94: '378x307y348z', 95: '379x356y298z', 96: '391x285y353z', 97: '395x333y303z', 98: '39x453y391z', 99: '3x4y599z', 100: '409x310y308z', 101: '40x386y457z', 102: '46x555y222z', 103: '55x531y272z', 104: '5x0y599z', 105: '5x65y596z', 106: '60x378y461z', 107: '60x491y338z', 108: '62x446y395z', 109: '6x10y599z', 110: '75x549y228z', 111: '78x370y465z', 112: '82x525y277z', 113: '85x438y400z', 114: '85x484y343z', 115: '8x15y599z', 116: '8x502y328z', 117: '8x59y597z', 118: '96x361y468z'}

                  
            else:
                print("\n (STEP 106F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 106F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 106F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


        
    #========
    # 700 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one7004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 107F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE7004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one7004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 107F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE7004XI: ", fire2one7004xi) 
                    # FIRE2ONE7004XI:  {1: '0x0y699z', 2: '0x14y699z', 3: '0x1y699z', 4: '0x21y699z', 5: '0x463y524z', 6: '0x7y699z', 7: '10x18y699z', 8: '113x421y547z', 9: '120x633y273z', 10: '124x501y472z', 11: '127x555y406z', 12: '127x604y329z', 13: '12x25y699z', 14: '12x61y697z', 15: '133x410y551z', 16: '13x32y699z', 17: '13x54y697z', 18: '149x489y477z', 19: '14x39y698z', 20: '14x46y698z', 21: '152x397y555z', 22: '153x623y279z', 23: '155x544y411z', 24: '157x593y336z', 25: '170x383y559z', 26: '173x476y482z', 27: '182x531y417z', 28: '184x611y285z', 29: '187x581y342z', 30: '188x369y564z', 31: '18x534y451z', 32: '196x462y487z', 33: '204x354y568z', 34: '208x517y423z', 35: '20x0y699z', 36: '20x652y253z', 37: '215x598y292z', 38: '216x567y348z', 39: '218x446y492z', 40: '219x338y572z', 41: '22x17y699z', 42: '233x321y576z', 43: '233x501y428z', 44: '238x430y497z', 45: '23x457y529z', 46: '244x551y354z', 47: '245x583y298z', 48: '246x304y580z', 49: '257x484y434z', 50: '258x286y584z', 51: '258x413y502z', 52: '268x268y587z', 53: '26x22y699z', 54: '271x535y360z', 55: '274x567y304z', 56: '276x395y507z', 57: '277x250y591z', 58: '280x467y439z', 59: '286x231y595z', 60: '292x212y599z', 61: '293x376y512z', 62: '297x517y366z', 63: '301x448y445z', 64: '302x549y311z', 65: '309x356y516z', 66: '30x29y698z', 67: '31x626y311z', 68: '322x428y450z', 69: '322x497y372z', 70: '324x335y521z', 71: '328x530y317z', 72: '337x314y526z', 73: '33x35y698z', 74: '341x407y455z', 75: '345x477y378z', 76: '349x293y530z', 77: '354x509y323z', 78: '359x385y461z', 79: '360x271y535z', 80: '367x455y384z', 81: '369x249y539z', 82: '36x42y697z', 83: '375x362y466z', 84: '378x487y329z', 85: '37x50y697z', 86: '388x432y389z', 87: '390x339y471z', 88: '3x83y694z', 89: '401x464y336z', 90: '403x315y476z', 91: '407x408y395z', 92: '40x580y388z', 93: '415x291y481z', 94: '422x440y342z', 95: '425x384y401z', 96: '441x359y407z', 97: '442x415y348z', 98: '44x66y796z', 99: '456x333y412z', 100: '461x389y354z', 101: '46x528y456z', 102: '478x362y360z', 103: '47x450y533z', 104: '4x5y699z', 105: '54x647y260z', 106: '64x620y317z', 107: '6x0y699z', 108: '6x76y695z', 109: '70x442y538z', 110: '70x573y394z', 111: '73x520y461z', 112: '7x11y699z', 113: '88x641y266z', 114: '91x432y542z', 115: '96x613y323z', 116: '99x511y467z', 117: '99x565y400z', 118: '9x585y383z', 119: '9x69y696z'}

                  
            else:
                print("\n (STEP 107F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 107F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 107F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


          
    #========
    # 800 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one8004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 108F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE8004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one8004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 108F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE8004XI: ", fire2one8004xi) 
                    # FIRE2ONE8004XI:  {1: '0x0y799z', 2: '0x16y799z', 3: '0x1y799z', 4: '0x24y799z', 5: '0x529y599z', 6: '0x8y799z', 7: '100x732y304z', 8: '105x494y620z', 9: '109x700y369z', 10: '113x584y533z', 11: '113x646y457z', 12: '11x20y799z', 13: '11x669y437z', 14: '11x79y796z', 15: '129x482y625z', 16: '138x723y312z', 17: '13x70y796z', 18: '142x572y539z', 19: '145x690y376z', 20: '146x634y464z', 21: '14x28y799z', 22: '152x468y630z', 23: '15x36y798z', 24: '15x61y797z', 25: '16x45y798z', 26: '16x53y798z', 27: '171x559y545z', 28: '174x454y635z', 29: '175x712y319z', 30: '177x621y470z', 31: '180x678y384z', 32: '195x438y639z', 33: '198x544y551z', 34: '208x607y477z', 35: '211x698y326z', 36: '214x664y391z', 37: '215x422y644z', 38: '21x611y515z', 39: '224x528y557z', 40: '233x404y649z', 41: '238x591y483z', 42: '23x0y799z', 43: '23x745y289z', 44: '246x683y334z', 45: '247x648y397z', 46: '249x510y562z', 47: '250x386y654z', 48: '25x19y799z', 49: '266x367y658z', 50: '267x573y489z', 51: '272x492y568z', 52: '279x630y404z', 53: '27x522y604z', 54: '280x666y341z', 55: '281x347y663z', 56: '294x327y667z', 57: '294x554y496z', 58: '295x472y574z', 59: '306x306y671z', 60: '30x26y799z', 61: '310x611y411z', 62: '313x648y348z', 63: '316x451y579z', 64: '317x285y676z', 65: '320x533y502z', 66: '326x264y680z', 67: '334x243y684z', 68: '335x429y585z', 69: '339x590y418z', 70: '345x512y508z', 71: '345x627y355z', 72: '34x33y798z', 73: '353x407y590z', 74: '368x489y514z', 75: '368x568y425z', 76: '36x715y355z', 77: '370x383y596z', 78: '375x605y362z', 79: '385x359y601z', 80: '38x40y798z', 81: '390x465y520z', 82: '394x545y432z', 83: '399x335y606z', 84: '3x95y794z', 85: '404x582y369z', 86: '410x440y526z', 87: '411x310y611z', 88: '41x48y797z', 89: '420x520y438z', 90: '422x284y616z', 91: '429x414y532z', 92: '432x557y377z', 93: '43x57y796z', 94: '443x494y445z', 95: '446x388y538z', 96: '44x66y796z', 97: '458x531y384z', 98: '461x360y544z', 99: '465x467y452z', 100: '46x663y444z', 101: '475x333y550z', 102: '483x503y391z', 103: '486x439y458z', 104: '4x6y799z', 105: '505x410y465z', 106: '505x474y398z', 107: '50x84y894z', 108: '522x380y471z', 109: '527x445y404z', 110: '52x604y521z', 111: '546x414y411z', 112: '54x514y610z', 113: '62x740y297z', 114: '73x709y362z', 115: '7x87y795z', 116: '80x505y615z', 117: '80x655y451z', 118: '83x595y527z', 119: '8x13y799z'}

                  
            else:
                print("\n (STEP 108F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 108F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 108F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


        
    #========
    # 900 ONE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one9004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 109F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE9004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one9004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 109F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE9004XI: ", fire2one9004xi) 
                    # FIRE2ONE9004XI:  {1: '0x0y899z', 2: '0x1y899z', 3: '0x27y899z', 4: '0x595y674z', 5: '0x9y899z', 6: '113x824y342z', 7: '118x556y697z', 8: '123x788y416z', 9: '127x657y600z', 10: '127x727y514z', 11: '12x753y492z', 12: '12x88y895z', 13: '13x23y899z', 14: '145x542y703z', 15: '155x813y351z', 16: '15x32y899z', 17: '15x79y896z', 18: '160x644y607z', 19: '163x776y424z', 20: '164x714y522z', 21: '171x527y709z', 22: '17x41y898z', 23: '17x69y897z', 24: '18x50y898z', 25: '18x60y897z', 26: '192x629y613z', 27: '196x510y714z', 28: '197x801y359z', 29: '1x18y899z', 30: '200x699y529z', 31: '203x762y432z', 32: '219x493y719z', 33: '222x612y620z', 34: '234x683y536z', 35: '237x786y367z', 36: '241x474y725z', 37: '241x747y439z', 38: '24x687y580z', 39: '252x594y626z', 40: '262x455y730z', 41: '268x664y543z', 42: '26x0y899z', 43: '26x838y326z', 44: '277x769y375z', 45: '278x729y447z', 46: '280x574y633z', 47: '282x434y735z', 48: '28x22y899z', 49: '300x413y740z', 50: '300x645y551z', 51: '306x553y639z', 52: '30x588y680z', 53: '314x709y455z', 54: '315x750y383z', 55: '316x391y746z', 56: '331x368y751z', 57: '331x623y558z', 58: '332x531y646z', 59: '33x29y898z', 60: '345x345y755z', 61: '349x688y463z', 62: '352x729y392z', 63: '355x507y652z', 64: '357x321y760z', 65: '360x600y565z', 66: '367x297y765z', 67: '376x273y770z', 68: '377x483y658z', 69: '382x664y470z', 70: '388x576y572z', 71: '388x706y400z', 72: '38x37y898z', 73: '398x458y664z', 74: '40x805y400z', 75: '414x550y579z', 76: '414x639y478z', 77: '417x431y670z', 78: '422x681y408z', 79: '42x45y897z', 80: '434x404y676z', 81: '438x523y585z', 82: '444x613y486z', 83: '449x377y682z', 84: '455x655y416z', 85: '461x495y592z', 86: '463x349y688z', 87: '46x55y897z', 88: '472x585y493z', 89: '475x320y694z', 90: '482x466y599z', 91: '486x627y424z', 92: '48x64y896z', 93: '499x556y501z', 94: '4x107y893z', 95: '501x436y606z', 96: '50x74y895z', 97: '516x597y432z', 98: '519x406y612z', 99: '51x746y499z', 100: '524x525y508z', 101: '534x374y619z', 102: '543x566y439z', 103: '547x494y516z', 104: '568x461y523z', 105: '569x534y447z', 106: '56x94y993z', 107: '587x428y530z', 108: '592x500y455z', 109: '59x679y587z', 110: '5x7y899z', 111: '60x579y686z', 112: '614x466y463z', 113: '70x832y334z', 114: '82x797y408z', 115: '8x98y894z', 116: '90x568y692z', 117: '90x737y507z', 118: '94x669y593z', 119: '9x15y899z'}

                  
            else:
                print("\n (STEP 109F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 109F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 109F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


        
    #=========
    # 1000 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one10004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 110F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE10004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one10004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 110F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE10004XI: ", fire2one10004xi) 
                    # FIRE2ONE10004XI:  {1: '0x0y999z', 2: '0x1y999z', 3: '0x30y999z', 4: '0x662y749z', 5: '100x631y768z', 6: '100x819y563z', 7: '104x744y659z', 8: '10x16y999z', 9: '125x916y380z', 10: '131x617y775z', 11: '137x875y462z', 12: '142x731y667z', 13: '142x807y572z', 14: '14x26y999z', 15: '14x836y547z', 16: '14x98y995z', 17: '161x602y781z', 18: '172x904y390z', 19: '178x716y674z', 20: '17x35y999z', 21: '17x88y995z', 22: '182x793y580z', 23: '182x863y471z', 24: '190x585y787z', 25: '19x45y998z', 26: '19x77y996z', 27: '1x10y999z', 28: '1x20y999z', 29: '20x56y998z', 30: '20x66y997z', 31: '213x699y682z', 32: '217x567y793z', 33: '218x890y399z', 34: '222x777y588z', 35: '225x847y480z', 36: '244x548y799z', 37: '247x680y689z', 38: '260x759y596z', 39: '264x873y408z', 40: '268x527y805z', 41: '268x830y488z', 42: '26x763y644z', 43: '280x660y696z', 44: '291x505y811z', 45: '298x738y604z', 46: '29x0y999z', 47: '29x931y362z', 48: '308x854y417z', 49: '309x810y497z', 50: '311x638y703z', 51: '313x482y817z', 52: '31x24y999z', 53: '333x459y823z', 54: '333x716y612z', 55: '341x615y710z', 56: '349x788y506z', 57: '34x653y756z', 58: '350x833y426z', 59: '352x434y828z', 60: '367x692y620z', 61: '368x409y834z', 62: '368x590y717z', 63: '37x32y998z', 64: '383x383y839z', 65: '388x764y514z', 66: '391x810y435z', 67: '395x564y724z', 68: '397x357y845z', 69: '400x667y627z', 70: '408x330y850z', 71: '418x304y855z', 72: '419x537y731z', 73: '424x738y523z', 74: '431x640y635z', 75: '431x784y444z', 76: '43x41y998z', 77: '442x508y738z', 78: '45x894y444z', 79: '460x611y643z', 80: '460x711y531z', 81: '463x479y745z', 82: '469x757y453z', 83: '47x51y997z', 84: '482x449y751z', 85: '487x581y651z', 86: '493x681y540z', 87: '499x419y758z', 88: '4x119y992z', 89: '506x727y462z', 90: '512x550y658z', 91: '514x387y764z', 92: '51x61y996z', 93: '525x650y548z', 94: '527x356y771z', 95: '536x518y666z', 96: '540x696y471z', 97: '54x71y995z', 98: '554x618y556z', 99: '557x485y673z', 100: '55x82y995z', 101: '573x663y480z', 102: '576x451y680z', 103: '57x829y555z', 104: '582x584y565z', 105: '594x416y688z', 106: '5x8y999z', 107: '603x629y488z', 108: '607x549y573z', 109: '62x103y1093z', 110: '631x512y581z', 111: '632x593y497z', 112: '652x475y589z', 113: '658x556y506z', 114: '66x755y652z', 115: '67x643y762z', 116: '683x518y514z', 117: '77x925y371z', 118: '91x886y453z', 119: '9x109y993z'}

                  
            else:
                print("\n (STEP 110F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 110F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 110F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one11004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 111F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE11004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one11004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 111F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE11004XI: ", fire2one11004xi) 
                    # FIRE2ONE11004XI:  {1: '0x0y1099z', 2: '0x1y1099z', 3: '0x33y1099z', 4: '0x728y824z', 5: '100x975y498z', 6: '10x120y1093z', 7: '110x694y845z', 8: '110x901y620z', 9: '115x818y725z', 10: '11x18y1099z', 11: '138x1007y419z', 12: '144x679y852z', 13: '151x963y508z', 14: '156x804y734z', 15: '156x888y629z', 16: '15x108y1094z', 17: '15x920y601z', 18: '16x28y1099z', 19: '177x662y859z', 20: '190x994y429z', 21: '196x787y742z', 22: '19x39y1099z', 23: '19x96y1095z', 24: '1x11y1099z', 25: '1x22y1099z', 26: '200x949y518z', 27: '201x873y638z', 28: '209x644y866z', 29: '21x50y1098z', 30: '21x85y1096z', 31: '22x61y1098z', 32: '22x73y1097z', 33: '235x769y750z', 34: '239x624y873z', 35: '240x979y439z', 36: '244x855y647z', 37: '248x932y528z', 38: '268x603y879z', 39: '272x748y758z', 40: '287x835y655z', 41: '290x961y449z', 42: '295x580y886z', 43: '295x913y537z', 44: '29x840y709z', 45: '308x726y766z', 46: '321x556y892z', 47: '327x812y664z', 48: '32x0y1099z', 49: '32x1024y398z', 50: '338x940y459z', 51: '340x891y547z', 52: '342x702y774z', 53: '344x531y899z', 54: '34x27y1099z', 55: '366x505y905z', 56: '367x788y673z', 57: '375x676y781z', 58: '37x719y831z', 59: '384x867y556z', 60: '385x917y469z', 61: '387x478y911z', 62: '404x762y682z', 63: '405x450y917z', 64: '405x649y789z', 65: '41x36y1098z', 66: '422x422y923z', 67: '426x840y566z', 68: '431x891y479z', 69: '434x620y797z', 70: '436x393y929z', 71: '440x734y690z', 72: '449x363y935z', 73: '460x334y941z', 74: '461x590y804z', 75: '467x812y575z', 76: '474x704y699z', 77: '474x863y489z', 78: '47x45y1098z', 79: '486x559y812z', 80: '49x984y489z', 81: '506x672y707z', 82: '506x782y584z', 83: '509x527y819z', 84: '516x833y498z', 85: '52x56y1097z', 86: '530x494y826z', 87: '536x639y716z', 88: '542x749y594z', 89: '549x460y834z', 90: '556x800y508z', 91: '564x605y724z', 92: '566x426y841z', 93: '56x67y1096z', 94: '577x715y603z', 95: '580x391y848z', 96: '589x570y732z', 97: '594x766y518z', 98: '59x78y1095z', 99: '5x131y1092z', 100: '610x679y612z', 101: '613x533y740z', 102: '61x90y1094z', 103: '630x730y528z', 104: '634x496y748z', 105: '63x912y611z', 106: '640x642y621z', 107: '653x458y756z', 108: '664x692y537z', 109: '668x604y630z', 110: '67x112y1192z', 111: '694x564y639z', 112: '695x652y547z', 113: '6x8y1099z', 114: '717x523y648z', 115: '724x612y556z', 116: '72x830y717z', 117: '74x707y838z', 118: '751x569y566z', 119: '85x1017y408z'}

                  
            else:
                print("\n (STEP 111F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 111F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 111F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


        
    #=========
    # 1200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one12004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 112F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE12004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one12004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 112F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE12004XI: ", fire2one12004xi) 
                    # FIRE2ONE12004XI:  {1: '0x0y1199z', 2: '0x36y1199z', 3: '0x794y899z', 4: '110x1063y544z', 5: '11x131y1192z', 6: '120x757y922z', 7: '120x983y676z', 8: '125x892y791z', 9: '12x20y1199z', 10: '150x1099y457z', 11: '157x741y930z', 12: '164x1051y554z', 13: '170x877y800z', 14: '170x969y686z', 15: '17x1004y656z', 16: '17x118y1194z', 17: '17x31y1199z', 18: '193x723y937z', 19: '1x12y1199z', 20: '1x24y1199z', 21: '207x1085y468z', 22: '20x105y1195z', 23: '214x859y809z', 24: '218x1035y565z', 25: '219x952y696z', 26: '21x43y1199z', 27: '228x702y945z', 28: '23x55y1198z', 29: '23x92y1196z', 30: '24x67y1197z', 31: '24x80y1197z', 32: '256x839y818z', 33: '261x681y952z', 34: '262x1068y479z', 35: '266x932y705z', 36: '270x1017y576z', 37: '292x657y959z', 38: '297x816y827z', 39: '313x910y715z', 40: '316x1048y490z', 41: '321x996y586z', 42: '322x633y967z', 43: '32x916y773z', 44: '336x792y835z', 45: '350x606y974z', 46: '357x886y725z', 47: '35x0y1199z', 48: '35x1117y434z', 49: '369x1025y501z', 50: '371x972y596z', 51: '373x766y844z', 52: '376x579y981z', 53: '37x29y1199z', 54: '400x551y987z', 55: '400x860y734z', 56: '409x738y852z', 57: '419x946y607z', 58: '41x784y907z', 59: '420x1000y511z', 60: '422x521y994z', 61: '441x831y744z', 62: '442x491y1001z', 63: '442x708y861z', 64: '45x39y1198z', 65: '460x460y1007z', 66: '465x917y617z', 67: '470x972y522z', 68: '474x677y869z', 69: '476x428y1014z', 70: '480x800y753z', 71: '490x397y1020z', 72: '502x364y1027z', 73: '503x644y877z', 74: '509x886y627z', 75: '517x768y762z', 76: '518x941y533z', 77: '51x49y1197z', 78: '530x610y886z', 79: '54x1073y533z', 80: '552x733y772z', 81: '552x853y638z', 82: '556x575y894z', 83: '563x908y544z', 84: '578x539y902z', 85: '57x61y1197z', 86: '585x698y781z', 87: '592x817y648z', 88: '599x502y909z', 89: '5x143y1191z', 90: '607x873y554z', 91: '615x660y790z', 92: '617x465y917z', 93: '61x73y1196z', 94: '630x780y658z', 95: '633x427y925z', 96: '643x622y799z', 97: '648x836y565z', 98: '65x86y1195z', 99: '665x741y668z', 100: '669x582y808z', 101: '67x112y1192z', 102: '67x99y1194z', 103: '688x796y576z', 104: '692x541y817z', 105: '698x701y678z', 106: '69x995y666z', 107: '6x9y1199z', 108: '712x499y825z', 109: '724x755y586z', 110: '729x658y688z', 111: '73x137y1290z', 112: '757x615y697z', 113: '758x712y597z', 114: '783x570y707z', 115: '790x667y607z', 116: '79x906y782z', 117: '819x621y617z', 118: '81x772y915z', 119: '93x1110y445z'}

                  
            else:
                print("\n (STEP 112F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 112F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 112F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               


        
    #=========
    # 1300 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one13004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 113F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE13004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one13004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 113F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE13004XI: ", fire2one13004xi) 
                    # FIRE2ONE13004XI:  {1: '0x0y1299z', 2: '0x39y1299z', 3: '0x860y974z', 4: '101x1202y483z', 5: '119x1152y589z', 6: '12x142y1292z', 7: '130x1065y732z', 8: '130x820y999z', 9: '135x967y857z', 10: '13x22y1299z', 11: '163x1190y495z', 12: '170x803y1007z', 13: '178x1138y601z', 14: '184x1050y743z', 15: '184x950y867z', 16: '18x1087y711z', 17: '18x128y1293z', 18: '19x34y1299z', 19: '1x13y1299z', 20: '1x26y1299z', 21: '209x783y1016z', 22: '224x1175y507z', 23: '22x114y1294z', 24: '22x46y1298z', 25: '232x930y877z', 26: '236x1121y612z', 27: '237x1031y754z', 28: '247x761y1024z', 29: '25x100y1295z', 30: '25x59y1298z', 31: '26x73y1297z', 32: '26x86y1296z', 33: '277x909y886z', 34: '283x737y1032z', 35: '284x1157y519z', 36: '289x1010y764z', 37: '293x1102y624z', 38: '317x712y1039z', 39: '322x884y896z', 40: '339x986y775z', 41: '343x1135y531z', 42: '348x1079y635z', 43: '349x685y1047z', 44: '34x993y838z', 45: '364x858y905z', 46: '379x657y1055z', 47: '387x960y785z', 48: '38x0y1299z', 49: '38x1211y471z', 50: '400x1111y542z', 51: '402x1053y646z', 52: '404x830y914z', 53: '407x627y1062z', 54: '41x31y1298z', 55: '433x596y1070z', 56: '433x931y795z', 57: '443x799y924z', 58: '44x849y982z', 59: '454x1025y657z', 60: '455x1083y554z', 61: '457x565y1077z', 62: '478x900y806z', 63: '479x532y1084z', 64: '479x767y933z', 65: '498x498y1091z', 66: '49x42y1298z', 67: '504x993y669z', 68: '509x1053y566z', 69: '513x733y942z', 70: '516x464y1098z', 71: '520x867y816z', 72: '531x430y1105z', 73: '543x395y1112z', 74: '545x698y951z', 75: '552x960y680z', 76: '560x832y826z', 77: '561x1020y578z', 78: '56x54y1297z', 79: '575x661y959z', 80: '598x795y836z', 81: '598x924y691z', 82: '59x1162y577z', 83: '5x155y1290z', 84: '602x623y968z', 85: '610x984y589z', 86: '627x584y977z', 87: '62x66y1296z', 88: '633x756y846z', 89: '641x886y702z', 90: '649x544y985z', 91: '658x946y601z', 92: '666x715y856z', 93: '668x504y994z', 94: '66x79y1295z', 95: '682x845y713z', 96: '686x462y1002z', 97: '697x673y865z', 98: '702x905y612z', 99: '70x93y1294z', 100: '721x803y723z', 101: '724x630y875z', 102: '72x107y1293z', 103: '73x122y1292z', 104: '745x863y624z', 105: '749x586y885z', 106: '74x1078y722z', 107: '757x759y734z', 108: '772x541y894z', 109: '785x818y635z', 110: '78x147y1389z', 111: '790x713y745z', 112: '7x10y1299z', 113: '820x666y756z', 114: '822x771y646z', 115: '848x618y766z', 116: '856x723y658z', 117: '85x981y847z', 118: '87x836y991z', 119: '887x673y669z'}

                  
            else:
                print("\n (STEP 113F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 113F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 113F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1400 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one14004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 114F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE14004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one14004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 114F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE14004XI: ", fire2one14004xi) 
                    # FIRE2ONE14004XI:  {1: '0x0y1399z', 2: '0x42y1399z', 3: '0x926y1049z', 4: '109x1295y520z', 5: '128x1241y634z', 6: '13x153y1391z', 7: '140x1147y789z', 8: '140x884y1076z', 9: '146x1041y923z', 10: '14x23y1399z', 11: '176x1282y533z', 12: '183x864y1085z', 13: '192x1226y647z', 14: '198x1023y934z', 15: '198x1131y800z', 16: '19x1171y766z', 17: '19x138y1393z', 18: '1x14y1399z', 19: '1x28y1399z', 20: '20x36y1399z', 21: '226x843y1094z', 22: '241x1266y546z', 23: '249x1002y944z', 24: '24x123y1394z', 25: '24x50y1398z', 26: '254x1208y659z', 27: '255x1111y812z', 28: '266x820y1102z', 29: '27x108y1395z', 30: '27x64y1398z', 31: '28x78y1397z', 32: '28x93y1396z', 33: '299x979y954z', 34: '305x794y1111z', 35: '306x1246y559z', 36: '311x1088y823z', 37: '315x1186y672z', 38: '341x767y1119z', 39: '346x953y965z', 40: '365x1062y834z', 41: '369x1223y571z', 42: '375x1162y684z', 43: '376x738y1128z', 44: '37x1069y902z', 45: '392x924y975z', 46: '408x708y1136z', 47: '417x1034y846z', 48: '41x1304y507z', 49: '431x1196y584z', 50: '433x1134y696z', 51: '436x893y985z', 52: '439x676y1144z', 53: '44x34y1398z', 54: '467x1003y857z', 55: '467x642y1152z', 56: '477x861y995z', 57: '47x915y1058z', 58: '489x1103y708z', 59: '490x1167y597z', 60: '492x608y1160z', 61: '515x969y868z', 62: '516x573y1168z', 63: '516x826y1004z', 64: '52x45y1398z', 65: '537x537y1175z', 66: '543x1070y720z', 67: '548x1134y609z', 68: '553x790y1014z', 69: '555x500y1183z', 70: '560x934y879z', 71: '572x463y1190z', 72: '585x425y1198z', 73: '587x752y1024z', 74: '594x1034y732z', 75: '603x896y890z', 76: '604x1098y622z', 77: '60x58y1397z', 78: '619x712y1033z', 79: '63x1252y622z', 80: '644x856y900z', 81: '644x995y744z', 82: '648x671y1043z', 83: '657x1060y635z', 84: '66x71y1396z', 85: '675x629y1052z', 86: '682x814y911z', 87: '690x954y756z', 88: '699x586y1061z', 89: '6x167y1389z', 90: '708x1019y647z', 91: '718x770y922z', 92: '720x542y1070z', 93: '72x85y1395z', 94: '735x910y768z', 95: '738x498y1079z', 96: '750x725y932z', 97: '757x975y659z', 98: '75x100y1394z', 99: '776x865y779z', 100: '780x679y942z', 101: '78x115y1393z', 102: '78x147y1389z', 103: '79x131y1391z', 104: '802x929y672z', 105: '807x631y953z', 106: '80x1161y777z', 107: '815x817y791z', 108: '82x176y1487z', 109: '831x583y963z', 110: '845x881y684z', 111: '851x768y802z', 112: '883x718y814z', 113: '885x831y696z', 114: '8x11y1399z', 115: '913x666y825z', 116: '922x779y708z', 117: '92x1057y913z', 118: '94x900y1067z', 119: '956x725y720z'}

                  
            else:
                print("\n (STEP 114F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 114F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 114F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1500 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one15004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 115F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE15004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one15004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 115F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE15004XI: ", fire2one15004xi) 
                    # FIRE2ONE15004XI:  {1: '0x0y1499z', 2: '0x45y1499z', 3: '0x993y1124z', 4: '101x965y1143z', 5: '1024x777y772z', 6: '116x1387y557z', 7: '137x1329y680z', 8: '14x164y1490z', 9: '150x1229y845z', 10: '150x947y1153z', 11: '156x1116y989z', 12: '15x25y1499z', 13: '188x1374y571z', 14: '196x926y1162z', 15: '1x15y1499z', 16: '1x30y1499z', 17: '205x1313y693z', 18: '213x1096y1000z', 19: '213x1211y858z', 20: '21x1255y820z', 21: '21x148y1492z', 22: '21x39y1499z', 23: '242x903y1172z', 24: '259x1356y585z', 25: '267x1074y1012z', 26: '26x132y1493z', 27: '26x53y1498z', 28: '273x1294y706z', 29: '274x1190y870z', 30: '285x878y1181z', 31: '29x116y1495z', 32: '29x68y1498z', 33: '30x100y1496z', 34: '31x84y1497z', 35: '320x1048y1023z', 36: '326x851y1190z', 37: '328x1335y598z', 38: '333x1166y882z', 39: '338x1271y720z', 40: '366x822y1199z', 41: '371x1021y1034z', 42: '391x1138y894z', 43: '396x1310y612z', 44: '402x1245y733z', 45: '403x791y1208z', 46: '40x1145y967z', 47: '420x990y1044z', 48: '437x758y1217z', 49: '447x1108y906z', 50: '44x1397y543z', 51: '462x1282y626z', 52: '464x1215y746z', 53: '467x957y1055z', 54: '470x724y1226z', 55: '47x36y1498z', 56: '500x1075y918z', 57: '500x688y1234z', 58: '511x922y1066z', 59: '51x980y1134z', 60: '524x1182y759z', 61: '526x1250y639z', 62: '528x652y1243z', 63: '551x1039y930z', 64: '553x614y1251z', 65: '553x885y1076z', 66: '56x49y1498z', 67: '575x575y1259z', 68: '582x1146y772z', 69: '587x1215y653z', 70: '592x846y1087z', 71: '595x536y1268z', 72: '600x1000y941z', 73: '612x496y1275z', 74: '627x456y1283z', 75: '629x805y1097z', 76: '637x1108y784z', 77: '646x960y953z', 78: '647x1177y666z', 79: '64x62y1497z', 80: '663x763y1107z', 81: '68x1341y666z', 82: '690x1066y797z', 83: '690x917y965z', 84: '695x719y1117z', 85: '6x179y1489z', 86: '704x1135y680z', 87: '71x76y1496z', 88: '723x674y1127z', 89: '731x872y976z', 90: '740x1022y810z', 91: '749x628y1137z', 92: '759x1091y693z', 93: '769x825y987z', 94: '771x581y1147z', 95: '77x91y1495z', 96: '787x975y822z', 97: '791x534y1156z', 98: '804x777y999z', 99: '811x1045y706z', 100: '81x107y1493z', 101: '832x927y835z', 102: '836x727y1010z', 103: '83x124y1492z', 104: '84x141y1490z', 105: '84x158y1489z', 106: '860x995y720z', 107: '865x676y1021z', 108: '86x1244y833z', 109: '873x876y847z', 110: '87x187y1586z', 111: '891x624y1032z', 112: '8x12y1499z', 113: '905x944y733z', 114: '911x823y860z', 115: '947x769y872z', 116: '948x890y746z', 117: '978x713y884z', 118: '988x834y759z', 119: '99x1132y978z'}

                  
            else:
                print("\n (STEP 115F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 115F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 115F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1600 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one16004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 116F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE16004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one16004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 116F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE16004XI: ", fire2one16004xi) 
                    # FIRE2ONE16004XI:  {1: '0x0y1599z', 2: '0x1059y1199z', 3: '0x48y1599z', 4: '1010x820y930z', 5: '1011x949y796z', 6: '1044x761y943z', 7: '1054x890y809z', 8: '105x1208y1043z', 9: '108x1029y1220z', 10: '1092x829y823z', 11: '124x1480y594z', 12: '146x1418y725z', 13: '15x174y1590z', 14: '160x1010y1230z', 15: '160x1311y902z', 16: '167x1190y1055z', 17: '17x27y1599z', 18: '1x16y1599z', 19: '1x32y1599z', 20: '201x1465y609z', 21: '210x988y1240z', 22: '219x1401y739z', 23: '227x1169y1067z', 24: '227x1292y915z', 25: '22x1339y875z', 26: '22x158y1592z', 27: '23x41y1599z', 28: '258x964y1250z', 29: '276x1447y624z', 30: '27x141y1593z', 31: '285x1145y1079z', 32: '28x57y1598z', 33: '291x1380y753z', 34: '292x1269y928z', 35: '304x937y1260z', 36: '31x123y1594z', 37: '31x73y1597z', 38: '33x106y1596z', 39: '33x90y1597z', 40: '342x1118y1091z', 41: '348x908y1270z', 42: '350x1424y638z', 43: '355x1243y941z', 44: '361x1356y768z', 45: '390x877y1279z', 46: '396x1089y1102z', 47: '417x1214y954z', 48: '422x1397y653z', 49: '429x1328y782z', 50: '42x1222y1031z', 51: '430x844y1289z', 52: '448x1056y1114z', 53: '467x809y1298z', 54: '476x1182y966z', 55: '47x1490y579z', 56: '492x1367y668z', 57: '495x1296y795z', 58: '498x1021y1125z', 59: '501x772y1308z', 60: '50x39y1598z', 61: '533x734y1317z', 62: '534x1146y979z', 63: '545x984y1137z', 64: '54x1045y1209z', 65: '559x1261y809z', 66: '561x1333y682z', 67: '563x695y1326z', 68: '588x1108y992z', 69: '589x655y1335z', 70: '590x944y1148z', 71: '60x52y1598z', 72: '613x613y1343z', 73: '620x1223y823z', 74: '627x1296y697z', 75: '632x903y1159z', 76: '635x571y1352z', 77: '640x1067y1004z', 78: '653x529y1361z', 79: '669x486y1369z', 80: '671x859y1170z', 81: '679x1181y837z', 82: '690x1024y1017z', 83: '690x1255y711z', 84: '69x66y1597z', 85: '707x814y1181z', 86: '72x1431y711z', 87: '736x1137y850z', 88: '736x978y1029z', 89: '741x767y1192z', 90: '751x1211y725z', 91: '76x81y1596z', 92: '771x719y1202z', 93: '780x930y1041z', 94: '789x1090y864z', 95: '799x670y1213z', 96: '7x191y1588z', 97: '809x1164y739z', 98: '820x880y1053z', 99: '823x620y1223z', 100: '82x97y1594z', 101: '840x1040y877z', 102: '844x569y1233z', 103: '858x829y1065z', 104: '865x1114y754z', 105: '86x114y1593z', 106: '887x988y891z', 107: '892x776y1077z', 108: '89x132y1592z', 109: '90x150y1590z', 110: '90x169y1588z', 111: '917x1062y768z', 112: '923x721y1089z', 113: '92x1327y888z', 114: '931x934y904z', 115: '93x199y1685z', 116: '950x666y1101z', 117: '966x1007y782z', 118: '972x878y917z', 119: '9x13y1599z'}
 
                  
            else:
                print("\n (STEP 116F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 116F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 116F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1700 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one17004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 117F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE17004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one17004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 117F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE17004XI: ", fire2one17004xi) 
                    # FIRE2ONE17004XI:  {1: '0x0y1699z', 2: '0x1125y1274z', 3: '0x51y1699z', 4: '1010x708y1169z', 5: '1026x1070y831z', 6: '1033x933y974z', 7: '1073x872y988z', 8: '1075x1009y845z', 9: '1109x808y1002z', 10: '1120x946y860z', 11: '112x1283y1108z', 12: '114x1093y1296z', 13: '1161x880y875z', 14: '132x1572y631z', 15: '155x1507y770z', 16: '16x185y1689z', 17: '170x1073y1307z', 18: '170x1393y958z', 19: '177x1264y1121z', 20: '18x28y1699z', 21: '1x17y1699z', 22: '1x34y1699z', 23: '213x1557y647z', 24: '223x1050y1318z', 25: '233x1489y786z', 26: '241x1242y1134z', 27: '241x1373y972z', 28: '24x1422y930z', 29: '24x168y1691z', 30: '24x44y1699z', 31: '274x1024y1328z', 32: '293x1537y663z', 33: '29x149y1693z', 34: '303x1217y1147z', 35: '309x1467y801z', 36: '30x61y1698z', 37: '310x1349y986z', 38: '323x995y1339z', 39: '33x131y1694z', 40: '33x78y1697z', 41: '35x113y1695z', 42: '35x95y1696z', 43: '363x1188y1159z', 44: '370x965y1349z', 45: '372x1513y678z', 46: '378x1321y1000z', 47: '383x1441y816z', 48: '414x931y1359z', 49: '421x1157y1171z', 50: '443x1290y1013z', 51: '448x1485y694z', 52: '456x1411y830z', 53: '456x896y1370z', 54: '45x1298y1095z', 55: '476x1122y1184z', 56: '496x859y1380z', 57: '506x1256y1027z', 58: '50x1583y615z', 59: '523x1453y709z', 60: '526x1377y845z', 61: '529x1085y1196z', 62: '533x820y1389z', 63: '53x41y1698z', 64: '567x1218y1040z', 65: '567x780y1399z', 66: '579x1045y1208z', 67: '58x1111y1285z', 68: '594x1340y860z', 69: '596x1417y725z', 70: '598x738y1409z', 71: '625x1177y1054z', 72: '626x696y1418z', 73: '627x1003y1220z', 74: '64x55y1697z', 75: '652x652y1427z', 76: '659x1299y875z', 77: '666x1377y740z', 78: '671x959y1232z', 79: '674x607y1437z', 80: '680x1134y1067z', 81: '694x562y1446z', 82: '711x516y1454z', 83: '713x913y1243z', 84: '722x1255y889z', 85: '733x1088y1080z', 86: '733x1334y755z', 87: '73x70y1696z', 88: '752x865y1255z', 89: '77x1520y755z', 90: '782x1039y1093z', 91: '782x1208y903z', 92: '787x815y1266z', 93: '798x1287y771z', 94: '7x203y1687z', 95: '819x764y1277z', 96: '81x86y1695z', 97: '828x988y1106z', 98: '839x1158y918z', 99: '849x712y1289z', 100: '860x1237y786z', 101: '871x936y1119z', 102: '874x659y1300z', 103: '87x103y1694z', 104: '892x1106y932z', 105: '897x605y1310z', 106: '911x881y1132z', 107: '919x1184y801z', 108: '92x121y1693z', 109: '943x1050y946z', 110: '947x824y1144z', 111: '95x140y1691z', 112: '95x179y1687z', 113: '96x159y1689z', 114: '974x1128y816z', 115: '97x1410y944z', 116: '980x767y1157z', 117: '98x211y1784z', 118: '990x993y960z', 119: '9x13y1699z'}
 
                  
            else:
                print("\n (STEP 117F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 117F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 117F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1800 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one18004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 118F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE18004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one18004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 118F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE18004XI: ", fire2one18004xi) 
                    # FIRE2ONE18004XI:  {1: '0x0y1799z', 2: '0x1191y1348z', 3: '0x54y1799z', 4: '1003x873y1212z', 5: '100x148y1791z', 6: '101x169y1789z', 7: '101x190y1787z', 8: '1032x1195y864z', 9: '1038x812y1225z', 10: '103x1493y999z', 11: '1048x1051y1017z', 12: '104x223y1883z', 13: '1069x749y1238z', 14: '1087x1133y879z', 15: '1094x988y1032z', 16: '10x14y1799z', 17: '1136x923y1046z', 18: '1138x1068y895z', 19: '1174x856y1061z', 20: '1185x1001y911z', 21: '118x1359y1174z', 22: '121x1158y1372z', 23: '1229x932y926z', 24: '140x1665y668z', 25: '165x1595y816z', 26: '17x196y1789z', 27: '180x1136y1384z', 28: '180x1475y1014z', 29: '188x1339y1187z', 30: '19x30y1799z', 31: '1x18y1799z', 32: '226x1648y685z', 33: '236x1112y1395z', 34: '247x1576y832z', 35: '255x1315y1201z', 36: '255x1454y1029z', 37: '25x1506y984z', 38: '25x177y1791z', 39: '26x47y1799z', 40: '290x1084y1406z', 41: '2x36y1799z', 42: '310x1627y702z', 43: '31x158y1792z', 44: '31x64y1798z', 45: '321x1289y1214z', 46: '327x1553y848z', 47: '329x1428y1044z', 48: '342x1054y1418z', 49: '35x139y1794z', 50: '35x82y1797z', 51: '37x101y1796z', 52: '37x120y1795z', 53: '384x1258y1227z', 54: '392x1021y1429z', 55: '394x1602y718z', 56: '400x1399y1058z', 57: '406x1525y864z', 58: '439x986y1439z', 59: '445x1225y1240z', 60: '469x1366y1073z', 61: '475x1572y735z', 62: '482x1494y879z', 63: '483x949y1450z', 64: '48x1375y1160z', 65: '504x1188y1253z', 66: '525x910y1461z', 67: '536x1329y1087z', 68: '53x1676y652z', 69: '554x1538y751z', 70: '557x1458y895z', 71: '560x1149y1266z', 72: '564x869y1471z', 73: '56x44y1798z', 74: '600x1290y1102z', 75: '600x826y1481z', 76: '613x1107y1279z', 77: '61x1176y1360z', 78: '629x1419y911z', 79: '631x1500y767z', 80: '633x782y1492z', 81: '662x1247y1116z', 82: '663x737y1502z', 83: '664x1062y1292z', 84: '67x58y1797z', 85: '690x690y1511z', 86: '698x1376y926z', 87: '705x1458y784z', 88: '711x1015y1304z', 89: '714x643y1521z', 90: '720x1201y1130z', 91: '735x595y1531z', 92: '753x547y1540z', 93: '755x967y1316z', 94: '764x1329y941z', 95: '776x1152y1144z', 96: '777x1412y800z', 97: '77x74y1796z', 98: '796x916y1329z', 99: '81x1610y800z', 100: '828x1100y1158z', 101: '828x1279y957z', 102: '834x863y1341z', 103: '845x1363y816z', 104: '85x91y1795z', 105: '868x809y1353z', 106: '877x1047y1171z', 107: '888x1226y972z', 108: '898x754y1364z', 109: '8x215y1787z', 110: '911x1310y832z', 111: '923x991y1185z', 112: '926x698y1376z', 113: '92x110y1794z', 114: '945x1171y987z', 115: '950x640y1388z', 116: '965x933y1198z', 117: '973x1254y848z', 118: '97x129y1792z', 119: '998x1112y1002z'}

                  
            else:
                print("\n (STEP 118F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 118F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 118F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 1900 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one19004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 119F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE19004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one19004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 119F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE19004XI: ", fire2one19004xi) 
                    # FIRE2ONE19004XI:  {1: '0x0y1899z', 2: '0x1257y1423z', 3: '0x57y1899z', 4: '1002x676y1465z', 5: '1018x984y1265z', 6: '1027x1323y895z', 7: '102x136y1892z', 8: '1054x1174y1058z', 9: '1059x921y1279z', 10: '106x157y1890z', 11: '107x178y1888z', 12: '107x200y1886z', 13: '1089x1261y912z', 14: '1096x857y1293z', 15: '109x1576y1055z', 16: '109x234y1983z', 17: '10x15y1899z', 18: '1106x1110y1073z', 19: '1128x791y1307z', 20: '1147x1196y928z', 21: '1155x1043y1089z', 22: '1199x974y1105z', 23: '1201x1127y945z', 24: '1239x903y1120z', 25: '1251x1057y961z', 26: '125x1434y1239z', 27: '128x1222y1448z', 28: '1297x984y978z', 29: '148x1757y706z', 30: '174x1684y861z', 31: '18x207y1888z', 32: '190x1199y1461z', 33: '190x1557y1071z', 34: '198x1413y1253z', 35: '20x32y1899z', 36: '238x1740y723z', 37: '249x1173y1473z', 38: '260x1664y878z', 39: '269x1534y1086z', 40: '26x1590y1039z', 41: '270x1389y1267z', 42: '27x187y1890z', 43: '27x49y1899z', 44: '2x19y1899z', 45: '2x38y1899z', 46: '306x1144y1485z', 47: '328x1718y741z', 48: '339x1360y1282z', 49: '33x167y1892z', 50: '33x68y1898z', 51: '345x1639y895z', 52: '347x1508y1102z', 53: '361x1113y1496z', 54: '37x147y1893z', 55: '37x87y1897z', 56: '39x106y1896z', 57: '39x126y1895z', 58: '406x1328y1295z', 59: '414x1078y1508z', 60: '415x1691y758z', 61: '422x1477y1117z', 62: '428x1610y912z', 63: '463x1041y1519z', 64: '470x1293y1309z', 65: '495x1442y1133z', 66: '501x1660y776z', 67: '509x1577y928z', 68: '50x1451y1224z', 69: '510x1002y1531z', 70: '532x1254y1323z', 71: '554x960y1542z', 72: '566x1403y1148z', 73: '56x1769y688z', 74: '585x1624y793z', 75: '588x1539y945z', 76: '591x1213y1337z', 77: '595x917y1553z', 78: '59x46y1898z', 79: '633x872y1564z', 80: '634x1361y1163z', 81: '647x1168y1350z', 82: '65x1241y1436z', 83: '664x1498y961z', 84: '666x1583y810z', 85: '668x825y1574z', 86: '699x1316y1178z', 87: '700x778y1585z', 88: '701x1121y1363z', 89: '71x62y1897z', 90: '729x729y1595z', 91: '737x1452y977z', 92: '744x1539y827z', 93: '750x1072y1376z', 94: '754x679y1606z', 95: '760x1267y1193z', 96: '776x628y1616z', 97: '795x577y1626z', 98: '797x1020y1389z', 99: '807x1403y994z', 100: '819x1216y1207z', 101: '820x1491y844z', 102: '82x79y1896z', 103: '840x967y1402z', 104: '86x1699y844z', 105: '874x1162y1222z', 106: '874x1350y1010z', 107: '880x911y1415z', 108: '892x1438y861z', 109: '8x227y1886z', 110: '90x97y1895z', 111: '916x854y1428z', 112: '926x1105y1236z', 113: '937x1295y1026z', 114: '948x796y1440z', 115: '961x1383y878z', 116: '974x1046y1251z', 117: '977x736y1452z', 118: '97x116y1893z', 119: '997x1236y1042z'}
 
                  
            else:
                print("\n (STEP 119F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 119F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 119F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               
      

        
    #=========
    # 2000 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one20004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 120F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE20004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one20004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 120F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE20004XI: ", fire2one20004xi) 
                    # FIRE2ONE20004XI:  {1: '0x0y1999z', 2: '0x1324y1498z', 3: '0x60y1999z', 4: '1012x1455y924z', 5: '1025x1101y1317z', 6: '1029x775y1529z', 7: '102x122y1993z', 8: '1050x1301y1097z', 9: '1055x712y1542z', 10: '1072x1036y1332z', 11: '1081x1393y942z', 12: '108x143y1991z', 13: '1109x1236y1113z', 14: '1115x970y1347z', 15: '111x165y1990z', 16: '112x211y1985z', 17: '113x188y1987z', 18: '1146x1327y960z', 19: '1153x902y1361z', 20: '115x1659y1110z', 21: '115x246y2082z', 22: '1164x1168y1130z', 23: '1188x832y1376z', 24: '11x16y1999z', 25: '1207x1258y977z', 26: '1215x1098y1146z', 27: '1262x1025y1163z', 28: '1264x1187y995z', 29: '1305x951y1179z', 30: '1317x1112y1012z', 31: '132x1510y1304z', 32: '135x1286y1525z', 33: '1366x1036y1029z', 34: '155x1850y743z', 35: '183x1773y906z', 36: '19x218y1987z', 37: '200x1262y1537z', 38: '200x1639y1127z', 39: '209x1488y1319z', 40: '21x33y1999z', 41: '251x1832y761z', 42: '262x1235y1550z', 43: '274x1751y924z', 44: '284x1462y1334z', 45: '284x1615y1144z', 46: '28x1673y1094z', 47: '28x197y1990z', 48: '29x52y1999z', 49: '2x20y1999z', 50: '2x40y1999z', 51: '322x1205y1563z', 52: '345x1808y780z', 53: '34x176y1991z', 54: '357x1432y1349z', 55: '35x71y1998z', 56: '364x1726y942z', 57: '365x1587y1160z', 58: '380x1171y1575z', 59: '39x154y1993z', 60: '39x91y1997z', 61: '41x112y1996z', 62: '41x133y1995z', 63: '427x1398y1364z', 64: '435x1135y1587z', 65: '437x1780y798z', 66: '444x1554y1176z', 67: '451x1695y960z', 68: '488x1096y1599z', 69: '495x1361y1378z', 70: '521x1518y1192z', 71: '528x1747y816z', 72: '536x1660y977z', 73: '537x1055y1611z', 74: '53x1527y1289z', 75: '560x1320y1393z', 76: '583x1011y1623z', 77: '596x1477y1208z', 78: '59x1863y724z', 79: '616x1709y835z', 80: '619x1620y994z', 81: '622x1277y1407z', 82: '627x965y1635z', 83: '63x49y1998z', 84: '667x1433y1224z', 85: '667x918y1646z', 86: '682x1230y1421z', 87: '68x1307y1512z', 88: '699x1576y1012z', 89: '701x1667y853z', 90: '704x869y1657z', 91: '735x1385y1240z', 92: '737x1180y1435z', 93: '737x818y1668z', 94: '75x65y1997z', 95: '767x767y1679z', 96: '776x1529y1029z', 97: '783x1620y871z', 98: '790x1128y1449z', 99: '794x714y1690z', 100: '800x1334y1255z', 101: '817x661y1701z', 102: '836x608y1711z', 103: '839x1074y1463z', 104: '849x1477y1046z', 105: '862x1280y1271z', 106: '863x1569y889z', 107: '86x83y1996z', 108: '884x1017y1476z', 109: '90x1789y889z', 110: '920x1223y1286z', 111: '920x1422y1063z', 112: '926x959y1490z', 113: '939x1514y907z', 114: '95x102y1995z', 115: '964x899y1503z', 116: '975x1163y1302z', 117: '987x1363y1080z', 118: '998x838y1516z', 119: '9x239y1985z'}

                  
            else:
                print("\n (STEP 120F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 120F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 120F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one21004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 121F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE21004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one21004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 121F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE21004XI: ", fire2one21004xi) 
                    # FIRE2ONE21004XI:  {1: '0x0y2099z', 2: '0x1390y1573z', 3: '0x63y2099z', 4: '100x107y2094z', 5: '1012x944y1578z', 6: '1023x1221y1367z', 7: '1036x1431y1134z', 8: '1048x880y1592z', 9: '1063x1528y971z', 10: '1077x1156y1383z', 11: '1080x814y1605z', 12: '108x128y2093z', 13: '1102x1366y1152z', 14: '1108x747y1619z', 15: '1126x1088y1398z', 16: '1135x1463y989z', 17: '113x150y2091z', 18: '1165x1298y1169z', 19: '1170x1018y1414z', 20: '117x173y2089z', 21: '118x197y2087z', 22: '118x221y2084z', 23: '1204x1394y1008z', 24: '120x1742y1166z', 25: '120x258y2181z', 26: '1211x947y1429z', 27: '1223x1226y1186z', 28: '1247x874y1445z', 29: '1268x1321y1026z', 30: '1276x1153y1204z', 31: '12x17y2099z', 32: '1325x1077y1221z', 33: '1328x1246y1044z', 34: '1370x999y1238z', 35: '1383x1168y1063z', 36: '138x1585y1369z', 37: '142x1351y1601z', 38: '1434x1088y1081z', 39: '163x1942y780z', 40: '192x1861y952z', 41: '20x229y2087z', 42: '210x1326y1614z', 43: '210x1721y1183z', 44: '219x1562y1385z', 45: '22x35y2099z', 46: '264x1923y799z', 47: '275x1297y1628z', 48: '288x1839y970z', 49: '298x1535y1401z', 50: '298x1696y1201z', 51: '29x1757y1149z', 52: '29x207y2089z', 53: '2x21y2099z', 54: '2x42y2099z', 55: '30x55y2099z', 56: '339x1265y1641z', 57: '362x1899y819z', 58: '36x185y2091z', 59: '374x1503y1416z', 60: '37x75y2098z', 61: '382x1812y989z', 62: '383x1666y1218z', 63: '399x1230y1654z', 64: '41x162y2093z', 65: '41x96y2097z', 66: '43x118y2096z', 67: '43x140y2094z', 68: '448x1468y1432z', 69: '457x1192y1667z', 70: '459x1869y838z', 71: '467x1632y1235z', 72: '473x1780y1008z', 73: '512x1151y1679z', 74: '520x1429y1447z', 75: '547x1594y1252z', 76: '554x1834y857z', 77: '563x1743y1026z', 78: '564x1107y1692z', 79: '56x1604y1353z', 80: '588x1386y1462z', 81: '613x1062y1704z', 82: '61x1956y760z', 83: '625x1551y1269z', 84: '646x1795y876z', 85: '650x1701y1044z', 86: '654x1340y1477z', 87: '658x1014y1716z', 88: '66x51y2098z', 89: '700x1505y1285z', 90: '700x964y1728z', 91: '716x1291y1492z', 92: '71x1372y1587z', 93: '734x1655y1062z', 94: '736x1750y895z', 95: '739x912y1740z', 96: '772x1454y1302z', 97: '774x1239y1507z', 98: '774x859y1752z', 99: '79x68y2097z', 100: '805x805y1763z', 101: '814x1605y1080z', 102: '823x1701y914z', 103: '829x1185y1521z', 104: '833x750y1775z', 105: '840x1401y1318z', 106: '858x694y1786z', 107: '878x638y1797z', 108: '881x1128y1536z', 109: '892x1551y1098z', 110: '905x1344y1335z', 111: '906x1648y933z', 112: '90x87y2096z', 113: '929x1068y1550z', 114: '95x1878y933z', 115: '966x1284y1351z', 116: '966x1493y1116z', 117: '973x1007y1564z', 118: '986x1590y952z', 119: '9x251y2084z'}

                  
            else:
                print("\n (STEP 121F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 121F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 121F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one22004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 122F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE22004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one22004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 122F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE22004XI: ", fire2one22004xi) 
                    # FIRE2ONE22004XI:  {1: '0x0y2199z', 2: '0x1456y1648z', 3: '0x66y2199z', 4: '1012x1345y1415z', 5: '1012x1564y1169z', 6: '1019x1055y1639z', 7: '1033x1666y997z', 8: '105x112y2194z', 9: '1061x989y1653z', 10: '1072x1279y1432z', 11: '1085x1499y1188z', 12: '1098x921y1668z', 13: '10x263y2184z', 14: '1113x1601y1017z', 15: '1128x1211y1448z', 16: '1132x853y1682z', 17: '113x134y2192z', 18: '1155x1431y1206z', 19: '1161x783y1696z', 20: '1179x1140y1465z', 21: '1189x1532y1036z', 22: '119x157y2191z', 23: '1220x1359y1225z', 24: '1226x1067y1481z', 25: '123x181y2189z', 26: '123x232y2184z', 27: '124x206y2186z', 28: '1261x1460y1056z', 29: '1269x992y1497z', 30: '126x1824y1222z', 31: '126x270y2280z', 32: '1281x1285y1243z', 33: '12x17y2199z', 34: '1307x916y1513z', 35: '1328x1384y1075z', 36: '1337x1208y1261z', 37: '1389x1128y1279z', 38: '1391x1305y1094z', 39: '1435x1046y1297z', 40: '1449x1224y1113z', 41: '145x1661y1435z', 42: '148x1415y1677z', 43: '1502x1139y1132z', 44: '171x2035y817z', 45: '201x1950y997z', 46: '21x240y2186z', 47: '220x1389y1691z', 48: '220x1803y1240z', 49: '230x1636y1451z', 50: '23x37y2199z', 51: '276x2015y838z', 52: '288x1359y1705z', 53: '2x22y2199z', 54: '2x44y2199z', 55: '302x1927y1017z', 56: '312x1608y1468z', 57: '312x1777y1258z', 58: '31x1841y1203z', 59: '31x217y2189z', 60: '32x57y2199z', 61: '355x1325y1719z', 62: '380x1989y858z', 63: '38x193y2191z', 64: '38x78y2198z', 65: '392x1575y1484z', 66: '400x1898y1036z', 67: '402x1746y1276z', 68: '418x1288y1733z', 69: '43x101y2197z', 70: '43x170y2192z', 71: '45x123y2196z', 72: '45x147y2194z', 73: '470x1538y1500z', 74: '479x1248y1746z', 75: '481x1958y878z', 76: '489x1710y1294z', 77: '496x1865y1056z', 78: '536x1206y1759z', 79: '545x1497y1516z', 80: '574x1670y1311z', 81: '580x1922y898z', 82: '58x1680y1418z', 83: '590x1826y1075z', 84: '591x1160y1772z', 85: '616x1452y1532z', 86: '642x1112y1785z', 87: '64x2049y797z', 88: '655x1625y1329z', 89: '677x1880y918z', 90: '681x1782y1094z', 91: '685x1404y1548z', 92: '689x1062y1798z', 93: '69x54y2198z', 94: '733x1010y1811z', 95: '734x1576y1347z', 96: '750x1353y1563z', 97: '75x1438y1663z', 98: '768x1734y1113z', 99: '771x1834y938z', 100: '774x956y1823z', 101: '809x1524y1364z', 102: '811x1299y1579z', 103: '811x900y1835z', 104: '83x72y2197z', 105: '844x844y1847z', 106: '853x1681y1132z', 107: '862x1782y958z', 108: '869x1241y1594z', 109: '873x786y1859z', 110: '881x1468y1381z', 111: '898x727y1871z', 112: '920x668y1882z', 113: '923x1181y1609z', 114: '934x1625y1151z', 115: '948x1408y1398z', 116: '949x1726y978z', 117: '95x91y2196z', 118: '973x1119y1624z', 119: '99x1968y978z'}

                  
            else:
                print("\n (STEP 122F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 122F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 122F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2300 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one23004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 123F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE23004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one23004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 123F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE23004XI: ", fire2one23004xi) 
                    # FIRE2ONE23004XI:  {1: '0x0y2299z', 2: '0x1522y1723z', 3: '0x69y2298z', 4: '1017x1170y1698z', 5: '104x2057y1022z', 6: '1058x1406y1479z', 7: '1058x1635y1223z', 8: '1065x1103y1713z', 9: '1080x1741y1043z', 10: '109x117y2294z', 11: '10x275y2283z', 12: '1109x1034y1728z', 13: '1121x1337y1497z', 14: '1135x1567y1242z', 15: '1148x963y1743z', 16: '1164x1674y1063z', 17: '1179x1266y1514z', 18: '1183x891y1758z', 19: '118x140y2292z', 20: '1207x1496y1261z', 21: '1213x818y1773z', 22: '1233x1192y1532z', 23: '1243x1602y1084z', 24: '124x164y2290z', 25: '1275x1421y1280z', 26: '1282x1116y1549z', 27: '128x190y2288z', 28: '129x242y2283z', 29: '130x216y2286z', 30: '1318x1526y1104z', 31: '131x281y2379z', 32: '1326x1037y1566z', 33: '132x1907y1277z', 34: '1339x1343y1299z', 35: '1366x957y1582z', 36: '1389x1447y1124z', 37: '1398x1263y1318z', 38: '13x18y2299z', 39: '1452x1179y1337z', 40: '1454x1365y1144z', 41: '1501x1094y1356z', 42: '1515x1279y1164z', 43: '151x1736y1500z', 44: '155x1479y1753z', 45: '1570x1191y1184z', 46: '179x2127y854z', 47: '211x2039y1043z', 48: '22x251y2286z', 49: '230x1452y1768z', 50: '230x1885y1296z', 51: '240x1711y1517z', 52: '24x38y2299z', 53: '289x2106y876z', 54: '2x23y2299z', 55: '2x46y2299z', 56: '302x1420y1783z', 57: '315x2014y1063z', 58: '326x1681y1534z', 59: '326x1858y1315z', 60: '32x1924y1258z', 61: '32x227y2288z', 62: '33x60y2298z', 63: '371x1385y1797z', 64: '397x2080y897z', 65: '40x202y2290z', 66: '40x82y2298z', 67: '410x1647y1551z', 68: '418x1984y1083z', 69: '420x1825y1334z', 70: '437x1347y1811z', 71: '45x105y2297z', 72: '45x178y2292z', 73: '47x129y2295z', 74: '47x153y2294z', 75: '491x1608y1568z', 76: '501x1305y1825z', 77: '503x2047y918z', 78: '511x1788y1353z', 79: '519x1949y1104z', 80: '561x1260y1839z', 81: '569x1565y1585z', 82: '600x1745y1371z', 83: '607x2009y939z', 84: '617x1909y1124z', 85: '618x1213y1853z', 86: '61x1757y1482z', 87: '644x1519y1602z', 88: '671x1163y1867z', 89: '67x2142y833z', 90: '685x1699y1390z', 91: '708x1966y960z', 92: '712x1863y1144z', 93: '716x1468y1618z', 94: '721x1110y1880z', 95: '72x56y2298z', 96: '767x1056y1893z', 97: '767x1648y1408z', 98: '784x1414y1634z', 99: '78x1503y1738z', 100: '803x1813y1164z', 101: '806x1917y981z', 102: '809x999y1906z', 103: '846x1593y1426z', 104: '848x1358y1650z', 105: '848x941y1919z', 106: '86x75y2297z', 107: '882x882y1931z', 108: '892x1758y1183z', 109: '901x1863y1002z', 110: '909x1298y1666z', 111: '913x822y1944z', 112: '921x1534y1444z', 113: '939x760y1956z', 114: '962x699y1968z', 115: '965x1235y1682z', 116: '977x1698y1203z', 117: '992x1472y1462z', 118: '992x1805y1022z', 119: '99x95y2295z'}

                  
            else:
                print("\n (STEP 123F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 123F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 123F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2400 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one24004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 124F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE24004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one24004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 124F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE24004XI: ", fire2one24004xi) 
                    # FIRE2ONE24004XI:  {1: '0x0y2399z', 2: '0x1589y1798z', 3: '0x72y2398z', 4: '1004x729y2054z', 5: '1007x1289y1755z', 6: '1019x1772y1255z', 7: '1035x1536y1525z', 8: '1036x1883y1067z', 9: '103x99y2395z', 10: '1061x1221y1772z', 11: '109x2147y1066z', 12: '10x287y2382z', 13: '1104x1467y1544z', 14: '1104x1706y1276z', 15: '1112x1151y1788z', 16: '1127x1817y1088z', 17: '114x122y2394z', 18: '1157x1079y1804z', 19: '1170x1396y1562z', 20: '1184x1635y1296z', 21: '1198x1005y1819z', 22: '1214x1747y1109z', 23: '1230x1321y1580z', 24: '1235x930y1835z', 25: '123x146y2392z', 26: '1260x1561y1316z', 27: '1266x854y1850z', 28: '1287x1244y1598z', 29: '1297x1672y1131z', 30: '130x172y2390z', 31: '1331x1483y1336z', 32: '1338x1164y1616z', 33: '134x198y2388z', 34: '135x225y2385z', 35: '135x253y2382z', 36: '1376x1593y1152z', 37: '137x293y2478z', 38: '1384x1082y1634z', 39: '138x1990y1333z', 40: '1397x1402y1356z', 41: '13x19y2399z', 42: '1425x999y1651z', 43: '1449x1510y1173z', 44: '1459x1317y1376z', 45: '1515x1231y1395z', 46: '1517x1424y1194z', 47: '1566x1141y1415z', 48: '1581x1335y1214z', 49: '158x1812y1565z', 50: '162x1544y1830z', 51: '1639x1243y1235z', 52: '187x2220y891z', 53: '220x2127y1088z', 54: '23x262y2385z', 55: '240x1515y1845z', 56: '240x1967y1353z', 57: '250x1785y1583z', 58: '25x40y2399z', 59: '2x24y2399z', 60: '2x48y2399z', 61: '301x2198y914z', 62: '315x1482y1860z', 63: '329x2102y1109z', 64: '340x1938y1372z', 65: '341x1754y1601z', 66: '34x2008y1313z', 67: '34x237y2388z', 68: '35x62y2398z', 69: '387x1446y1875z', 70: '414x2170y936z', 71: '41x211y2390z', 72: '428x1718y1619z', 73: '42x86y2398z', 74: '436x2071y1130z', 75: '438x1904y1392z', 76: '456x1405y1890z', 77: '46x185y2392z', 78: '47x110y2396z', 79: '49x135y2395z', 80: '49x160y2394z', 81: '513x1678y1637z', 82: '522x1362y1905z', 83: '525x2136y958z', 84: '533x1865y1411z', 85: '541x2034y1152z', 86: '585x1315y1919z', 87: '594x1633y1654z', 88: '626x1821y1431z', 89: '633x2096y980z', 90: '643x1992y1173z', 91: '645x1266y1934z', 92: '64x1833y1547z', 93: '672x1585y1671z', 94: '700x1213y1948z', 95: '70x2235y869z', 96: '715x1773y1450z', 97: '739x2051y1002z', 98: '742x1944y1193z', 99: '747x1532y1688z', 100: '752x1159y1962z', 101: '75x58y2398z', 102: '800x1102y1975z', 103: '801x1720y1469z', 104: '818x1476y1705z', 105: '82x1568y1814z', 106: '838x1892y1214z', 107: '841x2000y1023z', 108: '844x1043y1989z', 109: '883x1662y1488z', 110: '884x982y2002z', 111: '885x1417y1722z', 112: '90x78y2397z', 113: '920x920y2015z', 114: '931x1834y1235z', 115: '940x1944y1045z', 116: '948x1354y1739z', 117: '952x857y2028z', 118: '961x1601y1507z', 119: '980x794y2041z'}

                  
            else:
                print("\n (STEP 124F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 124F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 124F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2500 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one25004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 125F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE25004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one25004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 125F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE25004XI: ", fire2one25004xi) 
                    # FIRE2ONE25004XI:  {1: '0x0y2499z', 2: '0x1655y1873z', 3: '0x75y2498z', 4: '1001x1668y1569z', 5: '1021x827y2126z', 6: '1046x760y2139z', 7: '1049x1343y1828z', 8: '1062x1846y1308z', 9: '1078x1600y1589z', 10: '1079x1961y1111z', 11: '107x104y2495z', 12: '1106x1272y1845z', 13: '113x2236y1111z', 14: '1150x1529y1608z', 15: '1150x1777y1329z', 16: '1158x1199y1862z', 17: '1174x1893y1133z', 18: '119x127y2493z', 19: '11x299y2482z', 20: '1205x1124y1879z', 21: '1218x1454y1627z', 22: '1233x1704y1350z', 23: '1248x1047y1895z', 24: '1265x1819y1156z', 25: '1282x1376y1646z', 26: '1286x969y1911z', 27: '128x152y2492z', 28: '1312x1626y1371z', 29: '1319x890y1927z', 30: '1340x1296y1665z', 31: '1351x1741y1178z', 32: '135x179y2489z', 33: '1386x1545y1392z', 34: '1394x1213y1683z', 35: '139x206y2487z', 36: '140x264y2482z', 37: '141x235y2484z', 38: '142x305y2578z', 39: '1433x1659y1200z', 40: '143x2073y1388z', 41: '1442x1128y1702z', 42: '1455x1460y1412z', 43: '1485x1041y1720z', 44: '14x20y2499z', 45: '1509x1573y1222z', 46: '1519x1372y1433z', 47: '1578x1282y1453z', 48: '1581x1484y1243z', 49: '1631x1189y1474z', 50: '1647x1391y1265z', 51: '165x1887y1630z', 52: '169x1608y1906z', 53: '1707x1295y1287z', 54: '194x2312y929z', 55: '229x2216y1133z', 56: '24x273y2484z', 57: '250x1578y1922z', 58: '250x2049y1409z', 59: '261x1860y1649z', 60: '26x42y2499z', 61: '2x25y2499z', 62: '2x50y2499z', 63: '314x2290y952z', 64: '328x1544y1938z', 65: '343x2189y1155z', 66: '355x1827y1668z', 67: '355x2019y1430z', 68: '35x2092y1367z', 69: '35x247y2487z', 70: '36x65y2498z', 71: '403x1506y1953z', 72: '431x2261y975z', 73: '43x220y2489z', 74: '446x1790y1686z', 75: '44x89y2497z', 76: '455x2157y1178z', 77: '457x1984y1450z', 78: '475x1464y1969z', 79: '48x193y2492z', 80: '49x114y2496z', 81: '51x140y2495z', 82: '51x167y2493z', 83: '534x1748y1705z', 84: '544x1419y1984z', 85: '547x2225y998z', 86: '556x1943y1470z', 87: '564x2119y1200z', 88: '610x1370y1999z', 89: '619x1701y1723z', 90: '652x1897y1490z', 91: '660x2184y1021z', 92: '66x1909y1611z', 93: '670x2075y1221z', 94: '671x1318y2014z', 95: '700x1651y1741z', 96: '729x1264y2029z', 97: '73x2328y905z', 98: '745x1847y1510z', 99: '770x2137y1043z', 100: '773x2025y1243z', 101: '778x1596y1759z', 102: '784x1207y2043z', 103: '78x61y2498z', 104: '834x1148y2058z', 105: '834x1791y1530z', 106: '852x1538y1776z', 107: '85x1634y1890z', 108: '873x1971y1265z', 109: '876x2084y1066z', 110: '880x1086y2072z', 111: '919x1732y1550z', 112: '921x1023y2086z', 113: '922x1476y1794z', 114: '94x81y2496z', 115: '959x959y2099z', 116: '970x1911y1286z', 117: '979x2025y1089z', 118: '988x1411y1811z', 119: '992x893y2113z'}

                  
            else:
                print("\n (STEP 125F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 125F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 125F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2600 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one26004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 126F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE26004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one26004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 126F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE26004XI: ", fire2one26004xi) 
                    # FIRE2ONE26004XI:  {1: '0x0y2599z', 2: '0x1721y1948z', 3: '0x78y2598z', 4: '1008x1987y1338z', 5: '1019x2106y1132z', 6: '1027x1467y1884z', 7: '1032x929y2197z', 8: '1041x1734y1632z', 9: '1062x860y2211z', 10: '1087x790y2225z', 11: '1091x1396y1902z', 12: '1104x1920y1360z', 13: '1121x1664y1652z', 14: '1122x2040y1156z', 15: '112x108y2595z', 16: '1150x1323y1919z', 17: '118x2325y1155z', 18: '1196x1590y1672z', 19: '1196x1848y1382z', 20: '11x311y2581z', 21: '1204x1247y1937z', 22: '1221x1969y1179z', 23: '124x132y2593z', 24: '1254x1169y1954z', 25: '1267x1512y1692z', 26: '1283x1772y1404z', 27: '1298x1089y1971z', 28: '1316x1892y1202z', 29: '1333x1431y1712z', 30: '1337x1008y1988z', 31: '133x159y2591z', 32: '1365x1691y1426z', 33: '1372x925y2004z', 34: '1394x1347y1731z', 35: '1405x1811y1225z', 36: '140x186y2589z', 37: '1442x1607y1447z', 38: '1449x1261y1751z', 39: '145x215y2587z', 40: '146x274y2581z', 41: '147x244y2584z', 42: '148x317y2677z', 43: '1490x1726y1248z', 44: '1499x1173y1770z', 45: '149x2156y1444z', 46: '14x21y2599z', 47: '1514x1519y1469z', 48: '1544x1082y1789z', 49: '1570x1636y1271z', 50: '1580x1427y1490z', 51: '1641x1333y1512z', 52: '1644x1543y1293z', 53: '1696x1236y1533z', 54: '1713x1446y1316z', 55: '171x1963y1695z', 56: '175x1672y1982z', 57: '1775x1347y1338z', 58: '202x2405y966z', 59: '238x2304y1179z', 60: '25x284y2584z', 61: '260x1641y1999z', 62: '260x2131y1465z', 63: '271x1934y1715z', 64: '27x44y2599z', 65: '2x26y2599z', 66: '2x52y2599z', 67: '326x2381y990z', 68: '341x1606y2015z', 69: '356x2277y1202z', 70: '369x1900y1735z', 71: '369x2100y1487z', 72: '36x2175y1422z', 73: '36x256y2587z', 74: '38x68y2598z', 75: '419x1566y2032z', 76: '449x2351y1014z', 77: '45x229y2589z', 78: '45x93y2597z', 79: '464x1861y1754z', 80: '473x2243y1225z', 81: '475x2063y1508z', 82: '494x1523y2048z', 83: '50x201y2591z', 84: '51x119y2596z', 85: '53x146y2595z', 86: '53x173y2593z', 87: '555x1818y1773z', 88: '566x1475y2064z', 89: '569x2314y1038z', 90: '578x2021y1529z', 91: '586x2204y1248z', 92: '634x1425y2079z', 93: '644x1769y1792z', 94: '678x1973y1550z', 95: '686x2271y1062z', 96: '697x2158y1270z', 97: '698x1371y2095z', 98: '69x1986y1676z', 99: '728x1717y1811z', 100: '759x1314y2110z', 101: '76x2422y942z', 102: '774x1921y1571z', 103: '800x2222y1085z', 104: '804x2106y1293z', 105: '809x1660y1829z', 106: '815x1255y2125z', 107: '82x63y2597z', 108: '867x1193y2140z', 109: '867x1863y1591z', 110: '886x1599y1848z', 111: '89x1699y1965z', 112: '908x2050y1315z', 113: '911x2167y1109z', 114: '915x1130y2155z', 115: '956x1801y1612z', 116: '958x1064y2169z', 117: '959x1535y1866z', 118: '98x85y2596z', 119: '997x997y2183z'}

                  
            else:
                print("\n (STEP 126F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 126F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 126F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2700 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one27004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 127F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE27004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one27004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 127F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE27004XI: ", fire2one27004xi) 
                    # FIRE2ONE27004XI:  {1: '0x0y2699z', 2: '0x1787y2023z', 3: '0x81y2698z', 4: '101x88y2696z', 5: '1036x1036y2267z', 6: '1047x2064y1389z', 7: '1058x2187y1176z', 8: '1067x1523y1956z', 9: '1071x965y2282z', 10: '1081x1801y1695z', 11: '1103x893y2296z', 12: '1129x820y2310z', 13: '1133x1450y1975z', 14: '1147x1994y1412z', 15: '1164x1728y1716z', 16: '1165x2118y1200z', 17: '116x112y2695z', 18: '1194x1374y1993z', 19: '122x2415y1200z', 20: '1242x1919y1435z', 21: '1243x1651y1737z', 22: '1251x1295y2011z', 23: '1268x2044y1224z', 24: '128x137y2693z', 25: '12x323y2680z', 26: '1302x1214y2029z', 27: '1316x1570y1757z', 28: '1332x1840y1458z', 29: '1348x1131y2047z', 30: '1366x1965y1248z', 31: '1384x1486y1778z', 32: '1389x1047y2064z', 33: '138x165y2691z', 34: '1417x1756y1481z', 35: '1425x961y2082z', 36: '1447x1399y1798z', 37: '1459x1881y1272z', 38: '146x193y2689z', 39: '1497x1668y1503z', 40: '1505x1310y1818z', 41: '150x223y2686z', 42: '152x253y2683z', 43: '152x285y2680z', 44: '153x328y2776z', 45: '1548x1792y1296z', 46: '1557x1218y1838z', 47: '155x2239y1499z', 48: '1572x1577y1526z', 49: '15x22y2699z', 50: '1604x1124y1858z', 51: '1630x1699y1319z', 52: '1641x1482y1548z', 53: '1704x1384y1570z', 54: '1707x1602y1343z', 55: '1762x1284y1592z', 56: '1778x1502y1366z', 57: '178x2038y1761z', 58: '182x1737y2058z', 59: '1844x1399y1389z', 60: '210x2497y1003z', 61: '247x2393y1224z', 62: '26x295y2683z', 63: '270x1704y2076z', 64: '270x2213y1522z', 65: '282x2009y1781z', 66: '28x45y2699z', 67: '2x27y2699z', 68: '339x2473y1028z', 69: '354x1668y2093z', 70: '370x2365y1248z', 71: '383x1973y1801z', 72: '383x2181y1544z', 73: '38x2259y1477z', 74: '38x266y2686z', 75: '39x70y2698z', 76: '3x54y2699z', 77: '435x1626y2110z', 78: '466x2441y1053z', 79: '47x238y2689z', 80: '47x96y2697z', 81: '482x1933y1821z', 82: '491x2330y1272z', 83: '493x2143y1566z', 84: '513x1581y2127z', 85: '52x209y2691z', 86: '53x124y2696z', 87: '55x151y2695z', 88: '55x180y2693z', 89: '577x1888y1841z', 90: '588x1532y2143z', 91: '591x2403y1078z', 92: '600x2099y1588z', 93: '609x2288y1296z', 94: '658x1480y2159z', 95: '668x1837y1861z', 96: '704x2049y1610z', 97: '712x2359y1102z', 98: '724x2241y1319z', 99: '725x1424y2175z', 100: '72x2062y1740z', 101: '756x1783y1880z', 102: '788x1365y2191z', 103: '79x2515y978z', 104: '804x1994y1631z', 105: '831x2308y1127z', 106: '835x2187y1343z', 107: '840x1724y1900z', 108: '846x1303y2207z', 109: '85x66y2697z', 110: '900x1239y2222z', 111: '901x1935y1653z', 112: '920x1661y1919z', 113: '92x1764y2041z', 114: '943x2128y1366z', 115: '946x2250y1151z', 116: '950x1173y2238z', 117: '993x1870y1674z', 118: '995x1105y2253z', 119: '996x1594y1938z'}

                  
            else:
                print("\n (STEP 127F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 127F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 127F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2800 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one28004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 128F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE28004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one28004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 128F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE28004XI: ", fire2one28004xi) 
                    # FIRE2ONE28004XI:  {1: '0x0y2799z', 2: '0x1853y2098z', 3: '0x84y2798z', 4: '1030x1939y1736z', 5: '1032x1146y2336z', 6: '1033x1653y2009z', 7: '105x91y2796z', 8: '1074x1074y2351z', 9: '1086x2140y1441z', 10: '1097x2268y1219z', 11: '1106x1580y2029z', 12: '1111x1000y2366z', 13: '1121x1868y1758z', 14: '1144x926y2381z', 15: '1171x851y2396z', 16: '1175x1504y2048z', 17: '1189x2068y1465z', 18: '1207x1792y1780z', 19: '1208x2197y1245z', 20: '120x116y2794z', 21: '1238x1425y2067z', 22: '127x2504y1244z', 23: '1288x1990y1488z', 24: '1289x1712y1801z', 25: '1297x1343y2086z', 26: '12x334y2779z', 27: '1315x2120y1270z', 28: '133x143y2793z', 29: '1350x1259y2104z', 30: '1365x1628y1822z', 31: '1381x1908y1512z', 32: '1398x1173y2123z', 33: '1417x2038y1294z', 34: '1436x1541y1844z', 35: '1440x1085y2141z', 36: '144x171y2791z', 37: '1470x1821y1536z', 38: '1477x996y2159z', 39: '1501x1451y1865z', 40: '1514x1950y1319z', 41: '151x200y2788z', 42: '1553x1730y1559z', 43: '1561x1358y1885z', 44: '156x231y2786z', 45: '157x295y2779z', 46: '158x263y2783z', 47: '159x340y2875z', 48: '1605x1858y1344z', 49: '1615x1263y1906z', 50: '161x2322y1555z', 51: '1630x1635y1582z', 52: '1663x1166y1926z', 53: '1691x1762y1368z', 54: '16x22y2799z', 55: '1702x1537y1605z', 56: '1767x1436y1628z', 57: '1770x1662y1393z', 58: '1827x1332y1651z', 59: '1844x1558y1417z', 60: '184x2114y1826z', 61: '189x1801y2135z', 62: '1912x1450y1441z', 63: '218x2590y1040z', 64: '256x2482y1269z', 65: '27x306y2783z', 66: '280x1768y2153z', 67: '280x2295y1578z', 68: '292x2083y1847z', 69: '29x47y2799z', 70: '352x2564y1066z', 71: '367x1729y2170z', 72: '384x2452y1294z', 73: '397x2047y1868z', 74: '397x2262y1601z', 75: '39x2343y1532z', 76: '39x276y2786z', 77: '3x28y2799z', 78: '3x56y2799z', 79: '40x73y2798z', 80: '452x1687y2188z', 81: '483x2532y1092z', 82: '48x246y2788z', 83: '499x2005y1889z', 84: '49x100y2797z', 85: '509x2416y1319z', 86: '511x2222y1624z', 87: '532x1640y2205z', 88: '54x216y2791z', 89: '55x128y2796z', 90: '57x157y2794z', 91: '57x187y2793z', 92: '598x1958y1909z', 93: '610x1589y2222z', 94: '612x2492y1118z', 95: '622x2176y1647z', 96: '631x2373y1344z', 97: '683x1534y2239z', 98: '693x1906y1930z', 99: '730x2125y1669z', 100: '739x2446y1143z', 101: '74x2139y1805z', 102: '751x2324y1368z', 103: '752x1477y2256z', 104: '784x1849y1950z', 105: '817x1416y2272z', 106: '82x2608y1014z', 107: '834x2068y1692z', 108: '862x2393y1169z', 109: '866x2269y1392z', 110: '872x1787y1970z', 111: '878x1352y2289z', 112: '88x68y2797z', 113: '934x1285y2305z', 114: '934x2006y1714z', 115: '954x1722y1990z', 116: '95x1830y2116z', 117: '978x2207y1417z', 118: '981x2334y1194z', 119: '985x1217y2321z'}
 
                  
            else:
                print("\n (STEP 128F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 128F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 128F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 2900 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one29004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 129F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE29004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one29004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 129F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE29004XI: ", fire2one29004xi) 
                    # FIRE2ONE29004XI:  {1: '0x0y2899z', 2: '0x1920y2173z', 3: '0x87y2898z', 4: '1013x2286y1467z', 5: '1017x2417y1237z', 6: '1020x1260y2403z', 7: '1066x2009y1798z', 8: '1069x1187y2420z', 9: '1069x1712y2081z', 10: '109x94y2896z', 11: '1112x1112y2435z', 12: '1125x2217y1492z', 13: '1136x2349y1263z', 14: '1146x1636y2101z', 15: '1151x1036y2451z', 16: '1161x1935y1821z', 17: '1184x959y2466z', 18: '1213x881y2481z', 19: '1217x1557y2121z', 20: '1232x2142y1517z', 21: '1250x1856y1843z', 22: '1251x2275y1289z', 23: '125x120y2894z', 24: '1283x1476y2141z', 25: '131x2594y1289z', 26: '1334x2061y1542z', 27: '1335x1773y1865z', 28: '1343x1391y2160z', 29: '1362x2196y1315z', 30: '138x148y2892z', 31: '1398x1304y2179z', 32: '13x346y2879z', 33: '1414x1686y1888z', 34: '1431x1976y1566z', 35: '1448x1215y2198z', 36: '1467x2110y1341z', 37: '1487x1596y1909z', 38: '1492x1124y2217z', 39: '149x177y2890z', 40: '1522x1886y1590z', 41: '1530x1032y2236z', 42: '1555x1503y1931z', 43: '1568x2020y1366z', 44: '157x207y2888z', 45: '1608x1792y1615z', 46: '1617x1407y1953z', 47: '162x239y2885z', 48: '163x306y2879z', 49: '164x272y2882z', 50: '164x352y2974z', 51: '1662x1925y1392z', 52: '166x2405y1610z', 53: '1673x1308y1974z', 54: '1688x1694y1639z', 55: '16x23y2899z', 56: '1722x1207y1995z', 57: '1751x1825y1417z', 58: '1763x1592y1662z', 59: '1830x1487y1686z', 60: '1834x1721y1442z', 61: '1892x1379y1710z', 62: '1910x1613y1468z', 63: '191x2189y1891z', 64: '196x1865y2211z', 65: '1980x1502y1492z', 66: '225x2682y1077z', 67: '266x2570y1315z', 68: '28x317y2882z', 69: '290x1831y2229z', 70: '290x2377y1634z', 71: '303x2157y1913z', 72: '30x49y2899z', 73: '364x2656y1104z', 74: '380x1791y2248z', 75: '398x2540y1340z', 76: '3x29y2899z', 77: '3x58y2899z', 78: '411x2342y1658z', 79: '412x2120y1935z', 80: '41x2427y1586z', 81: '41x286y2885z', 82: '42x75y2898z', 83: '468x1747y2266z', 84: '501x2622y1131z', 85: '50x255y2888z', 86: '517x2076y1956z', 87: '51x104y2897z', 88: '527x2502y1366z', 89: '530x2301y1682z', 90: '551x1698y2284z', 91: '56x224y2890z', 92: '57x133y2896z', 93: '59x193y2892z', 94: '60x163y2894z', 95: '620x2028y1978z', 96: '631x1646y2302z', 97: '634x2581y1158z', 98: '645x2254y1706z', 99: '654x2458y1392z', 100: '707x1589y2319z', 101: '718x1974y1999z', 102: '756x2201y1729z', 103: '765x2533y1184z', 104: '777x2407y1417z', 105: '779x1529y2337z', 106: '77x2215y1869z', 107: '812x1915y2020z', 108: '846x1466y2354z', 109: '85x2701y1050z', 110: '864x2142y1752z', 111: '893x2479y1211z', 112: '897x2350y1442z', 113: '903x1851y2040z', 114: '909x1400y2370z', 115: '91x71y2897z', 116: '967x1331y2387z', 117: '967x2078y1775z', 118: '988x1784y2061z', 119: '99x1895y2192z'}

                  
            else:
                print("\n (STEP 129F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 129F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 129F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 3000 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one30004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 130F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE30004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one30004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 130F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE30004XI: ", fire2one30004xi) 
                    # FIRE2ONE30004XI:  {1: '0x0y2999z', 2: '0x1986y2248z', 3: '0x90y2998z', 4: '1000x1377y2469z', 5: '1001x2150y1836z', 6: '1023x1845y2132z', 7: '102x1960y2268z', 8: '1048x2365y1518z', 9: '1052x2500y1279z', 10: '1056x1304y2486z', 11: '1103x2078y1860z', 12: '1106x1228y2503z', 13: '1106x1771y2153z', 14: '113x98y2996z', 15: '1151x1151y2519z', 16: '1164x2293y1544z', 17: '1175x2430y1307z', 18: '1185x1693y2174z', 19: '1191x1072y2536z', 20: '1201x2001y1883z', 21: '1225x992y2551z', 22: '1255x912y2567z', 23: '1259x1611y2194z', 24: '1274x2216y1569z', 25: '1293x1920y1907z', 26: '1295x2354y1333z', 27: '129x124y2994z', 28: '1327x1526y2215z', 29: '136x2683y1333z', 30: '1380x2133y1595z', 31: '1381x1834y1930z', 32: '1390x1439y2235z', 33: '13x358y2978z', 34: '1409x2271y1360z', 35: '143x153y2992z', 36: '1447x1349y2255z', 37: '1462x1745y1953z', 38: '1480x2044y1620z', 39: '1498x1257y2274z', 40: '1518x2183y1387z', 41: '1538x1651y1975z', 42: '1543x1163y2294z', 43: '154x183y2990z', 44: '1575x1951y1645z', 45: '1583x1068y2313z', 46: '1608x1555y1998z', 47: '1622x2090y1413z', 48: '162x215y2987z', 49: '1664x1854y1670z', 50: '1672x1455y2020z', 51: '167x248y2985z', 52: '168x316y2978z', 53: '169x282y2981z', 54: '170x364y3073z', 55: '1720x1991y1440z', 56: '172x2488y1666z', 57: '1730x1353y2042z', 58: '1747x1752y1695z', 59: '1782x1249y2064z', 60: '17x24y2999z', 61: '1811x1888y1466z', 62: '1823x1647y1720z', 63: '1894x1538y1744z', 64: '1897x1780y1492z', 65: '1957x1427y1769z', 66: '1976x1669y1518z', 67: '198x2265y1956z', 68: '202x1930y2287z', 69: '2049x1554y1544z', 70: '233x2775y1114z', 71: '275x2659y1360z', 72: '29x328y2981z', 73: '300x1894y2306z', 74: '300x2459y1691z', 75: '313x2232y1979z', 76: '31x50y2999z', 77: '377x2748y1142z', 78: '393x1853y2325z', 79: '3x30y2999z', 80: '3x60y2999z', 81: '411x2627y1387z', 82: '426x2193y2001z', 83: '426x2423y1716z', 84: '42x2510y1641z', 85: '42x296y2985z', 86: '43x78y2998z', 87: '484x1807y2344z', 88: '518x2713y1170z', 89: '52x107y2997z', 90: '52x264y2987z', 91: '535x2148y2024z', 92: '546x2589y1413z', 93: '548x2381y1740z', 94: '571x1757y2363z', 95: '58x232y2990z', 96: '59x137y2996z', 97: '61x200y2992z', 98: '62x168y2994z', 99: '641x2097y2046z', 100: '653x1702y2381z', 101: '656x2670y1197z', 102: '667x2332y1764z', 103: '677x2543y1440z', 104: '732x1644y2399z', 105: '743x2042y2068z', 106: '782x2277y1789z', 107: '792x2621y1225z', 108: '804x2490y1466z', 109: '806x1582y2417z', 110: '80x2291y1934z', 111: '841x1981y2089z', 112: '875x1517y2435z', 113: '88x2794y1087z', 114: '894x2216y1813z', 115: '924x2564y1252z', 116: '928x2431y1492z', 117: '934x1915y2111z', 118: '940x1448y2452z', 119: '94x73y2997z'}
 
                  
            else:
                print("\n (STEP 130F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 130F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 130F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 3100 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one31004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 131F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE31004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one31004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 131F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE31004XI: ", fire2one31004xi) 
                    # FIRE2ONE31004XI:  {1: '0x0y3099z', 2: '0x2052y2323z', 3: '0x93y3098z', 4: '1034x1423y2552z', 5: '1034x2221y1898z', 6: '1057x1907y2203z', 7: '106x2026y2343z', 8: '1083x2444y1568z', 9: '1087x2584y1322z', 10: '1091x1347y2569z', 11: '1140x2147y1922z', 12: '1143x1269y2586z', 13: '1143x1830y2225z', 14: '117x101y3096z', 15: '1189x1189y2603z', 16: '1202x2370y1595z', 17: '1215x2511y1350z', 18: '1225x1749y2246z', 19: '1230x1108y2620z', 20: '1241x2068y1946z', 21: '1266x1025y2636z', 22: '1297x942y2653z', 23: '1301x1665y2267z', 24: '1317x2289y1622z', 25: '1337x1984y1970z', 26: '1338x2432y1378z', 27: '133x128y3094z', 28: '1371x1577y2288z', 29: '140x2773y1378z', 30: '1426x2204y1648z', 31: '1427x1895y1994z', 32: '1436x1487y2309z', 33: '1456x2347y1406z', 34: '148x158y3092z', 35: '1495x1394y2330z', 36: '14x370y3077z', 37: '1511x1803y2018z', 38: '1530x2112y1674z', 39: '1548x1299y2350z', 40: '1569x2256y1433z', 41: '1590x1706y2041z', 42: '1595x1202y2370z', 43: '159x189y3090z', 44: '1627x2016y1700z', 45: '1636x1103y2390z', 46: '1662x1607y2064z', 47: '1676x2159y1461z', 48: '167x222y3087z', 49: '1719x1916y1726z', 50: '1728x1504y2087z', 51: '173x256y3084z', 52: '174x327y3077z', 53: '175x291y3081z', 54: '175x375y3172z', 55: '1777x2058y1488z', 56: '1788x1398y2110z', 57: '178x2571y1722z', 58: '17x25y3099z', 59: '1805x1811y1752z', 60: '1841x1291y2133z', 61: '1872x1951y1515z', 62: '1884x1702y1777z', 63: '1957x1590y1802z', 64: '1960x1840y1542z', 65: '2023x1474y1828z', 66: '2042x1725y1569z', 67: '204x2340y2022z', 68: '209x1994y2363z', 69: '2117x1606y1595z', 70: '241x2867y1152z', 71: '284x2748y1405z', 72: '30x338y3081z', 73: '310x1957y2383z', 74: '310x2541y1747z', 75: '324x2306y2045z', 76: '33x52y3099z', 77: '389x2839y1180z', 78: '3x31y3099z', 79: '3x62y3099z', 80: '407x1915y2403z', 81: '425x2715y1433z', 82: '43x2594y1696z', 83: '440x2266y2068z', 84: '440x2504y1773z', 85: '44x306y3084z', 86: '45x81y3098z', 87: '500x1867y2422z', 88: '535x2803y1209z', 89: '54x111y3097z', 90: '54x273y3087z', 91: '553x2219y2091z', 92: '564x2675y1460z', 93: '566x2460y1798z', 94: '590x1816y2442z', 95: '60x240y3090z', 96: '61x142y3096z', 97: '64x174y3094z', 98: '64x207y3092z', 99: '662x2167y2114z', 100: '675x1759y2461z', 101: '678x2759y1237z', 102: '689x2410y1823z', 103: '699x2627y1488z', 104: '756x1699y2479z', 105: '768x2110y2137z', 106: '808x2353y1848z', 107: '818x2708y1266z', 108: '82x2368y1998z', 109: '831x2573y1515z', 110: '833x1635y2498z', 111: '869x2047y2159z', 112: '905x1567y2516z', 113: '91x2887y1123z', 114: '924x2290y1873z', 115: '954x2650y1294z', 116: '959x2512y1542z', 117: '965x1979y2181z', 118: '972x1497y2534z', 119: '97x76y3097z'}

                  
            else:
                print("\n (STEP 131F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 131F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 131F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 3200 ONE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one32004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 132F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE32004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one32004xi = queue2one.get()
                if ack2debug is True:
                    print("\n (STEP 132F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE32004XI: ", fire2one32004xi) 
                    # FIRE2ONE32004XI:  {1: '0x0y3199z', 2: '0x2118y2398z', 3: '0x96y3198z', 4: '1003x1545y2616z', 5: '100x78y3197z', 6: '1067x1469y2634z', 7: '1068x2293y1959z', 8: '1091x1968y2274z', 9: '109x2091y2419z', 10: '1118x2523y1619z', 11: '1122x2667y1365z', 12: '1126x1391y2652z', 13: '1177x2217y1984z', 14: '1179x1310y2670z', 15: '1180x1889y2296z', 16: '120x104y3196z', 17: '1227x1227y2687z', 18: '1241x2446y1647z', 19: '1254x2592y1394z', 20: '1264x1806y2319z', 21: '1270x1143y2705z', 22: '1281x2135y2009z', 23: '1307x1058y2722z', 24: '1339x972y2738z', 25: '1343x1719y2341z', 26: '1359x2363y1674z', 27: '1380x2048y2034z', 28: '1381x2511y1422z', 29: '138x133y3194z', 30: '1415x1628y2362z', 31: '145x2862y1422z', 32: '1472x2275y1701z', 33: '1473x1957y2058z', 34: '1482x1535y2384z', 35: '14x382y3176z', 36: '1503x2423y1451z', 37: '152x163y3192z', 38: '1543x1439y2405z', 39: '1560x1861y2083z', 40: '1579x2181y1728z', 41: '1598x1341y2426z', 42: '1619x2329y1479z', 43: '1641x1761y2107z', 44: '1646x1240y2447z', 45: '164x195y3189z', 46: '1680x2081y1755z', 47: '1689x1139y2467z', 48: '1716x1658y2131z', 49: '1730x2229y1508z', 50: '173x229y3187z', 51: '1775x1977y1782z', 52: '1784x1552y2155z', 53: '178x264y3184z', 54: '180x338y3176z', 55: '181x300y3180z', 56: '181x387y3272z', 57: '1834x2124y1536z', 58: '1846x1443y2178z', 59: '184x2654y1777z', 60: '1863x1869y1808z', 61: '18x26y3199z', 62: '1901x1332y2202z', 63: '1932x2014y1564z', 64: '1945x1757y1834z', 65: '2020x1641y1861z', 66: '2023x1899y1592z', 67: '2088x1522y1887z', 68: '2108x1780y1619z', 69: '211x2416y2087z', 70: '216x2058y2440z', 71: '2185x1658y1647z', 72: '249x2960y1189z', 73: '293x2836y1451z', 74: '31x349y3180z', 75: '320x2020y2460z', 76: '320x2623y1804z', 77: '334x2381y2111z', 78: '34x54y3199z', 79: '3x32y3199z', 80: '3x64y3199z', 81: '402x2931y1218z', 82: '420x1976y2480z', 83: '439x2803y1479z', 84: '454x2339y2135z', 85: '454x2585y1830z', 86: '45x2678y1750z', 87: '45x316y3184z', 88: '46x83y3198z', 89: '516x1928y2501z', 90: '552x2894y1248z', 91: '55x282y3187z', 92: '56x114y3197z', 93: '571x2291y2159z', 94: '582x2761y1507z', 95: '584x2539y1856z', 96: '609x1874y2520z', 97: '62x147y3195z', 98: '62x247y3189z', 99: '66x180y3194z', 100: '66x213y3192z', 101: '684x2237y2182z', 102: '697x1816y2540z', 103: '700x2848y1277z', 104: '711x2487y1882z', 105: '722x2712y1536z', 106: '781x1754y2559z', 107: '792x2178y2205z', 108: '835x2429y1908z', 109: '844x2795y1307z', 110: '858x2656y1564z', 111: '85x2444y2063z', 112: '860x1688y2578z', 113: '897x2113y2229z', 114: '934x1618y2597z', 115: '94x2981y1159z', 116: '953x2364y1933z', 117: '985x2735y1336z', 118: '990x2593y1591z', 119: '996x2043y2251z'}

                  
            else:
                print("\n (STEP 132F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 132F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 132F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
               

        
    #=========
    # 3300 ONE
    #=========
  
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2one33004xi = {}
    
    if ack2one4process is True:

        if ack2one4start is True:

            if ack2one4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 133F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2ONE33004XI FROM QUEUE: ", queue2one)
                    # 
                
                fire2one33004xi = queue2one.get()  
                if ack2debug is True:
                    print("\n (STEP 133F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2ONE: ", queue2one, " FIRE2ONE33004XI: ", fire2one33004xi) 
                    # FIRE2ONE33004XI:  {1: '0x0y3299z', 2: '0x2184y2473z', 3: '0x99y3298z', 4: '1016x2820y1378z', 5: '1021x2674y1641z', 6: '1027x2107y2322z', 7: '1034x1593y2698z', 8: '104x81y3297z', 9: '1100x1515y2716z', 10: '1101x2365y2020z', 11: '1125x2030y2345z', 12: '113x2157y2494z', 13: '1153x2601y1670z', 14: '1157x2751y1407z', 15: '1161x1434y2735z', 16: '1214x2286y2046z', 17: '1216x1351y2753z', 18: '1217x1948y2368z', 19: '124x108y3295z', 20: '1266x1266y2771z', 21: '1280x2522y1698z', 22: '1293x2673y1437z', 23: '1304x1862y2391z', 24: '1310x1179y2789z', 25: '1321x2202y2072z', 26: '1348x1091y2807z', 27: '1380x1003y2824z', 28: '1385x1772y2414z', 29: '1402x2437y1726z', 30: '1423x2112y2097z', 31: '1424x2589y1467z', 32: '142x137y3294z', 33: '1460x1679y2436z', 34: '149x2952y1467z', 35: '1518x2346y1754z', 36: '1519x2018y2123z', 37: '1529x1583y2458z', 38: '1550x2499y1496z', 39: '157x168y3291z', 40: '1591x1484y2480z', 41: '15x394y3276z', 42: '1609x1919y2148z', 43: '1628x2249y1782z', 44: '1648x1382y2502z', 45: '1670x2402y1526z', 46: '1692x1817y2173z', 47: '1698x1279y2523z', 48: '169x201y3289z', 49: '1732x2147y1810z', 50: '1741x1174y2544z', 51: '1769x1710y2198z', 52: '1784x2299y1555z', 53: '178x236y3286z', 54: '1830x2039y1837z', 55: '1840x1601y2222z', 56: '184x272y3283z', 57: '185x348y3276z', 58: '186x310y3280z', 59: '186x399y3371z', 60: '1892x2190y1584z', 61: '189x2737y1833z', 62: '1903x1489y2246z', 63: '1921x1928y1865z', 64: '1960x1374y2270z', 65: '1993x2077y1613z', 66: '19x26y3299z', 67: '2006x1812y1892z', 68: '2083x1692y1919z', 69: '2087x1958y1641z', 70: '2153x1569y1945z', 71: '2174x1836y1670z', 72: '218x2491y2152z', 73: '223x2123y2516z', 74: '2253x1709y1698z', 75: '257x3052y1226z', 76: '302x2925y1496z', 77: '32x360y3280z', 78: '330x2083y2537z', 79: '330x2705y1860z', 80: '345x2455y2177z', 81: '35x55y3299z', 82: '3x33y3299z', 83: '3x66y3299z', 84: '414x3022y1257z', 85: '433x2038y2558z', 86: '453x2890y1525z', 87: '468x2412y2202z', 88: '468x2665y1887z', 89: '46x2761y1805z', 90: '46x326y3283z', 91: '48x86y3298z', 92: '532x1988y2579z', 93: '570x2984y1287z', 94: '57x290y3286z', 95: '589x2363y2226z', 96: '58x118y3297z', 97: '600x2848y1555z', 98: '603x2619y1914z', 99: '628x1933y2599z', 100: '64x151y3295z', 101: '64x255y3289z', 102: '68x185y3294z', 103: '68x220y3291z', 104: '705x2307y2250z', 105: '719x1873y2619z', 106: '722x2937y1317z', 107: '734x2565y1941z', 108: '744x2797y1584z', 109: '805x1809y2639z', 110: '817x2246y2274z', 111: '861x2505y1967z', 112: '871x2883y1347z', 113: '885x2739y1612z', 114: '886x1740y2659z', 115: '88x2521y2127z', 116: '925x2179y2298z', 117: '963x1668y2678z', 118: '97x3074y1195z', 119: '983x2438y1994z'}

                  
            else:
                print("\n (STEP 133F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS ONE ", time4xi())                 
        else:
            print("\n (STEP 133F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS ONE ", time4xi())                                         
    else:
        print("\n (STEP 133F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS ONE ", time4xi())                    
      
    # =========================================================================================================   
    # II/I EOF ONE DIRECTION LAYERS 10, 100 ...3300 QUEUE DICTIONARIES
    # =========================================================================================================      

                   
      
    # =========================================================================================================   
    # I/II TWO DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
    # =========================================================================================================      
    
    #========
    # 10 TWO 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 134F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 134F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two) 
                    # 
                
            else:
                print("\n (STEP 134F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 134F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 134F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # 100 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 201F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 201F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 201F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 201F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 201F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # 200 TWO 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 202F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 202F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    #  
                
            else:
                print("\n (STEP 202F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 202F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 202F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
                                                
                                  
    
    #========
    # 300 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 203F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 203F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 203F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 203F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 203F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
    
    #========
    # 400 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 204F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 204F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 204F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 204F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 204F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())
                            
    #========
    # 500 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 205F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 205F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 205F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 205F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 205F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
                                                                                       
    #========
    # 600 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 206F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 206F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
            else:
                print("\n (STEP 206F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 206F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 204F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #========
    # 700 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 207F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 207F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 207F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 207F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 207F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
       
    #========
    # 800 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 208F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 208F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 208F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 208F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 208F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #========
    # 900 TWO
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 209F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 209F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 209F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 209F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 209F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
      
           
     
    #=========
    # 1000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 210F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 210F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 210F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 210F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 210F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 211F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 211F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 211F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 211F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 211F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 212F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 212F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 212F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 212F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 212F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 213F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 213F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 213F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 213F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 213F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1400 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 214F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 214F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 214F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 214F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 214F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1500 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 215F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 215F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 215F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 215F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 215F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1600 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 216F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 216F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 216F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 216F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 216F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1700 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 217F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 217F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    #  
                
            else:
                print("\n (STEP 217F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 217F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 217F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1800 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 218F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 218F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 218F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 218F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 218F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())                    
     
    #=========
    # 1900 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 219F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 219F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 219F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 219F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 219F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
        
     
    #=========
    # 2000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 220F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 220F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 220F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 220F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 220F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 221F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 221F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 221F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 221F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 221F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 222F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 222F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 222F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 222F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 222F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 223F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 223F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 223F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 223F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 223F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2400 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 224F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 224F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 224F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 224F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 224F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2500 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 225F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 225F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 225F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 225F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 225F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2600 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 226F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 226F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 226F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 226F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 226F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2700 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 227F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 227F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 227F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 227F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 227F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2800 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 228F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 228F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 228F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 228F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 228F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 2900 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 229F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 229F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 229F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 229F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 229F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 3000 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 230F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 230F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 230F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 230F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 230F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 3100 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 231F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 231F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 231F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 231F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 231F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 3200 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 232F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 232F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # 
                
            else:
                print("\n (STEP 232F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 232F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 232F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  
     
    #=========
    # 3300 TWO
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 233F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE CONTROL MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel)
                    # 
                
                message2receive4two = pipe2two_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 233F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2two_consumer_channel, " CONTROL MESSAGE: ", message2receive4two)
                    # <read-write PipeConnection, handle 264>  CONTROL MESSAGE:  <ack2put4xi>queue2two8shot2two33004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 233F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 233F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 233F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING CONTROL MESSAGE - FAILED IN CREATING THE PROCESS TWO ", time4xi())  

           
    # =========================================================================================================   
    # I/II EOF TWO DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
          



           
    # =========================================================================================================   
    # II/II TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  
    # =========================================================================================================      
    
    #========
    # 10 TWO   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two104xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 234F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO104XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two104xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 234F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO104XI: ", fire2two104xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO104XI:  {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'}
 
                
            else:
                print("\n (STEP 234F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 234F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 234F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())
    
    if ack2debug is True:
        print("\n (STEP 234F6/800) OF COLOR_NOUNS4XI -  FIRE2TWO104XI: ", fire2two104xi) 
        
      
           
    #========
    # 100 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two1004xi = {}

    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 241F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO1004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two1004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 241F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO1004XI: ", fire2two1004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO1004XI:  {1: '0x-44y-89z', 2: '0x-66y-74z', 3: '0x0y-99z', 4: '10x-63y-76z', 5: '11x-37y-92z', 6: '11x-49y-86z', 7: '13x-35y-92z', 8: '13x-62y-77z', 9: '13x-98y-5z', 10: '14x-47y-86z', 11: '16x-46y-87z', 12: '16x-60y-77z', 13: '18x-44y-87z', 14: '19x-58y-78z', 15: '19x-97y-6z', 16: '1x-43y-90z', 17: '1x-54y-84z', 18: '20x-42y-88z', 19: '21x-40y-88z', 20: '22x-56y-79z', 21: '23x-38y-89z', 22: '24x-54y-79z', 23: '24x-96y-7z', 24: '25x-36y-89z', 25: '26x-34y-89z', 26: '27x-32y-90z', 27: '27x-52y-80z', 28: '27x0y-96z', 29: '28x-2y-95z', 30: '28x-30y-90z', 31: '29x-28y-91z', 32: '29x-3y-95z', 33: '29x-50y-80z', 34: '29x-68y-185z', 35: '29x-95y-8z', 36: '30x-23y-92z', 37: '30x-26y-91z', 38: '30x-5y-95z', 39: '30x-7y-94z', 40: '31x-11y-94z', 41: '31x-13y-93z', 42: '31x-15y-93z', 43: '31x-17y-93z', 44: '31x-19y-92z', 45: '31x-21y-92z', 46: '31x-48y-81z', 47: '31x-9y-94z', 48: '33x-46y-82z', 49: '34x-93y-9z', 50: '35x-43y-82z', 51: '37x-41y-83z', 52: '38x-38y-83z', 53: '38x-91y-10z', 54: '3x-42y-90z', 55: '3x-65y-75z', 56: '3x-99y-3z', 57: '40x-35y-84z', 58: '41x-33y-84z', 59: '42x-1y-90z', 60: '42x-30y-85z', 61: '43x-24y-86z', 62: '43x-27y-85z', 63: '43x-4y-90z', 64: '43x-6y-89z', 65: '43x-89y-11z', 66: '44x-11y-88z', 67: '44x-14y-88z', 68: '44x-16y-87z', 69: '44x-19y-87z', 70: '44x-22y-86z', 71: '44x-9y-89z', 72: '46x-88y0z', 73: '48x-86y-12z', 74: '4x-53y-84z', 75: '51x-85y0z', 76: '52x-84y-13z', 77: '55x-82y-1z', 78: '56x-81y-14z', 79: '60x-77y-15z', 80: '60x-79y-2z', 81: '64x-74y-16z', 82: '64x-76y-3z', 83: '68x-70y-17z', 84: '68x-73y-4z', 85: '6x-41y-90z', 86: '6x-51y-85z', 87: '71x-67y-18z', 88: '71x-69y-5z', 89: '75x-63y-18z', 90: '75x-65y-6z', 91: '78x-58y-19z', 92: '78x-61y-7z', 93: '7x-64y-75z', 94: '81x-54y-20z', 95: '81x-57y-8z', 96: '83x-50y-21z', 97: '84x-52y-9z', 98: '85x-45y-22z', 99: '86x-48y-10z', 100: '88x-40y-23z', 101: '89x-36y-24z', 102: '89x-43y-11z', 103: '8x-39y-91z', 104: '8x-99y-4z', 105: '91x-31y-25z', 106: '91x-38y-12z', 107: '92x-26y-26z', 108: '93x-21y-27z', 109: '93x-33y-13z', 110: '94x-11y-29z', 111: '94x-16y-28z', 112: '94x-1y-31z', 113: '94x-28y-14z', 114: '94x-6y-30z', 115: '95x-23y-15z', 116: '95x-30y0z', 117: '96x-18y-16z', 118: '96x-25y0z', 119: '97x-13y-17z', 120: '97x-20y-1z', 121: '97x-3y-19z', 122: '97x-8y-18z', 123: '98x-15y-2z', 124: '99x-10y-3z', 125: '99x-5y-4z', 126: '9x-38y-91z', 127: '9x-50y-85z'}
 
                  
            else:
                print("\n (STEP 241F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 241F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 241F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
      

    #========
    # 200 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two2004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 242F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO2004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two2004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 242F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO2004XI: ", fire2two2004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO2004XI:  {1: '0x-133y-149z', 2: '0x-88y-179z', 3: '0x0y-199z', 4: '103x-171y-1z', 5: '105x-168y-26z', 6: '111x-165y-3z', 7: '113x-162y-28z', 8: '120x-159y-5z', 9: '121x-155y-30z', 10: '128x-153y-7z', 11: '129x-148y-32z', 12: '12x-82y-181z', 13: '136x-141y-34z', 14: '136x-146y-9z', 15: '13x-103y-170z', 16: '143x-134y-36z', 17: '143x-138y-11z', 18: '14x-129y-151z', 19: '150x-126y-37z', 20: '150x-130y-13z', 21: '156x-117y-39z', 22: '157x-122y-15z', 23: '162x-109y-41z', 24: '163x-114y-17z', 25: '167x-100y-43z', 26: '168x-105y-19z', 27: '16x-79y-182z', 28: '171x-91y-45z', 29: '173x-96y-21z', 30: '176x-81y-47z', 31: '178x-87y-23z', 32: '179x-72y-49z', 33: '17x-199y-8z', 34: '182x-62y-51z', 35: '182x-77y-25z', 36: '185x-53y-53z', 37: '186x-67y-27z', 38: '187x-43y-55z', 39: '188x-33y-57z', 40: '189x-13y-61z', 41: '189x-23y-59z', 42: '189x-3y-63z', 43: '189x-57y-29z', 44: '18x-101y-171z', 45: '191x-47y-31z', 46: '193x-37y-33z', 47: '193x-51y0z', 48: '194x-27y-35z', 49: '195x-17y-37z', 50: '195x-41y-2z', 51: '195x-6y-39z', 52: '197x-31y-4z', 53: '198x-20y-6z', 54: '199x-10y-8z', 55: '19x-77y-183z', 56: '20x-126y-153z', 57: '23x-98y-172z', 58: '27x-124y-154z', 59: '27x-197y-10z', 60: '28x-95y-173z', 61: '2x-108y-168z', 62: '32x-92y-174z', 63: '33x-120y-155z', 64: '34x-111y-276z', 65: '36x-88y-175z', 66: '38x-117y-157z', 67: '38x-195y-12z', 68: '3x-86y-180z', 69: '40x-85y-176z', 70: '43x-81y-177z', 71: '44x-113y-158z', 72: '47x-77y-178z', 73: '48x-193y-14z', 74: '49x-109y-159z', 75: '50x-73y-179z', 76: '52x-69y-179z', 77: '54x-105y-160z', 78: '55x-1y-192z', 79: '55x-65y-180z', 80: '57x-4y-191z', 81: '57x-60y-181z', 82: '58x-190y-16z', 83: '58x-7y-190z', 84: '59x-101y-161z', 85: '59x-56y-182z', 86: '60x-11y-190z', 87: '60x-52y-183z', 88: '61x-14y-189z', 89: '61x-47y-184z', 90: '62x-18y-189z', 91: '62x-43y-184z', 92: '63x-22y-188z', 93: '63x-26y-187z', 94: '63x-30y-187z', 95: '63x-34y-186z', 96: '63x-39y-185z', 97: '63x-96y-163z', 98: '67x-92y-164z', 99: '68x-187y-18z', 100: '71x-87y-165z', 101: '74x-82y-166z', 102: '77x-183y-20z', 103: '77x-76y-167z', 104: '7x-131y-150z', 105: '7x-199y-6z', 106: '7x-84y-180z', 107: '80x-71y-168z', 108: '82x-66y-169z', 109: '84x-3y-181z', 110: '84x-60y-170z', 111: '86x-55y-171z', 112: '86x-8y-180z', 113: '87x-13y-179z', 114: '87x-178y-22z', 115: '87x-49y-172z', 116: '88x-18y-178z', 117: '88x-44y-173z', 118: '89x-23y-177z', 119: '89x-28y-176z', 120: '89x-33y-175z', 121: '89x-39y-174z', 122: '8x-106y-169z', 123: '93x-176y0z', 124: '96x-173y-24z'}
 
                  
            else:
                print("\n (STEP 242F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 242F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 242F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two3004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 243F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO3004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two3004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 243F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO3004XI: ", fire2two3004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO3004XI:  {1: '0x0y-299z', 2: '101x-138y-246z', 3: '102x-280y-27z', 4: '107x-130y-247z', 5: '10x-299y-9z', 6: '112x-123y-249z', 7: '116x-115y-251z', 8: '116x-274y-30z', 9: '11x-127y-271z', 10: '11x-197y-225z', 11: '120x-107y-252z', 12: '124x-99y-254z', 13: '126x-91y-256z', 14: '127x-5y-271z', 15: '129x-12y-270z', 16: '129x-82y-257z', 17: '12x-159y-253z', 18: '130x-267y-33z', 19: '131x-19y-269z', 20: '131x-74y-259z', 21: '132x-27y-267z', 22: '132x-66y-260z', 23: '133x-34y-266z', 24: '133x-58y-262z', 25: '134x-42y-264z', 26: '134x-50y-263z', 27: '140x-264y0z', 28: '144x-260y-36z', 29: '154x-257y-2z', 30: '157x-252y-39z', 31: '167x-248y-5z', 32: '170x-243y-42z', 33: '180x-239y-8z', 34: '182x-233y-45z', 35: '18x-123y-272z', 36: '192x-229y-11z', 37: '194x-223y-48z', 38: '1x-199y-223z', 39: '204x-219y-14z', 40: '205x-212y-51z', 41: '20x-155y-255z', 42: '215x-201y-54z', 43: '215x-208y-17z', 44: '21x-193y-227z', 45: '225x-189y-56z', 46: '225x-196y-20z', 47: '234x-176y-59z', 48: '235x-184y-23z', 49: '243x-163y-62z', 50: '244x-171y-26z', 51: '24x-119y-273z', 52: '250x-150y-65z', 53: '253x-158y-29z', 54: '257x-136y-68z', 55: '260x-144y-32z', 56: '264x-122y-71z', 57: '267x-130y-35z', 58: '269x-108y-74z', 59: '26x-298y-12z', 60: '273x-116y-38z', 61: '274x-94y-77z', 62: '277x-79y-80z', 63: '279x-101y-41z', 64: '27x-152y-257z', 65: '280x-64y-83z', 66: '283x-49y-86z', 67: '283x-86y-44z', 68: '284x-19y-91z', 69: '284x-34y-88z', 70: '284x-4y-94z', 71: '287x-71y-47z', 72: '289x-77y0z', 73: '290x-56y-50z', 74: '292x-41y-53z', 75: '293x-10y-59z', 76: '293x-25y-56z', 77: '293x-62y-3z', 78: '296x-46y-6z', 79: '298x-31y-9z', 80: '299x-15y-12z', 81: '29x-115y-275z', 82: '31x-190y-229z', 83: '34x-111y-276z', 84: '35x-147y-258z', 85: '3x-162y-252z', 86: '40x-186y-231z', 87: '41x-296y-15z', 88: '42x-143y-260z', 89: '48x-138y-261z', 90: '49x-181y-233z', 91: '52x-142y-370z', 92: '54x-133y-263z', 93: '57x-293y-18z', 94: '58x-176y-235z', 95: '5x-130y-270z', 96: '60x-127y-264z', 97: '65x-122y-265z', 98: '66x-170y-237z', 99: '70x-116y-267z', 100: '72x-290y-21z', 101: '74x-164y-239z', 102: '75x-110y-268z', 103: '79x-104y-269z', 104: '82x-158y-240z', 105: '82x-97y-271z', 106: '83x-2y-288z', 107: '85x-7y-287z', 108: '86x-91y-272z', 109: '87x-285y-24z', 110: '88x-11y-286z', 111: '88x-84y-273z', 112: '89x-152y-242z', 113: '90x-17y-285z', 114: '91x-78y-274z', 115: '92x-22y-284z', 116: '92x-71y-276z', 117: '93x-27y-283z', 118: '94x-33y-282z', 119: '94x-65y-277z', 120: '95x-145y-244z', 121: '95x-39y-281z', 122: '95x-45y-280z', 123: '95x-52y-279z', 124: '95x-58y-278z'}
 
                  
            else:
                print("\n (STEP 243F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 243F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 243F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


       
    #========
    # 400 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two4004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 244F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO4004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two4004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 244F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO4004XI: ", fire2two4004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO4004XI:  {1: '0x0y-399z', 2: '100x-147y-358z', 3: '105x-138y-359z', 4: '109x-211y-321z', 5: '110x-130y-361z', 6: '111x-3y-384z', 7: '114x-121y-363z', 8: '114x-9y-383z', 9: '116x-381y-32z', 10: '117x-15y-381z', 11: '118x-112y-365z', 12: '118x-202y-323z', 13: '120x-22y-380z', 14: '121x-104y-366z', 15: '122x-29y-379z', 16: '123x-95y-368z', 17: '124x-37y-378z', 18: '125x-86y-369z', 19: '126x-45y-376z', 20: '126x-78y-371z', 21: '127x-193y-326z', 22: '127x-53y-375z', 23: '127x-61y-374z', 24: '127x-69y-372z', 25: '135x-184y-328z', 26: '136x-374y-36z', 27: '142x-174y-330z', 28: '149x-164y-332z', 29: '14x-399y-12z', 30: '155x-153y-335z', 31: '155x-366y-40z', 32: '15x-169y-361z', 33: '15x-262y-301z', 34: '160x-143y-337z', 35: '165x-132y-339z', 36: '169x-121y-341z', 37: '169x-7y-362z', 38: '16x-212y-338z', 39: '172x-110y-343z', 40: '172x-17y-360z', 41: '174x-26y-358z', 42: '174x-357y-44z', 43: '175x-99y-345z', 44: '176x-36y-356z', 45: '176x-88y-347z', 46: '178x-46y-355z', 47: '178x-56y-353z', 48: '178x-67y-351z', 49: '178x-78y-349z', 50: '187x-353y0z', 51: '192x-347y-48z', 52: '1x-266y-298z', 53: '206x-342y-3z', 54: '210x-336y-52z', 55: '223x-331y-7z', 56: '227x-324y-56z', 57: '240x-319y-11z', 58: '243x-311y-60z', 59: '24x-164y-363z', 60: '256x-306y-15z', 61: '259x-297y-64z', 62: '26x-207y-340z', 63: '272x-292y-19z', 64: '273x-283y-68z', 65: '287x-268y-72z', 66: '287x-277y-23z', 67: '28x-258y-303z', 68: '300x-252y-75z', 69: '301x-261y-27z', 70: '313x-235y-79z', 71: '314x-245y-31z', 72: '324x-218y-83z', 73: '326x-228y-35z', 74: '32x-159y-365z', 75: '334x-200y-87z', 76: '337x-210y-39z', 77: '343x-182y-91z', 78: '347x-192y-43z', 79: '352x-163y-95z', 80: '356x-174y-47z', 81: '359x-144y-99z', 82: '35x-398y-16z', 83: '365x-125y-103z', 84: '365x-154y-51z', 85: '36x-202y-342z', 86: '370x-106y-107z', 87: '372x-135y-55z', 88: '374x-86y-110z', 89: '377x-66y-114z', 90: '378x-115y-59z', 91: '379x-26y-122z', 92: '379x-46y-118z', 93: '379x-6y-126z', 94: '383x-95y-63z', 95: '386x-103y-1z', 96: '387x-75y-67z', 97: '389x-54y-71z', 98: '391x-13y-79z', 99: '391x-34y-75z', 100: '391x-83y-5z', 101: '394x-62y-9z', 102: '397x-41y-13z', 103: '399x-20y-17z', 104: '39x-154y-366z', 105: '41x-253y-306z', 106: '46x-197y-344z', 107: '54x-248y-309z', 108: '55x-395y-20z', 109: '56x-191y-346z', 110: '58x-185y-460z', 111: '5x-216y-336z', 112: '64x-184y-348z', 113: '66x-241y-311z', 114: '73x-177y-350z', 115: '76x-391y-24z', 116: '77x-235y-314z', 117: '7x-173y-360z', 118: '80x-170y-352z', 119: '87x-163y-354z', 120: '88x-227y-316z', 121: '94x-155y-356z', 122: '96x-387y-28z', 123: '99x-219y-318z'}
 
                  
            else:
                print("\n (STEP 244F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 244F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 244F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


                               
    #========
    # 500 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two5004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 245F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO5004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two5004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 245F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO5004XI: ", fire2two5004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO5004XI:  {1: '0x0y-499z', 2: '100x-213y-440z', 3: '109x-203y-443z', 4: '111x-284y-395z', 5: '118x-193y-445z', 6: '120x-483y-35z', 7: '124x-274y-398z', 8: '125x-183y-447z', 9: '132x-173y-449z', 10: '136x-264y-401z', 11: '138x-162y-452z', 12: '138x-4y-480z', 13: '143x-11y-478z', 14: '143x-152y-454z', 15: '145x-476y-40z', 16: '147x-141y-456z', 17: '147x-19y-477z', 18: '148x-253y-404z', 19: '150x-28y-475z', 20: '151x-130y-458z', 21: '153x-37y-474z', 22: '154x-119y-460z', 23: '155x-46y-472z', 24: '156x-108y-462z', 25: '157x-56y-471z', 26: '158x-66y-469z', 27: '158x-97y-464z', 28: '159x-242y-407z', 29: '159x-76y-467z', 30: '159x-87y-465z', 31: '169x-230y-410z', 32: '170x-467y-45z', 33: '178x-217y-413z', 34: '17x-499y-15z', 35: '186x-205y-416z', 36: '194x-192y-418z', 37: '194x-457y-50z', 38: '19x-211y-452z', 39: '19x-328y-376z', 40: '1x-332y-373z', 41: '200x-178y-421z', 42: '206x-165y-424z', 43: '20x-265y-423z', 44: '211x-151y-426z', 45: '211x-9y-452z', 46: '215x-138y-429z', 47: '215x-21y-450z', 48: '218x-124y-431z', 49: '218x-33y-448z', 50: '218x-446y-55z', 51: '220x-45y-446z', 52: '221x-111y-434z', 53: '222x-58y-443z', 54: '222x-97y-436z', 55: '223x-71y-441z', 56: '223x-84y-439z', 57: '234x-441y0z', 58: '240x-433y-60z', 59: '257x-428y-4z', 60: '262x-420y-65z', 61: '279x-414y-9z', 62: '284x-405y-70z', 63: '300x-399y-14z', 64: '304x-389y-75z', 65: '30x-206y-454z', 66: '321x-382y-19z', 67: '323x-372y-80z', 68: '33x-259y-425z', 69: '340x-365y-24z', 70: '342x-354y-85z', 71: '359x-335y-90z', 72: '359x-346y-29z', 73: '35x-323y-379z', 74: '376x-315y-94z', 75: '376x-327y-34z', 76: '391x-294y-99z', 77: '392x-306y-39z', 78: '405x-273y-104z', 79: '407x-285y-44z', 80: '40x-199y-456z', 81: '418x-251y-109z', 82: '421x-263y-49z', 83: '429x-228y-114z', 84: '434x-240y-54z', 85: '43x-497y-20z', 86: '440x-204y-119z', 87: '446x-217y-59z', 88: '449x-181y-124z', 89: '456x-157y-129z', 90: '456x-193y-64z', 91: '463x-132y-133z', 92: '465x-169y-69z', 93: '468x-107y-138z', 94: '46x-253y-428z', 95: '471x-82y-143z', 96: '472x-144y-74z', 97: '473x-57y-148z', 98: '474x-32y-153z', 99: '474x-8y-157z', 100: '478x-119y-79z', 101: '482x-129y-1z', 102: '483x-94y-84z', 103: '487x-68y-89z', 104: '489x-103y-6z', 105: '489x-17y-99z', 106: '489x-42y-94z', 107: '493x-78y-11z', 108: '496x-52y-16z', 109: '498x-26y-21z', 110: '49x-192y-458z', 111: '52x-317y-383z', 112: '58x-246y-431z', 113: '67x-310y-386z', 114: '69x-222y-552z', 115: '69x-494y-25z', 116: '6x-270y-420z', 117: '70x-238y-433z', 118: '81x-230y-436z', 119: '82x-302y-389z', 120: '91x-222y-438z', 121: '95x-489y-30z', 122: '97x-293y-392z', 123: '9x-217y-450z'}
 
                  
            else:
                print("\n (STEP 245F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 245F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 245F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two6004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 246F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO6004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two6004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 246F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO6004XI: ", fire2two6004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO6004XI:  {1: '0x0y-599z', 2: '109x-266y-526z', 3: '10x-260y-540z', 4: '114x-587y-36z', 5: '116x-352y-471z', 6: '121x-255y-528z', 7: '131x-244y-531z', 8: '133x-341y-474z', 9: '141x-232y-534z', 10: '145x-580y-42z', 11: '149x-329y-478z', 12: '150x-220y-537z', 13: '158x-208y-539z', 14: '164x-317y-481z', 15: '165x-195y-542z', 16: '166x-4y-576z', 17: '171x-14y-574z', 18: '172x-182y-545z', 19: '175x-571y-48z', 20: '176x-23y-572z', 21: '177x-169y-547z', 22: '178x-304y-485z', 23: '180x-34y-571z', 24: '182x-156y-549z', 25: '184x-44y-569z', 26: '185x-143y-552z', 27: '187x-55y-567z', 28: '188x-130y-554z', 29: '189x-67y-565z', 30: '190x-117y-556z', 31: '190x-79y-563z', 32: '191x-104y-559z', 33: '191x-290y-489z', 34: '191x-91y-561z', 35: '203x-276y-492z', 36: '204x-561y-54z', 37: '214x-261y-495z', 38: '21x-599y-18z', 39: '224x-246y-499z', 40: '22x-394y-451z', 41: '233x-230y-502z', 42: '233x-549y-60z', 43: '23x-254y-542z', 44: '241x-214y-505z', 45: '248x-198y-508z', 46: '24x-318y-507z', 47: '253x-182y-512z', 48: '254x-11y-543z', 49: '258x-165y-515z', 50: '258x-25y-540z', 51: '261x-535y-66z', 52: '262x-149y-518z', 53: '262x-39y-538z', 54: '265x-133y-521z', 55: '265x-54y-535z', 56: '267x-117y-524z', 57: '267x-69y-532z', 58: '268x-101y-527z', 59: '268x-85y-529z', 60: '281x-529y0z', 61: '289x-520y-72z', 62: '2x-399y-447z', 63: '309x-514y-5z', 64: '315x-504y-78z', 65: '335x-497y-11z', 66: '340x-486y-84z', 67: '360x-478y-17z', 68: '365x-467y-90z', 69: '36x-247y-545z', 70: '385x-459y-23z', 71: '388x-446y-96z', 72: '408x-438y-29z', 73: '40x-311y-511z', 74: '410x-425y-102z', 75: '430x-416y-35z', 76: '431x-402y-108z', 77: '43x-387y-455z', 78: '451x-378y-113z', 79: '451x-392y-41z', 80: '469x-353y-119z', 81: '471x-368y-47z', 82: '486x-327y-125z', 83: '489x-342y-53z', 84: '48x-239y-547z', 85: '501x-301y-131z', 86: '506x-316y-59z', 87: '515x-273y-137z', 88: '521x-289y-65z', 89: '528x-245y-143z', 90: '52x-597y-24z', 91: '535x-261y-71z', 92: '538x-217y-149z', 93: '547x-232y-77z', 94: '548x-188y-154z', 95: '555x-159y-160z', 96: '558x-203y-83z', 97: '55x-304y-514z', 98: '561x-129y-166z', 99: '566x-99y-172z', 100: '567x-173y-89z', 101: '568x-69y-177z', 102: '569x-39y-183z', 103: '569x-9y-189z', 104: '574x-143y-95z', 105: '579x-155y-1z', 106: '580x-112y-101z', 107: '584x-82y-107z', 108: '586x-124y-7z', 109: '587x-20y-118z', 110: '587x-51y-112z', 111: '592x-93y-13z', 112: '596x-62y-19z', 113: '598x-31y-25z', 114: '59x-231y-550z', 115: '62x-380y-459z', 116: '70x-295y-517z', 117: '7x-324y-504z', 118: '81x-259y-644z', 119: '81x-372y-463z', 120: '83x-593y-30z', 121: '84x-286y-520z', 122: '97x-277y-523z', 123: '99x-362y-467z'}
 
                  
            else:
                print("\n (STEP 246F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 246F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 246F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


        
    #========
    # 700 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two7004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 247F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO7004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two7004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 247F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO7004XI: ", fire2two7004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO7004XI:  {1: '0x0y-699z', 2: '113x-323y-610z', 3: '116x-423y-545z', 4: '127x-311y-613z', 5: '12x-304y-630z', 6: '133x-685y-42z', 7: '136x-411y-549z', 8: '141x-298y-617z', 9: '153x-285y-620z', 10: '155x-398y-553z', 11: '165x-271y-623z', 12: '169x-677y-49z', 13: '174x-384y-558z', 14: '175x-257y-626z', 15: '185x-242y-629z', 16: '191x-370y-562z', 17: '193x-227y-632z', 18: '194x-5y-672z', 19: '200x-16y-670z', 20: '200x-212y-635z', 21: '204x-667y-56z', 22: '205x-27y-668z', 23: '207x-197y-638z', 24: '207x-354y-566z', 25: '210x-39y-666z', 26: '212x-182y-641z', 27: '214x-52y-664z', 28: '216x-167y-644z', 29: '218x-65y-661z', 30: '219x-151y-647z', 31: '220x-78y-659z', 32: '221x-136y-649z', 33: '222x-121y-652z', 34: '222x-338y-570z', 35: '222x-92y-657z', 36: '223x-107y-654z', 37: '236x-322y-574z', 38: '238x-654y-63z', 39: '249x-304y-578z', 40: '24x-699y-21z', 41: '261x-287y-582z', 42: '26x-459y-527z', 43: '271x-268y-586z', 44: '272x-640y-70z', 45: '27x-296y-633z', 46: '281x-250y-590z', 47: '289x-231y-593z', 48: '28x-371y-592z', 49: '296x-13y-633z', 50: '296x-212y-597z', 51: '2x-465y-522z', 52: '301x-193y-601z', 53: '301x-29y-630z', 54: '305x-46y-627z', 55: '305x-625y-77z', 56: '306x-174y-604z', 57: '309x-155y-608z', 58: '309x-63y-624z', 59: '311x-136y-611z', 60: '311x-81y-621z', 61: '312x-118y-614z', 62: '312x-99y-618z', 63: '328x-618y0z', 64: '337x-607y-84z', 65: '360x-599y-6z', 66: '368x-588y-91z', 67: '391x-580y-13z', 68: '397x-567y-98z', 69: '421x-558y-20z', 70: '426x-545y-105z', 71: '42x-288y-636z', 72: '449x-535y-27z', 73: '453x-521y-112z', 74: '46x-363y-596z', 75: '476x-511y-34z', 76: '479x-495y-119z', 77: '502x-485y-41z', 78: '503x-469y-126z', 79: '50x-452y-531z', 80: '526x-441y-132z', 81: '527x-458y-48z', 82: '548x-412y-139z', 83: '549x-429y-55z', 84: '567x-382y-146z', 85: '56x-279y-639z', 86: '571x-399y-62z', 87: '585x-351y-153z', 88: '590x-369y-69z', 89: '601x-319y-160z', 90: '608x-337y-76z', 91: '616x-286y-167z', 92: '61x-696y-28z', 93: '624x-304y-83z', 94: '628x-253y-173z', 95: '638x-271y-90z', 96: '639x-219y-180z', 97: '648x-185y-187z', 98: '64x-354y-599z', 99: '651x-237y-97z', 100: '655x-150y-194z', 101: '660x-116y-200z', 102: '661x-202y-104z', 103: '663x-81y-207z', 104: '664x-11y-220z', 105: '664x-46y-214z', 106: '670x-167y-111z', 107: '676x-181y-1z', 108: '677x-131y-117z', 109: '682x-95y-124z', 110: '684x-145y-8z', 111: '684x-59y-131z', 112: '685x-23y-138z', 113: '691x-109y-15z', 114: '695x-73y-22z', 115: '698x-36y-29z', 116: '69x-270y-642z', 117: '72x-443y-536z', 118: '81x-345y-603z', 119: '8x-378y-588z', 120: '93x-297y-736z', 121: '94x-434y-540z', 122: '97x-692y-35z', 123: '98x-334y-606z'}
 
                  
            else:
                print("\n (STEP 247F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 247F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 247F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


          
    #========
    # 800 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two8004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 248F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO8004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two8004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 248F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO8004XI: ", fire2two8004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO8004XI:  {1: '104x-334y-829z', 2: '108x-496y-618z', 3: '10x-432y-672z', 4: '111x-791y-40z', 5: '112x-382y-693z', 6: '129x-369y-697z', 7: '132x-483y-623z', 8: '146x-355y-701z', 9: '14x-347y-720z', 10: '152x-783y-48z', 11: '155x-470y-628z', 12: '161x-341y-705z', 13: '175x-326y-709z', 14: '177x-455y-632z', 15: '188x-310y-712z', 16: '193x-774y-56z', 17: '198x-439y-637z', 18: '200x-294y-716z', 19: '211x-277y-719z', 20: '218x-423y-642z', 21: '221x-260y-723z', 22: '222x-6y-768z', 23: '229x-18y-766z', 24: '229x-243y-726z', 25: '233x-762y-64z', 26: '235x-31y-763z', 27: '236x-225y-730z', 28: '237x-405y-647z', 29: '240x-45y-761z', 30: '242x-208y-733z', 31: '245x-59y-759z', 32: '247x-190y-736z', 33: '249x-74y-756z', 34: '251x-173y-739z', 35: '252x-90y-753z', 36: '253x-156y-742z', 37: '254x-106y-751z', 38: '254x-122y-748z', 39: '254x-139y-745z', 40: '254x-387y-652z', 41: '270x-368y-656z', 42: '272x-748y-72z', 43: '285x-348y-661z', 44: '28x-799y-24z', 45: '298x-328y-665z', 46: '30x-525y-602z', 47: '310x-307y-670z', 48: '311x-732y-80z', 49: '31x-339y-723z', 50: '321x-286y-674z', 51: '32x-424y-677z', 52: '330x-264y-678z', 53: '338x-15y-724z', 54: '338x-243y-682z', 55: '344x-34y-721z', 56: '345x-221y-686z', 57: '348x-714y-88z', 58: '349x-53y-717z', 59: '350x-199y-691z', 60: '353x-177y-695z', 61: '353x-72y-713z', 62: '356x-156y-698z', 63: '356x-93y-710z', 64: '357x-113y-706z', 65: '357x-134y-702z', 66: '375x-706y0z', 67: '385x-694y-96z', 68: '3x-532y-597z', 69: '412x-685y-7z', 70: '420x-672y-104z', 71: '447x-663y-15z', 72: '454x-648y-112z', 73: '481x-638y-23z', 74: '487x-622y-120z', 75: '48x-329y-727z', 76: '513x-612y-31z', 77: '518x-595y-128z', 78: '53x-415y-681z', 79: '544x-584y-39z', 80: '547x-566y-136z', 81: '574x-554y-47z', 82: '575x-536y-144z', 83: '57x-517y-607z', 84: '601x-504y-151z', 85: '602x-523y-55z', 86: '626x-471y-159z', 87: '628x-490y-63z', 88: '648x-437y-167z', 89: '64x-319y-730z', 90: '652x-457y-71z', 91: '669x-401y-175z', 92: '675x-421y-79z', 93: '687x-365y-183z', 94: '695x-385y-87z', 95: '704x-327y-190z', 96: '70x-796y-32z', 97: '713x-348y-95z', 98: '718x-289y-198z', 99: '730x-251y-206z', 100: '730x-309y-103z', 101: '73x-405y-685z', 102: '741x-212y-214z', 103: '744x-270y-111z', 104: '749x-172y-221z', 105: '754x-132y-229z', 106: '756x-231y-119z', 107: '758x-92y-237z', 108: '759x-12y-252z', 109: '759x-52y-244z', 110: '766x-191y-126z', 111: '772x-207y-2z', 112: '774x-150y-134z', 113: '779x-109y-142z', 114: '782x-166y-10z', 115: '782x-68y-150z', 116: '783x-27y-158z', 117: '789x-125y-18z', 118: '795x-83y-26z', 119: '798x-41y-34z', 120: '79x-308y-733z', 121: '83x-507y-612z', 122: '93x-394y-689z'}
 
                  
            else:
                print("\n (STEP 248F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 248F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 248F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


        
    #========
    # 900 TWO
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two9004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 249F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO9004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two9004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 249F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO9004XI: ", fire2two9004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO9004XI:  {1: '105x-443y-775z', 2: '116x-371y-921z', 3: '11x-486y-757z', 4: '122x-558y-695z', 5: '125x-890y-45z', 6: '126x-430y-780z', 7: '145x-415y-784z', 8: '149x-544y-700z', 9: '164x-400y-789z', 10: '16x-390y-810z', 11: '171x-881y-54z', 12: '175x-529y-706z', 13: '181x-383y-793z', 14: '197x-366y-797z', 15: '200x-512y-712z', 16: '212x-349y-801z', 17: '217x-870y-63z', 18: '223x-494y-717z', 19: '226x-330y-805z', 20: '238x-312y-809z', 21: '246x-476y-722z', 22: '248x-293y-813z', 23: '249x-7y-864z', 24: '257x-21y-862z', 25: '258x-273y-817z', 26: '262x-857y-72z', 27: '264x-35y-859z', 28: '266x-254y-821z', 29: '267x-456y-728z', 30: '271x-51y-856z', 31: '273x-234y-824z', 32: '276x-67y-853z', 33: '278x-214y-828z', 34: '280x-83y-851z', 35: '282x-195y-831z', 36: '283x-101y-848z', 37: '285x-119y-844z', 38: '285x-175y-835z', 39: '286x-137y-841z', 40: '286x-156y-838z', 41: '286x-435y-733z', 42: '304x-414y-738z', 43: '306x-842y-81z', 44: '31x-899y-27z', 45: '321x-391y-743z', 46: '336x-369y-748z', 47: '349x-345y-753z', 48: '34x-591y-677z', 49: '350x-824y-90z', 50: '35x-381y-814z', 51: '361x-321y-758z', 52: '36x-477y-761z', 53: '372x-297y-763z', 54: '380x-273y-768z', 55: '381x-17y-815z', 56: '387x-38y-811z', 57: '388x-248y-772z', 58: '392x-803y-99z', 59: '393x-224y-777z', 60: '393x-59y-807z', 61: '397x-82y-803z', 62: '398x-200y-781z', 63: '3x-598y-671z', 64: '400x-104y-799z', 65: '400x-175y-786z', 66: '402x-128y-794z', 67: '402x-151y-790z', 68: '422x-794y0z', 69: '433x-781y-108z', 70: '463x-771y-8z', 71: '473x-756y-117z', 72: '503x-745y-17z', 73: '511x-729y-126z', 74: '541x-718y-26z', 75: '548x-700y-135z', 76: '54x-370y-818z', 77: '578x-688y-35z', 78: '583x-670y-144z', 79: '60x-467y-766z', 80: '613x-657y-44z', 81: '616x-637y-153z', 82: '646x-624y-53z', 83: '647x-603y-162z', 84: '64x-581y-683z', 85: '677x-567y-170z', 86: '677x-589y-62z', 87: '704x-530y-179z', 88: '706x-552y-71z', 89: '729x-491y-188z', 90: '72x-359y-821z', 91: '734x-514y-80z', 92: '752x-451y-197z', 93: '759x-474y-89z', 94: '773x-410y-206z', 95: '782x-433y-98z', 96: '78x-895y-36z', 97: '792x-368y-214z', 98: '803x-391y-107z', 99: '808x-326y-223z', 100: '821x-348y-116z', 101: '822x-282y-232z', 102: '833x-238y-240z', 103: '837x-304y-125z', 104: '83x-456y-771z', 105: '842x-194y-249z', 106: '849x-149y-258z', 107: '851x-260y-133z', 108: '853x-104y-266z', 109: '853x-14y-284z', 110: '854x-59y-275z', 111: '862x-214y-142z', 112: '869x-232y-2z', 113: '870x-169y-151z', 114: '876x-123y-160z', 115: '880x-187y-11z', 116: '880x-77y-169z', 117: '881x-30y-178z', 118: '888x-140y-20z', 119: '894x-94y-29z', 120: '897x-47y-38z', 121: '89x-347y-825z', 122: '93x-570y-689z'}

                  
            else:
                print("\n (STEP 249F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 249F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 249F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


        
    #=========
    # 1000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two10004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 250F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO10004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two10004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 250F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO10004XI: ", fire2two10004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO10004XI:  {1: '104x-634y-766z', 2: '116x-493y-862z', 3: '127x-408y-1013z', 4: '12x-540y-841z', 5: '135x-620y-772z', 6: '139x-988y-51z', 7: '140x-477y-867z', 8: '162x-461y-872z', 9: '165x-604y-778z', 10: '182x-444y-876z', 11: '18x-434y-900z', 12: '190x-979y-61z', 13: '194x-587y-785z', 14: '201x-426y-881z', 15: '219x-407y-886z', 16: '222x-569y-791z', 17: '236x-387y-890z', 18: '241x-967y-70z', 19: '248x-549y-797z', 20: '251x-367y-895z', 21: '264x-346y-899z', 22: '273x-529y-803z', 23: '276x-325y-904z', 24: '277x-8y-960z', 25: '286x-23y-957z', 26: '286x-304y-908z', 27: '291x-953y-80z', 28: '294x-39y-954z', 29: '295x-282y-912z', 30: '296x-507y-809z', 31: '301x-56y-951z', 32: '303x-260y-916z', 33: '306x-74y-948z', 34: '309x-238y-920z', 35: '311x-93y-945z', 36: '313x-216y-924z', 37: '315x-112y-942z', 38: '316x-195y-928z', 39: '317x-132y-938z', 40: '318x-153y-935z', 41: '318x-174y-931z', 42: '318x-484y-815z', 43: '338x-460y-820z', 44: '341x-935y-90z', 45: '356x-435y-826z', 46: '35x-998y-31z', 47: '373x-410y-832z', 48: '388x-384y-837z', 49: '389x-915y-100z', 50: '38x-656y-753z', 51: '39x-423y-904z', 52: '3x-665y-746z', 53: '401x-357y-842z', 54: '40x-530y-846z', 55: '413x-330y-848z', 56: '423x-19y-905z', 57: '423x-303y-853z', 58: '431x-276y-858z', 59: '431x-42y-901z', 60: '436x-893y-110z', 61: '437x-249y-863z', 62: '437x-66y-896z', 63: '441x-91y-892z', 64: '442x-222y-868z', 65: '445x-116y-887z', 66: '445x-195y-873z', 67: '446x-142y-883z', 68: '446x-168y-878z', 69: '469x-882y0z', 70: '481x-867y-120z', 71: '515x-857y-9z', 72: '525x-840y-130z', 73: '559x-828y-19z', 74: '568x-810y-140z', 75: '601x-798y-29z', 76: '609x-778y-150z', 77: '60x-412y-909z', 78: '642x-765y-39z', 79: '647x-744y-160z', 80: '66x-519y-851z', 81: '681x-730y-49z', 82: '684x-708y-170z', 83: '718x-693y-59z', 84: '719x-670y-180z', 85: '71x-646y-759z', 86: '752x-630y-189z', 87: '752x-654y-69z', 88: '782x-589y-199z', 89: '785x-613y-79z', 90: '80x-399y-913z', 91: '810x-546y-209z', 92: '815x-571y-89z', 93: '836x-502y-219z', 94: '843x-527y-99z', 95: '859x-456y-228z', 96: '869x-481y-109z', 97: '87x-995y-41z', 98: '880x-409y-238z', 99: '892x-435y-119z', 100: '898x-362y-248z', 101: '912x-387y-129z', 102: '913x-314y-258z', 103: '926x-265y-267z', 104: '92x-506y-856z', 105: '930x-338y-138z', 106: '936x-215y-277z', 107: '943x-165y-286z', 108: '945x-289y-148z', 109: '947x-115y-296z', 110: '948x-16y-315z', 111: '949x-65y-306z', 112: '957x-238y-158z', 113: '965x-258y-2z', 114: '967x-188y-168z', 115: '974x-136y-178z', 116: '978x-207y-12z', 117: '978x-85y-188z', 118: '979x-34y-198z', 119: '987x-156y-22z', 120: '98x-385y-917z', 121: '993x-104y-32z', 122: '997x-52y-42z'}
 
                  
            else:
                print("\n (STEP 250F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 250F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 250F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two11004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 251F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO11004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two11004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 251F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO11004XI: ", fire2two11004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO11004XI:  {1: '1004x-426y-141z', 2: '1005x-345y-283z', 3: '1018x-291y-294z', 4: '101x-557y-942z', 5: '1023x-372y-152z', 6: '1029x-237y-305z', 7: '1037x-182y-315z', 8: '1040x-318y-163z', 9: '1042x-127y-326z', 10: '1043x-17y-347z', 11: '1044x-72y-336z', 12: '1053x-262y-174z', 13: '1062x-284y-3z', 14: '1064x-206y-185z', 15: '1071x-150y-196z', 16: '1075x-228y-14z', 17: '1076x-94y-207z', 18: '1077x-37y-217z', 19: '1086x-172y-25z', 20: '108x-424y-1008z', 21: '1093x-114y-36z', 22: '1097x-57y-47z', 23: '114x-697y-842z', 24: '128x-542y-948z', 25: '139x-445y-1105z', 26: '13x-594y-925z', 27: '149x-682y-849z', 28: '153x-1087y-56z', 29: '154x-525y-953z', 30: '178x-507y-959z', 31: '182x-665y-856z', 32: '19x-477y-990z', 33: '200x-489y-964z', 34: '210x-1077y-67z', 35: '214x-646y-863z', 36: '222x-469y-969z', 37: '241x-448y-974z', 38: '244x-626y-870z', 39: '259x-426y-980z', 40: '266x-1064y-78z', 41: '273x-604y-877z', 42: '276x-404y-984z', 43: '291x-381y-989z', 44: '300x-582y-883z', 45: '304x-358y-994z', 46: '305x-8y-1056z', 47: '314x-25y-1053z', 48: '315x-334y-999z', 49: '321x-1048y-89z', 50: '323x-43y-1050z', 51: '325x-310y-1003z', 52: '326x-557y-890z', 53: '331x-62y-1047z', 54: '333x-286y-1008z', 55: '337x-82y-1043z', 56: '340x-262y-1012z', 57: '342x-102y-1040z', 58: '345x-238y-1016z', 59: '346x-123y-1036z', 60: '348x-214y-1020z', 61: '349x-145y-1032z', 62: '350x-168y-1028z', 63: '350x-191y-1024z', 64: '350x-532y-896z', 65: '372x-506y-902z', 66: '375x-1029y-100z', 67: '38x-1098y-34z', 68: '392x-479y-909z', 69: '410x-451y-915z', 70: '427x-422y-921z', 71: '428x-1007y-110z', 72: '42x-722y-828z', 73: '43x-466y-995z', 74: '442x-393y-927z', 75: '44x-583y-931z', 76: '454x-363y-933z', 77: '465x-334y-938z', 78: '466x-21y-996z', 79: '474x-304y-944z', 80: '474x-47y-991z', 81: '479x-982y-121z', 82: '480x-73y-986z', 83: '481x-274y-950z', 84: '485x-100y-981z', 85: '486x-244y-955z', 86: '489x-128y-976z', 87: '490x-214y-961z', 88: '491x-156y-971z', 89: '491x-185y-966z', 90: '4x-731y-821z', 91: '516x-971y0z', 92: '529x-954y-132z', 93: '566x-942y-10z', 94: '578x-924y-143z', 95: '614x-911y-21z', 96: '625x-891y-154z', 97: '661x-878y-32z', 98: '669x-856y-165z', 99: '66x-453y-999z', 100: '706x-841y-43z', 101: '712x-819y-176z', 102: '73x-571y-936z', 103: '749x-803y-54z', 104: '753x-779y-187z', 105: '789x-762y-65z', 106: '78x-710y-835z', 107: '791x-737y-198z', 108: '827x-693y-208z', 109: '828x-719y-76z', 110: '861x-648y-219z', 111: '864x-675y-87z', 112: '88x-439y-1004z', 113: '892x-600y-230z', 114: '897x-628y-98z', 115: '920x-552y-241z', 116: '928x-580y-109z', 117: '945x-502y-251z', 118: '956x-530y-120z', 119: '968x-450y-262z', 120: '96x-1094y-45z', 121: '981x-478y-131z', 122: '988x-398y-273z'}
 
                  
            else:
                print("\n (STEP 251F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 251F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 251F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


        
    #=========
    # 1200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two12004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 252F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO12004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two12004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 252F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO12004XI: ", fire2two12004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO12004XI:  {1: '1003x-602y-263z', 2: '1012x-632y-119z', 3: '1031x-547y-274z', 4: '1043x-578y-130z', 5: '1056x-491y-286z', 6: '105x-1194y-49z', 7: '1070x-522y-142z', 8: '1077x-434y-298z', 9: '1095x-464y-154z', 10: '1096x-376y-309z', 11: '110x-608y-1028z', 12: '1111x-318y-321z', 13: '1116x-406y-166z', 14: '1123x-258y-332z', 15: '1132x-199y-344z', 16: '1134x-346y-178z', 17: '1137x-139y-355z', 18: '1138x-19y-378z', 19: '1139x-79y-367z', 20: '1149x-286y-190z', 21: '1159x-310y-3z', 22: '1161x-225y-202z', 23: '1169x-164y-214z', 24: '1173x-249y-15z', 25: '1174x-102y-225z', 26: '1175x-41y-237z', 27: '1184x-187y-27z', 28: '118x-463y-1100z', 29: '1192x-125y-39z', 30: '1197x-62y-51z', 31: '125x-761y-919z', 32: '140x-591y-1034z', 33: '151x-482y-1197z', 34: '15x-648y-1009z', 35: '162x-744y-927z', 36: '167x-1186y-61z', 37: '168x-573y-1040z', 38: '194x-554y-1046z', 39: '198x-725y-934z', 40: '219x-533y-1052z', 41: '21x-521y-1080z', 42: '229x-1175y-73z', 43: '233x-705y-942z', 44: '242x-511y-1057z', 45: '263x-489y-1063z', 46: '266x-683y-949z', 47: '283x-465y-1069z', 48: '290x-1161y-85z', 49: '298x-659y-956z', 50: '301x-441y-1074z', 51: '317x-416y-1079z', 52: '328x-634y-963z', 53: '331x-390y-1084z', 54: '333x-9y-1152z', 55: '343x-28y-1149z', 56: '344x-364y-1090z', 57: '350x-1143y-97z', 58: '353x-47y-1145z', 59: '355x-338y-1095z', 60: '356x-608y-971z', 61: '361x-68y-1142z', 62: '364x-312y-1099z', 63: '368x-89y-1138z', 64: '371x-286y-1104z', 65: '374x-111y-1134z', 66: '376x-260y-1109z', 67: '378x-135y-1130z', 68: '380x-234y-1113z', 69: '381x-159y-1126z', 70: '382x-183y-1122z', 71: '382x-208y-1118z', 72: '382x-580y-978z', 73: '406x-552y-984z', 74: '409x-1122y-109z', 75: '428x-522y-991z', 76: '42x-1198y-37z', 77: '448x-492y-998z', 78: '45x-788y-903z', 79: '466x-460y-1005z', 80: '467x-1098y-121z', 81: '47x-508y-1085z', 82: '482x-429y-1011z', 83: '48x-637y-1015z', 84: '496x-397y-1017z', 85: '4x-798y-895z', 86: '507x-364y-1024z', 87: '508x-23y-1086z', 88: '517x-331y-1030z', 89: '517x-51y-1081z', 90: '523x-1071y-132z', 91: '524x-79y-1076z', 92: '525x-299y-1036z', 93: '530x-109y-1070z', 94: '530x-266y-1042z', 95: '534x-139y-1065z', 96: '534x-234y-1048z', 97: '536x-170y-1059z', 98: '536x-202y-1054z', 99: '563x-1059y0z', 100: '578x-1041y-144z', 101: '618x-1028y-11z', 102: '630x-1008y-156z', 103: '670x-994y-23z', 104: '681x-972y-168z', 105: '721x-957y-35z', 106: '72x-494y-1090z', 107: '730x-934y-180z', 108: '770x-918y-47z', 109: '777x-893y-192z', 110: '80x-623y-1022z', 111: '817x-876y-59z', 112: '821x-850y-204z', 113: '861x-832y-71z', 114: '863x-804y-216z', 115: '86x-775y-911z', 116: '902x-756y-227z', 117: '903x-785y-83z', 118: '939x-707y-239z', 119: '942x-736y-95z', 120: '96x-479y-1095z', 121: '973x-655y-251z', 122: '979x-685y-107z'}
 
                  
            else:
                print("\n (STEP 252F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 252F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 252F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               


        
    #=========
    # 1300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two13004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 253F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO13004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two13004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 253F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO13004XI: ", fire2two13004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO13004XI:  {1: '1017x-766y-259z', 2: '1021x-797y-103z', 3: '104x-519y-1187z', 4: '1054x-710y-272z', 5: '1060x-742y-116z', 6: '1087x-652y-285z', 7: '1097x-685y-128z', 8: '1117x-593y-297z', 9: '1130x-626y-141z', 10: '113x-1293y-53z', 11: '1144x-532y-310z', 12: '1160x-565y-154z', 13: '1167x-471y-322z', 14: '1186x-503y-167z', 15: '1187x-408y-335z', 16: '1204x-344y-348z', 17: '1209x-440y-180z', 18: '120x-659y-1114z', 19: '1217x-280y-360z', 20: '1226x-215y-373z', 21: '1229x-375y-193z', 22: '1232x-150y-385z', 23: '1233x-20y-410z', 24: '1234x-85y-397z', 25: '1245x-310y-206z', 26: '1255x-336y-3z', 27: '1257x-244y-219z', 28: '1266x-178y-231z', 29: '1271x-111y-244z', 30: '1271x-270y-16z', 31: '1273x-44y-257z', 32: '1283x-203y-29z', 33: '128x-501y-1192z', 34: '1292x-135y-42z', 35: '1297x-67y-55z', 36: '135x-824y-995z', 37: '151x-641y-1120z', 38: '162x-519y-1289z', 39: '16x-702y-1093z', 40: '176x-806y-1004z', 41: '181x-1285y-66z', 42: '182x-621y-1127z', 43: '210x-600y-1133z', 44: '215x-786y-1012z', 45: '237x-577y-1139z', 46: '23x-564y-1170z', 47: '248x-1273y-79z', 48: '253x-764y-1020z', 49: '262x-554y-1146z', 50: '285x-529y-1152z', 51: '289x-740y-1028z', 52: '307x-504y-1158z', 53: '314x-1258y-92z', 54: '323x-714y-1036z', 55: '326x-477y-1164z', 56: '343x-450y-1169z', 57: '355x-687y-1044z', 58: '359x-423y-1175z', 59: '360x-10y-1248z', 60: '372x-30y-1245z', 61: '373x-395y-1180z', 62: '379x-1238y-105z', 63: '382x-51y-1241z', 64: '384x-367y-1186z', 65: '385x-659y-1051z', 66: '391x-73y-1237z', 67: '394x-338y-1191z', 68: '399x-96y-1233z', 69: '402x-310y-1196z', 70: '405x-121y-1229z', 71: '407x-282y-1201z', 72: '409x-146y-1224z', 73: '411x-253y-1206z', 74: '412x-172y-1220z', 75: '413x-629y-1059z', 76: '414x-199y-1216z', 77: '414x-226y-1211z', 78: '439x-598y-1067z', 79: '443x-1216y-118z', 80: '463x-566y-1074z', 81: '46x-1298y-40z', 82: '485x-533y-1081z', 83: '49x-853y-979z', 84: '4x-864y-970z', 85: '505x-1190y-131z', 86: '505x-499y-1088z', 87: '51x-550y-1176z', 88: '522x-464y-1095z', 89: '52x-690y-1100z', 90: '537x-430y-1102z', 91: '550x-25y-1177z', 92: '550x-394y-1109z', 93: '560x-359y-1116z', 94: '560x-55y-1171z', 95: '566x-1160y-144z', 96: '568x-86y-1166z', 97: '569x-324y-1122z', 98: '574x-118y-1160z', 99: '575x-288y-1129z', 100: '578x-151y-1154z', 101: '579x-253y-1135z', 102: '580x-185y-1148z', 103: '580x-219y-1142z', 104: '610x-1147y0z', 105: '626x-1128y-156z', 106: '669x-1114y-12z', 107: '683x-1092y-169z', 108: '726x-1077y-25z', 109: '738x-1053y-182z', 110: '782x-1037y-38z', 111: '78x-535y-1181z', 112: '791x-1012y-195z', 113: '834x-995y-51z', 114: '842x-967y-208z', 115: '87x-675y-1107z', 116: '885x-949y-64z', 117: '890x-921y-221z', 118: '933x-901y-77z', 119: '935x-871y-234z', 120: '93x-840y-987z', 121: '978x-819y-246z', 122: '978x-850y-90z'}

                  
            else:
                print("\n (STEP 253F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 253F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 253F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1400 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two14004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 254F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO14004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two14004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 254F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO14004XI: ", fire2two14004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO14004XI:  {1: '1005x-970y-83z', 2: '1007x-938y-252z', 3: '100x-904y-1063z', 4: '1053x-882y-265z', 5: '1054x-916y-97z', 6: '1096x-824y-279z', 7: '1099x-859y-111z', 8: '112x-559y-1278z', 9: '1135x-764y-293z', 10: '1142x-799y-124z', 11: '1171x-702y-306z', 12: '1181x-738y-138z', 13: '1203x-639y-320z', 14: '1217x-674y-152z', 15: '122x-1393y-57z', 16: '1232x-573y-334z', 17: '1249x-609y-166z', 18: '1257x-507y-347z', 19: '1277x-542y-180z', 20: '1279x-439y-361z', 21: '1296x-371y-374z', 22: '129x-709y-1199z', 23: '1302x-474y-194z', 24: '1310x-301y-388z', 25: '1320x-232y-401z', 26: '1323x-404y-208z', 27: '1327x-162y-415z', 28: '1328x-22y-441z', 29: '1329x-92y-428z', 30: '1341x-334y-222z', 31: '1352x-362y-3z', 32: '1354x-263y-235z', 33: '1364x-191y-249z', 34: '1369x-119y-263z', 35: '1369x-291y-17z', 36: '1371x-47y-277z', 37: '1382x-218y-31z', 38: '138x-540y-1284z', 39: '1391x-146y-45z', 40: '1396x-73y-59z', 41: '145x-887y-1072z', 42: '163x-690y-1206z', 43: '174x-557y-1381z', 44: '17x-756y-1177z', 45: '189x-868y-1081z', 46: '195x-1384y-71z', 47: '196x-669y-1213z', 48: '226x-646y-1220z', 49: '232x-846y-1090z', 50: '255x-622y-1227z', 51: '25x-608y-1260z', 52: '267x-1371y-85z', 53: '272x-823y-1099z', 54: '282x-597y-1234z', 55: '307x-570y-1240z', 56: '311x-797y-1107z', 57: '330x-543y-1247z', 58: '338x-1354y-99z', 59: '348x-769y-1116z', 60: '351x-514y-1253z', 61: '370x-485y-1259z', 62: '382x-740y-1124z', 63: '387x-455y-1265z', 64: '388x-11y-1344z', 65: '400x-32y-1340z', 66: '401x-425y-1271z', 67: '408x-1334y-113z', 68: '411x-55y-1336z', 69: '414x-395y-1277z', 70: '415x-709y-1132z', 71: '421x-79y-1332z', 72: '424x-364y-1283z', 73: '429x-104y-1328z', 74: '433x-334y-1288z', 75: '436x-130y-1323z', 76: '439x-303y-1294z', 77: '441x-157y-1319z', 78: '443x-273y-1299z', 79: '444x-185y-1314z', 80: '445x-243y-1304z', 81: '445x-677y-1141z', 82: '446x-214y-1309z', 83: '473x-644y-1149z', 84: '477x-1309y-127z', 85: '499x-609y-1157z', 86: '49x-1398y-43z', 87: '522x-574y-1164z', 88: '53x-919y-1054z', 89: '543x-537y-1172z', 90: '544x-1281y-141z', 91: '55x-593y-1266z', 92: '562x-500y-1180z', 93: '56x-743y-1185z', 94: '578x-463y-1187z', 95: '592x-425y-1194z', 96: '593x-27y-1267z', 97: '5x-931y-1045z', 98: '603x-387y-1202z', 99: '603x-59y-1261z', 100: '610x-1250y-155z', 101: '611x-93y-1255z', 102: '612x-349y-1209z', 103: '618x-127y-1249z', 104: '619x-311y-1216z', 105: '623x-163y-1243z', 106: '623x-273y-1223z', 107: '625x-199y-1236z', 108: '625x-236y-1229z', 109: '657x-1236y0z', 110: '674x-1215y-169z', 111: '721x-1199y-13z', 112: '736x-1176y-182z', 113: '782x-1160y-27z', 114: '795x-1135y-196z', 115: '842x-1117y-41z', 116: '852x-1090y-210z', 117: '85x-577y-1272z', 118: '899x-1071y-55z', 119: '907x-1042y-224z', 120: '93x-727y-1192z', 121: '953x-1022y-69z', 122: '958x-991y-238z'}
 
                  
            else:
                print("\n (STEP 254F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 254F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 254F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1500 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two15004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 255F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO15004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two15004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 255F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO15004XI: ", fire2two15004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO15004XI:  {1: '100x-779y-1277z', 2: '1021x-1095y-74z', 3: '1027x-1062y-255z', 4: '1077x-1040y-89z', 5: '1079x-1005y-270z', 6: '107x-969y-1139z', 7: '1128x-946y-284z', 8: '1129x-981y-103z', 9: '1174x-883y-299z', 10: '1178x-920y-118z', 11: '120x-599y-1369z', 12: '1216x-819y-314z', 13: '1223x-856y-133z', 14: '1254x-753y-328z', 15: '1265x-790y-148z', 16: '1289x-684y-343z', 17: '1304x-722y-163z', 18: '131x-1492y-61z', 19: '1320x-614y-358z', 20: '1338x-652y-178z', 21: '1347x-543y-372z', 22: '1369x-581y-193z', 23: '1370x-471y-387z', 24: '1389x-397y-401z', 25: '138x-760y-1285z', 26: '1395x-508y-208z', 27: '1404x-323y-416z', 28: '1415x-248y-430z', 29: '1418x-433y-223z', 30: '1421x-173y-444z', 31: '1423x-24y-473z', 32: '1424x-98y-459z', 33: '1436x-358y-238z', 34: '1448x-388y-4z', 35: '1451x-282y-252z', 36: '1461x-205y-267z', 37: '1467x-128y-282z', 38: '1467x-311y-19z', 39: '1469x-51y-297z', 40: '1481x-234y-34z', 41: '148x-578y-1375z', 42: '1490x-156y-49z', 43: '1496x-78y-64z', 44: '156x-951y-1149z', 45: '175x-739y-1293z', 46: '186x-594y-1473z', 47: '18x-811y-1261z', 48: '203x-930y-1158z', 49: '209x-1483y-76z', 50: '210x-716y-1300z', 51: '243x-692y-1308z', 52: '248x-907y-1168z', 53: '274x-666y-1315z', 54: '27x-651y-1350z', 55: '286x-1469y-91z', 56: '292x-881y-1177z', 57: '302x-639y-1322z', 58: '329x-611y-1329z', 59: '333x-854y-1186z', 60: '354x-581y-1336z', 61: '362x-1451y-106z', 62: '373x-824y-1195z', 63: '376x-551y-1343z', 64: '396x-520y-1349z', 65: '410x-793y-1204z', 66: '414x-488y-1356z', 67: '416x-12y-1440z', 68: '429x-35y-1436z', 69: '430x-456y-1362z', 70: '437x-1429y-121z', 71: '441x-59y-1432z', 72: '443x-423y-1368z', 73: '445x-760y-1213z', 74: '451x-85y-1427z', 75: '455x-390y-1374z', 76: '460x-111y-1423z', 77: '463x-358y-1380z', 78: '467x-139y-1418z', 79: '470x-325y-1386z', 80: '472x-168y-1413z', 81: '475x-293y-1392z', 82: '476x-198y-1408z', 83: '477x-261y-1397z', 84: '477x-726y-1222z', 85: '478x-229y-1403z', 86: '507x-690y-1231z', 87: '511x-1403y-136z', 88: '535x-653y-1239z', 89: '53x-1498y-46z', 90: '560x-615y-1248z', 91: '57x-985y-1129z', 92: '582x-576y-1256z', 93: '583x-1373y-151z', 94: '59x-635y-1357z', 95: '5x-998y-1119z', 96: '602x-536y-1264z', 97: '60x-796y-1269z', 98: '620x-496y-1272z', 99: '634x-455y-1280z', 100: '635x-29y-1358z', 101: '646x-64y-1351z', 102: '647x-414y-1288z', 103: '654x-1339y-166z', 104: '655x-99y-1345z', 105: '656x-374y-1295z', 106: '662x-136y-1338z', 107: '663x-333y-1303z', 108: '667x-174y-1331z', 109: '668x-292y-1310z', 110: '670x-213y-1324z', 111: '670x-252y-1317z', 112: '704x-1324y0z', 113: '722x-1301y-181z', 114: '772x-1285y-14z', 115: '788x-1260y-196z', 116: '838x-1243y-29z', 117: '852x-1216y-210z', 118: '902x-1197y-44z', 119: '913x-1168y-225z', 120: '91x-618y-1363z', 121: '963x-1148y-59z', 122: '971x-1116y-240z'}

                  
            else:
                print("\n (STEP 255F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 255F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 255F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1600 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two16004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 256F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO16004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two16004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 256F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO16004XI: ", fire2two16004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO16004XI:  {1: '1027x-1224y-62z', 2: '1036x-1191y-256z', 3: '107x-831y-1362z', 4: '1089x-1168y-78z', 5: '1095x-1133y-272z', 6: '1148x-1109y-94z', 7: '114x-1034y-1215z', 8: '1151x-1072y-288z', 9: '1203x-1009y-303z', 10: '1204x-1047y-110z', 11: '1252x-942y-319z', 12: '1256x-981y-126z', 13: '128x-639y-1461z', 14: '1297x-874y-335z', 15: '1305x-914y-142z', 16: '1338x-803y-350z', 17: '1350x-843y-158z', 18: '1375x-730y-366z', 19: '1391x-771y-174z', 20: '1408x-655y-381z', 21: '140x-1592y-65z', 22: '1427x-696y-190z', 23: '1437x-579y-397z', 24: '1460x-619y-206z', 25: '1461x-502y-412z', 26: '147x-811y-1371z', 27: '1482x-424y-428z', 28: '1488x-541y-222z', 29: '1498x-345y-443z', 30: '1509x-265y-459z', 31: '1513x-462y-238z', 32: '1516x-185y-474z', 33: '1518x-25y-504z', 34: '1519x-105y-489z', 35: '1532x-382y-253z', 36: '1545x-414y-4z', 37: '1548x-300y-269z', 38: '1559x-219y-285z', 39: '1564x-332y-20z', 40: '1565x-136y-301z', 41: '1567x-54y-316z', 42: '1579x-250y-36z', 43: '158x-617y-1467z', 44: '1590x-167y-52z', 45: '1596x-83y-68z', 46: '166x-1014y-1225z', 47: '187x-788y-1379z', 48: '197x-631y-1565z', 49: '20x-865y-1345z', 50: '216x-992y-1236z', 51: '223x-1582y-81z', 52: '224x-764y-1387z', 53: '259x-738y-1395z', 54: '265x-967y-1246z', 55: '28x-694y-1440z', 56: '292x-711y-1403z', 57: '305x-1567y-97z', 58: '311x-940y-1256z', 59: '323x-682y-1410z', 60: '351x-652y-1418z', 61: '355x-911y-1265z', 62: '377x-620y-1425z', 63: '386x-1548y-113z', 64: '397x-879y-1275z', 65: '401x-588y-1432z', 66: '423x-554y-1439z', 67: '437x-846y-1285z', 68: '442x-521y-1446z', 69: '444x-12y-1537z', 70: '458x-37y-1532z', 71: '459x-486y-1453z', 72: '467x-1524y-129z', 73: '470x-63y-1527z', 74: '473x-451y-1460z', 75: '474x-811y-1294z', 76: '481x-90y-1523z', 77: '485x-416y-1466z', 78: '491x-119y-1518z', 79: '494x-381y-1472z', 80: '498x-149y-1512z', 81: '502x-347y-1478z', 82: '504x-180y-1507z', 83: '506x-312y-1485z', 84: '508x-212y-1502z', 85: '509x-244y-1496z', 86: '509x-278y-1490z', 87: '509x-774y-1304z', 88: '541x-736y-1313z', 89: '545x-1496y-145z', 90: '56x-1598y-49z', 91: '570x-696y-1322z', 92: '597x-656y-1331z', 93: '61x-1050y-1205z', 94: '621x-614y-1340z', 95: '622x-1464y-161z', 96: '63x-678y-1447z', 97: '642x-572y-1348z', 98: '64x-849y-1354z', 99: '661x-529y-1357z', 100: '677x-31y-1448z', 101: '677x-486y-1365z', 102: '689x-68y-1442z', 103: '690x-442y-1373z', 104: '697x-1428y-177z', 105: '699x-106y-1435z', 106: '6x-1064y-1194z', 107: '700x-399y-1382z', 108: '706x-145y-1427z', 109: '707x-355y-1390z', 110: '712x-186y-1420z', 111: '712x-312y-1397z', 112: '714x-227y-1413z', 113: '715x-269y-1405z', 114: '751x-1412y0z', 115: '770x-1388y-193z', 116: '824x-1371y-15z', 117: '841x-1344y-209z', 118: '894x-1326y-31z', 119: '909x-1297y-224z', 120: '962x-1277y-46z', 121: '974x-1245y-240z', 122: '97x-659y-1454z'}

                  
            else:
                print("\n (STEP 256F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 256F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 256F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1700 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two17004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 257F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO17004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two17004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 257F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO17004XI: ", fire2two17004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO17004XI:  {1: '1022x-1357y-49z', 2: '1035x-1323y-255z', 3: '103x-700y-1545z', 4: '1091x-1301y-66z', 5: '1101x-1265y-272z', 6: '113x-883y-1448z', 7: '1157x-1241y-83z', 8: '1164x-1204y-289z', 9: '121x-1098y-1291z', 10: '1220x-1178y-100z', 11: '1223x-1139y-306z', 12: '1279x-1072y-322z', 13: '1279x-1112y-117z', 14: '1330x-1001y-339z', 15: '1335x-1043y-134z', 16: '136x-679y-1552z', 17: '1378x-928y-356z', 18: '1386x-971y-151z', 19: '1422x-853y-372z', 20: '1434x-896y-168z', 21: '1461x-776y-389z', 22: '1477x-819y-185z', 23: '148x-1692y-69z', 24: '1496x-696y-405z', 25: '1517x-739y-202z', 26: '1527x-616y-422z', 27: '1551x-658y-219z', 28: '1553x-533y-438z', 29: '1574x-450y-455z', 30: '157x-861y-1456z', 31: '1581x-575y-236z', 32: '1591x-366y-471z', 33: '1603x-281y-487z', 34: '1607x-491y-252z', 35: '1611x-197y-504z', 36: '1612x-27y-536z', 37: '1614x-112y-520z', 38: '1628x-406y-269z', 39: '1642x-439y-4z', 40: '1644x-319y-286z', 41: '1656x-232y-303z', 42: '1662x-353y-21z', 43: '1663x-145y-320z', 44: '1665x-58y-336z', 45: '1678x-265y-38z', 46: '1689x-177y-55z', 47: '168x-656y-1559z', 48: '1696x-88y-72z', 49: '177x-1078y-1302z', 50: '198x-838y-1465z', 51: '209x-668y-1658z', 52: '21x-919y-1429z', 53: '230x-1054y-1313z', 54: '237x-1681y-86z', 55: '238x-812y-1474z', 56: '275x-785y-1482z', 57: '281x-1028y-1324z', 58: '30x-738y-1530z', 59: '310x-755y-1490z', 60: '324x-1665y-103z', 61: '331x-999y-1334z', 62: '343x-725y-1498z', 63: '373x-692y-1506z', 64: '378x-968y-1345z', 65: '401x-659y-1514z', 66: '411x-1645y-120z', 67: '422x-934y-1355z', 68: '426x-624y-1522z', 69: '449x-589y-1529z', 70: '464x-899y-1365z', 71: '470x-553y-1537z', 72: '471x-13y-1633z', 73: '486x-39y-1628z', 74: '487x-517y-1544z', 75: '496x-1620y-137z', 76: '500x-67y-1623z', 77: '503x-480y-1551z', 78: '504x-862y-1375z', 79: '511x-96y-1618z', 80: '515x-442y-1558z', 81: '521x-126y-1612z', 82: '525x-405y-1564z', 83: '529x-158y-1607z', 84: '533x-368y-1571z', 85: '536x-191y-1601z', 86: '538x-332y-1577z', 87: '540x-225y-1596z', 88: '541x-260y-1590z', 89: '541x-295y-1584z', 90: '541x-822y-1385z', 91: '575x-782y-1395z', 92: '579x-1590y-154z', 93: '606x-740y-1404z', 94: '60x-1698y-52z', 95: '635x-697y-1414z', 96: '64x-1116y-1280z', 97: '660x-652y-1423z', 98: '661x-1556y-171z', 99: '67x-720y-1538z', 100: '683x-607y-1433z', 101: '68x-902y-1439z', 102: '6x-1131y-1269z', 103: '702x-562y-1442z', 104: '719x-516y-1451z', 105: '720x-33y-1539z', 106: '732x-72y-1532z', 107: '733x-470y-1459z', 108: '741x-1518y-188z', 109: '743x-113y-1524z', 110: '744x-423y-1468z', 111: '751x-155y-1517z', 112: '752x-377y-1476z', 113: '756x-198y-1509z', 114: '757x-331y-1485z', 115: '759x-241y-1501z', 116: '759x-286y-1493z', 117: '818x-1475y-205z', 118: '875x-1457y-15z', 119: '893x-1428y-222z', 120: '950x-1409y-32z', 121: '966x-1378y-238z'}

                  
            else:
                print("\n (STEP 257F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 257F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 257F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1800 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two18004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 258F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO18004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two18004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 258F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO18004XI: ", fire2two18004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO18004XI:  {1: '1006x-1491y-34z', 2: '1022x-1459y-253z', 3: '1082x-1436y-52z', 4: '1096x-1401y-270z', 5: '109x-741y-1636z', 6: '1156x-1377y-70z', 7: '1166x-1340y-288z', 8: '120x-935y-1533z', 9: '1226x-1314y-88z', 10: '1232x-1275y-306z', 11: '1292x-1248y-106z', 12: '1295x-1206y-324z', 13: '129x-1163y-1367z', 14: '1354x-1135y-341z', 15: '1355x-1178y-124z', 16: '1409x-1060y-359z', 17: '1413x-1104y-142z', 18: '144x-719y-1643z', 19: '1459x-983y-377z', 20: '1468x-1028y-160z', 21: '1505x-903y-394z', 22: '1518x-949y-178z', 23: '1547x-821y-412z', 24: '1564x-867y-196z', 25: '157x-1791y-73z', 26: '1584x-737y-429z', 27: '1606x-783y-214z', 28: '1616x-652y-447z', 29: '1643x-697y-232z', 30: '1644x-565y-464z', 31: '1667x-477y-481z', 32: '166x-912y-1542z', 33: '1675x-609y-250z', 34: '1685x-388y-499z', 35: '1698x-298y-516z', 36: '1702x-520y-267z', 37: '1706x-208y-533z', 38: '1707x-28y-568z', 39: '1709x-118y-550z', 40: '1724x-429y-285z', 41: '1738x-465y-5z', 42: '1741x-338y-303z', 43: '1753x-246y-321z', 44: '1760x-374y-23z', 45: '1761x-154y-338z', 46: '1763x-61y-356z', 47: '1777x-281y-41z', 48: '1789x-188y-59z', 49: '178x-694y-1650z', 50: '1795x-94y-77z', 51: '187x-1141y-1379z', 52: '210x-887y-1551z', 53: '220x-705y-1750z', 54: '22x-973y-1514z', 55: '244x-1116y-1390z', 56: '251x-1780y-91z', 57: '252x-860y-1560z', 58: '291x-831y-1569z', 59: '298x-1088y-1401z', 60: '328x-800y-1578z', 61: '32x-781y-1621z', 62: '343x-1763y-109z', 63: '350x-1058y-1413z', 64: '363x-767y-1586z', 65: '395x-733y-1595z', 66: '400x-1025y-1424z', 67: '425x-698y-1603z', 68: '435x-1741y-127z', 69: '447x-989y-1435z', 70: '452x-661y-1611z', 71: '476x-624y-1619z', 72: '492x-952y-1445z', 73: '497x-586y-1627z', 74: '499x-14y-1729z', 75: '515x-42y-1724z', 76: '516x-547y-1635z', 77: '525x-1715y-145z', 78: '529x-71y-1718z', 79: '532x-508y-1642z', 80: '534x-912y-1456z', 81: '542x-102y-1713z', 82: '546x-469y-1649z', 83: '552x-134y-1707z', 84: '556x-429y-1656z', 85: '561x-167y-1702z', 86: '564x-390y-1663z', 87: '567x-202y-1696z', 88: '570x-351y-1670z', 89: '571x-238y-1689z', 90: '573x-275y-1683z', 91: '573x-313y-1677z', 92: '573x-871y-1467z', 93: '609x-828y-1477z', 94: '613x-1684y-163z', 95: '63x-1798y-55z', 96: '642x-783y-1487z', 97: '672x-738y-1497z', 98: '68x-1182y-1355z', 99: '699x-691y-1507z', 100: '6x-1197y-1343z', 101: '700x-1648y-181z', 102: '71x-762y-1628z', 103: '723x-643y-1517z', 104: '72x-955y-1523z', 105: '744x-595y-1526z', 106: '761x-546y-1536z', 107: '762x-35y-1630z', 108: '775x-77y-1622z', 109: '776x-497y-1545z', 110: '785x-1607y-199z', 111: '786x-119y-1614z', 112: '787x-448y-1554z', 113: '795x-164y-1606z', 114: '796x-400y-1563z', 115: '801x-209y-1598z', 116: '801x-351y-1572z', 117: '804x-256y-1589z', 118: '804x-303y-1581z', 119: '867x-1562y-217z', 120: '927x-1542y-16z', 121: '946x-1512y-235z'}
 
                  
            else:
                print("\n (STEP 258F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 258F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 258F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 1900 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two19004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 259F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO19004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two19004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 259F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO19004XI: ", fire2two19004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO19004XI:  {1: '1062x-1574y-36z', 2: '1079x-1540y-267z', 3: '1142x-1516y-55z', 4: '1157x-1479y-285z', 5: '115x-783y-1727z', 6: '1220x-1454y-74z', 7: '1231x-1414y-304z', 8: '127x-987y-1618z', 9: '1294x-1387y-93z', 10: '1301x-1346y-323z', 11: '1364x-1317y-112z', 12: '1367x-1273y-342z', 13: '136x-1228y-1443z', 14: '1429x-1198y-360z', 15: '1430x-1243y-131z', 16: '1487x-1119y-379z', 17: '1492x-1166y-150z', 18: '152x-759y-1735z', 19: '1540x-1038y-398z', 20: '1550x-1085y-169z', 21: '1589x-953y-416z', 22: '1603x-1001y-188z', 23: '1633x-867y-435z', 24: '1651x-915y-207z', 25: '166x-1891y-77z', 26: '1672x-778y-453z', 27: '1695x-826y-226z', 28: '1706x-688y-471z', 29: '1734x-736y-245z', 30: '1735x-596y-490z', 31: '1759x-503y-508z', 32: '175x-963y-1628z', 33: '1768x-643y-263z', 34: '1778x-409y-526z', 35: '1792x-315y-545z', 36: '1796x-549y-282z', 37: '1801x-220y-563z', 38: '1802x-30y-599z', 39: '1804x-125y-581z', 40: '1820x-453y-301z', 41: '1835x-491y-5z', 42: '1838x-357y-320z', 43: '1851x-260y-338z', 44: '1858x-162y-357z', 45: '1858x-394y-24z', 46: '1861x-64y-376z', 47: '1876x-297y-43z', 48: '187x-733y-1742z', 49: '1888x-198y-62z', 50: '1895x-99y-81z', 51: '197x-1204y-1455z', 52: '222x-936y-1637z', 53: '232x-742y-1842z', 54: '24x-1027y-1598z', 55: '257x-1178y-1467z', 56: '265x-1878y-96z', 57: '266x-908y-1647z', 58: '307x-877y-1656z', 59: '315x-1149y-1479z', 60: '347x-844y-1666z', 61: '34x-825y-1711z', 62: '362x-1861y-115z', 63: '370x-1117y-1491z', 64: '383x-810y-1675z', 65: '417x-774y-1684z', 66: '422x-1082y-1503z', 67: '448x-736y-1692z', 68: '459x-1838y-134z', 69: '472x-1044y-1514z', 70: '477x-698y-1701z', 71: '502x-658y-1709z', 72: '519x-1005y-1526z', 73: '525x-618y-1717z', 74: '527x-15y-1825z', 75: '544x-44y-1819z', 76: '545x-577y-1725z', 77: '554x-1810y-153z', 78: '559x-75y-1814z', 79: '562x-536y-1733z', 80: '563x-963y-1537z', 81: '572x-107y-1808z', 82: '576x-495y-1741z', 83: '583x-141y-1802z', 84: '587x-453y-1748z', 85: '592x-177y-1796z', 86: '596x-412y-1756z', 87: '599x-214y-1790z', 88: '601x-371y-1763z', 89: '603x-251y-1783z', 90: '604x-919y-1548z', 91: '605x-290y-1777z', 92: '605x-330y-1770z', 93: '642x-874y-1559z', 94: '648x-1777y-172z', 95: '677x-827y-1570z', 96: '67x-1897y-58z', 97: '709x-779y-1580z', 98: '72x-1247y-1430z', 99: '738x-729y-1591z', 100: '739x-1739y-191z', 101: '75x-805y-1719z', 102: '763x-679y-1601z', 103: '76x-1008y-1608z', 104: '785x-628y-1611z', 105: '7x-1264y-1418z', 106: '804x-37y-1720z', 107: '804x-577y-1621z', 108: '818x-81y-1712z', 109: '819x-525y-1631z', 110: '828x-1696y-210z', 111: '830x-126y-1704z', 112: '831x-473y-1641z', 113: '839x-173y-1695z', 114: '840x-422y-1650z', 115: '845x-221y-1687z', 116: '846x-371y-1660z', 117: '848x-270y-1678z', 118: '849x-320y-1669z', 119: '915x-1649y-229z', 120: '978x-1628y-17z', 121: '999x-1596y-248z'}
 
                  
            else:
                print("\n (STEP 259F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 259F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 259F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
      

        
    #=========
    # 2000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two20004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 260F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO20004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two20004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 260F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO20004XI: ", fire2two20004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO20004XI:  {1: '1030x-1714y-18z', 2: '1051x-1680y-261z', 3: '1118x-1657y-38z', 4: '1136x-1621y-281z', 5: '1203x-1596y-58z', 6: '1218x-1557y-300z', 7: '121x-824y-1818z', 8: '1284x-1530y-78z', 9: '1295x-1489y-320z', 10: '133x-1039y-1703z', 11: '1362x-1460y-98z', 12: '1369x-1416y-340z', 13: '1436x-1386y-118z', 14: '1439x-1340y-360z', 15: '143x-1292y-1519z', 16: '1504x-1261y-379z', 17: '1505x-1308y-138z', 18: '1565x-1178y-399z', 19: '1571x-1227y-158z', 20: '160x-799y-1826z', 21: '1621x-1092y-418z', 22: '1631x-1142y-178z', 23: '1673x-1004y-438z', 24: '1687x-1054y-198z', 25: '1719x-913y-457z', 26: '1738x-963y-218z', 27: '175x-1990y-82z', 28: '1760x-819y-477z', 29: '1784x-870y-238z', 30: '1796x-724y-496z', 31: '1825x-774y-258z', 32: '1827x-628y-516z', 33: '184x-1013y-1713z', 34: '1852x-530y-535z', 35: '1861x-677y-277z', 36: '1872x-431y-554z', 37: '1886x-331y-573z', 38: '1891x-578y-297z', 39: '1895x-231y-593z', 40: '1897x-32y-631z', 41: '1899x-131y-612z', 42: '1915x-477y-317z', 43: '1931x-517y-5z', 44: '1935x-376y-337z', 45: '1948x-273y-356z', 46: '1956x-171y-376z', 47: '1956x-415y-25z', 48: '1959x-68y-396z', 49: '1974x-312y-45z', 50: '197x-771y-1834z', 51: '1987x-208y-65z', 52: '1995x-104y-85z', 53: '208x-1268y-1532z', 54: '233x-986y-1724z', 55: '244x-779y-1934z', 56: '25x-1081y-1682z', 57: '271x-1240y-1545z', 58: '279x-1977y-102z', 59: '280x-955y-1734z', 60: '324x-923y-1744z', 61: '331x-1209y-1557z', 62: '365x-889y-1753z', 63: '36x-868y-1801z', 64: '381x-1959y-122z', 65: '389x-1175y-1570z', 66: '403x-852y-1763z', 67: '439x-815y-1772z', 68: '444x-1139y-1582z', 69: '472x-775y-1781z', 70: '483x-1935y-141z', 71: '497x-1099y-1594z', 72: '502x-735y-1790z', 73: '529x-693y-1799z', 74: '546x-1058y-1606z', 75: '553x-651y-1808z', 76: '555x-16y-1921z', 77: '572x-46y-1915z', 78: '573x-608y-1816z', 79: '583x-1906y-161z', 80: '588x-79y-1909z', 81: '591x-564y-1825z', 82: '593x-1014y-1618z', 83: '602x-113y-1903z', 84: '606x-521y-1833z', 85: '613x-149y-1897z', 86: '618x-477y-1841z', 87: '623x-186y-1891z', 88: '627x-433y-1848z', 89: '630x-225y-1884z', 90: '633x-390y-1856z', 91: '635x-265y-1877z', 92: '636x-348y-1863z', 93: '636x-968y-1630z', 94: '637x-306y-1870z', 95: '676x-920y-1641z', 96: '682x-1871y-181z', 97: '70x-1997y-62z', 98: '713x-870y-1652z', 99: '747x-820y-1664z', 100: '76x-1313y-1506z', 101: '777x-768y-1675z', 102: '778x-1831y-201z', 103: '79x-847y-1809z', 104: '7x-1330y-1493z', 105: '803x-715y-1685z', 106: '80x-1061y-1693z', 107: '826x-661y-1696z', 108: '846x-607y-1707z', 109: '847x-39y-1811z', 110: '862x-553y-1717z', 111: '862x-85y-1802z', 112: '872x-1786y-221z', 113: '874x-133y-1793z', 114: '875x-498y-1727z', 115: '883x-182y-1784z', 116: '884x-444y-1737z', 117: '890x-232y-1775z', 118: '891x-390y-1747z', 119: '893x-284y-1766z', 120: '893x-337y-1757z', 121: '963x-1735y-241z'}

                  
            else:
                print("\n (STEP 260F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 260F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 260F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two21004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 261F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO21004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two21004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 261F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO21004XI: ", fire2two21004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO21004XI:  {1: '1011x-1822y-253z', 2: '1081x-1799y-19z', 3: '1104x-1765y-274z', 4: '1174x-1740y-40z', 5: '1193x-1702y-295z', 6: '1263x-1676y-61z', 7: '1279x-1635y-315z', 8: '127x-865y-1909z', 9: '1348x-1607y-82z', 10: '1360x-1563y-336z', 11: '140x-1091y-1788z', 12: '1430x-1533y-103z', 13: '1438x-1487y-357z', 14: '1507x-1456y-124z', 15: '150x-1357y-1595z', 16: '1511x-1407y-378z', 17: '1580x-1324y-398z', 18: '1581x-1374y-145z', 19: '1644x-1237y-419z', 20: '1649x-1288y-166z', 21: '168x-838y-1917z', 22: '1702x-1147y-439z', 23: '1713x-1199y-187z', 24: '1756x-1054y-460z', 25: '1772x-1107y-208z', 26: '1805x-958y-480z', 27: '1825x-1012y-229z', 28: '183x-2090y-86z', 29: '1848x-860y-501z', 30: '1874x-914y-250z', 31: '1886x-761y-521z', 32: '1916x-813y-270z', 33: '1918x-659y-541z', 34: '1945x-556y-562z', 35: '194x-1064y-1799z', 36: '1954x-711y-291z', 37: '1966x-452y-582z', 38: '1981x-348y-602z', 39: '1985x-607y-312z', 40: '1990x-243y-622z', 41: '1992x-33y-662z', 42: '1994x-138y-642z', 43: '2011x-501y-333z', 44: '2028x-543y-5z', 45: '2031x-394y-353z', 46: '2046x-287y-374z', 47: '2053x-436y-26z', 48: '2054x-179y-395z', 49: '2057x-71y-415z', 50: '2073x-328y-47z', 51: '207x-810y-1926z', 52: '2087x-219y-68z', 53: '2095x-109y-89z', 54: '218x-1331y-1608z', 55: '245x-1035y-1810z', 56: '255x-817y-2026z', 57: '26x-1135y-1766z', 58: '284x-1302y-1622z', 59: '292x-2076y-107z', 60: '294x-1003y-1820z', 61: '340x-969y-1831z', 62: '348x-1270y-1635z', 63: '37x-912y-1891z', 64: '383x-933y-1841z', 65: '401x-2057y-128z', 66: '409x-1234y-1648z', 67: '424x-895y-1851z', 68: '461x-855y-1861z', 69: '467x-1196y-1661z', 70: '496x-814y-1870z', 71: '507x-2032y-149z', 72: '522x-1154y-1674z', 73: '527x-772y-1880z', 74: '555x-728y-1889z', 75: '574x-1111y-1686z', 76: '580x-683y-1898z', 77: '582x-16y-2017z', 78: '601x-49y-2011z', 79: '602x-638y-1907z', 80: '613x-2001y-170z', 81: '617x-83y-2005z', 82: '621x-593y-1916z', 83: '623x-1064y-1699z', 84: '632x-119y-1998z', 85: '637x-547y-1924z', 86: '644x-156y-1992z', 87: '649x-501y-1933z', 88: '654x-195y-1985z', 89: '658x-455y-1941z', 90: '662x-236y-1978z', 91: '665x-410y-1949z', 92: '667x-278y-1971z', 93: '668x-1016y-1711z', 94: '668x-365y-1956z', 95: '669x-321y-1964z', 96: '710x-966y-1723z', 97: '716x-1964y-190z', 98: '749x-914y-1735z', 99: '74x-2097y-65z', 100: '784x-861y-1747z', 101: '80x-1379y-1581z', 102: '815x-806y-1758z', 103: '817x-1922y-211z', 104: '83x-890y-1900z', 105: '843x-751y-1770z', 106: '84x-1114y-1777z', 107: '868x-694y-1781z', 108: '888x-637y-1792z', 109: '889x-41y-1901z', 110: '8x-1397y-1567z', 111: '905x-580y-1803z', 112: '905x-89y-1892z', 113: '915x-1875y-232z', 114: '917x-139y-1883z', 115: '919x-523y-1814z', 116: '927x-191y-1874z', 117: '929x-466y-1824z', 118: '934x-244y-1864z', 119: '935x-410y-1834z', 120: '938x-298y-1854z', 121: '938x-354y-1844z'}
 
                  
            else:
                print("\n (STEP 261F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 261F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 261F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two22004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 262F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO22004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two22004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 262F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO22004XI: ", fire2two22004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO22004XI:  {1: '1059x-1909y-265z', 2: '1133x-1885y-20z', 3: '1156x-1849y-287z', 4: '1229x-1823y-42z', 5: '1250x-1783y-309z', 6: '1323x-1756y-64z', 7: '1339x-1713y-331z', 8: '133x-906y-1999z', 9: '1413x-1683y-86z', 10: '1425x-1638y-352z', 11: '147x-1143y-1873z', 12: '1498x-1607y-108z', 13: '1506x-1558y-374z', 14: '1579x-1525y-130z', 15: '157x-1421y-1671z', 16: '1583x-1475y-396z', 17: '1655x-1387y-417z', 18: '1656x-1439y-152z', 19: '1722x-1296y-439z', 20: '1728x-1350y-174z', 21: '176x-878y-2009z', 22: '1784x-1201y-460z', 23: '1794x-1256y-196z', 24: '1840x-1104y-482z', 25: '1856x-1160y-218z', 26: '1891x-1004y-503z', 27: '1912x-1060y-240z', 28: '192x-2189y-90z', 29: '1936x-901y-525z', 30: '1963x-957y-262z', 31: '1976x-797y-546z', 32: '2008x-852y-283z', 33: '2010x-690y-567z', 34: '2037x-583y-589z', 35: '203x-1115y-1885z', 36: '2047x-745y-305z', 37: '2059x-474y-610z', 38: '2075x-364y-631z', 39: '2080x-636y-327z', 40: '2085x-254y-652z', 41: '2087x-35y-694z', 42: '2089x-145y-673z', 43: '2107x-525y-349z', 44: '2125x-569y-6z', 45: '2128x-413y-370z', 46: '2143x-301y-392z', 47: '2151x-457y-28z', 48: '2152x-188y-414z', 49: '2155x-75y-435z', 50: '2172x-344y-50z', 51: '217x-848y-2017z', 52: '2186x-229y-72z', 53: '2194x-115y-94z', 54: '229x-1395y-1685z', 55: '257x-1084y-1896z', 56: '267x-854y-2118z', 57: '27x-1189y-1850z', 58: '298x-1364y-1699z', 59: '306x-2175y-112z', 60: '308x-1051y-1907z', 61: '356x-1015y-1918z', 62: '364x-1330y-1713z', 63: '39x-955y-1981z', 64: '401x-978y-1929z', 65: '420x-2155y-134z', 66: '428x-1293y-1727z', 67: '444x-938y-1939z', 68: '483x-896y-1949z', 69: '489x-1253y-1740z', 70: '519x-853y-1960z', 71: '532x-2128y-156z', 72: '547x-1209y-1754z', 73: '552x-808y-1969z', 74: '582x-763y-1979z', 75: '601x-1164y-1767z', 76: '608x-716y-1989z', 77: '610x-17y-2113z', 78: '629x-51y-2107z', 79: '631x-669y-1998z', 80: '642x-2096y-178z', 81: '647x-87y-2100z', 82: '651x-621y-2007z', 83: '652x-1115y-1780z', 84: '662x-124y-2094z', 85: '667x-573y-2016z', 86: '675x-164y-2087z', 87: '680x-525y-2025z', 88: '685x-205y-2080z', 89: '690x-477y-2033z', 90: '693x-247y-2073z', 91: '697x-429y-2041z', 92: '698x-291y-2065z', 93: '700x-1065y-1793z', 94: '700x-382y-2049z', 95: '701x-336y-2057z', 96: '744x-1012y-1805z', 97: '750x-2058y-200z', 98: '77x-2197y-68z', 99: '784x-958y-1818z', 100: '821x-902y-1830z', 101: '84x-1444y-1656z', 102: '854x-845y-1842z', 103: '856x-2014y-221z', 104: '87x-932y-1990z', 105: '884x-786y-1854z', 106: '88x-1167y-1862z', 107: '8x-1463y-1642z', 108: '909x-727y-1866z', 109: '931x-668y-1877z', 110: '932x-43y-1992z', 111: '948x-608y-1889z', 112: '948x-94y-1982z', 113: '959x-1964y-243z', 114: '961x-146y-1973z', 115: '963x-548y-1900z', 116: '971x-200y-1963z', 117: '973x-488y-1911z', 118: '979x-256y-1953z', 119: '980x-429y-1922z', 120: '982x-313y-1943z', 121: '983x-370y-1932z'}

                  
            else:
                print("\n (STEP 262F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 262F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 262F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two23004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 263F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO23004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two23004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 263F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO23004XI: ", fire2two23004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO23004XI:  {1: '1003x-2053y-254z', 2: '1005x-153y-2062z', 3: '1006x-573y-1986z', 4: '1016x-209y-2052z', 5: '1017x-511y-1998z', 6: '1023x-267y-2042z', 7: '1024x-449y-2009z', 8: '1027x-327y-2031z', 9: '1027x-387y-2020z', 10: '1107x-1996y-277z', 11: '1184x-1971y-21z', 12: '1209x-1933y-300z', 13: '1285x-1906y-44z', 14: '1307x-1864y-323z', 15: '1383x-1836y-67z', 16: '139x-948y-2090z', 17: '1400x-1791y-346z', 18: '1477x-1760y-90z', 19: '1490x-1712y-368z', 20: '153x-1195y-1959z', 21: '1566x-1680y-113z', 22: '1575x-1629y-391z', 23: '164x-1486y-1747z', 24: '1651x-1594y-136z', 25: '1655x-1542y-414z', 26: '1730x-1450y-436z', 27: '1731x-1505y-159z', 28: '1800x-1355y-459z', 29: '1806x-1411y-182z', 30: '184x-918y-2100z', 31: '1865x-1256y-481z', 32: '1876x-1313y-205z', 33: '1924x-1154y-504z', 34: '1940x-1212y-228z', 35: '1977x-1050y-526z', 36: '1999x-1108y-251z', 37: '201x-2289y-94z', 38: '2024x-942y-549z', 39: '2052x-1001y-273z', 40: '2066x-833y-571z', 41: '2099x-891y-296z', 42: '2101x-722y-593z', 43: '212x-1166y-1971z', 44: '2130x-609y-615z', 45: '2140x-779y-319z', 46: '2153x-495y-637z', 47: '2169x-381y-659z', 48: '2175x-664y-342z', 49: '2180x-266y-681z', 50: '2182x-36y-725z', 51: '2184x-151y-703z', 52: '2203x-549y-365z', 53: '2221x-595y-6z', 54: '2225x-432y-387z', 55: '2241x-314y-410z', 56: '2249x-478y-29z', 57: '2250x-196y-432z', 58: '2253x-78y-455z', 59: '2271x-359y-52z', 60: '227x-887y-2109z', 61: '2286x-240y-75z', 62: '2294x-120y-98z', 63: '239x-1458y-1762z', 64: '268x-1134y-1982z', 65: '279x-891y-2210z', 66: '29x-1243y-1934z', 67: '311x-1426y-1776z', 68: '320x-2274y-117z', 69: '322x-1099y-1994z', 70: '372x-1062y-2005z', 71: '381x-1391y-1791z', 72: '41x-999y-2071z', 73: '420x-1022y-2016z', 74: '439x-2253y-140z', 75: '448x-1352y-1805z', 76: '464x-980y-2027z', 77: '505x-937y-2038z', 78: '511x-1310y-1819z', 79: '543x-892y-2049z', 80: '556x-2225y-163z', 81: '571x-1264y-1833z', 82: '577x-845y-2059z', 83: '608x-797y-2069z', 84: '628x-1216y-1847z', 85: '636x-748y-2079z', 86: '638x-18y-2209z', 87: '658x-53y-2203z', 88: '660x-699y-2089z', 89: '671x-2191y-186z', 90: '676x-91y-2196z', 91: '680x-649y-2098z', 92: '682x-1166y-1861z', 93: '692x-130y-2189z', 94: '697x-599y-2108z', 95: '706x-171y-2182z', 96: '711x-549y-2117z', 97: '716x-214y-2174z', 98: '721x-499y-2126z', 99: '725x-259y-2167z', 100: '728x-449y-2134z', 101: '730x-305y-2159z', 102: '732x-1113y-1874z', 103: '732x-400y-2143z', 104: '733x-352y-2151z', 105: '778x-1058y-1887z', 106: '784x-2151y-209z', 107: '81x-2297y-71z', 108: '820x-1001y-1900z', 109: '859x-943y-1913z', 110: '87x-1510y-1732z', 111: '893x-883y-1926z', 112: '895x-2105y-232z', 113: '8x-1530y-1716z', 114: '91x-974y-2081z', 115: '924x-822y-1938z', 116: '92x-1220y-1946z', 117: '950x-760y-1951z', 118: '973x-698y-1963z', 119: '974x-45y-2082z', 120: '991x-98y-2073z', 121: '992x-636y-1975z'}

                  
            else:
                print("\n (STEP 263F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 263F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 263F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2400 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two24004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 264F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO24004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two24004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 264F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO24004XI: ", fire2two24004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO24004XI:  {1: '1015x-729y-2048z', 2: '1016x-47y-2173z', 3: '1034x-102y-2163z', 4: '1035x-663y-2060z', 5: '1046x-2143y-265z', 6: '1049x-159y-2152z', 7: '1050x-598y-2073z', 8: '1060x-218y-2141z', 9: '1061x-533y-2085z', 10: '1068x-279y-2131z', 11: '1069x-468y-2096z', 12: '1072x-341y-2119z', 13: '1072x-404y-2108z', 14: '1156x-2083y-289z', 15: '1236x-2057y-22z', 16: '1261x-2017y-313z', 17: '1341x-1989y-46z', 18: '1363x-1945y-337z', 19: '1443x-1915y-70z', 20: '145x-989y-2181z', 21: '1461x-1868y-361z', 22: '1541x-1837y-94z', 23: '1555x-1787y-384z', 24: '160x-1247y-2044z', 25: '1634x-1753y-118z', 26: '1643x-1700y-408z', 27: '1723x-1664y-142z', 28: '1727x-1609y-432z', 29: '172x-1551y-1823z', 30: '1805x-1513y-455z', 31: '1806x-1570y-166z', 32: '1878x-1414y-479z', 33: '1885x-1472y-190z', 34: '192x-958y-2191z', 35: '1946x-1311y-502z', 36: '1958x-1371y-214z', 37: '2007x-1204y-526z', 38: '2025x-1265y-238z', 39: '2063x-1095y-549z', 40: '2086x-1156y-261z', 41: '210x-2388y-98z', 42: '2112x-983y-572z', 43: '2141x-1044y-285z', 44: '2155x-869y-596z', 45: '2190x-929y-309z', 46: '2192x-753y-619z', 47: '221x-1216y-2056z', 48: '2223x-636y-642z', 49: '2233x-812y-333z', 50: '2247x-517y-665z', 51: '2264x-398y-688z', 52: '2269x-693y-357z', 53: '2275x-278y-711z', 54: '2277x-38y-757z', 55: '2279x-158y-734z', 56: '2299x-573y-380z', 57: '2318x-621y-6z', 58: '2322x-451y-404z', 59: '2338x-328y-428z', 60: '2347x-498y-30z', 61: '2348x-205y-451z', 62: '2351x-82y-475z', 63: '2369x-375y-54z', 64: '237x-926y-2201z', 65: '2385x-250y-78z', 66: '2394x-125y-102z', 67: '250x-1522y-1838z', 68: '280x-1183y-2069z', 69: '290x-928y-2302z', 70: '30x-1297y-2018z', 71: '325x-1488y-1854z', 72: '334x-2373y-122z', 73: '336x-1147y-2081z', 74: '388x-1108y-2092z', 75: '397x-1451y-1869z', 76: '438x-1067y-2104z', 77: '43x-1042y-2161z', 78: '458x-2351y-146z', 79: '467x-1411y-1884z', 80: '484x-1023y-2115z', 81: '527x-978y-2127z', 82: '533x-1367y-1898z', 83: '566x-930y-2138z', 84: '580x-2322y-170z', 85: '596x-1319y-1913z', 86: '602x-882y-2149z', 87: '635x-832y-2159z', 88: '656x-1269y-1927z', 89: '663x-781y-2169z', 90: '666x-19y-2305z', 91: '687x-56y-2298z', 92: '688x-729y-2180z', 93: '700x-2287y-194z', 94: '706x-94y-2291z', 95: '710x-677y-2190z', 96: '712x-1217y-1942z', 97: '722x-136y-2284z', 98: '728x-625y-2199z', 99: '736x-179y-2277z', 100: '742x-572y-2209z', 101: '748x-223y-2269z', 102: '753x-520y-2218z', 103: '756x-270y-2261z', 104: '760x-468y-2227z', 105: '762x-318y-2253z', 106: '764x-1161y-1956z', 107: '764x-367y-2244z', 108: '764x-417y-2236z', 109: '812x-1104y-1969z', 110: '818x-2245y-218z', 111: '84x-2397y-74z', 112: '856x-1045y-1983z', 113: '896x-984y-1996z', 114: '91x-1576y-1807z', 115: '932x-921y-2010z', 116: '934x-2197y-242z', 117: '95x-1017y-2171z', 118: '964x-858y-2023z', 119: '96x-1274y-2031z', 120: '992x-794y-2035z', 121: '9x-1596y-1791z'}

                  
            else:
                print("\n (STEP 264F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 264F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 264F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2500 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two25004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 265F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO25004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two25004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 265F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO25004XI: ", fire2two25004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO25004XI:  {1: '1004x-894y-2107z', 2: '100x-1327y-2116z', 3: '1033x-827y-2120z', 4: '1058x-759y-2133z', 5: '1059x-49y-2264z', 6: '1077x-106y-2253z', 7: '1078x-691y-2146z', 8: '1090x-2232y-277z', 9: '1092x-166y-2242z', 10: '1094x-623y-2159z', 11: '1104x-228y-2231z', 12: '1106x-555y-2172z', 13: '1112x-291y-2219z', 14: '1113x-488y-2184z', 15: '1116x-355y-2208z', 16: '1117x-421y-2196z', 17: '1204x-2169y-301z', 18: '1287x-2142y-23z', 19: '1314x-2101y-326z', 20: '1397x-2072y-48z', 21: '1420x-2026y-351z', 22: '1503x-1995y-73z', 23: '151x-1030y-2272z', 24: '1522x-1946y-376z', 25: '1605x-1913y-98z', 26: '1619x-1861y-400z', 27: '167x-1299y-2129z', 28: '1702x-1826y-123z', 29: '1712x-1771y-425z', 30: '1795x-1733y-148z', 31: '1799x-1676y-450z', 32: '179x-1615y-1899z', 33: '1881x-1576y-474z', 34: '1882x-1636y-173z', 35: '1957x-1473y-499z', 36: '1963x-1534y-198z', 37: '201x-998y-2282z', 38: '2027x-1365y-523z', 39: '2039x-1428y-223z', 40: '2091x-1255y-548z', 41: '2109x-1318y-248z', 42: '2149x-1141y-572z', 43: '2173x-1204y-272z', 44: '219x-2488y-102z', 45: '2200x-1024y-596z', 46: '2230x-1088y-297z', 47: '2245x-905y-621z', 48: '2282x-968y-322z', 49: '2284x-785y-645z', 50: '2315x-662y-669z', 51: '231x-1267y-2142z', 52: '2326x-846y-347z', 53: '2340x-539y-693z', 54: '2358x-414y-717z', 55: '2364x-722y-372z', 56: '2369x-289y-741z', 57: '2371x-40y-788z', 58: '2374x-164y-765z', 59: '2394x-597y-396z', 60: '2414x-647y-7z', 61: '2418x-470y-421z', 62: '2435x-342y-446z', 63: '2445x-213y-470z', 64: '2445x-519y-32z', 65: '2448x-85y-495z', 66: '2468x-390y-57z', 67: '247x-964y-2293z', 68: '2484x-261y-81z', 69: '2494x-130y-106z', 70: '260x-1585y-1915z', 71: '292x-1232y-2155z', 72: '302x-965y-2395z', 73: '31x-1351y-2102z', 74: '338x-1550y-1931z', 75: '348x-2472y-127z', 76: '350x-1194y-2167z', 77: '405x-1154y-2180z', 78: '414x-1512y-1947z', 79: '456x-1111y-2192z', 80: '45x-1085y-2251z', 81: '477x-2449y-152z', 82: '486x-1469y-1962z', 83: '504x-1066y-2204z', 84: '549x-1018y-2215z', 85: '556x-1424y-1978z', 86: '590x-969y-2227z', 87: '604x-2419y-177z', 88: '621x-1374y-1993z', 89: '627x-919y-2238z', 90: '661x-867y-2249z', 91: '683x-1322y-2008z', 92: '691x-814y-2260z', 93: '694x-20y-2401z', 94: '715x-58y-2394z', 95: '717x-760y-2270z', 96: '729x-2382y-202z', 97: '735x-98y-2387z', 98: '739x-706y-2281z', 99: '741x-1267y-2023z', 100: '752x-141y-2379z', 101: '758x-651y-2291z', 102: '767x-186y-2371z', 103: '773x-596y-2301z', 104: '779x-233y-2363z', 105: '784x-542y-2310z', 106: '788x-281y-2355z', 107: '792x-488y-2320z', 108: '794x-331y-2347z', 109: '795x-1210y-2037z', 110: '796x-382y-2338z', 111: '796x-435y-2329z', 112: '846x-1150y-2051z', 113: '852x-2339y-227z', 114: '88x-2497y-77z', 115: '892x-1088y-2066z', 116: '933x-1025y-2080z', 117: '95x-1641y-1882z', 118: '971x-960y-2093z', 119: '973x-2289y-252z', 120: '99x-1059y-2262z', 121: '9x-1663y-1866z'}

                  
            else:
                print("\n (STEP 265F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 265F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 265F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2600 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two26004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 266F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO26004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two26004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 266F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO26004XI: ", fire2two26004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO26004XI:  {1: '1010x-998y-2177z', 2: '1011x-2380y-262z', 3: '103x-1101y-2352z', 4: '1044x-929y-2191z', 5: '104x-1380y-2200z', 6: '1074x-860y-2205z', 7: '1100x-789y-2219z', 8: '1101x-51y-2354z', 9: '1120x-111y-2343z', 10: '1121x-719y-2232z', 11: '1133x-2321y-288z', 12: '1136x-173y-2332z', 13: '1138x-648y-2245z', 14: '1148x-237y-2320z', 15: '1150x-577y-2258z', 16: '1157x-302y-2308z', 17: '1158x-507y-2271z', 18: '1161x-370y-2296z', 19: '1161x-438y-2284z', 20: '1252x-2256y-313z', 21: '1339x-2228y-24z', 22: '1367x-2185y-339z', 23: '1453x-2155y-50z', 24: '1477x-2107y-365z', 25: '1564x-2075y-76z', 26: '157x-1071y-2363z', 27: '1583x-2024y-391z', 28: '1669x-1990y-102z', 29: '1684x-1935y-416z', 30: '174x-1350y-2214z', 31: '1771x-1899y-128z', 32: '1780x-1842y-442z', 33: '1866x-1802y-154z', 34: '186x-1680y-1975z', 35: '1871x-1743y-468z', 36: '1956x-1639y-493z', 37: '1957x-1701y-180z', 38: '2035x-1532y-519z', 39: '2042x-1595y-206z', 40: '209x-1038y-2374z', 41: '2108x-1420y-544z', 42: '2121x-1485y-232z', 43: '2175x-1305y-570z', 44: '2194x-1370y-257z', 45: '2235x-1187y-595z', 46: '2260x-1252y-283z', 47: '227x-2587y-106z', 48: '2288x-1065y-620z', 49: '2320x-1131y-309z', 50: '2335x-942y-645z', 51: '2373x-1007y-335z', 52: '2375x-816y-671z', 53: '2408x-689y-696z', 54: '240x-1318y-2228z', 55: '2419x-880y-361z', 56: '2434x-560y-721z', 57: '2453x-431y-746z', 58: '2458x-751y-386z', 59: '2464x-301y-770z', 60: '2466x-41y-820z', 61: '2469x-171y-795z', 62: '2490x-621y-412z', 63: '2511x-672y-7z', 64: '2515x-489y-438z', 65: '2533x-356y-463z', 66: '2542x-540y-33z', 67: '2543x-222y-489z', 68: '2546x-88y-514z', 69: '2567x-406y-59z', 70: '257x-1003y-2384z', 71: '2584x-271y-85z', 72: '2594x-135y-111z', 73: '270x-1648y-1991z', 74: '303x-1282y-2241z', 75: '313x-1002y-2487z', 76: '32x-1405y-2186z', 77: '352x-1612y-2008z', 78: '362x-2571y-132z', 79: '364x-1242y-2254z', 80: '421x-1200y-2267z', 81: '431x-1572y-2024z', 82: '46x-1129y-2341z', 83: '475x-1155y-2279z', 84: '496x-2547y-158z', 85: '506x-1528y-2041z', 86: '525x-1108y-2292z', 87: '571x-1059y-2304z', 88: '578x-1481y-2057z', 89: '614x-1008y-2316z', 90: '628x-2516y-184z', 91: '646x-1429y-2072z', 92: '652x-955y-2328z', 93: '687x-901y-2339z', 94: '710x-1375y-2088z', 95: '719x-846y-2350z', 96: '721x-20y-2497z', 97: '744x-60y-2490z', 98: '746x-790y-2361z', 99: '758x-2477y-210z', 100: '764x-102y-2482z', 101: '769x-734y-2372z', 102: '771x-1318y-2103z', 103: '782x-147y-2474z', 104: '788x-677y-2383z', 105: '798x-193y-2466z', 106: '804x-620y-2393z', 107: '810x-242y-2458z', 108: '815x-564y-2403z', 109: '819x-292y-2449z', 110: '823x-507y-2413z', 111: '825x-344y-2441z', 112: '827x-1258y-2119z', 113: '828x-398y-2432z', 114: '828x-452y-2422z', 115: '879x-1196y-2134z', 116: '886x-2432y-236z', 117: '927x-1132y-2148z', 118: '92x-2597y-80z', 119: '971x-1066y-2163z', 120: '99x-1707y-1958z', 121: '9x-1729y-1940z'}

                  
            else:
                print("\n (STEP 266F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 266F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 266F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2700 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two27004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 267F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO27004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two27004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 267F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO27004XI: ", fire2two27004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO27004XI:  {1: '1008x-1107y-2246z', 2: '103x-1773y-2033z', 3: '1049x-1037y-2261z', 4: '1050x-2472y-272z', 5: '107x-1144y-2443z', 6: '1084x-965y-2276z', 7: '108x-1433y-2285z', 8: '10x-1796y-2015z', 9: '1116x-893y-2290z', 10: '1142x-820y-2304z', 11: '1143x-53y-2445z', 12: '1163x-115y-2433z', 13: '1164x-746y-2318z', 14: '1177x-2411y-299z', 15: '1180x-179y-2421z', 16: '1181x-673y-2332z', 17: '1192x-246y-2409z', 18: '1194x-600y-2345z', 19: '1201x-314y-2397z', 20: '1202x-527y-2359z', 21: '1206x-384y-2384z', 22: '1206x-455y-2372z', 23: '1300x-2343y-326z', 24: '1390x-2314y-25z', 25: '1419x-2269y-352z', 26: '1509x-2237y-52z', 27: '1534x-2188y-379z', 28: '1624x-2155y-79z', 29: '163x-1112y-2454z', 30: '1644x-2102y-406z', 31: '1734x-2066y-106z', 32: '1749x-2010y-432z', 33: '180x-1402y-2299z', 34: '1839x-1972y-133z', 35: '1849x-1912y-459z', 36: '1938x-1872y-160z', 37: '193x-1745y-2051z', 38: '1943x-1810y-486z', 39: '2031x-1702y-512z', 40: '2032x-1767y-187z', 41: '2113x-1591y-539z', 42: '2120x-1657y-214z', 43: '217x-1078y-2465z', 44: '2189x-1475y-565z', 45: '2202x-1542y-240z', 46: '2258x-1355y-591z', 47: '2278x-1423y-267z', 48: '2321x-1232y-618z', 49: '2347x-1301y-294z', 50: '236x-2687y-110z', 51: '2376x-1106y-644z', 52: '2409x-1175y-321z', 53: '2425x-978y-670z', 54: '2464x-1046y-348z', 55: '2466x-847y-696z', 56: '249x-1368y-2313z', 57: '2501x-715y-722z', 58: '2512x-914y-375z', 59: '2527x-582y-748z', 60: '2547x-447y-774z', 61: '2553x-780y-401z', 62: '2559x-312y-800z', 63: '2561x-43y-852z', 64: '2564x-177y-826z', 65: '2586x-644y-428z', 66: '2607x-698y-7z', 67: '2612x-507y-455z', 68: '2630x-369y-481z', 69: '2640x-561y-34z', 70: '2641x-231y-508z', 71: '2644x-92y-534z', 72: '2666x-422y-61z', 73: '267x-1041y-2476z', 74: '2683x-282y-88z', 75: '2693x-141y-115z', 76: '281x-1712y-2068z', 77: '315x-1331y-2327z', 78: '325x-1039y-2579z', 79: '34x-1459y-2271z', 80: '366x-1674y-2085z', 81: '376x-2670y-137z', 82: '378x-1290y-2341z', 83: '437x-1246y-2354z', 84: '447x-1633y-2102z', 85: '48x-1172y-2431z', 86: '493x-1200y-2367z', 87: '515x-2645y-164z', 88: '525x-1587y-2119z', 89: '545x-1151y-2380z', 90: '593x-1100y-2393z', 91: '600x-1538y-2136z', 92: '637x-1047y-2405z', 93: '652x-2612y-191z', 94: '671x-1484y-2152z', 95: '678x-992y-2417z', 96: '714x-936y-2429z', 97: '738x-1428y-2168z', 98: '746x-879y-2441z', 99: '749x-21y-2593z', 100: '773x-63y-2586z', 101: '774x-821y-2452z', 102: '788x-2573y-218z', 103: '794x-106y-2578z', 104: '799x-762y-2463z', 105: '801x-1369y-2184z', 106: '813x-153y-2570z', 107: '819x-703y-2474z', 108: '828x-201y-2561z', 109: '835x-644y-2485z', 110: '841x-251y-2553z', 111: '847x-585y-2495z', 112: '851x-304y-2544z', 113: '855x-527y-2505z', 114: '857x-358y-2534z', 115: '859x-1307y-2200z', 116: '859x-469y-2515z', 117: '860x-413y-2525z', 118: '913x-1242y-2216z', 119: '920x-2526y-245z', 120: '95x-2697y-83z', 121: '963x-1175y-2231z'}
 
                  
            else:
                print("\n (STEP 267F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 267F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 267F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2800 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two28004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 268F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO28004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two28004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 268F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO28004XI: ", fire2two28004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO28004XI:  {1: '1045x-1148y-2329z', 2: '106x-1838y-2108z', 3: '1087x-1075y-2345z', 4: '1089x-2563y-282z', 5: '10x-1863y-2090z', 6: '111x-1186y-2533z', 7: '1125x-1001y-2360z', 8: '112x-1486y-2370z', 9: '1157x-926y-2375z', 10: '1185x-850y-2389z', 11: '1186x-55y-2535z', 12: '1206x-119y-2523z', 13: '1207x-774y-2404z', 14: '1221x-2500y-310z', 15: '1223x-186y-2511z', 16: '1225x-698y-2418z', 17: '1236x-255y-2498z', 18: '1238x-622y-2432z', 19: '1246x-326y-2486z', 20: '1247x-546y-2446z', 21: '1250x-398y-2473z', 22: '1251x-472y-2459z', 23: '1348x-2430y-338z', 24: '1442x-2399y-26z', 25: '1472x-2353y-365z', 26: '1565x-2320y-54z', 27: '1591x-2270y-393z', 28: '1684x-2235y-82z', 29: '1705x-2180y-421z', 30: '170x-1154y-2545z', 31: '1798x-2143y-110z', 32: '1814x-2084y-448z', 33: '187x-1454y-2384z', 34: '1907x-2045y-138z', 35: '1917x-1983y-476z', 36: '200x-1809y-2127z', 37: '2010x-1941y-166z', 38: '2015x-1877y-504z', 39: '2106x-1765y-531z', 40: '2108x-1832y-194z', 41: '2192x-1649y-559z', 42: '2199x-1718y-222z', 43: '225x-1118y-2556z', 44: '2270x-1529y-586z', 45: '2284x-1599y-249z', 46: '2342x-1405y-613z', 47: '2362x-1476y-277z', 48: '2407x-1278y-641z', 49: '2434x-1349y-305z', 50: '245x-2786y-114z', 51: '2464x-1147y-668z', 52: '2498x-1218y-333z', 53: '2515x-1014y-695z', 54: '2555x-1084y-361z', 55: '2558x-879y-722z', 56: '258x-1419y-2399z', 57: '2593x-742y-749z', 58: '2605x-948y-388z', 59: '2621x-603y-776z', 60: '2641x-464y-803z', 61: '2647x-809y-416z', 62: '2654x-324y-830z', 63: '2656x-44y-883z', 64: '2659x-184y-856z', 65: '2682x-668y-444z', 66: '2704x-724y-7z', 67: '2709x-526y-471z', 68: '2728x-383y-499z', 69: '2738x-582y-35z', 70: '2739x-239y-527z', 71: '2742x-95y-554z', 72: '2764x-437y-63z', 73: '277x-1080y-2568z', 74: '2783x-292y-91z', 75: '2793x-146y-119z', 76: '291x-1775y-2145z', 77: '327x-1380y-2413z', 78: '337x-1077y-2671z', 79: '35x-1513y-2355z', 80: '379x-1736y-2163z', 81: '390x-2768y-142z', 82: '392x-1338y-2427z', 83: '453x-1293y-2441z', 84: '464x-1693y-2180z', 85: '50x-1216y-2521z', 86: '511x-1244y-2455z', 87: '534x-2743y-170z', 88: '545x-1646y-2198z', 89: '565x-1194y-2468z', 90: '615x-1141y-2481z', 91: '622x-1594y-2215z', 92: '661x-1086y-2494z', 93: '677x-2709y-198z', 94: '696x-1539y-2232z', 95: '703x-1029y-2507z', 96: '740x-971y-2519z', 97: '765x-1481y-2249z', 98: '774x-911y-2531z', 99: '777x-22y-2689z', 100: '801x-65y-2681z', 101: '803x-851y-2543z', 102: '817x-2668y-226z', 103: '823x-110y-2673z', 104: '828x-790y-2555z', 105: '830x-1419y-2265z', 106: '843x-158y-2665z', 107: '849x-729y-2566z', 108: '859x-208y-2656z', 109: '866x-668y-2577z', 110: '872x-261y-2647z', 111: '878x-607y-2588z', 112: '882x-315y-2638z', 113: '887x-547y-2598z', 114: '889x-371y-2628z', 115: '891x-1355y-2282z', 116: '891x-487y-2609z', 117: '892x-428y-2619z', 118: '947x-1288y-2298z', 119: '955x-2619y-254z', 120: '999x-1219y-2314z', 121: '99x-2796y-86z'}

                  
            else:
                print("\n (STEP 268F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 268F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 268F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 2900 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two29004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 269F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO29004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two29004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 269F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO29004XI: ", fire2two29004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO29004XI:  {1: '102x-2896y-90z', 2: '1034x-1262y-2396z', 3: '1083x-1189y-2412z', 4: '110x-1904y-2184z', 5: '1126x-1113y-2428z', 6: '1128x-2655y-292z', 7: '115x-1229y-2624z', 8: '1165x-1037y-2444z', 9: '116x-1539y-2454z', 10: '1198x-959y-2460z', 11: '11x-1929y-2164z', 12: '1227x-880y-2475z', 13: '1228x-57y-2626z', 14: '1250x-124y-2613z', 15: '1250x-802y-2490z', 16: '1264x-2589y-321z', 17: '1267x-193y-2601z', 18: '1269x-723y-2505z', 19: '1281x-264y-2588z', 20: '1283x-644y-2519z', 21: '1290x-337y-2574z', 22: '1291x-566y-2533z', 23: '1295x-412y-2561z', 24: '1296x-488y-2547z', 25: '1396x-2517y-350z', 26: '1493x-2485y-27z', 27: '1524x-2437y-378z', 28: '1621x-2403y-56z', 29: '1648x-2351y-407z', 30: '1744x-2315y-85z', 31: '1766x-2258y-436z', 32: '176x-1195y-2636z', 33: '1862x-2219y-114z', 34: '1879x-2159y-465z', 35: '194x-1506y-2470z', 36: '1975x-2118y-143z', 37: '1986x-2054y-493z', 38: '207x-1874y-2203z', 39: '2082x-2010y-172z', 40: '2087x-1944y-522z', 41: '2182x-1829y-550z', 42: '2183x-1897y-201z', 43: '2270x-1708y-579z', 44: '2278x-1779y-229z', 45: '233x-1158y-2648z', 46: '2351x-1584y-607z', 47: '2366x-1656y-258z', 48: '2426x-1455y-635z', 49: '2447x-1529y-287z', 50: '2493x-1323y-664z', 51: '2521x-1397y-316z', 52: '254x-2886y-119z', 53: '2552x-1188y-692z', 54: '2587x-1262y-345z', 55: '2605x-1050y-720z', 56: '2647x-1123y-374z', 57: '2649x-910y-748z', 58: '2686x-768y-776z', 59: '268x-1470y-2485z', 60: '2698x-982y-402z', 61: '2715x-625y-804z', 62: '2736x-480y-832z', 63: '2742x-838y-431z', 64: '2749x-336y-859z', 65: '2751x-46y-915z', 66: '2754x-191y-887z', 67: '2778x-692y-460z', 68: '2801x-750y-8z', 69: '2805x-545y-488z', 70: '2825x-397y-517z', 71: '2836x-602y-37z', 72: '2837x-248y-545z', 73: '2840x-99y-574z', 74: '2863x-453y-66z', 75: '286x-1119y-2659z', 76: '2882x-302y-95z', 77: '2893x-151y-124z', 78: '302x-1839y-2221z', 79: '339x-1429y-2500z', 80: '348x-1114y-2763z', 81: '36x-1567y-2439z', 82: '393x-1798y-2240z', 83: '404x-2867y-147z', 84: '406x-1386y-2514z', 85: '470x-1339y-2528z', 86: '480x-1754y-2258z', 87: '529x-1289y-2543z', 88: '52x-1259y-2611z', 89: '553x-2841y-176z', 90: '564x-1705y-2276z', 91: '585x-1236y-2556z', 92: '637x-1181y-2570z', 93: '645x-1651y-2294z', 94: '685x-1124y-2583z', 95: '701x-2806y-205z', 96: '721x-1594y-2312z', 97: '728x-1066y-2596z', 98: '767x-1005y-2609z', 99: '792x-1534y-2329z', 100: '801x-944y-2622z', 101: '805x-23y-2785z', 102: '830x-67y-2777z', 103: '832x-881y-2634z', 104: '846x-2763y-234z', 105: '853x-114y-2769z', 106: '858x-818y-2646z', 107: '860x-1470y-2346z', 108: '873x-164y-2760z', 109: '879x-755y-2658z', 110: '890x-216y-2751z', 111: '897x-692y-2669z', 112: '904x-270y-2742z', 113: '910x-629y-2680z', 114: '914x-326y-2732z', 115: '918x-566y-2691z', 116: '921x-384y-2722z', 117: '923x-1403y-2363z', 118: '923x-504y-2702z', 119: '924x-444y-2712z', 120: '981x-1334y-2380z', 121: '989x-2713y-263z'}

                  
            else:
                print("\n (STEP 269F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 269F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 269F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 3000 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two30004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 270F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO30004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two30004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 270F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO30004XI: ", fire2two30004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO30004XI:  {1: '1015x-1380y-2462z', 2: '1023x-2806y-272z', 3: '106x-2996y-93z', 4: '1070x-1306y-2479z', 5: '1120x-1230y-2496z', 6: '114x-1970y-2259z', 7: '1165x-1152y-2512z', 8: '1167x-2746y-302z', 9: '119x-1271y-2714z', 10: '11x-1996y-2239z', 11: '1205x-1072y-2528z', 12: '120x-1592y-2539z', 13: '1240x-992y-2544z', 14: '1269x-911y-2560z', 15: '1270x-59y-2716z', 16: '1293x-128y-2703z', 17: '1294x-829y-2576z', 18: '1308x-2679y-332z', 19: '1311x-199y-2690z', 20: '1313x-748y-2591z', 21: '1325x-273y-2677z', 22: '1327x-666y-2606z', 23: '1335x-349y-2663z', 24: '1336x-585y-2621z', 25: '1340x-426y-2649z', 26: '1340x-505y-2635z', 27: '1445x-2603y-362z', 28: '1545x-2571y-28z', 29: '1577x-2521y-392z', 30: '1677x-2486y-58z', 31: '1704x-2432y-421z', 32: '1804x-2394y-88z', 33: '1827x-2336y-451z', 34: '182x-1236y-2727z', 35: '1926x-2296y-118z', 36: '1943x-2233y-481z', 37: '200x-1558y-2555z', 38: '2043x-2191y-148z', 39: '2054x-2125y-510z', 40: '2154x-2080y-178z', 41: '2159x-2011y-540z', 42: '215x-1939y-2279z', 43: '2257x-1892y-569z', 44: '2258x-1963y-207z', 45: '2348x-1767y-599z', 46: '2356x-1841y-237z', 47: '241x-1198y-2739z', 48: '2432x-1639y-628z', 49: '2447x-1713y-267z', 50: '2509x-1506y-657z', 51: '2531x-1581y-297z', 52: '2579x-1369y-686z', 53: '2608x-1445y-327z', 54: '262x-2985y-123z', 55: '2640x-1229y-716z', 56: '2677x-1305y-357z', 57: '2694x-1087y-745z', 58: '2738x-1162y-387z', 59: '2740x-942y-774z', 60: '2778x-795y-803z', 61: '277x-1520y-2570z', 62: '2791x-1016y-416z', 63: '2808x-646y-832z', 64: '2830x-497y-860z', 65: '2836x-867y-446z', 66: '2843x-347y-889z', 67: '2846x-48y-946z', 68: '2849x-197y-918z', 69: '2873x-716y-476z', 70: '2897x-776y-8z', 71: '2902x-564y-505z', 72: '2923x-410y-535z', 73: '2934x-623y-38z', 74: '2935x-256y-564z', 75: '2938x-102y-594z', 76: '2962x-469y-68z', 77: '296x-1157y-2751z', 78: '2981x-313y-98z', 79: '2993x-156y-128z', 80: '312x-1902y-2298z', 81: '350x-1479y-2586z', 82: '360x-1151y-2855z', 83: '37x-1622y-2523z', 84: '406x-1861y-2317z', 85: '418x-2966y-153z', 86: '420x-1433y-2601z', 87: '486x-1385y-2616z', 88: '497x-1814y-2336z', 89: '548x-1333y-2630z', 90: '54x-1303y-2701z', 91: '572x-2939y-183z', 92: '584x-1763y-2355z', 93: '605x-1279y-2644z', 94: '659x-1222y-2659z', 95: '667x-1708y-2373z', 96: '708x-1163y-2672z', 97: '725x-2903y-212z', 98: '746x-1649y-2391z', 99: '753x-1102y-2686z', 100: '793x-1040y-2699z', 101: '820x-1587y-2409z', 102: '829x-976y-2712z', 103: '832x-24y-2881z', 104: '859x-70y-2873z', 105: '860x-912y-2725z', 106: '875x-2859y-242z', 107: '882x-118y-2864z', 108: '887x-847y-2737z', 109: '890x-1521y-2427z', 110: '903x-170y-2855z', 111: '910x-781y-2749z', 112: '920x-223y-2846z', 113: '927x-716y-2761z', 114: '935x-279y-2836z', 115: '941x-650y-2773z', 116: '945x-337y-2826z', 117: '950x-586y-2784z', 118: '952x-397y-2816z', 119: '955x-1452y-2445z', 120: '955x-522y-2795z', 121: '956x-459y-2806z'}

                  
            else:
                print("\n (STEP 270F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 270F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 270F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 3100 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two31004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 271F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO31004XI FROM QUEUE: ", queue2two) 
                    # 
                
                fire2two31004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 271F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO31004XI: ", fire2two31004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO31004XI:  {1: '1049x-1426y-2544z', 2: '1057x-2900y-281z', 3: '109x-3096y-96z', 4: '1106x-1349y-2562z', 5: '1157x-1271y-2579z', 6: '118x-2035y-2334z', 7: '11x-2062y-2314z', 8: '1204x-1190y-2596z', 9: '1206x-2838y-312z', 10: '123x-1313y-2805z', 11: '1245x-1108y-2613z', 12: '124x-1645y-2624z', 13: '1281x-1025y-2629z', 14: '1312x-941y-2646z', 15: '1313x-61y-2807z', 16: '1336x-132y-2794z', 17: '1337x-857y-2662z', 18: '1352x-2768y-343z', 19: '1355x-206y-2780z', 20: '1357x-773y-2677z', 21: '1369x-282y-2766z', 22: '1371x-688y-2693z', 23: '1379x-361y-2752z', 24: '1381x-605y-2708z', 25: '1384x-441y-2738z', 26: '1385x-522y-2723z', 27: '1493x-2690y-374z', 28: '1596x-2657y-29z', 29: '1630x-2605y-405z', 30: '1733x-2569y-60z', 31: '1761x-2513y-435z', 32: '1864x-2474y-91z', 33: '1888x-2414y-466z', 34: '188x-1277y-2818z', 35: '1991x-2372y-122z', 36: '2008x-2308y-497z', 37: '207x-1610y-2640z', 38: '2111x-2264y-153z', 39: '2123x-2196y-527z', 40: '2226x-2149y-183z', 41: '222x-2003y-2354z', 42: '2231x-2078y-558z', 43: '2332x-1955y-588z', 44: '2333x-2028y-214z', 45: '2426x-1826y-619z', 46: '2435x-1902y-245z', 47: '249x-1238y-2830z', 48: '2513x-1693y-649z', 49: '2529x-1770y-276z', 50: '2593x-1556y-679z', 51: '2615x-1634y-307z', 52: '2665x-1415y-709z', 53: '2695x-1493y-338z', 54: '271x-3085y-127z', 55: '2728x-1270y-740z', 56: '2766x-1349y-369z', 57: '2784x-1123y-770z', 58: '2829x-1201y-399z', 59: '2832x-973y-800z', 60: '286x-1571y-2656z', 61: '2871x-821y-829z', 62: '2884x-1049y-430z', 63: '2902x-668y-859z', 64: '2924x-514y-889z', 65: '2931x-896y-461z', 66: '2938x-359y-919z', 67: '2941x-49y-978z', 68: '2944x-204y-948z', 69: '2969x-740y-491z', 70: '2994x-802y-8z', 71: '2999x-583y-522z', 72: '3020x-424y-553z', 73: '3032x-265y-583z', 74: '3032x-644y-39z', 75: '3036x-106y-613z', 76: '3061x-484y-70z', 77: '306x-1196y-2843z', 78: '3081x-323y-101z', 79: '3092x-162y-132z', 80: '322x-1965y-2375z', 81: '362x-1528y-2672z', 82: '372x-1188y-2947z', 83: '39x-1676y-2607z', 84: '420x-1923y-2394z', 85: '432x-3065y-158z', 86: '434x-1481y-2688z', 87: '502x-1431y-2703z', 88: '514x-1875y-2414z', 89: '55x-1346y-2791z', 90: '566x-1378y-2718z', 91: '592x-3037y-189z', 92: '603x-1822y-2433z', 93: '626x-1322y-2733z', 94: '681x-1263y-2747z', 95: '689x-1765y-2452z', 96: '732x-1202y-2761z', 97: '749x-2999y-220z', 98: '770x-1704y-2471z', 99: '778x-1139y-2775z', 100: '820x-1075y-2789z', 101: '847x-1640y-2490z', 102: '857x-1009y-2802z', 103: '860x-24y-2978z', 104: '887x-72y-2969z', 105: '889x-942y-2815z', 106: '904x-2954y-250z', 107: '912x-122y-2960z', 108: '917x-875y-2828z', 109: '919x-1572y-2508z', 110: '933x-175y-2950z', 111: '940x-807y-2841z', 112: '951x-231y-2941z', 113: '958x-740y-2853z', 114: '966x-289y-2931z', 115: '972x-672y-2865z', 116: '977x-349y-2921z', 117: '982x-605y-2877z', 118: '984x-411y-2910z', 119: '986x-1500y-2526z', 120: '987x-539y-2888z', 121: '988x-474y-2899z'}
 
                  
            else:
                print("\n (STEP 271F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 271F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 271F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 3200 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two32004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 272F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO32004XI FROM QUEUE: ", queue2two)
                    # 
                
                fire2two32004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 272F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO32004XI: ", fire2two32004xi) 
                    # <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO32004XI:  {1: '1004x-694y-2957z', 2: '1008x-360y-3015z', 3: '1013x-625y-2970z', 4: '1016x-424y-3004z', 5: '1018x-1549y-2608z', 6: '1019x-489y-2993z', 7: '1019x-557y-2981z', 8: '1082x-1472y-2626z', 9: '1091x-2993y-290z', 10: '113x-3196y-99z', 11: '1141x-1393y-2644z', 12: '1195x-1312y-2662z', 13: '122x-2101y-2410z', 14: '1243x-1229y-2680z', 15: '1245x-2929y-322z', 16: '127x-1356y-2895z', 17: '1285x-1144y-2697z', 18: '128x-1698y-2708z', 19: '12x-2129y-2388z', 20: '1322x-1058y-2714z', 21: '1354x-972y-2731z', 22: '1355x-63y-2897z', 23: '1379x-136y-2884z', 24: '1380x-885y-2747z', 25: '1395x-2857y-354z', 26: '1398x-213y-2870z', 27: '1400x-798y-2764z', 28: '1413x-291y-2855z', 29: '1415x-711y-2780z', 30: '1424x-372y-2841z', 31: '1425x-624y-2795z', 32: '1429x-455y-2826z', 33: '1430x-539y-2811z', 34: '1541x-2777y-386z', 35: '1648x-2742y-30z', 36: '1682x-2689y-418z', 37: '1789x-2652y-62z', 38: '1818x-2594y-449z', 39: '1924x-2554y-93z', 40: '1948x-2491y-481z', 41: '194x-1319y-2909z', 42: '2055x-2449y-125z', 43: '2073x-2382y-513z', 44: '214x-1662y-2725z', 45: '2179x-2337y-157z', 46: '2191x-2267y-544z', 47: '2297x-2218y-189z', 48: '229x-2068y-2430z', 49: '2303x-2145y-576z', 50: '2407x-2018y-607z', 51: '2409x-2094y-221z', 52: '2505x-1885y-639z', 53: '2513x-1963y-253z', 54: '257x-1278y-2922z', 55: '2594x-1748y-670z', 56: '2610x-1828y-285z', 57: '2677x-1606y-701z', 58: '2700x-1687y-317z', 59: '2751x-1460y-732z', 60: '2782x-1542y-349z', 61: '280x-3184y-131z', 62: '2817x-1311y-763z', 63: '2855x-1392y-381z', 64: '2874x-1159y-794z', 65: '2920x-1239y-412z', 66: '2923x-1004y-825z', 67: '295x-1622y-2742z', 68: '2964x-848y-856z', 69: '2977x-1083y-444z', 70: '2996x-690y-887z', 71: '3019x-530y-918z', 72: '3026x-925y-476z', 73: '3033x-370y-948z', 74: '3036x-51y-1009z', 75: '3039x-210y-979z', 76: '3065x-764y-507z', 77: '3090x-828y-8z', 78: '3096x-601y-539z', 79: '3118x-438y-570z', 80: '3129x-665y-40z', 81: '3130x-273y-602z', 82: '3134x-109y-633z', 83: '3159x-500y-72z', 84: '316x-1234y-2935z', 85: '3180x-334y-104z', 86: '3192x-167y-136z', 87: '333x-2029y-2451z', 88: '374x-1577y-2758z', 89: '383x-1225y-3039z', 90: '40x-1730y-2691z', 91: '433x-1985y-2472z', 92: '446x-3164y-163z', 93: '448x-1529y-2774z', 94: '518x-1477y-2790z', 95: '530x-1935y-2492z', 96: '57x-1389y-2881z', 97: '584x-1422y-2806z', 98: '611x-3135y-195z', 99: '623x-1881y-2512z', 100: '646x-1364y-2821z', 101: '703x-1304y-2836z', 102: '711x-1822y-2531z', 103: '755x-1241y-2850z', 104: '773x-3096y-227z', 105: '795x-1759y-2551z', 106: '803x-1176y-2865z', 107: '846x-1109y-2879z', 108: '875x-1693y-2570z', 109: '884x-1042y-2893z', 110: '888x-25y-3074z', 111: '916x-74y-3065z', 112: '918x-973y-2906z', 113: '934x-3049y-259z', 114: '941x-126y-3055z', 115: '946x-903y-2920z', 116: '949x-1622y-2589z', 117: '963x-181y-3046z', 118: '970x-833y-2932z', 119: '982x-238y-3036z', 120: '989x-763y-2945z', 121: '997x-298y-3025z'}

                  
            else:
                print("\n (STEP 272F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 272F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 272F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               

        
    #=========
    # 3300 TWO
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2two33004xi = {}
    
    if ack2two4process is True:

        if ack2two4start is True:

            if ack2two4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 273F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2TWO33004XI FROM QUEUE: ", queue2two) 
                    # 
                
                fire2two33004xi = queue2two.get()
                if ack2debug is True:
                    print("\n (STEP 273F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2TWO: ", queue2two, " FIRE2TWO33004XI: ", fire2two33004xi) 
                    # GOT FROM QUEUE2TWO:  <queue4xi.Queue4Xi object at 0x02B072D0>  FIRE2TWO33004XI:  {1: '1001x-859y-3024z', 2: '1013x-246y-3131z', 3: '1020x-787y-3037z', 4: '1028x-307y-3120z', 5: '1035x-715y-3050z', 6: '1040x-371y-3109z', 7: '1045x-644y-3062z', 8: '1048x-437y-3098z', 9: '1050x-1597y-2689z', 10: '1050x-574y-3074z', 11: '1051x-505y-3086z', 12: '1116x-1518y-2708z', 13: '1125x-3087y-300z', 14: '116x-3296y-102z', 15: '1177x-1437y-2727z', 16: '1232x-1353y-2745z', 17: '126x-2167y-2485z', 18: '1282x-1267y-2763z', 19: '1284x-3021y-332z', 20: '12x-2195y-2463z', 21: '131x-1398y-2986z', 22: '1326x-1180y-2781z', 23: '132x-1751y-2793z', 24: '1364x-1091y-2799z', 25: '1396x-1002y-2816z', 26: '1398x-65y-2988z', 27: '1422x-141y-2974z', 28: '1423x-912y-2833z', 29: '1439x-2946y-365z', 30: '1442x-219y-2959z', 31: '1444x-822y-2850z', 32: '1457x-301y-2945z', 33: '1460x-733y-2867z', 34: '1468x-384y-2930z', 35: '1470x-644y-2883z', 36: '1474x-469y-2914z', 37: '1474x-556y-2899z', 38: '1589x-2864y-398z', 39: '1699x-2828y-30z', 40: '1735x-2773y-431z', 41: '1844x-2735y-63z', 42: '1875x-2675y-463z', 43: '1985x-2634y-96z', 44: '2009x-2569y-496z', 45: '200x-1360y-2999z', 46: '2119x-2525y-129z', 47: '2138x-2457y-529z', 48: '220x-1714y-2810z', 49: '2247x-2410y-162z', 50: '2260x-2337y-561z', 51: '2369x-2288y-195z', 52: '236x-2132y-2506z', 53: '2375x-2212y-594z', 54: '2483x-2081y-626z', 55: '2484x-2159y-228z', 56: '2583x-1944y-658z', 57: '2592x-2025y-261z', 58: '265x-1318y-3013z', 59: '2676x-1802y-691z', 60: '2692x-1885y-294z', 61: '2760x-1656y-723z', 62: '2784x-1740y-327z', 63: '2837x-1506y-755z', 64: '2868x-1590y-360z', 65: '289x-3284y-135z', 66: '2905x-1352y-787z', 67: '2944x-1436y-393z', 68: '2964x-1195y-819z', 69: '3012x-1278y-425z', 70: '3015x-1036y-851z', 71: '3056x-874y-883z', 72: '305x-1673y-2828z', 73: '3070x-1117y-458z', 74: '3089x-711y-915z', 75: '3113x-547y-946z', 76: '3120x-954y-491z', 77: '3128x-382y-978z', 78: '3130x-53y-1041z', 79: '3134x-217y-1009z', 80: '3161x-788y-523z', 81: '3187x-854y-9z', 82: '3193x-620y-556z', 83: '3215x-451y-588z', 84: '3227x-686y-42z', 85: '3228x-282y-621z', 86: '3232x-112y-653z', 87: '3258x-516y-75z', 88: '326x-1273y-3026z', 89: '3280x-344y-108z', 90: '3292x-172y-141z', 91: '343x-2092y-2528z', 92: '385x-1627y-2844z', 93: '395x-1262y-3131z', 94: '41x-1784y-2775z', 95: '447x-2047y-2549z', 96: '460x-3263y-168z', 97: '462x-1577y-2861z', 98: '534x-1523y-2877z', 99: '547x-1996y-2570z', 100: '59x-1433y-2971z', 101: '602x-1467y-2893z', 102: '630x-3233y-201z', 103: '642x-1940y-2590z', 104: '666x-1407y-2909z', 105: '725x-1344y-2924z', 106: '734x-1879y-2611z', 107: '779x-1280y-2940z', 108: '798x-3193y-234z', 109: '820x-1814y-2631z', 110: '828x-1213y-2954z', 111: '873x-1144y-2969z', 112: '902x-1746y-2650z', 113: '912x-1074y-2983z', 114: '916x-26y-3170z', 115: '944x-77y-3160z', 116: '947x-1003y-2997z', 117: '963x-3144y-267z', 118: '970x-130y-3151z', 119: '976x-931y-3011z', 120: '979x-1673y-2670z', 121: '993x-187y-3141z'}
 
                  
            else:
                print("\n (STEP 273F3/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS TWO ", time4xi())                 
        else:
            print("\n (STEP 273F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS TWO ", time4xi())                                         
    else:
        print("\n (STEP 273F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS TWO ", time4xi())                    
               
           
    # =========================================================================================================   
    # II/II TWO EOF - TWO DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES  
    # =========================================================================================================      
    
      
    # =========================================================================================================   
    # I/III THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
    
    #========
    # 10 THREE 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 274F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 274F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three) 
                    # 
                
            else:
                print("\n (STEP 274F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 274F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 274F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    #========
    # 100 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 301F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 301F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 301F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 301F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 301F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    #========
    # 200 THREE 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 302F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 302F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    #  
                
            else:
                print("\n (STEP 302F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 302F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 302F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
                                                
                                  
    
    #========
    # 300 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 303F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 303F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 303F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 303F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 303F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
    
    #========
    # 400 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 304F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 304F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 304F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 304F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 304F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())
                            
    #========
    # 500 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 305F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 305F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 305F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 305F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 305F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
                                                                                       
    #========
    # 600 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 306F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 306F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
            else:
                print("\n (STEP 306F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 306F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 304F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #========
    # 700 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 307F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 307F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 307F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 307F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 307F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
       
    #========
    # 800 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 308F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 308F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 308F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 308F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 308F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #========
    # 900 THREE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 309F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 309F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 309F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 309F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 309F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
      
           
     
    #=========
    # 1000 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 310F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 310F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 310F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 310F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 310F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1100 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 311F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 311F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 311F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 311F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 311F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1200 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 312F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 312F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 312F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 312F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 312F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1300 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 313F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 313F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 313F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 313F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 313F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1400 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 314F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 314F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 314F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 314F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 314F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1500 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 315F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 315F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 315F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 315F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 315F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1600 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 316F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 316F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 316F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 316F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 316F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1700 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 317F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 317F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    #  
                
            else:
                print("\n (STEP 317F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 317F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 317F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1800 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 318F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 318F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 318F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 318F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 318F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())                    
     
    #=========
    # 1900 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 319F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 319F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 319F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 319F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 319F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
        
     
    #=========
    # 2000 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 320F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 320F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 320F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 320F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 320F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2100 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 321F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 321F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 321F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 321F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 321F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2200 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 322F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 322F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 322F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 322F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 322F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2300 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 323F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 323F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 323F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 323F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 323F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2400 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 324F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 324F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 324F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 324F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 324F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2500 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 325F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 325F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 325F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 325F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 325F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2600 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 326F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 326F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 326F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 326F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 326F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2700 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 327F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 327F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 327F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 327F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 327F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2800 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 328F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 328F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 328F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 328F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 328F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 2900 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 329F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272> 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 329F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>  PUT INFO MESSAGE:  <ack2put4xi>queue2three</ack2put4xi>
                
            else:
                print("\n (STEP 329F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 329F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 329F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 3000 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 330F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 330F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # 
                
            else:
                print("\n (STEP 330F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 330F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 330F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 3100 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 331F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # (STEP 331F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272> 
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 331F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three) 
                    # <ack2put4xi>queue2three8shot2three31004xi</ack2put4xi>
                
            else:
                print("\n (STEP 331F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 331F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 331F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 3200 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 332F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel)
                    # (STEP 332F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 332F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # <ack2put4xi>queue2three8shot2three32004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 332F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 332F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 332F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  
     
    #=========
    # 3300 THREE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 333F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel) 
                    # (STEP 333F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>
                
                message2receive4three = pipe2three_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 333F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2three_consumer_channel, " PUT INFO MESSAGE: ", message2receive4three)
                    # (STEP 333F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 272>  PUT INFO MESSAGE:  <ack2put4xi>queue2three8shot2three33004xi</ack2put4xi>
                
            else:
                print("\n (STEP 333F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 333F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 333F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS THREE ", time4xi())  

      
           
    # =========================================================================================================   
    # I/III EOF - THREE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
          

 

           
    # =========================================================================================================   
    # II/III THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 THREE   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three104xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 334F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE104XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three104xi = queue2three.get() 
                if fire2three104xi is None:
                    fire2three104xi = shot2three104xi
                    print("\n (STEP 334F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE104XI TO SHOT2THREE104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 334F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE104XI: ", fire2three104xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE104XI:  {1: '0x0y-39z', 2: '0x0y-69z', 3: '0x19y-4z', 4: '0x1y-69z', 5: '0x2y-69z', 6: '0x3y-69z', 7: '0x4y-69z', 8: '0x53y-26z', 9: '0x7y-29z', 10: '0x8y-39z', 11: '0x9y-38z', 12: '10x7y-58z', 13: '11x44y-19z', 14: '13x0y-58z', 15: '13x44y-19z', 16: '15x43y-19z', 17: '18x42y-18z', 18: '1x19y-4z', 19: '1x44y-21z', 20: '1x4y-69z', 21: '1x5y-69z', 22: '1x7y-28z', 23: '1x8y-28z', 24: '1x9y-2z', 25: '20x41y-18z', 26: '21x74y-45z', 27: '22x40y-17z', 28: '22x65y-40z', 29: '23x29y-13z', 30: '24x28y-12z', 31: '24x39y-17z', 32: '26x27y-12z', 33: '26x64y-39z', 34: '27x26y-11z', 35: '27x38y-16z', 36: '29x24y-11z', 37: '29x63y-38z', 38: '2x19y-4z', 39: '2x5y-69z', 40: '2x6y-69z', 41: '2x8y-28z', 42: '2x9y-1z', 43: '2x9y-2z', 44: '30x23y-11z', 45: '31x21y-10z', 46: '33x62y-37z', 47: '36x60y-37z', 48: '39x59y-36z', 49: '3x45y-21z', 50: '3x6y-59z', 51: '3x6y-69z', 52: '3x8y-28z', 53: '3x9y-1z', 54: '43x57y-35z', 55: '46x55y-35z', 56: '49x52y-34z', 57: '4x5y-18z', 58: '4x6y-59z', 59: '4x8y-1z', 60: '4x8y-28z', 61: '4x9y-1z', 62: '52x36y-27z', 63: '52x50y-33z', 64: '54x47y-32z', 65: '57x45y-32z', 66: '5x5y-18z', 67: '5x7y-59z', 68: '5x8y-1z', 69: '5x8y-28z', 70: '6x44y-20z', 71: '6x4y-18z', 72: '6x5y-18z', 73: '6x7y-1z', 74: '6x7y-59z', 75: '6x8y-28z', 76: '7x6y0z', 77: '7x7y-59z', 78: '7x7y0z', 79: '8x0y-18z', 80: '8x44y-20z', 81: '8x5y0z', 82: '8x7y-58z', 83: '9x7y-58z'}

                
            else:
                print("\n (STEP 334F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 334F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 334F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())
    
        
      
           
    #========
    # 100 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three1004xi = {}

    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 341F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE1004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three1004xi = queue2three.get()
                if fire2three1004xi is None:
                    fire2three1004xi = shot2three1004xi
                    print("\n (STEP 341F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE1004XI TO SHOT2THREE1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 341F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE1004XI: ", fire2three1004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE1004XI:  {1: '0x0y-199z', 2: '0x194y-48z', 3: '0x1y-199z', 4: '0x3y-199z', 5: '0x47y-194z', 6: '0x5y-199z', 7: '0x7y-199z', 8: '105x130y-109z', 9: '107x142y-89z', 10: '107x166y-26z', 11: '108x154y-66z', 12: '10x194y-46z', 13: '10x8y-199z', 14: '112x125y-107z', 15: '115x137y-87z', 16: '116x149y-65z', 17: '116x160y-24z', 18: '119x120y-106z', 19: '11x167y-108z', 20: '11x20y-198z', 21: '11x53y-192z', 22: '123x132y-86z', 23: '124x143y-63z', 24: '125x154y-22z', 25: '126x114y-104z', 26: '12x8y-199z', 27: '130x126y-84z', 28: '132x136y-61z', 29: '133x108y-102z', 30: '133x147y-20z', 31: '137x119y-82z', 32: '139x101y-101z', 33: '139x130y-59z', 34: '13x22y-198z', 35: '140x140y-18z', 36: '144x112y-80z', 37: '146x123y-57z', 38: '148x133y-16z', 39: '14x54y-191z', 40: '150x105y-78z', 41: '153x115y-55z', 42: '155x125y-14z', 43: '159x107y-53z', 44: '15x180y-85z', 45: '15x22y-198z', 46: '161x117y-12z', 47: '173x0y-99z', 48: '17x0y-199z', 49: '17x55y-191z', 50: '18x23y-197z', 51: '1x2y-199z', 52: '1x9y-199z', 53: '20x167y-107z', 54: '20x193y-44z', 55: '20x24y-197z', 56: '21x56y-190z', 57: '23x24y-197z', 58: '25x179y-83z', 59: '25x57y-189z', 60: '26x24y-196z', 61: '28x24y-196z', 62: '28x57y-189z', 63: '29x167y-105z', 64: '2x11y-199z', 65: '2x166y-110z', 66: '2x49y-193z', 67: '30x193y-42z', 68: '31x24y-196z', 69: '32x57y-188z', 70: '34x179y-81z', 71: '34x23y-195z', 72: '36x57y-188z', 73: '38x166y-103z', 74: '3x13y-199z', 75: '3x4y-199z', 76: '40x191y-40z', 77: '40x56y-187z', 78: '44x177y-79z', 79: '44x56y-186z', 80: '47x165y-101z', 81: '49x55y-185z', 82: '4x15y-199z', 83: '4x5y-199z', 84: '50x189y-38z', 85: '53x176y-78z', 86: '53x53y-185z', 87: '56x163y-100z', 88: '57x149y-119z', 89: '57x52y-184z', 90: '5x50y-193z', 91: '60x187y-36z', 92: '61x50y-183z', 93: '63x173y-76z', 94: '65x147y-117z', 95: '65x161y-98z', 96: '65x48y-182z', 97: '69x45y-181z', 98: '6x16y-199z', 99: '6x179y-87z', 100: '6x6y-199z', 101: '70x183y-34z', 102: '72x170y-74z', 103: '73x145y-116z', 104: '73x158y-96z', 105: '73x227y-181z', 106: '7x18y-199z', 107: '7x52y-192z', 108: '80x180y-32z', 109: '81x142y-114z', 110: '81x167y-72z', 111: '82x155y-94z', 112: '89x138y-112z', 113: '89x176y-30z', 114: '8x7y-199z', 115: '90x163y-70z', 116: '91x151y-93z', 117: '97x134y-111z', 118: '98x171y-28z', 119: '99x147y-91z', 120: '99x159y-68z', 121: '9x19y-198z'}

                  
            else:
                print("\n (STEP 341F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 341F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 341F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
      

    #========
    # 200 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three2004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 342F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE2004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three2004xi = queue2three.get()
                if fire2three2004xi is None:
                    fire2three2004xi = shot2three2004xi
                    print("\n (STEP 342F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE2004XI TO SHOT2THREE2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 342F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE2004XI: ", fire2three2004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE2004XI:  {1: '0x11y-299z', 2: '0x1y-299z', 3: '0x291y-72z', 4: '0x2y-299z', 5: '0x5y-299z', 6: '0x70y-291z', 7: '0x8y-299z', 8: '104x68y-272z', 9: '105x275y-51z', 10: '108x256y-111z', 11: '110x217y-174z', 12: '110x238y-145z', 13: '11x27y-298z', 14: '11x78y-289z', 15: '120x270y-48z', 16: '122x213y-171z', 17: '122x251y-108z', 18: '123x233y-142z', 19: '12x11y-299z', 20: '134x207y-169z', 21: '134x264y-45z', 22: '136x227y-139z', 23: '136x245y-105z', 24: '146x201y-166z', 25: '148x257y-42z', 26: '149x221y-137z', 27: '149x238y-103z', 28: '14x29y-298z', 29: '157x195y-164z', 30: '15x12y-299z', 31: '15x291y-69z', 32: '161x214y-134z', 33: '161x249y-39z', 34: '162x231y-100z', 35: '168x188y-161z', 36: '16x80y-288z', 37: '173x206y-131z', 38: '174x223y-97z', 39: '175x240y-36z', 40: '179x180y-159z', 41: '17x251y-163z', 42: '17x31y-297z', 43: '184x198y-129z', 44: '186x214y-94z', 45: '187x231y-33z', 46: '189x171y-156z', 47: '18x13y-299z', 48: '195x189y-126z', 49: '198x205y-91z', 50: '199x162y-154z', 51: '199x221y-30z', 52: '1x14y-299z', 53: '206x179y-123z', 54: '209x152y-151z', 55: '209x195y-88z', 56: '20x33y-297z', 57: '211x211y-27z', 58: '216x169y-120z', 59: '21x82y-287z', 60: '220x184y-86z', 61: '222x200y-24z', 62: '225x158y-118z', 63: '230x173y-83z', 64: '232x188y-21z', 65: '239x161y-80z', 66: '23x270y-128z', 67: '23x34y-297z', 68: '242x175y-18z', 69: '25x0y-298z', 70: '26x83y-286z', 71: '27x35y-296z', 72: '2x3y-299z', 73: '30x251y-160z', 74: '30x290y-66z', 75: '31x36y-296z', 76: '32x85y-285z', 77: '34x36y-295z', 78: '37x269y-125z', 79: '37x85y-284z', 80: '39x36y-295z', 81: '3x17y-299z', 82: '3x73y-290z', 83: '43x36y-294z', 84: '43x86y-284z', 85: '44x251y-158z', 86: '45x289y-63z', 87: '47x36y-294z', 88: '49x86y-283z', 89: '4x20y-299z', 90: '4x250y-165z', 91: '4x6y-299z', 92: '51x35y-293z', 93: '52x268y-122z', 94: '55x86y-282z', 95: '57x250y-155z', 96: '61x287y-60z', 97: '61x85y-280z', 98: '66x266y-119z', 99: '67x84y-279z', 100: '6x22y-299z', 101: '71x248y-152z', 102: '73x227y-181z', 103: '73x82y-278z', 104: '76x284y-57z', 105: '79x80y-277z', 106: '7x76y-290z', 107: '7x7y-299z', 108: '80x264y-117z', 109: '81x305y-245z', 110: '84x245y-150z', 111: '85x224y-179z', 112: '85x78y-276z', 113: '91x280y-54z', 114: '92x75y-275z', 115: '94x260y-114z', 116: '97x242y-147z', 117: '98x221y-176z', 118: '98x72y-274z', 119: '9x25y-298z', 120: '9x269y-130z', 121: '9x9y-299z'}
 
                  
            else:
                print("\n (STEP 342F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 342F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 342F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three3004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 343F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE3004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three3004xi = queue2three.get()
                if fire2three3004xi is None:
                    fire2three3004xi = shot2three3004xi
                    print("\n (STEP 343F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE3004XI TO SHOT2THREE3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 343F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE3004XI: ", fire2three3004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE3004XI:  {1: '0x11y-399z', 2: '0x388y-96z', 3: '0x3y-399z', 4: '0x7y-399z', 5: '0x94y-388z', 6: '101x379y-76z', 7: '101x381y-306z', 8: '106x107y-370z', 9: '107x352y-156z', 10: '10x101y-386z', 11: '112x327y-200z', 12: '114x104y-368z', 13: '114x299y-238z', 14: '121x374y-72z', 15: '122x100y-367z', 16: '126x347y-152z', 17: '12x33y-398z', 18: '12x359y-174z', 19: '130x322y-196z', 20: '130x96y-365z', 21: '131x295y-235z', 22: '138x91y-363z', 23: '13x12y-399z', 24: '141x367y-68z', 25: '145x341y-148z', 26: '147x290y-232z', 27: '147x317y-193z', 28: '15x104y-385z', 29: '15x36y-398z', 30: '160x360y-64z', 31: '163x284y-229z', 32: '163x335y-145z', 33: '165x310y-189z', 34: '16x14y-399z', 35: '179x277y-225z', 36: '179x352y-60z', 37: '181x327y-141z', 38: '182x303y-186z', 39: '18x39y-397z', 40: '194x269y-222z', 41: '197x342y-56z', 42: '198x295y-182z', 43: '199x318y-137z', 44: '1x15y-399z', 45: '1x1y-399z', 46: '20x16y-399z', 47: '20x388y-92z', 48: '210x260y-219z', 49: '215x285y-179z', 50: '215x332y-52z', 51: '216x308y-133z', 52: '224x250y-215z', 53: '22x107y-384z', 54: '22x41y-397z', 55: '230x275y-175z', 56: '232x298y-130z', 57: '233x321y-48z', 58: '239x240y-212z', 59: '23x334y-217z', 60: '246x264y-172z', 61: '249x286y-126z', 62: '24x17y-398z', 63: '250x308y-45z', 64: '253x228y-208z', 65: '260x252y-168z', 66: '264x273y-122z', 67: '266x216y-205z', 68: '266x295y-41z', 69: '274x239y-164z', 70: '278x203y-202z', 71: '279x260y-118z', 72: '27x44y-396z', 73: '281x281y-37z', 74: '288x225y-161z', 75: '28x109y-383z', 76: '293x246y-114z', 77: '296x266y-33z', 78: '2x19y-399z', 79: '301x211y-157z', 80: '306x231y-110z', 81: '310x251y-29z', 82: '319x215y-107z', 83: '31x360y-170z', 84: '31x45y-396z', 85: '322x234y-25z', 86: '34x0y-398z', 87: '35x111y-382z', 88: '36x47y-395z', 89: '3x5y-399z', 90: '40x387y-88z', 91: '41x335y-214z', 92: '41x48y-394z', 93: '42x113y-381z', 94: '46x48y-394z', 95: '4x23y-399z', 96: '4x98y-387z', 97: '50x114y-379z', 98: '50x359y-167z', 99: '52x49y-393z', 100: '57x115y-378z', 101: '57x48y-392z', 102: '58x334y-210z', 103: '5x333y-220z', 104: '61x386y-84z', 105: '63x48y-392z', 106: '65x115y-377z', 107: '68x46y-391z', 108: '69x358y-163z', 109: '6x27y-399z', 110: '6x8y-399z', 111: '73x114y-376z', 112: '76x333y-207z', 113: '81x113y-374z', 114: '81x383y-80z', 115: '88x355y-159z', 116: '89x112y-373z', 117: '94x330y-203z', 118: '97x303y-241z', 119: '98x110y-371z', 120: '9x10y-399z', 121: '9x30y-398z'}
 
                  
            else:
                print("\n (STEP 343F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 343F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 343F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


       
    #========
    # 400 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three4004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 344F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE4004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three4004xi = queue2three.get()
                if fire2three4004xi is None:
                    fire2three4004xi = shot2three4004xi
                    print("\n (STEP 344F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE4004XI TO SHOT2THREE4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 344F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE4004XI: ", fire2three4004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE4004XI:  {1: '0x117y-485z', 2: '0x14y-499z', 3: '0x485y-120z', 4: '0x4y-499z', 5: '0x9y-499z', 6: '101x479y-100z', 7: '102x142y-468z', 8: '110x444y-199z', 9: '112x140y-466z', 10: '118x413y-254z', 11: '11x38y-498z', 12: '121x458y-367z', 13: '122x137y-464z', 14: '122x378y-302z', 15: '127x474y-95z', 16: '12x126y-483z', 17: '12x13y-499z', 18: '132x134y-462z', 19: '134x440y-195z', 20: '140x409y-250z', 21: '143x130y-460z', 22: '143x374y-298z', 23: '151x467y-90z', 24: '153x125y-458z', 25: '158x434y-190z', 26: '15x42y-497z', 27: '15x449y-217z', 28: '162x403y-246z', 29: '163x120y-456z', 30: '163x369y-294z', 31: '16x16y-499z', 32: '173x114y-454z', 33: '176x459y-85z', 34: '181x427y-185z', 35: '184x362y-290z', 36: '184x396y-241z', 37: '19x130y-482z', 38: '19x45y-497z', 39: '1x19y-499z', 40: '1x2y-499z', 41: '200x450y-81z', 42: '204x355y-286z', 43: '204x418y-181z', 44: '206x388y-237z', 45: '20x18y-499z', 46: '224x346y-282z', 47: '224x440y-76z', 48: '226x409y-176z', 49: '227x379y-233z', 50: '23x49y-496z', 51: '243x336y-278z', 52: '247x428y-71z', 53: '248x368y-228z', 54: '248x398y-171z', 55: '25x20y-498z', 56: '25x485y-115z', 57: '262x325y-273z', 58: '268x357y-224z', 59: '269x415y-66z', 60: '270x385y-167z', 61: '27x134y-480z', 62: '281x313y-269z', 63: '288x344y-219z', 64: '28x52y-496z', 65: '291x372y-162z', 66: '291x401y-61z', 67: '299x300y-265z', 68: '29x418y-271z', 69: '307x330y-215z', 70: '30x21y-498z', 71: '311x358y-157z', 72: '312x386y-56z', 73: '316x285y-261z', 74: '326x315y-210z', 75: '330x342y-153z', 76: '332x270y-256z', 77: '332x369y-51z', 78: '33x55y-495z', 79: '343x299y-206z', 80: '348x254y-252z', 81: '349x325y-148z', 82: '352x352y-46z', 83: '35x137y-479z', 84: '360x281y-201z', 85: '366x307y-143z', 86: '370x333y-41z', 87: '376x263y-196z', 88: '383x289y-138z', 89: '387x313y-36z', 90: '399x269y-133z', 91: '39x450y-213z', 92: '39x57y-495z', 93: '3x24y-499z', 94: '403x293y-31z', 95: '42x0y-498z', 96: '44x139y-477z', 97: '45x59y-494z', 98: '4x6y-499z', 99: '50x484y-110z', 100: '51x419y-267z', 101: '51x60y-493z', 102: '53x141y-476z', 103: '58x61y-492z', 104: '5x122y-484z', 105: '5x29y-499z', 106: '62x143y-474z', 107: '63x449y-208z', 108: '65x61y-491z', 109: '71x61y-491z', 110: '72x143y-473z', 111: '73x418y-263z', 112: '76x482y-105z', 113: '78x60y-490z', 114: '7x416y-276z', 115: '82x144y-471z', 116: '85x58y-489z', 117: '87x447y-204z', 118: '8x10y-499z', 119: '8x33y-498z', 120: '92x143y-470z', 121: '95x416y-259z'}
 
                  
            else:
                print("\n (STEP 344F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 344F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 344F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


                               
    #========
    # 500 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three5004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 345F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE5004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three5004xi = queue2three.get()
                if fire2three5004xi is None:
                    fire2three5004xi = shot2three5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE5004XI TO SHOT2THREE5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE5004XI: ", fire2three5004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE5004XI:  {1: '0x11y-599z', 2: '0x141y-583z', 3: '0x17y-599z', 4: '0x582y-144z', 5: '0x5y-599z', 6: '103x70y-586z', 7: '104x537y-245z', 8: '110x172y-564z', 9: '115x500y-310z', 10: '122x170y-561z', 11: '122x574y-120z', 12: '133x533y-239z', 13: '134x168y-559z', 14: '13x45y-598z', 15: '142x496y-305z', 16: '142x534y-428z', 17: '146x454y-362z', 18: '147x165y-557z', 19: '14x15y-599z', 20: '152x568y-114z', 21: '159x161y-555z', 22: '15x152y-580z', 23: '161x528y-234z', 24: '168x491y-300z', 25: '171x156y-553z', 26: '171x449y-358z', 27: '182x561y-109z', 28: '184x150y-550z', 29: '189x521y-228z', 30: '18x50y-597z', 31: '18x539y-261z', 32: '195x484y-295z', 33: '196x144y-548z', 34: '196x443y-353z', 35: '19x19y-599z', 36: '1x23y-599z', 37: '1x2y-599z', 38: '208x136y-545z', 39: '211x551y-103z', 40: '217x512y-223z', 41: '221x435y-348z', 42: '221x476y-290z', 43: '23x157y-578z', 44: '23x55y-597z', 45: '240x540y-97z', 46: '245x426y-343z', 47: '245x502y-217z', 48: '247x466y-284z', 49: '25x22y-599z', 50: '269x415y-338z', 51: '269x528y-91z', 52: '272x490y-211z', 53: '273x455y-279z', 54: '28x59y-596z', 55: '292x403y-333z', 56: '296x514y-85z', 57: '298x442y-274z', 58: '298x477y-206z', 59: '30x583y-138z', 60: '315x390y-328z', 61: '31x24y-598z', 62: '322x428y-268z', 63: '323x498y-79z', 64: '324x463y-200z', 65: '337x376y-323z', 66: '33x161y-576z', 67: '346x413y-263z', 68: '349x447y-195z', 69: '34x502y-326z', 70: '34x62y-595z', 71: '350x481y-73z', 72: '358x360y-318z', 73: '369x396y-258z', 74: '373x429y-189z', 75: '375x463y-67z', 76: '379x342y-313z', 77: '37x26y-598z', 78: '391x378y-252z', 79: '396x410y-183z', 80: '399x324y-308z', 81: '399x443y-61z', 82: '3x29y-599z', 83: '40x66y-594z', 84: '412x358y-247z', 85: '418x305y-303z', 86: '419x390y-177z', 87: '422x422y-55z', 88: '432x338y-241z', 89: '43x164y-575z', 90: '440x369y-172z', 91: '444x400y-49z', 92: '451x316y-236z', 93: '460x346y-166z', 94: '465x376y-43z', 95: '479x323y-160z', 96: '47x540y-256z', 97: '47x68y-594z', 98: '484x351y-37z', 99: '51x0y-597z', 100: '53x167y-573z', 101: '54x70y-593z', 102: '5x7y-599z', 103: '61x503y-321z', 104: '61x581y-132z', 105: '62x72y-592z', 106: '64x170y-571z', 107: '69x73y-591z', 108: '6x147y-581z', 109: '6x35y-598z', 110: '75x171y-569z', 111: '75x539y-250z', 112: '78x73y-590z', 113: '86x172y-568z', 114: '86x73y-589z', 115: '88x502y-316z', 116: '8x500y-331z', 117: '91x579y-126z', 118: '94x72y-588z', 119: '98x172y-566z', 120: '9x12y-599z', 121: '9x40y-598z'}
 
                  
            else:
                print("\n (STEP 345F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 345F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 345F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three6004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 346F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE6004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three6004xi = queue2three.get()
                if fire2three6004xi is None:
                    fire2three6004xi = shot2three6004xi
                    print("\n (STEP 346F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE6004XI TO SHOT2THREE6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 346F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE6004XI: ", fire2three6004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE6004XI:  {1: '0x13y-699z', 2: '0x165y-680z', 3: '0x20y-699z', 4: '0x679y-168z', 5: '0x6y-699z', 6: '100x85y-687z', 7: '101x201y-662z', 8: '103x586y-368z', 9: '107x675y-147z', 10: '110x84y-686z', 11: '114x201y-660z', 12: '11x14y-699z', 13: '11x47y-698z', 14: '120x82y-684z', 15: '121x627y-286z', 16: '128x200y-658z', 17: '129x613y-496z', 18: '134x583y-362z', 19: '142x534y-428z', 20: '142x670y-140z', 21: '143x199y-655z', 22: '155x622y-279z', 23: '157x196y-653z', 24: '15x53y-697z', 25: '165x579y-356z', 26: '171x192y-650z', 27: '171x530y-423z', 28: '177x663y-134z', 29: '17x177y-676z', 30: '17x18y-699z', 31: '186x188y-647z', 32: '188x616y-273z', 33: '196x572y-350z', 34: '200x182y-645z', 35: '200x524y-417z', 36: '212x654y-127z', 37: '214x176y-642z', 38: '21x59y-697z', 39: '21x629y-305z', 40: '221x608y-266z', 41: '227x565y-344z', 42: '228x168y-639z', 43: '229x517y-412z', 44: '22x22y-699z', 45: '242x159y-636z', 46: '247x643y-120z', 47: '253x598y-260z', 48: '257x508y-406z', 49: '258x555y-338z', 50: '26x64y-696z', 51: '27x183y-675z', 52: '280x631y-113z', 53: '285x586y-253z', 54: '286x497y-400z', 55: '288x544y-332z', 56: '29x25y-698z', 57: '2x27y-699z', 58: '2x3y-699z', 59: '313x485y-395z', 60: '314x616y-106z', 61: '317x572y-247z', 62: '318x531y-326z', 63: '33x69y-695z', 64: '341x471y-389z', 65: '346x600y-99z', 66: '347x516y-320z', 67: '348x557y-240z', 68: '35x680y-161z', 69: '367x455y-383z', 70: '36x28y-698z', 71: '376x499y-313z', 72: '377x581y-92z', 73: '378x540y-234z', 74: '38x188y-673z', 75: '393x438y-377z', 76: '403x481y-307z', 77: '407x521y-227z', 78: '408x562y-85z', 79: '40x586y-380z', 80: '40x73y-694z', 81: '418x420y-371z', 82: '430x462y-301z', 83: '435x501y-220z', 84: '437x540y-78z', 85: '43x30y-697z', 86: '442x400y-365z', 87: '456x441y-294z', 88: '462x479y-214z', 89: '465x517y-71z', 90: '466x378y-359z', 91: '47x77y-694z', 92: '481x418y-288z', 93: '488x355y-353z', 94: '488x455y-207z', 95: '492x492y-64z', 96: '4x34y-699z', 97: '504x394y-282z', 98: '50x192y-671z', 99: '513x431y-200z', 100: '518x466y-57z', 101: '526x369y-275z', 102: '537x404y-194z', 103: '542x439y-50z', 104: '559x377y-187z', 105: '55x630y-298z', 106: '55x80y-693z', 107: '565x410y-43z', 108: '62x195y-669z', 109: '63x82y-692z', 110: '6x8y-699z', 111: '71x586y-374z', 112: '71x678y-154z', 113: '72x84y-691z', 114: '74x198y-667z', 115: '7x41y-698z', 116: '81x85y-689z', 117: '87x200y-664z', 118: '88x629y-292z', 119: '8x171y-678z', 120: '91x85y-688z', 121: '9x583y-386z'}
 
                  
            else:
                print("\n (STEP 346F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 346F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 346F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


        
    #========
    # 700 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three7004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 347F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE7004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three7004xi = queue2three.get()
                if fire2three7004xi is None:
                    fire2three7004xi = shot2three7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE7004XI TO SHOT2THREE7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 347F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE7004XI: ", fire2three7004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE7004XI:  {1: '0x15y-799z', 2: '0x23y-799z', 3: '0x776y-192z', 4: '0x7y-799z', 5: '100x229y-759z', 6: '101x719y-334z', 7: '104x98y-787z', 8: '108x691y-565z', 9: '115x230y-757z', 10: '115x97y-785z', 11: '117x669y-421z', 12: '11x666y-441z', 13: '122x772y-168z', 14: '126x96y-784z', 15: '129x613y-496z', 16: '131x230y-754z', 17: '137x93y-782z', 18: '139x716y-326z', 19: '13x16y-799z', 20: '13x54y-798z', 21: '147x229y-752z', 22: '153x666y-414z', 23: '162x610y-490z', 24: '162x766y-161z', 25: '163x227y-749z', 26: '177x711y-319z', 27: '179x224y-746z', 28: '189x661y-407z', 29: '18x61y-797z', 30: '195x606y-483z', 31: '196x220y-743z', 32: '19x21y-799z', 33: '203x758y-153z', 34: '20x203y-773z', 35: '212x215y-740z', 36: '215x704y-312z', 37: '225x654y-400z', 38: '229x208y-737z', 39: '229x599y-477z', 40: '243x748y-145z', 41: '245x201y-734z', 42: '24x67y-796z', 43: '252x695y-304z', 44: '25x719y-348z', 45: '260x645y-393z', 46: '261x192y-731z', 47: '262x591y-471z', 48: '26x25y-799z', 49: '277x182y-727z', 50: '282x735y-137z', 51: '290x683y-297z', 52: '294x580y-464z', 53: '295x634y-386z', 54: '2x31y-799z', 55: '2x3y-799z', 56: '30x73y-796z', 57: '31x209y-771z', 58: '321x721y-129z', 59: '326x670y-290z', 60: '327x568y-458z', 61: '330x621y-379z', 62: '33x29y-798z', 63: '358x554y-451z', 64: '358x704y-121z', 65: '362x654y-282z', 66: '364x606y-372z', 67: '37x79y-795z', 68: '389x538y-444z', 69: '395x685y-113z', 70: '397x590y-365z', 71: '398x637y-275z', 72: '40x777y-184z', 73: '41x32y-798z', 74: '420x520y-438z', 75: '430x571y-358z', 76: '431x665y-105z', 77: '432x617y-267z', 78: '449x501y-431z', 79: '44x215y-769z', 80: '45x83y-794z', 81: '461x550y-351z', 82: '465x596y-260z', 83: '466x642y-97z', 84: '46x669y-434z', 85: '478x480y-424z', 86: '492x528y-344z', 87: '498x572y-252z', 88: '49x35y-797z', 89: '500x617y-90z', 90: '506x457y-417z', 91: '521x504y-336z', 92: '529x547y-244z', 93: '532x432y-411z', 94: '532x591y-82z', 95: '549x478y-329z', 96: '54x88y-793z', 97: '557x406y-404z', 98: '558x521y-237z', 99: '563x563y-74z', 100: '576x451y-322z', 101: '57x219y-767z', 102: '587x492y-229z', 103: '592x533y-66z', 104: '5x39y-799z', 105: '602x422y-315z', 106: '613x462y-221z', 107: '620x502y-58z', 108: '639x431y-214z', 109: '63x720y-341z', 110: '63x91y-792z', 111: '645x469y-50z', 112: '71x223y-764z', 113: '72x94y-791z', 114: '7x10y-799z', 115: '81x775y-176z', 116: '82x670y-428z', 117: '82x96y-789z', 118: '85x226y-762z', 119: '8x46y-798z', 120: '93x97y-788z', 121: '9x196y-775z'}

                  
            else:
                print("\n (STEP 347F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 347F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 347F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


          
    #========
    # 800 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three8004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 348F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE8004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three8004xi = queue2three.get()
                if fire2three8004xi is None:
                    fire2three8004xi = shot2three8004xi
                    print("\n (STEP 348F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE8004XI TO SHOT2THREE8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 348F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE8004XI: ", fire2three8004xi) 
                    #  <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE8004XI:  {1: '0x17y-899z', 2: '0x26y-899z', 3: '0x873y-216z', 4: '0x8y-899z', 5: '104x110y-887z', 6: '10x220y-872z', 7: '112x257y-854z', 8: '113x809y-376z', 9: '117x110y-885z', 10: '120x768y-628z', 11: '129x109y-883z', 12: '12x750y-496z', 13: '130x259y-852z', 14: '132x753y-474z', 15: '137x868y-190z', 16: '142x108y-882z', 17: '145x690y-558z', 18: '147x259y-849z', 19: '14x18y-899z', 20: '14x60y-897z', 21: '154x105y-880z', 22: '156x806y-367z', 23: '165x258y-846z', 24: '172x750y-466z', 25: '182x687y-551z', 26: '183x256y-842z', 27: '183x862y-181z', 28: '199x800y-359z', 29: '202x252y-839z', 30: '20x68y-897z', 31: '213x744y-458z', 32: '21x23y-899z', 33: '220x248y-836z', 34: '220x681y-544z', 35: '228x853y-172z', 36: '22x228y-870z', 37: '239x242y-833z', 38: '242x792y-351z', 39: '253x736y-450z', 40: '257x234y-829z', 41: '257x674y-537z', 42: '273x841y-163z', 43: '276x226y-826z', 44: '27x75y-896z', 45: '284x781y-343z', 46: '28x809y-392z', 47: '293x726y-443z', 48: '294x216y-822z', 49: '294x665y-529z', 50: '29x28y-899z', 51: '2x35y-899z', 52: '2x4y-899z', 53: '312x205y-818z', 54: '317x827y-154z', 55: '326x769y-334z', 56: '331x653y-522z', 57: '332x714y-435z', 58: '34x82y-895z', 59: '35x235y-867z', 60: '361x811y-145z', 61: '367x639y-515z', 62: '367x753y-326z', 63: '371x699y-427z', 64: '37x33y-898z', 65: '403x623y-507z', 66: '403x792y-136z', 67: '408x736y-317z', 68: '409x682y-419z', 69: '42x88y-894z', 70: '438x605y-500z', 71: '445x771y-128z', 72: '447x663y-411z', 73: '447x716y-309z', 74: '45x874y-207z', 75: '46x36y-898z', 76: '472x585y-492z', 77: '483x642y-403z', 78: '485x748y-119z', 79: '486x694y-301z', 80: '49x241y-865z', 81: '506x564y-485z', 82: '519x619y-395z', 83: '51x94y-893z', 84: '524x670y-292z', 85: '525x722y-110z', 86: '52x753y-489z', 87: '538x540y-477z', 88: '553x594y-387z', 89: '55x39y-897z', 90: '560x644y-283z', 91: '562x694y-101z', 92: '569x514y-470z', 93: '586x567y-379z', 94: '595x616y-275z', 95: '599x486y-462z', 96: '599x665y-92z', 97: '5x44y-898z', 98: '618x538y-370z', 99: '61x99y-892z', 100: '627x457y-454z', 101: '628x586y-266z', 102: '633x633y-83z', 103: '648x507y-362z', 104: '64x247y-862z', 105: '660x554y-258z', 106: '666x600y-74z', 107: '677x474y-354z', 108: '690x520y-249z', 109: '697x564y-65z', 110: '70x810y-384z', 111: '718x484y-240z', 112: '71x103y-891z', 113: '726x527y-56z', 114: '80x251y-860z', 115: '82x106y-889z', 116: '8x11y-899z', 117: '91x872y-198z', 118: '92x754y-481z', 119: '93x108y-888z', 120: '96x255y-857z', 121: '9x52y-898z'}

                  
            else:
                print("\n (STEP 348F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 348F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 348F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


        
    #========
    # 900 THREE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three9004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 349F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE9004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three9004xi = queue2three.get()
                if fire2three9004xi is None:
                    fire2three9004xi = shot2three9004xi
                    print("\n (STEP 349F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE9004XI TO SHOT2THREE9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 349F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE9004XI: ", fire2three9004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE9004XI:  {1: '0x19y-999z', 2: '0x29y-999z', 3: '0x970y-240z', 4: '0x9y-999z', 5: '101x969y-220z', 6: '102x838y-535z', 7: '103x120y-987z', 8: '107x283y-952z', 9: '116x122y-985z', 10: '11x245y-969z', 11: '11x58y-998z', 12: '125x286y-949z', 13: '126x899y-417z', 14: '130x122y-983z', 15: '132x845y-691z', 16: '143x122y-982z', 17: '144x287y-946z', 18: '147x837y-526z', 19: '14x833y-552z', 20: '152x965y-211z', 21: '157x120y-980z', 22: '161x767y-620z', 23: '164x288y-943z', 24: '16x20y-999z', 25: '16x67y-997z', 26: '171x117y-978z', 27: '174x895y-408z', 28: '184x287y-940z', 29: '191x833y-518z', 30: '203x763y-612z', 31: '203x958y-201z', 32: '204x284y-936z', 33: '221x889y-399z', 34: '224x280y-933z', 35: '22x76y-996z', 36: '236x827y-509z', 37: '244x757y-604z', 38: '245x275y-929z', 39: '24x26y-999z', 40: '254x948y-191z', 41: '25x253y-966z', 42: '265x269y-925z', 43: '269x880y-390z', 44: '281x818y-501z', 45: '286x260y-921z', 46: '286x749y-596z', 47: '303x935y-181z', 48: '306x251y-917z', 49: '30x84y-995z', 50: '316x868y-381z', 51: '31x899y-435z', 52: '325x807y-492z', 53: '327x240y-913z', 54: '327x738y-588z', 55: '32x32y-998z', 56: '346x228y-909z', 57: '353x919y-171z', 58: '362x854y-371z', 59: '368x725y-580z', 60: '369x793y-483z', 61: '38x91y-995z', 62: '39x261y-964z', 63: '3x39y-999z', 64: '3x4y-999z', 65: '401x901y-162z', 66: '408x710y-572z', 67: '408x837y-362z', 68: '412x777y-474z', 69: '41x36y-998z', 70: '448x693y-564z', 71: '448x880y-152z', 72: '453x818y-353z', 73: '455x758y-466z', 74: '47x98y-993z', 75: '487x673y-556z', 76: '494x857y-142z', 77: '496x737y-457z', 78: '497x796y-343z', 79: '50x971y-230z', 80: '51x40y-997z', 81: '525x651y-547z', 82: '537x714y-448z', 83: '539x831y-132z', 84: '540x771y-334z', 85: '55x268y-961z', 86: '562x626y-539z', 87: '577x688y-439z', 88: '57x104y-992z', 89: '582x745y-325z', 90: '583x802y-122z', 91: '58x837y-543z', 92: '598x600y-530z', 93: '615x660y-430z', 94: '61x43y-997z', 95: '622x716y-315z', 96: '625x772y-112z', 97: '632x571y-522z', 98: '652x630y-421z', 99: '661x684y-306z', 100: '665x540y-513z', 101: '665x739y-102z', 102: '67x110y-991z', 103: '687x598y-412z', 104: '697x508y-505z', 105: '698x651y-296z', 106: '6x49y-998z', 107: '704x704y-92z', 108: '71x274y-958z', 109: '720x563y-403z', 110: '733x615y-286z', 111: '740x666y-82z', 112: '752x527y-393z', 113: '767x578y-277z', 114: '775x627y-72z', 115: '78x900y-426z', 116: '798x538y-267z', 117: '79x114y-990z', 118: '807x586y-62z', 119: '89x279y-955z', 120: '91x118y-988z', 121: '9x12y-999z'}
 
                  
            else:
                print("\n (STEP 349F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 349F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 349F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


        
    #=========
    # 1000 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three10004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 350F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE10004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three10004xi = queue2three.get()
                if fire2three10004xi is None:
                    fire2three10004xi = shot2three10004xi
                    print("\n (STEP 350F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE10004XI TO SHOT2THREE10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 350F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE10004XI: ", fire2three10004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE10004XI:  {1: '0x1067y-264z', 2: '0x10y-1099z', 3: '0x21y-1099z', 4: '0x32y-1099z', 5: '100x129y-1087z', 6: '10x14y-1099z', 7: '112x1066y-243z', 8: '112x922y-588z', 9: '114x132y-1085z', 10: '117x311y-1048z', 11: '128x134y-1084z', 12: '12x269y-1066z', 13: '12x64y-1098z', 14: '138x314y-1044z', 15: '139x989y-459z', 16: '143x134y-1082z', 17: '144x922y-754z', 18: '158x134y-1080z', 19: '159x316y-1041z', 20: '15x917y-607z', 21: '161x920y-579z', 22: '168x1061y-232z', 23: '173x132y-1078z', 24: '177x843y-682z', 25: '180x316y-1037z', 26: '189x129y-1075z', 27: '18x22y-1099z', 28: '18x74y-1097z', 29: '191x985y-449z', 30: '202x315y-1034z', 31: '211x916y-570z', 32: '223x840y-674z', 33: '224x1053y-221z', 34: '224x313y-1030z', 35: '243x978y-439z', 36: '247x308y-1026z', 37: '25x83y-1096z', 38: '260x909y-560z', 39: '269x303y-1022z', 40: '269x833y-665z', 41: '26x29y-1099z', 42: '279x1042y-210z', 43: '27x279y-1063z', 44: '292x295y-1018z', 45: '296x968y-429z', 46: '309x900y-551z', 47: '314x824y-656z', 48: '315x287y-1014z', 49: '334x1028y-199z', 50: '337x276y-1009z', 51: '33x92y-1095z', 52: '347x955y-419z', 53: '34x989y-479z', 54: '358x887y-541z', 55: '359x264y-1005z', 56: '360x812y-647z', 57: '36x35y-1098z', 58: '381x250y-1000z', 59: '388x1011y-189z', 60: '398x939y-409z', 61: '3x43y-1099z', 62: '3x5y-1099z', 63: '405x798y-638z', 64: '406x872y-532z', 65: '42x101y-1094z', 66: '43x287y-1060z', 67: '441x991y-178z', 68: '449x781y-629z', 69: '449x921y-398z', 70: '454x854y-522z', 71: '46x40y-1098z', 72: '493x762y-620z', 73: '493x968y-167z', 74: '498x900y-388z', 75: '500x834y-512z', 76: '52x108y-1093z', 77: '536x740y-611z', 78: '544x942y-156z', 79: '546x811y-502z', 80: '547x875y-378z', 81: '56x1068y-253z', 82: '56x45y-1097z', 83: '578x716y-602z', 84: '591x785y-493z', 85: '593x914y-145z', 86: '594x849y-367z', 87: '618x689y-593z', 88: '61x295y-1057z', 89: '634x757y-483z', 90: '63x115y-1092z', 91: '63x921y-598z', 92: '640x819y-357z', 93: '641x883y-134z', 94: '658x660y-583z', 95: '676x726y-473z', 96: '684x787y-347z', 97: '687x849y-123z', 98: '68x48y-1096z', 99: '696x628y-574z', 100: '717x693y-463z', 101: '727x753y-336z', 102: '732x595y-565z', 103: '732x813y-112z', 104: '74x121y-1090z', 105: '756x657y-453z', 106: '767x559y-555z', 107: '768x716y-326z', 108: '774x774y-101z', 109: '792x620y-443z', 110: '79x302y-1054z', 111: '7x54y-1098z', 112: '807x677y-315z', 113: '814x733y-90z', 114: '827x580y-433z', 115: '844x636y-305z', 116: '852x690y-80z', 117: '86x990y-469z', 118: '878x592y-294z', 119: '87x126y-1089z', 120: '888x645y-69z', 121: '98x307y-1051z'}
 
                  
            else:
                print("\n (STEP 350F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 350F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 350F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1100 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three11004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 351F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE11004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three11004xi = queue2three.get()
                if fire2three11004xi is None:
                    fire2three11004xi = shot2three11004xi
                    print("\n (STEP 351F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE11004XI TO SHOT2THREE11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 351F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE11004XI: ", fire2three11004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE11004XI:  {1: '0x1164y-288z', 2: '0x11y-1199z', 3: '0x23y-1199z', 4: '106x335y-1147z', 5: '109x141y-1186z', 6: '11x15y-1199z', 7: '122x1163y-265z', 8: '123x1006y-642z', 9: '124x144y-1184z', 10: '128x340y-1143z', 11: '139x146y-1182z', 12: '13x294y-1163z', 13: '13x70y-1197z', 14: '150x343y-1139z', 15: '151x1079y-501z', 16: '156x147y-1180z', 17: '156x998y-816z', 18: '16x1000y-662z', 19: '172x146y-1178z', 20: '173x345y-1136z', 21: '176x1004y-632z', 22: '183x1158y-253z', 23: '189x144y-1176z', 24: '194x920y-744z', 25: '196x345y-1132z', 26: '19x24y-1199z', 27: '19x81y-1197z', 28: '1x35y-1199z', 29: '206x140y-1173z', 30: '208x1075y-490z', 31: '220x344y-1128z', 32: '230x1000y-621z', 33: '243x916y-735z', 34: '244x1149y-241z', 35: '245x341y-1123z', 36: '266x1067y-479z', 37: '269x337y-1119z', 38: '27x91y-1196z', 39: '284x992y-611z', 40: '293x909y-725z', 41: '294x330y-1115z', 42: '29x31y-1199z', 43: '304x1137y-229z', 44: '30x304y-1160z', 45: '319x322y-1110z', 46: '323x1056y-468z', 47: '337x982y-601z', 48: '343x313y-1106z', 49: '343x899y-716z', 50: '364x1122y-218z', 51: '368x301y-1101z', 52: '36x101y-1195z', 53: '379x1042y-457z', 54: '37x1079y-523z', 55: '390x968y-590z', 56: '392x288y-1096z', 57: '393x886y-706z', 58: '39x38y-1198z', 59: '3x47y-1199z', 60: '3x5y-1199z', 61: '416x273y-1091z', 62: '423x1103y-206z', 63: '435x1025y-446z', 64: '442x871y-696z', 65: '443x952y-580z', 66: '46x110y-1194z', 67: '47x314y-1157z', 68: '481x1081y-194z', 69: '490x1005y-435z', 70: '490x852y-687z', 71: '495x932y-569z', 72: '50x44y-1198z', 73: '538x1056y-182z', 74: '538x831y-677z', 75: '544x981y-423z', 76: '546x910y-559z', 77: '56x118y-1192z', 78: '584x807y-667z', 79: '593x1028y-170z', 80: '596x885y-548z', 81: '597x955y-412z', 82: '61x1166y-276z', 83: '62x49y-1197z', 84: '630x781y-657z', 85: '645x857y-537z', 86: '647x997y-158z', 87: '648x926y-401z', 88: '66x322y-1153z', 89: '674x752y-647z', 90: '68x125y-1191z', 91: '692x826y-527z', 92: '698x894y-390z', 93: '69x1004y-652z', 94: '700x963y-146z', 95: '717x720y-636z', 96: '738x792y-516z', 97: '747x859y-378z', 98: '74x52y-1196z', 99: '750x926y-135z', 100: '759x685y-626z', 101: '782x756y-505z', 102: '793x821y-367z', 103: '798x887y-123z', 104: '799x649y-616z', 105: '7x59y-1198z', 106: '81x132y-1189z', 107: '824x717y-494z', 108: '836x610y-606z', 109: '838x781y-355z', 110: '844x844y-111z', 111: '865x676y-483z', 112: '86x329y-1150z', 113: '880x738y-344z', 114: '888x800y-99z', 115: '903x633y-472z', 116: '920x693y-332z', 117: '930x753y-87z', 118: '94x1081y-512z', 119: '958x646y-321z', 120: '95x137y-1188z', 121: '968x703y-75z'}

                  
            else:
                print("\n (STEP 351F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 351F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 351F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


        
    #=========
    # 1200 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three12004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 352F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE12004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three12004xi = queue2three.get()
                if fire2three12004xi is None:
                    fire2three12004xi = shot2three12004xi
                    print("\n (STEP 352F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE12004XI TO SHOT2THREE12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 352F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE12004XI: ", fire2three12004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE12004XI:  {1: '0x1261y-312z', 2: '0x12y-1299z', 3: '0x25y-1299z', 4: '1007x815y-94z', 5: '102x1171y-554z', 6: '1038x700y-348z', 7: '103x148y-1287z', 8: '1049x762y-81z', 9: '115x363y-1242z', 10: '118x153y-1285z', 11: '12x16y-1299z', 12: '132x1260y-287z', 13: '133x1089y-695z', 14: '134x156y-1283z', 15: '139x368y-1238z', 16: '14x318y-1260z', 17: '14x76y-1297z', 18: '151x158y-1281z', 19: '163x372y-1234z', 20: '164x1169y-543z', 21: '168x1075y-879z', 22: '169x159y-1279z', 23: '186x158y-1276z', 24: '187x374y-1230z', 25: '18x1083y-717z', 26: '191x1088y-684z', 27: '198x1255y-274z', 28: '1x38y-1299z', 29: '205x156y-1274z', 30: '210x997y-806z', 31: '213x374y-1226z', 32: '21x26y-1299z', 33: '21x88y-1296z', 34: '223x152y-1271z', 35: '226x1164y-531z', 36: '239x373y-1222z', 37: '249x1083y-673z', 38: '264x1245y-261z', 39: '264x992y-796z', 40: '265x370y-1217z', 41: '288x1156y-519z', 42: '292x365y-1212z', 43: '29x99y-1295z', 44: '307x1075y-662z', 45: '318x358y-1208z', 46: '318x985y-786z', 47: '31x34y-1299z', 48: '32x330y-1256z', 49: '330x1232y-249z', 50: '345x349y-1203z', 51: '349x1144y-507z', 52: '365x1063y-651z', 53: '372x339y-1198z', 54: '372x974y-775z', 55: '395x1215y-236z', 56: '398x326y-1193z', 57: '39x109y-1294z', 58: '40x1169y-566z', 59: '411x1129y-495z', 60: '423x1049y-640z', 61: '425x312y-1188z', 62: '425x960y-765z', 63: '42x41y-1298z', 64: '450x296y-1182z', 65: '458x1195y-223z', 66: '471x1110y-483z', 67: '478x943y-754z', 68: '480x1031y-628z', 69: '49x119y-1293z', 70: '4x51y-1298z', 71: '4x6y-1299z', 72: '51x340y-1253z', 73: '521x1171y-210z', 74: '531x1088y-471z', 75: '531x923y-744z', 76: '536x1010y-617z', 77: '54x48y-1297z', 78: '583x1144y-197z', 79: '583x901y-733z', 80: '589x1063y-459z', 81: '591x986y-605z', 82: '61x128y-1292z', 83: '633x875y-722z', 84: '643x1114y-185z', 85: '646x1035y-447z', 86: '646x958y-594z', 87: '66x1263y-299z', 88: '67x53y-1297z', 89: '683x846y-711z', 90: '698x928y-582z', 91: '701x1080y-172z', 92: '702x1003y-434z', 93: '72x349y-1250z', 94: '731x814y-701z', 95: '74x136y-1290z', 96: '750x895y-571z', 97: '756x968y-422z', 98: '758x1043y-159z', 99: '75x1088y-706z', 100: '777x780y-690z', 101: '799x858y-559z', 102: '809x931y-410z', 103: '80x57y-1296z', 104: '812x1003y-146z', 105: '822x743y-679z', 106: '847x819y-547z', 107: '859x890y-397z', 108: '865x703y-667z', 109: '865x960y-133z', 110: '88x143y-1289z', 111: '893x777y-535z', 112: '8x64y-1298z', 113: '906x660y-656z', 114: '908x846y-385z', 115: '915x915y-120z', 116: '937x732y-523z', 117: '93x357y-1246z', 118: '953x800y-373z', 119: '962x866y-107z', 120: '978x685y-511z', 121: '997x751y-360z'}

                  
            else:
                print("\n (STEP 352F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 352F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 352F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               


        
    #=========
    # 1300 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three13004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 353F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE13004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three13004xi = queue2three.get()
                if fire2three13004xi is None:
                    fire2three13004xi = shot2three13004xi
                    print("\n (STEP 353F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE13004XI TO SHOT2THREE13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 353F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE13004XI: ", fire2three13004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE13004XI:  {1: '0x1358y-336z', 2: '0x27y-1399z', 3: '1009x789y-564z', 4: '100x384y-1342z', 5: '1027x862y-401z', 6: '1036x933y-115z', 7: '1053x738y-551z', 8: '1074x809y-388z', 9: '1085x878y-101z', 10: '110x1261y-597z', 11: '110x160y-1386z', 12: '1118x754y-374z', 13: '1130x821y-87z', 14: '119x1151y-954z', 15: '124x391y-1338z', 16: '127x165y-1384z', 17: '13x17y-1399z', 18: '142x1357y-309z', 19: '143x1173y-749z', 20: '145x168y-1382z', 21: '149x397y-1334z', 22: '15x82y-1397z', 23: '163x171y-1379z', 24: '168x1075y-879z', 25: '16x343y-1357z', 26: '175x400y-1329z', 27: '177x1259y-584z', 28: '182x171y-1377z', 29: '19x1167y-772z', 30: '1x41y-1399z', 31: '201x170y-1374z', 32: '202x403y-1325z', 33: '206x1172y-737z', 34: '214x1351y-295z', 35: '220x168y-1372z', 36: '226x1074y-868z', 37: '229x403y-1320z', 38: '23x28y-1399z', 39: '23x94y-1396z', 40: '240x164y-1369z', 41: '243x1254y-572z', 42: '257x401y-1316z', 43: '268x1166y-725z', 44: '284x1069y-857z', 45: '285x1341y-281z', 46: '286x398y-1311z', 47: '310x1245y-559z', 48: '314x393y-1306z', 49: '31x106y-1395z', 50: '331x1158y-713z', 51: '342x1060y-846z', 52: '343x385y-1301z', 53: '34x37y-1399z', 54: '355x1327y-268z', 55: '35x355y-1353z', 56: '372x376y-1295z', 57: '376x1232y-546z', 58: '393x1145y-701z', 59: '400x1049y-835z', 60: '401x365y-1290z', 61: '425x1309y-254z', 62: '429x352y-1285z', 63: '42x118y-1394z', 64: '43x1259y-610z', 65: '442x1216y-533z', 66: '455x1130y-689z', 67: '457x336y-1279z', 68: '458x1034y-824z', 69: '45x45y-1398z', 70: '485x319y-1273z', 71: '494x1287y-240z', 72: '4x55y-1398z', 73: '4x6y-1399z', 74: '507x1196y-520z', 75: '515x1016y-812z', 76: '517x1110y-677z', 77: '53x128y-1393z', 78: '55x366y-1350z', 79: '561x1262y-226z', 80: '571x1172y-507z', 81: '572x994y-801z', 82: '577x1088y-664z', 83: '58x51y-1397z', 84: '627x970y-790z', 85: '628x1232y-213z', 86: '634x1145y-494z', 87: '637x1062y-652z', 88: '66x138y-1391z', 89: '682x942y-778z', 90: '692x1200y-199z', 91: '695x1032y-640z', 92: '696x1114y-481z', 93: '71x1360y-322z', 94: '72x57y-1396z', 95: '735x911y-766z', 96: '752x999y-627z', 97: '755x1163y-185z', 98: '756x1080y-468z', 99: '77x376y-1346z', 100: '787x877y-754z', 101: '807x963y-615z', 102: '80x146y-1389z', 103: '815x1043y-455z', 104: '816x1124y-171z', 105: '81x1172y-761z', 106: '837x840y-743z', 107: '861x924y-602z', 108: '86x61y-1395z', 109: '871x1002y-441z', 110: '875x1081y-157z', 111: '885x800y-731z', 112: '912x882y-589z', 113: '925x958y-428z', 114: '931x1034y-143z', 115: '932x757y-719z', 116: '95x154y-1388z', 117: '962x837y-577z', 118: '976x711y-707z', 119: '977x911y-415z', 120: '985x985y-129z', 121: '9x69y-1398z'}

                  
            else:
                print("\n (STEP 353F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 353F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 353F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1400 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three14004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 354F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE14004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three14004xi = queue2three.get()
                if fire2three14004xi is None:
                    fire2three14004xi = shot2three14004xi
                    print("\n (STEP 354F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE14004XI TO SHOT2THREE14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 354F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE14004XI: ", fire2three14004xi) 
                    # GOT FROM QUEUE2THREE:  <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE14004XI:  {1: '0x1456y-360z', 2: '0x29y-1499z', 3: '101x165y-1487z', 4: '1030x897y-618z', 5: '1046x762y-757z', 6: '1047x976y-444z', 7: '1056x1056y-139z', 8: '107x412y-1438z', 9: '1081x845y-604z', 10: '1100x923y-430z', 11: '1110x1000y-124z', 12: '1129x791y-590z', 13: '1150x867y-415z', 14: '1162x941y-109z', 15: '118x1351y-640z', 16: '118x171y-1485z', 17: '1198x808y-401z', 18: '1211x879y-94z', 19: '127x1227y-1017z', 20: '133x419y-1433z', 21: '136x177y-1483z', 22: '14x19y-1499z', 23: '152x1454y-331z', 24: '153x1257y-802z', 25: '155x181y-1480z', 26: '160x425y-1429z', 27: '16x88y-1497z', 28: '174x183y-1478z', 29: '17x367y-1454z', 30: '180x1152y-942z', 31: '188x429y-1424z', 32: '189x1349y-626z', 33: '195x184y-1475z', 34: '1x44y-1499z', 35: '215x183y-1473z', 36: '216x431y-1420z', 37: '21x1250y-828z', 38: '220x1255y-790z', 39: '229x1448y-316z', 40: '236x180y-1470z', 41: '242x1150y-930z', 42: '246x432y-1415z', 43: '24x101y-1496z', 44: '24x30y-1499z', 45: '257x176y-1467z', 46: '261x1343y-613z', 47: '276x430y-1410z', 48: '287x1250y-777z', 49: '304x1145y-919z', 50: '305x1437y-302z', 51: '306x426y-1404z', 52: '332x1334y-599z', 53: '337x421y-1399z', 54: '34x114y-1495z', 55: '355x1240y-764z', 56: '367x1136y-907z', 57: '368x413y-1394z', 58: '36x39y-1499z', 59: '37x380y-1450z', 60: '381x1422y-287z', 61: '398x403y-1388z', 62: '403x1320y-585z', 63: '421x1227y-751z', 64: '429x1124y-895z', 65: '429x391y-1382z', 66: '455x1402y-272z', 67: '45x126y-1493z', 68: '460x377y-1376z', 69: '474x1303y-571z', 70: '47x1349y-653z', 71: '488x1210y-738z', 72: '490x360y-1370z', 73: '491x1108y-883z', 74: '49x48y-1498z', 75: '4x59y-1498z', 76: '4x7y-1499z', 77: '520x342y-1364z', 78: '529x1379y-257z', 79: '544x1281y-557z', 80: '552x1088y-871z', 81: '554x1190y-725z', 82: '57x137y-1492z', 83: '59x392y-1446z', 84: '602x1352y-243z', 85: '612x1256y-543z', 86: '613x1066y-858z', 87: '619x1165y-712z', 88: '62x55y-1497z', 89: '672x1039y-846z', 90: '673x1320y-228z', 91: '680x1227y-529z', 92: '682x1137y-699z', 93: '71x148y-1490z', 94: '731x1009y-834z', 95: '742x1285y-213z', 96: '745x1106y-685z', 97: '746x1194y-515z', 98: '76x1457y-346z', 99: '77x61y-1496z', 100: '788x976y-821z', 101: '806x1071y-672z', 102: '809x1246y-198z', 103: '810x1157y-501z', 104: '83x403y-1442z', 105: '843x940y-808z', 106: '85x157y-1489z', 107: '865x1032y-658z', 108: '873x1117y-487z', 109: '875x1204y-183z', 110: '87x1255y-815z', 111: '897x900y-796z', 112: '922x990y-645z', 113: '92x65y-1495z', 114: '933x1074y-473z', 115: '937x1158y-168z', 116: '949x857y-783z', 117: '978x945y-631z', 118: '991x1027y-459z', 119: '998x1108y-153z', 120: '998x811y-770z', 121: '9x73y-1498z'}
 
                  
            else:
                print("\n (STEP 354F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 354F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 354F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1500 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three15004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 355F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE15004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three15004xi = queue2three.get()
                if fire2three15004xi is None:
                    fire2three15004xi = shot2three15004xi
                    print("\n (STEP 355F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE15004XI TO SHOT2THREE15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 355F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE15004XI: ", fire2three15004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE15004XI:  {1: '0x1553y-384z', 2: '0x31y-1599z', 3: '1000x1235y-180z', 4: '1012x914y-835z', 5: '1043x1008y-673z', 6: '1058x1095y-489z', 7: '1064x1182y-164z', 8: '1065x865y-822z', 9: '108x176y-1586z', 10: '1099x956y-659z', 11: '10x78y-1598z', 12: '1115x813y-808z', 13: '1117x1042y-474z', 14: '1126x1126y-148z', 15: '1153x902y-644z', 16: '115x439y-1534z', 17: '1174x985y-459z', 18: '1184x1066y-132z', 19: '1204x844y-630z', 20: '1227x925y-443z', 21: '1240x1004y-116z', 22: '126x1441y-682z', 23: '126x183y-1584z', 24: '1278x862y-428z', 25: '1291x938y-100z', 26: '135x1304y-1081z', 27: '142x447y-1529z', 28: '145x189y-1582z', 29: '15x20y-1599z', 30: '163x1551y-353z', 31: '164x1341y-856z', 32: '165x193y-1579z', 33: '171x453y-1524z', 34: '17x93y-1597z', 35: '186x195y-1576z', 36: '18x392y-1551z', 37: '192x1229y-1005z', 38: '1x47y-1599z', 39: '200x458y-1519z', 40: '202x1439y-668z', 41: '208x196y-1574z', 42: '22x1333y-883z', 43: '230x195y-1571z', 44: '231x460y-1514z', 45: '235x1339y-842z', 46: '244x1544y-337z', 47: '252x192y-1568z', 48: '258x1227y-993z', 49: '262x460y-1509z', 50: '26x108y-1596z', 51: '26x32y-1599z', 52: '275x187y-1564z', 53: '278x1433y-653z', 54: '294x459y-1504z', 55: '307x1333y-829z', 56: '325x1221y-980z', 57: '325x1532y-322z', 58: '326x455y-1498z', 59: '354x1423y-639z', 60: '359x449y-1492z', 61: '36x122y-1594z', 62: '378x1323y-815z', 63: '38x42y-1598z', 64: '391x1212y-967z', 65: '392x441y-1487z', 66: '406x1516y-306z', 67: '40x406y-1547z', 68: '425x430y-1481z', 69: '430x1408y-624z', 70: '450x1309y-801z', 71: '458x1199y-954z', 72: '458x417y-1474z', 73: '486x1496y-290z', 74: '48x135y-1593z', 75: '491x402y-1468z', 76: '505x1390y-609z', 77: '50x1439y-697z', 78: '521x1291y-787z', 79: '523x384y-1462z', 80: '524x1182y-942z', 81: '52x51y-1598z', 82: '554x364y-1455z', 83: '564x1471y-275z', 84: '580x1367y-594z', 85: '589x1161y-929z', 86: '591x1269y-773z', 87: '5x63y-1598z', 88: '5x7y-1599z', 89: '61x147y-1592z', 90: '63x418y-1542z', 91: '642x1442y-259z', 92: '653x1340y-580z', 93: '654x1137y-916z', 94: '660x1243y-759z', 95: '67x59y-1597z', 96: '717x1108y-902z', 97: '717x1408y-243z', 98: '725x1309y-565z', 99: '728x1213y-745z', 100: '75x158y-1590z', 101: '779x1077y-889z', 102: '791x1371y-227z', 103: '795x1180y-731z', 104: '796x1274y-550z', 105: '81x1554y-369z', 106: '82x65y-1596z', 107: '840x1041y-876z', 108: '860x1142y-717z', 109: '863x1330y-211z', 110: '864x1235y-535z', 111: '88x430y-1538z', 112: '899x1002y-862z', 113: '91x167y-1588z', 114: '923x1101y-702z', 115: '92x1339y-869z', 116: '931x1192y-520z', 117: '933x1284y-195z', 118: '957x960y-849z', 119: '984x1056y-688z', 120: '996x1145y-504z', 121: '99x70y-1595z'}

                  
            else:
                print("\n (STEP 355F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 355F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 355F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1600 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three16004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 356F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE16004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three16004xi = queue2three.get() 
                if fire2three16004xi is None:
                    fire2three16004xi = shot2three16004xi
                    print("\n (STEP 356F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE1600 4XI TO SHOT2THREE1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 356F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE16004XI: ", fire2three16004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE16004XI:  {1: '0x1650y-408z', 2: '0x33y-1699z', 3: '1017x1020y-902z', 4: '1045x1122y-731z', 5: '1058x1217y-536z', 6: '105x74y-1695z', 7: '1063x1312y-191z', 8: '1075x971y-887z', 9: '1108x1071y-716z', 10: '1124x1164y-520z', 11: '1131x1256y-174z', 12: '1131x919y-873z', 13: '115x187y-1685z', 14: '1168x1016y-700z', 15: '1185x864y-858z', 16: '1187x1107y-504z', 17: '1196x1196y-157z', 18: '11x83y-1697z', 19: '1225x958y-685z', 20: '122x467y-1629z', 21: '1247x1046y-487z', 22: '1259x1133y-140z', 23: '1279x896y-669z', 24: '1304x982y-471z', 25: '1317x1067y-123z', 26: '133x1531y-725z', 27: '134x194y-1683z', 28: '1357x915y-455z', 29: '1372x997y-106z', 30: '142x1381y-1145z', 31: '151x475y-1625z', 32: '154x200y-1680z', 33: '16x21y-1699z', 34: '173x1648y-375z', 35: '174x1425y-909z', 36: '176x205y-1678z', 37: '181x482y-1620z', 38: '18x99y-1696z', 39: '198x207y-1675z', 40: '19x416y-1647z', 41: '1x50y-1699z', 42: '204x1306y-1068z', 43: '213x486y-1614z', 44: '214x1529y-710z', 45: '221x208y-1672z', 46: '23x1417y-938z', 47: '244x207y-1669z', 48: '245x489y-1609z', 49: '250x1423y-895z', 50: '259x1641y-359z', 51: '268x204y-1666z', 52: '275x1304y-1055z', 53: '279x489y-1603z', 54: '27x115y-1695z', 55: '28x34y-1699z', 56: '292x199y-1662z', 57: '296x1523y-694z', 58: '312x488y-1598z', 59: '326x1416y-881z', 60: '345x1298y-1041z', 61: '346x1628y-342z', 62: '347x483y-1592z', 63: '377x1512y-679z', 64: '382x477y-1586z', 65: '38x129y-1694z', 66: '402x1406y-866z', 67: '416x1288y-1028z', 68: '417x468y-1579z', 69: '41x45y-1698z', 70: '42x431y-1643z', 71: '431x1611y-325z', 72: '452x457y-1573z', 73: '457x1496y-663z', 74: '478x1391y-851z', 75: '486x1274y-1014z', 76: '487x443y-1567z', 77: '516x1589y-309z', 78: '51x143y-1693z', 79: '521x427y-1560z', 80: '537x1476y-647z', 81: '53x1529y-740z', 82: '553x1372y-837z', 83: '555x408y-1553z', 84: '556x1256y-1000z', 85: '55x54y-1698z', 86: '589x387y-1546z', 87: '5x67y-1698z', 88: '5x8y-1699z', 89: '600x1563y-292z', 90: '616x1452y-632z', 91: '626x1234y-987z', 92: '628x1348y-822z', 93: '65x156y-1691z', 94: '67x445y-1639z', 95: '682x1532y-275z', 96: '694x1208y-973z', 97: '694x1423y-616z', 98: '701x1321y-807z', 99: '71x62y-1697z', 100: '762x1178y-959z', 101: '762x1497y-258z', 102: '771x1391y-600z', 103: '773x1289y-792z', 104: '80x167y-1689z', 105: '828x1144y-945z', 106: '841x1457y-241z', 107: '844x1253y-777z', 108: '845x1353y-584z', 109: '86x1651y-392z', 110: '87x69y-1696z', 111: '893x1106y-931z', 112: '913x1214y-762z', 113: '917x1413y-225z', 114: '918x1312y-568z', 115: '94x456y-1634z', 116: '956x1065y-916z', 117: '97x178y-1687z', 118: '981x1170y-746z', 119: '989x1266y-552z', 120: '98x1423y-924z', 121: '991x1364y-208z'}
 
                  
            else:
                print("\n (STEP 356F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 356F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 356F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1700 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three17004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 357F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE17004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three17004xi = queue2three.get()
                if fire2three17004xi is None:
                    fire2three17004xi = shot2three17004xi
                    print("\n (STEP 357F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE17004XI TO SHOT2THREE17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 357F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE17004XI: ", fire2three17004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE17004XI:  {1: '0x1747y-432z', 2: '0x35y-1799z', 3: '1012x1128y-970z', 4: '1038x1239y-790z', 5: '103x188y-1787z', 6: '1048x1341y-585z', 7: '104x1507y-978z', 8: '1050x1445y-220z', 9: '1076x1080y-955z', 10: '1107x1188y-774z', 11: '111x79y-1794z', 12: '1120x1289y-567z', 13: '1125x1389y-202z', 14: '1139x1028y-940z', 15: '1173x1134y-758z', 16: '1190x1232y-550z', 17: '1198x1330y-184z', 18: '1198x973y-924z', 19: '11x88y-1797z', 20: '122x198y-1784z', 21: '1237x1076y-741z', 22: '1255x915y-909z', 23: '1257x1172y-533z', 24: '1267x1267y-166z', 25: '1297x1014y-725z', 26: '129x494y-1725z', 27: '1320x1108y-516z', 28: '1333x1200y-148z', 29: '1354x949y-708z', 30: '1381x1040y-499z', 31: '1395x1129y-130z', 32: '141x1621y-768z', 33: '142x206y-1782z', 34: '1437x969y-481z', 35: '1453x1055y-112z', 36: '150x1458y-1208z', 37: '160x503y-1720z', 38: '164x212y-1779z', 39: '17x23y-1799z', 40: '183x1745y-397z', 41: '184x1509y-963z', 42: '186x217y-1777z', 43: '192x510y-1715z', 44: '19x105y-1796z', 45: '1x53y-1799z', 46: '209x220y-1774z', 47: '20x441y-1744z', 48: '216x1383y-1131z', 49: '225x515y-1709z', 50: '227x1619y-752z', 51: '234x220y-1770z', 52: '258x219y-1767z', 53: '25x1500y-993z', 54: '260x518y-1704z', 55: '264x1506y-948z', 56: '275x1737y-380z', 57: '284x216y-1764z', 58: '291x1380y-1117z', 59: '295x518y-1698z', 60: '29x121y-1795z', 61: '29x36y-1799z', 62: '309x211y-1760z', 63: '313x1612y-735z', 64: '331x516y-1692z', 65: '345x1500y-932z', 66: '365x1374y-1103z', 67: '366x1724y-362z', 68: '367x512y-1685z', 69: '399x1601y-719z', 70: '404x505y-1679z', 71: '41x137y-1794z', 72: '426x1488y-917z', 73: '43x47y-1798z', 74: '440x1363y-1088z', 75: '441x496y-1672z', 76: '457x1706y-344z', 77: '45x457y-1740z', 78: '478x484y-1666z', 79: '484x1584y-702z', 80: '506x1473y-901z', 81: '515x1349y-1074z', 82: '515x469y-1659z', 83: '546x1683y-327z', 84: '54x151y-1792z', 85: '552x452y-1652z', 86: '569x1563y-686z', 87: '56x1619y-784z', 88: '586x1452y-886z', 89: '588x432y-1645z', 90: '589x1330y-1059z', 91: '59x57y-1798z', 92: '5x71y-1798z', 93: '5x8y-1799z', 94: '624x410y-1637z', 95: '635x1655y-309z', 96: '652x1538y-669z', 97: '663x1306y-1045z', 98: '665x1428y-870z', 99: '69x165y-1791z', 100: '71x471y-1735z', 101: '722x1622y-291z', 102: '735x1279y-1030z', 103: '735x1507y-652z', 104: '742x1399y-854z', 105: '75x66y-1797z', 106: '807x1247y-1015z', 107: '807x1585y-273z', 108: '816x1472y-635z', 109: '819x1365y-838z', 110: '85x177y-1789z', 111: '877x1211y-1000z', 112: '890x1542y-256z', 113: '894x1327y-822z', 114: '895x1433y-618z', 115: '91x1749y-415z', 116: '93x73y-1796z', 117: '945x1171y-985z', 118: '967x1285y-806z', 119: '971x1496y-238z', 120: '972x1389y-602z', 121: '99x483y-1730z'}
 
                  
            else:
                print("\n (STEP 357F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 357F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 357F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1800 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three18004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 358F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE18004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three18004xi = queue2three.get()
                if fire2three18004xi is None:
                    fire2three18004xi = shot2three18004xi
                    print("\n (STEP 358F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE18004XI TO SHOT2THREE18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 358F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE18004XI: ", fire2three18004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE18004XI:  {1: '0x1844y-456z', 2: '0x37y-1899z', 3: '1021x1356y-851z', 4: '1025x1579y-251z', 5: '1027x1466y-635z', 6: '105x510y-1827z', 7: '1068x1190y-1024z', 8: '108x199y-1886z', 9: '1096x1308y-834z', 10: '1106x1415y-617z', 11: '1108x1525y-232z', 12: '110x1590y-1032z', 13: '1136x1140y-1008z', 14: '1169x1254y-817z', 15: '117x83y-1894z', 16: '1182x1360y-599z', 17: '1188x1467y-213z', 18: '1202x1086y-992z', 19: '1238x1197y-800z', 20: '1256x1301y-581z', 21: '1264x1404y-194z', 22: '1265x1027y-976z', 23: '129x209y-1884z', 24: '12x93y-1897z', 25: '1305x1136y-783z', 26: '1325x965y-959z', 27: '1327x1237y-563z', 28: '1337x1337y-176z', 29: '1369x1071y-765z', 30: '136x522y-1821z', 31: '1394x1169y-545z', 32: '1407x1266y-157z', 33: '1430x1002y-748z', 34: '1457x1098y-526z', 35: '1472x1192y-138z', 36: '149x1711y-811z', 37: '150x217y-1881z', 38: '1517x1023y-508z', 39: '1534x1114y-119z', 40: '158x1534y-1272z', 41: '169x531y-1816z', 42: '173x224y-1878z', 43: '18x24y-1899z', 44: '193x1842y-419z', 45: '194x1593y-1016z', 46: '196x229y-1875z', 47: '1x56y-1899z', 48: '203x538y-1810z', 49: '20x111y-1896z', 50: '21x465y-1841z', 51: '221x232y-1872z', 52: '228x1460y-1194z', 53: '238x544y-1804z', 54: '240x1709y-793z', 55: '247x233y-1869z', 56: '26x1584y-1048z', 57: '273x232y-1865z', 58: '274x546y-1798z', 59: '279x1590y-1000z', 60: '290x1834y-401z', 61: '299x228y-1862z', 62: '307x1457y-1179z', 63: '311x547y-1792z', 64: '31x128y-1895z', 65: '31x38y-1899z', 66: '326x223y-1858z', 67: '330x1702y-776z', 68: '349x545y-1786z', 69: '364x1583y-984z', 70: '386x1450y-1164z', 71: '386x1820y-382z', 72: '388x540y-1779z', 73: '421x1690y-759z', 74: '427x533y-1772z', 75: '43x145y-1893z', 76: '449x1571y-968z', 77: '465x1439y-1149z', 78: '466x523y-1765z', 79: '46x50y-1898z', 80: '47x482y-1837z', 81: '482x1801y-364z', 82: '505x511y-1758z', 83: '511x1672y-741z', 84: '534x1554y-951z', 85: '544x1424y-1134z', 86: '544x495y-1751z', 87: '577x1776y-345z', 88: '57x160y-1892z', 89: '583x477y-1744z', 90: '59x1708y-828z', 91: '600x1650y-724z', 92: '618x1533y-935z', 93: '621x456y-1736z', 94: '622x1403y-1118z', 95: '62x61y-1897z', 96: '658x433y-1728z', 97: '670x1747y-326z', 98: '689x1623y-706z', 99: '6x75y-1898z', 100: '6x9y-1899z', 101: '700x1379y-1103z', 102: '702x1507y-918z', 103: '72x174y-1890z', 104: '75x497y-1832z', 105: '762x1712y-307z', 106: '776x1350y-1087z', 107: '776x1591y-688z', 108: '784x1476y-902z', 109: '79x70y-1897z', 110: '852x1316y-1072z', 111: '852x1673y-289z', 112: '861x1554y-671z', 113: '865x1441y-885z', 114: '90x187y-1888z', 115: '926x1279y-1056z', 116: '940x1628y-270z', 117: '944x1401y-868z', 118: '945x1513y-653z', 119: '96x1846y-438z', 120: '98x77y-1895z', 121: '998x1237y-1040z'}
 
                  
            else:
                print("\n (STEP 358F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 358F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 358F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 1900 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three19004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 359F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE19004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three19004xi = queue2three.get()
                if fire2three19004xi is None:
                    fire2three19004xi = shot2three19004xi
                    print("\n (STEP 359F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE19004XI TO SHOT2THREE19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 359F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE19004XI: ", fire2three19004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE19004XI:  {1: '0x1941y-480z', 2: '0x39y-1999z', 3: '101x1943y-461z', 4: '103x81y-1995z', 5: '1051x1302y-1095z', 6: '1075x1428y-896z', 7: '1079x1662y-264z', 8: '1081x1543y-668z', 9: '111x537y-1923z', 10: '1124x1253y-1078z', 11: '114x209y-1985z', 12: '1154x1376y-878z', 13: '1164x1490y-650z', 14: '1166x1605y-244z', 15: '116x1674y-1087z', 16: '1196x1200y-1061z', 17: '1230x1321y-860z', 18: '123x87y-1994z', 19: '1245x1432y-631z', 20: '1250x1544y-225z', 21: '1265x1143y-1044z', 22: '1304x1260y-842z', 23: '1322x1369y-612z', 24: '1331x1081y-1027z', 25: '1331x1478y-205z', 26: '135x220y-1983z', 27: '1374x1196y-824z', 28: '1394x1016y-1010z', 29: '1396x1302y-592z', 30: '13x98y-1997z', 31: '1408x1408y-185z', 32: '143x549y-1917z', 33: '1441x1127y-806z', 34: '1467x1231y-573z', 35: '1481x1333y-165z', 36: '1505x1055y-787z', 37: '1534x1156y-554z', 38: '1550x1255y-145z', 39: '157x1801y-853z', 40: '158x229y-1980z', 41: '1597x1077y-535z', 42: '1614x1173y-125z', 43: '166x1611y-1336z', 44: '178x559y-1911z', 45: '182x236y-1977z', 46: '19x25y-1999z', 47: '1x59y-1999z', 48: '203x1939y-441z', 49: '205x1676y-1070z', 50: '207x241y-1974z', 51: '214x567y-1905z', 52: '22x117y-1996z', 53: '22x490y-1938z', 54: '233x244y-1971z', 55: '240x1536y-1256z', 56: '251x572y-1899z', 57: '252x1799y-835z', 58: '260x245y-1967z', 59: '287x244y-1964z', 60: '289x575y-1893z', 61: '28x1667y-1104z', 62: '294x1674y-1053z', 63: '305x1930y-422z', 64: '315x240y-1960z', 65: '323x1534y-1241z', 66: '328x576y-1886z', 67: '32x135y-1995z', 68: '33x40y-1999z', 69: '343x234y-1956z', 70: '348x1791y-817z', 71: '368x574y-1880z', 72: '383x1666y-1036z', 73: '406x1527y-1225z', 74: '407x1916y-402z', 75: '408x569y-1873z', 76: '443x1778y-799z', 77: '449x561y-1866z', 78: '45x152y-1993z', 79: '473x1654y-1019z', 80: '489x1515y-1209z', 81: '48x52y-1998z', 82: '490x551y-1858z', 83: '508x1896y-383z', 84: '50x507y-1933z', 85: '531x538y-1851z', 86: '538x1760y-780z', 87: '562x1636y-1002z', 88: '572x1499y-1193z', 89: '573x521y-1843z', 90: '607x1870y-363z', 91: '60x168y-1991z', 92: '613x502y-1835z', 93: '62x1798y-871z', 94: '632x1737y-762z', 95: '651x1614y-984z', 96: '654x480y-1827z', 97: '655x1477y-1177z', 98: '65x64y-1997z', 99: '693x456y-1819z', 100: '6x79y-1998z', 101: '6x9y-1999z', 102: '706x1839y-343z', 103: '725x1708y-743z', 104: '736x1451y-1161z', 105: '738x1586y-967z', 106: '76x183y-1990z', 107: '79x523y-1928z', 108: '802x1802y-324z', 109: '817x1421y-1145z', 110: '817x1675y-725z', 111: '825x1554y-949z', 112: '83x73y-1996z', 113: '897x1386y-1128z', 114: '897x1761y-304z', 115: '907x1636y-706z', 116: '910x1517y-932z', 117: '94x197y-1987z', 118: '974x1346y-1112z', 119: '989x1714y-284z', 120: '993x1475y-914z', 121: '995x1592y-687z'}
 
                  
            else:
                print("\n (STEP 359F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 359F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 359F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
      

        
    #=========
    # 2000 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three20004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 360F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE20004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three20004xi = queue2three.get()
                if fire2three20004xi is None:
                    fire2three20004xi = shot2three20004xi
                    print("\n (STEP 360F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE20004XI TO SHOT2THREE20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 360F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE20004XI: ", fire2three20004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE20004XI:  {1: '0x2038y-504z', 2: '0x41y-2099z', 3: '1023x1413y-1167z', 4: '1039x1800y-298z', 5: '1043x1548y-960z', 6: '1044x1672y-722z', 7: '106x2040y-484z', 8: '108x85y-2095z', 9: '1103x1367y-1150z', 10: '1128x1499y-941z', 11: '1133x1745y-278z', 12: '1135x1621y-702z', 13: '116x564y-2019z', 14: '1181x1316y-1132z', 15: '120x220y-2084z', 16: '1211x1445y-922z', 17: '1222x1564y-682z', 18: '1225x1686y-257z', 19: '122x1758y-1141z', 20: '1256x1260y-1114z', 21: '1292x1387y-903z', 22: '129x92y-2093z', 23: '1307x1503y-662z', 24: '1313x1621y-236z', 25: '1328x1200y-1096z', 26: '1369x1323y-884z', 27: '1388x1438y-642z', 28: '1397x1552y-215z', 29: '1398x1136y-1078z', 30: '13x103y-2097z', 31: '142x231y-2082z', 32: '1443x1256y-865z', 33: '1464x1067y-1060z', 34: '1466x1367y-622z', 35: '1478x1478y-194z', 36: '1513x1184y-846z', 37: '151x577y-2013z', 38: '1541x1293y-602z', 39: '1555x1400y-173z', 40: '1580x1107y-827z', 41: '1611x1214y-582z', 42: '1627x1318y-152z', 43: '165x1891y-896z', 44: '166x240y-2079z', 45: '1677x1131y-562z', 46: '1695x1231y-131z', 47: '174x1688y-1399z', 48: '187x587y-2007z', 49: '191x248y-2076z', 50: '1x62y-2099z', 51: '20x26y-2099z', 52: '214x2036y-464z', 53: '215x1760y-1124z', 54: '217x253y-2073z', 55: '224x595y-2001z', 56: '23x123y-2096z', 57: '244x256y-2069z', 58: '24x514y-2035z', 59: '252x1613y-1319z', 60: '263x601y-1994z', 61: '265x1889y-877z', 62: '273x257y-2066z', 63: '29x1750y-1159z', 64: '301x256y-2062z', 65: '303x604y-1988z', 66: '309x1758y-1106z', 67: '321x2027y-443z', 68: '331x252y-2058z', 69: '339x1611y-1303z', 70: '344x605y-1981z', 71: '34x142y-2094z', 72: '34x42y-2099z', 73: '361x246y-2053z', 74: '365x1881y-858z', 75: '386x602y-1974z', 76: '403x1750y-1088z', 77: '426x1603y-1286z', 78: '427x2012y-422z', 79: '429x597y-1966z', 80: '465x1867y-839z', 81: '472x589y-1959z', 82: '47x160y-2093z', 83: '497x1737y-1070z', 84: '514x1591y-1270z', 85: '515x578y-1951z', 86: '51x55y-2098z', 87: '52x533y-2030z', 88: '533x1990y-402z', 89: '558x565y-1943z', 90: '565x1848y-819z', 91: '590x1718y-1052z', 92: '601x1573y-1253z', 93: '601x548y-1935z', 94: '638x1963y-381z', 95: '63x177y-2091z', 96: '644x528y-1927z', 97: '65x1888y-915z', 98: '664x1824y-800z', 99: '683x1695y-1033z', 100: '686x505y-1919z', 101: '687x1551y-1236z', 102: '68x67y-2097z', 103: '6x10y-2099z', 104: '6x83y-2098z', 105: '728x478y-1910z', 106: '741x1931y-361z', 107: '761x1794y-780z', 108: '773x1524y-1219z', 109: '775x1666y-1015z', 110: '80x193y-2089z', 111: '83x549y-2025z', 112: '842x1893y-340z', 113: '857x1759y-761z', 114: '858x1492y-1202z', 115: '866x1632y-997z', 116: '88x77y-2096z', 117: '941x1455y-1185z', 118: '942x1849y-319z', 119: '952x1718y-741z', 120: '956x1593y-978z', 121: '99x207y-2087z'}

                  
            else:
                print("\n (STEP 360F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 360F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 360F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2100 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three21004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 361F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE21004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three21004xi = queue2three.get()
                if fire2three21004xi is None:
                    fire2three21004xi = shot2three21004xi
                    print("\n (STEP 361F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE21004XI TO SHOT2THREE21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 361F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE21004XI: ", fire2three21004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE21004XI:  {1: '0x2135y-528z', 2: '1001x1668y-1025z', 3: '104x217y-2186z', 4: '1072x1481y-1223z', 5: '1088x1885y-313z', 6: '1093x1622y-1005z', 7: '1094x1751y-756z', 8: '112x2137y-507z', 9: '113x90y-2195z', 10: '1156x1432y-1204z', 11: '1182x1571y-986z', 12: '1187x1828y-291z', 13: '1189x1698y-735z', 14: '122x591y-2115z', 15: '1237x1378y-1186z', 16: '1269x1514y-966z', 17: '126x230y-2184z', 18: '127x1842y-1196z', 19: '1280x1639y-715z', 20: '1283x1766y-269z', 21: '1316x1320y-1167z', 22: '1353x1453y-946z', 23: '1369x1575y-694z', 24: '136x96y-2193z', 25: '1375x1698y-247z', 26: '1392x1257y-1149z', 27: '1434x1386y-926z', 28: '1454x1506y-673z', 29: '1464x1190y-1130z', 30: '1464x1626y-225z', 31: '149x242y-2181z', 32: '14x108y-2197z', 33: '1512x1315y-906z', 34: '1534x1118y-1111z', 35: '1536x1432y-652z', 36: '1548x1548y-203z', 37: '1585x1240y-886z', 38: '158x604y-2109z', 39: '1614x1354y-631z', 40: '1629x1467y-181z', 41: '1655x1160y-866z', 42: '1688x1272y-610z', 43: '1705x1380y-160z', 44: '173x1981y-939z', 45: '174x1688y-1399z', 46: '174x252y-2178z', 47: '1757x1185y-588z', 48: '1776x1290y-138z', 49: '196x615y-2103z', 50: '1x65y-2199z', 51: '200x259y-2175z', 52: '20x28y-2199z', 53: '224x2133y-486z', 54: '225x1844y-1177z', 55: '228x265y-2171z', 56: '235x623y-2096z', 57: '24x129y-2196z', 58: '256x268y-2168z', 59: '25x539y-2132z', 60: '264x1690y-1382z', 61: '276x629y-2089z', 62: '278x1979y-919z', 63: '286x269y-2164z', 64: '316x268y-2160z', 65: '318x633y-2082z', 66: '31x1834y-1214z', 67: '323x1841y-1158z', 68: '336x2123y-464z', 69: '347x264y-2156z', 70: '355x1687y-1365z', 71: '361x633y-2075z', 72: '36x149y-2194z', 73: '36x44y-2199z', 74: '378x258y-2151z', 75: '383x1970y-899z', 76: '404x631y-2068z', 77: '422x1833y-1140z', 78: '447x1680y-1348z', 79: '448x2107y-443z', 80: '449x626y-2060z', 81: '487x1956y-878z', 82: '494x617y-2052z', 83: '50x167y-2193z', 84: '520x1819y-1121z', 85: '538x1667y-1330z', 86: '539x606y-2044z', 87: '53x58y-2198z', 88: '558x2085y-421z', 89: '55x558y-2127z', 90: '585x591y-2036z', 91: '592x1936y-858z', 92: '618x1800y-1102z', 93: '629x1648y-1313z', 94: '630x574y-2028z', 95: '668x2057y-399z', 96: '66x185y-2191z', 97: '675x553y-2019z', 98: '695x1911y-838z', 99: '69x1978y-958z', 100: '716x1775y-1083z', 101: '719x529y-2010z', 102: '720x1625y-1295z', 103: '72x70y-2197z', 104: '762x501y-2001z', 105: '776x2023y-378z', 106: '797x1879y-818z', 107: '7x10y-2199z', 108: '7x87y-2198z', 109: '810x1597y-1277z', 110: '812x1745y-1064z', 111: '84x202y-2189z', 112: '87x575y-2121z', 113: '882x1983y-356z', 114: '898x1842y-797z', 115: '899x1563y-1259z', 116: '89x1757y-1480z', 117: '908x1709y-1044z', 118: '92x81y-2196z', 119: '986x1524y-1241z', 120: '987x1937y-334z', 121: '997x1800y-777z'}
 
                  
            else:
                print("\n (STEP 361F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 361F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 361F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2200 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three22004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 362F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE22004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three22004xi = queue2three.get()
                if fire2three22004xi is None:
                    fire2three22004xi = shot2three22004xi
                    print("\n (STEP 362F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE22004XI TO SHOT2THREE22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 362F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE22004XI: ", fire2three22004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE22004XI:  {1: '0x2232y-552z', 2: '1031x1594y-1297z', 3: '1032x2025y-350z', 4: '1043x1881y-812z', 5: '1047x1744y-1071z', 6: '109x227y-2286z', 7: '1121x1548y-1278z', 8: '1138x1971y-327z', 9: '1142x1696y-1051z', 10: '1144x1831y-790z', 11: '117x2234y-530z', 12: '118x94y-2294z', 13: '1208x1497y-1259z', 14: '1236x1642y-1030z', 15: '1241x1911y-304z', 16: '1243x1775y-769z', 17: '127x618y-2211z', 18: '1293x1441y-1240z', 19: '131x241y-2283z', 20: '1327x1583y-1010z', 21: '1339x1714y-747z', 22: '133x1925y-1250z', 23: '1341x1846y-281z', 24: '1376x1380y-1220z', 25: '1415x1519y-989z', 26: '142x101y-2293z', 27: '1431x1647y-725z', 28: '1438x1776y-258z', 29: '1455x1314y-1201z', 30: '1499x1449y-968z', 31: '1521x1575y-703z', 32: '1530x1700y-236z', 33: '1531x1244y-1181z', 34: '156x253y-2280z', 35: '1580x1375y-947z', 36: '15x113y-2297z', 37: '1603x1169y-1161z', 38: '1606x1498y-681z', 39: '1619x1619y-213z', 40: '1658x1296y-926z', 41: '165x631y-2205z', 42: '1687x1416y-659z', 43: '1703x1533y-190z', 44: '1731x1213y-905z', 45: '1764x1329y-637z', 46: '1782x1443y-167z', 47: '181x2072y-981z', 48: '182x1765y-1463z', 49: '182x263y-2277z', 50: '1837x1239y-615z', 51: '1857x1349y-144z', 52: '1x68y-2298z', 53: '204x643y-2198z', 54: '209x271y-2274z', 55: '21x29y-2299z', 56: '234x2230y-508z', 57: '235x1928y-1231z', 58: '238x277y-2270z', 59: '246x652y-2191z', 60: '25x135y-2295z', 61: '268x281y-2266z', 62: '26x563y-2229z', 63: '277x1767y-1445z', 64: '288x658y-2184z', 65: '290x2069y-960z', 66: '299x282y-2262z', 67: '32x1917y-1269z', 68: '330x280y-2258z', 69: '332x662y-2177z', 70: '338x1925y-1211z', 71: '351x2220y-485z', 72: '362x276y-2254z', 73: '372x1764y-1427z', 74: '377x662y-2169z', 75: '37x155y-2294z', 76: '38x46y-2299z', 77: '395x270y-2249z', 78: '400x2060y-939z', 79: '423x660y-2162z', 80: '441x1916y-1191z', 81: '467x1756y-1409z', 82: '468x2203y-463z', 83: '469x654y-2154z', 84: '510x2045y-918z', 85: '516x646y-2146z', 86: '52x175y-2292z', 87: '544x1902y-1172z', 88: '563x1742y-1391z', 89: '564x634y-2137z', 90: '56x60y-2298z', 91: '57x583y-2223z', 92: '584x2180y-440z', 93: '611x618y-2129z', 94: '619x2025y-897z', 95: '647x1882y-1152z', 96: '658x1723y-1372z', 97: '659x600y-2120z', 98: '698x2150y-418z', 99: '69x194y-2290z', 100: '705x578y-2111z', 101: '727x1998y-876z', 102: '72x2068y-1002z', 103: '748x1856y-1132z', 104: '752x553y-2101z', 105: '753x1699y-1354z', 106: '75x73y-2297z', 107: '797x524y-2092z', 108: '7x11y-2299z', 109: '7x91y-2298z', 110: '811x2115y-395z', 111: '834x1965y-855z', 112: '847x1669y-1335z', 113: '849x1824y-1112z', 114: '88x211y-2288z', 115: '91x602y-2217z', 116: '923x2073y-372z', 117: '939x1926y-833z', 118: '93x1833y-1545z', 119: '940x1634y-1316z', 120: '949x1787y-1092z', 121: '96x85y-2296z'}

                  
            else:
                print("\n (STEP 362F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 362F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 362F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2300 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three23004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 363F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE23004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three23004xi = queue2three.get()
                if fire2three23004xi is None:
                    fire2three23004xi = shot2three23004xi
                    print("\n (STEP 363F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE23004XI TO SHOT2THREE23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 363F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE23004XI: ", fire2three23004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE23004XI:  {1: '0x2329y-577z', 2: '100x88y-2396z', 3: '1076x1663y-1354z', 4: '1076x2113y-365z', 5: '1088x1963y-847z', 6: '1092x1820y-1118z', 7: '113x237y-2385z', 8: '1169x1615y-1334z', 9: '1187x2057y-341z', 10: '1192x1770y-1097z', 11: '1194x1911y-825z', 12: '122x2332y-553z', 13: '124x98y-2394z', 14: '1261x1562y-1314z', 15: '1290x1714y-1075z', 16: '1295x1995y-317z', 17: '1297x1852y-802z', 18: '133x645y-2307z', 19: '1349x1504y-1294z', 20: '137x251y-2382z', 21: '1384x1652y-1054z', 22: '1397x1788y-780z', 23: '139x2009y-1304z', 24: '1400x1927y-293z', 25: '1435x1440y-1273z', 26: '1476x1585y-1032z', 27: '148x105y-2393z', 28: '1494x1718y-757z', 29: '1500x1853y-270z', 30: '1518x1371y-1253z', 31: '1564x1512y-1010z', 32: '1587x1643y-734z', 33: '1597x1774y-246z', 34: '1598x1298y-1233z', 35: '15x118y-2397z', 36: '163x264y-2379z', 37: '1649x1435y-989z', 38: '1673x1220y-1212z', 39: '1676x1563y-711z', 40: '1689x1689y-222z', 41: '172x659y-2301z', 42: '1730x1353y-967z', 43: '1761x1477y-688z', 44: '1777x1600y-198z', 45: '1806x1266y-945z', 46: '1841x1387y-665z', 47: '1860x1506y-174z', 48: '189x2162y-1024z', 49: '190x1841y-1526z', 50: '190x275y-2376z', 51: '1917x1293y-642z', 52: '1937x1407y-150z', 53: '213x671y-2294z', 54: '218x283y-2373z', 55: '22x30y-2399z', 56: '244x2327y-530z', 57: '246x2012y-1284z', 58: '248x289y-2369z', 59: '256x680y-2287z', 60: '26x140y-2395z', 61: '279x293y-2365z', 62: '27x588y-2326z', 63: '289x1844y-1508z', 64: '2x71y-2398z', 65: '301x687y-2279z', 66: '303x2159y-1002z', 67: '312x294y-2361z', 68: '33x2000y-1324z', 69: '345x293y-2356z', 70: '347x690y-2272z', 71: '353x2009y-1264z', 72: '366x2316y-506z', 73: '378x288y-2352z', 74: '388x1841y-1489z', 75: '393x691y-2264z', 76: '39x162y-2394z', 77: '39x48y-2399z', 78: '412x281y-2347z', 79: '417x2150y-980z', 80: '441x688y-2256z', 81: '460x2000y-1243z', 82: '487x1832y-1470z', 83: '488x2299y-483z', 84: '490x683y-2247z', 85: '532x2134y-958z', 86: '539x674y-2239z', 87: '54x183y-2392z', 88: '568x1985y-1223z', 89: '587x1818y-1451z', 90: '588x661y-2230z', 91: '58x63y-2398z', 92: '609x2275y-459z', 93: '60x609y-2320z', 94: '638x645y-2221z', 95: '646x2113y-936z', 96: '675x1964y-1202z', 97: '687x1798y-1432z', 98: '687x626y-2212z', 99: '729x2244y-436z', 100: '72x202y-2390z', 101: '736x603y-2203z', 102: '758x2085y-914z', 103: '75x2158y-1046z', 104: '781x1937y-1181z', 105: '784x577y-2193z', 106: '786x1773y-1413z', 107: '78x77y-2397z', 108: '7x11y-2399z', 109: '7x95y-2398z', 110: '832x547y-2183z', 111: '847x2207y-412z', 112: '870x2050y-892z', 113: '884x1742y-1393z', 114: '886x1904y-1160z', 115: '92x220y-2388z', 116: '95x628y-2314z', 117: '963x2163y-389z', 118: '97x1910y-1609z', 119: '980x2010y-870z', 120: '981x1705y-1374z', 121: '990x1865y-1139z'}

                  
            else:
                print("\n (STEP 363F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 363F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 363F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2400 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three24004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 364F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE24004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three24004xi = queue2three.get()
                
                if fire2three24004xi is None:
                    fire2three24004xi = shot2three24004xi
                    print("\n (STEP 364F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE24004XI TO SHOT2THREE24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 364F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE24004XI: ", fire2three24004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE24004XI:  {1: '0x2426y-601z', 2: '1003x2253y-405z', 3: '100x1986y-1674z', 4: '1021x2094y-906z', 5: '1022x1776y-1431z', 6: '1031x1943y-1187z', 7: '104x92y-2496z', 8: '1121x1732y-1410z', 9: '1121x2201y-380z', 10: '1133x2045y-883z', 11: '1138x1896y-1165z', 12: '118x246y-2484z', 13: '1218x1683y-1390z', 14: '1237x2143y-355z', 15: '1242x1843y-1142z', 16: '1244x1990y-859z', 17: '127x2429y-576z', 18: '129x102y-2494z', 19: '1313x1627y-1369z', 20: '1343x1785y-1120z', 21: '1349x2078y-331z', 22: '1351x1929y-836z', 23: '138x671y-2404z', 24: '1406x1566y-1348z', 25: '143x262y-2482z', 26: '1442x1721y-1098z', 27: '1455x1863y-812z', 28: '1458x2007y-306z', 29: '145x2093y-1359z', 30: '1495x1500y-1327z', 31: '1538x1651y-1075z', 32: '154x109y-2492z', 33: '1556x1790y-788z', 34: '1563x1930y-281z', 35: '1582x1429y-1305z', 36: '1630x1575y-1053z', 37: '1653x1712y-765z', 38: '1663x1848y-256z', 39: '1664x1352y-1284z', 40: '169x275y-2478z', 41: '16x123y-2496z', 42: '1718x1495y-1030z', 43: '1743x1270y-1262z', 44: '1746x1628y-741z', 45: '1760x1760y-231z', 46: '179x686y-2397z', 47: '1802x1409y-1007z', 48: '1834x1539y-717z', 49: '1851x1667y-206z', 50: '1881x1319y-984z', 51: '1918x1445y-693z', 52: '1937x1569y-181z', 53: '197x2252y-1067z', 54: '198x1918y-1590z', 55: '198x286y-2475z', 56: '1996x1346y-669z', 57: '2018x1466y-156z', 58: '222x699y-2389z', 59: '227x295y-2472z', 60: '23x32y-2499z', 61: '254x2424y-552z', 62: '256x2096y-1338z', 63: '259x301y-2468z', 64: '267x709y-2382z', 65: '27x146y-2495z', 66: '28x612y-2423z', 67: '291x305y-2464z', 68: '2x74y-2498z', 69: '301x1921y-1571z', 70: '313x715y-2374z', 71: '316x2249y-1044z', 72: '325x306y-2459z', 73: '359x305y-2455z', 74: '35x2084y-1380z', 75: '361x719y-2366z', 76: '367x2092y-1316z', 77: '382x2413y-527z', 78: '394x300y-2450z', 79: '404x1918y-1551z', 80: '410x720y-2358z', 81: '41x169y-2493z', 82: '41x50y-2499z', 83: '429x293y-2445z', 84: '435x2239y-1021z', 85: '460x717y-2350z', 86: '479x2083y-1295z', 87: '508x1909y-1531z', 88: '509x2395y-503z', 89: '510x711y-2341z', 90: '554x2223y-998z', 91: '561x702y-2332z', 92: '57x190y-2492z', 93: '591x2067y-1274z', 94: '60x66y-2498z', 95: '612x1894y-1512z', 96: '613x689y-2323z', 97: '635x2370y-479z', 98: '63x634y-2417z', 99: '664x672y-2314z', 100: '672x2201y-975z', 101: '703x2046y-1252z', 102: '715x1873y-1492z', 103: '716x652y-2304z', 104: '759x2338y-454z', 105: '75x211y-2489z', 106: '767x628y-2294z', 107: '78x2248y-1089z', 108: '790x2171y-952z', 109: '814x2017y-1230z', 110: '817x601y-2284z', 111: '818x1847y-1472z', 112: '82x80y-2497z', 113: '866x570y-2274z', 114: '882x2299y-429z', 115: '8x12y-2499z', 116: '8x99y-2498z', 117: '906x2136y-929z', 118: '921x1814y-1451z', 119: '923x1983y-1209z', 120: '95x229y-2487z', 121: '99x654y-2410z'}

                  
            else:
                print("\n (STEP 364F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 364F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 364F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2500 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three25004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 365F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE25004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three25004xi = queue2three.get()
                
                if fire2three25004xi is None:
                    fire2three25004xi = shot2three25004xi
                    print("\n (STEP 365F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE25004XI TO SHOT2THREE25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 365F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE25004XI: ", fire2three25004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE25004XI:  {1: '0x2523y-625z', 2: '103x680y-2507z', 3: '1043x2343y-421z', 4: '104x2063y-1738z', 5: '1062x1847y-1488z', 6: '1062x2177y-942z', 7: '1073x2020y-1234z', 8: '109x96y-2595z', 9: '1166x1802y-1467z', 10: '1166x2289y-395z', 11: '1179x2127y-918z', 12: '1183x1972y-1211z', 13: '123x256y-2584z', 14: '1267x1750y-1445z', 15: '1286x2228y-370z', 16: '1292x1917y-1188z', 17: '1293x2070y-894z', 18: '132x2526y-599z', 19: '134x106y-2594z', 20: '1366x1692y-1423z', 21: '1397x1856y-1165z', 22: '1403x2161y-344z', 23: '1405x2007y-869z', 24: '144x698y-2500z', 25: '1462x1629y-1402z', 26: '149x272y-2581z', 27: '1500x1790y-1142z', 28: '1513x1937y-845z', 29: '1516x2087y-318z', 30: '151x2176y-1413z', 31: '1555x1560y-1380z', 32: '1599x1717y-1118z', 33: '160x114y-2592z', 34: '1618x1862y-820z', 35: '1625x2007y-292z', 36: '1645x1486y-1358z', 37: '1695x1638y-1095z', 38: '1719x1780y-795z', 39: '1730x1921y-266z', 40: '1731x1406y-1335z', 41: '176x286y-2578z', 42: '1787x1555y-1071z', 43: '17x128y-2596z', 44: '1813x1321y-1313z', 45: '1816x1693y-770z', 46: '1830x1830y-240z', 47: '1874x1465y-1047z', 48: '187x714y-2492z', 49: '1907x1600y-746z', 50: '1925x1733y-215z', 51: '1956x1371y-1023z', 52: '1995x1503y-721z', 53: '2015x1631y-189z', 54: '204x2342y-1109z', 55: '206x1995y-1654z', 56: '206x297y-2574z', 57: '2076x1400y-696z', 58: '2099x1525y-163z', 59: '231x727y-2485z', 60: '237x307y-2570z', 61: '24x33y-2599z', 62: '265x2521y-574z', 63: '266x2179y-1391z', 64: '269x313y-2566z', 65: '278x737y-2477z', 66: '28x152y-2595z', 67: '29x637y-2520z', 68: '2x77y-2598z', 69: '303x317y-2562z', 70: '313x1997y-1633z', 71: '326x744y-2469z', 72: '328x2339y-1086z', 73: '338x319y-2558z', 74: '36x2167y-1435z', 75: '373x317y-2553z', 76: '375x748y-2461z', 77: '382x2176y-1369z', 78: '397x2510y-549z', 79: '410x312y-2548z', 80: '420x1994y-1613z', 81: '426x749y-2452z', 82: '42x176y-2593z', 83: '43x52y-2599z', 84: '447x305y-2542z', 85: '452x2329y-1062z', 86: '478x746y-2444z', 87: '499x2166y-1347z', 88: '528x1985y-1593z', 89: '529x2491y-523z', 90: '531x740y-2435z', 91: '576x2312y-1038z', 92: '584x730y-2425z', 93: '59x198y-2591z', 94: '615x2150y-1325z', 95: '636x1970y-1572z', 96: '637x716y-2416z', 97: '63x68y-2598z', 98: '65x660y-2513z', 99: '660x2464y-498z', 100: '691x699y-2406z', 101: '699x2289y-1014z', 102: '731x2127y-1302z', 103: '744x1948y-1551z', 104: '744x678y-2396z', 105: '78x219y-2589z', 106: '790x2431y-472z', 107: '797x653y-2386z', 108: '81x2338y-1133z', 109: '822x2258y-990z', 110: '846x2098y-1280z', 111: '850x625y-2376z', 112: '851x1921y-1530z', 113: '85x83y-2597z', 114: '8x103y-2597z', 115: '8x12y-2599z', 116: '901x592y-2365z', 117: '917x2391y-447z', 118: '943x2221y-966z', 119: '957x1887y-1509z', 120: '960x2062y-1257z', 121: '99x239y-2587z'}

                  
            else:
                print("\n (STEP 365F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 365F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 365F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2600 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three26004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 366F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE26004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three26004xi = queue2three.get()
                
                if fire2three26004xi is None:
                    fire2three26004xi = shot2three26004xi
                    print("\n (STEP 366F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE26004XI TO SHOT2THREE26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 366F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE26004XI: ", fire2three26004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE26004XI:  {1: '0x2620y-649z', 2: '103x248y-2686z', 3: '107x706y-2603z', 4: '1083x2433y-437z', 5: '108x2139y-1802z', 6: '1103x1918y-1545z', 7: '1103x2261y-978z', 8: '1114x2098y-1282z', 9: '113x99y-2695z', 10: '1211x1871y-1523z', 11: '1211x2377y-410z', 12: '1224x2209y-953z', 13: '1229x2048y-1258z', 14: '128x266y-2683z', 15: '1316x1817y-1501z', 16: '1336x2314y-384z', 17: '1341x1991y-1234z', 18: '1343x2150y-928z', 19: '137x2623y-622z', 20: '139x110y-2694z', 21: '1418x1757y-1478z', 22: '1451x1928y-1210z', 23: '1457x2244y-357z', 24: '1459x2084y-903z', 25: '149x725y-2596z', 26: '1518x1692y-1456z', 27: '154x283y-2680z', 28: '1558x1858y-1186z', 29: '156x2260y-1467z', 30: '1572x2012y-877z', 31: '1575x2167y-330z', 32: '1615x1620y-1433z', 33: '1661x1783y-1161z', 34: '167x118y-2692z', 35: '1680x1933y-851z', 36: '1688x2084y-303z', 37: '1708x1543y-1410z', 38: '1760x1701y-1137z', 39: '1785x1849y-826z', 40: '1797x1460y-1387z', 41: '1797x1995y-277z', 42: '17x133y-2696z', 43: '183x297y-2677z', 44: '1855x1614y-1112z', 45: '1882x1372y-1363z', 46: '1885x1758y-800z', 47: '1900x1900y-250z', 48: '1946x1522y-1088z', 49: '194x741y-2588z', 50: '1981x1662y-774z', 51: '1999x1800y-223z', 52: '2032x1424y-1063z', 53: '2071x1561y-748z', 54: '2092x1694y-196z', 55: '212x2432y-1152z', 56: '213x309y-2673z', 57: '214x2072y-1717z', 58: '2156x1454y-722z', 59: '2180x1583y-169z', 60: '240x755y-2581z', 61: '246x318y-2669z', 62: '25x34y-2699z', 63: '275x2618y-596z', 64: '276x2263y-1445z', 65: '279x325y-2665z', 66: '288x765y-2572z', 67: '29x158y-2695z', 68: '2x80y-2698z', 69: '30x662y-2617z', 70: '314x330y-2661z', 71: '325x2074y-1696z', 72: '338x773y-2564z', 73: '341x2429y-1128z', 74: '351x331y-2656z', 75: '388x329y-2651z', 76: '38x2250y-1490z', 77: '390x777y-2556z', 78: '397x2260y-1422z', 79: '412x2606y-570z', 80: '426x325y-2646z', 81: '436x2071y-1675z', 82: '443x777y-2547z', 83: '44x182y-2693z', 84: '44x54y-2699z', 85: '464x317y-2640z', 86: '470x2418y-1103z', 87: '497x775y-2538z', 88: '518x2250y-1399z', 89: '548x2061y-1654z', 90: '549x2586y-543z', 91: '551x768y-2528z', 92: '598x2401y-1078z', 93: '606x758y-2519z', 94: '61x206y-2691z', 95: '639x2233y-1376z', 96: '65x71y-2698z', 97: '661x2045y-1633z', 98: '662x744y-2509z', 99: '685x2559y-517z', 100: '68x685y-2610z', 101: '718x726y-2499z', 102: '726x2377y-1053z', 103: '759x2209y-1352z', 104: '773x2023y-1611z', 105: '773x704y-2488z', 106: '81x227y-2689z', 107: '820x2525y-490z', 108: '828x678y-2478z', 109: '84x2428y-1176z', 110: '853x2345y-1029z', 111: '879x2179y-1329z', 112: '882x649y-2467z', 113: '884x1995y-1589z', 114: '88x86y-2697z', 115: '8x107y-2697z', 116: '8x13y-2699z', 117: '936x615y-2456z', 118: '953x2483y-464z', 119: '979x2307y-1004z', 120: '994x1960y-1567z', 121: '997x2142y-1305z'}

                  
            else:
                print("\n (STEP 366F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 366F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 366F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2700 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three27004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 367F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE27004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three27004xi = queue2three.get()
                
                if fire2three27004xi is None:
                    fire2three27004xi = shot2three27004xi
                    print("\n (STEP 367F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE27004XI TO SHOT2THREE27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 367F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE27004XI: ", fire2three27004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE27004XI:  {1: '0x2717y-673z', 2: '1015x2392y-1041z', 3: '1031x2032y-1625z', 4: '1034x2221y-1354z', 5: '107x257y-2786z', 6: '111x732y-2700z', 7: '1123x2524y-453z', 8: '112x2215y-1867z', 9: '1143x2345y-1015z', 10: '1144x1989y-1603z', 11: '1155x2176y-1329z', 12: '117x103y-2795z', 13: '1255x1940y-1580z', 14: '1256x2465y-426z', 15: '1269x2291y-989z', 16: '1274x2124y-1304z', 17: '132x276y-2783z', 18: '1364x1885y-1556z', 19: '1385x2400y-398z', 20: '1391x2065y-1280z', 21: '1393x2229y-962z', 22: '142x2720y-645z', 23: '144x114y-2793z', 24: '1471x1823y-1533z', 25: '1505x1999y-1255z', 26: '1511x2327y-370z', 27: '1513x2161y-936z', 28: '155x752y-2692z', 29: '1574x1754y-1509z', 30: '160x293y-2779z', 31: '1615x1927y-1230z', 32: '162x2344y-1522z', 33: '1630x2086y-910z', 34: '1633x2248y-342z', 35: '1675x1680y-1486z', 36: '1722x1849y-1204z', 37: '173x123y-2791z', 38: '1743x2005y-883z', 39: '1750x2162y-315z', 40: '1771x1600y-1462z', 41: '1825x1765y-1179z', 42: '1851x1917y-856z', 43: '1863x2069y-287z', 44: '1864x1514y-1438z', 45: '18x138y-2796z', 46: '190x308y-2776z', 47: '1924x1674y-1154z', 48: '1952x1423y-1414z', 49: '1955x1823y-830z', 50: '1971x1971y-259z', 51: '2018x1578y-1128z', 52: '201x769y-2684z', 53: '2054x1724y-803z', 54: '2073x1867y-231z', 55: '2107x1477y-1102z', 56: '2148x1618y-776z', 57: '2170x1757y-203z', 58: '220x2522y-1195z', 59: '221x320y-2772z', 60: '222x2148y-1781z', 61: '2236x1508y-749z', 62: '2260x1642y-175z', 63: '249x783y-2676z', 64: '255x330y-2768z', 65: '26x35y-2799z', 66: '285x2715y-618z', 67: '287x2347y-1498z', 68: '290x337y-2764z', 69: '299x794y-2668z', 70: '2x83y-2798z', 71: '30x164y-2794z', 72: '326x342y-2759z', 73: '32x686y-2714z', 74: '337x2151y-1759z', 75: '351x801y-2659z', 76: '354x2519y-1169z', 77: '364x343y-2754z', 78: '39x2334y-1545z', 79: '402x341y-2749z', 80: '404x806y-2650z', 81: '412x2344y-1474z', 82: '428x2703y-591z', 83: '441x337y-2744z', 84: '453x2148y-1737z', 85: '459x806y-2641z', 86: '46x189y-2793z', 87: '46x56y-2799z', 88: '481x328y-2738z', 89: '487x2508y-1144z', 90: '515x803y-2632z', 91: '537x2333y-1451z', 92: '569x2138y-1715z', 93: '570x2682y-563z', 94: '572x797y-2622z', 95: '620x2490y-1118z', 96: '629x786y-2612z', 97: '63x213y-2791z', 98: '662x2316y-1427z', 99: '685x2121y-1693z', 100: '687x771y-2602z', 101: '68x74y-2798z', 102: '70x710y-2707z', 103: '711x2654y-536z', 104: '744x753y-2591z', 105: '753x2465y-1092z', 106: '787x2291y-1402z', 107: '801x2098y-1671z', 108: '802x730y-2581z', 109: '84x236y-2788z', 110: '850x2618y-509z', 111: '859x704y-2570z', 112: '87x2518y-1220z', 113: '885x2432y-1067z', 114: '911x2260y-1378z', 115: '915x673y-2558z', 116: '917x2068y-1648z', 117: '91x90y-2797z', 118: '970x638y-2547z', 119: '988x2575y-481z', 120: '9x110y-2797z', 121: '9x13y-2799z'}

                  
            else:
                print("\n (STEP 367F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 367F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 367F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2800 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three28004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 368F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE28004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three28004xi = queue2three.get()
                
                if fire2three28004xi is None:
                    fire2three28004xi = shot2three28004xi
                    print("\n (STEP 368F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE28004XI TO SHOT2THREE28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 368F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE28004XI: ", fire2three28004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE28004XI:  {1: '0x2814y-697z', 2: '1005x661y-2638z', 3: '1023x2667y-498z', 4: '1051x2478y-1078z', 5: '1068x2105y-1683z', 6: '1071x2301y-1402z', 7: '111x266y-2885z', 8: '115x759y-2796z', 9: '1163x2614y-470z', 10: '116x2292y-1931z', 11: '1184x2429y-1051z', 12: '1185x2061y-1660z', 13: '1196x2254y-1377z', 14: '121x107y-2895z', 15: '1300x2010y-1636z', 16: '1301x2553y-441z', 17: '1315x2372y-1024z', 18: '1320x2200y-1351z', 19: '137x286y-2882z', 20: '1413x1952y-1612z', 21: '1435x2485y-412z', 22: '1441x2139y-1325z', 23: '1443x2309y-997z', 24: '147x2817y-669z', 25: '149x118y-2893z', 26: '1523x1888y-1588z', 27: '1559x2071y-1299z', 28: '1565x2410y-383z', 29: '1567x2238y-969z', 30: '160x779y-2788z', 31: '1631x1817y-1563z', 32: '166x304y-2879z', 33: '1673x1996y-1273z', 34: '1688x2161y-942z', 35: '168x2428y-1576z', 36: '1691x2328y-355z', 37: '1735x1740y-1539z', 38: '1784x1915y-1247z', 39: '179x127y-2891z', 40: '1805x2076y-915z', 41: '1813x2239y-326z', 42: '1835x1657y-1514z', 43: '1891x1828y-1221z', 44: '1917x1985y-887z', 45: '1930x2143y-297z', 46: '1931x1568y-1489z', 47: '196x319y-2875z', 48: '1993x1734y-1195z', 49: '19x143y-2896z', 50: '2022x1474y-1464z', 51: '2025x1888y-859z', 52: '2041x2041y-268z', 53: '208x796y-2780z', 54: '2090x1635y-1168z', 55: '2128x1785y-832z', 56: '2147x1933y-239z', 57: '2182x1530y-1142z', 58: '2225x1676y-804z', 59: '2247x1820y-210z', 60: '228x2612y-1237z', 61: '229x332y-2871z', 62: '230x2225y-1845z', 63: '2316x1562y-776z', 64: '2341x1701y-182z', 65: '258x811y-2772z', 66: '264x342y-2867z', 67: '27x37y-2899z', 68: '295x2812y-640z', 69: '297x2431y-1552z', 70: '2x86y-2898z', 71: '300x350y-2863z', 72: '310x822y-2763z', 73: '32x170y-2894z', 74: '338x354y-2858z', 75: '33x711y-2811z', 76: '349x2228y-1822z', 77: '364x830y-2754z', 78: '366x2609y-1211z', 79: '377x355y-2853z', 80: '40x2417y-1600z', 81: '416x354y-2847z', 82: '419x834y-2745z', 83: '426x2427y-1527z', 84: '443x2799y-612z', 85: '457x349y-2842z', 86: '469x2224y-1799z', 87: '476x835y-2735z', 88: '47x196y-2892z', 89: '48x58y-2899z', 90: '498x340y-2836z', 91: '505x2598y-1185z', 92: '533x832y-2726z', 93: '556x2416y-1502z', 94: '589x2214y-1777z', 95: '590x2778y-584z', 96: '592x825y-2716z', 97: '643x2579y-1158z', 98: '651x814y-2705z', 99: '66x221y-2890z', 100: '686x2398y-1478z', 101: '70x76y-2898z', 102: '710x2197y-1754z', 103: '711x799y-2695z', 104: '736x2749y-555z', 105: '73x736y-2804z', 106: '771x780y-2684z', 107: '780x2553y-1132z', 108: '815x2373y-1453z', 109: '830x2173y-1730z', 110: '830x756y-2673z', 111: '87x244y-2888z', 112: '881x2712y-527z', 113: '890x729y-2661z', 114: '916x2519y-1105z', 115: '91x2608y-1264z', 116: '944x2340y-1427z', 117: '948x697y-2650z', 118: '949x2142y-1707z', 119: '95x93y-2896z', 120: '9x114y-2897z', 121: '9x14y-2899z'}
 
                  
            else:
                print("\n (STEP 368F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 368F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 368F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 2900 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three29004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 369F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE29004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three29004xi = queue2three.get()
                if fire2three29004xi is None:
                    fire2three29004xi = shot2three29004xi
                    print("\n (STEP 369F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE29004XI TO SHOT2THREE29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 369F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE29004XI: ", fire2three29004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE29004XI:  {1: '0x2912y-721z', 2: '1040x684y-2729z', 3: '1059x2759y-515z', 4: '1088x2563y-1115z', 5: '1105x2177y-1742z', 6: '1108x2380y-1450z', 7: '115x275y-2985z', 8: '119x785y-2892z', 9: '1204x2704y-486z', 10: '120x2368y-1996z', 11: '1225x2512y-1087z', 12: '1226x2132y-1717z', 13: '1238x2331y-1424z', 14: '125x110y-2995z', 15: '1345x2079y-1692z', 16: '1346x2641y-456z', 17: '1360x2454y-1059z', 18: '1365x2275y-1398z', 19: '142x296y-2981z', 20: '1462x2019y-1668z', 21: '1484x2571y-426z', 22: '1490x2212y-1371z', 23: '1492x2389y-1031z', 24: '152x2915y-692z', 25: '155x122y-2993z', 26: '1576x1953y-1643z', 27: '1612x2142y-1344z', 28: '1619x2493y-397z', 29: '1621x2315y-1003z', 30: '166x806y-2884z', 31: '1687x1880y-1617z', 32: '171x314y-2978z', 33: '1731x2065y-1317z', 34: '1746x2235y-975z', 35: '174x2511y-1631z', 36: '1750x2408y-367z', 37: '1794x1800y-1592z', 38: '1845x1981y-1290z', 39: '185x131y-2991z', 40: '1867x2148y-946z', 41: '1875x2316y-337z', 42: '1898x1714y-1566z', 43: '1956x1891y-1263z', 44: '1983x2054y-918z', 45: '1996x2217y-307z', 46: '1997x1622y-1541z', 47: '19x147y-2996z', 48: '203x330y-2974z', 49: '2061x1794y-1236z', 50: '2092x1525y-1515z', 51: '2095x1953y-889z', 52: '2112x2112y-278z', 53: '215x824y-2876z', 54: '2162x1691y-1209z', 55: '2201x1847y-860z', 56: '2221x2000y-248z', 57: '2258x1582y-1181z', 58: '2301x1734y-831z', 59: '2325x1882y-218z', 60: '236x2702y-1280z', 61: '237x343y-2970z', 62: '238x2302y-1908z', 63: '2396x1616y-803z', 64: '2422x1759y-188z', 65: '267x839y-2867z', 66: '273x354y-2966z', 67: '28x38y-2999z', 68: '2x89y-2998z', 69: '305x2909y-662z', 70: '307x2515y-1605z', 71: '310x362y-2961z', 72: '321x850y-2858z', 73: '33x176y-2994z', 74: '349x366y-2956z', 75: '34x735y-2908z', 76: '361x2305y-1885z', 77: '376x859y-2849z', 78: '379x2699y-1253z', 79: '390x368y-2951z', 80: '42x2501y-1656z', 81: '431x366y-2946z', 82: '433x863y-2840z', 83: '441x2511y-1580z', 84: '458x2896y-633z', 85: '473x361y-2940z', 86: '485x2301y-1861z', 87: '492x864y-2830z', 88: '49x203y-2992z', 89: '49x60y-2998z', 90: '515x352y-2934z', 91: '522x2687y-1226z', 92: '552x861y-2820z', 93: '575x2500y-1554z', 94: '609x2290y-1838z', 95: '610x2874y-604z', 96: '612x853y-2809z', 97: '665x2668y-1198z', 98: '674x842y-2799z', 99: '68x229y-2990z', 100: '710x2481y-1529z', 101: '734x2273y-1814z', 102: '736x827y-2788z', 103: '73x79y-2998z', 104: '75x761y-2900z', 105: '762x2844y-574z', 106: '797x807y-2777z', 107: '807x2641y-1171z', 108: '843x2455y-1503z', 109: '859x2248y-1790z', 110: '859x782y-2765z', 111: '90x253y-2987z', 112: '911x2805y-545z', 113: '920x754y-2753z', 114: '948x2606y-1143z', 115: '94x2698y-1307z', 116: '976x2421y-1477z', 117: '981x721y-2741z', 118: '982x2216y-1766z', 119: '98x96y-2996z', 120: '9x118y-2997z', 121: '9x14y-2999z'}
 
                  
            else:
                print("\n (STEP 369F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 369F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 369F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 3000 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three30004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 370F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE30004XI FROM QUEUE: ", queue2three)
                    # 
                
                fire2three30004xi = queue2three.get()
                if fire2three30004xi is None:
                    fire2three30004xi = shot2three30004xi
                    print("\n (STEP 370F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE30004XI TO SHOT2THREE30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 370F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE30004XI: ", fire2three30004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE30004XI:  {1: '0x3009y-745z', 2: '1009x2502y-1526z', 3: '1013x745y-2833z', 4: '1015x2290y-1825z', 5: '101x99y-3096z', 6: '1075x706y-2820z', 7: '1094x2850y-533z', 8: '10x122y-3097z', 9: '10x15y-3099z', 10: '1124x2648y-1152z', 11: '1142x2250y-1800z', 12: '1145x2459y-1499z', 13: '118x284y-3084z', 14: '123x811y-2989z', 15: '1244x2794y-502z', 16: '124x2445y-2060z', 17: '1266x2596y-1123z', 18: '1267x2203y-1774z', 19: '1279x2409y-1472z', 20: '130x114y-3095z', 21: '1390x2148y-1749z', 22: '1390x2729y-471z', 23: '1406x2536y-1094z', 24: '1411x2351y-1444z', 25: '147x306y-3081z', 26: '1511x2086y-1723z', 27: '1534x2657y-441z', 28: '1540x2286y-1417z', 29: '1542x2468y-1065z', 30: '157x3012y-715z', 31: '160x126y-3093z', 32: '1629x2018y-1697z', 33: '1666x2213y-1389z', 34: '1673x2576y-410z', 35: '1675x2393y-1036z', 36: '172x833y-2980z', 37: '1743x1942y-1671z', 38: '177x325y-3077z', 39: '1788x2134y-1361z', 40: '1804x2310y-1007z', 41: '1808x2489y-379z', 42: '180x2595y-1685z', 43: '1854x1860y-1645z', 44: '1907x2047y-1333z', 45: '191x136y-3091z', 46: '1929x2220y-978z', 47: '1938x2393y-348z', 48: '1961x1771y-1619z', 49: '2021x1954y-1305z', 50: '2050x2122y-948z', 51: '2063x2291y-318z', 52: '2064x1677y-1592z', 53: '20x152y-3096z', 54: '210x341y-3073z', 55: '2130x1854y-1277z', 56: '2161x1576y-1566z', 57: '2165x2019y-919z', 58: '2182x2182y-287z', 59: '222x851y-2972z', 60: '2234x1747y-1249z', 61: '2274x1908y-889z', 62: '2295x2067y-256z', 63: '2333x1635y-1220z', 64: '2378x1792y-859z', 65: '2402x1945y-225z', 66: '244x2792y-1323z', 67: '245x355y-3069z', 68: '246x2378y-1972z', 69: '2476x1670y-829z', 70: '2503x1818y-194z', 71: '276x867y-2963z', 72: '282x366y-3065z', 73: '29x39y-3099z', 74: '2x92y-3098z', 75: '316x3006y-684z', 76: '317x2599y-1659z', 77: '321x374y-3060z', 78: '331x879y-2954z', 79: '34x182y-3094z', 80: '35x760y-3005z', 81: '361x378y-3055z', 82: '373x2382y-1948z', 83: '389x887y-2944z', 84: '391x2789y-1295z', 85: '403x380y-3050z', 86: '43x2584y-1711z', 87: '445x378y-3044z', 88: '448x892y-2934z', 89: '456x2595y-1633z', 90: '474x2992y-654z', 91: '489x373y-3038z', 92: '501x2378y-1924z', 93: '508x893y-2924z', 94: '51x210y-3092z', 95: '51x62y-3098z', 96: '533x364y-3032z', 97: '539x2777y-1266z', 98: '570x889y-2914z', 99: '595x2583y-1606z', 100: '630x2367y-1899z', 101: '631x2970y-624z', 102: '633x882y-2903z', 103: '687x2757y-1238z', 104: '696x870y-2892z', 105: '70x236y-3090z', 106: '733x2564y-1580z', 107: '759x2349y-1875z', 108: '75x82y-3097z', 109: '760x854y-2881z', 110: '787x2938y-593z', 111: '78x787y-2997z', 112: '824x834y-2869z', 113: '834x2729y-1210z', 114: '872x2537y-1553z', 115: '887x2323y-1850z', 116: '888x809y-2857z', 117: '93x261y-3087z', 118: '941x2899y-563z', 119: '951x779y-2845z', 120: '97x2788y-1351z', 121: '980x2693y-1181z'}
 
                  
            else:
                print("\n (STEP 370F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 370F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 370F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 3100 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three31004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 371F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE31004XI FROM QUEUE: ", queue2three) 
                    # 
                
                fire2three31004xi = queue2three.get()
                if fire2three31004xi is None:
                    fire2three31004xi = shot2three4xi
                    print("\n (STEP 371F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE31004XI TO SHOT2THREE31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 371F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE31004XI: ", fire2three31004xi) 
                    # <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE31004XI:  {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z', 5: '1043x2866y-1257z', 6: '1074x2663y-1624z', 7: '1079x793y-3015z', 8: '1080x2438y-1943z', 9: '108x106y-3296z', 10: '10x130y-3297z', 11: '10x16y-3299z', 12: '1144x752y-3002z', 13: '1165x3034y-567z', 14: '1196x2819y-1227z', 15: '1215x2395y-1916z', 16: '1219x2618y-1596z', 17: '126x303y-3283z', 18: '131x2598y-2189z', 19: '131x863y-3182z', 20: '1324x2974y-534z', 21: '1348x2764y-1196z', 22: '1349x2345y-1889z', 23: '1362x2564y-1567z', 24: '138x122y-3294z', 25: '1480x2287y-1862z', 26: '1480x2906y-502z', 27: '1496x2700y-1165z', 28: '1502x2503y-1537z', 29: '156x325y-3280z', 30: '1608x2221y-1834z', 31: '1633x2828y-469z', 32: '1639x2434y-1508z', 33: '1642x2627y-1134z', 34: '168x3206y-761z', 35: '170x135y-3292z', 36: '1734x2148y-1807z', 37: '1774x2356y-1479z', 38: '1781x2743y-436z', 39: '1783x2547y-1103z', 40: '183x886y-3173z', 41: '1856x2068y-1779z', 42: '189x346y-3276z', 43: '1904x2271y-1449z', 44: '191x2763y-1794z', 45: '1921x2459y-1072z', 46: '1925x2649y-404z', 47: '1974x1980y-1751z', 48: '2030x2179y-1419z', 49: '204x145y-3290z', 50: '2054x2363y-1041z', 51: '2063x2548y-371z', 52: '2088x1886y-1723z', 53: '2151x2080y-1390z', 54: '2182x2259y-1009z', 55: '2196x2439y-338z', 56: '2197x1785y-1695z', 57: '21x162y-3295z', 58: '224x363y-3272z', 59: '2268x1973y-1360z', 60: '2301x1677y-1667z', 61: '2304x2149y-978z', 62: '2323x2323y-305z', 63: '2378x1860y-1329z', 64: '237x906y-3164z', 65: '2421x2032y-946z', 66: '2443x2200y-272z', 67: '2483x1741y-1299z', 68: '2532x1908y-915z', 69: '2557x2071y-240z', 70: '260x2972y-1408z', 71: '261x378y-3267z', 72: '262x2532y-2099z', 73: '2635x1777y-883z', 74: '2664x1935y-207z', 75: '294x923y-3154z', 76: '2x98y-3298z', 77: '300x389y-3263z', 78: '31x42y-3299z', 79: '336x3200y-729z', 80: '338x2766y-1766z', 81: '342x398y-3257z', 82: '353x935y-3144z', 83: '36x193y-3294z', 84: '37x809y-3199z', 85: '384x403y-3252z', 86: '397x2535y-2073z', 87: '414x944y-3134z', 88: '417x2969y-1378z', 89: '429x404y-3246z', 90: '46x2751y-1821z', 91: '474x402y-3240z', 92: '477x949y-3124z', 93: '485x2762y-1738z', 94: '504x3185y-696z', 95: '520x397y-3234z', 96: '533x2531y-2048z', 97: '541x950y-3113z', 98: '54x223y-3291z', 99: '54x66y-3298z', 100: '567x387y-3227z', 101: '574x2956y-1348z', 102: '607x947y-3102z', 103: '633x2750y-1710z', 104: '670x2520y-2022z', 105: '672x3161y-664z', 106: '674x939y-3090z', 107: '731x2935y-1318z', 108: '741x926y-3079z', 109: '75x251y-3289z', 110: '781x2729y-1681z', 111: '808x2500y-1995z', 112: '809x909y-3067z', 113: '80x87y-3297z', 114: '838x3128y-632z', 115: '83x837y-3190z', 116: '877x887y-3054z', 117: '888x2905y-1288z', 118: '928x2700y-1653z', 119: '944x2473y-1969z', 120: '945x861y-3042z', 121: '99x278y-3286z'}

                  
            else:
                print("\n (STEP 371F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 371F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 371F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 3200 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three32004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True:

            if ack2three4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 372F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE32004XI FROM QUEUE: ", queue2three)
                    # TRYING TO GET FIRE2THREE2004XI FROM QUEUE:  <queue4xi.Queue4Xi object at 0x02A275D0>
                
                fire2three32004xi = queue2three.get()
                if fire2three32004xi is None:
                    fire2three32004xi = shot2three32004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " - SET FIRE2THREE32004XI TO SHOT2THREE32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 372F3/800) OF COLOR_NOUNS4XI - FIRE2THREE32004XI: ", fire2three32004xi) 
                    # <queue4xi.Queue4Xi object at 0x038A8490>  FIRE2THREE32004XI:  {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z', 5: '1043x2866y-1257z', 6: '1074x2663y-1624z', 7: '1079x793y-3015z', 8: '1080x2438y-1943z', 9: '108x106y-3296z', 10: '10x130y-3297z', 11: '10x16y-3299z', 12: '1144x752y-3002z', 13: '1165x3034y-567z', 14: '1196x2819y-1227z', 15: '1215x2395y-1916z', 16: '1219x2618y-1596z', 17: '126x303y-3283z', 18: '131x2598y-2189z', 19: '131x863y-3182z', 20: '1324x2974y-534z', 21: '1348x2764y-1196z', 22: '1349x2345y-1889z', 23: '1362x2564y-1567z', 24: '138x122y-3294z', 25: '1480x2287y-1862z', 26: '1480x2906y-502z', 27: '1496x2700y-1165z', 28: '1502x2503y-1537z', 29: '156x325y-3280z', 30: '1608x2221y-1834z', 31: '1633x2828y-469z', 32: '1639x2434y-1508z', 33: '1642x2627y-1134z', 34: '168x3206y-761z', 35: '170x135y-3292z', 36: '1734x2148y-1807z', 37: '1774x2356y-1479z', 38: '1781x2743y-436z', 39: '1783x2547y-1103z', 40: '183x886y-3173z', 41: '1856x2068y-1779z', 42: '189x346y-3276z', 43: '1904x2271y-1449z', 44: '191x2763y-1794z', 45: '1921x2459y-1072z', 46: '1925x2649y-404z', 47: '1974x1980y-1751z', 48: '2030x2179y-1419z', 49: '204x145y-3290z', 50: '2054x2363y-1041z', 51: '2063x2548y-371z', 52: '2088x1886y-1723z', 53: '2151x2080y-1390z', 54: '2182x2259y-1009z', 55: '2196x2439y-338z', 56: '2197x1785y-1695z', 57: '21x162y-3295z', 58: '224x363y-3272z', 59: '2268x1973y-1360z', 60: '2301x1677y-1667z', 61: '2304x2149y-978z', 62: '2323x2323y-305z', 63: '2378x1860y-1329z', 64: '237x906y-3164z', 65: '2421x2032y-946z', 66: '2443x2200y-272z', 67: '2483x1741y-1299z', 68: '2532x1908y-915z', 69: '2557x2071y-240z', 70: '260x2972y-1408z', 71: '261x378y-3267z', 72: '262x2532y-2099z', 73: '2635x1777y-883z', 74: '2664x1935y-207z', 75: '294x923y-3154z', 76: '2x98y-3298z', 77: '300x389y-3263z', 78: '31x42y-3299z', 79: '336x3200y-729z', 80: '338x2766y-1766z', 81: '342x398y-3257z', 82: '353x935y-3144z', 83: '36x193y-3294z', 84: '37x809y-3199z', 85: '384x403y-3252z', 86: '397x2535y-2073z', 87: '414x944y-3134z', 88: '417x2969y-1378z', 89: '429x404y-3246z', 90: '46x2751y-1821z', 91: '474x402y-3240z', 92: '477x949y-3124z', 93: '485x2762y-1738z', 94: '504x3185y-696z', 95: '520x397y-3234z', 96: '533x2531y-2048z', 97: '541x950y-3113z', 98: '54x223y-3291z', 99: '54x66y-3298z', 100: '567x387y-3227z', 101: '574x2956y-1348z', 102: '607x947y-3102z', 103: '633x2750y-1710z', 104: '670x2520y-2022z', 105: '672x3161y-664z', 106: '674x939y-3090z', 107: '731x2935y-1318z', 108: '741x926y-3079z', 109: '75x251y-3289z', 110: '781x2729y-1681z', 111: '808x2500y-1995z', 112: '809x909y-3067z', 113: '80x87y-3297z', 114: '838x3128y-632z', 115: '83x837y-3190z', 116: '877x887y-3054z', 117: '888x2905y-1288z', 118: '928x2700y-1653z', 119: '944x2473y-1969z', 120: '945x861y-3042z', 121: '99x278y-3286z'}

                  
            else:
                print("\n (STEP 372F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 372F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 372F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               

        
    #=========
    # 3300 THREE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2three33004xi = {}
    
    if ack2three4process is True:

        if ack2three4start is True: 

            if ack2three4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 373F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2THREE33004XI FROM QUEUE: ", queue2three)   
                    # TRYING TO GET FIRE2THREE2004XI FROM QUEUE:  <queue4xi.Queue4Xi object at 0x02A275D0> 
                
                fire2three33004xi = queue2three.get()
                if ack2debug is True:
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE: ", queue2three, " FIRE2THREE33004XI: ", fire2three33004xi) 
                    # (STEP 373F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2THREE:  <queue4xi.Queue4Xi object at 0x03A99E70>  FIRE2THREE33004XI:  {1: '0x3203y-793z', 2: '1002x3086y-599z', 3: '1012x829y-3029z', 4: '103x2968y-1438z', 5: '1043x2866y-1257z', 6: '1074x2663y-1624z', 7: '1079x793y-3015z', 8: '1080x2438y-1943z', 9: '108x106y-3296z', 10: '10x130y-3297z', 11: '10x16y-3299z', 12: '1144x752y-3002z', 13: '1165x3034y-567z', 14: '1196x2819y-1227z', 15: '1215x2395y-1916z', 16: '1219x2618y-1596z', 17: '126x303y-3283z', 18: '131x2598y-2189z', 19: '131x863y-3182z', 20: '1324x2974y-534z', 21: '1348x2764y-1196z', 22: '1349x2345y-1889z', 23: '1362x2564y-1567z', 24: '138x122y-3294z', 25: '1480x2287y-1862z', 26: '1480x2906y-502z', 27: '1496x2700y-1165z', 28: '1502x2503y-1537z', 29: '156x325y-3280z', 30: '1608x2221y-1834z', 31: '1633x2828y-469z', 32: '1639x2434y-1508z', 33: '1642x2627y-1134z', 34: '168x3206y-761z', 35: '170x135y-3292z', 36: '1734x2148y-1807z', 37: '1774x2356y-1479z', 38: '1781x2743y-436z', 39: '1783x2547y-1103z', 40: '183x886y-3173z', 41: '1856x2068y-1779z', 42: '189x346y-3276z', 43: '1904x2271y-1449z', 44: '191x2763y-1794z', 45: '1921x2459y-1072z', 46: '1925x2649y-404z', 47: '1974x1980y-1751z', 48: '2030x2179y-1419z', 49: '204x145y-3290z', 50: '2054x2363y-1041z', 51: '2063x2548y-371z', 52: '2088x1886y-1723z', 53: '2151x2080y-1390z', 54: '2182x2259y-1009z', 55: '2196x2439y-338z', 56: '2197x1785y-1695z', 57: '21x162y-3295z', 58: '224x363y-3272z', 59: '2268x1973y-1360z', 60: '2301x1677y-1667z', 61: '2304x2149y-978z', 62: '2323x2323y-305z', 63: '2378x1860y-1329z', 64: '237x906y-3164z', 65: '2421x2032y-946z', 66: '2443x2200y-272z', 67: '2483x1741y-1299z', 68: '2532x1908y-915z', 69: '2557x2071y-240z', 70: '260x2972y-1408z', 71: '261x378y-3267z', 72: '262x2532y-2099z', 73: '2635x1777y-883z', 74: '2664x1935y-207z', 75: '294x923y-3154z', 76: '2x98y-3298z', 77: '300x389y-3263z', 78: '31x42y-3299z', 79: '336x3200y-729z', 80: '338x2766y-1766z', 81: '342x398y-3257z', 82: '353x935y-3144z', 83: '36x193y-3294z', 84: '37x809y-3199z', 85: '384x403y-3252z', 86: '397x2535y-2073z', 87: '414x944y-3134z', 88: '417x2969y-1378z', 89: '429x404y-3246z', 90: '46x2751y-1821z', 91: '474x402y-3240z', 92: '477x949y-3124z', 93: '485x2762y-1738z', 94: '504x3185y-696z', 95: '520x397y-3234z', 96: '533x2531y-2048z', 97: '541x950y-3113z', 98: '54x223y-3291z', 99: '54x66y-3298z', 100: '567x387y-3227z', 101: '574x2956y-1348z', 102: '607x947y-3102z', 103: '633x2750y-1710z', 104: '670x2520y-2022z', 105: '672x3161y-664z', 106: '674x939y-3090z', 107: '731x2935y-1318z', 108: '741x926y-3079z', 109: '75x251y-3289z', 110: '781x2729y-1681z', 111: '808x2500y-1995z', 112: '809x909y-3067z', 113: '80x87y-3297z', 114: '838x3128y-632z', 115: '83x837y-3190z', 116: '877x887y-3054z', 117: '888x2905y-1288z', 118: '928x2700y-1653z', 119: '944x2473y-1969z', 120: '945x861y-3042z', 121: '99x278y-3286z'}
                    # OK ONLY WHEN FIRE3300THREE4XI MODULE PUTS IT TWICE !!!
                    
                    if fire2three33004xi is None:
                        print("\n (STEP 374F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2THREE: ", queue2three, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2three33004xi = queue2three.get()
                    
                        if fire2three33004xi is None:
                            fire2three33004xi = shot2three33004xi
                            print("\n (STEP 373F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2THREE: ", queue2three, " SET FIRE2THREE33004XI TO SHOT2THREE33004XI: ", fire2three33004xi) 
                            # 
                            
            else:
                print("\n (STEP 373F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS THREE ", time4xi())                 
        else:
            print("\n (STEP 373F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS THREE ", time4xi())                                         
    else:
        print("\n (STEP 373F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS THREE ", time4xi())                    
               
           
    # =========================================================================================================   
    # II/III EOF - THREE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
      
    # =========================================================================================================   
    # I/IV FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
    
    #========
    # 10 FOUR 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 474F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 474F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four) 
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four104xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 474F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 474F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 474F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
    
    #========
    # 100 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 481F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 481F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four1004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 481F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 481F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 481F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
    
    #========
    # 200 FOUR 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 482F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 482F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four2004xi</ack2put4xi>
  
                
            else:
                print("\n (STEP 482F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 482F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 482F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                                                
                                  
    
    #========
    # 300 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 483F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 483F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four3004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 483F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 483F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 483F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
    
    #========
    # 400 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 484F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 484F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four4004xi</ack2put4xi>

                
            else:
                print("\n (STEP 484F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 484F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 484F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())
                            
    #========
    # 500 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 485F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 485F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four5004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 485F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 485F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 485F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
                                                                                       
    #========
    # 600 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 486F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 486F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four6004xi</ack2put4xi>
 
            else:
                print("\n (STEP 486F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 486F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 484F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #========
    # 700 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 487F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 487F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four7004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 487F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 487F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 487F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
       
    #========
    # 800 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 488F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 488F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four8004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 488F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 488F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 488F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #========
    # 900 FOUR
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 489F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 489F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four9004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 489F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 489F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 489F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
      
           
     
    #=========
    # 1000 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 490F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 490F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four10004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 490F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 490F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 490F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1100 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 491F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 491F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four11004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 491F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 491F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 491F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1200 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 492F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 492F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four12004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 492F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 492F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 492F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1300 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 493F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 493F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four13004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 493F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 493F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 493F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1400 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 494F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 494F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four14004xi</ack2put4xi>

                
            else:
                print("\n (STEP 494F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 494F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 494F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1500 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 495F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 495F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four15004xi</ack2put4xi>

                
            else:
                print("\n (STEP 495F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 495F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 495F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1600 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 496F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 496F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four16004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 496F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 496F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 496F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1700 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 497F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 497F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four17004xi</ack2put4xi>
  
                
            else:
                print("\n (STEP 497F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 497F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 497F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1800 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 498F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 498F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four18004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 498F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 498F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 498F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())                    
     
    #=========
    # 1900 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 499F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 499F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four19004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 499F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 499F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 499F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
        
     
    #=========
    # 2000 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 420F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 420F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four20004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 420F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 420F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 420F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2100 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 421F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 421F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four21004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 421F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 421F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 421F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2200 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 422F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 422F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four22004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 422F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 422F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 422F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2300 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 423F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 423F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four23004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 423F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 423F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 423F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2400 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 424F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 424F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four24004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 424F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 424F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 424F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2500 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 425F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 425F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four25004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 425F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 425F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 425F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2600 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 426F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 426F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four26004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 426F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 426F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 426F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2700 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 427F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 427F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four27004xi</ack2put4xi>

                
            else:
                print("\n (STEP 427F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 427F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 427F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2800 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 428F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 428F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four28004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 428F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 428F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 428F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 2900 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 429F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 429F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four29004xi</ack2put4xi>
 
            else:
                print("\n (STEP 429F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 429F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 429F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 3000 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 430F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 430F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four30004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 430F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 430F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 430F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 3100 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 431F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                    
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 431F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four) 
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four31004xi</ack2put4xi>
 
            else:
                print("\n (STEP 431F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 431F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 431F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 3200 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 432F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel)
                    # 
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 432F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four32004xi</ack2put4xi>
 
            else:
                print("\n (STEP 432F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 432F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 432F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  
     
    #=========
    # 3300 FOUR
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 433F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel) 
                    # 
                message2receive4four = pipe2four_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 433F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2four_consumer_channel, " PUT INFO MESSAGE: ", message2receive4four)
                    # RECEIVED FROM PIPE CONSUMER_CHANNEL:  <read-write PipeConnection, handle 280>  PUT INFO MESSAGE:  <ack2put4xi>queue2four8shot2four33004xi</ack2put4xi>
 
            else:
                print("\n (STEP 433F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 433F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 433F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FOUR ", time4xi())  

      
           
    # =========================================================================================================   
    # I/IV EOF - FOUR DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
    # =========================================================================================================      
          

 

           
    # =========================================================================================================   
    # II/IV FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 FOUR   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four104xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 434F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR104XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four104xi = queue2four.get() 
                if fire2four104xi is None:
                    fire2four104xi = shot2four104xi
                    print("\n (STEP 434F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR104XI TO SHOT2FOUR104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 434F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR104XI: ", fire2four104xi) 
                    # FIRE2FOUR104XI:  {1: '0x-9y2z', 2: '11x-23y53z', 3: '11x-9y47z', 4: '12x-15y2z', 5: '12x-23y53z', 6: '12x-9y47z', 7: '13x-14y2z', 8: '13x-9y47z', 9: '14x-13y1z', 10: '14x-14y1z', 11: '14x-23y53z', 12: '14x-8y47z', 13: '15x-12y1z', 14: '15x-23y53z', 15: '15x-7y46z', 16: '16x-10y1z', 17: '16x-11y1z', 18: '16x-6y46z', 19: '17x-22y52z', 20: '17x-5y46z', 21: '17x-6y46z', 22: '17x-9y0z', 23: '18x-22y52z', 24: '18x-4y46z', 25: '18x-7y0z', 26: '18x-8y0z', 27: '19x-2y45z', 28: '19x-3y45z', 29: '19x-6y0z', 30: '1x-1y29z', 31: '1x-9y2z', 32: '20x-21y52z', 33: '21x-20y51z', 34: '21x-45y62z', 35: '23x-19y51z', 36: '23x-44y61z', 37: '24x-18y51z', 38: '24x-1y54z', 39: '25x0y54z', 40: '26x-43y61z', 41: '28x-7y0z', 42: '29x-3y0z', 43: '29x-42y60z', 44: '29x-4y0z', 45: '29x-6y0z', 46: '2x-1y29z', 47: '2x-7y39z', 48: '2x-9y1z', 49: '2x-9y2z', 50: '30x-20y59z', 51: '31x-19y59z', 52: '31x-41y60z', 53: '33x-18y58z', 54: '34x-16y58z', 55: '34x-40y59z', 56: '36x-15y57z', 57: '36x-39y59z', 58: '37x-13y57z', 59: '38x-11y57z', 60: '39x-37y58z', 61: '39x-9y56z', 62: '3x-1y29z', 63: '3x-7y39z', 64: '3x-8y38z', 65: '3x-9y1z', 66: '40x-7y56z', 67: '41x-35y58z', 68: '41x-5y55z', 69: '42x-3y55z', 70: '43x-1y55z', 71: '43x-33y57z', 72: '46x-31y57z', 73: '48x-29y56z', 74: '4x-1y29z', 75: '4x-8y1z', 76: '4x-8y38z', 77: '4x-9y1z', 78: '56x-30y63z', 79: '5x-8y1z', 80: '5x-8y38z', 81: '6x-1y39z', 82: '6x-8y38z', 83: '6x0y39z', 84: '7x-8y38z', 85: '7x0y39z', 86: '8x-8y38z', 87: '9x-23y54z'}

                
            else:
                print("\n (STEP 434F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 434F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 434F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())
    
        
      
           
    #========
    # 100 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four1004xi = {}

    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 441F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR1004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four1004xi = queue2four.get()
                if fire2four1004xi is None:
                    fire2four1004xi = shot2four1004xi
                    print("\n (STEP 441F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR1004XI TO SHOT2FOUR1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 441F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR1004XI: ", fire2four1004xi) 
                    # FIRE2FOUR1004XI:  {1: '10x-4y99z', 2: '10x-96y22z', 3: '11x-20y97z', 4: '11x-4y99z', 5: '12x-20y97z', 6: '12x-4y99z', 7: '13x-4y98z', 8: '14x-20y96z', 9: '15x-20y96z', 10: '15x-3y98z', 11: '15x-96y21z', 12: '161x-58y102z', 13: '16x-2y98z', 14: '16x-39y90z', 15: '17x-20y96z', 16: '17x-2y98z', 17: '18x-1y98z', 18: '18x-39y89z', 19: '19x-20y95z', 20: '19x0y98z', 21: '20x-95y20z', 22: '21x-20y95z', 23: '21x-39y89z', 24: '22x-19y95z', 25: '23x-39y88z', 26: '24x-18y95z', 27: '25x-94y19z', 28: '26x-18y94z', 29: '26x-38y88z', 30: '26x-56y78z', 31: '28x-17y94z', 32: '28x-37y88z', 33: '29x-16y94z', 34: '29x-55y77z', 35: '30x-93y18z', 36: '31x-14y93z', 37: '31x-36y87z', 38: '32x-13y93z', 39: '33x-35y87z', 40: '33x-54y76z', 41: '34x-12y93z', 42: '35x-10y92z', 43: '35x-91y17z', 44: '36x-34y86z', 45: '36x-53y76z', 46: '36x-68y62z', 47: '37x-8y92z', 48: '38x-33y86z', 49: '38x-7y91z', 50: '39x-52y75z', 51: '39x-5y91z', 52: '40x-67y61z', 53: '40x-90y16z', 54: '41x-31y85z', 55: '41x-3y91z', 56: '42x-1y90z', 57: '42x-50y74z', 58: '43x-29y84z', 59: '44x-65y60z', 60: '44x-88y15z', 61: '45x-28y84z', 62: '45x-48y74z', 63: '47x-26y83z', 64: '48x-63y60z', 65: '49x-23y83z', 66: '49x-46y73z', 67: '49x-85y14z', 68: '51x-21y82z', 69: '51x-44y72z', 70: '51x-61y59z', 71: '53x-19y82z', 72: '53x-83y13z', 73: '54x-42y72z', 74: '55x-16y81z', 75: '55x-59y58z', 76: '56x-13y81z', 77: '57x-39y71z', 78: '58x-10y80z', 79: '58x-56y57z', 80: '58x-80y12z', 81: '59x-7y79z', 82: '5x-4y99z', 83: '5x-97y23z', 84: '60x-37y70z', 85: '60x-4y79z', 86: '61x-1y78z', 87: '62x-34y70z', 88: '62x-53y56z', 89: '62x-77y11z', 90: '64x-31y69z', 91: '65x-50y56z', 92: '66x-73y10z', 93: '67x-28y68z', 94: '68x-47y55z', 95: '69x-24y67z', 96: '6x-19y97z', 97: '6x-4y99z', 98: '70x-21y67z', 99: '70x-70y9z', 100: '71x-44y54z', 101: '72x-17y66z', 102: '74x-14y65z', 103: '74x-40y53z', 104: '74x-66y8z', 105: '75x-10y64z', 106: '76x-36y52z', 107: '76x-6y64z', 108: '77x-2y63z', 109: '77x-62y7z', 110: '78x-33y51z', 111: '80x-58y6z', 112: '83x-54y5z', 113: '86x-49y4z', 114: '89x-45y3z', 115: '8x-19y97z', 116: '8x-4y99z', 117: '91x-40y2z', 118: '93x-35y1z', 119: '95x-30y0z', 120: '96x-25y0z', 121: '9x-20y97z', 122: '9x-4y99z'}
 
                  
            else:
                print("\n (STEP 441F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 441F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 441F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
      

    #========
    # 200 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four2004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 442F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR2004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four2004xi = queue2four.get()
                if fire2four2004xi is None:
                    fire2four2004xi = shot2four2004xi
                    print("\n (STEP 442F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR2004XI TO SHOT2FOUR2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 442F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR2004XI: ", fire2four2004xi) 
                    # FIRE2FOUR2004XI:  {1: '103x-122y118z', 2: '103x-43y165z', 3: '103x-89y145z', 4: '107x-166y27z', 5: '107x-38y164z', 6: '109x-84y144z', 7: '10x-194y46z', 8: '110x-33y163z', 9: '111x-118y117z', 10: '113x-27y162z', 11: '115x-79y142z', 12: '116x-160y25z', 13: '116x-21y161z', 14: '117x-112y115z', 15: '119x-15y159z', 16: '11x-9y199z', 17: '120x-74y141z', 18: '121x-9y158z', 19: '123x-3y157z', 20: '124x-107y113z', 21: '125x-154y23z', 22: '125x-68y140z', 23: '129x-62y138z', 24: '130x-101y112z', 25: '133x-147y21z', 26: '134x-56y137z', 27: '136x-94y110z', 28: '138x-49y135z', 29: '13x-38y195z', 30: '13x-9y199z', 31: '140x-140y19z', 32: '141x-42y134z', 33: '142x-88y108z', 34: '145x-35y132z', 35: '148x-133y17z', 36: '148x-28y131z', 37: '148x-81y107z', 38: '150x-20y129z', 39: '152x-12y128z', 40: '153x-73y105z', 41: '154x-125y15z', 42: '154x-4y126z', 43: '157x-66y103z', 44: '161x-117y13z', 45: '167x-108y11z', 46: '16x-39y195z', 47: '16x-9y199z', 48: '173x-99y9z', 49: '178x-90y7z', 50: '182x-81y5z', 51: '186x-71y3z', 52: '18x-9y198z', 53: '190x-61y1z', 54: '193x-51y0z', 55: '19x-40y194z', 56: '20x-193y45z', 57: '20x-9y198z', 58: '22x-40y194z', 59: '23x-9y198z', 60: '242x-87y153z', 61: '25x-41y194z', 62: '25x-8y198z', 63: '27x-8y197z', 64: '28x-41y193z', 65: '30x-192y43z', 66: '30x-7y197z', 67: '31x-41y193z', 68: '32x-5y197z', 69: '32x-79y180z', 70: '34x-4y196z', 71: '35x-41y192z', 72: '36x-2y196z', 73: '37x-79y179z', 74: '38x-40y191z', 75: '38x0y196z', 76: '40x-191y41z', 77: '42x-40y191z', 78: '42x-78y178z', 79: '45x-39y190z', 80: '47x-78y177z', 81: '49x-37y190z', 82: '50x-189y39z', 83: '52x-36y189z', 84: '52x-76y176z', 85: '53x-112y156z', 86: '56x-34y188z', 87: '57x-75y176z', 88: '59x-111y154z', 89: '59x-32y188z', 90: '60x-186y37z', 91: '62x-29y187z', 92: '62x-73y175z', 93: '65x-27y186z', 94: '66x-109y153z', 95: '67x-71y174z', 96: '69x-24y186z', 97: '70x-183y35z', 98: '71x-21y185z', 99: '72x-69y173z', 100: '73x-107y152z', 101: '73x-137y125z', 102: '74x-17y184z', 103: '77x-14y183z', 104: '77x-66y172z', 105: '79x-104y151z', 106: '79x-10y183z', 107: '80x-180y33z', 108: '81x-134y123z', 109: '82x-63y171z', 110: '82x-6y182z', 111: '84x-2y181z', 112: '85x-101y149z', 113: '86x-59y169z', 114: '89x-131y121z', 115: '89x-176y31z', 116: '91x-56y168z', 117: '91x-97y148z', 118: '95x-52y167z', 119: '96x-127y120z', 120: '98x-171y29z', 121: '98x-93y147z', 122: '99x-47y166z'}
 
                  
            else:
                print("\n (STEP 442F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 442F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 442F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four3004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 443F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR3004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four3004xi = queue2four.get()
                if fire2four3004xi is None:
                    fire2four3004xi = shot2four3004xi
                    print("\n (STEP 443F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR3004XI TO SHOT2FOUR3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 443F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR3004XI: ", fire2four3004xi) 
                    # FIRE2FOUR3004XI:  {1: '101x-107y261z', 2: '103x-36y279z', 3: '105x-275y52z', 4: '107x-32y278z', 5: '108x-103y259z', 6: '109x-160y228z', 7: '110x-206y187z', 8: '112x-26y276z', 9: '116x-21y275z', 10: '116x-99y258z', 11: '119x-156y226z', 12: '119x-15y274z', 13: '120x-270y49z', 14: '122x-201y185z', 15: '123x-94y256z', 16: '123x-9y273z', 17: '126x-3y272z', 18: '128x-151y224z', 19: '130x-89y254z', 20: '133x-196y182z', 21: '134x-264y46z', 22: '136x-84y253z', 23: '137x-146y222z', 24: '143x-78y251z', 25: '144x-190y180z', 26: '147x-140y220z', 27: '148x-256y43z', 28: '149x-71y250z', 29: '155x-134y218z', 30: '155x-184y178z', 31: '155x-64y248z', 32: '15x-291y70z', 33: '160x-57y246z', 34: '161x-249y41z', 35: '164x-127y216z', 36: '165x-49y245z', 37: '166x-177y175z', 38: '170x-41y243z', 39: '172x-119y214z', 40: '174x-240y38z', 41: '174x-32y241z', 42: '176x-169y173z', 43: '178x-23y239z', 44: '17x-13y299z', 45: '180x-111y212z', 46: '182x-14y237z', 47: '185x-5y236z', 48: '186x-160y170z', 49: '187x-102y210z', 50: '187x-231y35z', 51: '194x-93y207z', 52: '196x-152y168z', 53: '199x-221y32z', 54: '201x-84y205z', 55: '205x-142y165z', 56: '207x-74y203z', 57: '20x-14y298z', 58: '20x-57y293z', 59: '211x-211y29z', 60: '212x-63y201z', 61: '213x-132y163z', 62: '217x-53y199z', 63: '222x-121y160z', 64: '222x-199y26z', 65: '222x-42y196z', 66: '226x-30y194z', 67: '229x-110y158z', 68: '229x-18y192z', 69: '232x-188y23z', 70: '232x-6y190z', 71: '242x-175y20z', 72: '24x-14y298z', 73: '24x-59y293z', 74: '251x-163y17z', 75: '259x-149y14z', 76: '267x-136y11z', 77: '273x-121y8z', 78: '27x-14y298z', 79: '280x-107y5z', 80: '285x-92y2z', 81: '289x-77y0z', 82: '28x-60y292z', 83: '30x-290y67z', 84: '315x-132y207z', 85: '31x-14y298z', 86: '33x-61y291z', 87: '34x-14y297z', 88: '37x-62y291z', 89: '38x-13y297z', 90: '41x-12y296z', 91: '42x-62y290z', 92: '45x-10y296z', 93: '45x-289y64z', 94: '47x-62y289z', 95: '48x-8y295z', 96: '49x-119y270z', 97: '51x-6y295z', 98: '52x-61y288z', 99: '54x-4y294z', 100: '56x-119y269z', 101: '58x-1y294z', 102: '58x-61y287z', 103: '61x-287y61z', 104: '63x-118y268z', 105: '63x-60y287z', 106: '68x-58y286z', 107: '71x-117y266z', 108: '73x-56y285z', 109: '76x-284y58z', 110: '78x-115y265z', 111: '78x-54y284z', 112: '80x-169y234z', 113: '84x-51y283z', 114: '86x-113y264z', 115: '89x-167y232z', 116: '89x-48y282z', 117: '91x-280y55z', 118: '93x-110y262z', 119: '94x-44y281z', 120: '98x-41y280z', 121: '99x-164y230z'}
 
                  
            else:
                print("\n (STEP 443F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 443F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 443F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


       
    #========
    # 400 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four4004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 444F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR4004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four4004xi = queue2four.get()
                if fire2four4004xi is None:
                    fire2four4004xi = shot2four4004xi
                    print("\n (STEP 444F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR4004XI TO SHOT2FOUR4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 444F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR4004XI: ", fire2four4004xi) 
                    # FIRE2FOUR4004XI:  {1: '101x-378y78z', 2: '105x-153y353z', 3: '105x-72y379z', 4: '106x-225y312z', 5: '112x-68y377z', 6: '115x-150y352z', 7: '118x-64y376z', 8: '119x-222y309z', 9: '121x-373y74z', 10: '125x-147y350z', 11: '125x-59y375z', 12: '131x-54y373z', 13: '133x-218y307z', 14: '135x-143y348z', 15: '138x-48y372z', 16: '141x-367y70z', 17: '143x-42y370z', 18: '145x-138y346z', 19: '146x-214y304z', 20: '147x-274y250z', 21: '149x-35y369z', 22: '154x-132y344z', 23: '154x-28y367z', 24: '158x-208y302z', 25: '159x-21y366z', 26: '160x-360y66z', 27: '163x-268y247z', 28: '164x-126y342z', 29: '164x-13y364z', 30: '168x-4y362z', 31: '171x-202y299z', 32: '173x-119y339z', 33: '178x-262y243z', 34: '179x-352y62z', 35: '182x-112y337z', 36: '183x-195y296z', 37: '190x-104y335z', 38: '193x-254y240z', 39: '196x-187y294z', 40: '197x-342y58z', 41: '199x-95y333z', 42: '206x-86y331z', 43: '207x-178y291z', 44: '207x-245y237z', 45: '20x-388y93z', 46: '214x-76y329z', 47: '215x-332y54z', 48: '219x-169y288z', 49: '221x-66y326z', 50: '222x-236y234z', 51: '227x-55y324z', 52: '230x-159y285z', 53: '233x-320y50z', 54: '233x-43y322z', 55: '235x-225y231z', 56: '238x-31y319z', 57: '23x-18y398z', 58: '240x-148y282z', 59: '242x-19y317z', 60: '246x-7y314z', 61: '249x-214y227z', 62: '250x-137y280z', 63: '250x-308y46z', 64: '259x-125y277z', 65: '261x-202y224z', 66: '266x-295y42z', 67: '268x-112y274z', 68: '273x-189y221z', 69: '276x-99y271z', 70: '27x-19y398z', 71: '27x-76y391z', 72: '281x-281y38z', 73: '283x-85y268z', 74: '285x-176y217z', 75: '290x-70y265z', 76: '296x-162y214z', 77: '296x-266y34z', 78: '296x-56y262z', 79: '301x-40y259z', 80: '305x-25y256z', 81: '306x-147y211z', 82: '309x-250y30z', 83: '309x-9y253z', 84: '315x-132y207z', 85: '322x-234y26z', 86: '32x-19y398z', 87: '32x-78y390z', 88: '334x-217y22z', 89: '346x-199y18z', 90: '356x-181y14z', 91: '365x-162y10z', 92: '36x-19y397z', 93: '373x-143y6z', 94: '380x-123y2z', 95: '38x-80y389z', 96: '404x-145y255z', 97: '40x-387y90z', 98: '41x-19y397z', 99: '44x-81y389z', 100: '46x-18y396z', 101: '50x-17y396z', 102: '50x-82y388z', 103: '55x-16y395z', 104: '57x-83y387z', 105: '60x-14y395z', 106: '61x-385y86z', 107: '63x-83y386z', 108: '64x-11y394z', 109: '65x-159y361z', 110: '69x-8y393z', 111: '70x-82y384z', 112: '73x-5y393z', 113: '75x-158y359z', 114: '77x-1y392z', 115: '77x-81y383z', 116: '81x-382y82z', 117: '84x-80y382z', 118: '85x-157y357z', 119: '91x-78y381z', 120: '95x-156y355z'}
 
                  
            else:
                print("\n (STEP 444F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 444F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 444F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


                               
    #========
    # 500 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four5004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 445F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR5004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four5004xi = queue2four.get()
                if fire2four5004xi is None:
                    fire2four5004xi = shot2four5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR5004XI TO SHOT2FOUR5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR5004XI: ", fire2four5004xi) 
                    # FIRE2FOUR5004XI:  {1: '101x-478y102z', 2: '105x-100y478z', 3: '106x-197y446z', 4: '114x-97y476z', 5: '119x-195y444z', 6: '122x-94y475z', 7: '126x-473y97z', 8: '131x-192y442z', 9: '131x-90y473z', 10: '133x-282y390z', 11: '140x-85y472z', 12: '144x-188y440z', 13: '148x-80y470z', 14: '149x-278y387z', 15: '151x-467y93z', 16: '156x-184y437z', 17: '156x-74y468z', 18: '164x-68y467z', 19: '166x-273y384z', 20: '169x-178y435z', 21: '172x-61y465z', 22: '176x-459y88z', 23: '179x-53y463z', 24: '181x-172y432z', 25: '182x-267y380z', 26: '184x-343y312z', 27: '187x-44y461z', 28: '193x-165y430z', 29: '193x-35y459z', 30: '198x-260y377z', 31: '199x-26y457z', 32: '200x-450y83z', 33: '203x-336y308z', 34: '205x-158y427z', 35: '205x-16y455z', 36: '210x-5y453z', 37: '214x-252y374z', 38: '216x-149y424z', 39: '222x-327y304z', 40: '224x-440y78z', 41: '227x-140y422z', 42: '229x-243y370z', 43: '238x-130y419z', 44: '241x-317y300z', 45: '245x-234y367z', 46: '247x-428y73z', 47: '248x-119y416z', 48: '258x-107y414z', 49: '259x-223y364z', 50: '259x-307y296z', 51: '25x-485y117z', 52: '267x-95y411z', 53: '269x-415y68z', 54: '273x-211y360z', 55: '276x-82y408z', 56: '277x-295y292z', 57: '284x-68y405z', 58: '287x-199y357z', 59: '291x-401y63z', 60: '291x-54y402z', 61: '294x-282y288z', 62: '297x-39y399z', 63: '29x-22y498z', 64: '300x-185y353z', 65: '303x-24y396z', 66: '308x-8y393z', 67: '311x-268y284z', 68: '312x-385y58z', 69: '313x-171y350z', 70: '324x-156y346z', 71: '327x-253y280z', 72: '332x-369y53z', 73: '335x-140y342z', 74: '33x-95y489z', 75: '342x-237y276z', 76: '345x-123y339z', 77: '34x-23y498z', 78: '351x-351y48z', 79: '354x-106y335z', 80: '356x-220y272z', 81: '363x-88y331z', 82: '370x-203y268z', 83: '370x-333y43z', 84: '370x-70y328z', 85: '377x-51y324z', 86: '382x-184y263z', 87: '382x-31y320z', 88: '386x-11y316z', 89: '387x-313y38z', 90: '394x-165y259z', 91: '403x-293y33z', 92: '40x-24y497z', 93: '40x-98y488z', 94: '418x-271y28z', 95: '432x-249y23z', 96: '445x-226y18z', 97: '456x-203y13z', 98: '466x-179y8z', 99: '46x-24y497z', 100: '475x-154y3z', 101: '47x-100y487z', 102: '485x-174y306z', 103: '50x-484y112z', 104: '51x-24y496z', 105: '55x-102y486z', 106: '57x-23y496z', 107: '63x-103y485z', 108: '63x-22y495z', 109: '69x-20y494z', 110: '71x-103y483z', 111: '75x-17y494z', 112: '76x-482y107z', 113: '79x-103y482z', 114: '80x-14y493z', 115: '81x-198y451z', 116: '86x-11y492z', 117: '88x-103y481z', 118: '91x-7y491z', 119: '94x-198y449z', 120: '96x-101y479z', 121: '96x-2y490z'}
  
                  
            else:
                print("\n (STEP 445F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 445F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 445F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four6004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 446F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR6004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four6004xi = queue2four.get()
                if fire2four6004xi is None:
                    fire2four6004xi = shot2four6004xi
                    print("\n (STEP 446F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR6004XI TO SHOT2FOUR6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 446F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR6004XI: ", fire2four6004xi) 
                    # FIRE2FOUR6004XI:  {1: '103x-13y590z', 2: '105x-123y577z', 3: '109x-8y589z', 4: '112x-238y538z', 5: '116x-122y575z', 6: '116x-2y588z', 7: '122x-574y123z', 8: '126x-120y574z', 9: '127x-236y536z', 10: '136x-117y572z', 11: '142x-234y533z', 12: '147x-113y570z', 13: '152x-568y117z', 14: '157x-108y568z', 15: '157x-230y530z', 16: '160x-338y468z', 17: '168x-103y566z', 18: '172x-226y528z', 19: '178x-96y564z', 20: '179x-334y464z', 21: '182x-560y111z', 22: '187x-221y525z', 23: '188x-89y562z', 24: '197x-82y560z', 25: '199x-328y460z', 26: '202x-214y522z', 27: '207x-73y558z', 28: '211x-551y105z', 29: '215x-64y556z', 30: '217x-207y519z', 31: '219x-321y457z', 32: '221x-412y375z', 33: '224x-53y553z', 34: '232x-199y516z', 35: '232x-43y551z', 36: '238x-312y453z', 37: '239x-31y549z', 38: '240x-540y99z', 39: '244x-403y370z', 40: '246x-189y513z', 41: '246x-19y546z', 42: '252x-6y544z', 43: '257x-303y449z', 44: '260x-179y509z', 45: '267x-393y365z', 46: '269x-528y93z', 47: '273x-168y506z', 48: '275x-292y445z', 49: '286x-156y503z', 50: '289x-381y361z', 51: '294x-281y441z', 52: '296x-513y87z', 53: '298x-143y500z', 54: '30x-582y140z', 55: '310x-129y496z', 56: '311x-268y437z', 57: '311x-368y356z', 58: '321x-114y493z', 59: '323x-498y82z', 60: '328x-254y432z', 61: '331x-99y490z', 62: '333x-354y351z', 63: '341x-82y486z', 64: '345x-238y428z', 65: '349x-481y76z', 66: '349x-65y483z', 67: '353x-338y346z', 68: '357x-47y479z', 69: '35x-27y598z', 70: '360x-222y424z', 71: '364x-29y475z', 72: '370x-10y472z', 73: '373x-321y341z', 74: '375x-205y420z', 75: '375x-463y70z', 76: '389x-187y415z', 77: '392x-304y336z', 78: '399x-443y64z', 79: '402x-168y411z', 80: '40x-115y587z', 81: '410x-284y331z', 82: '414x-148y407z', 83: '41x-28y597z', 84: '422x-422y58z', 85: '425x-127y402z', 86: '427x-264y326z', 87: '435x-106y398z', 88: '444x-243y321z', 89: '444x-399y52z', 90: '444x-84y393z', 91: '452x-61y389z', 92: '458x-37y384z', 93: '459x-221y316z', 94: '464x-13y380z', 95: '464x-376y46z', 96: '472x-198y311z', 97: '484x-351y40z', 98: '48x-118y586z', 99: '48x-29y597z', 100: '502x-326y34z', 101: '519x-299y28z', 102: '534x-272y22z', 103: '547x-243y16z', 104: '55x-29y596z', 105: '560x-214y10z', 106: '566x-203y357z', 107: '570x-185y4z', 108: '57x-120y584z', 109: '61x-581y135z', 110: '62x-29y596z', 111: '66x-122y583z', 112: '69x-28y595z', 113: '75x-124y582z', 114: '76x-26y594z', 115: '83x-24y593z', 116: '85x-124y580z', 117: '90x-21y592z', 118: '91x-578y129z', 119: '95x-124y579z', 120: '96x-17y591z', 121: '98x-238y541z'}
 
                  
            else:
                print("\n (STEP 446F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 446F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 446F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


        
    #========
    # 700 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four7004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 447F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR7004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four7004xi = queue2four.get()
                if fire2four7004xi is None:
                    fire2four7004xi = shot2four7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR7004XI TO SHOT2FOUR7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 447F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR7004XI: ", fire2four7004xi) 
                    #  FIRE2FOUR7004XI:  {1: '105x-25y691z', 2: '106x-675y150z', 3: '111x-145y675z', 4: '112x-20y690z', 5: '114x-278y631z', 6: '120x-15y689z', 7: '123x-144y673z', 8: '128x-9y688z', 9: '131x-277y628z', 10: '135x-142y671z', 11: '135x-3y686z', 12: '142x-670y144z', 13: '147x-140y669z', 14: '149x-276y625z', 15: '159x-136y667z', 16: '166x-273y622z', 17: '171x-132y665z', 18: '177x-663y137z', 19: '184x-126y663z', 20: '184x-269y619z', 21: '186x-395y546z', 22: '196x-120y661z', 23: '201x-264y616z', 24: '207x-112y658z', 25: '209x-389y542z', 26: '212x-654y130z', 27: '219x-104y656z', 28: '219x-257y612z', 29: '230x-95y653z', 30: '232x-382y537z', 31: '236x-250y609z', 32: '241x-85y651z', 33: '246x-643y123z', 34: '251x-74y648z', 35: '253x-242y605z', 36: '255x-374y533z', 37: '258x-481y437z', 38: '261x-62y646z', 39: '270x-232y602z', 40: '271x-50y643z', 41: '278x-365y528z', 42: '279x-36y640z', 43: '280x-630y116z', 44: '285x-470y432z', 45: '287x-221y598z', 46: '287x-22y637z', 47: '294x-7y634z', 48: '300x-353y524z', 49: '303x-209y594z', 50: '312x-458y426z', 51: '313x-616y109z', 52: '319x-196y591z', 53: '321x-341y519z', 54: '334x-182y587z', 55: '338x-444y421z', 56: '343x-327y514z', 57: '346x-599y102z', 58: '348x-167y583z', 59: '35x-679y164z', 60: '362x-150y579z', 61: '363x-312y509z', 62: '363x-429y415z', 63: '374x-133y575z', 64: '377x-581y95z', 65: '383x-296y505z', 66: '386x-115y571z', 67: '388x-413y410z', 68: '397x-96y567z', 69: '402x-278y500z', 70: '408x-561y88z', 71: '408x-76y563z', 72: '412x-395y404z', 73: '417x-55y559z', 74: '41x-31y698z', 75: '420x-259y495z', 76: '424x-34y555z', 77: '431x-12y550z', 78: '435x-375y398z', 79: '437x-540y81z', 80: '438x-239y490z', 81: '454x-218y485z', 82: '458x-354y392z', 83: '465x-517y74z', 84: '469x-196y480z', 85: '479x-332y387z', 86: '47x-134y685z', 87: '484x-173y475z', 88: '48x-33y697z', 89: '492x-492y67z', 90: '496x-149y469z', 91: '499x-308y381z', 92: '508x-124y464z', 93: '518x-284y375z', 94: '518x-466y60z', 95: '518x-98y459z', 96: '527x-71y454z', 97: '535x-258y369z', 98: '535x-44y448z', 99: '541x-16y443z', 100: '542x-439y53z', 101: '551x-231y363z', 102: '565x-410y47z', 103: '56x-34y696z', 104: '57x-137y683z', 105: '586x-380y40z', 106: '605x-349y33z', 107: '623x-317y26z', 108: '639x-284y19z', 109: '647x-232y408z', 110: '64x-34y696z', 111: '653x-250y12z', 112: '665x-216y5z', 113: '67x-140y682z', 114: '71x-678y157z', 115: '72x-34y695z', 116: '77x-143y680z', 117: '80x-33y694z', 118: '88x-144y679z', 119: '88x-31y693z', 120: '96x-28y692z', 121: '99x-145y677z'}
 
                  
            else:
                print("\n (STEP 447F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 447F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 447F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


          
    #========
    # 800 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four8004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 448F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR8004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four8004xi = queue2four.get()
                if fire2four8004xi is None:
                    fire2four8004xi = shot2four8004xi
                    print("\n (STEP 448F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR8004XI TO SHOT2FOUR8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 448F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR8004XI: ", fire2four8004xi) 
                    # FIRE2FOUR8004XI:  {1: '101x-165y776z', 2: '101x-35y792z', 3: '110x-32y791z', 4: '114x-166y774z', 5: '120x-28y790z', 6: '122x-771y172z', 7: '127x-166y772z', 8: '129x-23y789z', 9: '131x-318y722z', 10: '138x-17y787z', 11: '140x-165y769z', 12: '146x-11y786z', 13: '150x-317y718z', 14: '154x-163y767z', 15: '154x-3y784z', 16: '162x-765y164z', 17: '168x-160y765z', 18: '170x-315y715z', 19: '182x-156y763z', 20: '190x-312y711z', 21: '196x-150y760z', 22: '203x-757y156z', 23: '210x-144y758z', 24: '210x-307y707z', 25: '213x-451y624z', 26: '224x-137y755z', 27: '230x-301y704z', 28: '237x-129y752z', 29: '239x-445y619z', 30: '242x-747y148z', 31: '250x-119y750z', 32: '250x-294y700z', 33: '263x-109y747z', 34: '266x-437y614z', 35: '270x-286y696z', 36: '276x-97y744z', 37: '282x-735y141z', 38: '287x-85y741z', 39: '290x-276y692z', 40: '292x-428y609z', 41: '295x-549y500z', 42: '299x-71y738z', 43: '309x-265y688z', 44: '309x-57y735z', 45: '317x-417y604z', 46: '319x-42y732z', 47: '320x-720y133z', 48: '326x-537y494z', 49: '328x-253y684z', 50: '328x-26y728z', 51: '336x-8y725z', 52: '343x-404y598z', 53: '346x-239y679z', 54: '356x-524y487z', 55: '358x-704y125z', 56: '364x-224y675z', 57: '367x-390y593z', 58: '381x-208y671z', 59: '386x-508y481z', 60: '392x-374y588z', 61: '395x-685y117z', 62: '398x-191y667z', 63: '40x-776y187z', 64: '413x-172y662z', 65: '415x-357y582z', 66: '415x-491y475z', 67: '428x-152y658z', 68: '431x-664y109z', 69: '438x-338y577z', 70: '442x-132y653z', 71: '444x-472y468z', 72: '454x-110y648z', 73: '460x-318y571z', 74: '466x-641y101z', 75: '466x-87y644z', 76: '471x-451y462z', 77: '476x-63y639z', 78: '47x-36y797z', 79: '481x-297y565z', 80: '485x-39y634z', 81: '493x-14y629z', 82: '498x-429y455z', 83: '500x-274y560z', 84: '500x-617y93z', 85: '519x-250y554z', 86: '523x-405y449z', 87: '532x-591y85z', 88: '536x-224y548z', 89: '547x-379y442z', 90: '54x-153y783z', 91: '553x-198y542z', 92: '55x-38y797z', 93: '563x-563y77z', 94: '567x-170y537z', 95: '570x-353y435z', 96: '581x-141y531z', 97: '592x-324y428z', 98: '592x-533y69z', 99: '593x-112y525z', 100: '603x-81y519z', 101: '611x-50y512z', 102: '612x-295y422z', 103: '618x-18y506z', 104: '619x-501y61z', 105: '630x-264y415z', 106: '645x-469y53z', 107: '64x-39y796z', 108: '65x-157y781z', 109: '669x-434y45z', 110: '692x-399y37z', 111: '712x-362y29z', 112: '728x-261y459z', 113: '730x-325y21z', 114: '73x-39y795z', 115: '746x-286y13z', 116: '760x-247y5z', 117: '76x-161y779z', 118: '81x-775y180z', 119: '82x-39y794z', 120: '88x-163y778z', 121: '92x-37y793z'}
 
                  
            else:
                print("\n (STEP 448F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 448F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 448F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


        
    #========
    # 900 FOUR
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four9004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 449F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR9004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four9004xi = queue2four.get()
                if fire2four9004xi is None:
                    fire2four9004xi = shot2four9004xi
                    print("\n (STEP 449F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR9004XI TO SHOT2FOUR9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 449F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR9004XI: ", fire2four9004xi) 
                    # FIRE2FOUR9004XI:  {1: '103x-42y892z', 2: '113x-186y873z', 3: '114x-40y891z', 4: '124x-36y890z', 5: '128x-187y870z', 6: '135x-32y889z', 7: '137x-868y193z', 8: '143x-186y868z', 9: '145x-26y887z', 10: '147x-358y812z', 11: '155x-20y886z', 12: '158x-185y866z', 13: '164x-12y884z', 14: '169x-357y808z', 15: '174x-183y863z', 16: '174x-4y882z', 17: '183x-861y185z', 18: '189x-180y861z', 19: '191x-354y804z', 20: '205x-175y858z', 21: '214x-351y800z', 22: '221x-169y855z', 23: '228x-852y176z', 24: '236x-162y852z', 25: '236x-346y796z', 26: '240x-508y702z', 27: '252x-154y850z', 28: '259x-339y792z', 29: '267x-145y847z', 30: '269x-501y697z', 31: '273x-840y167z', 32: '281x-331y787z', 33: '282x-134y843z', 34: '296x-123y840z', 35: '299x-492y691z', 36: '304x-322y783z', 37: '310x-110y837z', 38: '317x-827y158z', 39: '323x-96y834z', 40: '326x-311y778z', 41: '328x-481y685z', 42: '332x-618y563z', 43: '336x-80y830z', 44: '348x-298y774z', 45: '348x-64y827z', 46: '357x-469y679z', 47: '359x-47y823z', 48: '360x-810y149z', 49: '367x-605y556z', 50: '369x-284y769z', 51: '369x-29y819z', 52: '379x-10y816z', 53: '385x-455y673z', 54: '390x-269y764z', 55: '401x-589y548z', 56: '403x-792y140z', 57: '410x-252y760z', 58: '413x-439y667z', 59: '429x-234y755z', 60: '434x-572y541z', 61: '441x-421y661z', 62: '445x-770y131z', 63: '447x-214y750z', 64: '45x-873y211z', 65: '465x-194y745z', 66: '467x-402y655z', 67: '467x-552y534z', 68: '482x-171y740z', 69: '485x-747y123z', 70: '493x-381y649z', 71: '497x-148y735z', 72: '499x-531y527z', 73: '511x-124y729z', 74: '517x-358y643z', 75: '524x-722y114z', 76: '524x-98y724z', 77: '530x-508y519z', 78: '536x-71y719z', 79: '53x-40y897z', 80: '541x-334y636z', 81: '546x-44y713z', 82: '555x-15y708z', 83: '560x-482y512z', 84: '562x-694y105z', 85: '563x-308y630z', 86: '584x-281y623z', 87: '588x-456y505z', 88: '598x-664y96z', 89: '604x-252y617z', 90: '616x-427y497z', 91: '61x-172y881z', 92: '622x-222y610z', 93: '62x-43y896z', 94: '633x-633y87z', 95: '638x-191y604z', 96: '641x-397y490z', 97: '653x-159y597z', 98: '666x-365y482z', 99: '666x-599y78z', 100: '667x-126y590z', 101: '678x-91y583z', 102: '688x-332y474z', 103: '688x-56y577z', 104: '696x-20y570z', 105: '697x-564y69z', 106: '709x-297y467z', 107: '726x-527y60z', 108: '72x-44y895z', 109: '73x-177y879z', 110: '753x-489y51z', 111: '778x-449y42z', 112: '801x-408y33z', 113: '809x-290y510z', 114: '821x-365y24z', 115: '82x-44y895z', 116: '840x-322y15z', 117: '855x-278y6z', 118: '86x-181y877z', 119: '91x-872y202z', 120: '93x-44y894z', 121: '99x-184y875z'}
 
                  
            else:
                print("\n (STEP 449F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 449F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 449F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


        
    #=========
    # 1000 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four10004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 450F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR10004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four10004xi = queue2four.get()
                if fire2four10004xi is None:
                    fire2four10004xi = shot2four10004xi
                    print("\n (STEP 450F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR10004XI TO SHOT2FOUR10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 450F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR10004XI: ", fire2four10004xi) 
                    # FIRE2FOUR10004XI:  {1: '101x-968y225z', 2: '103x-49y993z', 3: '110x-204y972z', 4: '115x-47y992z', 5: '126x-206y970z', 6: '126x-44y990z', 7: '138x-40y989z', 8: '142x-207y967z', 9: '150x-35y988z', 10: '152x-964y215z', 11: '159x-207y965z', 12: '161x-29y986z', 13: '163x-397y902z', 14: '172x-22y984z', 15: '176x-206y962z', 16: '183x-14y982z', 17: '188x-396y898z', 18: '193x-203y959z', 19: '193x-4y981z', 20: '203x-957y205z', 21: '210x-200y956z', 22: '213x-394y893z', 23: '228x-195y953z', 24: '238x-390y889z', 25: '245x-188y950z', 26: '253x-947y195z', 27: '262x-180y947z', 28: '263x-384y884z', 29: '266x-564y780z', 30: '280x-171y944z', 31: '288x-377y880z', 32: '297x-161y941z', 33: '299x-556y774z', 34: '303x-934y186z', 35: '313x-149y937z', 36: '313x-368y875z', 37: '329x-136y934z', 38: '332x-547y768z', 39: '338x-357y870z', 40: '345x-122y930z', 41: '352x-918y176z', 42: '359x-106y926z', 43: '362x-345y865z', 44: '365x-535y761z', 45: '369x-687y625z', 46: '374x-89y923z', 47: '386x-331y860z', 48: '387x-71y919z', 49: '397x-521y755z', 50: '399x-52y915z', 51: '401x-900y166z', 52: '407x-672y617z', 53: '410x-316y855z', 54: '410x-32y911z', 55: '421x-11y906z', 56: '428x-505y748z', 57: '433x-299y849z', 58: '445x-655y609z', 59: '448x-880y156z', 60: '455x-280y844z', 61: '459x-487y741z', 62: '477x-260y839z', 63: '483x-635y601z', 64: '490x-468y735z', 65: '494x-856y146z', 66: '497x-238y833z', 67: '50x-970y234z', 68: '517x-215y828z', 69: '519x-446y728z', 70: '519x-614y593z', 71: '535x-191y822z', 72: '539x-830y136z', 73: '547x-423y721z', 74: '552x-165y816z', 75: '555x-590y585z', 76: '568x-137y811z', 77: '575x-398y714z', 78: '582x-109y805z', 79: '583x-802y126z', 80: '589x-564y577z', 81: '595x-79y799z', 82: '59x-45y997z', 83: '601x-371y707z', 84: '607x-49y793z', 85: '616x-17y787z', 86: '622x-536y569z', 87: '625x-771y116z', 88: '626x-342y700z', 89: '649x-312y693z', 90: '654x-506y561z', 91: '665x-738y106z', 92: '671x-280y685z', 93: '67x-191y979z', 94: '684x-474y552z', 95: '691x-247y678z', 96: '69x-47y996z', 97: '703x-703y97z', 98: '709x-213y671z', 99: '713x-441y544z', 100: '726x-177y663z', 101: '740x-406y536z', 102: '740x-666y87z', 103: '741x-140y656z', 104: '754x-102y648z', 105: '764x-62y641z', 106: '765x-369y527z', 107: '773x-23y633z', 108: '774x-627y77z', 109: '788x-330y519z', 110: '807x-586y67z', 111: '80x-49y995z', 112: '81x-197y977z', 113: '837x-543y57z', 114: '865x-499y47z', 115: '890x-319y561z', 116: '890x-453y37z', 117: '913x-406y27z', 118: '92x-49y994z', 119: '933x-358y17z', 120: '951x-309y7z'}
 
                  
            else:
                print("\n (STEP 450F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 450F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 450F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1100 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four11004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 451F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR11004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four11004xi = queue2four.get()
                if fire2four11004xi is None:
                    fire2four11004xi = shot2four11004xi
                    print("\n (STEP 451F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR11004XI TO SHOT2FOUR11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 451F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR11004XI: ", fire2four11004xi) 
                    # FIRE2FOUR11004XI:  {1: '1004x-447y29z', 2: '101x-54y1093z', 3: '1026x-394y18z', 4: '1046x-339y7z', 5: '105x-221y1072z', 6: '112x-1065y247z', 7: '113x-54y1092z', 8: '122x-224y1069z', 9: '126x-52y1091z', 10: '139x-227y1067z', 11: '139x-49y1090z', 12: '152x-44y1088z', 13: '156x-228y1064z', 14: '165x-39y1086z', 15: '168x-1060y237z', 16: '175x-228y1061z', 17: '177x-32y1085z', 18: '180x-437y992z', 19: '189x-24y1083z', 20: '193x-227y1058z', 21: '201x-15y1081z', 22: '207x-436y988z', 23: '212x-224y1055z', 24: '212x-5y1079z', 25: '223x-1052y226z', 26: '231x-220y1052z', 27: '234x-433y983z', 28: '250x-214y1049z', 29: '261x-429y978z', 30: '270x-207y1045z', 31: '279x-1041y215z', 32: '289x-198y1042z', 33: '289x-423y973z', 34: '293x-621y858z', 35: '308x-189y1038z', 36: '317x-415y968z', 37: '326x-177y1035z', 38: '329x-612y851z', 39: '333x-1027y204z', 40: '344x-164y1031z', 41: '344x-405y962z', 42: '362x-150y1027z', 43: '365x-601y844z', 44: '371x-393y957z', 45: '379x-134y1023z', 46: '388x-1010y193z', 47: '395x-117y1019z', 48: '398x-380y951z', 49: '401x-588y837z', 50: '406x-755y688z', 51: '411x-98y1015z', 52: '425x-365y946z', 53: '425x-79y1011z', 54: '436x-573y830z', 55: '439x-58y1006z', 56: '441x-990y183z', 57: '448x-739y679z', 58: '451x-348y940z', 59: '451x-35y1002z', 60: '463x-12y997z', 61: '471x-556y823z', 62: '476x-329y934z', 63: '490x-720y670z', 64: '493x-968y172z', 65: '501x-308y929z', 66: '505x-536y816z', 67: '524x-286y923z', 68: '531x-699y662z', 69: '539x-515y808z', 70: '544x-942y161z', 71: '547x-262y917z', 72: '55x-1067y258z', 73: '568x-237y911z', 74: '571x-491y801z', 75: '571x-675y653z', 76: '589x-210y904z', 77: '593x-913y150z', 78: '602x-465y793z', 79: '607x-181y898z', 80: '610x-649y644z', 81: '625x-151y892z', 82: '632x-438y785z', 83: '641x-120y885z', 84: '641x-882y139z', 85: '648x-620y635z', 86: '655x-87y879z', 87: '65x-49y1096z', 88: '661x-408y778z', 89: '667x-54y872z', 90: '678x-19y865z', 91: '684x-590y626z', 92: '687x-848y128z', 93: '688x-377y770z', 94: '714x-343y762z', 95: '719x-557y617z', 96: '731x-812y117z', 97: '738x-308y754z', 98: '74x-210y1077z', 99: '753x-522y608z', 100: '760x-272y746z', 101: '76x-52y1096z', 102: '774x-774y106z', 103: '780x-234y738z', 104: '784x-485y599z', 105: '799x-194y730z', 106: '814x-446y589z', 107: '814x-733y95z', 108: '815x-154y721z', 109: '829x-112y713z', 110: '841x-405y580z', 111: '841x-69y705z', 112: '850x-25y696z', 113: '852x-690y84z', 114: '866x-363y571z', 115: '887x-645y73z', 116: '88x-54y1095z', 117: '89x-216y1074z', 118: '921x-598y62z', 119: '951x-549y51z', 120: '971x-348y612z', 121: '979x-499y40z'}
 
                  
            else:
                print("\n (STEP 451F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 451F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 451F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


        
    #=========
    # 1200 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four12004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 452F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR12004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four12004xi = queue2four.get()
                if fire2four12004xi is None:
                    fire2four12004xi = shot2four12004xi
                    print("\n (STEP 452F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR12004XI TO SHOT2FOUR12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 452F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR12004XI: ", fire2four12004xi) 
                    # FIRE2FOUR12004XI:  {1: '1004x-652y68z', 2: '1038x-599y56z', 3: '1051x-377y663z', 4: '1068x-544y44z', 5: '1095x-487y32z', 6: '110x-59y1193z', 7: '1120x-429y20z', 8: '1141x-370y8z', 9: '115x-241y1169z', 10: '122x-1162y270z', 11: '124x-58y1192z', 12: '133x-245y1167z', 13: '138x-56y1190z', 14: '151x-248y1164z', 15: '152x-53y1189z', 16: '166x-48y1187z', 17: '171x-249y1161z', 18: '180x-42y1185z', 19: '183x-1157y258z', 20: '191x-249y1158z', 21: '193x-35y1183z', 22: '196x-477y1083z', 23: '207x-26y1181z', 24: '211x-247y1154z', 25: '219x-16y1179z', 26: '225x-476y1077z', 27: '232x-244y1151z', 28: '232x-5y1177z', 29: '244x-1148y246z', 30: '252x-240y1148z', 31: '255x-473y1072z', 32: '273x-234y1144z', 33: '285x-468y1067z', 34: '294x-226y1141z', 35: '304x-1136y235z', 36: '315x-217y1137z', 37: '315x-461y1061z', 38: '320x-677y936z', 39: '336x-206y1133z', 40: '345x-452y1056z', 41: '356x-193y1129z', 42: '359x-668y929z', 43: '364x-1121y223z', 44: '375x-442y1050z', 45: '376x-179y1125z', 46: '395x-164y1121z', 47: '399x-656y921z', 48: '405x-429y1044z', 49: '414x-146y1116z', 50: '423x-1102y211z', 51: '431x-128y1112z', 52: '435x-414y1038z', 53: '438x-642y914z', 54: '443x-824y750z', 55: '448x-107y1107z', 56: '464x-398y1032z', 57: '464x-86y1102z', 58: '476x-625y906z', 59: '479x-63y1098z', 60: '481x-1080y199z', 61: '489x-806y741z', 62: '492x-379y1026z', 63: '493x-39y1093z', 64: '505x-13y1088z', 65: '514x-606y898z', 66: '520x-359y1019z', 67: '535x-786y731z', 68: '538x-1056y187z', 69: '546x-336y1013z', 70: '551x-585y890z', 71: '572x-312y1007z', 72: '579x-762y722z', 73: '588x-562y882z', 74: '593x-1027y175z', 75: '597x-286y1000z', 76: '61x-1164y281z', 77: '620x-258y993z', 78: '623x-536y874z', 79: '623x-736y712z', 80: '642x-229y987z', 81: '647x-996y164z', 82: '657x-508y865z', 83: '663x-198y980z', 84: '666x-708y703z', 85: '682x-165y973z', 86: '690x-477y857z', 87: '699x-131y966z', 88: '699x-962y152z', 89: '707x-677y693z', 90: '714x-95y959z', 91: '71x-54y1196z', 92: '721x-445y848z', 93: '728x-58y951z', 94: '740x-21y944z', 95: '747x-643y683z', 96: '750x-926y140z', 97: '751x-411y840z', 98: '779x-375y831z', 99: '785x-608y673z', 100: '798x-886y128z', 101: '805x-337y823z', 102: '81x-230y1174z', 103: '821x-569y663z', 104: '829x-297y814z', 105: '83x-57y1195z', 106: '844x-844y116z', 107: '851x-255y805z', 108: '855x-529y653z', 109: '871x-212y796z', 110: '888x-487y643z', 111: '888x-799y104z', 112: '889x-168y787z', 113: '904x-122y778z', 114: '917x-75y769z', 115: '918x-442y633z', 116: '928x-27y760z', 117: '929x-752y92z', 118: '945x-396y623z', 119: '968x-703y80z', 120: '97x-236y1172z', 121: '97x-59y1194z'}
 
                  
            else:
                print("\n (STEP 452F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 452F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 452F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               


        
    #=========
    # 1300 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four13004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 453F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR13004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four13004xi = queue2four.get()
                if fire2four13004xi is None:
                    fire2four13004xi = shot2four13004xi
                    print("\n (STEP 453F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR13004XI TO SHOT2FOUR13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 453F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR13004XI: ", fire2four13004xi) 
                    # FIRE2FOUR13004XI:  {1: '1005x-29y823z', 2: '1007x-815y100z', 3: '1024x-429y674z', 4: '1049x-762y87z', 5: '105x-256y1270z', 6: '105x-64y1294z', 7: '1088x-706y74z', 8: '1124x-649y61z', 9: '1132x-406y714z', 10: '1157x-589y48z', 11: '1187x-528y35z', 12: '119x-64y1292z', 13: '1213x-465y22z', 14: '1236x-401y9z', 15: '124x-261y1267z', 16: '132x-1259y292z', 17: '134x-63y1291z', 18: '144x-265y1264z', 19: '149x-61y1289z', 20: '164x-268y1261z', 21: '164x-58y1288z', 22: '180x-52y1286z', 23: '185x-270y1258z', 24: '195x-46y1284z', 25: '198x-1253y280z', 26: '207x-270y1254z', 27: '209x-38y1282z', 28: '212x-517y1173z', 29: '224x-29y1280z', 30: '229x-268y1251z', 31: '238x-18y1277z', 32: '244x-516y1167z', 33: '251x-265y1247z', 34: '251x-6y1275z', 35: '264x-1244y267z', 36: '273x-260y1243z', 37: '276x-512y1162z', 38: '296x-253y1240z', 39: '309x-507y1156z', 40: '319x-245y1236z', 41: '329x-1231y254z', 42: '341x-235y1232z', 43: '342x-500y1150z', 44: '347x-734y1015z', 45: '364x-223y1227z', 46: '374x-490y1144z', 47: '386x-209y1223z', 48: '389x-724y1006z', 49: '394x-1214y241z', 50: '407x-194y1219z', 51: '407x-479y1137z', 52: '428x-177y1214z', 53: '432x-711y998z', 54: '439x-465y1131z', 55: '448x-159y1209z', 56: '458x-1194y229z', 57: '467x-138y1204z', 58: '471x-449y1125z', 59: '474x-695y990z', 60: '479x-893y813z', 61: '486x-116y1199z', 62: '502x-431y1118z', 63: '503x-93y1194z', 64: '516x-677y981z', 65: '519x-68y1189z', 66: '521x-1171y216z', 67: '530x-873y803z', 68: '533x-411y1111z', 69: '534x-42y1184z', 70: '547x-14y1179z', 71: '557x-657y973z', 72: '563x-389y1104z', 73: '579x-851y792z', 74: '582x-1144y203z', 75: '592x-364y1098z', 76: '597x-634y964z', 77: '620x-338y1091z', 78: '628x-826y782z', 79: '637x-608y955z', 80: '642x-1113y190z', 81: '647x-310y1083z', 82: '66x-1261y305z', 83: '672x-280y1076z', 84: '675x-580y946z', 85: '675x-798y772z', 86: '696x-248y1069z', 87: '701x-1080y177z', 88: '712x-550y937z', 89: '718x-214y1061z', 90: '721x-767y761z', 91: '739x-179y1054z', 92: '747x-517y928z', 93: '757x-1043y164z', 94: '757x-142y1046z', 95: '766x-733y751z', 96: '774x-103y1038z', 97: '77x-59y1296z', 98: '781x-482y919z', 99: '789x-63y1031z', 100: '801x-22y1023z', 101: '809x-697y740z', 102: '812x-1003y152z', 103: '813x-445y910z', 104: '844x-406y901z', 105: '850x-658y729z', 106: '864x-960y139z', 107: '872x-365y891z', 108: '889x-617y718z', 109: '88x-249y1272z', 110: '898x-321y882z', 111: '90x-62y1295z', 112: '914x-914y126z', 113: '922x-276y872z', 114: '927x-573y708z', 115: '944x-230y862z', 116: '962x-527y697z', 117: '962x-866y113z', 118: '963x-182y853z', 119: '980x-132y843z', 120: '994x-479y686z', 121: '994x-81y833z'}

                  
            else:
                print("\n (STEP 453F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 453F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 453F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1400 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four14004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 454F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR14004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four14004xi = queue2four.get()
                if fire2four14004xi is None:
                    fire2four14004xi = shot2four14004xi
                    print("\n (STEP 454F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR14004XI TO SHOT2FOUR14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 454F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR14004XI: ", fire2four14004xi) 
                    # FIRE2FOUR14004XI:  {1: '1017x-248y929z', 2: '1036x-568y750z', 3: '1036x-933y121z', 4: '1037x-196y918z', 5: '1055x-142y908z', 6: '1070x-88y897z', 7: '1071x-516y738z', 8: '1082x-32y886z', 9: '1084x-878y107z', 10: '1103x-462y726z', 11: '1130x-821y94z', 12: '113x-69y1393z', 13: '114x-275y1367z', 14: '1172x-761y80z', 15: '1211x-699y66z', 16: '1213x-435y765z', 17: '1246x-635y52z', 18: '1278x-569y38z', 19: '128x-69y1392z', 20: '1306x-501y24z', 21: '1331x-432y10z', 22: '134x-281y1364z', 23: '142x-1356y315z', 24: '144x-68y1390z', 25: '155x-286y1361z', 26: '161x-66y1389z', 27: '177x-289y1358z', 28: '177x-62y1387z', 29: '193x-57y1385z', 30: '199x-290y1354z', 31: '210x-50y1383z', 32: '213x-1350y301z', 33: '222x-290y1351z', 34: '225x-41y1381z', 35: '229x-557y1263z', 36: '241x-31y1378z', 37: '246x-289y1347z', 38: '256x-19y1376z', 39: '263x-555y1257z', 40: '270x-285y1343z', 41: '270x-6y1373z', 42: '284x-1340y288z', 43: '294x-280y1339z', 44: '298x-552y1251z', 45: '319x-273y1335z', 46: '333x-546y1245z', 47: '343x-264y1331z', 48: '355x-1326y274z', 49: '368x-253y1326z', 50: '368x-538y1238z', 51: '373x-790y1093z', 52: '392x-240y1322z', 53: '403x-528y1232z', 54: '415x-225y1317z', 55: '419x-779y1084z', 56: '425x-1308y260z', 57: '438x-209y1312z', 58: '438x-515y1225z', 59: '461x-191y1307z', 60: '465x-765y1075z', 61: '473x-501y1218z', 62: '483x-171y1302z', 63: '493x-1286y246z', 64: '503x-149y1297z', 65: '507x-484y1211z', 66: '511x-749y1066z', 67: '516x-962y875z', 68: '523x-125y1292z', 69: '541x-464y1204z', 70: '542x-100y1286z', 71: '556x-730y1057z', 72: '559x-73y1281z', 73: '561x-1261y232z', 74: '571x-941y864z', 75: '574x-443y1197z', 76: '575x-45y1275z', 77: '589x-15y1269z', 78: '600x-707y1048z', 79: '606x-419y1189z', 80: '624x-917y853z', 81: '627x-1232y219z', 82: '638x-392y1182z', 83: '643x-683y1038z', 84: '668x-364y1174z', 85: '676x-889y842z', 86: '686x-655y1029z', 87: '692x-1199y205z', 88: '696x-334y1167z', 89: '71x-1358y328z', 90: '724x-301y1159z', 91: '727x-625y1019z', 92: '727x-859y831z', 93: '749x-267y1151z', 94: '755x-1163y191z', 95: '766x-592y1010z', 96: '773x-231y1143z', 97: '777x-826y820z', 98: '795x-192y1135z', 99: '805x-557y1000z', 100: '816x-1123y177z', 101: '816x-153y1127z', 102: '825x-790y808z', 103: '834x-111y1118z', 104: '83x-63y1396z', 105: '841x-519y990z', 106: '849x-68y1110z', 107: '863x-24y1101z', 108: '871x-751y797z', 109: '875x-1080y163z', 110: '876x-479y980z', 111: '909x-437y970z', 112: '916x-709y785z', 113: '931x-1034y149z', 114: '939x-393y960z', 115: '94x-268y1370z', 116: '958x-664y774z', 117: '968x-346y950z', 118: '97x-67y1394z', 119: '985x-985y135z', 120: '993x-298y939z', 121: '998x-617y762z'}
 
                  
            else:
                print("\n (STEP 454F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 454F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 454F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1500 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four15004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 455F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR15004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four15004xi = queue2four.get()
                if fire2four15004xi is None:
                    fire2four15004xi = shot2four15004xi
                    print("\n (STEP 455F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR15004XI TO SHOT2FOUR15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 455F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR15004XI: ", fire2four15004xi) 
                    # FIRE2FOUR15004XI:  {1: '1006x-421y1028z', 2: '101x-287y1468z', 3: '1026x-712y829z', 4: '1037x-371y1018z', 5: '104x-71y1494z', 6: '1055x-1055y145z', 7: '1064x-319y1006z', 8: '1069x-662y816z', 9: '1089x-265y995z', 10: '1110x-609y804z', 11: '1110x-999y130z', 12: '1112x-210y984z', 13: '1131x-153y973z', 14: '1147x-553y791z', 15: '1147x-94y961z', 16: '1160x-34y950z', 17: '1162x-941y115z', 18: '1182x-495y778z', 19: '1210x-879y100z', 20: '121x-73y1493z', 21: '122x-295y1465z', 22: '1255x-815y85z', 23: '1294x-464y817z', 24: '1297x-749y70z', 25: '1335x-680y55z', 26: '1369x-609y40z', 27: '138x-74y1491z', 28: '1400x-537y25z', 29: '1426x-463y10z', 30: '143x-301y1462z', 31: '152x-1453y337z', 32: '155x-73y1490z', 33: '166x-306y1458z', 34: '172x-71y1488z', 35: '189x-310y1455z', 36: '190x-66y1486z', 37: '207x-61y1484z', 38: '214x-311y1451z', 39: '225x-53y1482z', 40: '229x-1446y323z', 41: '238x-311y1447z', 42: '242x-44y1479z', 43: '245x-596y1354z', 44: '258x-33y1477z', 45: '264x-309y1443z', 46: '274x-21y1474z', 47: '282x-595y1347z', 48: '290x-305y1439z', 49: '290x-7y1471z', 50: '305x-1435y308z', 51: '316x-300y1435z', 52: '319x-591y1340z', 53: '342x-292y1430z', 54: '357x-585y1334z', 55: '368x-282y1426z', 56: '380x-1420y293z', 57: '394x-271y1421z', 58: '394x-577y1327z', 59: '400x-847y1171z', 60: '420x-257y1416z', 61: '432x-566y1320z', 62: '445x-242y1411z', 63: '449x-835y1161z', 64: '455x-1401y279z', 65: '469x-552y1312z', 66: '470x-224y1406z', 67: '494x-205y1401z', 68: '498x-820y1152z', 69: '507x-536y1305z', 70: '517x-183y1395z', 71: '529x-1378y264z', 72: '539x-160y1390z', 73: '544x-518y1298z', 74: '547x-802y1142z', 75: '553x-1030y938z', 76: '561x-134y1384z', 77: '580x-107y1378z', 78: '580x-497y1290z', 79: '595x-782y1132z', 80: '599x-79y1372z', 81: '601x-1351y249z', 82: '611x-1008y926z', 83: '615x-474y1282z', 84: '616x-48y1366z', 85: '631x-16y1360z', 86: '643x-758y1122z', 87: '650x-449y1274z', 88: '668x-982y914z', 89: '672x-1320y234z', 90: '683x-421y1267z', 91: '689x-731y1112z', 92: '715x-390y1258z', 93: '724x-953y902z', 94: '735x-702y1102z', 95: '741x-1284y219z', 96: '746x-358y1250z', 97: '76x-1456y352z', 98: '775x-323y1242z', 99: '779x-670y1092z', 100: '779x-921y890z', 101: '803x-286y1233z', 102: '809x-1246y205z', 103: '821x-635y1082z', 104: '829x-247y1225z', 105: '832x-885y878z', 106: '852x-206y1216z', 107: '862x-597y1071z', 108: '874x-1203y190z', 109: '874x-164y1207z', 110: '884x-846y866z', 111: '893x-119y1198z', 112: '89x-68y1495z', 113: '901x-557y1061z', 114: '910x-73y1189z', 115: '925x-26y1180z', 116: '934x-804y854z', 117: '937x-1157y175z', 118: '939x-514y1050z', 119: '974x-468y1039z', 120: '981x-760y841z', 121: '997x-1108y160z'}

                  
            else:
                print("\n (STEP 455F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 455F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 455F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1600 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four16004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 456F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR16004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four16004xi = queue2four.get() 
                if fire2four16004xi is None:
                    fire2four16004xi = shot2four16004xi
                    print("\n (STEP 456F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR1600 4XI TO SHOT2FOUR1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 456F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR16004XI: ", fire2four16004xi) 
                    # FIRE2FOUR16004XI:  {1: '1000x-1234y187z', 2: '1001x-548y1120z', 3: '1039x-500y1109z', 4: '1046x-810y898z', 5: '1064x-1182y171z', 6: '1073x-449y1097z', 7: '108x-306y1566z', 8: '1095x-759y884z', 9: '1106x-396y1085z', 10: '111x-76y1594z', 11: '1126x-1126y155z', 12: '1135x-340y1074z', 13: '1141x-706y871z', 14: '1162x-283y1062z', 15: '1184x-1066y139z', 16: '1184x-649y857z', 17: '1186x-224y1050z', 18: '1206x-163y1038z', 19: '1223x-100y1025z', 20: '1224x-590y844z', 21: '1237x-36y1013z', 22: '1239x-1003y123z', 23: '1261x-528y830z', 24: '1291x-938y107z', 25: '129x-78y1592z', 26: '130x-315y1563z', 27: '1339x-869y91z', 28: '1375x-493y868z', 29: '1384x-799y75z', 30: '1424x-725y59z', 31: '1461x-650y43z', 32: '147x-79y1591z', 33: '1493x-573y27z', 34: '1521x-494y11z', 35: '153x-322y1559z', 36: '162x-1550y360z', 37: '165x-78y1589z', 38: '177x-327y1556z', 39: '184x-75y1587z', 40: '202x-330y1552z', 41: '202x-71y1585z', 42: '221x-65y1583z', 43: '228x-332y1548z', 44: '240x-57y1580z', 45: '244x-1543y344z', 46: '254x-332y1544z', 47: '258x-47y1578z', 48: '262x-636y1444z', 49: '276x-35y1575z', 50: '281x-330y1539z', 51: '293x-22y1572z', 52: '301x-635y1437z', 53: '309x-326y1535z', 54: '309x-7y1569z', 55: '325x-1531y329z', 56: '337x-320y1530z', 57: '340x-631y1430z', 58: '365x-312y1526z', 59: '380x-624y1422z', 60: '392x-301y1521z', 61: '406x-1515y313z', 62: '420x-289y1516z', 63: '420x-615y1415z', 64: '427x-903y1249z', 65: '448x-274y1511z', 66: '461x-603y1408z', 67: '475x-258y1505z', 68: '479x-891y1239z', 69: '485x-1495y297z', 70: '501x-239y1500z', 71: '501x-589y1400z', 72: '527x-218y1494z', 73: '532x-875y1229z', 74: '541x-572y1392z', 75: '552x-195y1488z', 76: '564x-1470y282z', 77: '575x-170y1482z', 78: '580x-553y1384z', 79: '584x-856y1218z', 80: '590x-1099y1001z', 81: '598x-143y1476z', 82: '618x-531y1376z', 83: '619x-115y1470z', 84: '635x-834y1208z', 85: '639x-84y1464z', 86: '641x-1441y266z', 87: '652x-1075y988z', 88: '656x-506y1368z', 89: '657x-52y1457z', 90: '673x-17y1451z', 91: '686x-809y1197z', 92: '693x-478y1359z', 93: '713x-1048y975z', 94: '717x-1408y250z', 95: '729x-449y1351z', 96: '735x-780y1187z', 97: '763x-416y1342z', 98: '773x-1017y963z', 99: '784x-749y1176z', 100: '791x-1370y234z', 101: '796x-382y1334z', 102: '81x-1553y375z', 103: '827x-344y1325z', 104: '831x-714y1165z', 105: '831x-982y950z', 106: '856x-305y1316z', 107: '863x-1329y218z', 108: '876x-677y1154z', 109: '884x-264y1306z', 110: '888x-944y937z', 111: '909x-220y1297z', 112: '920x-637y1143z', 113: '932x-1283y202z', 114: '932x-175y1288z', 115: '943x-903y924z', 116: '953x-127y1278z', 117: '95x-72y1595z', 118: '962x-594y1131z', 119: '971x-78y1269z', 120: '986x-28y1259z', 121: '996x-858y911z'}
 
                  
            else:
                print("\n (STEP 456F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 456F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 456F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1700 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four17004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 457F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR17004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four17004xi = queue2four.get()
                if fire2four17004xi is None:
                    fire2four17004xi = shot2four17004xi
                    print("\n (STEP 457F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR17004XI TO SHOT2FOUR17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 457F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR17004XI: ", fire2four17004xi) 
                    # FIRE2FOUR17004XI:  {1: '1002x-959y982z', 2: '1012x-135y1358z', 3: '101x-77y1695z', 4: '1022x-631y1202z', 5: '1031x-83y1348z', 6: '1048x-29y1337z', 7: '1058x-912y968z', 8: '1062x-1312y198z', 9: '1064x-582y1190z', 10: '1103x-531y1178z', 11: '1112x-861y954z', 12: '1130x-1256y181z', 13: '1141x-477y1166z', 14: '115x-326y1664z', 15: '1163x-807y940z', 16: '1175x-420y1153z', 17: '118x-81y1693z', 18: '1196x-1196y164z', 19: '1206x-362y1141z', 20: '1212x-750y925z', 21: '1235x-301y1128z', 22: '1258x-1133y148z', 23: '1258x-690y911z', 24: '1260x-238y1115z', 25: '1282x-173y1102z', 26: '1300x-107y1089z', 27: '1300x-627y897z', 28: '1314x-39y1076z', 29: '1317x-1066y131z', 30: '1339x-561y882z', 31: '1372x-996y114z', 32: '137x-83y1692z', 33: '138x-334y1660z', 34: '1423x-924y97z', 35: '1456x-523y919z', 36: '1470x-849y80z', 37: '1513x-771y63z', 38: '1552x-691y46z', 39: '156x-84y1690z', 40: '1586x-609y29z', 41: '1616x-525y12z', 42: '163x-342y1657z', 43: '173x-1647y382z', 44: '175x-83y1688z', 45: '188x-347y1653z', 46: '195x-80y1686z', 47: '215x-351y1649z', 48: '215x-75y1684z', 49: '235x-69y1682z', 50: '242x-353y1645z', 51: '255x-60y1679z', 52: '259x-1639y366z', 53: '270x-353y1640z', 54: '274x-50y1676z', 55: '278x-676y1534z', 56: '293x-38y1674z', 57: '299x-350y1636z', 58: '311x-23y1671z', 59: '320x-674y1527z', 60: '328x-346y1631z', 61: '329x-7y1667z', 62: '345x-1627y349z', 63: '358x-340y1626z', 64: '362x-670y1519z', 65: '387x-331y1621z', 66: '404x-663y1511z', 67: '417x-320y1616z', 68: '431x-1610y333z', 69: '447x-307y1611z', 70: '447x-653y1504z', 71: '453x-960y1327z', 72: '476x-292y1605z', 73: '490x-641y1496z', 74: '504x-274y1599z', 75: '509x-946y1316z', 76: '516x-1588y316z', 77: '532x-626y1487z', 78: '533x-254y1594z', 79: '560x-232y1588z', 80: '565x-930y1305z', 81: '574x-608y1479z', 82: '586x-208y1581z', 83: '599x-1562y299z', 84: '611x-181y1575z', 85: '616x-587y1471z', 86: '620x-909y1294z', 87: '627x-1168y1063z', 88: '635x-152y1569z', 89: '657x-564y1462z', 90: '658x-122y1562z', 91: '675x-886y1283z', 92: '679x-89y1555z', 93: '681x-1531y282z', 94: '693x-1142y1050z', 95: '697x-537y1453z', 96: '698x-55y1548z', 97: '715x-19y1541z', 98: '728x-859y1272z', 99: '736x-508y1444z', 100: '758x-1113y1036z', 101: '762x-1496y266z', 102: '774x-477y1435z', 103: '781x-829y1261z', 104: '811x-442y1426z', 105: '821x-1080y1023z', 106: '833x-796y1249z', 107: '840x-1456y249z', 108: '846x-405y1417z', 109: '86x-1650y399z', 110: '879x-366y1407z', 111: '883x-1043y1009z', 112: '883x-759y1238z', 113: '910x-324y1398z', 114: '917x-1412y232z', 115: '931x-719y1226z', 116: '939x-280y1388z', 117: '943x-1003y995z', 118: '966x-234y1378z', 119: '977x-677y1214z', 120: '990x-185y1368z', 121: '991x-1364y215z'}
 
                  
            else:
                print("\n (STEP 457F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 457F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 457F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1800 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four18004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 458F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR18004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four18004xi = queue2four.get()
                if fire2four18004xi is None:
                    fire2four18004xi = shot2four18004xi
                    print("\n (STEP 458F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR18004XI TO SHOT2FOUR18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 458F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR18004XI: ", fire2four18004xi) 
                    # FIRE2FOUR18004XI:  {1: '1023x-248y1459z', 2: '1035x-716y1286z', 3: '1049x-1444y228z', 4: '1049x-196y1449z', 5: '1061x-1016y1039z', 6: '106x-81y1794z', 7: '1072x-143y1438z', 8: '1082x-668y1273z', 9: '1092x-88y1427z', 10: '1110x-31y1416z', 11: '1120x-965y1025z', 12: '1125x-1389y210z', 13: '1126x-617y1260z', 14: '1168x-562y1247z', 15: '1177x-912y1010z', 16: '1197x-1329y192z', 17: '1208x-505y1234z', 18: '122x-345y1762z', 19: '1232x-854y995z', 20: '1244x-445y1221z', 21: '125x-86y1793z', 22: '1266x-1266y174z', 23: '1277x-383y1208z', 24: '1283x-794y980z', 25: '1307x-318y1194z', 26: '1332x-1199y156z', 27: '1332x-730y965z', 28: '1334x-252y1181z', 29: '1357x-183y1167z', 30: '1376x-113y1154z', 31: '1377x-664y949z', 32: '1392x-41y1140z', 33: '1394x-1129y138z', 34: '1418x-594y934z', 35: '1452x-1055y120z', 36: '145x-88y1791z', 37: '146x-354y1758z', 38: '1507x-978y102z', 39: '1537x-552y970z', 40: '1557x-898y84z', 41: '1602x-816y66z', 42: '1643x-731y48z', 43: '165x-89y1790z', 44: '1680x-644y30z', 45: '1711x-556y12z', 46: '172x-362y1754z', 47: '183x-1744y405z', 48: '186x-88y1788z', 49: '199x-368y1750z', 50: '207x-85y1785z', 51: '227x-372y1746z', 52: '228x-80y1783z', 53: '249x-73y1781z', 54: '256x-374y1741z', 55: '270x-64y1778z', 56: '274x-1736y387z', 57: '286x-373y1737z', 58: '290x-53y1775z', 59: '294x-716y1624z', 60: '310x-40y1772z', 61: '317x-371y1732z', 62: '329x-25y1769z', 63: '338x-714y1616z', 64: '348x-367y1727z', 65: '348x-8y1765z', 66: '366x-1723y370z', 67: '379x-360y1722z', 68: '383x-709y1609z', 69: '410x-351y1717z', 70: '428x-702y1600z', 71: '442x-339y1711z', 72: '456x-1704y352z', 73: '473x-325y1705z', 74: '473x-692y1592z', 75: '480x-1016y1405z', 76: '504x-309y1700z', 77: '518x-679y1584z', 78: '534x-290y1694z', 79: '539x-1002y1394z', 80: '546x-1681y334z', 81: '563x-663y1575z', 82: '564x-269y1687z', 83: '593x-246y1681z', 84: '598x-984y1382z', 85: '608x-644y1566z', 86: '621x-220y1675z', 87: '634x-1654y317z', 88: '647x-192y1668z', 89: '652x-622y1557z', 90: '657x-963y1371z', 91: '664x-1236y1126z', 92: '673x-161y1661z', 93: '696x-597y1548z', 94: '697x-129y1654z', 95: '714x-938y1359z', 96: '719x-94y1647z', 97: '721x-1621y299z', 98: '734x-1210y1112z', 99: '738x-569y1539z', 100: '739x-58y1639z', 101: '758x-20y1632z', 102: '771x-910y1347z', 103: '780x-538y1529z', 104: '802x-1179y1097z', 105: '807x-1584y281z', 106: '820x-505y1520z', 107: '827x-878y1335z', 108: '859x-468y1510z', 109: '869x-1144y1083z', 110: '882x-843y1323z', 111: '890x-1541y263z', 112: '895x-429y1500z', 113: '91x-1747y422z', 114: '931x-388y1490z', 115: '934x-804y1311z', 116: '935x-1105y1069z', 117: '964x-343y1480z', 118: '971x-1495y246z', 119: '986x-762y1298z', 120: '994x-297y1470z', 121: '999x-1062y1054z'}
 
                  
            else:
                print("\n (STEP 458F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 458F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 458F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 1900 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four19004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 459F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR19004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four19004xi = queue2four.get()
                if fire2four19004xi is None:
                    fire2four19004xi = shot2four19004xi
                    print("\n (STEP 459F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR19004XI TO SHOT2FOUR19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 459F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR19004XI: ", fire2four19004xi) 
                    # FIRE2FOUR19004XI:  {1: '1017x-362y1562z', 2: '1025x-1578y259z', 3: '1040x-804y1370z', 4: '1050x-313y1552z', 5: '1054x-1121y1113z', 6: '1080x-261y1540z', 7: '1092x-756y1357z', 8: '1107x-1524y241z', 9: '1107x-207y1529z', 10: '1120x-1072y1097z', 11: '112x-86y1894z', 12: '1131x-151y1518z', 13: '1142x-705y1344z', 14: '1153x-93y1506z', 15: '1171x-33y1495z', 16: '1183x-1019y1082z', 17: '1187x-1466y222z', 18: '1189x-651y1330z', 19: '1233x-593y1317z', 20: '1243x-962y1066z', 21: '1264x-1403y203z', 22: '1275x-533y1303z', 23: '128x-364y1860z', 24: '1300x-902y1050z', 25: '1313x-470y1289z', 26: '132x-90y1893z', 27: '1337x-1337y184z', 28: '1348x-404y1275z', 29: '1354x-838y1034z', 30: '1380x-336y1261z', 31: '1406x-1266y165z', 32: '1406x-771y1018z', 33: '1408x-266y1247z', 34: '1432x-193y1232z', 35: '1453x-119y1218z', 36: '1453x-701y1002z', 37: '1469x-43y1203z', 38: '1472x-1192y146z', 39: '1497x-627y986z', 40: '1533x-1114y127z', 41: '153x-93y1891z', 42: '154x-374y1856z', 43: '1590x-1033y108z', 44: '1618x-581y1021z', 45: '1643x-948y89z', 46: '1691x-861y70z', 47: '1735x-772y51z', 48: '174x-94y1889z', 49: '1773x-680y32z', 50: '1806x-587y13z', 51: '182x-382y1852z', 52: '193x-1841y427z', 53: '196x-93y1887z', 54: '210x-388y1847z', 55: '218x-90y1885z', 56: '240x-392y1843z', 57: '240x-84y1882z', 58: '263x-77y1880z', 59: '271x-394y1838z', 60: '285x-67y1877z', 61: '290x-1832y409z', 62: '302x-394y1833z', 63: '306x-56y1874z', 64: '311x-756y1715z', 65: '327x-42y1871z', 66: '334x-392y1828z', 67: '348x-26y1867z', 68: '357x-754y1706z', 69: '367x-387y1823z', 70: '367x-8y1864z', 71: '386x-1818y390z', 72: '400x-380y1818z', 73: '404x-749y1698z', 74: '433x-370y1812z', 75: '452x-741y1689z', 76: '466x-358y1806z', 77: '482x-1799y372z', 78: '499x-343y1800z', 79: '499x-730y1681z', 80: '507x-1073y1483z', 81: '532x-326y1794z', 82: '547x-717y1672z', 83: '564x-306y1788z', 84: '569x-1058y1471z', 85: '576x-1775y353z', 86: '595x-284y1781z', 87: '595x-700y1662z', 88: '626x-259y1774z', 89: '631x-1039y1459z', 90: '642x-680y1653z', 91: '655x-232y1768z', 92: '670x-1746y334z', 93: '683x-202y1761z', 94: '689x-656y1644z', 95: '693x-1017y1447z', 96: '701x-1305y1188z', 97: '710x-170y1753z', 98: '734x-630y1634z', 99: '735x-136y1746z', 100: '754x-990y1434z', 101: '759x-100y1738z', 102: '762x-1711y316z', 103: '775x-1277y1173z', 104: '779x-601y1624z', 105: '780x-61y1731z', 106: '800x-21y1723z', 107: '814x-960y1422z', 108: '823x-568y1614z', 109: '847x-1244y1158z', 110: '851x-1672y297z', 111: '865x-533y1604z', 112: '873x-927y1409z', 113: '906x-494y1594z', 114: '918x-1207y1143z', 115: '931x-889y1396z', 116: '939x-1627y278z', 117: '945x-453y1584z', 118: '96x-1844y446z', 119: '982x-409y1573z', 120: '986x-849y1383z', 121: '987x-1166y1128z'}
 
                  
            else:
                print("\n (STEP 459F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 459F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 459F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
      

        
    #=========
    # 2000 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four20004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 460F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR20004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four20004xi = queue2four.get()
                if fire2four20004xi is None:
                    fire2four20004xi = shot2four20004xi
                    print("\n (STEP 460F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR20004XI TO SHOT2FOUR20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 460F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR20004XI: ", fire2four20004xi) 
                    # FIRE2FOUR20004XI:  {1: '101x-1941y469z', 2: '1034x-431y1656z', 3: '1038x-893y1456z', 4: '1039x-1228y1187z', 5: '1071x-382y1645z', 6: '1079x-1661y273z', 7: '1095x-846y1442z', 8: '1105x-330y1633z', 9: '1110x-1180y1171z', 10: '1137x-275y1622z', 11: '1150x-796y1429z', 12: '1165x-218y1610z', 13: '1166x-1604y253z', 14: '1179x-1128y1155z', 15: '118x-90y1994z', 16: '1191x-159y1598z', 17: '1202x-742y1414z', 18: '1214x-98y1586z', 19: '1233x-35y1574z', 20: '1245x-1073y1139z', 21: '1250x-1543y233z', 22: '1252x-685y1400z', 23: '1298x-625y1386z', 24: '1308x-1013y1122z', 25: '1330x-1477y213z', 26: '1342x-561y1371z', 27: '135x-383y1958z', 28: '1369x-949y1105z', 29: '1382x-495y1357z', 30: '139x-95y1992z', 31: '1407x-1407y194z', 32: '1419x-426y1342z', 33: '1426x-882y1089z', 34: '1453x-354y1327z', 35: '1480x-1333y174z', 36: '1480x-812y1072z', 37: '1482x-280y1312z', 38: '1508x-204y1297z', 39: '1529x-125y1282z', 40: '1530x-738y1055z', 41: '1546x-46y1266z', 42: '1549x-1254y154z', 43: '1576x-661y1038z', 44: '1614x-1172y134z', 45: '161x-98y1991z', 46: '163x-394y1954z', 47: '1674x-1087y114z', 48: '1699x-610y1072z', 49: '1730x-998y94z', 50: '1780x-907y74z', 51: '1826x-813y54z', 52: '184x-99y1989z', 53: '1866x-716y34z', 54: '1902x-618y14z', 55: '191x-402y1949z', 56: '203x-1937y450z', 57: '207x-98y1986z', 58: '221x-409y1945z', 59: '230x-94y1984z', 60: '253x-413y1940z', 61: '253x-89y1981z', 62: '276x-81y1979z', 63: '285x-415y1935z', 64: '300x-71y1976z', 65: '305x-1928y430z', 66: '318x-415y1930z', 67: '322x-59y1972z', 68: '327x-795y1805z', 69: '345x-44y1969z', 70: '352x-412y1924z', 71: '366x-28y1965z', 72: '376x-793y1796z', 73: '386x-407y1919z', 74: '387x-9y1962z', 75: '406x-1914y411z', 76: '421x-400y1913z', 77: '426x-788y1787z', 78: '456x-390y1907z', 79: '476x-780y1778z', 80: '491x-377y1901z', 81: '507x-1894y391z', 82: '525x-361y1895z', 83: '526x-769y1769z', 84: '533x-1129y1561z', 85: '560x-343y1888z', 86: '576x-754y1760z', 87: '594x-322y1882z', 88: '599x-1113y1549z', 89: '607x-1868y372z', 90: '626x-736y1750z', 91: '627x-299y1875z', 92: '659x-273y1868z', 93: '665x-1094y1536z', 94: '676x-715y1740z', 95: '690x-244y1861z', 96: '705x-1837y352z', 97: '719x-213y1853z', 98: '725x-691y1730z', 99: '730x-1070y1523z', 100: '738x-1374y1251z', 101: '748x-179y1846z', 102: '773x-663y1720z', 103: '774x-143y1838z', 104: '794x-1042y1510z', 105: '799x-105y1830z', 106: '802x-1801y332z', 107: '815x-1344y1235z', 108: '820x-632y1710z', 109: '821x-65y1822z', 110: '842x-22y1813z', 111: '857x-1011y1497z', 112: '866x-598y1699z', 113: '891x-1310y1219z', 114: '896x-1760y313z', 115: '911x-561y1689z', 116: '919x-975y1483z', 117: '954x-521y1678z', 118: '966x-1271y1203z', 119: '980x-936y1470z', 120: '989x-1713y293z', 121: '995x-477y1667z'}
 
                  
            else:
                print("\n (STEP 460F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 460F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 460F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2100 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four21004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 461F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR21004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four21004xi = queue2four.get()
                if fire2four21004xi is None:
                    fire2four21004xi = shot2four21004xi
                    print("\n (STEP 461F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR21004XI TO SHOT2FOUR21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 461F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR21004XI: ", fire2four21004xi) 
                    # FIRE2FOUR21004XI:  {1: '1002x-547y1762z', 2: '1014x-1334y1264z', 3: '1029x-983y1543z', 4: '1038x-1798y307z', 5: '1045x-501y1750z', 6: '106x-2038y493z', 7: '1086x-452y1739z', 8: '1090x-938y1529z', 9: '1091x-1289y1247z', 10: '1124x-401y1727z', 11: '1132x-1744y287z', 12: '1150x-889y1515z', 13: '1160x-346y1715z', 14: '1166x-1239y1230z', 15: '1193x-289y1703z', 16: '1207x-836y1500z', 17: '1224x-1685y266z', 18: '1224x-229y1690z', 19: '1238x-1185y1213z', 20: '124x-95y2094z', 21: '1251x-167y1678z', 22: '1262x-779y1485z', 23: '1274x-103y1665z', 24: '1295x-36y1652z', 25: '1307x-1126y1196z', 26: '1312x-1620y245z', 27: '1314x-719y1470z', 28: '1363x-656y1455z', 29: '1374x-1064y1178z', 30: '1397x-1551y224z', 31: '1409x-589y1440z', 32: '142x-402y2056z', 33: '1437x-997y1161z', 34: '1452x-520y1425z', 35: '146x-100y2092z', 36: '1477x-1477y203z', 37: '1490x-447y1409z', 38: '1497x-926y1143z', 39: '1525x-372y1394z', 40: '1554x-1399y182z', 41: '1554x-852y1126z', 42: '1556x-294y1378z', 43: '1583x-214y1362z', 44: '1606x-132y1346z', 45: '1606x-774y1108z', 46: '1624x-48y1330z', 47: '1627x-1317y161z', 48: '1655x-694y1090z', 49: '1695x-1231y141z', 50: '169x-103y2090z', 51: '171x-413y2051z', 52: '1758x-1141y120z', 53: '1780x-639y1123z', 54: '1816x-1048y99z', 55: '1869x-952y78z', 56: '1917x-853y57z', 57: '193x-104y2088z', 58: '1960x-752y36z', 59: '1997x-648y15z', 60: '201x-422y2047z', 61: '213x-2034y473z', 62: '217x-103y2086z', 63: '232x-429y2042z', 64: '241x-99y2083z', 65: '265x-434y2037z', 66: '266x-93y2080z', 67: '290x-85y2078z', 68: '299x-436y2032z', 69: '315x-75y2074z', 70: '320x-2025y452z', 71: '334x-436y2026z', 72: '338x-62y2071z', 73: '343x-835y1895z', 74: '362x-46y2067z', 75: '369x-433y2021z', 76: '384x-29y2064z', 77: '395x-833y1886z', 78: '406x-428y2015z', 79: '406x-9y2060z', 80: '427x-2010y432z', 81: '442x-420y2009z', 82: '447x-828y1877z', 83: '479x-409y2003z', 84: '499x-819y1867z', 85: '515x-396y1996z', 86: '532x-1989y411z', 87: '552x-379y1990z', 88: '552x-807y1857z', 89: '560x-1186y1639z', 90: '588x-360y1983z', 91: '605x-792y1848z', 92: '623x-338y1976z', 93: '629x-1169y1626z', 94: '637x-1962y390z', 95: '657x-773y1838z', 96: '658x-314y1969z', 97: '692x-287y1961z', 98: '698x-1148y1613z', 99: '710x-751y1827z', 100: '724x-256y1954z', 101: '740x-1929y370z', 102: '755x-224y1946z', 103: '761x-726y1817z', 104: '766x-1124y1599z', 105: '775x-1443y1313z', 106: '785x-188y1938z', 107: '812x-696y1806z', 108: '813x-151y1930z', 109: '834x-1095y1585z', 110: '839x-110y1921z', 111: '842x-1891y349z', 112: '856x-1411y1297z', 113: '861x-664y1795z', 114: '862x-68y1913z', 115: '884x-23y1904z', 116: '900x-1061y1572z', 117: '910x-628y1784z', 118: '936x-1375y1280z', 119: '941x-1848y328z', 120: '957x-589y1773z', 121: '965x-1024y1558z'}

                  
            else:
                print("\n (STEP 461F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 461F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 461F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2200 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four22004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 462F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR22004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four22004xi = queue2four.get()
                if fire2four22004xi is None:
                    fire2four22004xi = shot2four22004xi
                    print("\n (STEP 462F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR22004XI TO SHOT2FOUR22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 462F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR22004XI: ", fire2four22004xi) 
                    # FIRE2FOUR22004XI:  {1: '1002x-617y1858z', 2: '1011x-1073y1632z', 3: '1049x-573y1846z', 4: '1063x-1398y1324z', 5: '1078x-1030y1617z', 6: '1088x-1884y322z', 7: '1095x-525y1834z', 8: '111x-2135y516z', 9: '1137x-474y1822z', 10: '1142x-983y1602z', 11: '1143x-1350y1306z', 12: '1178x-420y1809z', 13: '1186x-1827y300z', 14: '1205x-931y1587z', 15: '1215x-363y1797z', 16: '1221x-1298y1288z', 17: '1250x-303y1784z', 18: '1265x-876y1571z', 19: '1282x-1765y279z', 20: '1282x-240y1771z', 21: '1297x-1241y1271z', 22: '130x-99y2193z', 23: '1310x-175y1758z', 24: '1322x-817y1556z', 25: '1335x-108y1744z', 26: '1356x-38y1731z', 27: '1369x-1180y1252z', 28: '1375x-1697y257z', 29: '1377x-754y1540z', 30: '1428x-687y1525z', 31: '1439x-1114y1234z', 32: '1463x-1625y235z', 33: '1476x-617y1509z', 34: '149x-421y2154z', 35: '1506x-1044y1216z', 36: '1521x-544y1493z', 37: '153x-105y2192z', 38: '1548x-1548y213z', 39: '1561x-468y1476z', 40: '1568x-970y1198z', 41: '1598x-389y1460z', 42: '1628x-1466y191z', 43: '1628x-893y1179z', 44: '1630x-308y1443z', 45: '1659x-224y1427z', 46: '1682x-138y1410z', 47: '1683x-811y1161z', 48: '1701x-50y1393z', 49: '1704x-1380y169z', 50: '1733x-727y1142z', 51: '1775x-1290y147z', 52: '177x-108y2190z', 53: '179x-433y2149z', 54: '1842x-1196y125z', 55: '1861x-668y1174z', 56: '1903x-1098y103z', 57: '1958x-998y81z', 58: '2009x-894y59z', 59: '202x-109y2187z', 60: '2053x-788y37z', 61: '2092x-679y15z', 62: '210x-442y2144z', 63: '224x-2131y495z', 64: '227x-108y2185z', 65: '244x-449y2139z', 66: '253x-104y2182z', 67: '278x-454y2134z', 68: '278x-98y2180z', 69: '304x-89y2176z', 70: '313x-457y2128z', 71: '330x-78y2173z', 72: '336x-2121y474z', 73: '350x-457y2123z', 74: '355x-65y2170z', 75: '360x-875y1985z', 76: '379x-49y2166z', 77: '387x-454y2117z', 78: '403x-30y2162z', 79: '414x-873y1976z', 80: '425x-10y2158z', 81: '425x-448y2111z', 82: '447x-2105y452z', 83: '463x-440y2105z', 84: '468x-867y1966z', 85: '501x-429y2098z', 86: '523x-858y1956z', 87: '540x-414y2091z', 88: '558x-2083y431z', 89: '578x-397y2084z', 90: '578x-846y1946z', 91: '587x-1242y1717z', 92: '616x-378y2077z', 93: '634x-830y1936z', 94: '653x-355y2070z', 95: '659x-1225y1703z', 96: '667x-2055y409z', 97: '689x-329y2062z', 98: '689x-810y1925z', 99: '725x-300y2055z', 100: '731x-1203y1689z', 101: '743x-787y1914z', 102: '759x-269y2047z', 103: '776x-2021y387z', 104: '791x-234y2039z', 105: '797x-760y1903z', 106: '803x-1177y1675z', 107: '812x-1511y1376z', 108: '822x-197y2030z', 109: '851x-158y2022z', 110: '851x-730y1892z', 111: '873x-1147y1661z', 112: '879x-116y2013z', 113: '882x-1981y366z', 114: '897x-1478y1359z', 115: '903x-696y1881z', 116: '903x-71y2004z', 117: '926x-24y1995z', 118: '943x-1112y1646z', 119: '953x-658y1869z', 120: '981x-1441y1341z', 121: '986x-1936y344z'}
 
                  
            else:
                print("\n (STEP 462F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 462F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 462F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2300 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four23004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 463F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR23004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four23004xi = queue2four.get()
                if fire2four23004xi is None:
                    fire2four23004xi = shot2four23004xi
                    print("\n (STEP 463F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR23004XI TO SHOT2FOUR23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 463F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR23004XI: ", fire2four23004xi) 
                    # FIRE2FOUR23004XI:  {1: '1025x-1506y1402z', 2: '1031x-2024y360z', 3: '1048x-645y1942z', 4: '1057x-1122y1706z', 5: '1097x-599y1930z', 6: '1111x-1461y1384z', 7: '1127x-1077y1690z', 8: '1137x-1970y337z', 9: '1144x-549y1917z', 10: '117x-2232y540z', 11: '1189x-495y1904z', 12: '1194x-1027y1675z', 13: '1195x-1412y1366z', 14: '1231x-439y1891z', 15: '1240x-1910y314z', 16: '1260x-974y1659z', 17: '1271x-379y1878z', 18: '1277x-1357y1347z', 19: '1307x-317y1865z', 20: '1322x-916y1643z', 21: '1340x-1845y291z', 22: '1340x-251y1851z', 23: '1356x-1298y1328z', 24: '136x-104y2293z', 25: '1370x-183y1838z', 26: '1382x-854y1627z', 27: '1396x-113y1824z', 28: '1418x-40y1810z', 29: '1432x-1234y1309z', 30: '1437x-1775y268z', 31: '1439x-788y1610z', 32: '1493x-718y1594z', 33: '1505x-1165y1290z', 34: '1530x-1699y246z', 35: '1543x-645y1577z', 36: '155x-441y2251z', 37: '1574x-1092y1271z', 38: '1590x-569y1560z', 39: '160x-110y2291z', 40: '1618x-1618y223z', 41: '1632x-490y1543z', 42: '1640x-1015y1252z', 43: '1671x-407y1526z', 44: '1702x-1533y200z', 45: '1702x-933y1233z', 46: '1705x-322y1509z', 47: '1734x-234y1492z', 48: '1759x-144y1474z', 49: '1759x-848y1213z', 50: '1778x-52y1456z', 51: '1782x-1443y177z', 52: '1812x-760y1194z', 53: '1856x-1348y154z', 54: '185x-113y2289z', 55: '187x-453y2247z', 56: '1925x-1250y131z', 57: '1942x-697y1225z', 58: '1989x-1148y108z', 59: '2047x-1043y85z', 60: '2100x-935y62z', 61: '211x-114y2287z', 62: '2146x-824y39z', 63: '2187x-710y16z', 64: '220x-462y2242z', 65: '234x-2228y518z', 66: '238x-113y2284z', 67: '255x-470y2236z', 68: '264x-109y2282z', 69: '291x-102y2279z', 70: '291x-475y2231z', 71: '318x-93y2275z', 72: '328x-477y2225z', 73: '345x-82y2272z', 74: '351x-2218y495z', 75: '366x-477y2219z', 76: '371x-68y2268z', 77: '376x-915y2076z', 78: '396x-51y2264z', 79: '405x-474y2213z', 80: '421x-32y2260z', 81: '432x-912y2066z', 82: '444x-469y2207z', 83: '445x-10y2256z', 84: '467x-2201y473z', 85: '484x-460y2200z', 86: '489x-907y2055z', 87: '524x-448y2193z', 88: '547x-897y2045z', 89: '564x-433y2186z', 90: '583x-2178y450z', 91: '604x-416y2179z', 92: '605x-884y2034z', 93: '613x-1299y1795z', 94: '644x-395y2172z', 95: '662x-868y2024z', 96: '683x-371y2164z', 97: '689x-1281y1781z', 98: '698x-2149y428z', 99: '720x-847y2013z', 100: '721x-344y2156z', 101: '758x-314y2148z', 102: '764x-1258y1766z', 103: '777x-823y2001z', 104: '793x-281y2140z', 105: '811x-2113y405z', 106: '827x-245y2131z', 107: '834x-795y1990z', 108: '839x-1231y1751z', 109: '849x-1580y1438z', 110: '860x-206y2123z', 111: '889x-763y1978z', 112: '890x-165y2114z', 113: '913x-1199y1736z', 114: '919x-121y2104z', 115: '922x-2071y382z', 116: '938x-1546y1420z', 117: '944x-727y1966z', 118: '945x-74y2095z', 119: '968x-25y2085z', 120: '986x-1163y1721z', 121: '997x-688y1954z'}
 
                  
            else:
                print("\n (STEP 463F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 463F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 463F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2400 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four24004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 464F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR24004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four24004xi = queue2four.get()
                
                if fire2four24004xi is None:
                    fire2four24004xi = shot2four24004xi
                    print("\n (STEP 464F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR24004XI TO SHOT2FOUR24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 464F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR24004XI: ", fire2four24004xi) 
                    # FIRE2FOUR24004XI:  {1: '1010x-26y2176z', 2: '1029x-1213y1796z', 3: '1040x-718y2039z', 4: '1070x-1572y1463z', 5: '1076x-2112y375z', 6: '1093x-673y2027z', 7: '1103x-1171y1780z', 8: '1145x-625y2014z', 9: '1159x-1525y1444z', 10: '1176x-1124y1764z', 11: '1187x-2055y351z', 12: '1194x-573y2001z', 13: '122x-2329y563z', 14: '1241x-517y1987z', 15: '1246x-1072y1748z', 16: '1247x-1473y1425z', 17: '1285x-458y1974z', 18: '1294x-1993y328z', 19: '1314x-1016y1731z', 20: '1326x-396y1960z', 21: '1332x-1416y1406z', 22: '1364x-330y1946z', 23: '1380x-955y1714z', 24: '1398x-262y1932z', 25: '1399x-1925y304z', 26: '1415x-1354y1386z', 27: '1429x-191y1918z', 28: '142x-108y2393z', 29: '1443x-891y1697z', 30: '1456x-117y1903z', 31: '1480x-42y1888z', 32: '1494x-1287y1366z', 33: '1500x-1852y280z', 34: '1502x-822y1680z', 35: '1558x-750y1663z', 36: '1570x-1216y1347z', 37: '1596x-1773y256z', 38: '1610x-674y1646z', 39: '162x-460y2349z', 40: '1642x-1139y1327z', 41: '1659x-594y1628z', 42: '167x-114y2391z', 43: '1689x-1689y232z', 44: '1703x-511y1611z', 45: '1711x-1059y1307z', 46: '1743x-425y1593z', 47: '1776x-1599y209z', 48: '1776x-974y1286z', 49: '1779x-336y1575z', 50: '1809x-244y1557z', 51: '1835x-151y1538z', 52: '1836x-885y1266z', 53: '1856x-55y1520z', 54: '1859x-1505y185z', 55: '1891x-793y1246z', 56: '1937x-1407y161z', 57: '194x-118y2389z', 58: '195x-472y2344z', 59: '2009x-1304y137z', 60: '2022x-726y1276z', 61: '2076x-1198y113z', 62: '2136x-1088y89z', 63: '2191x-975y65z', 64: '220x-119y2386z', 65: '2240x-859y41z', 66: '2282x-741y17z', 67: '230x-483y2339z', 68: '244x-2325y540z', 69: '248x-117y2384z', 70: '266x-490y2334z', 71: '276x-113y2381z', 72: '303x-496y2328z', 73: '304x-107y2378z', 74: '332x-97y2374z', 75: '342x-498y2322z', 76: '360x-85y2371z', 77: '366x-2314y517z', 78: '382x-498y2316z', 79: '387x-71y2367z', 80: '393x-955y2166z', 81: '414x-53y2363z', 82: '422x-495y2309z', 83: '439x-33y2359z', 84: '451x-952y2155z', 85: '464x-11y2354z', 86: '464x-489y2303z', 87: '488x-2297y493z', 88: '505x-480y2296z', 89: '511x-946y2145z', 90: '547x-468y2289z', 91: '571x-936y2134z', 92: '589x-452y2282z', 93: '609x-2273y470z', 94: '631x-434y2274z', 95: '631x-923y2123z', 96: '640x-1355y1873z', 97: '672x-412y2266z', 98: '691x-905y2112z', 99: '712x-387y2258z', 100: '719x-1336y1858z', 101: '728x-2242y446z', 102: '751x-884y2100z', 103: '752x-359y2250z', 104: '791x-328y2242z', 105: '798x-1313y1843z', 106: '811x-859y2088z', 107: '828x-293y2233z', 108: '846x-2205y423z', 109: '863x-256y2224z', 110: '870x-829y2076z', 111: '876x-1284y1828z', 112: '886x-1649y1501z', 113: '897x-215y2215z', 114: '928x-796y2064z', 115: '929x-172y2205z', 116: '953x-1251y1812z', 117: '958x-126y2196z', 118: '962x-2161y399z', 119: '978x-1613y1482z', 120: '985x-759y2052z', 121: '986x-78y2186z'}
 
                  
            else:
                print("\n (STEP 464F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 464F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 464F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2500 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four25004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 465F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR25004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four25004xi = queue2four.get()
                
                if fire2four25004xi is None:
                    fire2four25004xi = shot2four25004xi
                    print("\n (STEP 465F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR25004XI TO SHOT2FOUR25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 465F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR25004XI: ", fire2four25004xi) 
                    # FIRE2FOUR25004XI:  {1: '1002x-2252y416z', 2: '1019x-1680y1544z', 3: '1026x-791y2138z', 4: '1027x-81y2277z', 5: '1052x-28y2267z', 6: '1071x-1264y1871z', 7: '1083x-748y2124z', 8: '1114x-1637y1524z', 9: '1120x-2200y391z', 10: '1139x-701y2111z', 11: '1149x-1219y1854z', 12: '1193x-651y2098z', 13: '1208x-1589y1504z', 14: '1225x-1170y1837z', 15: '1236x-2141y366z', 16: '1244x-596y2084z', 17: '127x-2426y587z', 18: '1293x-539y2070z', 19: '1298x-1117y1820z', 20: '1299x-1535y1484z', 21: '1338x-477y2056z', 22: '1348x-2076y341z', 23: '1369x-1058y1803z', 24: '1381x-412y2042z', 25: '1388x-1475y1464z', 26: '1421x-344y2027z', 27: '1437x-995y1786z', 28: '1457x-2006y317z', 29: '1457x-273y2012z', 30: '1473x-1411y1444z', 31: '1489x-199y1997z', 32: '148x-113y2493z', 33: '1503x-928y1768z', 34: '1517x-122y1982z', 35: '1541x-43y1967z', 36: '1556x-1341y1423z', 37: '1562x-1929y292z', 38: '1565x-857y1750z', 39: '1623x-781y1733z', 40: '1635x-1266y1403z', 41: '1663x-1847y267z', 42: '1678x-702y1714z', 43: '169x-479y2447z', 44: '1711x-1187y1382z', 45: '1728x-619y1696z', 46: '174x-119y2491z', 47: '1759x-1759y242z', 48: '1774x-532y1678z', 49: '1782x-1103y1361z', 50: '1816x-442y1659z', 51: '1850x-1015y1340z', 52: '1850x-1666y217z', 53: '1853x-350y1640z', 54: '1885x-255y1621z', 55: '1912x-157y1602z', 56: '1912x-922y1319z', 57: '1933x-57y1583z', 58: '1937x-1568y192z', 59: '1970x-826y1298z', 60: '2017x-1466y167z', 61: '202x-123y2488z', 62: '203x-492y2442z', 63: '2093x-1359y142z', 64: '2103x-755y1327z', 65: '2162x-1248y117z', 66: '2225x-1134y92z', 67: '2283x-1016y67z', 68: '230x-124y2486z', 69: '2333x-895y42z', 70: '2377x-772y17z', 71: '239x-503y2437z', 72: '254x-2422y563z', 73: '258x-122y2483z', 74: '277x-511y2431z', 75: '287x-118y2480z', 76: '316x-516y2425z', 77: '317x-111y2477z', 78: '346x-101y2473z', 79: '356x-519y2419z', 80: '375x-89y2470z', 81: '381x-2411y538z', 82: '398x-519y2412z', 83: '403x-73y2466z', 84: '409x-994y2256z', 85: '431x-55y2461z', 86: '440x-516y2406z', 87: '458x-35y2457z', 88: '470x-992y2245z', 89: '483x-11y2452z', 90: '483x-509y2399z', 91: '508x-2393y514z', 92: '526x-500y2392z', 93: '532x-986y2234z', 94: '570x-487y2384z', 95: '595x-975y2223z', 96: '614x-471y2377z', 97: '634x-2368y489z', 98: '657x-452y2369z', 99: '657x-961y2211z', 100: '667x-1412y1952z', 101: '700x-429y2361z', 102: '720x-943y2200z', 103: '742x-403y2352z', 104: '749x-1392y1936z', 105: '759x-2336y465z', 106: '783x-374y2344z', 107: '783x-921y2188z', 108: '823x-341y2335z', 109: '831x-1367y1920z', 110: '845x-894y2175z', 111: '862x-305y2326z', 112: '881x-2297y440z', 113: '899x-266y2317z', 114: '906x-864y2163z', 115: '912x-1338y1904z', 116: '923x-1718y1564z', 117: '935x-224y2307z', 118: '967x-829y2150z', 119: '968x-179y2297z', 120: '992x-1303y1887z', 121: '998x-131y2287z'}

                  
            else:
                print("\n (STEP 465F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 465F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 465F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2600 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four26004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 466F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR26004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four26004xi = queue2four.get()
                
                if fire2four26004xi is None:
                    fire2four26004xi = shot2four26004xi
                    print("\n (STEP 466F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR26004XI TO SHOT2FOUR26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 466F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR26004XI: ", fire2four26004xi) 
                    # FIRE2FOUR26004XI:  {1: '1005x-862y2236z', 2: '1006x-187y2389z', 3: '1032x-1355y1963z', 4: '1038x-137y2379z', 5: '1042x-2342y432z', 6: '1060x-1747y1606z', 7: '1067x-822y2223z', 8: '1068x-84y2368z', 9: '1094x-29y2358z', 10: '1114x-1314y1946z', 11: '1127x-778y2209z', 12: '1159x-1703y1585z', 13: '1165x-2288y407z', 14: '1185x-729y2196z', 15: '1195x-1268y1929z', 16: '1240x-677y2182z', 17: '1256x-1652y1565z', 18: '1274x-1217y1911z', 19: '1285x-2227y381z', 20: '1294x-620y2167z', 21: '132x-2523y610z', 22: '1344x-560y2153z', 23: '1350x-1161y1893z', 24: '1351x-1596y1544z', 25: '1392x-496y2138z', 26: '1402x-2160y355z', 27: '1424x-1101y1875z', 28: '1437x-429y2123z', 29: '1443x-1534y1523z', 30: '1478x-358y2108z', 31: '1495x-1035y1857z', 32: '1515x-2086y329z', 33: '1515x-284y2093z', 34: '1532x-1467y1502z', 35: '1548x-207y2077z', 36: '154x-118y2592z', 37: '1563x-965y1839z', 38: '1578x-127y2062z', 39: '1603x-45y2046z', 40: '1618x-1395y1480z', 41: '1625x-2006y304z', 42: '1627x-891y1821z', 43: '1688x-812y1802z', 44: '1701x-1317y1459z', 45: '1729x-1921y278z', 46: '1745x-730y1783z', 47: '176x-498y2545z', 48: '1779x-1234y1437z', 49: '1797x-643y1764z', 50: '181x-124y2590z', 51: '1829x-1829y252z', 52: '1845x-553y1745z', 53: '1854x-1147y1416z', 54: '1889x-460y1725z', 55: '1924x-1055y1394z', 56: '1924x-1733y226z', 57: '1927x-364y1706z', 58: '1960x-265y1686z', 59: '1988x-163y1666z', 60: '1989x-959y1372z', 61: '2011x-59y1646z', 62: '2014x-1631y200z', 63: '2049x-859y1349z', 64: '2098x-1524y174z', 65: '210x-128y2588z', 66: '211x-512y2540z', 67: '2176x-1413y148z', 68: '2184x-784y1378z', 69: '2249x-1298y122z', 70: '2315x-1179y96z', 71: '2374x-1057y70z', 72: '239x-129y2585z', 73: '2426x-931y44z', 74: '2472x-803y18z', 75: '249x-523y2534z', 76: '264x-2519y585z', 77: '269x-127y2582z', 78: '288x-531y2528z', 79: '299x-123y2579z', 80: '329x-116y2576z', 81: '329x-537y2522z', 82: '360x-105y2572z', 83: '371x-540y2516z', 84: '390x-92y2568z', 85: '397x-2507y560z', 86: '414x-540y2509z', 87: '419x-76y2564z', 88: '425x-1034y2346z', 89: '448x-58y2560z', 90: '458x-536y2502z', 91: '476x-36y2555z', 92: '489x-1032y2335z', 93: '502x-530y2495z', 94: '503x-12y2550z', 95: '529x-2488y534z', 96: '547x-520y2487z', 97: '553x-1025y2324z', 98: '593x-507y2480z', 99: '618x-1014y2312z', 100: '638x-490y2472z', 101: '659x-2462y509z', 102: '683x-470y2464z', 103: '684x-1000y2300z', 104: '694x-1468y2030z', 105: '728x-446y2455z', 106: '749x-981y2288z', 107: '772x-419y2446z', 108: '779x-1448y2013z', 109: '789x-2429y483z', 110: '814x-958y2275z', 111: '815x-389y2438z', 112: '856x-355y2428z', 113: '864x-1422y1997z', 114: '879x-930y2262z', 115: '897x-318y2419z', 116: '917x-2389y458z', 117: '935x-277y2409z', 118: '943x-898y2250z', 119: '949x-1391y1980z', 120: '959x-1786y1626z', 121: '972x-233y2399z'}
 
                  
            else:
                print("\n (STEP 466F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 466F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 466F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2700 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four27004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 467F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR27004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four27004xi = queue2four.get()
                
                if fire2four27004xi is None:
                    fire2four27004xi = shot2four27004xi
                    print("\n (STEP 467F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR27004XI TO SHOT2FOUR27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 467F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR27004XI: ", fire2four27004xi) 
                    # FIRE2FOUR27004XI:  {1: '1009x-242y2492z', 2: '1044x-896y2322z', 3: '1045x-194y2481z', 4: '1072x-1407y2039z', 5: '1078x-142y2470z', 6: '1082x-2432y449z', 7: '1101x-1815y1668z', 8: '1108x-854y2309z', 9: '1109x-87y2459z', 10: '1137x-30y2448z', 11: '1157x-1365y2021z', 12: '1170x-808y2294z', 13: '1204x-1768y1646z', 14: '1210x-2376y422z', 15: '1230x-757y2280z', 16: '1241x-1317y2003z', 17: '1288x-703y2266z', 18: '1304x-1716y1625z', 19: '1323x-1264y1985z', 20: '1335x-2312y395z', 21: '1343x-644y2251z', 22: '137x-2620y634z', 23: '1396x-582y2236z', 24: '1402x-1206y1966z', 25: '1403x-1657y1603z', 26: '1446x-515y2220z', 27: '1456x-2243y369z', 28: '1479x-1143y1948z', 29: '1492x-445y2205z', 30: '1499x-1593y1581z', 31: '1534x-372y2189z', 32: '1552x-1075y1929z', 33: '1573x-295y2173z', 34: '1574x-2166y342z', 35: '1591x-1524y1559z', 36: '1608x-215y2157z', 37: '160x-122y2692z', 38: '1623x-1002y1910z', 39: '1639x-132y2141z', 40: '1665x-47y2124z', 41: '1681x-1448y1537z', 42: '1687x-2083y315z', 43: '1690x-925y1891z', 44: '1753x-844y1871z', 45: '1766x-1368y1515z', 46: '1796x-1994y288z', 47: '1812x-758y1852z', 48: '183x-517y2643z', 49: '1848x-1282y1493z', 50: '1866x-668y1832z', 51: '188x-129y2690z', 52: '1900x-1900y262z', 53: '1916x-575y1812z', 54: '1925x-1191y1470z', 55: '1961x-478y1792z', 56: '1998x-1096y1447z', 57: '1998x-1799y235z', 58: '2001x-378y1772z', 59: '2036x-275y1751z', 60: '2065x-169y1731z', 61: '2065x-996y1424z', 62: '2088x-62y1710z', 63: '2092x-1694y208z', 64: '2127x-892y1401z', 65: '2179x-1583y181z', 66: '218x-133y2687z', 67: '220x-531y2637z', 68: '2260x-1468y154z', 69: '2265x-813y1429z', 70: '2335x-1348y127z', 71: '2404x-1224y100z', 72: '2465x-1097y73z', 73: '248x-134y2685z', 74: '2520x-967y46z', 75: '2567x-834y19z', 76: '258x-543y2632z', 77: '274x-2616y608z', 78: '279x-132y2682z', 79: '299x-552y2625z', 80: '310x-128y2678z', 81: '341x-558y2619z', 82: '342x-120y2675z', 83: '373x-109y2671z', 84: '385x-561y2612z', 85: '405x-96y2667z', 86: '412x-2604y581z', 87: '430x-560y2605z', 88: '435x-79y2663z', 89: '442x-1074y2437z', 90: '465x-60y2658z', 91: '475x-557y2598z', 92: '494x-37y2654z', 93: '508x-1071y2425z', 94: '522x-12y2648z', 95: '522x-550y2591z', 96: '549x-2584y555z', 97: '568x-540y2583z', 98: '575x-1064y2413z', 99: '616x-526y2575z', 100: '642x-1053y2401z', 101: '663x-509y2567z', 102: '685x-2557y528z', 103: '709x-488y2558z', 104: '710x-1038y2388z', 105: '720x-1525y2108z', 106: '756x-463y2550z', 107: '778x-1019y2376z', 108: '801x-435y2541z', 109: '809x-1503y2091z', 110: '819x-2522y502z', 111: '845x-994y2363z', 112: '846x-404y2531z', 113: '889x-369y2522z', 114: '897x-1477y2074z', 115: '912x-966y2349z', 116: '931x-330y2512z', 117: '952x-2481y475z', 118: '971x-288y2502z', 119: '979x-933y2336z', 120: '985x-1445y2056z', 121: '996x-1855y1689z'}
 
                  
            else:
                print("\n (STEP 467F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 467F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 467F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2800 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four28004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 468F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR28004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four28004xi = queue2four.get()
                
                if fire2four28004xi is None:
                    fire2four28004xi = shot2four28004xi
                    print("\n (STEP 468F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR28004XI TO SHOT2FOUR28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 468F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR28004XI: ", fire2four28004xi) 
                    # FIRE2FOUR28004XI:  {1: '1007x-298y2595z', 2: '1015x-968y2423z', 3: '1022x-1498y2132z', 4: '1033x-1924y1751z', 5: '1047x-251y2584z', 6: '1083x-929y2408z', 7: '1084x-201y2573z', 8: '1112x-1460y2114z', 9: '1118x-147y2562z', 10: '1122x-2522y465z', 11: '1142x-1882y1729z', 12: '1149x-886y2394z', 13: '1150x-91y2551z', 14: '1179x-31y2539z', 15: '1200x-1415y2096z', 16: '1213x-838y2379z', 17: '1248x-1834y1707z', 18: '1255x-2464y438z', 19: '1276x-785y2365z', 20: '1287x-1366y2077z', 21: '1336x-729y2349z', 22: '1353x-1779y1685z', 23: '1372x-1311y2058z', 24: '1384x-2398y410z', 25: '1393x-668y2334z', 26: '142x-2717y657z', 27: '1448x-603y2319z', 28: '1454x-1251y2039z', 29: '1455x-1719y1663z', 30: '1499x-534y2303z', 31: '1510x-2326y382z', 32: '1533x-1185y2020z', 33: '1547x-462y2287z', 34: '1554x-1652y1640z', 35: '1591x-385y2270z', 36: '1610x-1115y2000z', 37: '1632x-2246y355z', 38: '1632x-306y2254z', 39: '1650x-1580y1617z', 40: '1668x-223y2237z', 41: '166x-127y2792z', 42: '1683x-1039y1980z', 43: '1699x-137y2220z', 44: '1726x-49y2203z', 45: '1743x-1502y1594z', 46: '1750x-2161y327z', 47: '1752x-959y1961z', 48: '1818x-875y1941z', 49: '1832x-1418y1571z', 50: '1862x-2068y299z', 51: '1879x-786y1920z', 52: '189x-536y2741z', 53: '1916x-1329y1548z', 54: '1936x-693y1900z', 55: '195x-134y2789z', 56: '1970x-1970y271z', 57: '1987x-596y1879z', 58: '1996x-1235y1524z', 59: '2034x-496y1858z', 60: '2072x-1136y1501z', 61: '2072x-1866y243z', 62: '2075x-392y1837z', 63: '2111x-285y1816z', 64: '2141x-176y1795z', 65: '2142x-1033y1477z', 66: '2165x-64y1773z', 67: '2169x-1756y215z', 68: '2206x-925y1453z', 69: '2260x-1642y188z', 70: '226x-138y2787z', 71: '228x-551y2735z', 72: '2344x-1522y160z', 73: '2346x-842y1480z', 74: '2422x-1398y132z', 75: '2493x-1270y104z', 76: '2556x-1138y76z', 77: '257x-139y2784z', 78: '2613x-1003y48z', 79: '2662x-865y20z', 80: '268x-563y2729z', 81: '285x-2713y630z', 82: '289x-137y2781z', 83: '310x-572y2723z', 84: '322x-132y2778z', 85: '354x-578y2716z', 86: '355x-124y2774z', 87: '387x-114y2770z', 88: '399x-581y2709z', 89: '420x-100y2766z', 90: '427x-2700y603z', 91: '445x-581y2702z', 92: '451x-82y2762z', 93: '458x-1114y2527z', 94: '483x-62y2757z', 95: '493x-578y2694z', 96: '513x-39y2752z', 97: '527x-1111y2515z', 98: '541x-13y2747z', 99: '541x-570y2687z', 100: '569x-2680y576z', 101: '589x-560y2679z', 102: '596x-1104y2502z', 103: '638x-546y2670z', 104: '666x-1093y2490z', 105: '687x-528y2662z', 106: '710x-2652y548z', 107: '736x-1077y2477z', 108: '736x-506y2653z', 109: '747x-1581y2186z', 110: '784x-481y2644z', 111: '807x-1056y2464z', 112: '831x-451y2635z', 113: '839x-1559y2168z', 114: '850x-2616y521z', 115: '877x-1031y2450z', 116: '877x-419y2625z', 117: '922x-382y2615z', 118: '931x-1531y2150z', 119: '946x-1002y2437z', 120: '966x-342y2605z', 121: '987x-2573y493z'}
 
                  
            else:
                print("\n (STEP 468F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 468F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 468F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 2900 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four29004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 469F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR29004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four29004xi = queue2four.get()
                if fire2four29004xi is None:
                    fire2four29004xi = shot2four29004xi
                    print("\n (STEP 469F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR29004XI TO SHOT2FOUR29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 469F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR29004XI: ", fire2four29004xi) 
                    # FIRE2FOUR29004XI:  {1: '1000x-354y2698z', 2: '1022x-2664y511z', 3: '1043x-309y2687z', 4: '1051x-1002y2509z', 5: '1058x-1552y2208z', 6: '1070x-1992y1814z', 7: '1084x-260y2676z', 8: '1121x-962y2495z', 9: '1123x-208y2665z', 10: '1151x-1512y2190z', 11: '1158x-153y2654z', 12: '1163x-2612y482z', 13: '1182x-1949y1791z', 14: '1190x-917y2480z', 15: '1191x-94y2642z', 16: '1221x-32y2630z', 17: '1243x-1466y2170z', 18: '1257x-868y2464z', 19: '1293x-1899y1768z', 20: '1300x-2552y453z', 21: '1321x-814y2449z', 22: '1333x-1415y2151z', 23: '1383x-755y2433z', 24: '1401x-1843y1745z', 25: '1421x-1358y2132z', 26: '1434x-2484y425z', 27: '1443x-692y2418z', 28: '147x-2814y681z', 29: '1500x-625y2401z', 30: '1506x-1295y2112z', 31: '1507x-1780y1722z', 32: '1553x-553y2385z', 33: '1564x-2409y396z', 34: '1588x-1228y2092z', 35: '1602x-478y2368z', 36: '1610x-1711y1699z', 37: '1648x-399y2352z', 38: '1667x-1155y2072z', 39: '1690x-2327y367z', 40: '1690x-317y2334z', 41: '1709x-1636y1675z', 42: '1727x-231y2317z', 43: '172x-131y2891z', 44: '1743x-1077y2051z', 45: '1760x-142y2300z', 46: '1788x-50y2282z', 47: '1805x-1556y1651z', 48: '1812x-2238y339z', 49: '1815x-994y2031z', 50: '1883x-906y2010z', 51: '1897x-1469y1627z', 52: '1929x-2142y310z', 53: '1946x-814y1989z', 54: '196x-556y2839z', 55: '1985x-1377y1603z', 56: '2005x-718y1968z', 57: '202x-138y2889z', 58: '2040x-2040y281z', 59: '2058x-617y1946z', 60: '2068x-1279y1579z', 61: '2107x-513y1925z', 62: '2146x-1177y1555z', 63: '2146x-1933y252z', 64: '2149x-406y1903z', 65: '2186x-295y1881z', 66: '2218x-1070y1530z', 67: '2218x-182y1859z', 68: '2243x-66y1836z', 69: '2247x-1819y223z', 70: '2285x-958y1505z', 71: '2340x-1700y194z', 72: '234x-143y2886z', 73: '236x-571y2833z', 74: '2427x-871y1531z', 75: '2428x-1576y165z', 76: '2508x-1448y136z', 77: '2582x-1315y107z', 78: '2648x-1179y78z', 79: '267x-144y2884z', 80: '2706x-1039y49z', 81: '2757x-896y20z', 82: '278x-583y2827z', 83: '295x-2809y653z', 84: '300x-142y2880z', 85: '321x-593y2820z', 86: '333x-137y2877z', 87: '367x-129y2873z', 88: '367x-599y2813z', 89: '401x-118y2869z', 90: '413x-602y2806z', 91: '435x-103y2865z', 92: '443x-2797y624z', 93: '461x-602y2798z', 94: '468x-85y2860z', 95: '474x-1154y2617z', 96: '500x-64y2855z', 97: '510x-598y2791z', 98: '531x-40y2850z', 99: '545x-1151y2605z', 100: '560x-591y2783z', 101: '561x-13y2845z', 102: '590x-2775y596z', 103: '611x-580y2774z', 104: '617x-1143y2592z', 105: '661x-565y2766z', 106: '690x-1132y2579z', 107: '712x-546y2757z', 108: '736x-2746y568z', 109: '762x-524y2748z', 110: '763x-1115y2565z', 111: '774x-1638y2264z', 112: '812x-498y2738z', 113: '835x-1094y2552z', 114: '861x-468y2729z', 115: '869x-1615y2246z', 116: '880x-2709y539z', 117: '908x-1068y2538z', 118: '909x-434y2719z', 119: '955x-396y2709z', 120: '964x-1586y2227z', 121: '980x-1038y2524z'}

                  
            else:
                print("\n (STEP 469F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 469F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 469F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 3000 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four30004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 470F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR30004XI FROM QUEUE: ", queue2four)
                    # 
                
                fire2four30004xi = queue2four.get()
                if fire2four30004xi is None:
                    fire2four30004xi = shot2four30004xi
                    print("\n (STEP 470F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR30004XI TO SHOT2FOUR30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 470F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR30004XI: ", fire2four30004xi) 
                    # FIRE2FOUR30004XI:  {1: '1014x-1073y2611z', 2: '1035x-367y2791z', 3: '1058x-2756y528z', 4: '1079x-320y2780z', 5: '1088x-1037y2596z', 6: '1095x-1605y2285z', 7: '1107x-2061y1876z', 8: '1122x-269y2769z', 9: '1160x-995y2581z', 10: '1161x-215y2757z', 11: '1191x-1564y2265z', 12: '1198x-158y2745z', 13: '1203x-2702y499z', 14: '1223x-2016y1853z', 15: '1231x-949y2565z', 16: '1232x-97y2733z', 17: '1263x-33y2720z', 18: '1286x-1517y2245z', 19: '1300x-898y2549z', 20: '1337x-1965y1829z', 21: '1345x-2640y469z', 22: '1367x-842y2534z', 23: '1379x-1463y2225z', 24: '1431x-781y2517z', 25: '1449x-1906y1805z', 26: '1470x-1405y2205z', 27: '1483x-2569y439z', 28: '1493x-716y2501z', 29: '152x-2912y704z', 30: '1551x-646y2484z', 31: '1558x-1340y2185z', 32: '1559x-1842y1781z', 33: '1606x-573y2467z', 34: '1618x-2492y410z', 35: '1643x-1270y2164z', 36: '1658x-495y2450z', 37: '1665x-1770y1757z', 38: '1705x-413y2433z', 39: '1725x-1194y2143z', 40: '1748x-328y2415z', 41: '1749x-2407y380z', 42: '1768x-1693y1733z', 43: '1787x-239y2397z', 44: '178x-136y2991z', 45: '1803x-1114y2122z', 46: '1821x-147y2379z', 47: '1850x-52y2361z', 48: '1868x-1609y1708z', 49: '1875x-2315y350z', 50: '1878x-1028y2101z', 51: '1948x-937y2079z', 52: '1963x-1520y1683z', 53: '1995x-2216y320z', 54: '2013x-842y2057z', 55: '203x-575y2937z', 56: '2053x-1424y1658z', 57: '2074x-742y2036z', 58: '209x-143y2989z', 59: '2111x-2111y291z', 60: '2129x-639y2013z', 61: '2139x-1324y1633z', 62: '2179x-531y1991z', 63: '2220x-1218y1608z', 64: '2220x-1999y261z', 65: '2224x-420y1969z', 66: '2262x-306y1946z', 67: '2294x-188y1923z', 68: '2295x-1107y1583z', 69: '2320x-69y1900z', 70: '2324x-1882y231z', 71: '2364x-991y1557z', 72: '2421x-1759y201z', 73: '242x-147y2986z', 74: '244x-591y2931z', 75: '2508x-900y1583z', 76: '2511x-1631y171z', 77: '2595x-1498y141z', 78: '2671x-1361y111z', 79: '2739x-1219y81z', 80: '276x-149y2983z', 81: '2800x-1074y51z', 82: '2853x-927y21z', 83: '287x-603y2924z', 84: '305x-2906y675z', 85: '310x-147y2980z', 86: '332x-613y2917z', 87: '345x-142y2976z', 88: '379x-620y2910z', 89: '380x-133y2972z', 90: '415x-122y2968z', 91: '428x-623y2903z', 92: '450x-107y2964z', 93: '458x-2893y646z', 94: '477x-623y2895z', 95: '484x-88y2959z', 96: '491x-1193y2708z', 97: '517x-67y2954z', 98: '528x-619y2887z', 99: '549x-42y2948z', 100: '564x-1190y2694z', 101: '580x-14y2943z', 102: '580x-611y2879z', 103: '610x-2871y617z', 104: '632x-600y2870z', 105: '639x-1183y2681z', 106: '684x-585y2861z', 107: '714x-1171y2668z', 108: '736x-565y2852z', 109: '761x-2841y587z', 110: '788x-542y2843z', 111: '789x-1154y2654z', 112: '800x-1694y2342z', 113: '840x-515y2833z', 114: '864x-1132y2640z', 115: '891x-484y2823z', 116: '899x-1670y2323z', 117: '910x-2803y558z', 118: '939x-1105y2625z', 119: '940x-449y2813z', 120: '988x-410y2802z', 121: '997x-1641y2304z'}
 
                  
            else:
                print("\n (STEP 470F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 470F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 470F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 3100 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four31004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 471F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR31004XI FROM QUEUE: ", queue2four) 
                    # 
                
                fire2four31004xi = queue2four.get()
                if fire2four31004xi is None:
                    fire2four31004xi = shot2four31004xi
                    print("\n (STEP 471F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR31004XI TO SHOT2FOUR31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 471F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR31004XI: ", fire2four31004xi) 
                    # FIRE2FOUR31004XI:  {1: '1021x-423y2895z', 2: '1031x-1696y2381z', 3: '1048x-1109y2698z', 4: '1069x-379y2884z', 5: '1093x-2848y546z', 6: '1115x-330y2873z', 7: '1124x-1071y2682z', 8: '1131x-1659y2361z', 9: '1144x-2130y1939z', 10: '1159x-278y2861z', 11: '1199x-1028y2667z', 12: '1200x-223y2849z', 13: '1231x-1616y2341z', 14: '1238x-163y2837z', 15: '1243x-2792y515z', 16: '1264x-2084y1915z', 17: '1272x-980y2651z', 18: '1273x-100y2824z', 19: '1305x-34y2811z', 20: '1329x-1567y2320z', 21: '1343x-928y2634z', 22: '1382x-2030y1890z', 23: '1390x-2728y485z', 24: '1412x-870y2618z', 25: '1425x-1512y2299z', 26: '1479x-807y2601z', 27: '1498x-1970y1866z', 28: '1519x-1451y2279z', 29: '1533x-2655y454z', 30: '1543x-740y2584z', 31: '157x-3009y728z', 32: '1603x-668y2567z', 33: '1610x-1385y2257z', 34: '1611x-1903y1841z', 35: '1660x-592y2550z', 36: '1672x-2575y423z', 37: '1698x-1312y2236z', 38: '1713x-511y2532z', 39: '1721x-1829y1816z', 40: '1762x-427y2514z', 41: '1782x-1234y2215z', 42: '1806x-339y2496z', 43: '1807x-2487y393z', 44: '1827x-1749y1790z', 45: '1846x-247y2477z', 46: '184x-140y3091z', 47: '1863x-1151y2193z', 48: '1881x-152y2458z', 49: '1911x-54y2439z', 50: '1930x-1663y1765z', 51: '1937x-2392y362z', 52: '1940x-1062y2171z', 53: '2013x-969y2148z', 54: '2028x-1570y1740z', 55: '2062x-2290y331z', 56: '2080x-870y2126z', 57: '210x-594y3035z', 58: '2122x-1472y1714z', 59: '2143x-767y2103z', 60: '216x-148y3088z', 61: '2181x-2181y300z', 62: '2200x-660y2081z', 63: '2210x-1368y1688z', 64: '2252x-549y2057z', 65: '2294x-1258y1662z', 66: '2294x-2066y269z', 67: '2298x-434y2034z', 68: '2337x-316y2011z', 69: '2371x-1144y1636z', 70: '2371x-195y1987z', 71: '2397x-71y1963z', 72: '2401x-1945y239z', 73: '2443x-1024y1609z', 74: '2502x-1818y208z', 75: '250x-152y3086z', 76: '252x-610y3028z', 77: '2589x-929y1634z', 78: '2595x-1685y177z', 79: '2681x-1548y146z', 80: '2760x-1406y115z', 81: '2830x-1260y84z', 82: '285x-154y3082z', 83: '2893x-1110y53z', 84: '2948x-957y22z', 85: '297x-623y3021z', 86: '315x-3003y698z', 87: '320x-152y3079z', 88: '343x-634y3014z', 89: '356x-147y3075z', 90: '392x-640y3007z', 91: '393x-138y3071z', 92: '429x-126y3067z', 93: '442x-644y2999z', 94: '465x-110y3062z', 95: '473x-2989y668z', 96: '493x-643y2991z', 97: '500x-91y3057z', 98: '507x-1233y2798z', 99: '534x-69y3052z', 100: '546x-639y2983z', 101: '568x-43y3047z', 102: '583x-1230y2784z', 103: '599x-632y2975z', 104: '600x-14y3041z', 105: '630x-2967y637z', 106: '653x-620y2966z', 107: '660x-1222y2771z', 108: '707x-604y2957z', 109: '737x-1210y2757z', 110: '761x-584y2947z', 111: '786x-2936y607z', 112: '815x-1192y2742z', 113: '815x-560y2937z', 114: '827x-1751y2420z', 115: '868x-532y2927z', 116: '893x-1169y2728z', 117: '920x-500y2917z', 118: '929x-1726y2400z', 119: '941x-2896y576z', 120: '971x-1142y2713z', 121: '971x-464y2906z'}
 
                  
            else:
                print("\n (STEP 471F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 471F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 471F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 3200 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four32004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True:

            if ack2four4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 472F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR32004XI FROM QUEUE: ", queue2four)
                    # 
                fire2four32004xi = queue2four.get()
                if fire2four32004xi is None:
                    fire2four32004xi = shot2four32004xi
                    print("\n (STEP 473F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " - SET FIRE2FOUR32004XI TO SHOT2FOUR32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 472F3/800) OF COLOR_NOUNS4XI - FIRE2FOUR32004XI: ", fire2four32004xi) 
                    # FIRE2FOUR32004XI:  {1: '1002x-1179y2800z', 2: '1003x-479y3000z', 3: '1054x-437y2989z', 4: '1064x-1750y2458z', 5: '1082x-1145y2785z', 6: '1104x-391y2977z', 7: '1128x-2940y564z', 8: '1151x-341y2965z', 9: '1160x-1106y2769z', 10: '1168x-1712y2437z', 11: '1181x-2199y2002z', 12: '1196x-287y2953z', 13: '1237x-1062y2753z', 14: '1239x-230y2941z', 15: '1270x-1668y2416z', 16: '1278x-168y2928z', 17: '1283x-2882y532z', 18: '1305x-2151y1976z', 19: '1313x-1012y2736z', 20: '1314x-104y2915z', 21: '1347x-35y2902z', 22: '1372x-1618y2395z', 23: '1387x-957y2719z', 24: '1427x-2096y1951z', 25: '1434x-2816y500z', 26: '1458x-898y2702z', 27: '1471x-1561y2374z', 28: '1527x-833y2685z', 29: '1546x-2034y1926z', 30: '1568x-1498y2352z', 31: '1582x-2741y469z', 32: '1592x-764y2668z', 33: '162x-3106y751z', 34: '1655x-689y2650z', 35: '1662x-1429y2330z', 36: '1663x-1964y1900z', 37: '1713x-611y2632z', 38: '1726x-2658y437z', 39: '1753x-1355y2308z', 40: '1768x-528y2613z', 41: '1776x-1888y1874z', 42: '1819x-441y2595z', 43: '1840x-1274y2286z', 44: '1865x-2567y405z', 45: '1865x-350y2576z', 46: '1886x-1806y1848z', 47: '1906x-255y2557z', 48: '190x-145y3191z', 49: '1924x-1188y2263z', 50: '1942x-157y2538z', 51: '1973x-56y2518z', 52: '1992x-1717y1822z', 53: '2000x-2469y374z', 54: '2003x-1097y2241z', 55: '2078x-1000y2218z', 56: '2093x-1621y1796z', 57: '2128x-2364y342z', 58: '2147x-898y2195z', 59: '217x-613y3133z', 60: '2190x-1519y1769z', 61: '2212x-792y2171z', 62: '223x-153y3188z', 63: '2252x-2252y310z', 64: '2271x-681y2148z', 65: '2282x-1412y1742z', 66: '2325x-566y2124z', 67: '2368x-1299y1715z', 68: '2369x-2133y278z', 69: '2372x-448y2100z', 70: '2413x-326y2076z', 71: '2447x-201y2051z', 72: '2448x-1180y1688z', 73: '2475x-73y2026z', 74: '2479x-2007y246z', 75: '2522x-1057y1661z', 76: '2583x-1876y214z', 77: '258x-157y3185z', 78: '260x-630y3126z', 79: '2670x-958y1685z', 80: '2679x-1739y182z', 81: '2768x-1598y150z', 82: '2849x-1451y119z', 83: '2922x-1301y87z', 84: '294x-159y3182z', 85: '2987x-1146y55z', 86: '3043x-988y23z', 87: '306x-644y3119z', 88: '325x-3100y720z', 89: '331x-157y3178z', 90: '355x-654y3112z', 91: '368x-151y3175z', 92: '405x-142y3170z', 93: '405x-661y3104z', 94: '443x-130y3166z', 95: '456x-665y3096z', 96: '480x-114y3161z', 97: '488x-3086y689z', 98: '509x-664y3088z', 99: '516x-94y3156z', 100: '524x-1273y2888z', 101: '552x-71y3151z', 102: '563x-660y3079z', 103: '586x-45y3145z', 104: '602x-1270y2874z', 105: '618x-652y3071z', 106: '619x-15y3139z', 107: '651x-3063y658z', 108: '674x-640y3061z', 109: '681x-1262y2860z', 110: '730x-624y3052z', 111: '761x-1249y2845z', 112: '785x-603y3042z', 113: '812x-3031y626z', 114: '841x-1231y2831z', 115: '841x-578y3032z', 116: '854x-1807y2498z', 117: '896x-549y3022z', 118: '922x-1207y2816z', 119: '950x-516y3011z', 120: '959x-1782y2478z', 121: '971x-2990y595z'}
 
                  
            else:
                print("\n (STEP 472F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 472F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 472F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               

        
    #=========
    # 3300 FOUR
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2four33004xi = {}
    
    if ack2four4process is True:

        if ack2four4start is True: 

            if ack2four4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 473F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FOUR33004XI FROM QUEUE: ", queue2four)   
                    # 
                fire2four33004xi = queue2four.get()
                if ack2debug is True:
                    print("\n (STEP 473F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FOUR: ", queue2four, " FIRE2FOUR33004XI: ", fire2four33004xi) 
                    # FIRE2FOUR33004XI:  {1: '1001x-3083y614z', 2: '1033x-1216y2888z', 3: '1034x-494y3094z', 4: '1087x-451y3082z', 5: '1097x-1805y2534z', 6: '1115x-1181y2872z', 7: '1138x-403y3070z', 8: '1164x-3032y581z', 9: '1187x-352y3058z', 10: '1196x-1140y2855z', 11: '1204x-1766y2513z', 12: '1218x-2267y2064z', 13: '1234x-296y3046z', 14: '1276x-1095y2839z', 15: '1277x-237y3033z', 16: '1310x-1720y2492z', 17: '1318x-174y3020z', 18: '1323x-2972y549z', 19: '1346x-2218y2038z', 20: '1354x-1044y2822z', 21: '1355x-107y3006z', 22: '1389x-36y2992z', 23: '1415x-1668y2470z', 24: '1430x-987y2804z', 25: '1471x-2161y2012z', 26: '1479x-2904y516z', 27: '1504x-926y2787z', 28: '1517x-1610y2448z', 29: '1574x-859y2769z', 30: '1594x-2097y1986z', 31: '1617x-1545y2426z', 32: '1632x-2826y483z', 33: '1642x-788y2751z', 34: '167x-3203y775z', 35: '1706x-711y2733z', 36: '1714x-1474y2403z', 37: '1715x-2026y1960z', 38: '1767x-630y2714z', 39: '1780x-2741y451z', 40: '1807x-1397y2380z', 41: '1823x-544y2695z', 42: '1832x-1947y1933z', 43: '1876x-454y2676z', 44: '1897x-1314y2357z', 45: '1923x-360y2657z', 46: '1924x-2648y418z', 47: '1945x-1862y1906z', 48: '1965x-263y2637z', 49: '196x-149y3290z', 50: '1984x-1225y2334z', 51: '2003x-162y2617z', 52: '2035x-57y2597z', 53: '2054x-1770y1879z', 54: '2062x-2546y385z', 55: '2065x-1131y2311z', 56: '2143x-1031y2287z', 57: '2159x-1672y1852z', 58: '2195x-2438y353z', 59: '2215x-926y2263z', 60: '223x-632y3231z', 61: '2259x-1567y1824z', 62: '2281x-817y2239z', 63: '230x-157y3288z', 64: '2322x-2322y320z', 65: '2342x-703y2215z', 66: '2353x-1456y1797z', 67: '2397x-584y2190z', 68: '2442x-1339y1769z', 69: '2443x-2199y287z', 70: '2446x-462y2165z', 71: '2488x-336y2140z', 72: '2524x-1217y1741z', 73: '2524x-207y2115z', 74: '2552x-75y2090z', 75: '2556x-2070y254z', 76: '2600x-1090y1713z', 77: '2663x-1935y221z', 78: '266x-162y3285z', 79: '268x-650y3224z', 80: '2751x-987y1736z', 81: '2763x-1794y188z', 82: '2854x-1648y155z', 83: '2938x-1497y122z', 84: '3013x-1341y89z', 85: '303x-164y3281z', 86: '3080x-1182y56z', 87: '3138x-1019y23z', 88: '316x-664y3216z', 89: '336x-3197y743z', 90: '341x-162y3278z', 91: '366x-674y3209z', 92: '379x-156y3274z', 93: '417x-682y3201z', 94: '418x-147y3270z', 95: '456x-134y3265z', 96: '470x-685y3193z', 97: '495x-117y3260z', 98: '504x-3182y711z', 99: '525x-685y3184z', 100: '532x-97y3255z', 101: '540x-1313y2978z', 102: '569x-73y3249z', 103: '581x-681y3176z', 104: '604x-46y3243z', 105: '621x-1309y2964z', 106: '638x-15y3237z', 107: '638x-672y3167z', 108: '671x-3158y678z', 109: '695x-660y3157z', 110: '702x-1301y2949z', 111: '752x-643y3147z', 112: '785x-1288y2934z', 113: '810x-622y3137z', 114: '837x-3125y646z', 115: '867x-596y3127z', 116: '868x-1269y2919z', 117: '880x-1864y2576z', 118: '924x-567y3116z', 119: '951x-1245y2904z', 120: '980x-532y3105z', 121: '989x-1838y2555z'}
 
                    if fire2four33004xi is None:
                        print("\n (STEP 474F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2FOUR: ", queue2four, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2four33004xi = queue2four.get()
                    
                        if fire2four33004xi is None:
                            fire2four33004xi = shot2four33004xi
                            print("\n (STEP 473F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2FOUR: ", queue2four, " SET FIRE2FOUR33004XI TO SHOT2FOUR33004XI: ", fire2four33004xi) 
                            # 
                            
            else:
                print("\n (STEP 473F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FOUR ", time4xi())                 
        else:
            print("\n (STEP 473F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FOUR ", time4xi())                                         
    else:
        print("\n (STEP 473F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FOUR ", time4xi())                    
               
           
    # =========================================================================================================   
    # II/IV EOF - FOUR DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
           
          
    # =========================================================================================================   
    # I/V FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
    
    #========
    # 10 FIVE 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 474F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 474F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five) 
                    # <ack2put4xi>queue2five8shot2five104xi</ack2put4xi> 
                
            else:
                print("\n (STEP 474F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 474F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 474F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
    
    #========
    # 100 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 581F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 581F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five1004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 581F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 581F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 581F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
    
    #========
    # 200 FIVE 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 582F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 582F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five2004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 582F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 582F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 582F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                                                
                                  
    
    #========
    # 300 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 583F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 583F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five3004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 583F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 583F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 583F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
    
    #========
    # 400 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 584F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 584F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five4004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 584F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 584F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())
                            
    #========
    # 500 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 585F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 585F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five5004xi</ack2put4xi>
 
                
            else:
                print("\n (STEP 585F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 585F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 585F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
                                                                                       
    #========
    # 600 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 586F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 586F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five6004xi</ack2put4xi> 
            else:
                print("\n (STEP 586F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 586F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #========
    # 700 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 587F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 587F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five7004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 587F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 587F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 587F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
       
    #========
    # 800 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 588F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 588F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five8004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 588F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 588F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 588F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #========
    # 900 FIVE
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 589F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 589F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five9004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 589F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 589F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 589F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
      
           
     
    #=========
    # 1000 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 590F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 590F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five10004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 590F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 590F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 590F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1100 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 591F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 591F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    #  <ack2put4xi>queue2five8shot2five11004xi</ack2put4xi>
                
            else:
                print("\n (STEP 591F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 591F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 591F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1200 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 592F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 592F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five12004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 592F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 592F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 592F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1300 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 593F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 593F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five13004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 593F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 593F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 593F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1400 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 594F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 594F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five14004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 594F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 594F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 594F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1500 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 595F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 595F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five15004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 595F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 595F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 595F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1600 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 596F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 596F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five16004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 596F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 596F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 596F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1700 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 597F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 597F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five17004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 597F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 597F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 597F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1800 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 598F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 598F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five18004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 598F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 598F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 598F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())                    
     
    #=========
    # 1900 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 599F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 599F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five19004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 599F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 599F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 599F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
        
     
    #=========
    # 2000 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 600F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 600F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five20004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 600F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 600F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 600F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2100 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 621F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 621F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five21004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 621F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 621F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 621F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2200 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 622F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 622F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five22004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 622F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 622F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 622F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2300 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 623F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 623F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five23004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 623F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 623F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 623F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2400 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 624F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 624F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five24004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 624F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 624F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 624F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2500 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 625F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 625F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five25004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 625F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 625F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 625F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2600 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 626F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 626F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five26004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 626F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 626F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 626F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2700 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 627F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 627F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five27004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 627F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 627F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 627F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2800 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 628F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 628F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five28004xi</ack2put4xi>
                
            else:
                print("\n (STEP 628F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 628F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 628F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 2900 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 629F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 629F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five29004xi</ack2put4xi> 
            else:
                print("\n (STEP 629F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 629F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 629F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 3000 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 630F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 630F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five30004xi</ack2put4xi> 
                
            else:
                print("\n (STEP 630F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 630F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 630F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 3100 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 631F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                    
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 631F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five) 
                    # <ack2put4xi>queue2five8shot2five31004xi</ack2put4xi> 
            else:
                print("\n (STEP 631F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 631F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 631F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 3200 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 632F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel)
                    # 
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 632F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five32004xi</ack2put4xi> 
            else:
                print("\n (STEP 632F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 632F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 632F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  
     
    #=========
    # 3300 FIVE
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 633F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel) 
                    # 
                message2receive4five = pipe2five_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 633F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2five_consumer_channel, " PUT INFO MESSAGE: ", message2receive4five)
                    # <ack2put4xi>queue2five8shot2five33004xi</ack2put4xi> 
            else:
                print("\n (STEP 633F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 633F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 633F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS FIVE ", time4xi())  

      
           
    # =========================================================================================================   
    # I/V EOF - FIVE DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
          

 

           
    # =========================================================================================================   
    # II/V FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 FIVE   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five104xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 434F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE104XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five104xi = queue2five.get() 
                if fire2five104xi is None:
                    fire2five104xi = shot2five104xi
                    print("\n (STEP 434F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE104XI TO SHOT2FIVE104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 434F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE104XI: ", fire2five104xi) 
                    #  GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE104XI:  {1: '-10x10y12z', 2: '-10x12y36z', 3: '-10x45y17z', 4: '-11x10y12z', 5: '-11x11y36z', 6: '-11x49y61z', 7: '-12x11y36z', 8: '-12x45y17z', 9: '-12x9y12z', 10: '-13x11y35z', 11: '-13x49y61z', 12: '-13x7y12z', 13: '-13x8y12z', 14: '-14x10y35z', 15: '-14x6y11z', 16: '-14x7y11z', 17: '-15x4y11z', 18: '-15x5y11z', 19: '-15x9y35z', 20: '-16x3y11z', 21: '-16x49y60z', 22: '-16x8y35z', 23: '-16x9y35z', 24: '-17x7y35z', 25: '-18x53y19z', 26: '-1x0y79z', 27: '-1x6y7z', 28: '-1x9y28z', 29: '-21x52y19z', 30: '-22x55y67z', 31: '-22x8y43z', 32: '-23x51y18z', 33: '-23x7y43z', 34: '-24x3y16z', 35: '-24x6y43z', 36: '-25x0y15z', 37: '-25x1y15z', 38: '-25x2y16z', 39: '-25x4y42z', 40: '-25x5y42z', 41: '-26x2y42z', 42: '-26x50y18z', 43: '-27x0y41z', 44: '-27x1y42z', 45: '-29x49y17z', 46: '-2x0y79z', 47: '-2x6y6z', 48: '-2x6y7z', 49: '-2x9y28z', 50: '-31x47y17z', 51: '-34x46y16z', 52: '-37x44y15z', 53: '-39x42y15z', 54: '-3x0y79z', 55: '-3x6y6z', 56: '-3x9y28z', 57: '-41x40y14z', 58: '-43x38y14z', 59: '-45x36y13z', 60: '-4x0y79z', 61: '-4x5y6z', 62: '-4x6y6z', 63: '-4x9y27z', 64: '-4x9y28z', 65: '-55x39y15z', 66: '-57x36y14z', 67: '-59x33y13z', 68: '-5x0y79z', 69: '-5x46y18z', 70: '-5x5y6z', 71: '-5x9y27z', 72: '-61x30y13z', 73: '-63x27y12z', 74: '-64x23y11z', 75: '-66x20y11z', 76: '-67x13y9z', 77: '-67x17y10z', 78: '-68x9y9z', 79: '-69x2y7z', 80: '-69x6y8z', 81: '-6x0y79z', 82: '-7x0y79z', 83: '-7x45y18z', 84: '-8x12y36z', 85: '-8x49y62z', 86: '-9x12y36z', 87: '0x0y79z', 88: '0x6y7z', 89: '0x8y28z'}

                
            else:
                print("\n (STEP 434F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 434F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 434F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())
    
        
      
           
    #========
    # 100 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five1004xi = {}

    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 441F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE1004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five1004xi = queue2five.get()
                if fire2five1004xi is None:
                    fire2five1004xi = shot2five1004xi
                    print("\n (STEP 441F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE1004XI TO SHOT2FIVE1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 441F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE1004XI: ", fire2five1004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE1004XI:  {1: '-10x31y94z', 2: '-10x62y77z', 3: '-10x67y72z', 4: '-10x92y37z', 5: '-12x32y93z', 6: '-14x32y93z', 7: '-14x62y76z', 8: '-14x67y72z', 9: '-159x14y119z', 10: '-15x91y36z', 11: '-16x32y93z', 12: '-17x62y76z', 13: '-18x32y92z', 14: '-18x67y71z', 15: '-1x0y99z', 16: '-20x32y92z', 17: '-20x61y75z', 18: '-20x91y35z', 19: '-21x67y70z', 20: '-22x31y92z', 21: '-24x61y75z', 22: '-25x31y91z', 23: '-25x66y70z', 24: '-25x90y34z', 25: '-27x30y91z', 26: '-27x60y74z', 27: '-29x29y90z', 28: '-29x65y69z', 29: '-2x0y99z', 30: '-30x89y33z', 31: '-31x28y90z', 32: '-31x59y73z', 33: '-32x64y68z', 34: '-33x27y89z', 35: '-34x58y72z', 36: '-35x26y89z', 37: '-35x87y32z', 38: '-36x63y67z', 39: '-38x24y89z', 40: '-38x57y72z', 41: '-39x86y31z', 42: '-3x0y99z', 43: '-3x29y95z', 44: '-40x23y88z', 45: '-40x62y67z', 46: '-41x21y88z', 47: '-41x55y71z', 48: '-43x19y87z', 49: '-43x60y66z', 50: '-44x84y30z', 51: '-45x17y87z', 52: '-45x54y70z', 53: '-47x15y86z', 54: '-47x58y65z', 55: '-48x13y86z', 56: '-48x52y70z', 57: '-48x82y29z', 58: '-4x0y99z', 59: '-4x30y95z', 60: '-50x10y85z', 61: '-50x56y64z', 62: '-51x50y69z', 63: '-51x8y85z', 64: '-52x5y84z', 65: '-53x79y28z', 66: '-54x0y83z', 67: '-54x3y84z', 68: '-54x47y68z', 69: '-54x54y64z', 70: '-57x45y68z', 71: '-57x51y63z', 72: '-57x76y27z', 73: '-5x0y99z', 74: '-60x42y67z', 75: '-60x49y62z', 76: '-61x74y26z', 77: '-63x39y66z', 78: '-63x46y61z', 79: '-65x36y65z', 80: '-65x70y25z', 81: '-66x43y61z', 82: '-68x33y65z', 83: '-69x39y60z', 84: '-69x67y24z', 85: '-6x0y99z', 86: '-6x30y94z', 87: '-70x30y64z', 88: '-71x36y59z', 89: '-72x26y63z', 90: '-73x32y58z', 91: '-73x64y23z', 92: '-74x23y62z', 93: '-76x19y61z', 94: '-76x29y57z', 95: '-76x60y22z', 96: '-77x15y61z', 97: '-78x11y60z', 98: '-78x25y57z', 99: '-79x21y56z', 100: '-79x56y21z', 101: '-7x0y99z', 102: '-7x67y73z', 103: '-81x17y55z', 104: '-82x13y54z', 105: '-82x52y20z', 106: '-83x8y53z', 107: '-84x4y52z', 108: '-85x0y52z', 109: '-85x47y19z', 110: '-88x43y18z', 111: '-8x0y99z', 112: '-8x31y94z', 113: '-90x38y17z', 114: '-92x34y16z', 115: '-94x29y15z', 116: '-95x24y14z', 117: '-97x19y13z', 118: '-98x14y12z', 119: '-98x9y11z', 120: '-99x3y10z', 121: '-9x0y99z', 122: '0x0y99z'}
 
                  
            else:
                print("\n (STEP 441F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 441F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 441F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
      

    #========
    # 200 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five2004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 542F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE2004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five2004xi = queue2five.get()
                if fire2five2004xi is None:
                    fire2five2004xi = shot2five2004xi
                    print("\n (STEP 542F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE2004XI TO SHOT2FIVE2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 542F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE2004XI: ", fire2five2004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE2004XI:  {1: '-100x21y171z', 2: '-101x112y129z', 3: '-102x100y138z', 4: '-103x16y170z', 5: '-105x11y169z', 6: '-106x159y57z', 7: '-108x108y128z', 8: '-108x6y168z', 9: '-109x0y167z', 10: '-109x95y137z', 11: '-10x1y199z', 12: '-114x103y126z', 13: '-115x153y55z', 14: '-115x90y136z', 15: '-120x85y134z', 16: '-121x98y125z', 17: '-123x148y53z', 18: '-126x79y133z', 19: '-127x92y123z', 20: '-12x0y199z', 21: '-12x61y189z', 22: '-131x141y51z', 23: '-131x73y131z', 24: '-132x86y122z', 25: '-136x67y130z', 26: '-138x135y49z', 27: '-138x79y120z', 28: '-140x60y128z', 29: '-143x72y118z', 30: '-144x53y127z', 31: '-146x128y47z', 32: '-147x65y117z', 33: '-148x46y125z', 34: '-14x0y199z', 35: '-14x134y147z', 36: '-152x38y123z', 37: '-152x58y115z', 38: '-153x120y45z', 39: '-155x30y122z', 40: '-156x50y114z', 41: '-157x22y120z', 42: '-159x112y43z', 43: '-159x14y119z', 44: '-159x42y112z', 45: '-162x34y110z', 46: '-165x104y41z', 47: '-165x26y109z', 48: '-167x17y107z', 49: '-169x8y105z', 50: '-16x0y199z', 51: '-16x62y189z', 52: '-170x0y104z', 53: '-171x95y39z', 54: '-176x86y37z', 55: '-180x77y35z', 56: '-184x68y33z', 57: '-188x58y31z', 58: '-191x48y29z', 59: '-194x38y27z', 60: '-196x28y25z', 61: '-197x18y23z', 62: '-198x7y21z', 63: '-20x63y188z', 64: '-21x124y155z', 65: '-21x135y145z', 66: '-21x184y74z', 67: '-242x9y176z', 68: '-24x64y187z', 69: '-28x124y153z', 70: '-28x135y144z', 71: '-28x64y187z', 72: '-2x0y199z', 73: '-31x183y72z', 74: '-32x64y186z', 75: '-34x124y152z', 76: '-36x134y143z', 77: '-37x64y185z', 78: '-41x123y151z', 79: '-41x182y70z', 80: '-41x64y184z', 81: '-43x134y141z', 82: '-45x63y184z', 83: '-48x122y150z', 84: '-4x1y199z', 85: '-50x62y183z', 86: '-51x133y140z', 87: '-51x180y68z', 88: '-54x60y182z', 89: '-55x121y148z', 90: '-58x131y138z', 91: '-58x59y181z', 92: '-60x178y66z', 93: '-62x119y147z', 94: '-63x57y180z', 95: '-65x129y137z', 96: '-67x55y179z', 97: '-69x117y145z', 98: '-6x1y199z', 99: '-6x59y190z', 100: '-70x175y64z', 101: '-71x52y179z', 102: '-73x127y135z', 103: '-76x114y144z', 104: '-76x49y178z', 105: '-79x172y62z', 106: '-80x124y134z', 107: '-80x46y177z', 108: '-83x111y143z', 109: '-83x43y176z', 110: '-87x120y132z', 111: '-87x39y175z', 112: '-88x168y60z', 113: '-8x1y199z', 114: '-90x108y141z', 115: '-91x35y174z', 116: '-94x117y131z', 117: '-94x31y173z', 118: '-96x104y140z', 119: '-97x164y58z', 120: '-97x26y172z', 121: '-9x60y190z', 122: '0x0y199z'}
 
                  
            else:
                print("\n (STEP 542F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 542F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 542F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five3004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 543F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE3004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five3004xi = queue2five.get()
                if fire2five3004xi is None:
                    fire2five3004xi = shot2five3004xi
                    print("\n (STEP 543F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE3004XI TO SHOT2FIVE3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 543F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE3004XI: ", fire2five3004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE3004XI:  {1: '-101x82y269z', 2: '-104x176y218z', 3: '-105x263y97z', 4: '-107x78y268z', 5: '-110x190y203z', 6: '-114x74y267z', 7: '-115x172y216z', 8: '-119x258y94z', 9: '-120x186y201z', 10: '-120x69y265z', 11: '-125x167y214z', 12: '-125x64y264z', 13: '-12x2y299z', 14: '-131x181y199z', 15: '-131x59y263z', 16: '-133x252y91z', 17: '-135x162y212z', 18: '-136x53y261z', 19: '-141x46y260z', 20: '-142x175y197z', 21: '-144x156y210z', 22: '-146x246y88z', 23: '-146x39y258z', 24: '-14x90y285z', 25: '-151x32y257z', 26: '-152x169y194z', 27: '-154x150y208z', 28: '-155x25y255z', 29: '-158x17y253z', 30: '-159x239y85z', 31: '-15x1y299z', 32: '-162x162y192z', 33: '-162x9y252z', 34: '-163x143y206z', 35: '-164x0y250z', 36: '-172x136y204z', 37: '-172x155y190z', 38: '-172x230y82z', 39: '-181x128y201z', 40: '-181x147y187z', 41: '-185x222y79z', 42: '-189x119y199z', 43: '-18x1y299z', 44: '-190x138y185z', 45: '-196x212y76z', 46: '-197x110y197z', 47: '-199x129y183z', 48: '-19x92y284z', 49: '-204x100y195z', 50: '-207x119y180z', 51: '-208x202y74z', 52: '-211x90y192z', 53: '-214x109y178z', 54: '-217x80y190z', 55: '-219x192y71z', 56: '-21x0y299z', 57: '-21x201y220z', 58: '-221x98y176z', 59: '-223x69y188z', 60: '-228x58y185z', 61: '-228x87y173z', 62: '-229x180y68z', 63: '-232x46y183z', 64: '-234x76y171z', 65: '-236x34y181z', 66: '-239x168y65z', 67: '-239x22y178z', 68: '-239x64y168z', 69: '-242x9y176z', 70: '-244x51y166z', 71: '-248x156y62z', 72: '-248x39y163z', 73: '-24x94y283z', 74: '-251x26y161z', 75: '-254x13y158z', 76: '-256x0y156z', 77: '-256x143y59z', 78: '-264x130y56z', 79: '-271x116y53z', 80: '-277x102y50z', 81: '-282x87y47z', 82: '-287x72y44z', 83: '-291x57y41z', 84: '-294x42y38z', 85: '-296x27y35z', 86: '-297x11y32z', 87: '-30x95y282z', 88: '-31x186y232z', 89: '-32x202y218z', 90: '-32x276y111z', 91: '-36x96y281z', 92: '-3x1y299z', 93: '-42x186y230z', 94: '-42x97y280z', 95: '-43x202y216z', 96: '-47x275y108z', 97: '-49x97y279z', 98: '-52x186y228z', 99: '-54x202y214z', 100: '-55x96y278z', 101: '-62x185y227z', 102: '-62x273y105z', 103: '-62x96y277z', 104: '-65x201y212z', 105: '-68x95y276z', 106: '-6x1y299z', 107: '-73x184y225z', 108: '-74x392y7z', 109: '-75x93y274z', 110: '-76x199y210z', 111: '-76x271y102z', 112: '-81x91y273z', 113: '-83x182y223z', 114: '-87x197y208z', 115: '-88x88y272z', 116: '-91x267y99z', 117: '-94x179y221z', 118: '-94x86y271z', 119: '-98x194y206z', 120: '-9x2y299z', 121: '-9x88y286z', 122: '0x0y299z'}
 
                  
            else:
                print("\n (STEP 543F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 543F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 543F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


       
    #========
    # 400 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five4004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 544F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE4004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five4004xi = queue2five.get()
                if fire2five4004xi is None:
                    fire2five4004xi = shot2five4004xi
                    print("\n (STEP 544F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE4004XI TO SHOT2FIVE4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 544F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE4004XI: ", fire2five4004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE4004XI:  {1: '-100x124y366z', 2: '-102x266y280z', 3: '-102x361y136z', 4: '-109x121y364z', 5: '-111x243y297z', 6: '-117x118y363z', 7: '-117x263y277z', 8: '-121x357y133z', 9: '-125x239y294z', 10: '-126x114y361z', 11: '-12x118y381z', 12: '-12x2y399z', 13: '-131x259y274z', 14: '-135x110y359z', 15: '-139x235y291z', 16: '-140x351y129z', 17: '-143x105y358z', 18: '-146x254y271z', 19: '-152x99y356z', 20: '-153x229y289z', 21: '-159x344y125z', 22: '-160x93y354z', 23: '-161x248y268z', 24: '-166x223y286z', 25: '-167x86y352z', 26: '-16x2y399z', 27: '-175x241y265z', 28: '-175x78y350z', 29: '-177x337y121z', 30: '-180x216y283z', 31: '-182x70y348z', 32: '-189x234y262z', 33: '-189x62y346z', 34: '-18x121y380z', 35: '-193x209y280z', 36: '-195x328y117z', 37: '-195x53y344z', 38: '-201x43y342z', 39: '-203x225y259z', 40: '-205x200y277z', 41: '-206x33y340z', 42: '-20x2y399z', 43: '-211x22y338z', 44: '-213x318y114z', 45: '-216x12y336z', 46: '-216x216y256z', 47: '-218x191y275z', 48: '-219x0y334z', 49: '-229x206y253z', 50: '-230x181y272z', 51: '-230x307y110z', 52: '-241x170y269z', 53: '-242x196y250z', 54: '-246x296y106z', 55: '-24x1y399z', 56: '-252x159y266z', 57: '-254x184y247z', 58: '-25x123y379z', 59: '-262x147y263z', 60: '-262x283y102z', 61: '-265x172y244z', 62: '-272x134y260z', 63: '-276x159y241z', 64: '-277x270y98z', 65: '-281x121y257z', 66: '-286x145y237z', 67: '-289x107y254z', 68: '-28x0y398z', 69: '-28x269y294z', 70: '-292x256y94z', 71: '-295x131y234z', 72: '-297x92y250z', 73: '-304x116y231z', 74: '-304x77y247z', 75: '-306x241y90z', 76: '-310x61y244z', 77: '-312x101y228z', 78: '-315x45y241z', 79: '-318x225y87z', 80: '-319x29y238z', 81: '-319x85y224z', 82: '-323x12y235z', 83: '-325x69y221z', 84: '-331x208y83z', 85: '-331x52y218z', 86: '-335x35y214z', 87: '-339x17y211z', 88: '-33x125y378z', 89: '-341x0y208z', 90: '-342x191y79z', 91: '-352x173y75z', 92: '-361x155y71z', 93: '-369x136y67z', 94: '-377x116y63z', 95: '-383x97y59z', 96: '-388x77y55z', 97: '-392x56y51z', 98: '-395x36y47z', 99: '-397x15y43z', 100: '-40x127y376z', 101: '-42x248y310z', 102: '-42x270y291z', 103: '-43x368y148z', 104: '-48x128y375z', 105: '-4x1y399z', 106: '-56x249y307z', 107: '-57x129y374z', 108: '-57x270y288z', 109: '-63x367y144z', 110: '-65x129y372z', 111: '-69x248y305z', 112: '-72x269y286z', 113: '-74x129y371z', 114: '-82x128y369z', 115: '-82x365y140z', 116: '-83x247y302z', 117: '-87x268y283z', 118: '-8x2y399z', 119: '-91x126y368z', 120: '-92x491y9z', 121: '-97x245y300z', 122: '0x0y399z'}
 
                  
            else:
                print("\n (STEP 544F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 544F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 544F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


                               
    #========
    # 500 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five5004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 545F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE5004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five5004xi = queue2five.get()
                if fire2five5004xi is None:
                    fire2five5004xi = shot2five5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE5004XI TO SHOT2FIVE5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE5004XI: ", fire2five5004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE5004XI:  {1: '-103x160y462z', 2: '-103x456y175z', 3: '-104x309y378z', 4: '-109x335y354z', 5: '-10x2y499z', 6: '-114x158y460z', 7: '-122x307y375z', 8: '-125x155y458z', 9: '-127x332y350z', 10: '-127x452y171z', 11: '-136x152y456z', 12: '-139x303y371z', 13: '-146x328y347z', 14: '-147x148y454z', 15: '-151x446y166z', 16: '-157x299y368z', 17: '-158x143y452z', 18: '-15x147y477z', 19: '-15x3y499z', 20: '-164x323y343z', 21: '-169x137y449z', 22: '-174x293y364z', 23: '-175x439y161z', 24: '-179x131y447z', 25: '-183x317y339z', 26: '-190x124y445z', 27: '-191x287y361z', 28: '-198x431y156z', 29: '-1x0y499z', 30: '-200x116y443z', 31: '-201x310y336z', 32: '-208x279y358z', 33: '-209x107y440z', 34: '-20x3y499z', 35: '-219x302y332z', 36: '-219x98y438z', 37: '-221x421y152z', 38: '-225x271y354z', 39: '-228x88y436z', 40: '-236x77y433z', 41: '-237x292y328z', 42: '-23x151y475z', 43: '-241x261y351z', 44: '-244x410y147z', 45: '-244x66y431z', 46: '-251x54y428z', 47: '-254x282y324z', 48: '-257x251y347z', 49: '-258x41y425z', 50: '-264x28y423z', 51: '-266x398y142z', 52: '-26x2y499z', 53: '-270x15y420z', 54: '-271x271y321z', 55: '-272x239y343z', 56: '-274x0y417z', 57: '-287x227y340z', 58: '-287x258y317z', 59: '-287x384y137z', 60: '-301x213y336z', 61: '-302x245y313z', 62: '-308x370y133z', 63: '-315x199y332z', 64: '-317x230y309z', 65: '-31x1y499z', 66: '-328x184y329z', 67: '-328x354y128z', 68: '-32x154y474z', 69: '-331x215y305z', 70: '-340x168y325z', 71: '-345x199y301z', 72: '-347x337y123z', 73: '-351x151y321z', 74: '-358x182y297z', 75: '-35x336y368z', 76: '-362x133y317z', 77: '-365x320y118z', 78: '-369x164y293z', 79: '-36x0y498z', 80: '-371x115y313z', 81: '-380x146y289z', 82: '-380x96y309z', 83: '-382x301y113z', 84: '-387x77y305z', 85: '-390x126y285z', 86: '-394x57y301z', 87: '-398x281y108z', 88: '-399x107y281z', 89: '-399x37y297z', 90: '-407x86y277z', 91: '-413x260y103z', 92: '-413x65y272z', 93: '-419x44y268z', 94: '-41x157y472z', 95: '-423x22y264z', 96: '-426x0y260z', 97: '-427x239y98z', 98: '-440x216y94z', 99: '-452x194y89z', 100: '-462x170y84z', 101: '-471x146y79z', 102: '-479x121y74z', 103: '-485x19y352z', 104: '-485x96y69z', 105: '-490x70y64z', 106: '-494x45y59z', 107: '-496x19y54z', 108: '-51x159y471z', 109: '-53x310y387z', 110: '-53x337y364z', 111: '-54x461y185z', 112: '-5x1y499z', 113: '-61x160y469z', 114: '-70x311y384z', 115: '-71x161y467z', 116: '-71x338y361z', 117: '-79x459y180z', 118: '-81x161y465z', 119: '-87x311y381z', 120: '-90x337y357z', 121: '-92x161y464z'}
 
                  
            else:
                print("\n (STEP 545F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 545F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 545F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five6004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 546F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE6004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five6004xi = queue2five.get()
                if fire2five6004xi is None:
                    fire2five6004xi = shot2five6004xi
                    print("\n (STEP 546F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE6004XI TO SHOT2FIVE6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 546F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE6004XI: ", fire2five6004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE6004XI:  {1: '-104x373y457z', 2: '-108x404y429z', 3: '-111x193y556z', 4: '-124x192y554z', 5: '-124x547y210z', 6: '-125x371y454z', 7: '-130x402y425z', 8: '-137x190y552z', 9: '-13x3y599z', 10: '-146x368y450z', 11: '-150x186y549z', 12: '-153x399y420z', 13: '-153x542y205z', 14: '-163x182y547z', 15: '-167x364y446z', 16: '-175x394y416z', 17: '-176x177y545z', 18: '-182x535y199z', 19: '-188x359y442z', 20: '-189x172y542z', 21: '-18x177y572z', 22: '-197x388y412z', 23: '-19x4y599z', 24: '-1x0y599z', 25: '-202x165y539z', 26: '-209x352y437z', 27: '-210x527y194z', 28: '-215x157y537z', 29: '-220x381y407z', 30: '-228x149y534z', 31: '-230x344y433z', 32: '-238x517y188z', 33: '-240x139y531z', 34: '-241x372y403z', 35: '-250x335y429z', 36: '-251x129y528z', 37: '-25x4y599z', 38: '-263x118y526z', 39: '-263x362y398z', 40: '-266x505y182z', 41: '-270x325y425z', 42: '-273x106y523z', 43: '-283x93y520z', 44: '-284x351y394z', 45: '-289x313y421z', 46: '-28x181y571z', 47: '-293x492y176z', 48: '-293x79y517z', 49: '-302x65y514z', 50: '-305x338y389z', 51: '-308x301y416z', 52: '-310x50y511z', 53: '-317x34y507z', 54: '-319x478y171z', 55: '-31x3y599z', 56: '-324x18y504z', 57: '-325x325y385z', 58: '-327x287y412z', 59: '-329x1y501z', 60: '-344x310y380z', 61: '-345x272y408z', 62: '-345x461y165z', 63: '-362x256y403z', 64: '-363x294y375z', 65: '-370x444y159z', 66: '-378x239y399z', 67: '-37x2y598z', 68: '-381x277y371z', 69: '-38x185y569z', 70: '-393x425y153z', 71: '-394x221y394z', 72: '-398x258y366z', 73: '-408x201y390z', 74: '-414x239y361z', 75: '-416x405y148z', 76: '-422x181y385z', 77: '-429x218y356z', 78: '-42x403y441z', 79: '-434x160y381z', 80: '-438x384y142z', 81: '-43x0y598z', 82: '-443x197y352z', 83: '-446x138y376z', 84: '-456x116y371z', 85: '-456x175y347z', 86: '-459x361y136z', 87: '-465x92y367z', 88: '-468x152y342z', 89: '-473x68y362z', 90: '-478x337y130z', 91: '-479x128y337z', 92: '-479x44y357z', 93: '-488x103y332z', 94: '-496x312y124z', 95: '-496x78y327z', 96: '-49x188y567z', 97: '-503x52y322z', 98: '-508x26y317z', 99: '-512x0y312z', 100: '-513x287y118z', 101: '-528x260y112z', 102: '-542x232y107z', 103: '-554x204y101z', 104: '-565x175y95z', 105: '-565x22y411z', 106: '-575x145y89z', 107: '-582x115y83z', 108: '-588x85y77z', 109: '-593x54y71z', 110: '-595x23y65z', 111: '-61x191y565z', 112: '-63x373y465z', 113: '-64x405y437z', 114: '-65x553y222z', 115: '-73x193y563z', 116: '-7x2y599z', 117: '-84x373y461z', 118: '-85x194y561z', 119: '-86x405y433z', 120: '-95x551y216z', 121: '-98x194y559z'}
 
                  
            else:
                print("\n (STEP 546F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 546F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 546F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


        
    #========
    # 700 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five7004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 547F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE7004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five7004xi = queue2five.get()
                if fire2five7004xi is None:
                    fire2five7004xi = shot2five7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE7004XI TO SHOT2FIVE7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 547F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE7004XI: ", fire2five7004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE7004XI:  {1: '-100x473y505z', 2: '-110x643y252z', 3: '-114x226y652z', 4: '-122x435y534z', 5: '-126x472y500z', 6: '-129x226y649z', 7: '-144x224y647z', 8: '-144x639y246z', 9: '-146x433y529z', 10: '-152x469y495z', 11: '-15x4y699z', 12: '-160x221y644z', 13: '-171x430y525z', 14: '-175x218y641z', 15: '-178x465y490z', 16: '-178x632y239z', 17: '-190x213y638z', 18: '-195x425y520z', 19: '-1x0y699z', 20: '-204x460y485z', 21: '-206x207y635z', 22: '-212x624y232z', 23: '-21x206y668z', 24: '-220x419y515z', 25: '-221x200y632z', 26: '-22x4y699z', 27: '-230x453y480z', 28: '-236x192y629z', 29: '-244x411y510z', 30: '-245x615y226z', 31: '-251x184y626z', 32: '-256x444y475z', 33: '-266x174y623z', 34: '-268x402y506z', 35: '-278x603y219z', 36: '-280x162y620z', 37: '-282x434y470z', 38: '-292x391y501z', 39: '-293x150y617z', 40: '-29x4y699z', 41: '-306x137y613z', 42: '-307x423y465z', 43: '-310x589y213z', 44: '-315x379y496z', 45: '-319x123y610z', 46: '-32x211y666z', 47: '-331x108y606z', 48: '-332x409y460z', 49: '-338x366y491z', 50: '-342x574y206z', 51: '-342x92y603z', 52: '-352x76y599z', 53: '-356x395y454z', 54: '-360x351y486z', 55: '-362x58y596z', 56: '-36x4y699z', 57: '-370x40y592z', 58: '-372x557y199z', 59: '-378x21y588z', 60: '-379x379y449z', 61: '-381x335y481z', 62: '-384x1y584z', 63: '-402x317y476z', 64: '-402x362y444z', 65: '-402x538y192z', 66: '-422x299y471z', 67: '-423x343y438z', 68: '-431x518y186z', 69: '-43x2y698z', 70: '-441x279y465z', 71: '-444x323y433z', 72: '-459x257y460z', 73: '-459x496y179z', 74: '-45x216y664z', 75: '-464x301y427z', 76: '-476x235y455z', 77: '-483x279y422z', 78: '-486x473y172z', 79: '-492x212y450z', 80: '-49x471y515z', 81: '-501x255y416z', 82: '-507x187y444z', 83: '-50x0y698z', 84: '-511x448y165z', 85: '-517x230y410z', 86: '-520x162y439z', 87: '-532x135y433z', 88: '-532x204y405z', 89: '-535x421y159z', 90: '-543x108y428z', 91: '-546x177y399z', 92: '-552x80y422z', 93: '-558x394y152z', 94: '-559x149y393z', 95: '-559x51y417z', 96: '-570x121y387z', 97: '-579x365y145z', 98: '-579x91y381z', 99: '-587x61y376z', 100: '-58x220y661z', 101: '-593x31y370z', 102: '-597x0y364z', 103: '-598x334y138z', 104: '-616x303y131z', 105: '-632x271y124z', 106: '-646x25y470z', 107: '-647x238y117z', 108: '-660x204y111z', 109: '-670x170y104z', 110: '-679x134y97z', 111: '-687x99y90z', 112: '-692x63y83z', 113: '-695x27y76z', 114: '-71x223y659z', 115: '-74x435y543z', 116: '-74x473y510z', 117: '-76x645y259z', 118: '-85x225y657z', 119: '-8x2y699z', 120: '-98x435y538z', 121: '-99x226y654z'}
 
                  
            else:
                print("\n (STEP 547F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 547F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 547F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


          
    #========
    # 800 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five8004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 548F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE8004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five8004xi = queue2five.get()
                if fire2five8004xi is None:
                    fire2five8004xi = shot2five8004xi
                    print("\n (STEP 548F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE8004XI TO SHOT2FIVE8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 548F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE8004XI: ", fire2five8004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE8004XI:  {1: '-112x498y615z', 2: '-114x258y748z', 3: '-115x541y577z', 4: '-126x735y288z', 5: '-131x259y745z', 6: '-139x497y610z', 7: '-144x539y572z', 8: '-148x258y742z', 9: '-165x256y739z', 10: '-165x730y281z', 11: '-167x495y605z', 12: '-174x537y566z', 13: '-17x4y799z', 14: '-182x253y736z', 15: '-195x491y600z', 16: '-1x0y799z', 17: '-200x249y733z', 18: '-204x532y561z', 19: '-204x723y273z', 20: '-218x243y729z', 21: '-223x486y594z', 22: '-234x526y555z', 23: '-235x237y726z', 24: '-242x714y266z', 25: '-24x236y763z', 26: '-251x478y589z', 27: '-253x229y723z', 28: '-25x5y799z', 29: '-263x518y549z', 30: '-270x220y719z', 31: '-279x470y583z', 32: '-280x702y258z', 33: '-287x210y716z', 34: '-293x508y543z', 35: '-304x198y712z', 36: '-306x459y578z', 37: '-318x689y251z', 38: '-320x186y709z', 39: '-322x496y537z', 40: '-333x447y572z', 41: '-335x172y705z', 42: '-33x5y799z', 43: '-350x157y701z', 44: '-351x483y531z', 45: '-355x674y243z', 46: '-360x433y567z', 47: '-365x141y697z', 48: '-378x124y693z', 49: '-379x468y525z', 50: '-37x242y761z', 51: '-386x418y561z', 52: '-391x106y689z', 53: '-391x656y235z', 54: '-403x87y685z', 55: '-406x451y519z', 56: '-411x401y555z', 57: '-413x66y681z', 58: '-41x4y798z', 59: '-423x45y677z', 60: '-426x637y228z', 61: '-432x24y672z', 62: '-433x433y513z', 63: '-436x383y550z', 64: '-439x1y668z', 65: '-459x413y507z', 66: '-460x363y544z', 67: '-460x615y220z', 68: '-482x341y538z', 69: '-484x392y501z', 70: '-493x592y212z', 71: '-49x2y798z', 72: '-504x318y532z', 73: '-508x369y495z', 74: '-51x247y759z', 75: '-525x294y526z', 76: '-525x567y205z', 77: '-531x344y488z', 78: '-544x269y520z', 79: '-552x319y482z', 80: '-555x540y197z', 81: '-562x242y514z', 82: '-56x538y588z', 83: '-572x291y475z', 84: '-579x214y508z', 85: '-57x0y797z', 86: '-584x512y189z', 87: '-591x263y469z', 88: '-594x185y501z', 89: '-608x155y495z', 90: '-609x233y463z', 91: '-612x482y181z', 92: '-620x123y489z', 93: '-624x203y456z', 94: '-631x91y483z', 95: '-637x450y174z', 96: '-638x171y449z', 97: '-639x59y476z', 98: '-651x138y443z', 99: '-662x104y436z', 100: '-662x417y166z', 101: '-66x251y756z', 102: '-671x70y429z', 103: '-678x35y423z', 104: '-683x0y416z', 105: '-684x382y158z', 106: '-704x347y150z', 107: '-723x310y142z', 108: '-727x29y528z', 109: '-739x272y134z', 110: '-754x233y126z', 111: '-766x194y119z', 112: '-777x154y111z', 113: '-785x113y103z', 114: '-791x72y95z', 115: '-794x30y87z', 116: '-81x255y753z', 117: '-85x497y620z', 118: '-85x540y583z', 119: '-87x737y296z', 120: '-97x257y751z', 121: '-9x3y799z'}
 
                  
            else:
                print("\n (STEP 548F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 548F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 548F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


        
    #========
    # 900 FIVE
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five9004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 549F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE9004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five9004xi = queue2five.get()
                if fire2five9004xi is None:
                    fire2five9004xi = shot2five9004xi
                    print("\n (STEP 549F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE9004XI TO SHOT2FIVE9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 549F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE9004XI: ", fire2five9004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE9004XI:  {1: '-10x3y899z', 2: '-110x289y844z', 3: '-126x560y692z', 4: '-128x291y841z', 5: '-129x608y650z', 6: '-142x827y324z', 7: '-147x291y838z', 8: '-157x559y686z', 9: '-162x607y643z', 10: '-166x290y835z', 11: '-186x288y831z', 12: '-186x821y316z', 13: '-188x557y681z', 14: '-196x604y637z', 15: '-19x5y899z', 16: '-205x285y828z', 17: '-220x552y675z', 18: '-225x280y824z', 19: '-229x598y631z', 20: '-229x813y308z', 21: '-245x274y821z', 22: '-251x546y669z', 23: '-263x591y624z', 24: '-265x266y817z', 25: '-273x803y299z', 26: '-27x265y859z', 27: '-282x538y663z', 28: '-284x258y813z', 29: '-28x6y899z', 30: '-296x582y618z', 31: '-2x0y899z', 32: '-304x248y809z', 33: '-314x528y656z', 34: '-315x790y291z', 35: '-323x236y805z', 36: '-330x571y611z', 37: '-342x223y801z', 38: '-345x517y650z', 39: '-358x775y282z', 40: '-360x209y797z', 41: '-362x558y604z', 42: '-375x503y644z', 43: '-377x194y793z', 44: '-37x6y899z', 45: '-394x177y789z', 46: '-395x543y598z', 47: '-399x758y273z', 48: '-405x488y638z', 49: '-410x159y784z', 50: '-425x139y780z', 51: '-426x527y591z', 52: '-42x272y856z', 53: '-434x470y631z', 54: '-440x119y775z', 55: '-440x738y265z', 56: '-453x97y771z', 57: '-457x508y584z', 58: '-463x451y625z', 59: '-465x75y766z', 60: '-46x5y898z', 61: '-476x51y761z', 62: '-479x717y256z', 63: '-486x27y756z', 64: '-487x487y577z', 65: '-490x431y618z', 66: '-494x1y752z', 67: '-517x408y612z', 68: '-517x465y570z', 69: '-517x692y248z', 70: '-543x384y605z', 71: '-545x441y563z', 72: '-555x666y239z', 73: '-567x358y599z', 74: '-56x3y898z', 75: '-571x415y556z', 76: '-58x278y853z', 77: '-590x638y230z', 78: '-591x331y592z', 79: '-597x388y549z', 80: '-612x302y585z', 81: '-621x358y542z', 82: '-625x608y222z', 83: '-633x272y578z', 84: '-63x605y662z', 85: '-644x328y535z', 86: '-651x241y571z', 87: '-657x576y213z', 88: '-65x0y897z', 89: '-665x296y528z', 90: '-669x208y564z', 91: '-684x174y557z', 92: '-685x263y520z', 93: '-688x542y204z', 94: '-698x139y550z', 95: '-702x228y513z', 96: '-709x103y543z', 97: '-717x506y195z', 98: '-718x192y506z', 99: '-719x66y536z', 100: '-732x155y498z', 101: '-744x117y491z', 102: '-744x469y187z', 103: '-74x283y851z', 104: '-754x79y483z', 105: '-762x39y475z', 106: '-768x0y468z', 107: '-769x430y178z', 108: '-792x390y169z', 109: '-808x32y587z', 110: '-813x349y160z', 111: '-832x306y151z', 112: '-848x263y142z', 113: '-862x218y133z', 114: '-874x173y124z', 115: '-883x127y116z', 116: '-889x81y107z', 117: '-893x34y98z', 118: '-92x286y848z', 119: '-95x559y698z', 120: '-96x608y656z', 121: '-98x830y333z'}
 
                  
            else:
                print("\n (STEP 549F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 549F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 549F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


        
    #=========
    # 1000 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five10004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 550F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE10004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five10004xi = queue2five.get()
                if fire2five10004xi is None:
                    fire2five10004xi = shot2five10004xi
                    print("\n (STEP 550F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE10004XI TO SHOT2FIVE10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 550F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE10004XI: ", fire2five10004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE10004XI:  {1: '-102x318y942z', 2: '-106x621y775z', 3: '-107x675y729z', 4: '-109x922y370z', 5: '-11x3y999z', 6: '-122x321y938z', 7: '-140x622y769z', 8: '-142x323y935z', 9: '-143x676y722z', 10: '-158x919y360z', 11: '-163x323y931z', 12: '-174x622y763z', 13: '-180x674y715z', 14: '-185x323y928z', 15: '-206x320y924z', 16: '-207x912y351z', 17: '-209x619y756z', 18: '-218x671y708z', 19: '-21x5y999z', 20: '-228x316y920z', 21: '-244x614y750z', 22: '-250x311y916z', 23: '-255x665y701z', 24: '-255x904y342z', 25: '-272x304y912z', 26: '-279x607y743z', 27: '-292x657y694z', 28: '-294x296y908z', 29: '-2x0y999z', 30: '-303x892y332z', 31: '-30x295y954z', 32: '-314x598y736z', 33: '-316x286y904z', 34: '-31x6y999z', 35: '-329x647y686z', 36: '-338x275y899z', 37: '-349x587y729z', 38: '-351x878y323z', 39: '-359x262y895z', 40: '-366x635y679z', 41: '-380x248y890z', 42: '-383x574y723z', 43: '-397x862y313z', 44: '-400x232y886z', 45: '-403x620y672z', 46: '-417x559y716z', 47: '-419x215y881z', 48: '-41x6y999z', 49: '-438x196y876z', 50: '-439x604y664z', 51: '-443x842y304z', 52: '-450x542y709z', 53: '-456x176y872z', 54: '-46x302y951z', 55: '-473x155y867z', 56: '-474x585y657z', 57: '-483x523y702z', 58: '-488x820y294z', 59: '-489x132y862z', 60: '-503x108y856z', 61: '-508x564y649z', 62: '-514x502y694z', 63: '-517x83y851z', 64: '-529x57y846z', 65: '-52x5y998z', 66: '-532x796y285z', 67: '-540x30y841z', 68: '-542x542y642z', 69: '-545x479y687z', 70: '-549x1y835z', 71: '-574x517y634z', 72: '-575x454y680z', 73: '-575x769y275z', 74: '-603x427y673z', 75: '-605x490y626z', 76: '-616x740y266z', 77: '-62x3y998z', 78: '-630x398y665z', 79: '-635x461y618z', 80: '-64x309y948z', 81: '-656x368y658z', 82: '-656x709y256z', 83: '-663x431y610z', 84: '-680x336y650z', 85: '-690x398y602z', 86: '-694x675y246z', 87: '-703x302y642z', 88: '-70x673y736z', 89: '-716x364y594z', 90: '-724x267y635z', 91: '-72x0y997z', 92: '-730x640y237z', 93: '-739x329y586z', 94: '-743x231y627z', 95: '-760x193y619z', 96: '-761x292y578z', 97: '-765x602y227z', 98: '-775x154y611z', 99: '-781x253y570z', 100: '-788x114y603z', 101: '-797x562y217z', 102: '-798x214y562z', 103: '-799x74y595z', 104: '-814x173y554z', 105: '-827x131y545z', 106: '-827x521y207z', 107: '-838x88y537z', 108: '-83x314y945z', 109: '-847x44y528z', 110: '-853x0y520z', 111: '-855x478y197z', 112: '-881x433y188z', 113: '-889x35y646z', 114: '-904x388y178z', 115: '-924x340y168z', 116: '-943x292y158z', 117: '-958x242y148z', 118: '-971x192y138z', 119: '-981x141y128z', 120: '-988x90y119z', 121: '-993x38y109z'}
 
                  
            else:
                print("\n (STEP 550F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 550F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 550F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1100 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five11004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 551F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE11004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five11004xi = queue2five.get()
                if fire2five11004xi is None:
                    fire2five11004xi = shot2five11004xi
                    print("\n (STEP 551F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE11004XI TO SHOT2FIVE11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 551F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE11004XI: ", fire2five11004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE11004XI:  {1: '-1017x374y185z', 2: '-1037x321y174z', 3: '-1054x267y163z', 4: '-1068x212y152z', 5: '-1079x156y141z', 6: '-1087x99y130z', 7: '-1092x42y120z', 8: '-112x350y1036z', 9: '-117x683y853z', 10: '-117x743y802z', 11: '-120x1014y407z', 12: '-134x353y1032z', 13: '-13x4y1099z', 14: '-154x685y846z', 15: '-157x355y1028z', 16: '-158x744y794z', 17: '-174x1010y397z', 18: '-180x356y1024z', 19: '-192x684y839z', 20: '-198x742y786z', 21: '-203x355y1020z', 22: '-227x1004y386z', 23: '-227x352y1016z', 24: '-230x681y832z', 25: '-239x738y779z', 26: '-23x6y1099z', 27: '-251x348y1012z', 28: '-269x675y825z', 29: '-275x342y1008z', 30: '-281x732y771z', 31: '-281x994y376z', 32: '-2x1y1099z', 33: '-300x335y1003z', 34: '-307x668y817z', 35: '-322x723y763z', 36: '-324x326y999z', 37: '-333x982y366z', 38: '-33x324y1050z', 39: '-345x658y810z', 40: '-348x315y994z', 41: '-34x7y1099z', 42: '-362x712y755z', 43: '-372x303y989z', 44: '-383x646y802z', 45: '-386x966y355z', 46: '-395x289y984z', 47: '-403x698y747z', 48: '-418x273y979z', 49: '-421x632y795z', 50: '-437x948y345z', 51: '-440x256y974z', 52: '-443x683y739z', 53: '-458x615y787z', 54: '-461x237y969z', 55: '-46x7y1099z', 56: '-482x216y964z', 57: '-483x664y731z', 58: '-488x927y334z', 59: '-495x596y780z', 60: '-502x194y959z', 61: '-51x333y1047z', 62: '-520x170y953z', 63: '-521x644y723z', 64: '-531x575y772z', 65: '-537x903y324z', 66: '-538x146y948z', 67: '-554x119y942z', 68: '-559x621y714z', 69: '-566x552y764z', 70: '-568x91y936z', 71: '-57x6y1098z', 72: '-582x63y931z', 73: '-586x876y313z', 74: '-594x33y925z', 75: '-596x596y706z', 76: '-600x527y756z', 77: '-604x1y919z', 78: '-631x568y697z', 79: '-632x499y748z', 80: '-633x846y303z', 81: '-664x470y740z', 82: '-666x539y689z', 83: '-678x814y292z', 84: '-68x3y1097z', 85: '-693x438y732z', 86: '-699x507y680z', 87: '-71x340y1043z', 88: '-722x405y723z', 89: '-722x780y282z', 90: '-730x474y671z', 91: '-749x370y715z', 92: '-759x438y663z', 93: '-763x743y271z', 94: '-773x333y707z', 95: '-77x740y809z', 96: '-787x401y654z', 97: '-796x294y698z', 98: '-79x0y1097z', 99: '-803x704y260z', 100: '-813x362y645z', 101: '-817x254y690z', 102: '-836x213y681z', 103: '-837x321y636z', 104: '-841x662y250z', 105: '-853x170y672z', 106: '-859x279y627z', 107: '-867x126y664z', 108: '-877x619y239z', 109: '-878x235y618z', 110: '-879x81y655z', 111: '-895x190y609z', 112: '-910x144y600z', 113: '-910x573y228z', 114: '-91x346y1040z', 115: '-922x96y590z', 116: '-932x48y581z', 117: '-939x0y572z', 118: '-940x526y217z', 119: '-969x477y207z', 120: '-970x38y705z', 121: '-994x426y196z'}
 
                  
            else:
                print("\n (STEP 551F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 551F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 551F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


        
    #=========
    # 1200 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five12004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 552F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE12004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five12004xi = queue2five.get()
                if fire2five12004xi is None:
                    fire2five12004xi = shot2five12004xi
                    print("\n (STEP 552F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE12004XI TO SHOT2FIVE12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 552F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE12004XI: ", fire2five12004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE12004XI:  {1: '-1006x105y644z', 2: '-1017x53y634z', 3: '-1024x0y624z', 4: '-1026x574y237z', 5: '-1050x42y764z', 6: '-1057x520y225z', 7: '-1085x465y214z', 8: '-1109x408y202z', 9: '-1131x350y190z', 10: '-1150x291y178z', 11: '-1165x231y166z', 12: '-1177x170y154z', 13: '-1186x108y142z', 14: '-1191x46y130z', 15: '-122x382y1130z', 16: '-127x746y931z', 17: '-128x811y875z', 18: '-131x1106y444z', 19: '-146x386y1126z', 20: '-14x4y1199z', 21: '-168x747y923z', 22: '-171x388y1122z', 23: '-172x811y866z', 24: '-190x1102y433z', 25: '-196x388y1118z', 26: '-209x746y915z', 27: '-217x809y858z', 28: '-222x387y1113z', 29: '-248x1095y421z', 30: '-248x384y1109z', 31: '-251x743y908z', 32: '-261x805y850z', 33: '-26x7y1199z', 34: '-274x380y1104z', 35: '-293x737y900z', 36: '-2x1y1199z', 37: '-300x373y1099z', 38: '-306x1085y410z', 39: '-306x798y841z', 40: '-327x365y1094z', 41: '-335x729y892z', 42: '-351x789y832z', 43: '-353x355y1090z', 44: '-364x1071y399z', 45: '-36x354y1145z', 46: '-377x718y884z', 47: '-379x344y1084z', 48: '-38x8y1199z', 49: '-395x777y824z', 50: '-405x330y1079z', 51: '-418x705y875z', 52: '-421x1054y388z', 53: '-431x315y1074z', 54: '-440x762y815z', 55: '-456x298y1069z', 56: '-460x689y867z', 57: '-477x1034y376z', 58: '-480x279y1063z', 59: '-483x745y806z', 60: '-500x671y859z', 61: '-503x258y1057z', 62: '-50x8y1198z', 63: '-526x236y1052z', 64: '-526x725y797z', 65: '-532x1011y365z', 66: '-540x650y850z', 67: '-547x212y1046z', 68: '-567x186y1040z', 69: '-569x702y788z', 70: '-56x363y1142z', 71: '-579x627y842z', 72: '-586x159y1034z', 73: '-586x985y353z', 74: '-604x130y1028z', 75: '-610x677y779z', 76: '-617x602y833z', 77: '-620x100y1022z', 78: '-62x6y1198z', 79: '-635x68y1015z', 80: '-639x956y342z', 81: '-648x36y1009z', 82: '-650x650y770z', 83: '-654x574y825z', 84: '-659x2y1002z', 85: '-689x620y761z', 86: '-690x544y816z', 87: '-690x923y330z', 88: '-724x512y807z', 89: '-726x588y751z', 90: '-740x889y319z', 91: '-74x4y1197z', 92: '-757x478y798z', 93: '-762x554y742z', 94: '-77x371y1138z', 95: '-787x851y307z', 96: '-788x442y789z', 97: '-796x517y733z', 98: '-817x403y780z', 99: '-829x478y723z', 100: '-833x811y296z', 101: '-844x363y771z', 102: '-84x807y883z', 103: '-859x437y713z', 104: '-869x321y762z', 105: '-86x0y1196z', 106: '-876x768y284z', 107: '-887x395y704z', 108: '-892x277y752z', 109: '-912x232y743z', 110: '-913x350y694z', 111: '-918x723y272z', 112: '-930x185y734z', 113: '-937x304y684z', 114: '-946x137y724z', 115: '-956x675y261z', 116: '-958x256y674z', 117: '-959x88y714z', 118: '-977x207y664z', 119: '-993x157y654z', 120: '-993x625y249z', 121: '-99x377y1134z'}
 
                  
            else:
                print("\n (STEP 552F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 552F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 552F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               


        
    #=========
    # 1300 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five13004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 553F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE13004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five13004xi = queue2five.get()
                if fire2five13004xi is None:
                    fire2five13004xi = shot2five13004xi
                    print("\n (STEP 553F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE13004XI TO SHOT2FIVE13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 553F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE13004XI: ", fire2five13004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE13004XI:  {1: '-1008x201y795z', 2: '-1015x329y741z', 3: '-1025x149y784z', 4: '-1036x731y282z', 5: '-1038x278y731z', 6: '-1039x96y774z', 7: '-1058x225y720z', 8: '-1075x170y709z', 9: '-1075x678y270z', 10: '-108x409y1229z', 11: '-1090x114y698z', 12: '-1101x57y687z', 13: '-1110x0y676z', 14: '-1112x622y257z', 15: '-1131x45y822z', 16: '-1145x564y244z', 17: '-1175x504y231z', 18: '-1202x442y219z', 19: '-1225x380y206z', 20: '-1246x315y193z', 21: '-1262x250y180z', 22: '-1275x184y167z', 23: '-1285x117y154z', 24: '-1291x50y141z', 25: '-133x414y1224z', 26: '-138x808y1008z', 27: '-139x878y948z', 28: '-142x1199y481z', 29: '-159x418y1220z', 30: '-15x5y1299z', 31: '-182x809y1000z', 32: '-185x420y1215z', 33: '-186x879y939z', 34: '-205x1194y469z', 35: '-212x421y1211z', 36: '-227x808y992z', 37: '-235x877y930z', 38: '-240x419y1206z', 39: '-268x416y1201z', 40: '-269x1186y457z', 41: '-272x804y983z', 42: '-283x872y920z', 43: '-28x7y1299z', 44: '-297x411y1196z', 45: '-317x798y975z', 46: '-325x405y1191z', 47: '-332x1175y444z', 48: '-332x865y911z', 49: '-354x396y1186z', 50: '-363x789y966z', 51: '-380x854y902z', 52: '-383x385y1180z', 53: '-394x1160y432z', 54: '-39x384y1241z', 55: '-3x1y1299z', 56: '-408x778y957z', 57: '-411x372y1175z', 58: '-41x8y1299z', 59: '-428x841y892z', 60: '-439x358y1169z', 61: '-453x763y948z', 62: '-456x1142y420z', 63: '-467x341y1164z', 64: '-476x825y883z', 65: '-494x323y1158z', 66: '-498x747y940z', 67: '-517x1120y408z', 68: '-520x302y1152z', 69: '-524x807y873z', 70: '-542x727y930z', 71: '-545x280y1146z', 72: '-54x8y1298z', 73: '-570x256y1139z', 74: '-570x785y864z', 75: '-577x1095y395z', 76: '-585x705y921z', 77: '-593x229y1133z', 78: '-615x202y1127z', 79: '-616x761y854z', 80: '-61x393y1237z', 81: '-627x680y912z', 82: '-635x1067y383z', 83: '-635x172y1120z', 84: '-654x141y1114z', 85: '-661x734y844z', 86: '-669x652y903z', 87: '-672x108y1107z', 88: '-67x7y1298z', 89: '-688x74y1100z', 90: '-692x1035y370z', 91: '-702x39y1093z', 92: '-704x704y834z', 93: '-709x622y893z', 94: '-714x2y1086z', 95: '-746x672y824z', 96: '-747x590y884z', 97: '-748x1000y358z', 98: '-784x555y874z', 99: '-787x637y814z', 100: '-801x963y345z', 101: '-81x4y1297z', 102: '-820x518y865z', 103: '-826x600y804z', 104: '-84x402y1233z', 105: '-853x478y855z', 106: '-853x922y333z', 107: '-863x560y794z', 108: '-885x437y845z', 109: '-898x518y783z', 110: '-902x878y320z', 111: '-914x393y835z', 112: '-91x875y956z', 113: '-931x474y773z', 114: '-941x348y825z', 115: '-949x832y308z', 116: '-94x0y1296z', 117: '-961x428y762z', 118: '-966x300y815z', 119: '-988x251y805z', 120: '-989x379y752z', 121: '-994x783y295z'}
 
                  
            else:
                print("\n (STEP 553F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 553F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 553F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1400 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five14004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 554F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE14004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five14004xi = queue2five.get()
                if fire2five14004xi is None:
                    fire2five14004xi = shot2five14004xi
                    print("\n (STEP 554F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE14004XI TO SHOT2FIVE14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 554F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE14004XI: ", fire2five14004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE14004XI:  {1: '-1002x510y832z', 2: '-1014x374y889z', 3: '-101x0y1396z', 4: '-1022x896y331z', 5: '-1035x461y821z', 6: '-1040x324y878z', 7: '-1064x271y867z', 8: '-1065x409y810z', 9: '-1071x843y318z', 10: '-1086x216y856z', 11: '-1093x355y798z', 12: '-1104x160y845z', 13: '-1116x788y304z', 14: '-1118x299y787z', 15: '-1119x103y834z', 16: '-1140x242y775z', 17: '-1158x183y763z', 18: '-1158x730y290z', 19: '-116x440y1323z', 20: '-1174x123y752z', 21: '-1186x62y740z', 22: '-1195x0y728z', 23: '-1197x669y277z', 24: '-1212x48y881z', 25: '-1233x607y263z', 26: '-1265x543y249z', 27: '-1294x477y235z', 28: '-1320x409y222z', 29: '-1341x340y208z', 30: '-1359x269y194z', 31: '-1374x198y180z', 32: '-1384x126y166z', 33: '-1390x54y152z', 34: '-143x446y1319z', 35: '-148x870y1086z', 36: '-149x946y1020z', 37: '-153x1291y518z', 38: '-16x5y1399z', 39: '-171x450y1314z', 40: '-196x871y1077z', 41: '-199x452y1309z', 42: '-201x946y1011z', 43: '-221x1286y505z', 44: '-229x453y1304z', 45: '-244x870y1068z', 46: '-253x944y1001z', 47: '-259x452y1299z', 48: '-289x1278y492z', 49: '-289x448y1294z', 50: '-293x866y1059z', 51: '-305x939y991z', 52: '-30x8y1399z', 53: '-320x443y1288z', 54: '-342x860y1050z', 55: '-351x436y1283z', 56: '-357x1265y479z', 57: '-357x931y981z', 58: '-381x426y1277z', 59: '-391x850y1040z', 60: '-3x1y1399z', 61: '-409x920y971z', 62: '-412x415y1271z', 63: '-424x1249y465z', 64: '-42x413y1336z', 65: '-440x838y1031z', 66: '-443x401y1265z', 67: '-44x9y1399z', 68: '-461x906y961z', 69: '-473x385y1259z', 70: '-488x822y1021z', 71: '-491x1230y452z', 72: '-503x368y1253z', 73: '-513x889y951z', 74: '-532x348y1247z', 75: '-536x804y1012z', 76: '-557x1206y439z', 77: '-560x325y1240z', 78: '-564x869y941z', 79: '-584x783y1002z', 80: '-587x301y1234z', 81: '-58x9y1398z', 82: '-613x275y1227z', 83: '-614x846y930z', 84: '-621x1179y426z', 85: '-630x759y992z', 86: '-638x247y1220z', 87: '-65x423y1332z', 88: '-662x217y1213z', 89: '-664x819y920z', 90: '-676x732y982z', 91: '-684x1149y412z', 92: '-684x185y1206z', 93: '-705x152y1199z', 94: '-712x790y909z', 95: '-720x703y972z', 96: '-724x117y1192z', 97: '-73x8y1398z', 98: '-741x80y1185z', 99: '-745x1115y399z', 100: '-756x42y1177z', 101: '-758x758y898z', 102: '-763x670y962z', 103: '-768x2y1169z', 104: '-804x724y888z', 105: '-805x1077y385z', 106: '-805x635y952z', 107: '-845x598y942z', 108: '-847x686y877z', 109: '-863x1037y372z', 110: '-87x5y1397z', 111: '-883x558y931z', 112: '-889x646y866z', 113: '-90x432y1328z', 114: '-919x515y921z', 115: '-919x993y358z', 116: '-929x603y855z', 117: '-953x470y910z', 118: '-967x558y844z', 119: '-972x946y345z ', 120: '-984x424y900z', 121: '-99x942y1030z'}
 
                  
            else:
                print("\n (STEP 554F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 554F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 554F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1500 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five15004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 555F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE15004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five15004xi = queue2five.get()
                if fire2five15004xi is None:
                    fire2five15004xi = shot2five15004xi
                    print("\n (STEP 555F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE15004XI TO SHOT2FIVE15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 555F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE15004XI: ", fire2five15004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE15004XI:  {1: '-1021x504y975z', 2: '-1036x598y904z', 3: '-1041x1013y370z', 4: '-1055x454y964z', 5: '-106x1009y1104z', 6: '-1074x547y892z', 7: '-1086x401y952z', 8: '-108x0y1496z', 9: '-1096x960y355z', 10: '-1109x493y880z', 11: '-1115x347y941z', 12: '-1140x290y929z', 13: '-1142x438y868z', 14: '-1147x903y340z', 15: '-1163x232y917z', 16: '-1171x380y855z', 17: '-1183x172y905z', 18: '-1196x844y326z', 19: '-1198x321y843z', 20: '-1199x111y893z', 21: '-1221x259y831z', 22: '-1241x196y818z', 23: '-1241x782y311z', 24: '-124x471y1418z', 25: '-1258x132y805z', 26: '-1271x66y793z', 27: '-1280x0y780z', 28: '-1283x717y296z', 29: '-1293x51y940z', 30: '-1321x650y282z', 31: '-1356x582y267z', 32: '-1387x511y252z', 33: '-1414x438y237z', 34: '-1437x364y223z', 35: '-1457x289y208z', 36: '-1472x212y193z', 37: '-1483x135y178z', 38: '-1489x57y163z', 39: '-153x478y1413z', 40: '-159x932y1163z', 41: '-160x1013y1093z', 42: '-164x1383y555z', 43: '-17x5y1499z', 44: '-183x482y1408z', 45: '-210x934y1154z', 46: '-214x485y1403z', 47: '-215x1014y1083z', 48: '-237x1378y541z', 49: '-245x485y1397z', 50: '-262x933y1144z', 51: '-271x1012y1073z', 52: '-277x484y1392z', 53: '-310x1369y527z', 54: '-310x480y1386z', 55: '-314x928y1135z', 56: '-327x1006y1062z', 57: '-32x8y1499z', 58: '-343x475y1380z', 59: '-366x921y1125z', 60: '-376x467y1374z', 61: '-383x1356y513z', 62: '-383x998y1051z', 63: '-3x1y1499z', 64: '-409x457y1368z', 65: '-419x911y1115z', 66: '-439x986y1041z', 67: '-442x444y1362z', 68: '-455x1339y499z', 69: '-45x443y1432z', 70: '-471x897y1105z', 71: '-474x430y1356z', 72: '-47x10y1499z', 73: '-494x971y1030z', 74: '-507x413y1349z', 75: '-523x881y1094z', 76: '-526x1318y485z', 77: '-539x394y1343z', 78: '-550x952y1019z', 79: '-570x372y1336z', 80: '-575x861y1084z', 81: '-596x1293y470z', 82: '-600x349y1329z', 83: '-604x931y1008z', 84: '-625x839y1074z', 85: '-629x323y1322z', 86: '-62x10y1498z', 87: '-657x295y1315z', 88: '-658x906y997z', 89: '-665x1264y456z', 90: '-675x813y1063z', 91: '-684x265y1308z', 92: '-709x233y1300z', 93: '-70x454y1427z', 94: '-711x878y985z', 95: '-724x784y1053z', 96: '-733x1231y442z', 97: '-733x199y1293z', 98: '-755x163y1285z', 99: '-762x847y974z', 100: '-772x753y1042z', 101: '-775x125y1277z', 102: '-78x8y1497z', 103: '-794x86y1269z', 104: '-799x1195y427z', 105: '-810x45y1261z', 106: '-813x813y963z', 107: '-818x718y1031z', 108: '-823x2y1253z', 109: '-861x775y951z', 110: '-862x681y1020z', 111: '-863x1154y413z', 112: '-905x640y1009z', 113: '-908x735y939z', 114: '-925x1111y399z', 115: '-93x5y1497z', 116: '-946x598y998z', 117: '-953x692y928z', 118: '-97x463y1423z', 119: '-984x1064y384z', 120: '-985x552y987z', 121: '-995x646y916z'}
 
                  
            else:
                print("\n (STEP 555F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 555F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 555F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1600 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five16004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 556F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE16004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five16004xi = queue2five.get() 
                if fire2five16004xi is None:
                    fire2five16004xi = shot2five16004xi
                    print("\n (STEP 556F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE1600 4XI TO SHOT2FIVE1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 556F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE16004XI: ", fire2five16004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE16004XI:  {1: '-1009x637y1064z', 2: '-1016x738y990z', 3: '-103x494y1518z', 4: '-1050x1135y410z', 5: '-1050x589y1052z', 6: '-1062x689y977z', 7: '-1089x538y1040z', 8: '-1105x638y964z', 9: '-1111x1081y394z', 10: '-1125x484y1028z', 11: '-113x1077y1177z', 12: '-1145x583y951z', 13: '-1159x428y1016z', 14: '-115x0y1595z', 15: '-1169x1024y379z', 16: '-1183x526y939z', 17: '-1189x370y1003z', 18: '-1216x310y991z', 19: '-1218x467y926z', 20: '-1224x964y363z', 21: '-1241x247y978z', 22: '-1249x406y912z', 23: '-1262x183y966z', 24: '-1275x900y348z', 25: '-1277x342y899z', 26: '-1279x118y953z', 27: '-1302x276y886z', 28: '-1324x209y873z', 29: '-1324x834y332z', 30: '-133x503y1512z', 31: '-1342x141y859z', 32: '-1356x71y846z', 33: '-1366x0y832z', 34: '-1368x765y316z', 35: '-1374x54y999z', 36: '-1409x694y301z', 37: '-1446x620y285z', 38: '-1479x545y269z', 39: '-1508x467y253z', 40: '-1533x388y238z', 41: '-1554x308y222z', 42: '-1570x226y206z', 43: '-1582x144y190z', 44: '-1589x61y174z', 45: '-163x510y1507z', 46: '-170x994y1241z', 47: '-171x1081y1166z', 48: '-175x1475y592z', 49: '-195x514y1502z', 50: '-19x6y1599z', 51: '-224x996y1231z', 52: '-228x517y1496z', 53: '-230x1082y1155z', 54: '-253x1470y577z', 55: '-262x518y1490z', 56: '-279x995y1221z', 57: '-289x1079y1144z', 58: '-296x516y1484z', 59: '-330x513y1478z', 60: '-331x1460y562z', 61: '-335x990y1210z', 62: '-348x1074y1133z', 63: '-34x9y1599z', 64: '-365x507y1472z', 65: '-391x983y1200z', 66: '-3x1y1599z', 67: '-401x498y1466z', 68: '-408x1064y1122z', 69: '-408x1446y547z', 70: '-436x487y1459z', 71: '-447x972y1189z', 72: '-468x1052y1110z', 73: '-471x474y1453z', 74: '-485x1428y532z', 75: '-48x472y1527z', 76: '-503x957y1178z', 77: '-506x459y1446z', 78: '-50x11y1599z', 79: '-527x1036y1099z', 80: '-541x441y1439z', 81: '-558x940y1167z', 82: '-561x1405y517z', 83: '-575x420y1432z', 84: '-586x1016y1087z', 85: '-608x397y1425z', 86: '-613x919y1156z', 87: '-636x1379y502z', 88: '-640x372y1418z', 89: '-645x993y1075z', 90: '-667x895y1145z', 91: '-671x344y1410z', 92: '-67x10y1598z', 93: '-701x315y1402z', 94: '-702x966y1063z', 95: '-710x1348y487z', 96: '-720x867y1134z', 97: '-730x282y1395z', 98: '-757x248y1387z', 99: '-758x937y1051z', 100: '-75x484y1523z', 101: '-772x837y1123z', 102: '-782x1313y471z', 103: '-782x212y1379z', 104: '-806x174y1371z', 105: '-813x903y1039z', 106: '-823x803y1111z', 107: '-827x133y1362z', 108: '-83x9y1597z', 109: '-846x91y1354z', 110: '-852x1274y456z', 111: '-864x48y1345z', 112: '-867x867y1027z', 113: '-872x766y1100z', 114: '-878x2y1337z', 115: '-919x827y1014z', 116: '-920x1231y441z', 117: '-920x726y1088z', 118: '-965x683y1076z', 119: '-969x784y1002z', 120: '-986x1185y425z', 121: '-99x5y1596z'}
 
                  
            else:
                print("\n (STEP 556F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 556F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 556F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1700 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five17004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 557F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE17004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five17004xi = queue2five.get()
                if fire2five17004xi is None:
                    fire2five17004xi = shot2five17004xi
                    print("\n (STEP 557F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE17004XI TO SHOT2FIVE17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 557F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE17004XI: ", fire2five17004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE17004XI:  {1: '-1026x726y1144z', 2: '-1029x833y1065z', 3: '-1048x1259y452z', 4: '-106x6y1696z', 5: '-1072x677y1131z', 6: '-1080x784y1051z', 7: '-110x525y1612z', 8: '-1115x1206y435z', 9: '-1116x626y1118z', 10: '-1128x733y1038z', 11: '-1157x571y1105z', 12: '-1174x678y1025z', 13: '-1180x1149y419z', 14: '-1196x514y1092z', 15: '-120x1144y1251z', 16: '-1217x620y1011z', 17: '-1231x455y1079z', 18: '-123x0y1695z', 19: '-1242x1088y402z', 20: '-1257x559y997z', 21: '-1263x393y1066z', 22: '-1293x329y1053z', 23: '-1294x496y983z', 24: '-1300x1024y386z', 25: '-1318x263y1039z', 26: '-1327x431y969z', 27: '-1340x195y1026z', 28: '-1355x957y369z', 29: '-1357x363y955z', 30: '-1359x125y1012z', 31: '-1384x294y941z', 32: '-1406x886y353z', 33: '-1407x222y927z', 34: '-141x534y1607z', 35: '-1425x149y913z', 36: '-1440x75y898z', 37: '-1451x0y884z', 38: '-1454x813y336z', 39: '-1455x58y1057z', 40: '-1497x737y319z', 41: '-1537x659y303z', 42: '-1572x579y286z', 43: '-1603x497y269z', 44: '-1629x413y252z', 45: '-1651x327y236z', 46: '-1668x241y219z', 47: '-1680x153y202z', 48: '-1688x65y185z', 49: '-174x541y1601z', 50: '-180x1056y1319z', 51: '-181x1148y1239z', 52: '-186x1568y629z', 53: '-208x547y1596z', 54: '-20x6y1699z', 55: '-238x1058y1308z', 56: '-242x550y1590z', 57: '-244x1149y1227z', 58: '-269x1562y613z', 59: '-278x550y1584z', 60: '-297x1057y1297z', 61: '-307x1147y1216z', 62: '-314x549y1577z', 63: '-351x1552y597z', 64: '-351x545y1571z', 65: '-356x1052y1286z', 66: '-36x10y1699z', 67: '-370x1141y1204z', 68: '-388x538y1564z', 69: '-415x1044y1275z', 70: '-426x529y1558z', 71: '-434x1131y1192z', 72: '-434x1537y581z', 73: '-463x518y1551z', 74: '-475x1032y1263z', 75: '-497x1117y1180z', 76: '-4x1y1699z', 77: '-501x504y1544z', 78: '-515x1517y565z', 79: '-51x502y1623z', 80: '-534x1017y1252z', 81: '-538x487y1537z', 82: '-54x11y1699z', 83: '-560x1100y1167z', 84: '-574x468y1529z', 85: '-593x999y1240z', 86: '-596x1493y549z', 87: '-610x446y1522z', 88: '-623x1080y1155z', 89: '-646x422y1514z', 90: '-651x976y1229z', 91: '-676x1465y533z', 92: '-680x395y1506z', 93: '-685x1055y1142z', 94: '-709x951y1217z', 95: '-713x366y1498z', 96: '-71x11y1698z', 97: '-745x334y1490z', 98: '-746x1027y1130z', 99: '-754x1432y517z', 100: '-765x922y1205z', 101: '-775x300y1482z', 102: '-79x514y1618z', 103: '-804x264y1474z', 104: '-806x995y1117z', 105: '-821x889y1193z', 106: '-831x1395y501z', 107: '-831x225y1465z', 108: '-856x184y1456z', 109: '-864x960y1104z', 110: '-875x853y1181z', 111: '-879x142y1447z', 112: '-88x9y1697z', 113: '-899x97y1438z', 114: '-905x1354y484z', 115: '-918x51y1429z', 116: '-921x921y1091z', 117: '-927x814y1169z', 118: '-933x2y1420z', 119: '-976x879y1078z', 120: '-977x772y1156z', 121: '-978x1308y468z'}
 
                  
            else:
                print("\n (STEP 557F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 557F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 557F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1800 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five18004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 558F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE18004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five18004xi = queue2five.get()
                if fire2five18004xi is None:
                    fire2five18004xi = shot2five18004xi
                    print("\n (STEP 558F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE18004XI TO SHOT2FIVE18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 558F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE18004XI: ", fire2five18004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE18004XI:  {1: '-1034x931y1141z', 2: '-1035x1385y496z', 3: '-1035x817y1224z', 4: '-1086x769y1211z', 5: '-1090x882y1127z', 6: '-1110x1333y478z', 7: '-112x6y1796z', 8: '-1135x717y1198z', 9: '-1143x831y1113z', 10: '-116x556y1707z', 11: '-1181x1277y461z', 12: '-1182x663y1184z', 13: '-1195x776y1099z', 14: '-1225x605y1170z', 15: '-1243x717y1085z', 16: '-1250x1216y444z', 17: '-1266x545y1157z', 18: '-127x1211y1324z', 19: '-1289x656y1070z', 20: '-1303x482y1143z', 21: '-130x0y1795z', 22: '-1315x1152y426z', 23: '-1331x592y1056z', 24: '-1338x416y1129z', 25: '-1369x348y1115z', 26: '-1370x526y1041z', 27: '-1377x1084y409z', 28: '-1396x278y1101z', 29: '-1405x456y1027z', 30: '-1419x206y1086z', 31: '-1435x1013y391z', 32: '-1437x385y1012z', 33: '-1439x133y1072z', 34: '-1465x311y997z', 35: '-1489x235y982z', 36: '-1489x938y374z', 37: '-149x566y1702z', 38: '-1509x158y967z', 39: '-1525x79y951z', 40: '-1535x61y1116z', 41: '-1537x0y936z', 42: '-1539x861y356z', 43: '-1585x781y338z', 44: '-1627x698y321z', 45: '-1664x613y303z', 46: '-1697x526y285z', 47: '-1725x437y267z', 48: '-1748x346y249z', 49: '-1766x255y232z', 50: '-1779x162y214z', 51: '-1787x69y196z', 52: '-184x573y1696z', 53: '-191x1119y1396z', 54: '-192x1216y1312z', 55: '-197x1660y666z', 56: '-21x7y1799z', 57: '-220x579y1689z', 58: '-252x1121y1385z', 59: '-257x582y1683z', 60: '-258x1217y1300z', 61: '-285x1654y649z', 62: '-294x583y1677z', 63: '-314x1119y1373z', 64: '-325x1214y1287z', 65: '-333x581y1670z', 66: '-372x1643y632z', 67: '-372x577y1663z', 68: '-377x1114y1362z', 69: '-392x1208y1275z', 70: '-39x10y1799z', 71: '-411x570y1656z', 72: '-440x1105y1350z', 73: '-451x560y1649z', 74: '-459x1197y1262z', 75: '-459x1627y616z', 76: '-491x548y1642z', 77: '-4x1y1799z', 78: '-503x1093y1338z', 79: '-527x1183y1249z', 80: '-530x533y1635z', 81: '-546x1607y599z', 82: '-54x531y1718z', 83: '-565x1077y1326z', 84: '-569x516y1627z', 85: '-57x12y1799z', 86: '-593x1165y1236z', 87: '-608x496y1619z', 88: '-628x1057y1313z', 89: '-631x1581y582z', 90: '-646x473y1611z', 91: '-660x1143y1223z', 92: '-684x447y1603z', 93: '-690x1034y1301z', 94: '-716x1551y565z', 95: '-720x419y1595z', 96: '-725x1117y1209z', 97: '-750x1007y1289z', 98: '-755x388y1586z', 99: '-75x12y1798z', 100: '-789x354y1578z', 101: '-790x1087y1196z', 102: '-799x1517y547z', 103: '-810x976y1276z', 104: '-821x318y1569z', 105: '-84x545y1713z', 106: '-851x279y1560z', 107: '-853x1054y1183z', 108: '-869x941y1263z', 109: '-880x1477y530z', 110: '-880x238y1551z', 111: '-906x195y1542z', 112: '-915x1016y1169z', 113: '-926x903y1250z', 114: '-931x150y1533z', 115: '-93x10y1797z', 116: '-952x103y1523z', 117: '-959x1434y513z', 118: '-972x54y1513z', 119: '-975x975y1155z', 120: '-981x862y1237z', 121: '-988x3y1504z'}
 
                  
            else:
                print("\n (STEP 558F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 558F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 558F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 1900 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five19004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 559F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE19004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five19004xi = queue2five.get()
                if fire2five19004xi is None:
                    fire2five19004xi = shot2five19004xi
                    print("\n (STEP 559F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE19004XI TO SHOT2FIVE19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 559F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE19004XI: ", fire2five19004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE19004XI:  {1: '-1005x108y1608z', 2: '-1012x1513y542z', 3: '-1026x57y1598z', 4: '-1029x1029y1219z', 5: '-1036x910y1306z', 6: '-1043x3y1587z', 7: '-1091x982y1205z', 8: '-1092x862y1292z', 9: '-1093x1462y523z', 10: '-1147x811y1278z', 11: '-1150x931y1190z', 12: '-1171x1407y505z', 13: '-118x6y1896z', 14: '-1198x757y1264z', 15: '-1207x877y1175z', 16: '-122x587y1802z', 17: '-1247x1347y487z', 18: '-1247x699y1250z', 19: '-1261x819y1160z', 20: '-1293x639y1235z', 21: '-1312x757y1145z', 22: '-1319x1284y468z', 23: '-1336x575y1221z', 24: '-134x1279y1398z', 25: '-1360x693y1130z', 26: '-1376x508y1206z', 27: '-137x0y1895z', 28: '-1388x1216y450z', 29: '-1405x625y1115z', 30: '-1412x439y1192z', 31: '-1445x368y1177z', 32: '-1446x555y1099z', 33: '-1453x1144y431z', 34: '-1473x294y1162z', 35: '-1484x482y1084z', 36: '-1498x218y1147z', 37: '-1514x1069y413z', 38: '-1517x406y1068z', 39: '-1519x140y1132z', 40: '-1547x328y1052z', 41: '-1572x249y1036z', 42: '-1572x991y394z', 43: '-158x597y1796z', 44: '-1593x167y1020z', 45: '-1610x84y1004z', 46: '-1616x64y1175z', 47: '-1622x0y988z', 48: '-1625x909y376z', 49: '-1673x824y357z', 50: '-1718x737y338z', 51: '-1757x647y320z', 52: '-1791x555y301z', 53: '-1821x461y282z', 54: '-1845x366y263z', 55: '-1864x269y245z', 56: '-1878x171y226z', 57: '-1887x73y207z', 58: '-194x605y1790z', 59: '-202x1181y1474z', 60: '-203x1284y1385z', 61: '-208x1752y703z', 62: '-22x7y1899z', 63: '-232x611y1783z', 64: '-266x1183y1462z', 65: '-271x614y1777z', 66: '-273x1285y1372z', 67: '-300x1746y685z', 68: '-311x615y1770z', 69: '-332x1181y1450z', 70: '-343x1282y1359z', 71: '-351x613y1763z', 72: '-392x609y1756z', 73: '-393x1734y668z', 74: '-398x1176y1437z', 75: '-414x1275y1345z', 76: '-41x11y1899z', 77: '-434x602y1748z', 78: '-464x1167y1425z', 79: '-476x592y1741z', 80: '-485x1264y1332z', 81: '-485x1718y650z', 82: '-4x1y1899z', 83: '-518x579y1733z', 84: '-531x1154y1412z', 85: '-556x1249y1318z', 86: '-560x563y1725z', 87: '-576x1696y632z', 88: '-57x561y1814z', 89: '-597x1137y1399z', 90: '-601x545y1717z', 91: '-60x13y1898z', 92: '-626x1230y1305z', 93: '-642x523y1709z', 94: '-663x1116y1386z', 95: '-666x1669y614z', 96: '-682x499y1701z', 97: '-696x1207y1291z', 98: '-722x472y1692z', 99: '-728x1091y1373z', 100: '-755x1637y596z', 101: '-760x442y1683z', 102: '-766x1179y1277z', 103: '-792x1063y1360z', 104: '-797x409y1675z', 105: '-79x13y1898z', 106: '-833x374y1666z', 107: '-834x1148y1263z', 108: '-843x1601y578z', 109: '-855x1030y1347z', 110: '-867x336y1656z', 111: '-899x295y1647z', 112: '-89x575y1808z', 113: '-901x1112y1248z', 114: '-917x994y1333z', 115: '-928x1559y560z', 116: '-929x252y1637z', 117: '-957x206y1628z', 118: '-966x1073y1234z', 119: '-978x954y1320z', 120: '-982x158y1618z', 121: '-99x10y1897z'}
 
                  
            else:
                print("\n (STEP 559F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 559F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 559F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               
      

        
    #=========
    # 2000 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five20004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 560F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE20004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five20004xi = queue2five.get()
                if fire2five20004xi is None:
                    fire2five20004xi = shot2five20004xi
                    print("\n (STEP 560F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE20004XI TO SHOT2FIVE20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 560F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE20004XI: ", fire2five20004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE20004XI:  {1: '-1007x217y1713z', 2: '-1017x1129y1299z', 3: '-1029x1004y1389z', 4: '-1034x167y1703z', 5: '-104x11y1997z', 6: '-1058x114y1692z', 7: '-1065x1593y570z', 8: '-1080x60y1682z', 9: '-1084x1084y1284z', 10: '-1091x958y1375z', 11: '-1098x3y1671z', 12: '-1148x1034y1268z', 13: '-1150x1539y551z', 14: '-1150x908y1360z', 15: '-1207x854y1346z', 16: '-1211x980y1253z', 17: '-1233x1481y532z', 18: '-124x7y1996z', 19: '-1261x797y1331z', 20: '-1271x923y1237z', 21: '-129x618y1897z', 22: '-1312x1418y512z', 23: '-1313x736y1316z', 24: '-1327x862y1221z', 25: '-1361x672y1301z', 26: '-1381x797y1205z', 27: '-1388x1351y493z', 28: '-1407x605y1285z', 29: '-141x1346y1472z', 30: '-1432x729y1189z', 31: '-1448x535y1270z', 32: '-144x0y1994z', 33: '-1461x1280y474z', 34: '-1479x658y1173z', 35: '-1486x462y1254z', 36: '-1521x387y1239z', 37: '-1522x584y1157z', 38: '-1530x1205y454z', 39: '-1551x309y1223z', 40: '-1562x507y1141z', 41: '-1577x229y1207z', 42: '-1594x1125y435z', 43: '-1597x428y1124z', 44: '-1599x148y1191z', 45: '-1628x346y1108z', 46: '-1655x1043y415z', 47: '-1655x262y1091z', 48: '-166x629y1891z', 49: '-1677x176y1074z', 50: '-1695x88y1057z', 51: '-1697x67y1234z', 52: '-1707x0y1040z', 53: '-1710x957y395z', 54: '-1762x867y376z', 55: '-1808x776y356z', 56: '-1849x681y337z', 57: '-1886x584y317z', 58: '-1917x485y297z', 59: '-1942x385y277z', 60: '-1962x283y257z', 61: '-1977x180y238z', 62: '-1986x77y218z', 63: '-204x637y1884z', 64: '-212x1243y1551z', 65: '-214x1351y1458z', 66: '-219x1844y740z', 67: '-23x7y1999z', 68: '-244x643y1877z', 69: '-280x1245y1539z', 70: '-285x647y1870z', 71: '-287x1352y1444z', 72: '-316x1838y721z', 73: '-327x647y1863z', 74: '-349x1244y1526z', 75: '-361x1349y1430z', 76: '-370x646y1856z', 77: '-413x641y1848z', 78: '-414x1825y703z', 79: '-419x1238y1513z', 80: '-436x1342y1416z', 81: '-43x11y1999z', 82: '-457x633y1840z', 83: '-489x1228y1500z', 84: '-4x1y1999z', 85: '-501x623y1833z', 86: '-510x1331y1402z', 87: '-510x1808y684z', 88: '-545x609y1824z', 89: '-559x1215y1486z', 90: '-585x1315y1388z', 91: '-589x593y1816z', 92: '-607x1785y665z', 93: '-60x590y1909z', 94: '-628x1197y1473z', 95: '-633x573y1808z', 96: '-63x13y1998z', 97: '-659x1295y1373z', 98: '-676x551y1799z', 99: '-698x1175y1459z', 100: '-702x1757y646z', 101: '-718x525y1790z', 102: '-733x1270y1359z', 103: '-760x497y1781z', 104: '-766x1149y1446z', 105: '-795x1724y627z', 106: '-800x465y1772z', 107: '-806x1241y1344z', 108: '-834x1119y1432z', 109: '-839x431y1763z', 110: '-83x13y1998z', 111: '-877x393y1753z', 112: '-878x1208y1329z', 113: '-887x1685y608z', 114: '-900x1084y1418z', 115: '-912x353y1744z', 116: '-93x605y1903z', 117: '-946x310y1734z', 118: '-948x1171y1314z', 119: '-966x1046y1404z', 120: '-977x1641y589z', 121: '-978x265y1724z'}
 
                  
            else:
                print("\n (STEP 560F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 560F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 560F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2100 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five21004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 561F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE21004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five21004xi = queue2five.get()
                if fire2five21004xi is None:
                    fire2five21004xi = shot2five21004xi
                    print("\n (STEP 561F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE21004XI TO SHOT2FIVE21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 561F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE21004XI: ", fire2five21004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE21004XI:  {1: '-1014x1098y1474z', 2: '-1026x1724y619z', 3: '-1027x278y1810z', 4: '-1057x228y1799z', 5: '-1068x1186y1364z', 6: '-1080x1054y1459z', 7: '-1086x175y1788z', 8: '-109x12y2097z', 9: '-1111x120y1777z', 10: '-1118x1673y599z', 11: '-1134x63y1766z', 12: '-1138x1138y1348z', 13: '-1145x1006y1444z', 14: '-1153x3y1754z', 15: '-1206x1086y1332z', 16: '-1207x953y1428z', 17: '-1208x1616y578z', 18: '-1267x897y1413z', 19: '-1271x1029y1315z', 20: '-1295x1555y558z', 21: '-131x7y2095z', 22: '-1324x837y1397z', 23: '-1334x969y1299z', 24: '-135x649y1992z', 25: '-1378x1489y538z', 26: '-1379x773y1381z', 27: '-1394x905y1282z', 28: '-1429x706y1366z', 29: '-1450x837y1266z', 30: '-1458x1419y518z', 31: '-1477x636y1350z', 32: '-148x1413y1545z', 33: '-1503x766y1249z', 34: '-1521x562y1333z', 35: '-152x0y2094z', 36: '-1534x1344y497z', 37: '-1553x691y1232z', 38: '-1561x486y1317z', 39: '-1597x406y1301z', 40: '-1598x613y1215z', 41: '-1606x1265y477z', 42: '-1629x325y1284z', 43: '-1640x532y1198z', 44: '-1656x241y1267z', 45: '-1674x1182y456z', 46: '-1677x449y1180z', 47: '-1679x155y1251z', 48: '-1710x363y1163z', 49: '-1737x1095y436z', 50: '-1738x275y1145z', 51: '-174x660y1985z', 52: '-1761x185y1128z', 53: '-1778x71y1293z', 54: '-1779x93y1110z', 55: '-1793x0y1092z', 56: '-1796x1004y415z', 57: '-1850x911y395z', 58: '-1898x814y374z', 59: '-1942x715y353z', 60: '-1980x613y333z', 61: '-2012x510y312z', 62: '-2039x404y291z', 63: '-2061x297y270z', 64: '-2076x189y249z', 65: '-2085x81y229z', 66: '-215x669y1978z', 67: '-223x1305y1629z', 68: '-224x1419y1531z', 69: '-230x1937y777z', 70: '-24x8y2099z', 71: '-256x675y1971z', 72: '-294x1307y1616z', 73: '-299x679y1964z', 74: '-301x1420y1516z', 75: '-332x1929y758z', 76: '-343x680y1956z', 77: '-367x1306y1602z', 78: '-379x1417y1502z', 79: '-388x678y1949z', 80: '-434x1917y738z', 81: '-434x673y1941z', 82: '-440x1300y1589z', 83: '-458x1409y1487z', 84: '-45x12y2099z', 85: '-480x665y1933z', 86: '-4x1y2099z', 87: '-513x1290y1575z', 88: '-526x654y1924z', 89: '-536x1397y1472z', 90: '-536x1898y718z', 91: '-572x640y1916z', 92: '-587x1275y1561z', 93: '-614x1381y1457z', 94: '-619x622y1907z', 95: '-637x1874y698z', 96: '-63x620y2005z', 97: '-660x1257y1547z', 98: '-664x602y1898z', 99: '-66x14y2098z', 100: '-692x1359y1442z', 101: '-710x578y1889z', 102: '-732x1234y1532z', 103: '-737x1845y679z', 104: '-754x552y1880z', 105: '-770x1334y1427z', 106: '-798x522y1870z', 107: '-805x1206y1518z', 108: '-835x1810y659z', 109: '-840x488y1861z', 110: '-846x1303y1411z', 111: '-876x1175y1503z', 112: '-881x452y1851z', 113: '-88x14y2098z', 114: '-920x413y1841z', 115: '-922x1269y1396z', 116: '-932x1769y639z', 117: '-945x1139y1489z', 118: '-958x371y1831z', 119: '-98x635y1998z', 120: '-993x326y1820z', 121: '-996x1229y1380z'}
 
                  
            else:
                print("\n (STEP 561F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 561F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 561F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2200 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five22004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 562F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE22004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five22004xi = queue2five.get()
                if fire2five22004xi is None:
                    fire2five22004xi = shot2five22004xi
                    print("\n (STEP 562F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE22004XI TO SHOT2FIVE22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 562F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE22004XI: ", fire2five22004xi) 
                    #  GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE22004XI:  {1: '-1004x389y1918z', 2: '-103x666y2094z', 3: '-1041x341y1907z', 4: '-1043x1288y1446z', 5: '-1062x1151y1544z', 6: '-1075x1806y648z', 7: '-1076x292y1896z', 8: '-1108x239y1885z', 9: '-1119x1242y1429z', 10: '-1132x1104y1528z', 11: '-1137x183y1873z', 12: '-114x12y2196z', 13: '-1164x126y1862z', 14: '-1172x1752y627z', 15: '-1188x66y1850z', 16: '-1192x1192y1412z', 17: '-1200x1054y1512z', 18: '-1208x3y1838z', 19: '-1263x1137y1395z', 20: '-1265x999y1496z', 21: '-1266x1693y606z', 22: '-1328x940y1480z', 23: '-1332x1078y1378z', 24: '-1356x1629y585z', 25: '-137x7y2195z', 26: '-1387x877y1464z', 27: '-1398x1015y1361z', 28: '-142x680y2087z', 29: '-1444x1560y564z', 30: '-1444x810y1447z', 31: '-1460x948y1343z', 32: '-1498x740y1431z', 33: '-1519x877y1326z', 34: '-1527x1486y542z', 35: '-1547x666y1414z', 36: '-155x1481y1619z', 37: '-1575x802y1308z', 38: '-1593x589y1397z', 39: '-159x0y2194z', 40: '-1607x1408y521z', 41: '-1627x724y1291z', 42: '-1635x509y1380z', 43: '-1673x426y1363z', 44: '-1674x642y1273z', 45: '-1683x1325y500z', 46: '-1706x340y1345z', 47: '-1718x558y1255z', 48: '-1735x252y1328z', 49: '-1754x1238y478z', 50: '-1757x470y1237z', 51: '-1759x162y1310z', 52: '-1791x380y1218z', 53: '-1820x1147y457z', 54: '-1820x288y1200z', 55: '-183x692y2080z', 56: '-1845x193y1181z', 57: '-1859x74y1351z', 58: '-1864x97y1163z', 59: '-1878x0y1144z', 60: '-1881x1052y435z', 61: '-1938x954y414z', 62: '-1989x853y392z', 63: '-2034x749y370z', 64: '-2074x643y349z', 65: '-2108x534y327z', 66: '-2137x424y305z', 67: '-2159x312y283z', 68: '-2175x198y261z', 69: '-2185x84y240z', 70: '-225x701y2072z', 71: '-234x1367y1707z', 72: '-235x1486y1604z', 73: '-241x2029y814z', 74: '-269x707y2065z', 75: '-26x8y2199z', 76: '-309x1370y1693z', 77: '-314x711y2057z', 78: '-316x1488y1589z', 79: '-348x2021y794z', 80: '-360x712y2049z', 81: '-384x1368y1679z', 82: '-397x1484y1573z', 83: '-407x710y2041z', 84: '-454x705y2033z', 85: '-455x2008y773z', 86: '-461x1362y1664z', 87: '-479x1476y1558z', 88: '-47x13y2199z', 89: '-503x697y2025z', 90: '-538x1351y1650z', 91: '-551x685y2016z', 92: '-562x1464y1542z', 93: '-562x1989y752z', 94: '-5x2y2199z', 95: '-600x670y2007z', 96: '-614x1336y1635z', 97: '-644x1446y1527z', 98: '-648x652y1998z', 99: '-667x1964y732z', 100: '-66x649y2100z', 101: '-691x1316y1620z', 102: '-696x631y1989z', 103: '-69x15y2198z', 104: '-725x1424y1511z', 105: '-744x606y1979z', 106: '-767x1292y1605z', 107: '-772x1933y711z', 108: '-790x578y1969z', 109: '-806x1397y1495z', 110: '-836x546y1959z', 111: '-843x1264y1590z', 112: '-875x1896y690z', 113: '-880x512y1949z', 114: '-887x1366y1478z', 115: '-917x1230y1575z', 116: '-923x474y1939z', 117: '-92x15y2198z', 118: '-964x433y1929z', 119: '-966x1329y1462z', 120: '-976x1854y669z', 121: '-991x1193y1560z'}
 
                  
            else:
                print("\n (STEP 562F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 562F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 562F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2300 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five23004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 563F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE23004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five23004xi = queue2five.get()
                if fire2five23004xi is None:
                    fire2five23004xi = shot2five23004xi
                    print("\n (STEP 563F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE23004XI TO SHOT2FIVE23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 563F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE23004XI: ", fire2five23004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE23004XI:  {1: '-1008x452y2016z', 2: '-1009x1390y1528z', 3: '-1020x1938y700z', 4: '-1036x1247y1630z', 5: '-1049x406y2005z', 6: '-1088x357y1994z', 7: '-108x696y2189z', 8: '-1090x1347y1511z', 9: '-1110x1203y1614z', 10: '-1124x1888y678z', 11: '-1124x305y1982z', 12: '-1158x250y1970z', 13: '-1169x1299y1494z', 14: '-1183x1154y1598z', 15: '-1189x192y1959z', 16: '-120x13y2296z', 17: '-1217x131y1946z', 18: '-1225x1832y656z', 19: '-1242x69y1934z', 20: '-1246x1246y1476z', 21: '-1254x1101y1581z', 22: '-1263x4y1921z', 23: '-1321x1189y1459z', 24: '-1322x1044y1564z', 25: '-1323x1770y634z', 26: '-1388x982y1547z', 27: '-1393x1128y1441z', 28: '-1418x1703y611z', 29: '-143x8y2295z', 30: '-1451x917y1530z', 31: '-1461x1062y1423z', 32: '-148x711y2182z', 33: '-1509x1631y589z', 34: '-1510x847y1513z', 35: '-1527x991y1405z', 36: '-1566x773y1496z', 37: '-1589x917y1386z', 38: '-1597x1554y567z', 39: '-1618x696y1478z', 40: '-162x1548y1692z', 41: '-1647x839y1368z', 42: '-1666x616y1460z', 43: '-166x0y2293z', 44: '-1680x1472y545z', 45: '-1701x757y1349z', 46: '-1709x532y1443z', 47: '-1749x445y1425z', 48: '-1751x672y1331z', 49: '-1759x1385y522z', 50: '-1784x356y1407z', 51: '-1796x583y1312z', 52: '-1814x264y1388z', 53: '-1833x1294y500z', 54: '-1837x492y1293z', 55: '-1839x170y1370z', 56: '-1872x398y1274z', 57: '-1903x1199y477z', 58: '-1903x301y1255z', 59: '-191x723y2174z', 60: '-1929x202y1235z', 61: '-1940x77y1410z', 62: '-1949x102y1216z', 63: '-1964x0y1196z', 64: '-1967x1100y455z', 65: '-2026x998y432z', 66: '-2079x892y410z', 67: '-2127x783y387z', 68: '-2169x672y364z', 69: '-2204x558y342z', 70: '-2234x443y319z', 71: '-2257x326y296z', 72: '-2274x207y273z', 73: '-2284x88y250z', 74: '-235x733y2167z', 75: '-244x1429y1784z', 76: '-246x1554y1677z', 77: '-252x2121y851z', 78: '-27x9y2299z', 79: '-281x740y2159z', 80: '-323x1432y1770z', 81: '-328x744y2151z', 82: '-330x1555y1661z', 83: '-364x2113y830z', 84: '-376x745y2143z', 85: '-402x1430y1755z', 86: '-415x1552y1645z', 87: '-425x742y2134z', 88: '-475x737y2125z', 89: '-476x2099y808z', 90: '-482x1424y1740z', 91: '-49x13y2299z', 92: '-501x1543y1629z', 93: '-525x728y2117z', 94: '-562x1413y1725z', 95: '-576x716y2108z', 96: '-587x1530y1612z', 97: '-587x2079y787z', 98: '-5x2y2299z', 99: '-627x701y2098z', 100: '-642x1397y1710z', 101: '-673x1512y1596z', 102: '-678x682y2089z', 103: '-698x2053y765z', 104: '-69x679y2196z', 105: '-723x1376y1694z', 106: '-728x659y2079z', 107: '-73x15y2298z', 108: '-758x1489y1579z', 109: '-777x633y2069z', 110: '-802x1351y1678z', 111: '-807x2021y743z', 112: '-826x604y2059z', 113: '-843x1461y1563z', 114: '-874x571y2049z', 115: '-881x1321y1663z', 116: '-915x1982y722z', 117: '-920x535y2038z', 118: '-927x1428y1546z', 119: '-959x1286y1647z', 120: '-965x495y2027z', 121: '-96x15y2297z'}
 
                  
            else:
                print("\n (STEP 563F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 563F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 563F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2400 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five24004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 564F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE24004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five24004xi = queue2five.get()
                
                if fire2five24004xi is None:
                    fire2five24004xi = shot2five24004xi
                    print("\n (STEP 564F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE24004XI TO SHOT2FIVE24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 564F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE24004XI: ", fire2five24004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE24004XI:  {1: '-1001x1342y1718z', 2: '-1007x517y2115z', 3: '-100x16y2397z', 4: '-1052x472y2104z', 5: '-1053x1450y1595z', 6: '-1065x2022y730z', 7: '-1081x1301y1701z', 8: '-1095x424y2092z', 9: '-112x726y2284z', 10: '-1135x373y2080z', 11: '-1138x1405y1577z', 12: '-1159x1255y1684z', 13: '-1173x1970y707z', 14: '-1173x318y2068z', 15: '-1209x261y2056z', 16: '-1220x1355y1559z', 17: '-1235x1205y1667z', 18: '-1241x200y2044z', 19: '-125x13y2396z', 20: '-1270x137y2031z', 21: '-1278x1912y684z', 22: '-1296x72y2018z', 23: '-1301x1301y1540z', 24: '-1309x1149y1650z', 25: '-1318x4y2005z', 26: '-1378x1241y1522z', 27: '-1380x1089y1632z', 28: '-1381x1847y661z', 29: '-1448x1025y1615z', 30: '-1453x1177y1503z', 31: '-1480x1778y638z', 32: '-149x8y2395z', 33: '-1514x956y1597z', 34: '-1525x1108y1485z', 35: '-155x742y2277z', 36: '-1575x1702y615z', 37: '-1576x884y1579z', 38: '-1593x1034y1466z', 39: '-1634x807y1561z', 40: '-1658x957y1447z', 41: '-1666x1622y592z', 42: '-1688x726y1542z', 43: '-169x1615y1766z', 44: '-1718x875y1427z', 45: '-1738x642y1524z', 46: '-173x0y2393z', 47: '-1753x1536y568z', 48: '-1775x790y1408z', 49: '-1784x555y1505z', 50: '-1825x465y1487z', 51: '-1827x701y1389z', 52: '-1836x1446y545z', 53: '-1861x371y1468z', 54: '-1874x609y1369z', 55: '-1893x275y1449z', 56: '-1913x1351y522z', 57: '-1916x513y1349z', 58: '-1919x177y1429z', 59: '-1954x415y1329z', 60: '-1986x1251y498z', 61: '-1986x314y1309z', 62: '-199x755y2269z', 63: '-2013x211y1289z', 64: '-2021x80y1469z', 65: '-2034x106y1269z', 66: '-2049x0y1248z', 67: '-2053x1148y475z', 68: '-2114x1041y451z', 69: '-2170x931y428z', 70: '-2219x817y404z', 71: '-2263x701y380z', 72: '-2300x583y357z', 73: '-2331x462y333z', 74: '-2355x340y309z', 75: '-2373x216y285z', 76: '-2383x92y261z', 77: '-245x765y2261z', 78: '-255x1492y1862z', 79: '-256x1622y1750z', 80: '-263x2213y888z', 81: '-28x9y2399z', 82: '-293x772y2253z', 83: '-337x1494y1847z', 84: '-342x776y2244z', 85: '-345x1623y1733z', 86: '-380x2205y866z', 87: '-393x777y2236z', 88: '-419x1492y1831z', 89: '-434x1619y1716z', 90: '-444x775y2227z', 91: '-496x2191y843z', 92: '-496x769y2218z', 93: '-503x1486y1816z', 94: '-523x1611y1700z', 95: '-52x14y2399z', 96: '-548x760y2209z', 97: '-587x1474y1800z', 98: '-5x2y2399z', 99: '-601x747y2199z', 100: '-613x1597y1683z', 101: '-613x2170y821z', 102: '-654x731y2189z', 103: '-670x1458y1784z', 104: '-702x1578y1665z', 105: '-707x711y2180z', 106: '-728x2142y798z', 107: '-72x708y2291z', 108: '-754x1436y1768z', 109: '-759x688y2169z', 110: '-76x16y2398z', 111: '-791x1554y1648z', 112: '-811x661y2159z', 113: '-837x1410y1751z', 114: '-842x2108y776z', 115: '-862x630y2148z', 116: '-880x1524y1631z', 117: '-912x596y2138z', 118: '-920x1379y1735z', 119: '-954x2068y753z', 120: '-960x558y2127z', 121: '-967x1490y1613z'}

                  
            else:
                print("\n (STEP 564F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 564F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 564F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2500 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five25004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 565F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE25004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five25004xi = queue2five.get()
                
                if fire2five25004xi is None:
                    fire2five25004xi = shot2five25004xi
                    print("\n (STEP 565F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE25004XI TO SHOT2FIVE25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 565F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE25004XI: ", fire2five25004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE25004XI:  {1: '-1000x582y2215z', 2: '-1008x1552y1680z', 3: '-1042x1398y1790z', 4: '-1049x538y2204z', 5: '-104x17y2497z', 6: '-1096x492y2192z', 7: '-1097x1510y1661z', 8: '-1109x2106y761z', 9: '-1126x1356y1772z', 10: '-1141x442y2180z', 11: '-117x757y2379z', 12: '-1183x388y2167z', 13: '-1185x1464y1643z', 14: '-1207x1308y1755z', 15: '-1222x2052y737z', 16: '-1222x331y2155z', 17: '-1259x271y2142z', 18: '-1271x1412y1624z', 19: '-1286x1255y1737z', 20: '-1293x209y2129z', 21: '-130x14y2496z', 22: '-1323x143y2116z', 23: '-1332x1991y713z', 24: '-1350x75y2102z', 25: '-1355x1355y1605z', 26: '-1363x1197y1719z', 27: '-1373x4y2089z', 28: '-1436x1293y1585z', 29: '-1438x1135y1700z', 30: '-1438x1924y689z', 31: '-1509x1068y1682z', 32: '-1514x1226y1566z', 33: '-1541x1852y665z', 34: '-155x8y2495z', 35: '-1577x996y1663z', 36: '-1588x1154y1546z', 37: '-161x773y2371z', 38: '-1641x1773y641z', 39: '-1641x920y1645z', 40: '-1659x1077y1527z', 41: '-1702x841y1626z', 42: '-1727x997y1507z', 43: '-1736x1689y616z', 44: '-1758x757y1607z', 45: '-176x1683y1840z', 46: '-1790x912y1487z', 47: '-1811x669y1587z', 48: '-181x0y2493z', 49: '-1826x1600y592z', 50: '-1849x823y1467z', 51: '-1858x578y1568z', 52: '-1901x484y1549z', 53: '-1903x730y1446z', 54: '-1912x1506y568z', 55: '-1939x387y1529z', 56: '-1952x634y1426z', 57: '-1972x287y1509z', 58: '-1993x1407y543z', 59: '-1996x535y1405z', 60: '-1999x185y1489z', 61: '-2035x432y1385z', 62: '-2068x1303y519z', 63: '-2069x327y1364z', 64: '-208x786y2363z', 65: '-2096x220y1343z', 66: '-2101x84y1528z', 67: '-2118x111y1322z', 68: '-2134x0y1300z', 69: '-2138x1196y494z', 70: '-2202x1084y470z', 71: '-2260x970y445z', 72: '-2312x851y421z', 73: '-2357x730y396z', 74: '-2396x607y371z', 75: '-2428x481y347z', 76: '-2453x354y322z', 77: '-2471x225y297z', 78: '-2483x96y272z', 79: '-256x797y2355z', 80: '-265x1554y1939z', 81: '-267x1689y1823z', 82: '-274x2306y925z', 83: '-29x9y2499z', 84: '-305x804y2347z', 85: '-351x1557y1924z', 86: '-357x808y2338z', 87: '-359x1691y1805z', 88: '-395x2297y902z', 89: '-409x809y2329z', 90: '-437x1555y1908z', 91: '-452x1687y1788z', 92: '-462x807y2320z', 93: '-516x801y2310z', 94: '-517x2282y879z', 95: '-524x1548y1891z', 96: '-545x1678y1770z', 97: '-54x14y2499z', 98: '-571x792y2301z', 99: '-5x2y2499z', 100: '-611x1535y1875z', 101: '-626x779y2291z', 102: '-638x1663y1753z', 103: '-638x2260y855z', 104: '-681x762y2281z', 105: '-698x1518y1858z', 106: '-731x1644y1735z', 107: '-736x741y2270z', 108: '-758x2232y832z', 109: '-75x738y2387z', 110: '-785x1496y1841z', 111: '-791x717y2260z', 112: '-79x17y2498z', 113: '-824x1618y1717z', 114: '-845x689y2249z', 115: '-872x1469y1824z', 116: '-877x2196y808z', 117: '-898x657y2238z', 118: '-916x1588y1698z', 119: '-950x621y2227z', 120: '-958x1436y1807z', 121: '-994x2155y784z'}
 
                  
            else:
                print("\n (STEP 565F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 565F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 565F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2600 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five26004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 566F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE26004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five26004xi = queue2five.get()
                
                if fire2five26004xi is None:
                    fire2five26004xi = shot2five26004xi
                    print("\n (STEP 566F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE26004XI TO SHOT2FIVE26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 566F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE26004XI: ", fire2five26004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE26004XI:  {1: '-1034x2241y816z', 2: '-1040x605y2304z', 3: '-1048x1614y1747z', 4: '-1084x1454y1861z', 5: '-1091x560y2292z', 6: '-109x17y2597z', 7: '-1140x512y2279z', 8: '-1141x1571y1728z', 9: '-1154x2191y791z', 10: '-1171x1410y1843z', 11: '-1186x459y2267z', 12: '-122x787y2474z', 13: '-1230x404y2254z', 14: '-1233x1522y1708z', 15: '-1255x1360y1825z', 16: '-1271x2134y766z', 17: '-1271x345y2241z', 18: '-1309x282y2228z', 19: '-1322x1468y1689z', 20: '-1338x1305y1806z', 21: '-1344x217y2214z', 22: '-135x14y2596z', 23: '-1376x149y2200z', 24: '-1385x2071y741z', 25: '-1404x78y2186z', 26: '-1409x1409y1669z', 27: '-1418x1245y1787z', 28: '-1428x4y2172z', 29: '-1493x1344y1649z', 30: '-1495x1180y1768z', 31: '-1496x2001y716z', 32: '-1569x1111y1749z', 33: '-1574x1275y1629z', 34: '-1603x1926y691z', 35: '-162x9y2594z', 36: '-1640x1036y1730z', 37: '-1652x1200y1608z', 38: '-168x804y2466z', 39: '-1706x1844y666z', 40: '-1707x957y1711z', 41: '-1726x1121y1588z', 42: '-1770x874y1691z', 43: '-1796x1037y1567z', 44: '-1805x1757y641z', 45: '-1829x787y1671z', 46: '-183x1750y1913z', 47: '-1862x948y1546z', 48: '-1883x696y1651z', 49: '-188x0y2593z', 50: '-1899x1664y616z', 51: '-1923x856y1525z', 52: '-1933x601y1631z', 53: '-1977x503y1611z', 54: '-1979x759y1504z', 55: '-1989x1566y591z', 56: '-2016x402y1590z', 57: '-2030x659y1483z', 58: '-2050x298y1569z', 59: '-2073x1463y565z', 60: '-2076x556y1462z', 61: '-2079x192y1549z', 62: '-2117x450y1440z', 63: '-2151x1356y540z', 64: '-2151x340y1418z', 65: '-216x818y2458z', 66: '-2180x229y1396z', 67: '-2182x87y1586z', 68: '-2203x115y1374z', 69: '-2220x0y1352z', 70: '-2224x1244y514z', 71: '-2290x1128y489z', 72: '-2351x1008y463z', 73: '-2404x885y438z', 74: '-2451x760y412z', 75: '-2492x631y386z', 76: '-2525x501y361z', 77: '-2551x368y335z', 78: '-2570x235y309z', 79: '-2582x100y283z', 80: '-266x828y2449z', 81: '-276x1616y2017z', 82: '-278x1757y1896z', 83: '-284x2398y962z', 84: '-30x10y2599z', 85: '-318x836y2441z', 86: '-365x1619y2001z', 87: '-371x841y2431z', 88: '-373x1758y1878z', 89: '-411x2389y938z', 90: '-425x842y2422z', 91: '-454x1617y1984z', 92: '-470x1754y1860z', 93: '-481x839y2413z', 94: '-537x833y2403z', 95: '-538x2373y914z', 96: '-545x1609y1967z', 97: '-567x1745y1841z', 98: '-56x15y2599z', 99: '-594x823y2393z', 100: '-635x1597y1950z', 101: '-651x810y2382z', 102: '-664x1730y1823z', 103: '-664x2350y889z', 104: '-6x2y2599z', 105: '-709x792y2372z', 106: '-726x1579y1933z', 107: '-761x1709y1804z', 108: '-766x771y2361z', 109: '-789x2321y865z', 110: '-78x768y2482z', 111: '-817x1556y1915z', 112: '-823x745y2350z', 113: '-82x17y2598z', 114: '-857x1683y1785z', 115: '-879x716y2339z', 116: '-907x1527y1897z', 117: '-912x2284y840z', 118: '-934x683y2328z', 119: '-953x1651y1766z', 120: '-988x646y2316z', 121: '-996x1494y1880z'}
 
                  
            else:
                print("\n (STEP 566F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 566F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 566F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2700 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five27004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 567F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE27004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five27004xi = queue2five.get()
                
                if fire2five27004xi is None:
                    fire2five27004xi = shot2five27004xi
                    print("\n (STEP 567F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE27004XI TO SHOT2FIVE27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 567F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE27004XI: ", fire2five27004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE27004XI:  {1: '-1026x671y2405z', 2: '-1035x1551y1952z', 3: '-1074x2327y847z', 4: '-1080x628y2393z', 5: '-1088x1676y1814z', 6: '-1126x1510y1933z', 7: '-1133x582y2380z', 8: '-113x18y2697z', 9: '-1184x531y2367z', 10: '-1185x1631y1794z', 11: '-1198x2275y821z', 12: '-1216x1464y1914z', 13: '-1232x477y2354z', 14: '-126x817y2570z', 15: '-1277x419y2341z', 16: '-1280x1581y1774z', 17: '-1304x1412y1895z', 18: '-1320x2216y796z', 19: '-1320x358y2327z', 20: '-1360x293y2313z', 21: '-1373x1525y1754z', 22: '-1389x1355y1876z', 23: '-1396x225y2299z', 24: '-140x15y2696z', 25: '-1429x154y2285z', 26: '-1438x2151y770z', 27: '-1458x81y2270z', 28: '-1463x1463y1733z', 29: '-1472x1293y1856z', 30: '-1483x4y2256z', 31: '-1551x1396y1712z', 32: '-1553x1226y1836z', 33: '-1553x2078y744z', 34: '-1630x1153y1817z', 35: '-1635x1324y1691z', 36: '-1665x2000y718z', 37: '-168x9y2694z', 38: '-1703x1076y1797z', 39: '-1715x1246y1670z', 40: '-174x835y2561z', 41: '-1772x1915y692z', 42: '-1773x994y1776z', 43: '-1792x1164y1649z', 44: '-1838x908y1756z', 45: '-1865x1076y1627z', 46: '-1875x1824y666z', 47: '-1899x817y1735z', 48: '-191x1817y1987z', 49: '-1933x985y1606z', 50: '-1955x723y1715z', 51: '-195x0y2692z', 52: '-1972x1728y639z', 53: '-1997x889y1584z', 54: '-2007x624y1694z', 55: '-2053x523y1672z', 56: '-2055x789y1562z', 57: '-2065x1626y613z', 58: '-2094x418y1651z', 59: '-2108x685y1540z', 60: '-2129x310y1630z', 61: '-2152x1519y587z', 62: '-2156x577y1518z', 63: '-2159x199y1608z', 64: '-2198x467y1495z', 65: '-2234x1408y561z', 66: '-2234x353y1473z', 67: '-224x849y2553z', 68: '-2263x90y1645z', 69: '-2264x238y1450z', 70: '-2288x119y1427z', 71: '-2305x0y1404z', 72: '-2309x1292y534z', 73: '-2378x1171y508z', 74: '-2441x1047y481z', 75: '-2497x920y454z', 76: '-2546x789y428z', 77: '-2588x656y401z', 78: '-2622x520y374z', 79: '-2649x382y348z', 80: '-2669x244y321z', 81: '-2681x104y294z', 82: '-276x860y2544z', 83: '-287x1678y2095z', 84: '-289x1824y1968z', 85: '-295x2490y999z', 86: '-32x10y2699z', 87: '-330x868y2534z', 88: '-379x1681y2078z', 89: '-385x873y2525z', 90: '-388x1826y1950z', 91: '-427x2481y974z', 92: '-442x874y2515z', 93: '-472x1679y2060z', 94: '-488x1822y1931z', 95: '-499x872y2505z', 96: '-558x2464y949z', 97: '-558x865y2495z', 98: '-566x1671y2043z', 99: '-588x1812y1912z', 100: '-58x16y2699z', 101: '-617x855y2485z', 102: '-660x1658y2025z', 103: '-676x841y2474z', 104: '-689x1796y1893z', 105: '-689x2441y924z', 106: '-6x2y2699z', 107: '-736x823y2463z', 108: '-754x1640y2007z', 109: '-790x1775y1874z', 110: '-795x800y2452z', 111: '-819x2410y898z', 112: '-81x797y2578z', 113: '-848x1616y1989z', 114: '-854x774y2441z', 115: '-85x18y2698z', 116: '-890x1748y1854z', 117: '-913x744y2429z', 118: '-942x1586y1970z', 119: '-947x2372y873z', 120: '-970x709y2417z', 121: '-990x1715y1834z'}
 
                  
            else:
                print("\n (STEP 567F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 567F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 567F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2800 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five28004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 568F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE28004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five28004xi = queue2five.get()
                
                if fire2five28004xi is None:
                    fire2five28004xi = shot2five28004xi
                    print("\n (STEP 568F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE28004XI TO SHOT2FIVE28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 568F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE28004XI: ", fire2five28004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE28004XI:  {1: '-1006x736y2507z', 2: '-1027x1778y1902z', 3: '-1064x696y2494z', 4: '-1073x1608y2024z', 5: '-1114x2413y878z', 6: '-1120x651y2481z', 7: '-1129x1738y1882z', 8: '-1168x1566y2005z', 9: '-1175x603y2468z', 10: '-117x19y2797z', 11: '-1227x551y2455z', 12: '-1229x1692y1861z', 13: '-1242x2359y852z', 14: '-1261x1518y1985z', 15: '-1277x495y2441z', 16: '-131x847y2665z', 17: '-1325x435y2427z', 18: '-1328x1639y1840z', 19: '-1352x1465y1965z', 20: '-1369x2298y825z', 21: '-1369x371y2413z', 22: '-1410x304y2399z', 23: '-1424x1581y1819z', 24: '-1441x1406y1945z', 25: '-1448x234y2384z', 26: '-146x16y2796z', 27: '-1482x160y2370z', 28: '-1491x2230y798z', 29: '-1512x84y2355z', 30: '-1517x1517y1797z', 31: '-1527x1341y1925z', 32: '-1537x4y2339z', 33: '-1608x1448y1776z', 34: '-1610x1271y1905z', 35: '-1611x2155y771z', 36: '-1690x1196y1884z', 37: '-1695x1373y1754z', 38: '-1726x2074y744z', 39: '-174x10y2794z', 40: '-1766x1116y1863z', 41: '-1779x1292y1732z', 42: '-181x865y2656z', 43: '-1838x1031y1842z', 44: '-1838x1986y717z', 45: '-1859x1207y1710z', 46: '-1906x941y1821z', 47: '-1934x1116y1688z', 48: '-1944x1892y690z', 49: '-1969x848y1800z', 50: '-198x1885y2060z', 51: '-2005x1021y1665z', 52: '-2028x749y1778z', 53: '-202x0y2792z', 54: '-2045x1792y663z', 55: '-2071x922y1643z', 56: '-2081x648y1756z', 57: '-2129x542y1734z', 58: '-2131x818y1620z', 59: '-2142x1687y636z', 60: '-2172x433y1712z', 61: '-2186x710y1597z', 62: '-2208x321y1690z', 63: '-2232x1576y609z', 64: '-2236x599y1574z', 65: '-2239x207y1668z', 66: '-2280x484y1551z', 67: '-2317x1460y581z', 68: '-2317x367y1527z', 69: '-233x880y2647z', 70: '-2344x93y1704z', 71: '-2348x246y1504z', 72: '-2373x124y1480z', 73: '-2391x0y1456z', 74: '-2395x1339y554z', 75: '-2466x1215y526z', 76: '-2531x1086y499z', 77: '-2589x954y471z', 78: '-2640x818y444z', 79: '-2683x680y416z', 80: '-2719x539y388z', 81: '-2748x397y361z', 82: '-2768x253y333z', 83: '-2781x108y305z', 84: '-286x892y2638z', 85: '-297x1740y2172z', 86: '-299x1892y2041z', 87: '-306x2582y1036z', 88: '-33x11y2799z', 89: '-342x901y2628z', 90: '-393x1743y2154z', 91: '-399x905y2619z', 92: '-402x1893y2022z', 93: '-443x2573y1010z', 94: '-458x907y2609z', 95: '-489x1741y2136z', 96: '-506x1889y2003z', 97: '-518x904y2598z', 98: '-579x2556y984z', 99: '-579x897y2588z', 100: '-587x1733y2118z', 101: '-60x16y2799z', 102: '-610x1879y1983z', 103: '-640x887y2577z', 104: '-684x1720y2100z', 105: '-6x2y2799z', 106: '-702x872y2566z', 107: '-715x1863y1963z', 108: '-715x2531y958z', 109: '-763x853y2554z', 110: '-782x1701y2081z', 111: '-819x1841y1943z', 112: '-825x830y2543z', 113: '-849x2499y931z', 114: '-84x827y2673z', 115: '-880x1676y2062z', 116: '-886x803y2531z', 117: '-88x19y2798z', 118: '-923x1813y1923z', 119: '-946x771y2519z', 120: '-977x1645y2043z', 121: '-982x2460y905z'}

                  
            else:
                print("\n (STEP 568F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 568F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 568F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 2900 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five29004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 569F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE29004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five29004xi = queue2five.get()
                if fire2five29004xi is None:
                    fire2five29004xi = shot2five29004xi
                    print("\n (STEP 569F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE29004XI TO SHOT2FIVE29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 569F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE29004XI: ", fire2five29004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE29004XI:  {1: '-1012x1704y2116z', 2: '-1018x2548y937z', 3: '-1042x762y2596z', 4: '-1063x1842y1970z', 5: '-1102x720y2583z', 6: '-1111x1666y2096z', 7: '-1153x2499y910z', 8: '-1160x675y2570z', 9: '-1169x1800y1949z', 10: '-1209x1622y2076z', 11: '-1217x625y2556z', 12: '-121x19y2897z', 13: '-1271x571y2542z', 14: '-1273x1752y1927z', 15: '-1287x2444y882z', 16: '-1306x1573y2056z', 17: '-1323x512y2528z', 18: '-136x878y2760z', 19: '-1372x450y2514z', 20: '-1375x1698y1906z', 21: '-1400x1517y2035z', 22: '-1417x2380y855z', 23: '-1418x384y2499z', 24: '-1461x315y2485z', 25: '-1475x1638y1884z', 26: '-1492x1456y2015z', 27: '-1499x242y2470z', 28: '-151x16y2895z', 29: '-1535x166y2454z', 30: '-1545x2310y827z', 31: '-1566x87y2439z', 32: '-1572x1572y1862z', 33: '-1581x1389y1994z', 34: '-1592x5y2423z', 35: '-1665x1500y1839z', 36: '-1668x1316y1973z', 37: '-1668x2232y799z', 38: '-1750x1239y1951z', 39: '-1756x1422y1817z', 40: '-1788x2148y771z', 41: '-180x10y2894z', 42: '-1829x1156y1930z', 43: '-1843x1339y1794z', 44: '-187x896y2751z', 45: '-1903x2057y743z', 46: '-1904x1068y1908z', 47: '-1925x1250y1771z', 48: '-1974x975y1886z', 49: '-2003x1156y1748z', 50: '-2013x1960y715z', 51: '-2040x878y1864z', 52: '-205x1952y2134z', 53: '-2076x1058y1725z', 54: '-2100x776y1842z', 55: '-210x1y2892z', 56: '-2119x1856y687z', 57: '-2145x955y1701z', 58: '-2156x671y1819z', 59: '-2205x561y1796z', 60: '-2207x847y1678z', 61: '-2218x1747y659z', 62: '-2249x449y1774z', 63: '-2265x735y1654z', 64: '-2287x333y1751z', 65: '-2312x1632y630z', 66: '-2316x620y1630z', 67: '-2319x214y1727z', 68: '-2361x501y1606z', 69: '-2399x1512y602z', 70: '-2400x380y1582z', 71: '-241x912y2742z', 72: '-2425x97y1763z', 73: '-2432x255y1558z', 74: '-2457x128y1533z', 75: '-2476x0y1508z', 76: '-2480x1387y574z', 77: '-2555x1258y545z', 78: '-2622x1125y517z', 79: '-2682x988y488z', 80: '-2734x847y460z', 81: '-2779x704y431z', 82: '-2816x558y402z', 83: '-2846x411y373z', 84: '-2867x262y345z', 85: '-2880x111y316z', 86: '-297x924y2732z', 87: '-308x1803y2250z', 88: '-310x1959y2114z', 89: '-317x2675y1073z', 90: '-34x11y2899z', 91: '-354x933y2722z', 92: '-407x1806y2231z', 93: '-414x938y2712z', 94: '-416x1961y2094z', 95: '-459x2665y1046z', 96: '-474x939y2702z', 97: '-507x1803y2213z', 98: '-524x1957y2074z', 99: '-536x936y2691z', 100: '-599x929y2680z', 101: '-600x2647y1019z', 102: '-608x1795y2194z', 103: '-632x1946y2054z', 104: '-63x17y2899z', 105: '-663x918y2669z', 106: '-6x2y2899z', 107: '-709x1781y2175z', 108: '-727x903y2657z', 109: '-740x1930y2033z', 110: '-740x2622y992z', 111: '-791x884y2646z', 112: '-810x1761y2156z', 113: '-849x1907y2012z', 114: '-854x860y2634z', 115: '-87x856y2769z', 116: '-880x2589y965z', 117: '-911x1735y2136z', 118: '-918x832y2621z', 119: '-92x20y2898z', 120: '-956x1877y1991z', 121: '-980x799y2609z'}
 
                  
            else:
                print("\n (STEP 569F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 569F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 569F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 3000 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five30004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 570F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE30004XI FROM QUEUE: ", queue2five)
                    # 
                
                fire2five30004xi = queue2five.get()
                if fire2five30004xi is None:
                    fire2five30004xi = shot2five30004xi
                    print("\n (STEP 570F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE30004XI TO SHOT2FIVE30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 570F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE30004XI: ", fire2five30004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE30004XI:  {1: '-1014x826y2699z', 2: '-1047x1762y2189z', 3: '-1053x2636y970z', 4: '-1078x788y2686z', 5: '-1100x1905y2038z', 6: '-1140x745y2672z', 7: '-1150x1723y2169z', 8: '-1193x2586y941z', 9: '-1200x698y2658z', 10: '-1209x1862y2016z', 11: '-1251x1678y2148z', 12: '-1259x646y2644z', 13: '-125x20y2997z', 14: '-1315x590y2630z', 15: '-1317x1813y1994z', 16: '-1331x2528y913z', 17: '-1351x1627y2127z', 18: '-1369x530y2616z', 19: '-140x908y2855z', 20: '-1419x466y2601z', 21: '-1422x1757y1971z', 22: '-1449x1569y2106z', 23: '-1466x2462y884z', 24: '-1467x398y2586z', 25: '-1511x326y2570z', 26: '-1525x1694y1949z', 27: '-1544x1506y2084z', 28: '-1551x250y2555z', 29: '-156x17y2995z', 30: '-1588x172y2539z', 31: '-1598x2390y855z', 32: '-1620x90y2523z', 33: '-1626x1626y1926z', 34: '-1636x1437y2062z', 35: '-1647x5y2506z', 36: '-1723x1551y1903z', 37: '-1725x1362y2041z', 38: '-1726x2309y827z', 39: '-1811x1281y2019z', 40: '-1816x1471y1879z', 41: '-1850x2222y798z', 42: '-187x10y2994z', 43: '-1892x1196y1996z', 44: '-1906x1385y1856z', 45: '-194x927y2846z', 46: '-1969x2128y769z', 47: '-1970x1105y1974z', 48: '-1991x1293y1832z', 49: '-2042x1009y1951z', 50: '-2072x1196y1808z', 51: '-2083x2027y740z', 52: '-2110x908y1928z', 53: '-212x2019y2208z', 54: '-2148x1094y1784z', 55: '-2173x803y1905z', 56: '-217x1y2992z', 57: '-2192x1920y711z', 58: '-2219x987y1760z', 59: '-2230x694y1882z', 60: '-2281x581y1858z', 61: '-2284x876y1736z', 62: '-2295x1807y681z', 63: '-2327x464y1835z', 64: '-2343x761y1711z', 65: '-2366x344y1811z', 66: '-2392x1688y652z', 67: '-2396x642y1686z', 68: '-2399x222y1787z', 69: '-2442x519y1662z', 70: '-2482x1564y623z', 71: '-2483x393y1637z', 72: '-249x943y2836z', 73: '-2506x100y1821z', 74: '-2516x264y1611z', 75: '-2542x133y1586z', 76: '-2561x0y1560z', 77: '-2566x1435y593z', 78: '-2643x1301y564z', 79: '-2712x1164y535z', 80: '-2774x1022y505z', 81: '-2829x877y475z', 82: '-2875x728y446z', 83: '-2914x578y416z', 84: '-2944x425y386z', 85: '-2966x271y357z', 86: '-2979x115y327z', 87: '-307x956y2826z', 88: '-319x1865y2327z', 89: '-321x2027y2187z', 90: '-328x2767y1110z', 91: '-35x11y2999z', 92: '-367x965y2816z', 93: '-421x1868y2308z', 94: '-428x970y2806z', 95: '-431x2029y2167z', 96: '-475x2757y1082z', 97: '-491x971y2795z', 98: '-524x1866y2289z', 99: '-542x2024y2146z', 100: '-555x969y2784z', 101: '-620x961y2773z', 102: '-621x2738y1054z', 103: '-629x1857y2270z', 104: '-654x2013y2125z', 105: '-65x17y2999z', 106: '-686x950y2761z', 107: '-733x1843y2250z', 108: '-752x934y2749z', 109: '-766x1996y2103z', 110: '-766x2712y1026z', 111: '-7x2y2999z', 112: '-818x914y2737z', 113: '-838x1822y2230z', 114: '-878x1972y2082z', 115: '-884x889y2725z', 116: '-90x886y2864z', 117: '-910x2678y998z', 118: '-943x1795y2210z', 119: '-949x860y2712z', 120: '-95x20y2998z', 121: '-989x1942y2060z'}
 
                  
            else:
                print("\n (STEP 570F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 570F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 570F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 3100 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five31004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 571F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE31004XI FROM QUEUE: ", queue2five) 
                    # 
                
                fire2five31004xi = queue2five.get()
                if fire2five31004xi is None:
                    fire2five31004xi = shot2five4xi
                    print("\n (STEP 571F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE31004XI TO SHOT2FIVE31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 571F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE31004XI: ", fire2five31004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE31004XI:  {1: '-1022x2007y2129z', 2: '-1048x854y2789z', 3: '-1082x1821y2262z', 4: '-1088x2724y1002z', 5: '-1114x814y2775z', 6: '-1137x1969y2106z', 7: '-1178x770y2761z', 8: '-1188x1781y2241z', 9: '-1233x2672y973z', 10: '-1240x721y2747z', 11: '-1250x1924y2083z', 12: '-1293x1734y2220z', 13: '-1301x668y2733z', 14: '-130x21y3097z', 15: '-1359x610y2718z', 16: '-1361x1873y2060z', 17: '-1376x2612y943z', 18: '-1396x1681y2198z', 19: '-1414x548y2703z', 20: '-145x938y2950z', 21: '-1467x481y2687z', 22: '-1470x1815y2037z', 23: '-1497x1622y2176z', 24: '-1515x2545y914z', 25: '-1516x411y2672z', 26: '-1561x337y2656z', 27: '-1576x1751y2014z', 28: '-1595x1556y2154z', 29: '-1603x259y2640z', 30: '-161x17y3095z', 31: '-1640x177y2624z', 32: '-1651x2469y884z', 33: '-1674x93y2607z', 34: '-1680x1680y1990z', 35: '-1691x1485y2131z', 36: '-1702x5y2590z', 37: '-1780x1603y1966z', 38: '-1783x1407y2109z', 39: '-1784x2386y854z', 40: '-1871x1324y2086z', 41: '-1877x1520y1942z', 42: '-1911x2296y824z', 43: '-193x11y3093z', 44: '-1955x1235y2063z', 45: '-1970x1431y1918z', 46: '-200x958y2941z', 47: '-2034x2199y794z', 48: '-2035x1141y2040z', 49: '-2058x1336y1893z', 50: '-2110x1042y2016z', 51: '-2141x1236y1869z', 52: '-2152x2095y764z', 53: '-2180x938y1992z', 54: '-219x2087y2281z', 55: '-2220x1131y1844z', 56: '-2245x830y1969z', 57: '-224x1y3091z', 58: '-2265x1984y734z', 59: '-2292x1020y1819z', 60: '-2304x717y1945z', 61: '-2357x600y1920z', 62: '-2360x905y1794z', 63: '-2371x1867y704z', 64: '-2404x480y1896z', 65: '-2421x786y1768z', 66: '-2445x356y1871z', 67: '-2471x1745y674z', 68: '-2476x663y1743z', 69: '-2479x229y1846z', 70: '-2524x536y1717z', 71: '-2565x1616y644z', 72: '-2565x406y1691z', 73: '-2586x103y1880z', 74: '-258x975y2931z', 75: '-2600x273y1665z', 76: '-2627x137y1639z', 77: '-2647x0y1612z', 78: '-2651x1483y613z', 79: '-2731x1345y583z', 80: '-2803x1202y552z', 81: '-2867x1056y522z', 82: '-2923x906y491z', 83: '-2971x753y461z', 84: '-3011x597y430z', 85: '-3042x439y399z', 86: '-3065x280y368z', 87: '-3079x119y338z', 88: '-317x988y2921z', 89: '-329x1927y2405z', 90: '-331x2095y2260z', 91: '-339x2859y1147z', 92: '-36x12y3099z', 93: '-379x997y2910z', 94: '-435x1930y2385z', 95: '-442x1002y2899z', 96: '-445x2096y2239z', 97: '-490x2849y1119z', 98: '-507x1004y2888z', 99: '-542x1928y2365z', 100: '-560x2092y2217z', 101: '-573x1001y2877z', 102: '-641x2830y1090z', 103: '-641x994y2865z', 104: '-650x1919y2345z', 105: '-676x2080y2195z', 106: '-67x18y3099z', 107: '-708x982y2853z', 108: '-758x1904y2325z', 109: '-777x966y2841z', 110: '-791x2063y2173z', 111: '-791x2803y1060z', 112: '-7x2y3099z', 113: '-845x945y2828z', 114: '-866x1883y2304z', 115: '-907x2038y2151z', 116: '-913x919y2815z', 117: '-93x915y2960z', 118: '-940x2767y1031z', 119: '-974x1855y2283z', 120: '-981x889y2802z', 121: '-98x21y3098z'}

                  
            else:
                print("\n (STEP 571F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 571F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 571F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 3200 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five32004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True:

            if ack2five4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 572F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE32004XI FROM QUEUE: ", queue2five)
                    # 
                fire2five32004xi = queue2five.get()
                if fire2five32004xi is None:
                    fire2five32004xi = shot2five32004xi
                    print("\n (STEP 573F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " - SET FIRE2FIVE32004XI TO SHOT2FIVE32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 572F3/800) OF COLOR_NOUNS4XI - FIRE2FIVE32004XI: ", fire2five32004xi) 
                    # FIRE2FIVE32004XI:  {1: '-1006x1915y2357z', 2: '-1013x918y2893z', 3: '-101x22y3198z', 4: '-1055x2072y2198z', 5: '-1082x882y2879z', 6: '-1116x1880y2335z', 7: '-1123x2811y1034z', 8: '-1150x841y2865z', 9: '-1173x2033y2174z', 10: '-1216x795y2850z', 11: '-1226x1838y2313z', 12: '-1273x2758y1004z', 13: '-1281x745y2836z', 14: '-1290x1986y2151z', 15: '-1335x1790y2291z', 16: '-1343x689y2821z', 17: '-134x21y3197z', 18: '-1403x630y2805z', 19: '-1405x1933y2127z', 20: '-1420x2696y974z', 21: '-1441x1735y2269z', 22: '-1460x565y2790z', 23: '-150x969y3046z', 24: '-1514x497y2774z', 25: '-1517x1874y2103z', 26: '-1545x1674y2246z', 27: '-1564x2627y943z', 28: '-1565x424y2758z', 29: '-1612x348y2742z', 30: '-1627x1807y2079z', 31: '-1647x1606y2223z', 32: '-1655x267y2725z', 33: '-167x18y3195z', 34: '-1693x183y2708z', 35: '-1705x2549y912z', 36: '-1728x96y2691z', 37: '-1734x1734y2054z', 38: '-1745x1533y2200z', 39: '-1757x5y2674z', 40: '-1838x1655y2029z', 41: '-1840x1453y2177z', 42: '-1841x2463y882z', 43: '-1931x1367y2153z', 44: '-1938x1569y2005z', 45: '-1973x2370y851z', 46: '-199x11y3193z', 47: '-2018x1275y2129z', 48: '-2033x1477y1980z', 49: '-207x989y3036z', 50: '-2100x2270y820z', 51: '-2101x1178y2105z', 52: '-2124x1379y1954z', 53: '-2178x1076y2081z', 54: '-2210x1276y1929z', 55: '-2222x2162y789z', 56: '-2251x969y2057z', 57: '-226x2154y2355z', 58: '-2291x1167y1903z', 59: '-2318x857y2032z', 60: '-231x1y3191z', 61: '-2338x2048y758z', 62: '-2366x1053y1878z', 63: '-2379x740y2007z', 64: '-2433x620y1982z', 65: '-2436x935y1852z', 66: '-2448x1928y727z', 67: '-2482x495y1957z', 68: '-2499x812y1825z', 69: '-2524x367y1932z', 70: '-2551x1801y696z', 71: '-2555x684y1799z', 72: '-2559x237y1906z', 73: '-2605x553y1772z', 74: '-2648x1669y664z', 75: '-2648x419y1746z', 76: '-2667x106y1939z', 77: '-266x1006y3025z', 78: '-2684x282y1719z', 79: '-2712x142y1692z', 80: '-2732x0y1664z', 81: '-2737x1531y633z', 82: '-2819x1388y602z', 83: '-2893x1241y570z', 84: '-2959x1090y539z', 85: '-3017x935y507z', 86: '-3067x777y476z', 87: '-3108x616y444z', 88: '-3140x453y412z', 89: '-3164x289y380z', 90: '-3178x123y349z', 91: '-327x1020y3015z', 92: '-340x1989y2483z', 93: '-342x2162y2333z', 94: '-350x2951y1184z', 95: '-38x12y3199z', 96: '-391x1029y3004z', 97: '-449x1993y2462z', 98: '-457x1035y2993z', 99: '-460x2164y2311z', 100: '-506x2940y1155z', 101: '-524x1036y2981z', 102: '-559x1990y2442z', 103: '-578x2159y2289z', 104: '-592x1033y2969z', 105: '-661x1026y2957z', 106: '-662x2921y1125z', 107: '-671x1981y2421z', 108: '-697x2148y2266z', 109: '-69x18y3199z', 110: '-731x1014y2945z', 111: '-782x1966y2400z', 112: '-7x2y3199z', 113: '-802x997y2932z', 114: '-817x2129y2244z', 115: '-817x2893y1095z', 116: '-872x975y2919z', 117: '-894x1944y2379z', 118: '-936x2104y2221z', 119: '-943x949y2906z', 120: '-96x945y3055z', 121: '-971x2856y1065z'}
 
                  
            else:
                print("\n (STEP 572F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 572F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 572F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

        
    #=========
    # 3300 FIVE
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2five33004xi = {}
    
    if ack2five4process is True:

        if ack2five4start is True: 

            if ack2five4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 573F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2FIVE33004XI FROM QUEUE: ", queue2five)   
                    # 
                fire2five33004xi = queue2five.get()
                if ack2debug is True:
                    print("\n (STEP 573F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2FIVE: ", queue2five, " FIRE2FIVE33004XI: ", fire2five33004xi) 
                    # GOT FROM QUEUE2FIVE:  <queue4xi.Queue4Xi object at 0x03D2F330>  FIRE2FIVE33004XI:  {1: '-1001x2946y1098z', 2: '-1037x1975y2431z', 3: '-1044x946y2983z', 4: '-104x22y3298z', 5: '-1088x2136y2266z', 6: '-1116x909y2969z', 7: '-1151x1939y2408z', 8: '-1158x2899y1067z', 9: '-1186x867y2954z', 10: '-1210x2096y2242z', 11: '-1254x820y2939z', 12: '-1265x1896y2386z', 13: '-1313x2844y1035z', 14: '-1321x768y2924z', 15: '-1330x2049y2218z', 16: '-1376x1846y2363z', 17: '-1385x711y2909z', 18: '-138x22y3297z', 19: '-1447x649y2893z', 20: '-1449x1994y2193z', 21: '-1464x2781y1004z', 22: '-1486x1789y2340z', 23: '-1506x583y2877z', 24: '-155x999y3141z', 25: '-1561x512y2861z', 26: '-1565x1932y2169z', 27: '-1593x1726y2316z', 28: '-1613x2709y973z', 29: '-1614x438y2844z', 30: '-1662x358y2827z', 31: '-1678x1864y2144z', 32: '-1698x1657y2293z', 33: '-1706x275y2810z', 34: '-172x18y3295z', 35: '-1746x189y2793z', 36: '-1758x2629y941z', 37: '-1782x99y2775z', 38: '-1788x1788y2118z', 39: '-1800x1581y2269z', 40: '-1812x5y2757z', 41: '-1895x1706y2093z', 42: '-1898x1498y2245z', 43: '-1899x2540y909z', 44: '-1992x1410y2220z', 45: '-1998x1618y2067z', 46: '-2035x2444y878z', 47: '-205x11y3293z', 48: '-2081x1315y2196z', 49: '-2097x1523y2041z', 50: '-213x1020y3130z', 51: '-2166x2341y846z', 52: '-2167x1215y2171z', 53: '-2191x1422y2015z', 54: '-2247x1110y2146z', 55: '-2279x1316y1989z', 56: '-2291x2230y814z', 57: '-2321x999y2121z', 58: '-233x2221y2428z', 59: '-2363x1204y1963z', 60: '-2390x883y2096z', 61: '-239x1y3291z', 62: '-2411x2112y782z', 63: '-2440x1086y1936z', 64: '-2453x763y2070z', 65: '-2510x639y2044z', 66: '-2512x964y1909z', 67: '-2524x1988y750z', 68: '-2559x511y2018z', 69: '-2577x837y1882z', 70: '-2603x379y1992z', 71: '-2631x1857y717z', 72: '-2635x706y1855z', 73: '-2639x244y1966z', 74: '-2687x571y1828z', 75: '-2730x1721y685z', 76: '-2731x432y1800z', 77: '-2748x109y1998z', 78: '-274x1038y3120z', 79: '-2768x290y1772z', 80: '-2797x146y1745z', 81: '-2818x0y1716z', 82: '-2822x1579y653z', 83: '-2907x1432y621z', 84: '-2983x1280y588z', 85: '-3052x1124y556z', 86: '-3112x964y523z', 87: '-3163x801y490z', 88: '-3205x636y458z', 89: '-3238x468y425z', 90: '-3262x298y392z', 91: '-3277x127y360z', 92: '-338x1052y3109z', 93: '-351x2051y2560z', 94: '-353x2230y2406z', 95: '-361x3044y1221z', 96: '-39x12y3299z', 97: '-403x1061y3098z', 98: '-463x2055y2539z', 99: '-471x1067y3086z', 100: '-474x2232y2383z', 101: '-522x3032y1191z', 102: '-540x1069y3074z', 103: '-577x2052y2518z', 104: '-596x2227y2360z', 105: '-610x1065y3062z', 106: '-682x1058y3050z', 107: '-683x3012y1160z', 108: '-691x2043y2497z', 109: '-719x2215y2337z', 110: '-71x19y3299z', 111: '-754x1045y3037z', 112: '-7x3y3299z', 113: '-807x2027y2475z', 114: '-827x1028y3024z', 115: '-843x2196y2314z', 116: '-843x2983y1129z', 117: '-900x1006y3011z', 118: '-922x2004y2453z', 119: '-966x2170y2290z', 120: '-972x978y2997z', 121: '-99x974y3151z'}

                      
                    if fire2five33004xi is None:
                        print("\n (STEP 574F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2FIVE: ", queue2five, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2five33004xi = queue2five.get()
                    
                        if fire2five33004xi is None:
                            fire2five33004xi = shot2five33004xi
                            print("\n (STEP 573F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2FIVE: ", queue2five, " SET FIRE2FIVE33004XI TO SHOT2FIVE33004XI: ", fire2five33004xi) 
                            # 
                            
            else:
                print("\n (STEP 573F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS FIVE ", time4xi())                 
        else:
            print("\n (STEP 573F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS FIVE ", time4xi())                                         
    else:
        print("\n (STEP 573F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS FIVE ", time4xi())                    
               

           
    # =========================================================================================================   
    # II/V EOF - FIVE DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
                                 
          
    # =========================================================================================================   
    # I/VI SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
    
    #========
    # 10 SIX 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 474F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 474F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six) 
                    # <ack2put4xi>queue2six8shot2six10x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 474F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 474F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 474F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
    
    #========
    # 100 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 581F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 581F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 581F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 581F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 581F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
    
    #========
    # 200 SIX 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 582F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 582F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six200x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 582F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 582F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 582F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
                                                
                                  
    
    #========
    # 300 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 583F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 583F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 583F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 583F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 583F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
    
    #========
    # 400 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 584F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 584F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 584F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 584F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())
                            
    #========
    # 500 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 585F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 585F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six500x4xi</ack2put4xi> 
 
                
            else:
                print("\n (STEP 585F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 585F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 585F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
                                                                                       
    #========
    # 600 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 586F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 586F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    #  <ack2put4xi>queue2six8shot2six600x4xi</ack2put4xi>
            else:
                print("\n (STEP 586F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 586F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #========
    # 700 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 587F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 587F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 587F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 587F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 587F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
       
    #========
    # 800 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 588F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 588F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six800x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 588F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 588F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 588F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #========
    # 900 SIX
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 589F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 589F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six900x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 589F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 589F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 589F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
      
           
     
    #=========
    # 1000 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 590F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 590F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 590F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 590F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 590F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1100 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 591F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 591F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 591F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 591F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 591F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1200 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 592F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 592F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 592F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 592F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 592F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1300 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 593F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 593F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 593F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 593F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 593F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1400 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 594F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 594F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 594F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 594F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 594F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1500 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 595F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 595F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 595F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 595F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 595F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1600 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 596F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 596F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 596F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 596F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 596F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1700 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 597F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 597F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 597F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 597F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 597F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1800 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 598F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 598F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1800x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 598F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 598F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 598F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())                    
     
    #=========
    # 1900 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 599F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 599F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six1900x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 599F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 599F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 599F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
        
     
    #=========
    # 2000 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 600F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 600F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 600F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 600F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 600F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2100 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 621F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 621F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 621F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 621F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 621F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2200 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 622F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 622F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 622F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 622F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 622F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2300 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 623F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 623F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2300x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 623F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 623F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 623F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2400 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 624F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 624F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 624F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 624F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 624F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2500 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 625F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 625F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 625F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 625F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 625F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2600 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 626F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 626F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 626F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 626F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 626F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2700 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 627F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 627F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 627F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 627F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 627F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2800 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 628F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 628F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2800x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 628F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 628F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 628F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 2900 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 629F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 629F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six2900x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 629F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 629F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 629F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 3000 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 630F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 630F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six3000x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 630F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 630F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 630F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 3100 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 631F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                    
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 631F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six) 
                    # <ack2put4xi>queue2six8shot2six3100x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 631F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 631F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 631F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 3200 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 632F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel)
                    # 
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 632F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six3200x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 632F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 632F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 632F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  
     
    #=========
    # 3300 SIX
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 633F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel) 
                    # 
                message2receive4six = pipe2six_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 633F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2six_consumer_channel, " PUT INFO MESSAGE: ", message2receive4six)
                    # <ack2put4xi>queue2six8shot2six3300x4xi</ack2put4xi> 
                     
            else:
                print("\n (STEP 633F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 633F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 633F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SIX ", time4xi())  

      
           
    # =========================================================================================================   
    # I/VI EOF - SIX DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
          

 

           
    # =========================================================================================================   
    # II/VI SIX DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 SIX   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six104xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 434F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX104XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six104xi = queue2six.get() 
                if fire2six104xi is None:
                    fire2six104xi = shot2six104xi
                    print("\n (STEP 434F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX104XI TO SHOT2SIX104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 434F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX104XI: ", fire2six104xi) 
                    # FIRE2SIX104XI:  {1: '-11x47y-49z', 2: '-12x13y-7z', 3: '-13x12y-7z', 4: '-13x12y-8z', 5: '-13x46y-50z', 6: '-14x10y-8z', 7: '-14x11y-8z', 8: '-15x45y-50z', 9: '-15x8y-8z', 10: '-15x9y-8z', 11: '-16x4y-9z', 12: '-16x5y-9z', 13: '-16x6y-9z', 14: '-16x7y-9z', 15: '-17x44y-51z', 16: '-19x42y-51z', 17: '-1x0y-59z', 18: '-1x11y-27z', 19: '-1x9y-2z', 20: '-25x0y-15z', 21: '-25x1y-15z', 22: '-25x2y-15z', 23: '-25x3y-14z', 24: '-25x46y-59z', 25: '-25x5y-14z', 26: '-27x45y-60z', 27: '-29x43y-60z', 28: '-2x11y-27z', 29: '-2x9y-2z', 30: '-2x9y-3z', 31: '-31x41y-61z', 32: '-32x38y-61z', 33: '-34x36y-62z', 34: '-35x34y-62z', 35: '-35x48y0z', 36: '-36x32y-63z', 37: '-37x46y0z', 38: '-38x29y-63z', 39: '-39x24y-64z', 40: '-39x27y-64z', 41: '-3x10y-27z', 42: '-3x8y-3z', 43: '-3x9y-28z', 44: '-40x22y-65z', 45: '-40x44y0z', 46: '-42x42y-1z', 47: '-44x40y-1z', 48: '-46x22y-73z', 49: '-46x37y-2z', 50: '-48x35y-3z', 51: '-4x8y-3z', 52: '-4x9y-28z', 53: '-50x32y-3z', 54: '-51x29y-4z', 55: '-53x27y-4z', 56: '-54x24y-5z', 57: '-55x21y-6z', 58: '-56x18y-6z', 59: '-57x15y-7z', 60: '-5x0y-49z', 61: '-5x7y-3z', 62: '-67x14y-9z', 63: '-68x0y-12z', 64: '-68x10y-9z', 65: '-68x3y-11z', 66: '-68x7y-10z', 67: '-6x0y-49z', 68: '-6x11y-37z', 69: '-6x49y-48z', 70: '-7x0y-49z', 71: '-7x10y-37z', 72: '-7x1y-49z', 73: '-7x4y-38z', 74: '-7x7y-38z', 75: '-7x8y-38z', 76: '-7x9y-38z', 77: '-8x1y-49z', 78: '-8x2y-49z', 79: '-8x48y-49z', 80: '-8x4y-38z', 81: '-8x5y-38z', 82: '-8x6y-38z', 83: '-9x3y-48z', 84: '-9x3y-49z', 85: '-9x4y-48z', 86: '0x0y-59z', 87: '0x12y-27z'}
 
                
            else:
                print("\n (STEP 434F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 434F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 434F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())
    
        
      
           
    #========
    # 100 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six1004xi = {}

    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 441F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX1004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six1004xi = queue2six.get()
                if fire2six1004xi is None:
                    fire2six1004xi = shot2six1004xi
                    print("\n (STEP 441F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX1004XI TO SHOT2SIX1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 441F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX1004XI: ", fire2six1004xi) 
                    # FIRE2SIX1004XI:  {1: '-10x35y-92z', 2: '-10x95y-26z', 3: '-11x0y-99z', 4: '-11x33y-93z', 5: '-12x0y-99z', 6: '-12x69y-70z', 7: '-13x0y-99z', 8: '-13x32y-93z', 9: '-144x113y-78z', 10: '-14x1y-98z', 11: '-14x30y-94z', 12: '-15x29y-94z', 13: '-15x2y-98z', 14: '-15x68y-71z', 15: '-15x94y-27z', 16: '-16x27y-94z', 17: '-16x3y-98z', 18: '-16x95y-26z', 19: '-17x25y-94z', 20: '-17x4y-98z', 21: '-17x5y-98z', 22: '-18x22y-95z', 23: '-18x24y-95z', 24: '-18x6y-98z', 25: '-19x10y-97z', 26: '-19x18y-96z', 27: '-19x20y-95z', 28: '-19x66y-71z', 29: '-19x7y-97z', 30: '-19x9y-97z', 31: '-20x12y-97z', 32: '-20x13y-96z', 33: '-20x15y-96z', 34: '-20x17y-96z', 35: '-20x93y-28z', 36: '-21x93y-27z', 37: '-22x64y-72z', 38: '-25x63y-73z', 39: '-25x92y-29z', 40: '-26x92y-28z', 41: '-28x60y-73z', 42: '-29x90y-30z', 43: '-2x40y-91z', 44: '-31x58y-74z', 45: '-31x90y-29z', 46: '-33x56y-75z', 47: '-34x88y-31z', 48: '-35x88y-30z', 49: '-36x53y-75z', 50: '-38x51y-76z', 51: '-38x86y-32z', 52: '-40x48y-77z', 53: '-40x86y-31z', 54: '-42x45y-77z', 55: '-43x83y-33z', 56: '-44x42y-78z', 57: '-44x83y-31z', 58: '-46x40y-79z', 59: '-47x37y-79z', 60: '-47x81y-34z', 61: '-48x34y-80z', 62: '-48x80y-32z', 63: '-49x0y-86z', 64: '-49x31y-80z', 65: '-4x39y-91z', 66: '-50x1y-86z', 67: '-50x28y-81z', 68: '-51x10y-84z', 69: '-51x21y-82z', 70: '-51x24y-82z', 71: '-51x4y-85z', 72: '-51x78y-35z', 73: '-51x7y-85z', 74: '-52x12y-84z', 75: '-52x15y-83z', 76: '-52x18y-83z', 77: '-52x77y-33z', 78: '-55x75y-36z', 79: '-56x74y-34z', 80: '-58x71y-37z', 81: '-58x80y0z', 82: '-60x71y-35z', 83: '-62x68y-38z', 84: '-63x68y-36z', 85: '-63x77y0z', 86: '-65x64y-39z', 87: '-66x64y-37z', 88: '-67x74y-1z', 89: '-68x60y-40z', 90: '-69x60y-38z', 91: '-6x38y-92z', 92: '-70x70y-2z', 93: '-71x57y-41z', 94: '-73x52y-41z', 95: '-74x66y-3z', 96: '-76x48y-42z', 97: '-77x62y-4z', 98: '-78x44y-43z', 99: '-79x40y-44z', 100: '-80x58y-5z', 101: '-81x35y-45z', 102: '-82x31y-46z', 103: '-83x26y-47z', 104: '-83x54y-6z', 105: '-84x22y-48z', 106: '-85x0y-52z', 107: '-85x13y-49z', 108: '-85x17y-49z', 109: '-85x4y-51z', 110: '-85x8y-50z', 111: '-86x49y-7z', 112: '-88x45y-8z', 113: '-8x36y-92z', 114: '-8x71y-69z', 115: '-91x40y-9z', 116: '-92x35y-10z', 117: '-94x30y-11z', 118: '-95x25y-12z', 119: '-96x20y-13z', 120: '-97x15y-14z', 121: '-98x0y-17z', 122: '-98x10y-15z', 123: '-98x4y-16z', 124: '0x0y-99z'}
 
                  
            else:
                print("\n (STEP 441F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 441F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 441F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
      

    #========
    # 200 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six2004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 542F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX2004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six2004xi = queue2six.get()
                if fire2six2004xi is None:
                    fire2six2004xi = shot2six2004xi
                    print("\n (STEP 542F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX2004XI TO SHOT2SIX2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 542F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX2004XI: ", fire2six2004xi) 
                    # FIRE2SIX2004XI:  {1: '-100x3y-172z', 2: '-101x56y-163z', 3: '-102x156y-70z', 4: '-102x49y-164z', 5: '-102x8y-171z', 6: '-103x14y-170z', 7: '-103x20y-169z', 8: '-103x43y-165z', 9: '-104x25y-168z', 10: '-104x31y-167z', 11: '-104x37y-166z', 12: '-105x155y-67z', 13: '-110x150y-72z', 14: '-112x149y-69z', 15: '-117x143y-74z', 16: '-120x143y-71z', 17: '-124x136y-76z', 18: '-126x136y-73z', 19: '-126x155y0z', 20: '-130x129y-78z', 21: '-133x128y-75z', 22: '-134x148y-2z', 23: '-136x121y-80z', 24: '-139x121y-77z', 25: '-13x76y-184z', 26: '-141x141y-4z', 27: '-142x114y-82z', 28: '-144x113y-78z', 29: '-147x105y-83z', 30: '-148x133y-6z', 31: '-152x97y-85z', 32: '-155x125y-8z', 33: '-156x89y-87z', 34: '-159x80y-89z', 35: '-161x117y-10z', 36: '-163x71y-91z', 37: '-165x62y-92z', 38: '-167x108y-12z', 39: '-167x53y-94z', 40: '-169x44y-96z', 41: '-170x0y-105z', 42: '-170x35y-98z', 43: '-171x17y-101z', 44: '-171x26y-99z', 45: '-171x8y-103z', 46: '-172x99y-14z', 47: '-177x90y-16z', 48: '-17x142y-139z', 49: '-17x73y-185z', 50: '-182x80y-18z', 51: '-185x70y-20z', 52: '-189x60y-22z', 53: '-191x50y-24z', 54: '-193x40y-26z', 55: '-195x30y-28z', 56: '-196x20y-30z', 57: '-197x0y-34z', 58: '-197x9y-32z', 59: '-1x0y-199z', 60: '-20x70y-185z', 61: '-21x191y-53z', 62: '-224x157y-121z', 63: '-23x67y-186z', 64: '-24x139y-141z', 65: '-25x0y-198z', 66: '-26x64y-187z', 67: '-27x0y-198z', 68: '-29x2y-197z', 69: '-29x61y-188z', 70: '-31x136y-142z', 71: '-31x189y-55z', 72: '-31x4y-197z', 73: '-31x58y-188z', 74: '-32x6y-197z', 75: '-33x190y-52z', 76: '-33x55y-189z', 77: '-34x8y-196z', 78: '-35x10y-196z', 79: '-35x51y-189z', 80: '-36x48y-190z', 81: '-37x13y-196z', 82: '-37x44y-191z', 83: '-38x133y-143z', 84: '-38x15y-195z', 85: '-38x18y-195z', 86: '-38x41y-191z', 87: '-39x21y-194z', 88: '-39x37y-192z', 89: '-40x187y-57z', 90: '-40x24y-194z', 91: '-40x27y-193z', 92: '-40x31y-193z', 93: '-40x34y-192z', 94: '-43x187y-54z', 95: '-44x129y-145z', 96: '-50x184y-59z', 97: '-51x126y-146z', 98: '-52x184y-56z', 99: '-57x121y-147z', 100: '-59x180y-61z', 101: '-5x80y-182z', 102: '-62x117y-149z', 103: '-62x180y-58z', 104: '-67x112y-150z', 105: '-68x176y-63z', 106: '-71x176y-60z', 107: '-72x107y-151z', 108: '-77x102y-153z', 109: '-77x172y-65z', 110: '-80x172y-62z', 111: '-81x97y-154z', 112: '-85x91y-155z', 113: '-86x167y-67z', 114: '-89x167y-63z', 115: '-89x85y-157z', 116: '-92x80y-158z', 117: '-94x162y-69z', 118: '-95x74y-159z', 119: '-97x161y-65z', 120: '-97x68y-160z', 121: '-99x62y-161z', 122: '-9x78y-183z'}
 
                  
            else:
                print("\n (STEP 542F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 542F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 542F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six3004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 543F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX3004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six3004xi = queue2six.get()
                if fire2six3004xi is None:
                    fire2six3004xi = shot2six3004xi
                    print("\n (STEP 543F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX3004XI TO SHOT2SIX3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 543F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX3004XI: ", fire2six3004xi) 
                    # FIRE2SIX3004XI:  {1: '-101x168y-225z', 2: '-103x265y-95z', 3: '-107x265y-90z', 4: '-109x161y-227z', 5: '-116x153y-229z', 6: '-116x258y-98z', 7: '-120x258y-93z', 8: '-122x145y-231z', 9: '-128x137y-233z', 10: '-129x251y-100z', 11: '-133x128y-235z', 12: '-133x250y-95z', 13: '-138x120y-237z', 14: '-142x111y-239z', 15: '-142x243y-103z', 16: '-146x102y-241z', 17: '-146x242y-98z', 18: '-149x93y-242z', 19: '-14x118y-275z', 20: '-151x5y-259z', 21: '-152x84y-244z', 22: '-153x13y-257z', 23: '-153x234y-106z', 24: '-154x21y-256z', 25: '-154x74y-246z', 26: '-155x30y-254z', 27: '-155x65y-247z', 28: '-156x38y-252z', 29: '-156x47y-251z', 30: '-156x56y-249z', 31: '-157x233y-101z', 32: '-165x225y-109z', 33: '-169x224y-104z', 34: '-176x215y-112z', 35: '-180x214y-107z', 36: '-186x204y-114z', 37: '-189x232y0z', 38: '-190x204y-110z', 39: '-196x194y-117z', 40: '-200x192y-112z', 41: '-201x222y-3z', 42: '-205x182y-120z', 43: '-209x181y-115z', 44: '-20x114y-276z', 45: '-212x211y-6z', 46: '-213x171y-123z', 47: '-217x169y-118z', 48: '-221x158y-125z', 49: '-223x200y-9z', 50: '-224x157y-121z', 51: '-228x146y-128z', 52: '-231x144y-123z', 53: '-233x188y-12z', 54: '-234x133y-131z', 55: '-239x120y-133z', 56: '-242x175y-15z', 57: '-244x107y-136z', 58: '-248x93y-139z', 59: '-251x162y-18z', 60: '-251x80y-141z', 61: '-254x66y-144z', 62: '-255x53y-147z', 63: '-256x12y-154z', 64: '-256x39y-149z', 65: '-257x25y-152z', 66: '-259x149y-21z', 67: '-25x110y-277z', 68: '-266x135y-24z', 69: '-26x213y-209z', 70: '-273x120y-27z', 71: '-278x106y-30z', 72: '-283x91y-33z', 73: '-287x76y-36z', 74: '-290x61y-39z', 75: '-293x45y-42z', 76: '-294x30y-45z', 77: '-295x0y-51z', 78: '-295x14y-48z', 79: '-30x106y-278z', 80: '-317x175y-168z', 81: '-31x287y-80z', 82: '-35x101y-279z', 83: '-37x209y-211z', 84: '-38x0y-297z', 85: '-39x97y-280z', 86: '-41x1y-297z', 87: '-43x92y-282z', 88: '-44x3y-296z', 89: '-46x284y-83z', 90: '-46x6y-296z', 91: '-47x205y-213z', 92: '-47x87y-283z', 93: '-49x9y-295z', 94: '-50x285y-78z', 95: '-50x82y-284z', 96: '-51x12y-295z', 97: '-52x77y-284z', 98: '-53x16y-294z', 99: '-55x19y-294z', 100: '-55x72y-285z', 101: '-56x67y-286z', 102: '-57x200y-215z', 103: '-57x23y-293z', 104: '-58x28y-292z', 105: '-58x62y-287z', 106: '-59x32y-292z', 107: '-59x56y-288z', 108: '-60x37y-291z', 109: '-60x41y-290z', 110: '-60x46y-290z', 111: '-60x51y-289z', 112: '-61x280y-86z', 113: '-65x281y-81z', 114: '-67x194y-217z', 115: '-75x276y-89z', 116: '-76x189y-219z', 117: '-79x276y-84z', 118: '-85x182y-221z', 119: '-89x271y-92z', 120: '-8x121y-274z', 121: '-93x176y-223z', 122: '-93x271y-87z'}
 
                  
            else:
                print("\n (STEP 543F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 543F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 543F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


       
    #========
    # 400 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six4004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 544F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX4004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six4004xi = queue2six.get()
                if fire2six4004xi is None:
                    fire2six4004xi = shot2six4004xi
                    print("\n (STEP 544F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX4004XI TO SHOT2SIX4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 544F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX4004XI: ", fire2six4004xi) 
                    # FIRE2SIX4004XI:  {1: '-100x368y-119z', 2: '-102x252y-293z', 3: '-105x368y-112z', 4: '-114x243y-295z', 5: '-119x361y-123z', 6: '-11x161y-365z', 7: '-124x361y-116z', 8: '-125x234y-298z', 9: '-135x225y-301z', 10: '-137x353y-126z', 11: '-143x353y-120z', 12: '-145x215y-303z', 13: '-155x205y-306z', 14: '-155x344y-130z', 15: '-160x344y-124z', 16: '-163x194y-309z', 17: '-171x183y-311z', 18: '-172x334y-134z', 19: '-178x171y-314z', 20: '-178x334y-127z', 21: '-184x160y-316z', 22: '-189x324y-138z', 23: '-190x148y-318z', 24: '-194x323y-131z', 25: '-195x136y-321z', 26: '-199x124y-323z', 27: '-19x157y-367z', 28: '-201x6y-345z', 29: '-202x112y-326z', 30: '-204x17y-343z', 31: '-205x312y-141z', 32: '-205x99y-328z', 33: '-206x28y-341z', 34: '-207x40y-339z', 35: '-207x87y-330z', 36: '-208x51y-337z', 37: '-208x75y-332z', 38: '-209x63y-335z', 39: '-210x311y-135z', 40: '-220x300y-145z', 41: '-225x299y-139z', 42: '-235x287y-149z', 43: '-240x286y-142z', 44: '-248x273y-153z', 45: '-252x310y-1z', 46: '-253x272y-146z', 47: '-261x258y-156z', 48: '-266x257y-150z', 49: '-268x296y-5z', 50: '-273x243y-160z', 51: '-278x242y-154z', 52: '-27x152y-368z', 53: '-283x282y-9z', 54: '-284x228y-164z', 55: '-289x226y-157z', 56: '-294x211y-167z', 57: '-297x266y-13z', 58: '-299x209y-161z', 59: '-304x195y-171z', 60: '-309x192y-165z', 61: '-311x250y-17z', 62: '-312x178y-174z', 63: '-319x160y-178z', 64: '-323x234y-21z', 65: '-326x143y-182z', 66: '-331x125y-185z', 67: '-335x107y-189z', 68: '-335x216y-25z', 69: '-339x88y-192z', 70: '-341x70y-196z', 71: '-342x16y-206z', 72: '-342x34y-203z', 73: '-342x52y-199z', 74: '-345x198y-29z', 75: '-34x147y-370z', 76: '-355x180y-33z', 77: '-35x284y-279z', 78: '-364x161y-37z', 79: '-371x141y-41z', 80: '-378x121y-45z', 81: '-383x101y-49z', 82: '-387x81y-53z', 83: '-391x61y-56z', 84: '-393x40y-60z', 85: '-394x0y-68z', 86: '-394x19y-64z', 87: '-396x219y-210z', 88: '-41x141y-371z', 89: '-42x382y-107z', 90: '-47x135y-373z', 91: '-49x279y-282z', 92: '-53x129y-374z', 93: '-54x1y-396z', 94: '-58x123y-376z', 95: '-58x4y-395z', 96: '-62x116y-377z', 97: '-62x379y-111z', 98: '-62x8y-395z', 99: '-63x273y-284z', 100: '-65x12y-394z', 101: '-66x110y-378z', 102: '-67x380y-104z', 103: '-68x16y-393z', 104: '-70x103y-379z', 105: '-71x21y-392z', 106: '-73x96y-381z', 107: '-74x26y-392z', 108: '-75x89y-382z', 109: '-76x266y-287z', 110: '-76x31y-391z', 111: '-77x37y-390z', 112: '-77x82y-383z', 113: '-79x43y-389z', 114: '-79x75y-384z', 115: '-80x49y-388z', 116: '-80x55y-387z', 117: '-80x62y-386z', 118: '-80x69y-385z', 119: '-81x374y-115z', 120: '-86x375y-108z', 121: '-89x259y-290z'}
 
                  
            else:
                print("\n (STEP 544F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 544F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 544F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


                               
    #========
    # 500 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six5004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 545F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX5004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six5004xi = queue2six.get()
                if fire2six5004xi is None:
                    fire2six5004xi = shot2six5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX5004XI TO SHOT2SIX5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX5004XI: ", fire2six5004xi) 
                    # FIRE2SIX5004XI:  {1: '-100x62y-485z', 2: '-100x69y-484z', 3: '-100x78y-483z', 4: '-100x86y-482z', 5: '-101x467y-144z', 6: '-108x468y-136z', 7: '-112x324y-363z', 8: '-125x460y-149z', 9: '-127x315y-366z', 10: '-132x461y-140z', 11: '-142x304y-369z', 12: '-149x451y-153z', 13: '-14x202y-456z', 14: '-155x452y-145z', 15: '-156x293y-373z', 16: '-169x281y-376z', 17: '-172x441y-158z', 18: '-178x442y-150z', 19: '-182x269y-379z', 20: '-193x256y-383z', 21: '-194x430y-163z', 22: '-201x430y-155z', 23: '-204x242y-386z', 24: '-214x229y-389z', 25: '-215x418y-168z', 26: '-222x418y-159z', 27: '-223x214y-392z', 28: '-231x200y-395z', 29: '-236x405y-172z', 30: '-238x185y-398z', 31: '-243x404y-164z', 32: '-244x170y-401z', 33: '-249x155y-404z', 34: '-24x196y-458z', 35: '-251x8y-431z', 36: '-253x140y-407z', 37: '-255x21y-429z', 38: '-256x124y-410z', 39: '-256x390y-177z', 40: '-257x35y-426z', 41: '-259x109y-413z', 42: '-259x50y-424z', 43: '-260x94y-416z', 44: '-261x64y-421z', 45: '-261x79y-418z', 46: '-263x389y-169z', 47: '-275x375y-182z', 48: '-282x374y-174z', 49: '-293x358y-186z', 50: '-300x357y-178z', 51: '-310x341y-191z', 52: '-315x387y-1z', 53: '-317x340y-183z', 54: '-326x323y-195z', 55: '-333x321y-188z', 56: '-335x370y-6z', 57: '-341x304y-200z', 58: '-348x302y-192z', 59: '-34x190y-460z', 60: '-354x352y-11z', 61: '-355x285y-205z', 62: '-362x282y-197z', 63: '-368x264y-209z', 64: '-372x333y-16z', 65: '-374x262y-201z', 66: '-380x244y-214z', 67: '-386x241y-206z', 68: '-388x313y-21z', 69: '-390x222y-218z', 70: '-396x219y-210z', 71: '-399x201y-223z', 72: '-404x292y-26z', 73: '-407x178y-227z', 74: '-414x156y-232z', 75: '-419x133y-236z', 76: '-419x270y-31z', 77: '-423x111y-240z', 78: '-426x88y-245z', 79: '-427x20y-258z', 80: '-428x42y-253z', 81: '-428x65y-249z', 82: '-432x248y-36z', 83: '-43x184y-462z', 84: '-444x225y-41z', 85: '-44x355y-349z', 86: '-455x201y-46z', 87: '-464x177y-51z', 88: '-472x152y-56z', 89: '-479x127y-61z', 90: '-484x101y-66z', 91: '-486x237y-258z', 92: '-488x76y-71z', 93: '-491x50y-76z', 94: '-492x24y-81z', 95: '-51x177y-464z', 96: '-52x478y-134z', 97: '-59x169y-466z', 98: '-62x348y-352z', 99: '-66x162y-468z', 100: '-68x2y-495z', 101: '-72x154y-470z', 102: '-73x6y-494z', 103: '-77x10y-493z', 104: '-77x473y-139z', 105: '-78x146y-471z', 106: '-79x341y-356z', 107: '-82x15y-492z', 108: '-83x137y-473z', 109: '-84x475y-131z', 110: '-85x21y-492z', 111: '-87x129y-474z', 112: '-89x26y-491z', 113: '-91x120y-476z', 114: '-92x33y-490z', 115: '-94x112y-477z', 116: '-95x39y-489z', 117: '-96x333y-359z', 118: '-97x103y-479z', 119: '-97x47y-488z', 120: '-99x54y-487z', 121: '-99x94y-480z'}
 
                  
            else:
                print("\n (STEP 545F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 545F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 545F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six6004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 546F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX6004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six6004xi = queue2six.get()
                if fire2six6004xi is None:
                    fire2six6004xi = shot2six6004xi
                    print("\n (STEP 546F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX6004XI TO SHOT2SIX6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 546F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX6004XI: ", fire2six6004xi) 
                    # FIRE2SIX6004XI:  {1: '-100x165y-568z', 2: '-100x570y-157z', 3: '-103x25y-590z', 4: '-105x155y-569z', 5: '-107x32y-589z', 6: '-110x144y-571z', 7: '-111x39y-588z', 8: '-113x134y-573z', 9: '-114x47y-587z', 10: '-115x400y-431z', 11: '-116x124y-575z', 12: '-116x56y-585z', 13: '-118x113y-576z', 14: '-118x65y-584z', 15: '-120x103y-578z', 16: '-120x74y-583z', 17: '-120x83y-581z', 18: '-121x93y-580z', 19: '-122x561y-173z', 20: '-130x562y-163z', 21: '-134x389y-435z', 22: '-151x552y-178z', 23: '-153x378y-439z', 24: '-158x553y-169z', 25: '-171x365y-443z', 26: '-179x542y-184z', 27: '-17x242y-548z', 28: '-187x352y-447z', 29: '-187x542y-174z', 30: '-203x337y-451z', 31: '-206x530y-190z', 32: '-214x530y-180z', 33: '-218x323y-455z', 34: '-232x307y-459z', 35: '-233x516y-196z', 36: '-241x516y-186z', 37: '-245x291y-463z', 38: '-257x274y-467z', 39: '-259x502y-201z', 40: '-267x257y-471z', 41: '-267x501y-191z', 42: '-277x240y-474z', 43: '-284x486y-207z', 44: '-285x222y-478z', 45: '-292x485y-197z', 46: '-293x204y-482z', 47: '-299x186y-485z', 48: '-29x236y-550z', 49: '-302x10y-518z', 50: '-304x168y-489z', 51: '-306x26y-515z', 52: '-307x468y-212z', 53: '-308x149y-492z', 54: '-309x43y-512z', 55: '-311x131y-495z', 56: '-311x60y-509z', 57: '-312x113y-499z', 58: '-313x77y-505z', 59: '-313x95y-502z', 60: '-315x467y-203z', 61: '-330x450y-218z', 62: '-338x449y-208z', 63: '-352x430y-224z', 64: '-360x429y-214z', 65: '-373x409y-229z', 66: '-378x465y-1z', 67: '-380x408y-220z', 68: '-392x388y-235z', 69: '-400x385y-225z', 70: '-402x444y-7z', 71: '-410x365y-240z', 72: '-418x363y-231z', 73: '-41x228y-553z', 74: '-425x423y-13z', 75: '-427x342y-246z', 76: '-434x339y-236z', 77: '-442x317y-251z', 78: '-446x400y-19z', 79: '-449x314y-242z', 80: '-456x292y-257z', 81: '-463x289y-247z', 82: '-466x376y-25z', 83: '-468x267y-262z', 84: '-475x263y-253z', 85: '-479x241y-267z', 86: '-485x351y-31z', 87: '-489x214y-273z', 88: '-497x187y-278z', 89: '-502x325y-37z', 90: '-503x160y-283z', 91: '-508x133y-289z', 92: '-511x106y-294z', 93: '-513x24y-309z', 94: '-513x78y-299z', 95: '-514x51y-304z', 96: '-518x298y-43z', 97: '-51x220y-555z', 98: '-533x270y-49z', 99: '-53x426y-418z', 100: '-546x241y-55z', 101: '-557x212y-61z', 102: '-567x182y-67z', 103: '-567x276y-301z', 104: '-575x152y-73z', 105: '-581x122y-79z', 106: '-586x91y-85z', 107: '-589x60y-91z', 108: '-591x29y-97z', 109: '-61x212y-557z', 110: '-63x574y-161z', 111: '-71x203y-559z', 112: '-74x418y-423z', 113: '-79x194y-561z', 114: '-82x2y-594z', 115: '-87x185y-564z', 116: '-88x7y-593z', 117: '-93x12y-592z', 118: '-93x568y-167z', 119: '-94x175y-566z', 120: '-95x410y-427z', 121: '-98x18y-591z'}
 
                  
            else:
                print("\n (STEP 546F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 546F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 546F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


        
    #========
    # 700 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six7004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 547F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX7004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six7004xi = queue2six.get()
                if fire2six7004xi is None:
                    fire2six7004xi = shot2six7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX7004XI TO SHOT2SIX7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 547F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX7004XI: ", fire2six7004xi) 
                    # FIRE2SIX7004XI:  {1: '-101x215y-658z', 2: '-102x8y-692z', 3: '-108x663y-195z', 4: '-109x14y-691z', 5: '-109x204y-660z', 6: '-111x478y-498z', 7: '-114x21y-690z', 8: '-116x192y-662z', 9: '-117x665y-183z', 10: '-120x29y-688z', 11: '-123x180y-664z', 12: '-125x37y-687z', 13: '-128x168y-667z', 14: '-129x46y-686z', 15: '-132x156y-669z', 16: '-133x55y-684z', 17: '-134x467y-503z', 18: '-136x144y-671z', 19: '-136x65y-683z', 20: '-138x132y-673z', 21: '-138x76y-681z', 22: '-140x121y-675z', 23: '-140x86y-680z', 24: '-141x109y-676z', 25: '-141x97y-678z', 26: '-142x654y-202z', 27: '-151x656y-190z', 28: '-157x454y-508z', 29: '-176x644y-208z', 30: '-179x441y-513z', 31: '-185x645y-197z', 32: '-199x426y-517z', 33: '-209x632y-215z', 34: '-20x283y-639z', 35: '-218x633y-203z', 36: '-219x410y-522z', 37: '-237x394y-527z', 38: '-241x618y-222z', 39: '-250x618y-210z', 40: '-255x376y-531z', 41: '-271x358y-536z', 42: '-272x602y-228z', 43: '-281x602y-217z', 44: '-286x340y-540z', 45: '-299x320y-545z', 46: '-302x585y-235z', 47: '-311x585y-223z', 48: '-312x300y-549z', 49: '-323x280y-553z', 50: '-331x567y-241z', 51: '-333x259y-558z', 52: '-340x566y-230z', 53: '-341x238y-562z', 54: '-349x217y-566z', 55: '-34x275y-642z', 56: '-352x11y-604z', 57: '-354x196y-570z', 58: '-357x30y-601z', 59: '-359x174y-574z', 60: '-359x546y-248z', 61: '-361x50y-597z', 62: '-362x153y-578z', 63: '-363x70y-593z', 64: '-365x111y-586z', 65: '-365x132y-582z', 66: '-365x90y-590z', 67: '-368x545y-237z', 68: '-385x525y-254z', 69: '-395x523y-243z', 70: '-411x502y-261z', 71: '-420x500y-250z', 72: '-435x478y-267z', 73: '-441x543y-2z', 74: '-444x476y-256z', 75: '-457x452y-274z', 76: '-466x450y-263z', 77: '-469x519y-9z', 78: '-478x426y-280z', 79: '-487x423y-269z', 80: '-48x266y-645z', 81: '-495x493y-16z', 82: '-498x399y-287z', 83: '-507x395y-276z', 84: '-516x370y-293z', 85: '-520x466y-23z', 86: '-524x367y-282z', 87: '-532x341y-299z', 88: '-540x337y-288z', 89: '-544x438y-30z', 90: '-546x311y-306z', 91: '-555x307y-295z', 92: '-559x281y-312z', 93: '-566x409y-37z', 94: '-570x250y-318z', 95: '-579x219y-324z', 96: '-586x379y-43z', 97: '-587x187y-331z', 98: '-593x155y-337z', 99: '-597x123y-343z', 100: '-598x28y-361z', 101: '-599x59y-355z', 102: '-599x91y-349z', 103: '-605x347y-50z', 104: '-60x257y-647z', 105: '-61x497y-488z', 106: '-622x315y-57z', 107: '-637x282y-64z', 108: '-649x316y-344z', 109: '-650x248y-71z', 110: '-661x213y-78z', 111: '-671x178y-85z', 112: '-678x142y-92z', 113: '-684x106y-99z', 114: '-688x70y-106z', 115: '-689x34y-113z', 116: '-72x248y-650z', 117: '-73x670y-188z', 118: '-82x237y-653z', 119: '-86x488y-493z', 120: '-92x227y-655z', 121: '-96x2y-693z'}
 
                  
            else:
                print("\n (STEP 547F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 547F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 547F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


          
    #========
    # 800 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six8004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 548F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX8004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six8004xi = queue2six.get()
                if fire2six8004xi is None:
                    fire2six8004xi = shot2six8004xi
                    print("\n (STEP 548F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX8004XI TO SHOT2SIX8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 548F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX8004XI: ", fire2six8004xi) 
                    # FIRE2SIX8004XI:  {1: '-106x259y-749z', 2: '-109x3y-792z', 3: '-116x246y-752z', 4: '-117x9y-791z', 5: '-124x17y-790z', 6: '-124x758y-223z', 7: '-125x233y-754z', 8: '-127x546y-569z', 9: '-131x24y-788z', 10: '-133x220y-757z', 11: '-134x760y-209z', 12: '-137x33y-787z', 13: '-140x206y-759z', 14: '-143x43y-785z', 15: '-146x193y-762z', 16: '-148x53y-784z', 17: '-151x179y-764z', 18: '-152x63y-782z', 19: '-153x533y-575z', 20: '-155x165y-767z', 21: '-155x75y-781z', 22: '-158x151y-769z', 23: '-158x87y-779z', 24: '-160x138y-771z', 25: '-160x99y-777z', 26: '-161x111y-775z', 27: '-161x125y-773z', 28: '-163x748y-230z', 29: '-173x750y-217z', 30: '-179x519y-581z', 31: '-201x736y-238z', 32: '-204x504y-586z', 33: '-211x737y-225z', 34: '-228x487y-591z', 35: '-239x722y-246z', 36: '-23x323y-731z', 37: '-249x723y-233z', 38: '-250x469y-597z', 39: '-271x450y-602z', 40: '-275x706y-253z', 41: '-286x707y-240z', 42: '-291x430y-607z', 43: '-310x410y-612z', 44: '-311x689y-261z', 45: '-321x689y-248z', 46: '-327x388y-618z', 47: '-342x366y-623z', 48: '-345x669y-268z', 49: '-356x343y-628z', 50: '-356x669y-255z', 51: '-369x320y-633z', 52: '-378x648y-276z', 53: '-380x296y-637z', 54: '-389x647y-263z', 55: '-390x272y-642z', 56: '-398x248y-647z', 57: '-39x314y-734z', 58: '-402x13y-691z', 59: '-405x224y-652z', 60: '-408x35y-687z', 61: '-410x199y-656z', 62: '-410x625y-283z', 63: '-412x57y-682z', 64: '-414x175y-661z', 65: '-415x80y-678z', 66: '-417x103y-674z', 67: '-417x151y-665z', 68: '-418x127y-670z', 69: '-421x623y-270z', 70: '-441x600y-291z', 71: '-451x598y-278z', 72: '-470x574y-298z', 73: '-480x572y-285z', 74: '-497x546y-306z', 75: '-504x620y-2z', 76: '-507x544y-293z', 77: '-523x517y-313z', 78: '-533x514y-300z', 79: '-536x593y-10z', 80: '-547x487y-320z', 81: '-557x484y-308z', 82: '-55x305y-737z', 83: '-566x564y-18z', 84: '-569x456y-328z', 85: '-579x452y-315z', 86: '-589x423y-335z', 87: '-595x533y-26z', 88: '-599x419y-322z', 89: '-608x390y-342z', 90: '-618x385y-330z', 91: '-622x501y-34z', 92: '-624x356y-349z', 93: '-634x351y-337z', 94: '-639x321y-357z', 95: '-647x468y-42z', 96: '-652x286y-364z', 97: '-662x250y-371z', 98: '-670x433y-50z', 99: '-671x214y-378z', 100: '-678x177y-385z', 101: '-682x141y-392z', 102: '-684x32y-413z', 103: '-685x104y-399z', 104: '-685x68y-406z', 105: '-691x397y-58z', 106: '-69x294y-740z', 107: '-70x568y-558z', 108: '-711x360y-66z', 109: '-728x322y-74z', 110: '-730x355y-387z', 111: '-743x283y-82z', 112: '-756x243y-90z', 113: '-767x203y-98z', 114: '-775x163y-106z', 115: '-782x122y-113z', 116: '-786x80y-121z', 117: '-788x39y-129z', 118: '-82x283y-743z', 119: '-84x765y-215z', 120: '-94x271y-746z', 121: '-99x558y-564z'}
 
                  
            else:
                print("\n (STEP 548F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 548F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 548F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


        
    #========
    # 900 SIX
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six9004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 549F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX9004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six9004xi = queue2six.get()
                if fire2six9004xi is None:
                    fire2six9004xi = shot2six9004xi
                    print("\n (STEP 549F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX9004XI TO SHOT2SIX9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 549F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX9004XI: ", fire2six9004xi) 
                    # FIRE2SIX9004XI:  {1: '-106x305y-839z', 2: '-111x628y-634z', 3: '-119x291y-842z', 4: '-123x3y-891z', 5: '-130x277y-846z', 6: '-132x11y-890z', 7: '-139x852y-251z', 8: '-140x19y-888z', 9: '-141x262y-849z', 10: '-143x615y-641z', 11: '-147x28y-887z', 12: '-150x247y-852z', 13: '-151x855y-236z', 14: '-154x37y-885z', 15: '-158x232y-854z', 16: '-161x48y-884z', 17: '-165x217y-857z', 18: '-166x59y-882z', 19: '-170x201y-860z', 20: '-171x71y-880z', 21: '-173x600y-647z', 22: '-175x186y-862z', 23: '-175x84y-878z', 24: '-178x170y-865z', 25: '-178x97y-876z', 26: '-180x111y-874z', 27: '-180x155y-867z', 28: '-181x125y-872z', 29: '-181x140y-870z', 30: '-183x841y-259z', 31: '-195x843y-244z', 32: '-202x584y-653z', 33: '-226x828y-268z', 34: '-230x567y-659z', 35: '-238x829y-253z', 36: '-256x548y-665z', 37: '-268x813y-276z', 38: '-26x364y-822z', 39: '-280x813y-262z', 40: '-281x528y-671z', 41: '-305x506y-677z', 42: '-310x795y-285z', 43: '-321x795y-270z', 44: '-327x484y-683z', 45: '-348x461y-689z', 46: '-350x775y-294z', 47: '-361x775y-279z', 48: '-367x437y-695z', 49: '-385x412y-700z', 50: '-388x753y-302z', 51: '-400x752y-287z', 52: '-401x386y-706z', 53: '-415x360y-712z', 54: '-426x729y-310z', 55: '-428x333y-717z', 56: '-438x728y-296z', 57: '-439x306y-723z', 58: '-448x279y-728z', 59: '-44x354y-826z', 60: '-453x15y-777z', 61: '-456x252y-733z', 62: '-459x39y-772z', 63: '-461x703y-319z', 64: '-462x224y-738z', 65: '-464x64y-768z', 66: '-466x197y-743z', 67: '-467x90y-763z', 68: '-469x116y-758z', 69: '-469x169y-748z', 70: '-470x143y-753z', 71: '-473x701y-304z', 72: '-496x675y-327z', 73: '-508x673y-313z', 74: '-528x646y-336z', 75: '-540x643y-321z', 76: '-559x614y-344z', 77: '-567x698y-2z', 78: '-571x612y-330z', 79: '-588x582y-352z', 80: '-600x578y-338z', 81: '-603x667y-11z', 82: '-615x548y-361z', 83: '-61x343y-829z', 84: '-627x544y-346z', 85: '-637x634y-20z', 86: '-640x513y-369z', 87: '-651x508y-355z', 88: '-663x476y-377z', 89: '-669x600y-29z', 90: '-674x471y-363z', 91: '-684x439y-385z', 92: '-695x434y-371z', 93: '-700x564y-38z', 94: '-702x400y-393z', 95: '-713x395y-379z', 96: '-719x361y-401z', 97: '-728x526y-47z', 98: '-733x322y-409z', 99: '-745x281y-417z', 100: '-754x487y-56z', 101: '-755x241y-425z', 102: '-762x200y-433z', 103: '-767x159y-441z', 104: '-769x36y-464z', 105: '-770x117y-449z', 106: '-771x76y-457z', 107: '-778x447y-65z', 108: '-77x331y-833z', 109: '-79x639y-628z', 110: '-800x405y-74z', 111: '-811x395y-430z', 112: '-819x362y-83z', 113: '-836x318y-92z', 114: '-851x274y-101z', 115: '-863x229y-110z', 116: '-872x183y-119z', 117: '-880x137y-128z', 118: '-884x91y-137z', 119: '-886x44y-145z', 120: '-92x318y-836z', 121: '-95x861y-242z'}
 
                  
            else:
                print("\n (STEP 549F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 549F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 549F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


        
    #=========
    # 1000 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six10004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 550F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX10004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six10004xi = queue2six.get()
                if fire2six10004xi is None:
                    fire2six10004xi = shot2six10004xi
                    print("\n (STEP 550F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX10004XI TO SHOT2SIX10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 550F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX10004XI: ", fire2six10004xi) 
                    # FIRE2SIX10004XI:  {1: '-103x354y-929z', 2: '-105x957y-269z', 3: '-118x339y-933z', 4: '-124x697y-705z', 5: '-132x324y-936z', 6: '-137x4y-990z', 7: '-145x308y-940z', 8: '-146x12y-989z', 9: '-155x21y-987z', 10: '-155x947y-279z', 11: '-156x292y-943z', 12: '-158x683y-712z', 13: '-164x31y-985z', 14: '-167x275y-946z', 15: '-168x950y-262z', 16: '-171x42y-984z', 17: '-175x258y-949z', 18: '-178x53y-982z', 19: '-183x241y-952z', 20: '-185x66y-980z', 21: '-189x224y-955z', 22: '-190x79y-978z', 23: '-192x667y-719z', 24: '-194x206y-958z', 25: '-194x94y-976z', 26: '-198x108y-974z', 27: '-198x189y-961z', 28: '-200x124y-971z', 29: '-200x172y-964z', 30: '-201x139y-969z', 31: '-201x156y-966z', 32: '-203x935y-288z', 33: '-216x937y-272z', 34: '-224x649y-726z', 35: '-251x920y-298z', 36: '-255x630y-733z', 37: '-264x922y-281z', 38: '-285x609y-739z', 39: '-298x903y-307z', 40: '-29x404y-913z', 41: '-311x904y-291z', 42: '-313x586y-746z', 43: '-339x563y-753z', 44: '-344x883y-317z', 45: '-357x884y-300z', 46: '-364x538y-759z', 47: '-387x512y-766z', 48: '-388x861y-326z', 49: '-402x861y-310z', 50: '-408x485y-772z', 51: '-428x458y-778z', 52: '-431x836y-336z', 53: '-445x836y-319z', 54: '-446x429y-785z', 55: '-462x400y-791z', 56: '-473x810y-345z', 57: '-476x370y-797z', 58: '-486x809y-329z', 59: '-488x340y-803z', 60: '-498x310y-809z', 61: '-49x393y-917z', 62: '-503x16y-863z', 63: '-507x280y-815z', 64: '-510x43y-858z', 65: '-513x249y-820z', 66: '-513x781y-354z', 67: '-515x71y-853z', 68: '-518x219y-826z', 69: '-519x100y-848z', 70: '-521x188y-832z', 71: '-522x129y-843z', 72: '-522x158y-837z', 73: '-526x779y-338z', 74: '-551x750y-364z', 75: '-564x748y-348z', 76: '-587x717y-373z', 77: '-600x715y-357z', 78: '-621x683y-382z', 79: '-631x775y-2z', 80: '-634x680y-366z', 81: '-653x647y-391z', 82: '-666x643y-376z', 83: '-670x741y-12z', 84: '-683x609y-401z', 85: '-68x381y-921z', 86: '-696x605y-385z', 87: '-708x705y-22z', 88: '-711x570y-410z', 89: '-724x565y-394z', 90: '-737x529y-419z', 91: '-744x667y-32z', 92: '-749x524y-403z', 93: '-760x488y-428z', 94: '-772x482y-412z', 95: '-777x627y-42z', 96: '-781x445y-437z', 97: '-793x439y-421z', 98: '-799x402y-446z', 99: '-809x585y-52z', 100: '-815x357y-455z', 101: '-828x313y-464z', 102: '-838x541y-62z', 103: '-839x267y-473z', 104: '-847x222y-481z', 105: '-853x176y-490z', 106: '-855x40y-516z', 107: '-856x131y-499z', 108: '-857x85y-507z', 109: '-864x496y-72z', 110: '-86x368y-925z', 111: '-888x450y-82z', 112: '-88x710y-698z', 113: '-892x434y-474z', 114: '-910x402y-92z', 115: '-929x354y-102z', 116: '-945x304y-112z', 117: '-959x254y-122z', 118: '-969x203y-132z', 119: '-977x152y-142z', 120: '-983x101y-152z', 121: '-985x49y-162z'}
 
                  
            else:
                print("\n (STEP 550F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 550F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 550F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1100 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six11004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 551F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX11004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six11004xi = queue2six.get()
                if fire2six11004xi is None:
                    fire2six11004xi = shot2six11004xi
                    print("\n (STEP 551F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX11004XI TO SHOT2SIX11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 551F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX11004XI: ", fire2six11004xi) 
                    # FIRE2SIX11004XI:  {1: '-1001x443y-102z', 2: '-1022x389y-112z', 3: '-1040x335y-123z', 4: '-1055x280y-134z', 5: '-1066x224y-145z', 6: '-1075x167y-156z', 7: '-1081x111y-167z', 8: '-1084x54y-178z', 9: '-113x389y-1022z', 10: '-116x1052y-296z', 11: '-130x373y-1026z', 12: '-136x767y-775z', 13: '-145x356y-1030z', 14: '-151x4y-1089z', 15: '-159x339y-1034z', 16: '-161x13y-1087z', 17: '-170x1042y-306z', 18: '-171x23y-1086z', 19: '-172x321y-1037z', 20: '-174x751y-783z', 21: '-180x34y-1084z', 22: '-183x303y-1041z', 23: '-184x1045y-288z', 24: '-189x46y-1082z', 25: '-193x284y-1044z', 26: '-196x59y-1080z', 27: '-201x265y-1048z', 28: '-203x73y-1078z', 29: '-208x246y-1051z', 30: '-209x87y-1076z', 31: '-211x734y-791z', 32: '-214x103y-1073z', 33: '-214x227y-1054z', 34: '-217x119y-1071z', 35: '-217x208y-1057z', 36: '-220x136y-1068z', 37: '-220x190y-1060z', 38: '-221x153y-1066z', 39: '-221x171y-1063z', 40: '-224x1029y-317z', 41: '-238x1031y-299z', 42: '-247x714y-798z', 43: '-277x1012y-328z', 44: '-281x693y-806z', 45: '-291x1014y-309z', 46: '-313x670y-813z', 47: '-328x993y-338z', 48: '-32x445y-1005z', 49: '-343x994y-320z', 50: '-344x645y-821z', 51: '-373x619y-828z', 52: '-378x971y-348z', 53: '-393x972y-330z', 54: '-400x592y-835z', 55: '-426x563y-842z', 56: '-427x947y-359z', 57: '-442x947y-341z', 58: '-449x534y-849z', 59: '-471x503y-856z', 60: '-475x920y-369z', 61: '-489x919y-351z', 62: '-490x472y-863z', 63: '-508x440y-870z', 64: '-520x891y-380z', 65: '-523x407y-877z', 66: '-535x890y-362z', 67: '-537x374y-883z', 68: '-548x341y-890z', 69: '-54x432y-1009z', 70: '-553x18y-950z', 71: '-557x308y-896z', 72: '-561x48y-944z', 73: '-564x859y-390z', 74: '-565x274y-902z', 75: '-567x78y-938z', 76: '-570x241y-909z', 77: '-571x110y-933z', 78: '-573x207y-915z', 79: '-574x142y-927z', 80: '-574x174y-921z', 81: '-579x857y-372z', 82: '-606x825y-400z', 83: '-621x823y-382z', 84: '-646x789y-410z', 85: '-660x786y-393z', 86: '-683x751y-421z', 87: '-694x853y-3z', 88: '-698x748y-403z', 89: '-719x711y-431z', 90: '-733x707y-413z', 91: '-737x815y-14z', 92: '-752x670y-441z', 93: '-75x419y-1014z', 94: '-766x665y-423z', 95: '-779x775y-25z', 96: '-782x627y-451z', 97: '-796x621y-433z', 98: '-810x582y-461z', 99: '-818x733y-36z', 100: '-824x576y-444z', 101: '-836x536y-471z', 102: '-849x530y-454z', 103: '-855x689y-47z', 104: '-859x490y-481z', 105: '-872x483y-464z', 106: '-879x442y-491z', 107: '-890x643y-58z', 108: '-896x393y-500z', 109: '-911x344y-510z', 110: '-922x595y-69z', 111: '-923x294y-520z', 112: '-932x244y-530z', 113: '-938x194y-539z', 114: '-940x44y-568z', 115: '-942x144y-549z', 116: '-942x94y-558z', 117: '-951x546y-80z', 118: '-95x405y-1018z', 119: '-973x474y-517z', 120: '-977x495y-91z', 121: '-97x781y-768z'}
 
                  
            else:
                print("\n (STEP 551F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 551F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 551F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


        
    #=========
    # 1200 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six12004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 552F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX12004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six12004xi = queue2six.get()
                if fire2six12004xi is None:
                    fire2six12004xi = shot2six12004xi
                    print("\n (STEP 552F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX12004XI TO SHOT2SIX12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 552F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX12004XI: ", fire2six12004xi) 
                    # FIRE2SIX12004XI:  {1: '-1005x650y-75z', 2: '-1007x321y-567z', 3: '-1017x266y-578z', 4: '-1023x212y-588z', 5: '-1026x48y-619z', 6: '-1027x157y-599z', 7: '-1028x102y-609z', 8: '-1037x596y-87z', 9: '-103x441y-1110z', 10: '-1054x513y-560z', 11: '-1066x540y-99z', 12: '-106x852y-837z', 13: '-1092x483y-111z', 14: '-1115x425y-123z', 15: '-1134x365y-135z', 16: '-1151x305y-147z', 17: '-1163x244y-159z', 18: '-1173x183y-170z', 19: '-1179x121y-182z', 20: '-1182x59y-194z', 21: '-123x425y-1115z', 22: '-126x1148y-323z', 23: '-142x407y-1119z', 24: '-149x837y-846z', 25: '-159x389y-1123z', 26: '-164x5y-1188z', 27: '-174x370y-1128z', 28: '-176x14y-1186z', 29: '-186x1137y-334z', 30: '-187x25y-1185z', 31: '-188x350y-1132z', 32: '-190x820y-854z', 33: '-197x37y-1183z', 34: '-200x330y-1136z', 35: '-201x1140y-314z', 36: '-206x50y-1181z', 37: '-211x310y-1139z', 38: '-214x64y-1178z', 39: '-220x289y-1143z', 40: '-222x79y-1176z', 41: '-227x268y-1147z', 42: '-228x95y-1174z', 43: '-230x800y-863z', 44: '-233x112y-1171z', 45: '-233x248y-1150z', 46: '-237x130y-1168z', 47: '-237x227y-1153z', 48: '-240x148y-1166z', 49: '-240x207y-1157z', 50: '-241x167y-1163z', 51: '-242x187y-1160z', 52: '-244x1122y-346z', 53: '-260x1125y-326z', 54: '-269x779y-871z', 55: '-302x1104y-357z', 56: '-306x756y-879z', 57: '-317x1106y-338z', 58: '-342x731y-887z', 59: '-358x1084y-369z', 60: '-35x485y-1096z', 61: '-374x1085y-349z', 62: '-375x704y-895z', 63: '-407x675y-903z', 64: '-413x1060y-380z', 65: '-429x1060y-360z', 66: '-437x646y-911z', 67: '-465x615y-919z', 68: '-466x1033y-392z', 69: '-482x1033y-372z', 70: '-490x582y-927z', 71: '-514x549y-934z', 72: '-518x1004y-403z', 73: '-534x1003y-383z', 74: '-535x515y-942z', 75: '-554x480y-949z', 76: '-568x972y-414z', 77: '-571x444y-956z', 78: '-584x970y-395z', 79: '-586x408y-964z', 80: '-598x372y-971z', 81: '-59x472y-1101z', 82: '-604x20y-1036z', 83: '-608x336y-978z', 84: '-612x52y-1030z', 85: '-615x937y-425z', 86: '-616x299y-985z', 87: '-619x86y-1024z', 88: '-622x262y-991z', 89: '-623x120y-1018z', 90: '-625x226y-998z', 91: '-626x155y-1011z', 92: '-627x190y-1005z', 93: '-631x935y-406z', 94: '-661x900y-437z', 95: '-677x898y-417z', 96: '-705x861y-448z', 97: '-720x858y-428z', 98: '-746x819y-459z', 99: '-757x930y-3z', 100: '-761x816y-440z', 101: '-784x776y-470z', 102: '-800x771y-451z', 103: '-804x889y-15z', 104: '-820x731y-481z', 105: '-82x457y-1106z', 106: '-836x726y-462z', 107: '-850x846y-27z', 108: '-854x684y-492z', 109: '-869x678y-473z', 110: '-884x635y-503z', 111: '-893x800y-39z', 112: '-899x629y-484z', 113: '-912x585y-514z', 114: '-927x578y-495z', 115: '-933x752y-51z', 116: '-937x534y-524z', 117: '-951x526y-506z', 118: '-959x482y-535z', 119: '-971x702y-63z', 120: '-978x429y-546z', 121: '-994x375y-557z'}
 
                  
            else:
                print("\n (STEP 552F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 552F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 552F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               


        
    #=========
    # 1300 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six13004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 553F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX13004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six13004xi = queue2six.get()
                if fire2six13004xi is None:
                    fire2six13004xi = shot2six13004xi
                    print("\n (STEP 553F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX13004XI TO SHOT2SIX13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 553F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX13004XI: ", fire2six13004xi) 
                    # FIRE2SIX13004XI:  {1: '-1004x626y-536z', 2: '-1011x815y-55z', 3: '-1015x579y-568z', 4: '-1031x570y-548z', 5: '-1039x522y-580z', 6: '-1051x760y-68z', 7: '-1059x465y-591z', 8: '-1077x406y-603z', 9: '-1089x704y-81z', 10: '-1091x348y-615z', 11: '-1101x289y-626z', 12: '-1109x229y-637z', 13: '-1111x52y-671z', 14: '-1113x170y-649z', 15: '-1114x111y-660z', 16: '-1124x645y-94z', 17: '-112x478y-1203z', 18: '-1135x553y-603z', 19: '-114x923y-907z', 20: '-1155x585y-107z', 21: '-1183x523y-120z', 22: '-1208x460y-133z', 23: '-1229x396y-146z', 24: '-1246x331y-159z', 25: '-1260x265y-172z', 26: '-1271x198y-185z', 27: '-1278x131y-197z', 28: '-1281x64y-210z', 29: '-134x460y-1208z', 30: '-137x1244y-350z', 31: '-154x441y-1212z', 32: '-161x907y-916z', 33: '-172x421y-1217z', 34: '-178x5y-1287z', 35: '-188x401y-1222z', 36: '-191x15y-1285z', 37: '-201x1231y-362z', 38: '-202x27y-1283z', 39: '-203x379y-1226z', 40: '-206x888y-926z', 41: '-213x40y-1281z', 42: '-217x358y-1230z', 43: '-218x1235y-341z', 44: '-223x54y-1279z', 45: '-228x336y-1234z', 46: '-232x70y-1277z', 47: '-238x313y-1238z', 48: '-240x86y-1274z', 49: '-246x291y-1242z', 50: '-247x103y-1271z', 51: '-250x867y-935z', 52: '-252x269y-1246z', 53: '-253x122y-1269z', 54: '-257x141y-1266z', 55: '-257x246y-1250z', 56: '-260x161y-1263z', 57: '-260x224y-1253z', 58: '-262x181y-1260z', 59: '-262x203y-1256z', 60: '-265x1216y-375z', 61: '-282x1218y-353z', 62: '-292x844y-944z', 63: '-327x1196y-387z', 64: '-332x819y-953z', 65: '-344x1198y-366z', 66: '-370x792y-961z', 67: '-388x1174y-400z', 68: '-38x526y-1188z', 69: '-405x1175y-378z', 70: '-407x763y-970z', 71: '-441x732y-979z', 72: '-447x1148y-412z', 73: '-465x1149y-391z', 74: '-473x700y-987z', 75: '-503x666y-996z', 76: '-505x1119y-424z', 77: '-522x1119y-403z', 78: '-531x631y-1004z', 79: '-556x595y-1012z', 80: '-561x1087y-436z', 81: '-578x1087y-415z', 82: '-580x558y-1020z', 83: '-600x520y-1028z', 84: '-615x1053y-449z', 85: '-618x482y-1036z', 86: '-632x1051y-428z', 87: '-634x443y-1044z', 88: '-648x403y-1052z', 89: '-64x511y-1193z', 90: '-654x21y-1123z', 91: '-659x364y-1059z', 92: '-663x57y-1116z', 93: '-667x1015y-461z', 94: '-667x324y-1067z', 95: '-670x93y-1109z', 96: '-674x284y-1074z', 97: '-675x130y-1102z', 98: '-677x245y-1081z', 99: '-678x168y-1095z', 100: '-679x206y-1088z', 101: '-684x1013y-440z', 102: '-716x975y-473z', 103: '-733x972y-452z', 104: '-763x933y-485z', 105: '-780x929y-464z', 106: '-808x888y-497z', 107: '-820x1008y-3z', 108: '-825x884y-476z', 109: '-850x841y-509z', 110: '-866x836y-488z', 111: '-871x964y-16z', 112: '-889x792y-521z', 113: '-89x495y-1198z', 114: '-905x786y-500z', 115: '-921x916y-29z', 116: '-925x741y-533z', 117: '-941x734y-512z', 118: '-958x688y-545z', 119: '-967x867y-42z', 120: '-974x681y-524z', 121: '-988x634y-557z'}
 
                  
            else:
                print("\n (STEP 553F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 553F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 553F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1400 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six14004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 554F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX14004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six14004xi = queue2six.get()
                if fire2six14004xi is None:
                    fire2six14004xi = shot2six14004xi
                    print("\n (STEP 554F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX14004XI TO SHOT2SIX14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 554F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX14004XI: ", fire2six14004xi) 
                    # FIRE2SIX14004XI:  {1: '-1014x791y-552z', 2: '-1032x741y-587z', 3: '-1041x933y-46z', 4: '-1049x734y-565z', 5: '-1064x683y-599z', 6: '-1081x675y-577z', 7: '-1088x877y-60z', 8: '-1093x623y-612z', 9: '-1110x614y-590z', 10: '-1119x562y-625z', 11: '-1132x819y-74z', 12: '-1141x500y-637z', 13: '-1159x438y-649z', 14: '-1173x758y-87z', 15: '-1175x374y-662z', 16: '-1186x311y-674z', 17: '-1194x247y-686z', 18: '-1197x56y-723z', 19: '-1199x119y-711z', 20: '-1199x183y-699z', 21: '-1210x695y-101z', 22: '-1216x592y-646z', 23: '-121x515y-1295z', 24: '-123x994y-977z', 25: '-1244x630y-115z', 26: '-1274x564y-129z', 27: '-1301x496y-143z', 28: '-1323x426y-157z', 29: '-1342x356y-171z', 30: '-1357x285y-185z', 31: '-1369x213y-199z', 32: '-1376x141y-213z', 33: '-1379x69y-227z', 34: '-144x496y-1301z', 35: '-147x1340y-377z', 36: '-165x475y-1306z', 37: '-173x977y-987z', 38: '-185x454y-1311z', 39: '-192x5y-1386z', 40: '-203x431y-1316z', 41: '-205x17y-1384z', 42: '-217x1326y-390z', 43: '-218x29y-1382z', 44: '-219x409y-1320z', 45: '-222x956y-997z', 46: '-229x43y-1380z', 47: '-233x385y-1325z', 48: '-235x1330y-367z', 49: '-240x58y-1377z', 50: '-246x361y-1329z', 51: '-250x75y-1375z', 52: '-256x337y-1334z', 53: '-259x93y-1372z', 54: '-265x313y-1338z', 55: '-266x111y-1369z', 56: '-269x934y-1007z', 57: '-272x131y-1366z', 58: '-272x289y-1342z', 59: '-277x152y-1363z', 60: '-277x265y-1346z', 61: '-280x173y-1360z', 62: '-280x242y-1350z', 63: '-282x195y-1357z', 64: '-282x218y-1353z', 65: '-285x1309y-404z', 66: '-303x1312y-380z', 67: '-314x909y-1016z', 68: '-352x1288y-417z', 69: '-358x882y-1026z', 70: '-370x1291y-394z', 71: '-399x852y-1035z', 72: '-418x1264y-430z', 73: '-41x566y-1279z', 74: '-436x1266y-407z', 75: '-438x821y-1045z', 76: '-475x788y-1054z', 77: '-482x1236y-444z', 78: '-500x1237y-421z', 79: '-510x753y-1063z', 80: '-542x717y-1072z', 81: '-544x1205y-457z', 82: '-563x1205y-434z', 83: '-572x680y-1081z', 84: '-599x641y-1090z', 85: '-604x1171y-470z', 86: '-623x1170y-447z', 87: '-624x601y-1099z', 88: '-646x560y-1107z', 89: '-662x1134y-483z', 90: '-666x519y-1116z', 91: '-681x1132y-460z', 92: '-683x477y-1124z', 93: '-698x434y-1132z', 94: '-69x551y-1285z', 95: '-704x23y-1209z', 96: '-709x392y-1141z', 97: '-714x61y-1202z', 98: '-718x1093y-496z', 99: '-719x349y-1149z', 100: '-722x100y-1195z', 101: '-725x306y-1157z', 102: '-727x140y-1187z', 103: '-730x181y-1180z', 104: '-730x264y-1164z', 105: '-731x222y-1172z', 106: '-737x1091y-474z', 107: '-771x1050y-509z', 108: '-790x1047y-487z', 109: '-822x1004y-522z', 110: '-840x1001y-500z', 111: '-870x956y-535z', 112: '-883x1086y-4z', 113: '-888x952y-513z', 114: '-915x905y-548z', 115: '-933x900y-526z', 116: '-939x1038y-18z', 117: '-957x853y-561z', 118: '-96x533y-1290z', 119: '-975x847y-539z', 120: '-991x987y-32z', 121: '-996x798y-574z'}
 
                  
            else:
                print("\n (STEP 554F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 554F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 554F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1500 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six15004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 555F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX15004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six15004xi = queue2six.get()
                if fire2six15004xi is None:
                    fire2six15004xi = shot2six15004xi
                    print("\n (STEP 555F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX15004XI TO SHOT2SIX15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 555F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX15004XI: ", fire2six15004xi) 
                    # FIRE2SIX15004XI:  {1: '-1000x964y-564z', 2: '-1006x1112y-19z', 3: '-1025x914y-601z', 4: '-103x572y-1382z', 5: '-1045x907y-577z', 6: '-1062x1058y-34z', 7: '-1067x855y-615z', 8: '-1086x848y-591z', 9: '-1105x794y-629z', 10: '-1116x1000y-49z', 11: '-1124x786y-605z', 12: '-1140x732y-642z', 13: '-1159x723y-619z', 14: '-1166x940y-64z', 15: '-1171x668y-656z', 16: '-1189x658y-632z', 17: '-1199x603y-669z', 18: '-1213x877y-79z', 19: '-1222x536y-683z', 20: '-1242x469y-696z', 21: '-1257x812y-94z', 22: '-1258x401y-709z', 23: '-1271x333y-722z', 24: '-1279x265y-735z', 25: '-1282x60y-774z', 26: '-1284x196y-748z', 27: '-1285x128y-761z', 28: '-1297x745y-109z', 29: '-1298x632y-689z', 30: '-129x552y-1388z', 31: '-132x1065y-1047z', 32: '-1333x675y-124z', 33: '-1365x604y-139z', 34: '-1394x531y-154z', 35: '-1418x457y-168z', 36: '-1438x382y-183z', 37: '-1454x305y-198z', 38: '-1466x229y-213z', 39: '-1474x151y-228z', 40: '-1478x74y-243z', 41: '-154x531y-1394z', 42: '-158x1435y-404z', 43: '-177x509y-1399z', 44: '-186x1046y-1057z', 45: '-198x486y-1404z', 46: '-206x6y-1485z', 47: '-218x462y-1410z', 48: '-220x18y-1483z', 49: '-232x1421y-418z', 50: '-233x31y-1481z', 51: '-235x438y-1415z', 52: '-238x1025y-1068z', 53: '-246x46y-1478z', 54: '-250x413y-1420z', 55: '-252x1425y-393z', 56: '-257x63y-1476z', 57: '-263x387y-1424z', 58: '-268x80y-1473z', 59: '-275x362y-1429z', 60: '-277x99y-1470z', 61: '-284x336y-1433z', 62: '-285x119y-1467z', 63: '-288x1001y-1079z', 64: '-291x310y-1438z', 65: '-292x141y-1464z', 66: '-297x163y-1461z', 67: '-297x284y-1442z', 68: '-300x186y-1457z', 69: '-300x259y-1446z', 70: '-302x209y-1454z', 71: '-302x234y-1450z', 72: '-305x1403y-432z', 73: '-325x1406y-408z', 74: '-337x974y-1089z', 75: '-377x1381y-447z', 76: '-383x945y-1099z', 77: '-397x1383y-422z', 78: '-427x913y-1109z', 79: '-448x1355y-461z', 80: '-44x607y-1370z', 81: '-467x1356y-436z', 82: '-469x880y-1119z', 83: '-509x844y-1129z', 84: '-516x1325y-475z', 85: '-536x1326y-451z', 86: '-546x807y-1139z', 87: '-581x768y-1149z', 88: '-583x1292y-490z', 89: '-603x1292y-465z', 90: '-613x728y-1158z', 91: '-642x687y-1168z', 92: '-647x1255y-504z', 93: '-667x1254y-479z', 94: '-669x644y-1177z', 95: '-693x600y-1186z', 96: '-710x1215y-518z', 97: '-714x556y-1196z', 98: '-730x1213y-493z', 99: '-732x511y-1205z', 100: '-747x465y-1213z', 101: '-74x590y-1376z', 102: '-755x25y-1295z', 103: '-760x420y-1222z', 104: '-765x65y-1288z', 105: '-769x1172y-532z', 106: '-770x374y-1231z', 107: '-773x107y-1280z', 108: '-777x328y-1239z', 109: '-779x150y-1272z', 110: '-782x283y-1248z', 111: '-783x193y-1264z', 112: '-783x238y-1256z', 113: '-789x1169y-508z', 114: '-827x1125y-546z', 115: '-846x1122y-522z', 116: '-881x1076y-560z', 117: '-901x1072y-536z', 118: '-932x1024y-574z', 119: '-946x1163y-4z', 120: '-952x1020y-550z', 121: '-980x970y-587z'}
 
                  
            else:
                print("\n (STEP 555F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 555F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 555F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1600 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six16004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 556F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX16004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six16004xi = queue2six.get() 
                if fire2six16004xi is None:
                    fire2six16004xi = shot2six16004xi
                    print("\n (STEP 556F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX1600 4XI TO SHOT2SIX1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 556F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX16004XI: ", fire2six16004xi) 
                    # FIRE2SIX16004XI:  {1: '-1009x1241y-4z', 2: '-1015x1088y-586z', 3: '-1046x1035y-627z', 4: '-1067x1029y-601z', 5: '-1073x1186y-20z', 6: '-1094x974y-641z', 7: '-110x610y-1474z', 8: '-1114x968y-616z', 9: '-1133x1128y-36z', 10: '-1138x912y-656z', 11: '-1159x904y-631z', 12: '-1179x847y-671z', 13: '-1190x1067y-52z', 14: '-1199x838y-645z', 15: '-1216x781y-685z', 16: '-1236x771y-660z', 17: '-1244x1003y-68z', 18: '-1249x712y-699z', 19: '-1269x702y-675z', 20: '-1279x643y-714z', 21: '-1294x936y-84z', 22: '-1304x572y-728z', 23: '-1325x500y-742z', 24: '-1341x866y-100z', 25: '-1342x428y-756z', 26: '-1356x355y-771z', 27: '-1365x282y-784z', 28: '-1368x64y-826z', 29: '-1370x209y-798z', 30: '-1371x136y-812z', 31: '-1379x671y-732z', 32: '-1383x794y-116z', 33: '-138x589y-1481z', 34: '-141x1136y-1117z', 35: '-1422x720y-132z', 36: '-1456x644y-148z', 37: '-1487x567y-164z', 38: '-1513x487y-180z', 39: '-1534x407y-196z', 40: '-1551x326y-212z', 41: '-1564x244y-227z', 42: '-1573x161y-243z', 43: '-1576x79y-259z', 44: '-165x566y-1487z', 45: '-169x1531y-431z', 46: '-189x543y-1492z', 47: '-198x1116y-1128z', 48: '-212x518y-1498z', 49: '-219x6y-1584z', 50: '-232x493y-1504z', 51: '-235x19y-1582z', 52: '-248x1516y-446z', 53: '-249x34y-1580z', 54: '-250x467y-1509z', 55: '-254x1093y-1139z', 56: '-262x49y-1577z', 57: '-267x440y-1514z', 58: '-268x1520y-419z', 59: '-275x67y-1574z', 60: '-281x413y-1519z', 61: '-286x86y-1571z', 62: '-293x386y-1524z', 63: '-296x106y-1568z', 64: '-303x358y-1529z', 65: '-304x127y-1565z', 66: '-307x1067y-1150z', 67: '-311x150y-1562z', 68: '-311x331y-1534z', 69: '-317x174y-1558z', 70: '-317x303y-1538z', 71: '-320x198y-1554z', 72: '-320x276y-1542z', 73: '-322x223y-1551z', 74: '-322x250y-1547z', 75: '-326x1496y-461z', 76: '-347x1500y-435z', 77: '-359x1039y-1162z', 78: '-402x1473y-477z', 79: '-409x1008y-1172z', 80: '-423x1475y-450z', 81: '-456x974y-1183z', 82: '-478x1445y-492z', 83: '-47x647y-1462z', 84: '-499x1446y-466z', 85: '-501x939y-1194z', 86: '-543x901y-1205z', 87: '-551x1413y-507z', 88: '-572x1414y-481z', 89: '-583x861y-1215z', 90: '-620x820y-1225z', 91: '-622x1378y-522z', 92: '-643x1378y-496z', 93: '-654x777y-1236z', 94: '-685x732y-1246z', 95: '-691x1339y-537z', 96: '-712x1338y-511z', 97: '-713x687y-1256z', 98: '-739x640y-1266z', 99: '-757x1296y-552z', 100: '-761x593y-1275z', 101: '-778x1294y-526z', 102: '-781x545y-1285z', 103: '-797x496y-1294z', 104: '-79x629y-1468z', 105: '-805x26y-1382z', 106: '-811x448y-1304z', 107: '-816x70y-1374z', 108: '-821x1250y-567z', 109: '-821x399y-1313z', 110: '-825x114y-1365z', 111: '-829x350y-1322z', 112: '-831x160y-1357z', 113: '-834x302y-1331z', 114: '-835x206y-1348z', 115: '-836x254y-1340z', 116: '-842x1247y-541z', 117: '-882x1200y-582z', 118: '-903x1197y-556z', 119: '-940x1148y-597z', 120: '-961x1144y-571z', 121: '-994x1093y-612z'}
 
                  
            else:
                print("\n (STEP 556F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 556F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 556F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1700 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six17004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 557F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX17004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six17004xi = queue2six.get()
                if fire2six17004xi is None:
                    fire2six17004xi = shot2six17004xi
                    print("\n (STEP 557F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX17004XI TO SHOT2SIX17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 557F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX17004XI: ", fire2six17004xi) 
                    # FIRE2SIX17004XI:  {1: '-1021x1215y-607z', 2: '-1056x1161y-650z', 3: '-1072x1318y-4z', 4: '-1079x1156y-623z', 5: '-1111x1100y-666z', 6: '-1133x1093y-639z', 7: '-1140x1260y-21z', 8: '-1162x1035y-682z', 9: '-117x648y-1567z', 10: '-1184x1028y-655z', 11: '-1204x1199y-38z', 12: '-1209x969y-697z', 13: '-1231x961y-670z', 14: '-1253x900y-713z', 15: '-1265x1134y-55z', 16: '-1274x891y-686z', 17: '-1292x829y-728z', 18: '-1313x819y-701z', 19: '-1322x1065y-72z', 20: '-1327x757y-743z', 21: '-1348x746y-717z', 22: '-1358x683y-758z', 23: '-1375x994y-89z', 24: '-1385x608y-774z', 25: '-1408x532y-789z', 26: '-1424x920y-106z', 27: '-1426x455y-804z', 28: '-1440x377y-819z', 29: '-1450x300y-834z', 30: '-1454x68y-878z', 31: '-1455x222y-848z', 32: '-1457x145y-863z', 33: '-1460x711y-775z', 34: '-1470x844y-123z', 35: '-147x626y-1573z', 36: '-150x1207y-1186z', 37: '-1511x765y-140z', 38: '-1547x685y-157z', 39: '-1580x602y-174z', 40: '-1607x518y-191z', 41: '-1630x433y-208z', 42: '-1648x346y-225z', 43: '-1662x259y-242z', 44: '-1671x171y-258z', 45: '-1675x84y-275z', 46: '-175x602y-1579z', 47: '-179x1627y-458z', 48: '-201x577y-1586z', 49: '-211x1186y-1199z', 50: '-225x551y-1592z', 51: '-233x7y-1683z', 52: '-247x524y-1598z', 53: '-249x20y-1681z', 54: '-263x1611y-474z', 55: '-265x36y-1678z', 56: '-266x496y-1603z', 57: '-270x1162y-1211z', 58: '-279x53y-1676z', 59: '-283x468y-1609z', 60: '-285x1615y-446z', 61: '-292x71y-1673z', 62: '-299x439y-1614z', 63: '-304x91y-1670z', 64: '-311x410y-1620z', 65: '-314x113y-1666z', 66: '-322x381y-1625z', 67: '-323x135y-1663z', 68: '-327x1134y-1222z', 69: '-330x351y-1629z', 70: '-331x159y-1659z', 71: '-336x184y-1656z', 72: '-336x322y-1634z', 73: '-340x210y-1652z', 74: '-340x293y-1639z', 75: '-342x237y-1647z', 76: '-342x265y-1643z', 77: '-346x1590y-490z', 78: '-368x1593y-462z', 79: '-382x1104y-1234z', 80: '-428x1565y-506z', 81: '-434x1071y-1246z', 82: '-450x1567y-478z', 83: '-484x1035y-1257z', 84: '-507x1535y-523z', 85: '-50x688y-1553z', 86: '-530x1537y-495z', 87: '-532x997y-1269z', 88: '-577x957y-1280z', 89: '-585x1502y-539z', 90: '-608x1502y-511z', 91: '-619x915y-1291z', 92: '-658x871y-1302z', 93: '-661x1464y-555z', 94: '-683x1464y-527z', 95: '-695x825y-1313z', 96: '-728x778y-1324z', 97: '-734x1422y-571z', 98: '-756x1421y-543z', 99: '-758x730y-1334z', 100: '-785x680y-1345z', 101: '-804x1377y-587z', 102: '-809x630y-1355z', 103: '-827x1375y-559z', 104: '-830x579y-1365z', 105: '-847x527y-1375z', 106: '-84x669y-1560z', 107: '-855x28y-1468z', 108: '-862x476y-1385z', 109: '-867x74y-1459z', 110: '-872x1328y-603z', 111: '-873x424y-1395z', 112: '-877x121y-1451z', 113: '-881x372y-1405z', 114: '-883x170y-1442z', 115: '-886x321y-1414z', 116: '-887x219y-1433z', 117: '-888x270y-1423z', 118: '-895x1325y-575z', 119: '-937x1275y-619z', 120: '-959x1272y-591z', 121: '-998x1220y-634z'}
 
                  
            else:
                print("\n (STEP 557F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 557F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 557F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1800 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six18004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 558F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX18004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six18004xi = queue2six.get()
                if fire2six18004xi is None:
                    fire2six18004xi = shot2six18004xi
                    print("\n (STEP 558F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX18004XI TO SHOT2SIX18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 558F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX18004XI: ", fire2six18004xi) 
                    # FIRE2SIX18004XI:  {1: '-1016x1347y-626z', 2: '-1057x1292y-672z', 3: '-1081x1287y-643z', 4: '-1119x1229y-689z', 5: '-1135x1396y-5z', 6: '-1142x1224y-660z', 7: '-1177x1164y-705z', 8: '-1200x1157y-676z', 9: '-1207x1334y-23z', 10: '-1231x1096y-722z', 11: '-123x686y-1659z', 12: '-1254x1089y-693z', 13: '-1275x1269y-41z', 14: '-1281x1026y-738z', 15: '-1303x1017y-710z', 16: '-1326x953y-754z', 17: '-1339x1200y-59z', 18: '-1349x943y-726z', 19: '-1368x878y-771z', 20: '-1390x868y-743z', 21: '-1400x1128y-77z', 22: '-1405x801y-787z', 23: '-1427x790y-759z', 24: '-1438x723y-803z', 25: '-1456x1053y-95z', 26: '-1467x644y-819z', 27: '-1491x563y-835z', 28: '-1508x975y-113z', 29: '-1510x482y-851z', 30: '-1525x400y-867z', 31: '-1535x318y-883z', 32: '-1539x72y-929z', 33: '-1541x235y-898z', 34: '-1541x750y-818z', 35: '-1542x153y-914z', 36: '-1556x894y-131z', 37: '-155x662y-1666z', 38: '-159x1278y-1256z', 39: '-1600x810y-149z', 40: '-1638x725y-166z', 41: '-1672x637y-184z', 42: '-1702x548y-202z', 43: '-1726x458y-220z', 44: '-1745x367y-238z', 45: '-1760x274y-256z', 46: '-1769x182y-274z', 47: '-1773x89y-291z', 48: '-185x637y-1672z', 49: '-190x1722y-484z', 50: '-213x611y-1679z', 51: '-223x1256y-1269z', 52: '-238x583y-1685z', 53: '-247x7y-1782z', 54: '-261x555y-1692z', 55: '-264x22y-1780z', 56: '-279x1705y-502z', 57: '-280x38y-1777z', 58: '-282x525y-1698z', 59: '-286x1230y-1282z', 60: '-295x56y-1774z', 61: '-300x495y-1704z', 62: '-302x1710y-472z', 63: '-309x75y-1771z', 64: '-316x465y-1709z', 65: '-322x97y-1768z', 66: '-330x434y-1715z', 67: '-333x119y-1764z', 68: '-341x403y-1720z', 69: '-342x143y-1761z', 70: '-346x1201y-1294z', 71: '-350x169y-1757z', 72: '-350x372y-1725z', 73: '-356x195y-1753z', 74: '-356x341y-1730z', 75: '-360x223y-1749z', 76: '-360x311y-1735z', 77: '-362x251y-1744z', 78: '-363x281y-1740z', 79: '-367x1683y-519z', 80: '-390x1687y-489z', 81: '-404x1169y-1307z', 82: '-453x1657y-536z', 83: '-460x1134y-1319z', 84: '-476x1659y-507z', 85: '-513x1096y-1331z', 86: '-537x1626y-553z', 87: '-53x728y-1645z', 88: '-561x1627y-524z', 89: '-563x1056y-1343z', 90: '-611x1013y-1355z', 91: '-620x1590y-571z', 92: '-643x1591y-541z', 93: '-655x969y-1367z', 94: '-697x922y-1379z', 95: '-700x1550y-588z', 96: '-723x1550y-558z', 97: '-735x874y-1390z', 98: '-771x824y-1401z', 99: '-777x1506y-605z', 100: '-801x1505y-575z', 101: '-803x773y-1413z', 102: '-831x720y-1424z', 103: '-852x1458y-621z', 104: '-857x667y-1435z', 105: '-876x1456y-592z', 106: '-879x613y-1446z', 107: '-897x558y-1456z', 108: '-89x708y-1652z', 109: '-906x30y-1554z', 110: '-912x504y-1467z', 111: '-918x78y-1545z', 112: '-923x1406y-638z', 113: '-924x449y-1477z', 114: '-928x129y-1536z', 115: '-933x394y-1487z', 116: '-935x180y-1527z', 117: '-938x339y-1497z', 118: '-939x232y-1517z', 119: '-940x286y-1507z', 120: '-947x1403y-609z', 121: '-992x1351y-655z'}
 
                  
            else:
                print("\n (STEP 558F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 558F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 558F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 1900 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six19004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 559F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX19004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six19004xi = queue2six.get()
                if fire2six19004xi is None:
                    fire2six19004xi = shot2six19004xi
                    print("\n (STEP 559F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX19004XI TO SHOT2SIX19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 559F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX19004XI: ", fire2six19004xi) 
                    # FIRE2SIX19004XI:  {1: '-1000x1481y-643z', 2: '-1047x1426y-692z', 3: '-1072x1421y-661z', 4: '-1116x1363y-709z', 5: '-1141x1358y-679z', 6: '-1181x1298y-727z', 7: '-1198x1473y-5z', 8: '-1206x1292y-696z', 9: '-1242x1229y-744z', 10: '-1267x1222y-714z', 11: '-1274x1409y-24z', 12: '-1299x1157y-762z', 13: '-130x724y-1751z', 14: '-1323x1149y-732z', 15: '-1346x1340y-43z', 16: '-1352x1083y-779z', 17: '-1376x1074y-749z', 18: '-1400x1006y-796z', 19: '-1414x1267y-62z', 20: '-1424x996y-766z', 21: '-1444x927y-814z', 22: '-1468x916y-784z', 23: '-1477x1191y-81z', 24: '-1484x846y-831z', 25: '-1507x834y-801z', 26: '-1518x763y-848z', 27: '-1537x1111y-100z', 28: '-1548x679y-865z', 29: '-1574x594y-882z', 30: '-1592x1029y-119z', 31: '-1594x508y-898z', 32: '-1610x422y-915z', 33: '-1621x335y-932z', 34: '-1622x790y-861z', 35: '-1625x76y-981z', 36: '-1627x249y-948z', 37: '-1628x162y-965z', 38: '-1643x943y-138z', 39: '-164x699y-1758z', 40: '-167x1349y-1326z', 41: '-1689x855y-157z', 42: '-1729x765y-176z', 43: '-1765x673y-195z', 44: '-1796x579y-214z', 45: '-1822x484y-232z', 46: '-1842x387y-251z', 47: '-1858x290y-270z', 48: '-1867x192y-289z', 49: '-1872x93y-308z', 50: '-196x673y-1765z', 51: '-200x1818y-511z', 52: '-225x645y-1772z', 53: '-235x1326y-1340z', 54: '-251x616y-1779z', 55: '-261x8y-1881z', 56: '-276x586y-1786z', 57: '-279x23y-1879z', 58: '-294x1800y-530z', 59: '-296x40y-1876z', 60: '-298x555y-1792z', 61: '-301x1298y-1353z', 62: '-312x59y-1873z', 63: '-317x523y-1798z', 64: '-319x1805y-498z', 65: '-326x80y-1869z', 66: '-334x491y-1804z', 67: '-339x102y-1866z', 68: '-348x458y-1810z', 69: '-351x126y-1862z', 70: '-360x425y-1816z', 71: '-361x151y-1859z', 72: '-365x1268y-1366z', 73: '-369x393y-1821z', 74: '-370x178y-1855z', 75: '-376x206y-1850z', 76: '-376x360y-1827z', 77: '-380x235y-1846z', 78: '-381x328y-1832z', 79: '-383x265y-1841z', 80: '-383x296y-1837z', 81: '-387x1777y-548z', 82: '-412x1781y-516z', 83: '-427x1234y-1379z', 84: '-478x1749y-566z', 85: '-485x1197y-1392z', 86: '-503x1752y-535z', 87: '-541x1157y-1405z', 88: '-567x1716y-584z', 89: '-56x769y-1736z', 90: '-592x1718y-553z', 91: '-595x1115y-1418z', 92: '-645x1070y-1431z', 93: '-654x1678y-602z', 94: '-679x1679y-571z', 95: '-692x1023y-1443z', 96: '-736x973y-1455z', 97: '-738x1636y-620z', 98: '-764x1636y-589z', 99: '-776x922y-1467z', 100: '-814x870y-1479z', 101: '-820x1590y-638z', 102: '-845x1589y-607z', 103: '-847x816y-1491z', 104: '-877x760y-1503z', 105: '-899x1539y-656z', 106: '-904x704y-1514z', 107: '-924x1537y-625z', 108: '-927x647y-1526z', 109: '-947x590y-1537z', 110: '-94x747y-1744z', 111: '-956x31y-1641z', 112: '-963x532y-1548z', 113: '-969x83y-1631z', 114: '-975x1484y-674z', 115: '-976x474y-1559z', 116: '-980x136y-1621z', 117: '-985x416y-1570z', 118: '-987x190y-1611z', 119: '-990x358y-1580z', 120: '-991x245y-1601z', 121: '-993x301y-1591z'}
 
                  
            else:
                print("\n (STEP 559F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 559F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 559F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               
      

        
    #=========
    # 2000 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six20004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 560F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX20004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six20004xi = queue2six.get()
                if fire2six20004xi is None:
                    fire2six20004xi = shot2six20004xi
                    print("\n (STEP 560F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX20004XI TO SHOT2SIX20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 560F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX20004XI: ", fire2six20004xi) 
                    # FIRE2SIX20004XI:  {1: '-1006x33y-1727z', 2: '-1014x560y-1630z', 3: '-1020x87y-1717z', 4: '-1026x1562y-709z', 5: '-1027x499y-1641z', 6: '-1031x143y-1707z', 7: '-1037x438y-1653z', 8: '-1039x200y-1696z', 9: '-1042x377y-1664z', 10: '-1044x258y-1686z', 11: '-1045x317y-1675z', 12: '-1053x1559y-677z', 13: '-1102x1501y-728z', 14: '-1129x1496y-696z', 15: '-1175x1435y-747z', 16: '-1201x1430y-714z', 17: '-1243x1366y-765z', 18: '-1262x1551y-5z', 19: '-1269x1360y-733z', 20: '-1307x1294y-783z', 21: '-1333x1286y-752z', 22: '-1341x1483y-25z', 23: '-1367x1218y-802z', 24: '-137x762y-1843z', 25: '-1393x1210y-770z', 26: '-1416x1410y-45z', 27: '-1423x1140y-820z', 28: '-1448x1130y-789z', 29: '-1474x1059y-838z', 30: '-1488x1334y-65z', 31: '-1499x1048y-807z', 32: '-1520x976y-856z', 33: '-1545x964y-825z', 34: '-1555x1254y-85z', 35: '-1562x891y-874z', 36: '-1586x878y-843z', 37: '-1598x804y-892z', 38: '-1618x1170y-105z', 39: '-1630x715y-910z', 40: '-1657x626y-928z', 41: '-1676x1083y-125z', 42: '-1678x535y-946z', 43: '-1695x444y-963z', 44: '-1703x829y-904z', 45: '-1706x353y-981z', 46: '-1710x80y-1033z', 47: '-1712x262y-998z', 48: '-1714x171y-1015z', 49: '-1729x993y-145z', 50: '-173x736y-1851z', 51: '-176x1420y-1396z', 52: '-1777x900y-165z', 53: '-1821x805y-185z', 54: '-1858x708y-205z', 55: '-1891x609y-225z', 56: '-1918x509y-245z', 57: '-1939x407y-265z', 58: '-1955x305y-284z', 59: '-1966x202y-304z', 60: '-1971x98y-324z', 61: '-206x708y-1858z', 62: '-211x1914y-538z', 63: '-237x679y-1866z', 64: '-248x1395y-1410z', 65: '-265x648y-1873z', 66: '-274x8y-1980z', 67: '-290x616y-1880z', 68: '-293x24y-1978z', 69: '-310x1895y-558z', 70: '-311x42y-1975z', 71: '-313x584y-1886z', 72: '-317x1367y-1424z', 73: '-328x62y-1971z', 74: '-334x550y-1893z', 75: '-336x1900y-524z', 76: '-343x84y-1968z', 77: '-351x516y-1899z', 78: '-357x107y-1964z', 79: '-366x482y-1905z', 80: '-370x133y-1960z', 81: '-379x448y-1911z', 82: '-380x159y-1956z', 83: '-384x1334y-1438z', 84: '-389x188y-1952z', 85: '-389x413y-1917z', 86: '-396x217y-1948z', 87: '-396x379y-1923z', 88: '-400x248y-1943z', 89: '-401x345y-1928z', 90: '-403x279y-1938z', 91: '-403x312y-1933z', 92: '-407x1870y-577z', 93: '-433x1875y-544z', 94: '-449x1299y-1452z', 95: '-503x1841y-596z', 96: '-511x1260y-1466z', 97: '-529x1844y-563z', 98: '-570x1218y-1479z', 99: '-597x1806y-615z', 100: '-59x809y-1827z', 101: '-623x1808y-582z', 102: '-626x1173y-1493z', 103: '-679x1126y-1506z', 104: '-688x1767y-634z', 105: '-715x1768y-601z', 106: '-728x1077y-1519z', 107: '-775x1025y-1532z', 108: '-777x1722y-653z', 109: '-804x1722y-620z', 110: '-817x971y-1545z', 111: '-856x916y-1557z', 112: '-863x1673y-672z', 113: '-890x1672y-639z', 114: '-892x859y-1570z', 115: '-924x800y-1582z', 116: '-946x1620y-691z', 117: '-952x741y-1594z', 118: '-973x1618y-658z', 119: '-976x681y-1606z', 120: '-997x621y-1618z', 121: '-99x787y-1835z'}
 
                  
            else:
                print("\n (STEP 560F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 560F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 560F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2100 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six21004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 561F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX21004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six21004xi = queue2six.get()
                if fire2six21004xi is None:
                    fire2six21004xi = shot2six21004xi
                    print("\n (STEP 561F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX21004XI TO SHOT2SIX21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 561F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX21004XI: ", fire2six21004xi) 
                    # FIRE2SIX21004XI:  {1: '-1022x1699y-691z', 2: '-1025x715y-1687z', 3: '-1047x652y-1699z', 4: '-104x826y-1927z', 5: '-1057x35y-1814z', 6: '-1064x588y-1711z', 7: '-1071x92y-1803z', 8: '-1077x1640y-745z', 9: '-1078x524y-1723z', 10: '-1083x150y-1792z', 11: '-1088x460y-1735z', 12: '-1091x210y-1781z', 13: '-1095x396y-1747z', 14: '-1096x271y-1770z', 15: '-1097x333y-1758z', 16: '-1105x1637y-711z', 17: '-1157x1576y-764z', 18: '-1185x1571y-730z', 19: '-1233x1507y-784z', 20: '-1261x1501y-750z', 21: '-1305x1434y-803z', 22: '-1325x1629y-6z', 23: '-1333x1428y-770z', 24: '-1373x1358y-823z', 25: '-1400x1350y-789z', 26: '-1408x1557y-27z', 27: '-1436x1279y-842z', 28: '-144x800y-1935z', 29: '-1463x1270y-809z', 30: '-1487x1481y-48z', 31: '-1494x1197y-861z', 32: '-1521x1187y-828z', 33: '-1548x1112y-880z', 34: '-1562x1400y-69z', 35: '-1574x1101y-847z', 36: '-1596x1025y-899z', 37: '-1622x1012y-866z', 38: '-1633x1316y-90z', 39: '-1640x935y-918z', 40: '-1665x922y-885z', 41: '-1678x844y-937z', 42: '-1699x1228y-111z', 43: '-1711x751y-956z', 44: '-1739x657y-974z', 45: '-1760x1137y-131z', 46: '-1762x562y-993z', 47: '-1779x466y-1011z', 48: '-1784x869y-948z', 49: '-1791x371y-1030z', 50: '-1796x84y-1084z', 51: '-1798x275y-1048z', 52: '-1799x179y-1066z', 53: '-1816x1043y-152z', 54: '-181x773y-1943z', 55: '-185x1491y-1466z', 56: '-1866x945y-173z', 57: '-1912x846y-194z', 58: '-1951x744y-215z', 59: '-1985x640y-236z', 60: '-2014x534y-257z', 61: '-2036x428y-278z', 62: '-2053x320y-299z', 63: '-2064x212y-319z', 64: '-2069x103y-340z', 65: '-216x744y-1951z', 66: '-221x2010y-565z', 67: '-248x713y-1959z', 68: '-260x1465y-1481z', 69: '-278x681y-1966z', 70: '-288x8y-2080z', 71: '-305x647y-1974z', 72: '-308x25y-2077z', 73: '-325x1990y-586z', 74: '-327x44y-2073z', 75: '-329x613y-1981z', 76: '-333x1435y-1496z', 77: '-344x65y-2070z', 78: '-350x578y-1988z', 79: '-352x1995y-551z', 80: '-361x88y-2066z', 81: '-369x542y-1994z', 82: '-375x113y-2063z', 83: '-385x506y-2001z', 84: '-388x139y-2058z', 85: '-398x470y-2007z', 86: '-399x167y-2054z', 87: '-404x1401y-1510z', 88: '-408x434y-2013z', 89: '-409x197y-2050z', 90: '-416x228y-2045z', 91: '-416x398y-2019z', 92: '-420x260y-2040z', 93: '-421x363y-2025z', 94: '-423x293y-2035z', 95: '-423x328y-2030z', 96: '-428x1964y-606z', 97: '-455x1968y-571z', 98: '-472x1364y-1525z', 99: '-528x1933y-626z', 100: '-537x1323y-1539z', 101: '-556x1936y-591z', 102: '-599x1279y-1553z', 103: '-627x1897y-646z', 104: '-62x850y-1919z', 105: '-655x1899y-611z', 106: '-657x1232y-1567z', 107: '-713x1182y-1581z', 108: '-723x1855y-666z', 109: '-751x1856y-631z', 110: '-765x1130y-1595z', 111: '-813x1076y-1608z', 112: '-816x1808y-686z', 113: '-844x1808y-651z', 114: '-858x1020y-1622z', 115: '-899x961y-1635z', 116: '-907x1757y-705z', 117: '-935x1756y-671z', 118: '-936x902y-1648z', 119: '-970x840y-1661z', 120: '-994x1701y-725z', 121: '-999x778y-1674z'}
 
                  
            else:
                print("\n (STEP 561F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 561F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 561F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2200 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six22004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 562F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX22004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six22004xi = queue2six.get()
                if fire2six22004xi is None:
                    fire2six22004xi = shot2six22004xi
                    print("\n (STEP 562F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX22004XI TO SHOT2SIX22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 562F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX22004XI: ", fire2six22004xi) 
                    # FIRE2SIX22004XI:  {1: '-1016x880y-1740z', 2: '-1041x1782y-760z', 3: '-1047x815y-1754z', 4: '-1070x1780y-724z', 5: '-1074x749y-1767z', 6: '-1097x683y-1780z', 7: '-109x865y-2019z', 8: '-1107x36y-1900z', 9: '-1115x616y-1793z', 10: '-1123x96y-1889z', 11: '-1129x1719y-780z', 12: '-1130x549y-1805z', 13: '-1135x157y-1877z', 14: '-1140x482y-1818z', 15: '-1143x220y-1866z', 16: '-1147x415y-1830z', 17: '-1148x284y-1854z', 18: '-1149x349y-1842z', 19: '-1158x1715y-745z', 20: '-1212x1651y-801z', 21: '-1242x1646y-765z', 22: '-1292x1579y-821z', 23: '-1321x1573y-786z', 24: '-1367x1503y-842z', 25: '-1388x1706y-6z', 26: '-1396x1496y-806z', 27: '-1438x1423y-862z', 28: '-1467x1415y-827z', 29: '-1475x1631y-28z', 30: '-1504x1340y-882z', 31: '-151x839y-2028z', 32: '-1532x1331y-847z', 33: '-1558x1551y-50z', 34: '-1565x1254y-902z', 35: '-1593x1243y-867z', 36: '-1621x1165y-922z', 37: '-1637x1467y-72z', 38: '-1649x1153y-888z', 39: '-1672x1073y-942z', 40: '-1699x1060y-908z', 41: '-1711x1379y-94z', 42: '-1718x980y-962z', 43: '-1745x966y-928z', 44: '-1758x884y-982z', 45: '-1780x1287y-116z', 46: '-1793x787y-1001z', 47: '-1822x688y-1021z', 48: '-1844x1191y-138z', 49: '-1846x589y-1040z', 50: '-1864x489y-1060z', 51: '-1865x908y-991z', 52: '-1877x388y-1079z', 53: '-1881x88y-1136z', 54: '-1884x288y-1098z', 55: '-1885x188y-1117z', 56: '-1902x1092y-160z', 57: '-190x810y-2036z', 58: '-194x1562y-1536z', 59: '-1955x991y-182z', 60: '-2003x886y-204z', 61: '-2044x779y-225z', 62: '-2080x670y-247z', 63: '-2110x560y-269z', 64: '-2133x448y-291z', 65: '-2151x335y-313z', 66: '-2162x222y-335z', 67: '-2168x108y-356z', 68: '-226x779y-2044z', 69: '-232x2105y-592z', 70: '-260x747y-2052z', 71: '-273x1535y-1551z', 72: '-291x713y-2060z', 73: '-302x9y-2179z', 74: '-319x678y-2068z', 75: '-323x26y-2175z', 76: '-341x2084y-613z', 77: '-342x46y-2172z', 78: '-345x642y-2075z', 79: '-349x1503y-1567z', 80: '-361x68y-2169z', 81: '-367x606y-2082z', 82: '-369x2090y-577z', 83: '-378x92y-2165z', 84: '-386x568y-2089z', 85: '-393x118y-2161z', 86: '-403x530y-2096z', 87: '-407x146y-2157z', 88: '-417x493y-2103z', 89: '-418x175y-2152z', 90: '-423x1468y-1582z', 91: '-428x206y-2147z', 92: '-428x455y-2109z', 93: '-435x239y-2143z', 94: '-435x417y-2115z', 95: '-440x273y-2137z', 96: '-441x380y-2121z', 97: '-443x307y-2132z', 98: '-443x343y-2127z', 99: '-448x2058y-635z', 100: '-477x2062y-598z', 101: '-494x1429y-1597z', 102: '-554x2025y-656z', 103: '-562x1386y-1612z', 104: '-582x2028y-619z', 105: '-627x1340y-1627z', 106: '-657x1987y-676z', 107: '-65x890y-2010z', 108: '-686x1989y-640z', 109: '-689x1291y-1642z', 110: '-747x1239y-1657z', 111: '-757x1943y-697z', 112: '-786x1944y-661z', 113: '-801x1184y-1671z', 114: '-852x1127y-1685z', 115: '-855x1895y-718z', 116: '-884x1894y-682z', 117: '-899x1068y-1699z', 118: '-942x1007y-1713z', 119: '-950x1841y-739z', 120: '-979x1839y-703z', 121: '-981x944y-1727z'}
 
                  
            else:
                print("\n (STEP 562F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 562F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 562F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2300 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six23004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 563F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX23004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six23004xi = queue2six.get()
                if fire2six23004xi is None:
                    fire2six23004xi = shot2six23004xi
                    print("\n (STEP 563F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX23004XI TO SHOT2SIX23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 563F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX23004XI: ", fire2six23004xi) 
                    # FIRE2SIX23004XI:  {1: '-1024x1923y-735z', 2: '-1026x987y-1805z', 3: '-1062x921y-1819z', 4: '-1088x1863y-794z', 5: '-1095x852y-1833z', 6: '-1119x1860y-757z', 7: '-1123x783y-1847z', 8: '-1146x714y-1861z', 9: '-114x905y-2111z', 10: '-1157x38y-1986z', 11: '-1166x644y-1874z', 12: '-1174x100y-1975z', 13: '-1180x1797y-816z', 14: '-1181x574y-1887z', 15: '-1186x164y-1963z', 16: '-1192x504y-1900z', 17: '-1195x230y-1951z', 18: '-1199x434y-1913z', 19: '-1200x297y-1938z', 20: '-1202x365y-1926z', 21: '-1211x1793y-779z', 22: '-1268x1726y-837z', 23: '-1298x1721y-800z', 24: '-1351x1651y-859z', 25: '-1381x1644y-822z', 26: '-1430x1571y-880z', 27: '-1451x1784y-6z', 28: '-1460x1564y-843z', 29: '-1503x1488y-901z', 30: '-1533x1479y-864z', 31: '-1542x1705y-29z', 32: '-1573x1401y-922z', 33: '-158x877y-2120z', 34: '-1602x1391y-886z', 35: '-1629x1622y-52z', 36: '-1636x1311y-943z', 37: '-1666x1300y-907z', 38: '-1695x1218y-964z', 39: '-1711x1534y-75z', 40: '-1724x1206y-928z', 41: '-1748x1122y-985z', 42: '-1777x1109y-949z', 43: '-1788x1442y-98z', 44: '-1796x1024y-1006z', 45: '-1824x1010y-970z', 46: '-1838x924y-1026z', 47: '-1861x1345y-121z', 48: '-1874x823y-1047z', 49: '-1905x720y-1067z', 50: '-1927x1245y-144z', 51: '-1930x616y-1088z', 52: '-1947x948y-1034z', 53: '-1949x511y-1108z', 54: '-1962x406y-1128z', 55: '-1967x92y-1188z', 56: '-1969x301y-1148z', 57: '-1971x196y-1168z', 58: '-1989x1142y-167z', 59: '-199x847y-2129z', 60: '-203x1633y-1605z', 61: '-2044x1036y-190z', 62: '-2094x926y-213z', 63: '-2137x815y-236z', 64: '-2175x701y-259z', 65: '-2206x585y-281z', 66: '-2230x469y-304z', 67: '-2249x351y-327z', 68: '-2261x232y-350z', 69: '-2266x113y-372z', 70: '-237x814y-2137z', 71: '-243x2201y-619z', 72: '-272x781y-2146z', 73: '-285x1605y-1622z', 74: '-304x745y-2154z', 75: '-316x9y-2278z', 76: '-334x709y-2162z', 77: '-337x28y-2274z', 78: '-356x2179y-641z', 79: '-358x48y-2271z', 80: '-360x671y-2169z', 81: '-365x1572y-1638z', 82: '-377x71y-2267z', 83: '-384x633y-2177z', 84: '-386x2185y-603z', 85: '-395x96y-2263z', 86: '-404x594y-2184z', 87: '-411x124y-2259z', 88: '-421x555y-2191z', 89: '-425x153y-2255z', 90: '-436x515y-2198z', 91: '-437x183y-2250z', 92: '-442x1535y-1654z', 93: '-447x216y-2245z', 94: '-447x475y-2205z', 95: '-455x250y-2240z', 96: '-455x436y-2211z', 97: '-461x285y-2235z', 98: '-461x397y-2217z', 99: '-463x321y-2229z', 100: '-463x359y-2223z', 101: '-469x2151y-663z', 102: '-499x2156y-625z', 103: '-517x1494y-1670z', 104: '-579x2117y-685z', 105: '-588x1449y-1686z', 106: '-609x2121y-647z', 107: '-656x1401y-1701z', 108: '-687x2077y-707z', 109: '-68x931y-2101z', 110: '-717x2080y-669z', 111: '-720x1349y-1717z', 112: '-781x1295y-1732z', 113: '-792x2032y-729z', 114: '-822x2033y-691z', 115: '-838x1238y-1747z', 116: '-891x1179y-1762z', 117: '-894x1981y-751z', 118: '-925x1981y-713z', 119: '-940x1117y-1776z', 120: '-985x1053y-1791z', 121: '-993x1924y-773z'}
 
                  
            else:
                print("\n (STEP 563F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 563F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 563F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2400 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six24004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 564F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX24004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six24004xi = queue2six.get()
                
                if fire2six24004xi is None:
                    fire2six24004xi = shot2six24004xi
                    print("\n (STEP 564F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX24004XI TO SHOT2SIX24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 564F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX24004XI: ", fire2six24004xi) 
                    # FIRE2SIX24004XI:  {1: '-1028x1099y-1869z', 2: '-1036x2008y-806z', 3: '-1068x2007y-767z', 4: '-1070x1030y-1884z', 5: '-1109x961y-1899z', 6: '-1136x1944y-829z', 7: '-1142x889y-1913z', 8: '-1168x1941y-790z', 9: '-1172x817y-1928z', 10: '-1196x745y-1942z', 11: '-119x944y-2203z', 12: '-1208x40y-2073z', 13: '-1217x672y-1956z', 14: '-1225x105y-2061z', 15: '-1231x1875y-851z', 16: '-1232x599y-1970z', 17: '-1238x172y-2048z', 18: '-1244x525y-1983z', 19: '-1247x240y-2036z', 20: '-1251x453y-1997z', 21: '-1253x310y-2023z', 22: '-1254x381y-2010z', 23: '-1263x1871y-812z', 24: '-1323x1801y-874z', 25: '-1354x1796y-835z', 26: '-1410x1722y-896z', 27: '-1441x1716y-857z', 28: '-1492x1639y-918z', 29: '-1514x1861y-6z', 30: '-1523x1632y-880z', 31: '-1569x1553y-940z', 32: '-1600x1543y-902z', 33: '-1609x1779y-30z', 34: '-1641x1462y-962z', 35: '-165x915y-2212z', 36: '-1672x1452y-924z', 37: '-1700x1692y-54z', 38: '-1708x1368y-984z', 39: '-1738x1356y-946z', 40: '-1769x1271y-1006z', 41: '-1786x1601y-78z', 42: '-1799x1258y-968z', 43: '-1824x1171y-1028z', 44: '-1854x1157y-990z', 45: '-1866x1504y-102z', 46: '-1874x1069y-1049z', 47: '-1903x1053y-1012z', 48: '-1918x964y-1071z', 49: '-1942x1404y-126z', 50: '-1956x858y-1092z', 51: '-1988x751y-1114z', 52: '-2011x1300y-150z', 53: '-2014x642y-1135z', 54: '-2028x987y-1077z', 55: '-2034x533y-1156z', 56: '-2047x424y-1177z', 57: '-2052x96y-1239z', 58: '-2055x314y-1198z', 59: '-2057x205y-1219z', 60: '-2075x1192y-174z', 61: '-207x883y-2221z', 62: '-212x1705y-1675z', 63: '-2133x1081y-198z', 64: '-2185x967y-222z', 65: '-2230x850y-246z', 66: '-2269x731y-270z', 67: '-2302x611y-294z', 68: '-2327x489y-318z', 69: '-2347x366y-341z', 70: '-2359x242y-365z', 71: '-2365x118y-389z', 72: '-247x850y-2230z', 73: '-253x2297y-646z', 74: '-284x815y-2239z', 75: '-298x1675y-1692z', 76: '-318x778y-2247z', 77: '-329x10y-2377z', 78: '-348x740y-2256z', 79: '-352x29y-2373z', 80: '-372x2274y-669z', 81: '-374x51y-2370z', 82: '-376x701y-2264z', 83: '-381x1640y-1709z', 84: '-394x74y-2366z', 85: '-400x661y-2272z', 86: '-403x2280y-629z', 87: '-412x101y-2362z', 88: '-422x620y-2279z', 89: '-429x129y-2357z', 90: '-440x579y-2287z', 91: '-444x159y-2353z', 92: '-455x537y-2294z', 93: '-456x191y-2348z', 94: '-461x1601y-1726z', 95: '-466x496y-2301z', 96: '-467x225y-2343z', 97: '-475x261y-2337z', 98: '-475x455y-2307z', 99: '-481x297y-2332z', 100: '-481x414y-2314z', 101: '-483x335y-2326z', 102: '-484x375y-2320z', 103: '-489x2245y-692z', 104: '-520x2250y-652z', 105: '-539x1559y-1743z', 106: '-604x2209y-715z', 107: '-613x1512y-1759z', 108: '-635x2213y-676z', 109: '-684x1462y-1775z', 110: '-717x2168y-738z', 111: '-71x971y-2193z', 112: '-748x2170y-699z', 113: '-751x1408y-1791z', 114: '-815x1351y-1807z', 115: '-826x2120y-761z', 116: '-858x2121y-721z', 117: '-874x1292y-1823z', 118: '-930x1230y-1838z', 119: '-933x2067y-784z', 120: '-965x2067y-744z', 121: '-981x1165y-1854z'}
 
                  
            else:
                print("\n (STEP 564F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 564F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 564F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2500 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six25004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 565F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX25004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six25004xi = queue2six.get()
                
                if fire2six25004xi is None:
                    fire2six25004xi = shot2six25004xi
                    print("\n (STEP 565F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX25004XI TO SHOT2SIX25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 565F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX25004XI: ", fire2six25004xi) 
                    #  FIRE2SIX25004XI:  {1: '-1005x2153y-775z', 2: '-1022x1214y-1931z', 3: '-1071x1145y-1947z', 4: '-1079x2092y-840z', 5: '-1113x2090y-799z', 6: '-1115x1073y-1962z', 7: '-1155x1001y-1978z', 8: '-1183x2025y-863z', 9: '-1190x927y-1993z', 10: '-1216x2022y-823z', 11: '-1220x852y-2008z', 12: '-1246x776y-2023z', 13: '-124x984y-2294z', 14: '-1258x42y-2159z', 15: '-1267x700y-2037z', 16: '-1276x109y-2146z', 17: '-1283x1953y-887z', 18: '-1284x623y-2052z', 19: '-1289x179y-2134z', 20: '-1296x547y-2066z', 21: '-1299x250y-2120z', 22: '-1303x472y-2080z', 23: '-1305x323y-2107z', 24: '-1306x397y-2094z', 25: '-1316x1949y-846z', 26: '-1378x1876y-910z', 27: '-1411x1870y-870z', 28: '-1468x1794y-933z', 29: '-1501x1787y-893z', 30: '-1554x1708y-956z', 31: '-1577x1939y-7z', 32: '-1587x1700y-916z', 33: '-1634x1617y-979z', 34: '-1667x1608y-940z', 35: '-1676x1853y-32z', 36: '-1709x1523y-1002z', 37: '-172x953y-2304z', 38: '-1741x1512y-963z', 39: '-1771x1763y-57z', 40: '-1779x1425y-1025z', 41: '-1810x1413y-986z', 42: '-1843x1324y-1048z', 43: '-1860x1667y-82z', 44: '-1874x1310y-1009z', 45: '-1900x1220y-1071z', 46: '-1931x1205y-1032z', 47: '-1944x1567y-107z', 48: '-1952x1113y-1093z', 49: '-1983x1097y-1054z', 50: '-1998x1005y-1116z', 51: '-2022x1462y-132z', 52: '-2038x894y-1138z', 53: '-2071x782y-1160z', 54: '-2095x1354y-157z', 55: '-2098x669y-1182z', 56: '-2109x1027y-1120z', 57: '-2118x555y-1204z', 58: '-2133x441y-1226z', 59: '-2138x100y-1291z', 60: '-2141x327y-1248z', 61: '-2142x213y-1269z', 62: '-2162x1241y-182z', 63: '-216x920y-2314z', 64: '-220x1776y-1745z', 65: '-2222x1126y-206z', 66: '-2276x1007y-231z', 67: '-2323x886y-256z', 68: '-2364x762y-281z', 69: '-2398x636y-306z', 70: '-2424x509y-331z', 71: '-2444x381y-356z', 72: '-2457x252y-380z', 73: '-2463x123y-405z', 74: '-257x885y-2323z', 75: '-264x2393y-673z', 76: '-296x849y-2332z', 77: '-310x1744y-1763z', 78: '-331x810y-2341z', 79: '-343x10y-2476z', 80: '-363x771y-2350z', 81: '-367x30y-2472z', 82: '-387x2369y-697z', 83: '-389x53y-2468z', 84: '-392x730y-2358z', 85: '-397x1708y-1780z', 86: '-410x78y-2464z', 87: '-417x688y-2366z', 88: '-420x2375y-656z', 89: '-429x105y-2460z', 90: '-439x646y-2374z', 91: '-447x134y-2455z', 92: '-458x603y-2382z', 93: '-462x166y-2451z', 94: '-474x560y-2389z', 95: '-476x199y-2446z', 96: '-481x1668y-1798z', 97: '-486x235y-2440z', 98: '-486x517y-2397z', 99: '-495x271y-2435z', 100: '-495x474y-2404z', 101: '-501x310y-2429z', 102: '-501x432y-2410z', 103: '-504x349y-2423z', 104: '-504x390y-2417z', 105: '-509x2338y-721z', 106: '-542x2343y-680z', 107: '-561x1624y-1815z', 108: '-629x2301y-745z', 109: '-639x1575y-1832z', 110: '-662x2305y-704z', 111: '-713x1523y-1849z', 112: '-746x2258y-769z', 113: '-74x1012y-2284z', 114: '-779x2260y-728z', 115: '-783x1467y-1866z', 116: '-849x1408y-1882z', 117: '-861x2208y-793z', 118: '-894x2210y-752z', 119: '-911x1346y-1899z', 120: '-968x1281y-1915z', 121: '-972x2153y-816z'}

                  
            else:
                print("\n (STEP 565F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 565F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 565F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2600 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six26004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 566F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX26004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six26004xi = queue2six.get()
                
                if fire2six26004xi is None:
                    fire2six26004xi = shot2six26004xi
                    print("\n (STEP 566F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX26004XI TO SHOT2SIX26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 566F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX26004XI: ", fire2six26004xi) 
                    # FIRE2SIX26004XI:  {1: '-1007x1332y-1992z', 2: '-1011x2239y-849z', 3: '-1045x2239y-806z', 4: '-1063x1262y-2008z', 5: '-1113x1190y-2025z', 6: '-1123x2175y-873z', 7: '-1157x2174y-831z', 8: '-1160x1116y-2041z', 9: '-1201x1041y-2057z', 10: '-1230x2106y-898z', 11: '-1237x964y-2073z', 12: '-1265x2103y-856z', 13: '-1269x886y-2088z', 14: '-1296x807y-2104z', 15: '-129x1023y-2386z', 16: '-1308x43y-2246z', 17: '-1318x728y-2119z', 18: '-1327x114y-2232z', 19: '-1334x2031y-922z', 20: '-1335x648y-2134z', 21: '-1341x186y-2219z', 22: '-1348x569y-2148z', 23: '-1351x260y-2205z', 24: '-1355x491y-2163z', 25: '-1357x336y-2191z', 26: '-1358x413y-2177z', 27: '-1369x2027y-880z', 28: '-1433x1951y-946z', 29: '-1467x1945y-905z', 30: '-1527x1866y-971z', 31: '-1561x1859y-929z', 32: '-1616x1776y-995z', 33: '-1640x2016y-7z', 34: '-1650x1768y-953z', 35: '-1700x1682y-1019z', 36: '-1733x1672y-977z', 37: '-1743x1928y-33z', 38: '-1778x1584y-1043z', 39: '-179x991y-2396z', 40: '-1811x1573y-1001z', 41: '-1842x1833y-59z', 42: '-1850x1482y-1066z', 43: '-1883x1469y-1025z', 44: '-1916x1377y-1090z', 45: '-1934x1734y-85z', 46: '-1949x1363y-1049z', 47: '-1976x1269y-1114z', 48: '-2008x1253y-1073z', 49: '-2022x1630y-111z', 50: '-2030x1158y-1137z', 51: '-2062x1141y-1096z', 52: '-2078x1045y-1160z', 53: '-2103x1521y-137z', 54: '-2119x930y-1183z', 55: '-2154x813y-1207z', 56: '-2179x1408y-163z', 57: '-2182x696y-1230z', 58: '-2190x1066y-1163z', 59: '-2203x578y-1252z', 60: '-2218x459y-1275z', 61: '-2223x104y-1342z', 62: '-2226x340y-1298z', 63: '-2228x222y-1320z', 64: '-2248x1291y-189z', 65: '-225x957y-2406z', 66: '-229x1847y-1815z', 67: '-2311x1171y-215z', 68: '-2367x1047y-241z', 69: '-2416x921y-267z', 70: '-2458x792y-292z', 71: '-2493x662y-318z', 72: '-2521x530y-344z', 73: '-2542x396y-370z', 74: '-2556x262y-395z', 75: '-2562x128y-421z', 76: '-268x921y-2416z', 77: '-274x2488y-700z', 78: '-308x883y-2425z', 79: '-322x1814y-1833z', 80: '-344x843y-2435z', 81: '-357x11y-2575z', 82: '-377x802y-2444z', 83: '-382x31y-2571z', 84: '-403x2463y-725z', 85: '-405x55y-2567z', 86: '-407x759y-2452z', 87: '-413x1777y-1852z', 88: '-427x81y-2563z', 89: '-434x716y-2461z', 90: '-436x2470y-682z', 91: '-447x109y-2558z', 92: '-457x672y-2469z', 93: '-465x140y-2554z', 94: '-476x627y-2477z', 95: '-481x172y-2549z', 96: '-493x582y-2485z', 97: '-495x207y-2543z', 98: '-500x1735y-1870z', 99: '-505x538y-2492z', 100: '-506x244y-2538z', 101: '-515x282y-2532z', 102: '-515x493y-2500z', 103: '-521x322y-2526z', 104: '-521x449y-2507z', 105: '-524x363y-2520z', 106: '-524x406y-2513z', 107: '-530x2432y-750z', 108: '-564x2437y-707z', 109: '-584x1688y-1888z', 110: '-654x2393y-775z', 111: '-664x1638y-1906z', 112: '-688x2397y-732z', 113: '-741x1584y-1923z', 114: '-776x2348y-800z', 115: '-77x1052y-2376z', 116: '-811x2351y-757z', 117: '-814x1526y-1941z', 118: '-883x1464y-1958z', 119: '-895x2297y-824z', 120: '-930x2298y-782z', 121: '-947x1400y-1975z'}

                  
            else:
                print("\n (STEP 566F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 566F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 566F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2700 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six27004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 567F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX27004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six27004xi = queue2six.get()
                
                if fire2six27004xi is None:
                    fire2six27004xi = shot2six27004xi
                    print("\n (STEP 567F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX27004XI TO SHOT2SIX27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 567F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX27004XI: ", fire2six27004xi) 
                    # FIRE2SIX27004XI:  {1: '-1046x1384y-2068z', 2: '-1050x2325y-882z', 3: '-1085x2325y-837z', 4: '-1103x1311y-2085z', 5: '-1156x1236y-2102z', 6: '-1166x2259y-907z', 7: '-1202x2258y-863z', 8: '-1204x1159y-2119z', 9: '-1247x1081y-2136z', 10: '-1278x2187y-932z', 11: '-1285x1001y-2152z', 12: '-1314x2184y-889z', 13: '-1318x920y-2169z', 14: '-1346x838y-2185z', 15: '-134x1062y-2478z', 16: '-1359x45y-2332z', 17: '-1369x756y-2200z', 18: '-1378x118y-2318z', 19: '-1385x2109y-958z', 20: '-1387x673y-2216z', 21: '-1393x193y-2304z', 22: '-1399x591y-2231z', 23: '-1403x270y-2290z', 24: '-1407x509y-2246z', 25: '-1409x349y-2276z', 26: '-1411x429y-2261z', 27: '-1421x2105y-914z', 28: '-1488x2026y-983z', 29: '-1524x2020y-939z', 30: '-1586x1938y-1008z', 31: '-1621x1930y-965z', 32: '-1678x1844y-1033z', 33: '-1703x2094y-7z', 34: '-1714x1836y-990z', 35: '-1765x1747y-1058z', 36: '-1800x1736y-1015z', 37: '-1810x2002y-34z', 38: '-1846x1645y-1083z', 39: '-185x1029y-2488z', 40: '-1881x1633y-1040z', 41: '-1912x1904y-61z', 42: '-1921x1539y-1107z', 43: '-1955x1526y-1065z', 44: '-1990x1430y-1132z', 45: '-2009x1801y-88z', 46: '-2024x1415y-1089z', 47: '-2052x1317y-1156z', 48: '-2086x1302y-1114z', 49: '-2100x1692y-115z', 50: '-2108x1202y-1181z', 51: '-2141x1185y-1139z', 52: '-2158x1085y-1205z', 53: '-2184x1579y-142z', 54: '-2201x966y-1229z', 55: '-2237x845y-1253z', 56: '-2263x1462y-169z', 57: '-2266x723y-1277z', 58: '-2271x1106y-1206z', 59: '-2288x600y-1301z', 60: '-2303x477y-1324z', 61: '-2309x108y-1394z', 62: '-2312x353y-1348z', 63: '-2314x230y-1371z', 64: '-2335x1341y-196z', 65: '-233x994y-2499z', 66: '-238x1918y-1885z', 67: '-2400x1216y-223z', 68: '-2458x1088y-250z', 69: '-2509x956y-277z', 70: '-2553x823y-304z', 71: '-2589x687y-330z', 72: '-2618x550y-357z', 73: '-2640x412y-384z', 74: '-2654x273y-411z', 75: '-2660x133y-437z', 76: '-278x956y-2509z', 77: '-285x2584y-727z', 78: '-319x917y-2519z', 79: '-335x1884y-1904z', 80: '-357x875y-2528z', 81: '-371x11y-2674z', 82: '-392x832y-2538z', 83: '-396x33y-2670z', 84: '-418x2558y-753z', 85: '-420x57y-2666z', 86: '-423x788y-2547z', 87: '-429x1845y-1923z', 88: '-443x84y-2661z', 89: '-451x743y-2556z', 90: '-453x2565y-708z', 91: '-464x113y-2657z', 92: '-474x697y-2564z', 93: '-483x145y-2652z', 94: '-495x651y-2572z', 95: '-499x179y-2647z', 96: '-512x605y-2581z', 97: '-514x215y-2641z', 98: '-519x1802y-1942z', 99: '-525x253y-2636z', 100: '-525x558y-2588z', 101: '-534x293y-2630z', 102: '-535x512y-2596z', 103: '-541x335y-2623z', 104: '-541x466y-2603z', 105: '-544x377y-2617z', 106: '-544x421y-2610z', 107: '-550x2525y-779z', 108: '-585x2531y-734z', 109: '-606x1753y-1960z', 110: '-680x2485y-805z', 111: '-690x1701y-1979z', 112: '-715x2489y-760z', 113: '-770x1645y-1997z', 114: '-806x2439y-830z', 115: '-80x1093y-2467z', 116: '-842x2441y-786z', 117: '-845x1584y-2015z', 118: '-917x1520y-2033z', 119: '-930x2385y-856z', 120: '-965x2386y-812z', 121: '-983x1453y-2051z'}
 
                  
            else:
                print("\n (STEP 567F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 567F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 567F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2800 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six28004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 568F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX28004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six28004xi = queue2six.get()
                
                if fire2six28004xi is None:
                    fire2six28004xi = shot2six28004xi
                    print("\n (STEP 568F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX28004XI TO SHOT2SIX28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 568F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX28004XI: ", fire2six28004xi) 
                    # FIRE2SIX28004XI:  {1: '-1001x2475y-842z', 2: '-1020x1507y-2127z', 3: '-1085x1435y-2145z', 4: '-1089x2411y-914z', 5: '-1126x2411y-868z', 6: '-1144x1360y-2163z', 7: '-1199x1282y-2180z', 8: '-1209x2343y-941z', 9: '-1246x2341y-895z', 10: '-1249x1202y-2198z', 11: '-1293x1121y-2215z', 12: '-1325x2268y-967z', 13: '-1333x1038y-2232z', 14: '-1362x2265y-921z', 15: '-1367x954y-2249z', 16: '-1396x869y-2265z', 17: '-139x1102y-2570z', 18: '-1409x47y-2418z', 19: '-1419x784y-2282z', 20: '-1429x122y-2404z', 21: '-1437x2187y-993z', 22: '-1438x698y-2298z', 23: '-1444x200y-2390z', 24: '-1451x613y-2314z', 25: '-1455x280y-2375z', 26: '-1460x528y-2329z', 27: '-1461x362y-2360z', 28: '-1463x444y-2345z', 29: '-1474x2183y-948z', 30: '-1543x2101y-1019z', 31: '-1580x2095y-974z', 32: '-1645x2009y-1045z', 33: '-1681x2002y-1000z', 34: '-1740x1913y-1071z', 35: '-1766x2172y-8z', 36: '-1777x1904y-1026z', 37: '-1830x1811y-1097z', 38: '-1867x1801y-1052z', 39: '-1878x2076y-36z', 40: '-1914x1706y-1123z', 41: '-192x1067y-2581z', 42: '-1950x1694y-1078z', 43: '-1983x1974y-64z', 44: '-1992x1596y-1148z', 45: '-2028x1582y-1104z', 46: '-2064x1483y-1174z', 47: '-2083x1867y-92z', 48: '-2099x1468y-1130z', 49: '-2128x1366y-1199z', 50: '-2163x1350y-1155z', 51: '-2177x1755y-120z', 52: '-2187x1247y-1224z', 53: '-2220x1229y-1181z', 54: '-2238x1125y-1250z', 55: '-2265x1638y-148z', 56: '-2282x1001y-1275z', 57: '-2319x876y-1299z', 58: '-2347x1516y-175z', 59: '-2350x749y-1324z', 60: '-2352x1145y-1249z', 61: '-2373x622y-1349z', 62: '-2389x494y-1373z', 63: '-2394x112y-1446z', 64: '-2398x366y-1398z', 65: '-2399x239y-1422z', 66: '-2421x1390y-203z', 67: '-242x1031y-2591z', 68: '-247x1989y-1954z', 69: '-2489x1261y-231z', 70: '-2549x1128y-259z', 71: '-2602x992y-287z', 72: '-2647x853y-315z', 73: '-2685x713y-343z', 74: '-2715x570y-371z', 75: '-2738x427y-398z', 76: '-2752x283y-426z', 77: '-2759x138y-454z', 78: '-288x992y-2602z', 79: '-295x2680y-754z', 80: '-331x951y-2612z', 81: '-347x1954y-1974z', 82: '-371x908y-2622z', 83: '-384x11y-2773z', 84: '-407x863y-2632z', 85: '-411x34y-2769z', 86: '-434x2653y-781z', 87: '-436x59y-2765z', 88: '-439x818y-2641z', 89: '-444x1913y-1994z', 90: '-459x87y-2760z', 91: '-467x771y-2650z', 92: '-470x2660y-734z', 93: '-481x117y-2755z', 94: '-492x723y-2659z', 95: '-501x150y-2750z', 96: '-513x675y-2668z', 97: '-518x186y-2745z', 98: '-530x627y-2676z', 99: '-533x223y-2739z', 100: '-538x1868y-2014z', 101: '-544x579y-2684z', 102: '-545x263y-2733z', 103: '-554x304y-2727z', 104: '-554x531y-2692z', 105: '-561x347y-2721z', 106: '-561x484y-2700z', 107: '-564x391y-2714z', 108: '-564x437y-2707z', 109: '-571x2619y-808z', 110: '-607x2625y-761z', 111: '-629x1818y-2033z', 112: '-705x2577y-834z', 113: '-716x1764y-2052z', 114: '-741x2582y-788z', 115: '-798x1705y-2071z', 116: '-836x2529y-861z', 117: '-83x1133y-2558z', 118: '-873x2532y-815z', 119: '-877x1643y-2090z', 120: '-951x1577y-2108z', 121: '-964x2473y-888z'}
 
                  
            else:
                print("\n (STEP 568F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 568F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 568F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 2900 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six29004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 569F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX29004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six29004xi = queue2six.get()
                if fire2six29004xi is None:
                    fire2six29004xi = shot2six29004xi
                    print("\n (STEP 569F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX29004XI TO SHOT2SIX29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 569F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX29004XI: ", fire2six29004xi) 
                    # FIRE2SIX29004XI:  {1: '-1037x2563y-872z', 2: '-1056x1561y-2203z', 3: '-1123x1486y-2221z', 4: '-1127x2498y-947z', 5: '-1166x2497y-899z', 6: '-1185x1408y-2240z', 7: '-1242x1328y-2258z', 8: '-1252x2427y-974z', 9: '-1291x2425y-927z', 10: '-1293x1245y-2276z', 11: '-1340x1161y-2294z', 12: '-1373x2349y-1002z', 13: '-1380x1075y-2312z', 14: '-1411x2346y-954z', 15: '-1416x988y-2329z', 16: '-1446x900y-2346z', 17: '-144x1141y-2661z', 18: '-1459x48y-2505z', 19: '-1470x812y-2363z', 20: '-1480x127y-2490z', 21: '-1488x2266y-1029z', 22: '-1489x723y-2380z', 23: '-1496x207y-2475z', 24: '-1503x635y-2396z', 25: '-1507x290y-2460z', 26: '-1512x547y-2413z', 27: '-1514x375y-2444z', 28: '-1515x460y-2429z', 29: '-1527x2261y-982z', 30: '-1598x2176y-1056z', 31: '-1637x2170y-1009z', 32: '-1703x2081y-1083z', 33: '-1742x2073y-1036z', 34: '-1803x1981y-1110z', 35: '-1830x2249y-8z', 36: '-1841x1972y-1063z', 37: '-1896x1876y-1136z', 38: '-1933x1865y-1090z', 39: '-1945x2150y-37z', 40: '-1983x1767y-1163z', 41: '-199x1106y-2673z', 42: '-2020x1754y-1117z', 43: '-2054x2045y-66z', 44: '-2063x1653y-1189z', 45: '-2100x1639y-1144z', 46: '-2137x1536y-1216z', 47: '-2158x1934y-95z', 48: '-2174x1520y-1170z', 49: '-2205x1415y-1242z', 50: '-2240x1398y-1197z', 51: '-2255x1818y-124z', 52: '-2265x1292y-1268z', 53: '-2300x1273y-1223z', 54: '-2318x1165y-1294z', 55: '-2346x1696y-153z', 56: '-2364x1037y-1320z', 57: '-2402x907y-1346z', 58: '-2430x1570y-182z', 59: '-2433x1185y-1292z', 60: '-2433x776y-1371z', 61: '-2457x644y-1397z', 62: '-2474x512y-1422z', 63: '-2480x116y-1497z', 64: '-2483x380y-1447z', 65: '-2485x248y-1473z', 66: '-2508x1440y-211z', 67: '-251x1068y-2684z', 68: '-256x2060y-2024z', 69: '-2577x1306y-240z', 70: '-2640x1168y-268z', 71: '-2695x1027y-297z', 72: '-2742x884y-326z', 73: '-2781x738y-355z', 74: '-2812x591y-384z', 75: '-2836x442y-412z', 76: '-2851x293y-441z', 77: '-2858x143y-470z', 78: '-299x1027y-2695z', 79: '-306x2775y-781z', 80: '-343x985y-2705z', 81: '-360x2023y-2045z', 82: '-384x940y-2716z', 83: '-398x12y-2872z', 84: '-421x894y-2726z', 85: '-426x35y-2868z', 86: '-450x2748y-809z', 87: '-452x61y-2863z', 88: '-454x847y-2735z', 89: '-460x1982y-2065z', 90: '-476x90y-2859z', 91: '-484x798y-2745z', 92: '-487x2755y-761z', 93: '-498x122y-2854z', 94: '-510x749y-2754z', 95: '-518x156y-2848z', 96: '-531x699y-2763z', 97: '-536x192y-2843z', 98: '-549x650y-2772z', 99: '-552x231y-2837z', 100: '-558x1935y-2086z', 101: '-564x272y-2831z', 102: '-564x600y-2780z', 103: '-574x315y-2824z', 104: '-574x550y-2788z', 105: '-581x359y-2818z', 106: '-581x501y-2796z', 107: '-584x405y-2811z', 108: '-584x453y-2804z', 109: '-591x2712y-837z', 110: '-629x2718y-788z', 111: '-651x1883y-2106z', 112: '-730x2669y-864z', 113: '-741x1827y-2126z', 114: '-768x2674y-816z', 115: '-827x1766y-2145z', 116: '-866x2619y-892z', 117: '-86x1173y-2650z', 118: '-904x2622y-844z', 119: '-908x1702y-2165z', 120: '-985x1633y-2184z', 121: '-999x2562y-919z'}
 
                  
            else:
                print("\n (STEP 569F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 569F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 569F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 3000 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six30004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 570F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX30004XI FROM QUEUE: ", queue2six)
                    # 
                
                fire2six30004xi = queue2six.get()
                if fire2six30004xi is None:
                    fire2six30004xi = shot2six30004xi
                    print("\n (STEP 570F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX30004XI TO SHOT2SIX30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 570F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX30004XI: ", fire2six30004xi) 
                    # FIRE2SIX30004XI:  {1: '-1018x1689y-2259z', 2: '-1033x2650y-951z', 3: '-1073x2652y-902z', 4: '-1093x1615y-2279z', 5: '-1162x1537y-2298z', 6: '-1166x2584y-980z', 7: '-1206x2584y-930z', 8: '-1226x1457y-2317z', 9: '-1285x1374y-2336z', 10: '-1295x2510y-1008z', 11: '-1335x2509y-959z', 12: '-1338x1288y-2355z', 13: '-1386x1201y-2373z', 14: '-1420x2430y-1036z', 15: '-1428x1112y-2392z', 16: '-1460x2427y-987z', 17: '-1465x1022y-2410z', 18: '-1495x931y-2427z', 19: '-149x1180y-2753z', 20: '-1510x50y-2591z', 21: '-1521x840y-2445z', 22: '-1531x131y-2576z', 23: '-1539x2344y-1064z', 24: '-1541x748y-2462z', 25: '-1547x215y-2560z', 26: '-1555x657y-2479z', 27: '-1559x300y-2545z', 28: '-1564x566y-2496z', 29: '-1566x387y-2529z', 30: '-1567x476y-2512z', 31: '-1579x2339y-1016z', 32: '-1654x2251y-1092z', 33: '-1693x2245y-1044z', 34: '-1762x2153y-1120z', 35: '-1802x2145y-1072z', 36: '-1865x2049y-1148z', 37: '-1893x2327y-8z', 38: '-1904x2040y-1100z', 39: '-1961x1941y-1175z', 40: '-2000x1929y-1128z', 41: '-2012x2224y-38z', 42: '-2051x1828y-1203z', 43: '-206x1144y-2765z', 44: '-2090x1815y-1155z', 45: '-2125x2116y-68z', 46: '-2135x1710y-1230z', 47: '-2173x1696y-1183z', 48: '-2211x1589y-1258z', 49: '-2232x2001y-98z', 50: '-2249x1573y-1211z', 51: '-2281x1464y-1285z', 52: '-2318x1446y-1238z', 53: '-2333x1881y-128z', 54: '-2343x1336y-1312z', 55: '-2379x1317y-1265z', 56: '-2398x1206y-1339z', 57: '-2427x1755y-158z', 58: '-2445x1073y-1366z', 59: '-2485x939y-1392z', 60: '-2514x1224y-1335z', 61: '-2514x1625y-188z', 62: '-2517x803y-1419z', 63: '-2542x667y-1445z', 64: '-2559x530y-1471z', 65: '-2565x121y-1549z', 66: '-2569x393y-1497z', 67: '-2571x256y-1523z', 68: '-2594x1490y-218z', 69: '-259x1104y-2777z', 70: '-265x2131y-2094z', 71: '-2666x1351y-248z', 72: '-2731x1208y-278z', 73: '-2788x1063y-308z', 74: '-2837x914y-337z', 75: '-2877x764y-367z', 76: '-2909x611y-397z', 77: '-2933x458y-427z', 78: '-2949x303y-456z', 79: '-2956x148y-486z', 80: '-309x1063y-2788z', 81: '-317x2871y-808z', 82: '-355x1018y-2799z', 83: '-372x2093y-2115z', 84: '-397x973y-2809z', 85: '-412x12y-2971z', 86: '-436x925y-2820z', 87: '-440x36y-2967z', 88: '-465x2842y-837z', 89: '-467x63y-2962z', 90: '-470x876y-2830z', 91: '-476x2050y-2137z', 92: '-492x93y-2957z', 93: '-501x826y-2840z', 94: '-504x2850y-787z', 95: '-515x126y-2952z', 96: '-527x775y-2849z', 97: '-536x161y-2947z', 98: '-550x724y-2858z', 99: '-555x199y-2941z', 100: '-568x672y-2867z', 101: '-571x239y-2935z', 102: '-577x2002y-2158z', 103: '-583x620y-2876z', 104: '-584x282y-2928z', 105: '-594x326y-2922z', 106: '-594x569y-2884z', 107: '-601x372y-2915z', 108: '-601x518y-2892z', 109: '-604x419y-2908z', 110: '-605x468y-2900z', 111: '-611x2806y-865z', 112: '-650x2812y-816z', 113: '-674x1948y-2178z', 114: '-755x2762y-894z', 115: '-767x1890y-2199z', 116: '-794x2766y-845z', 117: '-855x1827y-2219z', 118: '-896x2710y-923z', 119: '-89x1214y-2741z', 120: '-935x2713y-873z', 121: '-939x1760y-2239z'}

                  
            else:
                print("\n (STEP 570F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 570F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 570F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 3100 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six31004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 571F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX31004XI FROM QUEUE: ", queue2six) 
                    # 
                
                fire2six31004xi = queue2six.get()
                if fire2six31004xi is None:
                    fire2six31004xi = shot2six31004xi
                    print("\n (STEP 571F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX31004XI TO SHOT2SIX31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 571F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX31004XI: ", fire2six31004xi) 
                    # FIRE2SIX31004XI:  {1: '-1052x1746y-2334z', 2: '-1067x2739y-983z', 3: '-1108x2740y-932z', 4: '-1129x1669y-2355z', 5: '-1201x1589y-2375z', 6: '-1205x2670y-1012z', 7: '-1246x2670y-962z', 8: '-1267x1505y-2394z', 9: '-1328x1419y-2414z', 10: '-1339x2594y-1041z', 11: '-1380x2592y-991z', 12: '-1383x1331y-2433z', 13: '-1432x1241y-2452z', 14: '-1467x2511y-1071z', 15: '-1476x1149y-2471z', 16: '-1508x2508y-1020z', 17: '-1513x1056y-2490z', 18: '-1545x962y-2508z', 19: '-154x1220y-2845z', 20: '-1560x52y-2677z', 21: '-1572x868y-2526z', 22: '-1582x135y-2662z', 23: '-1591x2422y-1100z', 24: '-1592x773y-2544z', 25: '-1599x222y-2646z', 26: '-1607x679y-2562z', 27: '-1611x310y-2629z', 28: '-1616x585y-2579z', 29: '-1618x400y-2613z', 30: '-1620x492y-2596z', 31: '-1632x2417y-1049z', 32: '-1709x2326y-1129z', 33: '-1750x2320y-1079z', 34: '-1821x2225y-1157z', 35: '-1862x2216y-1108z', 36: '-1927x2118y-1186z', 37: '-1956x2404y-8z', 38: '-1967x2108y-1136z', 39: '-2027x2006y-1215z', 40: '-2067x1994y-1165z', 41: '-2079x2298y-39z', 42: '-2120x1888y-1243z', 43: '-213x1182y-2857z', 44: '-2159x1875y-1194z', 45: '-2196x2186y-70z', 46: '-2206x1767y-1271z', 47: '-2245x1752y-1222z', 48: '-2285x1642y-1300z', 49: '-2307x2068y-101z', 50: '-2324x1625y-1251z', 51: '-2357x1513y-1328z', 52: '-2395x1494y-1279z', 53: '-2411x1943y-132z', 54: '-2421x1381y-1356z', 55: '-2458x1361y-1307z', 56: '-2478x1246y-1384z', 57: '-2508x1814y-163z', 58: '-2527x1109y-1411z', 59: '-2568x970y-1439z', 60: '-2596x1264y-1379z', 61: '-2598x1679y-194z', 62: '-2601x830y-1466z', 63: '-2627x689y-1493z', 64: '-2645x547y-1520z', 65: '-2651x125y-1601z', 66: '-2655x406y-1547z', 67: '-2657x265y-1574z', 68: '-2680x1539y-225z', 69: '-268x1141y-2869z', 70: '-273x2202y-2164z', 71: '-2755x1396y-256z', 72: '-2822x1249y-287z', 73: '-2881x1098y-318z', 74: '-2931x945y-349z', 75: '-2973x789y-380z', 76: '-3006x632y-410z', 77: '-3031x473y-441z', 78: '-3047x313y-472z', 79: '-3055x153y-502z', 80: '-319x1098y-2881z', 81: '-327x2967y-835z', 82: '-367x1052y-2892z', 83: '-384x2163y-2186z', 84: '-411x1005y-2903z', 85: '-426x13y-3070z', 86: '-450x956y-2914z', 87: '-455x37y-3066z', 88: '-481x2937y-865z', 89: '-483x65y-3061z', 90: '-486x905y-2924z', 91: '-492x2119y-2208z', 92: '-509x96y-3056z', 93: '-517x853y-2934z', 94: '-520x2945y-813z', 95: '-533x130y-3051z', 96: '-545x801y-2944z', 97: '-554x167y-3045z', 98: '-568x748y-2954z', 99: '-573x206y-3039z', 100: '-587x694y-2963z', 101: '-590x247y-3033z', 102: '-596x2069y-2230z', 103: '-603x291y-3026z', 104: '-603x641y-2972z', 105: '-614x337y-3019z', 106: '-614x588y-2980z', 107: '-621x384y-3012z', 108: '-621x536y-2989z', 109: '-625x433y-3005z', 110: '-625x484y-2997z', 111: '-632x2899y-894z', 112: '-672x2906y-843z', 113: '-696x2013y-2251z', 114: '-780x2854y-924z', 115: '-792x1953y-2272z', 116: '-821x2858y-873z', 117: '-884x1888y-2293z', 118: '-926x2800y-953z', 119: '-92x1254y-2833z', 120: '-966x2803y-902z', 121: '-971x1819y-2314z'}

                  
            else:
                print("\n (STEP 571F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 571F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 571F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 3200 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six32004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True:

            if ack2six4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 572F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX32004XI FROM QUEUE: ", queue2six)
                    # 
                fire2six32004xi = queue2six.get()
                if fire2six32004xi is None:
                    fire2six32004xi = shot2six32004xi
                    print("\n (STEP 573F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " - SET FIRE2SIX32004XI TO SHOT2SIX32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 572F3/800) OF COLOR_NOUNS4XI - FIRE2SIX32004XI: ", fire2six32004xi) 
                    # FIRE2SIX32004XI:  {1: '-1002x1878y-2389z', 2: '-1086x1802y-2410z', 3: '-1102x2827y-1015z', 4: '-1144x2828y-962z', 5: '-1166x1723y-2431z', 6: '-1240x1640y-2451z', 7: '-1244x2756y-1045z', 8: '-1287x2756y-993z', 9: '-1308x1554y-2472z', 10: '-1370x1465y-2492z', 11: '-1382x2678y-1075z', 12: '-1424x2676y-1023z', 13: '-1427x1374y-2512z', 14: '-1478x1281y-2532z', 15: '-1515x2592y-1105z', 16: '-1523x1186y-2551z', 17: '-1557x2589y-1053z', 18: '-1562x1090y-2570z', 19: '-1595x993y-2589z', 20: '-159x1259y-2937z', 21: '-1611x53y-2764z', 22: '-1622x896y-2608z', 23: '-1633x140y-2748z', 24: '-1642x2500y-1135z', 25: '-1643x798y-2626z', 26: '-1651x229y-2731z', 27: '-1659x701y-2644z', 28: '-1663x320y-2714z', 29: '-1668x604y-2662z', 30: '-1670x413y-2697z', 31: '-1672x508y-2680z', 32: '-1684x2495y-1083z', 33: '-1764x2401y-1165z', 34: '-1806x2394y-1113z', 35: '-1880x2297y-1195z', 36: '-1922x2288y-1143z', 37: '-1989x2186y-1224z', 38: '-2019x2482y-9z', 39: '-2031x2176y-1173z', 40: '-2092x2070y-1254z', 41: '-2134x2058y-1203z', 42: '-2146x2373y-41z', 43: '-2188x1949y-1283z', 44: '-220x1220y-2949z', 45: '-2229x1936y-1232z', 46: '-2267x2257y-73z', 47: '-2277x1824y-1313z', 48: '-2318x1809y-1262z', 49: '-2359x1695y-1342z', 50: '-2381x2134y-105z', 51: '-2399x1677y-1291z', 52: '-2433x1562y-1371z', 53: '-2472x1543y-1320z', 54: '-2489x2006y-137z', 55: '-2499x1425y-1399z', 56: '-2538x1405y-1350z', 57: '-2558x1286y-1428z', 58: '-2589x1872y-169z', 59: '-2608x1145y-1457z', 60: '-2651x1001y-1485z', 61: '-2677x1303y-1422z', 62: '-2682x1733y-201z', 63: '-2685x857y-1513z', 64: '-2712x711y-1542z', 65: '-2730x565y-1569z', 66: '-2737x129y-1652z', 67: '-2740x419y-1597z', 68: '-2742x273y-1625z', 69: '-2767x1589y-233z', 70: '-277x1178y-2962z', 71: '-282x2273y-2234z', 72: '-2844x1441y-264z', 73: '-2913x1289y-296z', 74: '-2974x1134y-328z', 75: '-3026x975y-360z', 76: '-3069x815y-392z', 77: '-3103x652y-424z', 78: '-3129x488y-455z', 79: '-3146x323y-487z', 80: '-3153x158y-518z', 81: '-330x1133y-2974z', 82: '-338x3063y-862z', 83: '-379x1086y-2985z', 84: '-397x2233y-2257z', 85: '-424x1037y-2997z', 86: '-439x13y-3169z', 87: '-465x987y-3008z', 88: '-470x39y-3165z', 89: '-496x3032y-892z', 90: '-498x68y-3160z', 91: '-501x934y-3018z', 92: '-508x2187y-2279z', 93: '-525x99y-3154z', 94: '-534x881y-3029z', 95: '-537x3040y-839z', 96: '-550x134y-3149z', 97: '-562x827y-3039z', 98: '-572x172y-3143z', 99: '-586x772y-3049z', 100: '-592x212y-3137z', 101: '-606x717y-3058z', 102: '-609x255y-3131z', 103: '-615x2135y-2301z', 104: '-622x662y-3068z', 105: '-623x300y-3124z', 106: '-634x348y-3117z', 107: '-634x607y-3077z', 108: '-641x397y-3109z', 109: '-641x553y-3085z', 110: '-645x447y-3102z', 111: '-645x500y-3094z', 112: '-652x2993y-923z', 113: '-694x3000y-870z', 114: '-719x2078y-2324z', 115: '-805x2946y-954z', 116: '-818x2016y-2345z', 117: '-847x2951y-901z', 118: '-912x1949y-2367z', 119: '-956x2890y-984z', 120: '-95x1295y-2924z', 121: '-998x2893y-932z'}

                  
            else:
                print("\n (STEP 572F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 572F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 572F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

        
    #=========
    # 3300 SIX
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2six33004xi = {}
    
    if ack2six4process is True:

        if ack2six4start is True: 

            if ack2six4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 573F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SIX33004XI FROM QUEUE: ", queue2six)   
                    # 
                fire2six33004xi = queue2six.get()
                if ack2debug is True:
                    print("\n (STEP 573F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SIX: ", queue2six, " FIRE2SIX33004XI: ", fire2six33004xi) 
                    # FIRE2SIX33004XI:  {1: '-1029x2984y-961z', 2: '-1033x1936y-2463z', 3: '-1120x1858y-2485z', 4: '-1136x2915y-1046z', 5: '-1180x2917y-992z', 6: '-1202x1777y-2507z', 7: '-1278x1691y-2528z', 8: '-1283x2842y-1078z', 9: '-1327x2842y-1024z', 10: '-1349x1602y-2549z', 11: '-1413x1511y-2570z', 12: '-1425x2761y-1109z', 13: '-1469x2759y-1055z', 14: '-1472x1417y-2590z', 15: '-1524x1321y-2611z', 16: '-1562x2673y-1140z', 17: '-1571x1223y-2631z', 18: '-1606x2670y-1086z', 19: '-1611x1124y-2651z', 20: '-1645x1024y-2670z', 21: '-164x1298y-3029z', 22: '-1661x55y-2850z', 23: '-1673x924y-2689z', 24: '-1684x144y-2833z', 25: '-1693x2578y-1171z', 26: '-1695x823y-2708z', 27: '-1702x236y-2816z', 28: '-1711x723y-2727z', 29: '-1715x330y-2799z', 30: '-1720x623y-2745z', 31: '-1722x426y-2781z', 32: '-1724x524y-2764z', 33: '-1737x2573y-1117z', 34: '-1819x2476y-1201z', 35: '-1863x2469y-1148z', 36: '-1938x2368y-1232z', 37: '-1982x2359y-1179z', 38: '-2051x2254y-1263z', 39: '-2082x2559y-9z', 40: '-2094x2244y-1210z', 41: '-2157x2135y-1293z', 42: '-2200x2122y-1240z', 43: '-2213x2447y-42z', 44: '-2256x2010y-1323z', 45: '-227x1258y-3042z', 46: '-2299x1996y-1271z', 47: '-2338x2327y-75z', 48: '-2348x1881y-1354z', 49: '-2390x1865y-1301z', 50: '-2432x1748y-1384z', 51: '-2455x2201y-108z', 52: '-2474x1730y-1332z', 53: '-2509x1610y-1413z', 54: '-2549x1591y-1362z', 55: '-2566x2069y-141z', 56: '-2577x1470y-1443z', 57: '-2617x1449y-1392z', 58: '-2637x1326y-1473z', 59: '-2670x1931y-174z', 60: '-2690x1180y-1502z', 61: '-2734x1033y-1532z', 62: '-2758x1343y-1465z', 63: '-2766x1787y-207z', 64: '-2769x883y-1561z', 65: '-2796x733y-1590z', 66: '-2815x583y-1619z', 67: '-2822x133y-1704z', 68: '-2826x432y-1647z', 69: '-2828x282y-1676z', 70: '-2853x1639y-240z', 71: '-285x1215y-3054z', 72: '-291x2344y-2304z', 73: '-2933x1486y-273z', 74: '-3004x1329y-306z', 75: '-3067x1169y-338z', 76: '-3120x1006y-371z', 77: '-3165x840y-404z', 78: '-3200x672y-437z', 79: '-3227x503y-469z', 80: '-3244x333y-502z', 81: '-3252x163y-535z', 82: '-340x1169y-3067z', 83: '-348x3158y-889z', 84: '-391x1120y-3079z', 85: '-409x2303y-2327z', 86: '-437x1070y-3090z', 87: '-453x13y-3268z', 88: '-479x1017y-3102z', 89: '-484x40y-3263z', 90: '-512x3127y-920z', 91: '-514x70y-3258z', 92: '-517x964y-3113z', 93: '-524x2255y-2350z', 94: '-542x103y-3253z', 95: '-551x909y-3124z', 96: '-554x3135y-866z', 97: '-567x139y-3247z', 98: '-580x853y-3134z', 99: '-590x177y-3241z', 100: '-605x796y-3144z', 101: '-610x219y-3235z', 102: '-625x739y-3154z', 103: '-628x263y-3228z', 104: '-635x2202y-2373z', 105: '-642x310y-3221z', 106: '-642x682y-3164z', 107: '-653x358y-3214z', 108: '-653x626y-3173z', 109: '-661x409y-3206z', 110: '-661x570y-3182z', 111: '-665x461y-3199z', 112: '-665x515y-3190z', 113: '-673x3087y-952z', 114: '-715x3093y-897z', 115: '-741x2143y-2396z', 116: '-831x3038y-984z', 117: '-843x2079y-2419z', 118: '-874x3043y-929z', 119: '-941x2010y-2441z', 120: '-985x2981y-1015z', 121: '-98x1335y-3015z'}
 
                      
                    if fire2six33004xi is None:
                        print("\n (STEP 574F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2SIX: ", queue2six, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2six33004xi = queue2six.get()
                    
                        if fire2six33004xi is None:
                            fire2six33004xi = shot2six33004xi
                            print("\n (STEP 573F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2SIX: ", queue2six, " SET FIRE2SIX33004XI TO SHOT2SIX33004XI: ", fire2six33004xi) 
                            # 
                            
            else:
                print("\n (STEP 573F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SIX ", time4xi())                 
        else:
            print("\n (STEP 573F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SIX ", time4xi())                                         
    else:
        print("\n (STEP 573F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SIX ", time4xi())                    
               

           
    # =========================================================================================================   
    # II/VI EOF - SIX DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
          
    # =========================================================================================================   
    # I/VII SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
    
    #========
    # 10 SEVEN 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 574F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 574F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven) 
                    # <ack2put4xi>queue2seven8shot2seven10x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 574F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 574F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 574F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
    
    #========
    # 100 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 581F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 581F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 581F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 581F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 581F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
    
    #========
    # 200 SEVEN 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 582F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 582F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven200x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 582F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 582F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 582F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
                                                
                                  
    
    #========
    # 300 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 583F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 583F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 583F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 583F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 583F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
    
    #========
    # 400 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 584F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 584F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 584F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 584F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())
                            
    #========
    # 500 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 585F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 585F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven500x4xi</ack2put4xi> 
 
                
            else:
                print("\n (STEP 585F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 585F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 585F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
                                                                                       
    #========
    # 600 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 586F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 586F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    #  <ack2put4xi>queue2seven8shot2seven600x4xi</ack2put4xi>
            else:
                print("\n (STEP 586F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 586F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 584F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #========
    # 700 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 587F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 587F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 587F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 587F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 587F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
       
    #========
    # 800 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 588F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 588F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven800x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 588F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 588F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 588F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #========
    # 900 SEVEN
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 589F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 589F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven900x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 589F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 589F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 589F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
      
           
     
    #=========
    # 1000 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 590F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 590F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 590F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 590F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 590F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1100 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 591F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 591F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 591F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 591F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 591F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1200 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 592F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 592F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 592F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 592F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 592F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1300 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 593F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 593F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 593F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 593F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 593F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1400 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 594F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 594F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 594F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 594F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 594F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1500 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 595F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 595F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 595F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 595F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 595F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1600 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 596F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 596F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 596F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 596F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 596F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1700 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 597F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 597F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 597F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 597F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 597F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1800 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 598F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 598F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1800x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 598F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 598F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 598F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())                    
     
    #=========
    # 1900 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 599F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 599F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven1900x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 599F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 599F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 599F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
        
     
    #=========
    # 2000 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 600F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 600F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 600F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 600F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 600F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2100 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 621F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 621F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 621F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 621F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 621F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2200 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 622F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 622F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 622F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 622F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 622F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2300 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 623F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 623F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2300x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 623F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 623F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 623F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2400 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 624F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 624F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 624F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 624F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 624F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2500 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 625F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 625F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 625F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 625F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 625F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2600 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 626F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 626F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 626F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 626F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 626F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2700 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 627F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 627F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 627F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 627F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 627F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2800 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 628F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 628F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2800x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 628F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 628F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 628F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 2900 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 629F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 629F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven2900x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 629F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 629F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 629F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 3000 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 630F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 630F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven3000x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 630F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 630F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 630F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 3100 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 631F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                    
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 631F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven) 
                    # <ack2put4xi>queue2seven8shot2seven3100x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 631F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 631F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 631F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 3200 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 632F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel)
                    # 
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 632F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven3200x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 632F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 632F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 632F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  
     
    #=========
    # 3300 SEVEN
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 633F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel) 
                    # 
                message2receive4seven = pipe2seven_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 633F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2seven_consumer_channel, " PUT INFO MESSAGE: ", message2receive4seven)
                    # <ack2put4xi>queue2seven8shot2seven3300x4xi</ack2put4xi> 
                     
            else:
                print("\n (STEP 633F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 633F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 633F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS SEVEN ", time4xi())  

      
           
    # =========================================================================================================   
    # I/VII EOF - SEVEN DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST 
    # =========================================================================================================      
          

 

           
    # =========================================================================================================   
    # II/VII SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 SEVEN   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven104xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 634F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN104XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven104xi = queue2seven.get() 
                if fire2seven104xi is None:
                    fire2seven104xi = shot2seven104xi
                    print("\n (STEP 634F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN104XI TO SHOT2SEVEN104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 634F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN104XI: ", fire2seven104xi) 
                    # FIRE2SEVEN104XI:  {1: '-10x-11y36z', 2: '-10x-12y36z', 3: '-10x-13y36z', 4: '-10x-15y6z', 5: '-10x-15y7z', 6: '-11x-10y36z', 7: '-11x-14y7z', 8: '-11x-8y37z', 9: '-11x-9y37z', 10: '-12x-13y7z', 11: '-12x-60y33z', 12: '-13x-13y7z', 13: '-15x-59y33z', 14: '-18x-58y34z', 15: '-1x-1y89z', 16: '-1x-28y7z', 17: '-20x-47y30z', 18: '-21x-56y34z', 19: '-23x-45y30z', 20: '-25x-44y31z', 21: '-27x-42y31z', 22: '-29x-40y32z', 23: '-2x-25y42z', 24: '-2x-62y31z', 25: '-31x-39y32z', 26: '-33x-37y33z', 27: '-34x-20y30z', 28: '-34x-35y33z', 29: '-35x-16y31z', 30: '-35x-18y30z', 31: '-36x-10y32z', 32: '-36x-12y31z', 33: '-36x-14y31z', 34: '-36x-33y34z', 35: '-36x-8y32z', 36: '-37x-30y34z', 37: '-37x-70y0z', 38: '-38x-28y35z', 39: '-3x-18y5z', 40: '-3x-24y43z', 41: '-3x-28y7z', 42: '-40x-26y35z', 43: '-40x-68y0z', 44: '-44x-66y0z', 45: '-47x-64y1z', 46: '-4x-18y5z', 47: '-4x-24y43z', 48: '-4x-28y8z', 49: '-51x-61y2z', 50: '-54x-58y3z', 51: '-57x-55y4z', 52: '-5x-18y6z', 53: '-5x-23y43z', 54: '-60x-52y4z', 55: '-62x-30y7z', 56: '-62x-49y5z', 57: '-63x-27y8z', 58: '-65x-24y9z', 59: '-65x-46y6z', 60: '-66x-20y9z', 61: '-67x-17y10z', 62: '-67x-42y7z', 63: '-69x-38y8z', 64: '-6x-17y35z', 65: '-6x-17y6z', 66: '-6x-22y43z', 67: '-6x-62y31z', 68: '-6x-6y3z', 69: '-7x-16y35z', 70: '-7x-17y35z', 71: '-7x-17y6z', 72: '-7x-4y4z', 73: '-7x-5y4z', 74: '-8x-15y35z', 75: '-8x-16y6z', 76: '-8x-1y28z', 77: '-8x-1y4z', 78: '-8x-2y28z', 79: '-8x-2y4z', 80: '-8x-3y28z', 81: '-8x-3y4z', 82: '-8x-4y28z', 83: '-8x-5y28z', 84: '-8x-6y27z', 85: '-8x0y5z', 86: '-9x-13y36z', 87: '-9x-14y36z', 88: '-9x-16y6z', 89: '-9x-4y28z', 90: '-9x-61y32z', 91: '0x-1y29z', 92: '0x-26y42z', 93: '0x-29y7z', 94: '0x-62y30z', 95: '0x0y89z'}
 
                
            else:
                print("\n (STEP 634F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 634F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 634F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())
    
        
      
           
    #========
    # 100 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven1004xi = {}

    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 641F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN1004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven1004xi = queue2seven.get()
                if fire2seven1004xi is None:
                    fire2seven1004xi = shot2seven1004xi
                    print("\n (STEP 641F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN1004XI TO SHOT2SEVEN1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 641F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN1004XI: ", fire2seven1004xi) 
                    # FIRE2SEVEN1004XI:  {1: '-10x-95y26z', 2: '-11x-47y87z', 3: '-13x-45y87z', 4: '-13x-87y46z', 5: '-15x-44y88z', 6: '-15x-94y27z', 7: '-17x-42y88z', 8: '-17x-86y47z', 9: '-19x-40y89z', 10: '-19x-93y28z', 11: '-1x-13y99z', 12: '-1x-1y99z', 13: '-1x-52y85z', 14: '-21x-38y89z', 15: '-22x-36y90z', 16: '-22x-84y48z', 17: '-24x-34y90z', 18: '-24x-92y29z', 19: '-25x-32y90z', 20: '-26x-30y91z', 21: '-26x-83y49z', 22: '-27x-28y91z', 23: '-27x-5y95z', 24: '-28x-24y92z', 25: '-28x-26y92z', 26: '-28x-6y95z', 27: '-29x-10y94z', 28: '-29x-12y94z', 29: '-29x-14y94z', 30: '-29x-18y93z', 31: '-29x-20y93z', 32: '-29x-22y92z', 33: '-29x-8y95z', 34: '-29x-90y30z', 35: '-2x-11y99z', 36: '-2x-12y99z', 37: '-2x-2y99z', 38: '-2x-3y99z', 39: '-2x-4y99z', 40: '-2x-5y99z', 41: '-2x-9y99z', 42: '-30x-16y93z', 43: '-30x-81y49z', 44: '-34x-39y85z', 45: '-34x-78y50z', 46: '-34x-88y31z', 47: '-35x-37y85z', 48: '-37x-34y86z', 49: '-38x-32y86z', 50: '-38x-76y51z', 51: '-38x-86y32z', 52: '-39x-27y87z', 53: '-39x-29y87z', 54: '-3x-6y99z', 55: '-3x-7y99z', 56: '-3x-8y99z', 57: '-40x-21y88z', 58: '-40x-24y88z', 59: '-41x-16y89z', 60: '-41x-19y88z', 61: '-42x-73y52z', 62: '-42x-84y33z', 63: '-45x-71y53z', 64: '-46x-88y0z', 65: '-47x-81y34z', 66: '-49x-68y54z', 67: '-4x-51y85z', 68: '-4x-89y44z', 69: '-51x-78y34z', 70: '-51x-85y0z', 71: '-52x-65y54z', 72: '-54x-75y35z', 73: '-55x-61y55z', 74: '-55x-83y1z', 75: '-57x-58y56z', 76: '-58x-72y36z', 77: '-59x-80y2z', 78: '-5x-96y25z', 79: '-60x-55y57z', 80: '-61x-68y37z', 81: '-62x-51y58z', 82: '-63x-76y3z', 83: '-64x-47y59z', 84: '-65x-65y38z', 85: '-65x-84y169z', 86: '-66x-44y59z', 87: '-67x-73y4z', 88: '-68x-40y60z', 89: '-68x-61y39z', 90: '-6x-49y86z', 91: '-70x-36y61z', 92: '-71x-32y62z', 93: '-71x-57y40z', 94: '-71x-69y5z', 95: '-72x-28y63z', 96: '-73x-16y65z', 97: '-73x-20y64z', 98: '-73x-24y63z', 99: '-73x-53y41z', 100: '-75x-49y42z', 101: '-75x-65y6z', 102: '-78x-45y43z', 103: '-78x-61y7z', 104: '-79x-40y44z', 105: '-81x-36y45z', 106: '-81x-57y8z', 107: '-82x-31y45z', 108: '-84x-22y47z', 109: '-84x-27y46z', 110: '-84x-53y9z', 111: '-85x-13y49z', 112: '-85x-18y48z', 113: '-85x-9y50z', 114: '-86x-48y10z', 115: '-89x-43y11z', 116: '-8x-88y45z', 117: '-91x-39y12z', 118: '-92x-34y13z', 119: '-94x-29y14z', 120: '-95x-24y15z', 121: '-9x-48y86z', 122: '0x-14y98z', 123: '0x-15y98z', 124: '0x-16y98z', 125: '0x-89y43z', 126: '0x-96y24z', 127: '0x0y99z'}
 
                  
            else:
                print("\n (STEP 641F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 641F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 641F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
      

    #========
    # 200 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven2004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 642F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN2004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven2004xi = queue2seven.get()
                if fire2seven2004xi is None:
                    fire2seven2004xi = shot2seven2004xi
                    print("\n (STEP 642F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN2004XI TO SHOT2SEVEN2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 642F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN2004XI: ", fire2seven2004xi) 
                    # FIRE2SEVEN2004XI:  {1: '-102x-157y69z', 2: '-102x-171y0z', 3: '-103x-119y255z', 4: '-104x-130y109z', 5: '-109x-151y71z', 6: '-10x-193y50z', 7: '-110x-123y111z', 8: '-111x-166y2z', 9: '-115x-117y113z', 10: '-117x-144y73z', 11: '-119x-160y4z', 12: '-120x-110y114z', 13: '-123x-137y75z', 14: '-125x-103y116z', 15: '-127x-153y6z', 16: '-129x-95y118z', 17: '-130x-130y77z', 18: '-133x-88y119z', 19: '-135x-146y8z', 20: '-136x-122y79z', 21: '-137x-80y121z', 22: '-13x-99y172z', 23: '-140x-72y122z', 24: '-142x-115y81z', 25: '-142x-64y124z', 26: '-143x-139y10z', 27: '-144x-56y126z', 28: '-146x-48y127z', 29: '-147x-106y82z', 30: '-147x-32y130z', 31: '-147x-40y129z', 32: '-150x-131y12z', 33: '-151x-98y84z', 34: '-156x-123y14z', 35: '-156x-90y86z', 36: '-159x-81y88z', 37: '-162x-115y16z', 38: '-163x-72y90z', 39: '-165x-63y91z', 40: '-168x-106y18z', 41: '-168x-54y93z', 42: '-169x-45y95z', 43: '-171x-18y100z', 44: '-171x-27y98z', 45: '-171x-36y97z', 46: '-173x-97y20z', 47: '-178x-87y22z', 48: '-17x-177y90z', 49: '-182x-78y24z', 50: '-185x-68y26z', 51: '-189x-58y28z', 52: '-18x-97y173z', 53: '-191x-48y30z', 54: '-1x-1y199z', 55: '-1x-28y197z', 56: '-20x-191y52z', 57: '-22x-94y174z', 58: '-26x-175y92z', 59: '-27x-91y175z', 60: '-2x-104y170z', 61: '-30x-189y54z', 62: '-31x-88y176z', 63: '-35x-172y94z', 64: '-35x-85y177z', 65: '-38x-81y178z', 66: '-39x-187y56z', 67: '-3x-26y198z', 68: '-3x-3y199z', 69: '-42x-77y179z', 70: '-44x-169y96z', 71: '-45x-73y180z', 72: '-48x-69y181z', 73: '-49x-184y58z', 74: '-4x-24y198z', 75: '-4x-5y199z', 76: '-4x-7y199z', 77: '-50x-65y181z', 78: '-52x-166y98z', 79: '-52x-61y182z', 80: '-54x-57y183z', 81: '-55x-10y191z', 82: '-56x-53y184z', 83: '-57x-13y191z', 84: '-57x-49y185z', 85: '-58x-17y190z', 86: '-58x-181y60z', 87: '-58x-44y185z', 88: '-59x-20y189z', 89: '-59x-24y189z', 90: '-59x-28y188z', 91: '-59x-36y187z', 92: '-59x-40y186z', 93: '-5x-11y199z', 94: '-5x-19y198z', 95: '-5x-22y198z', 96: '-5x-9y199z', 97: '-60x-32y187z', 98: '-61x-162y99z', 99: '-68x-177y62z', 100: '-69x-157y101z', 101: '-6x-13y199z', 102: '-6x-15y199z', 103: '-6x-17y199z', 104: '-71x-74y171z', 105: '-74x-69y172z', 106: '-76x-153y103z', 107: '-76x-64y173z', 108: '-77x-173y64z', 109: '-78x-59y174z', 110: '-79x-54y175z', 111: '-81x-43y177z', 112: '-81x-49y176z', 113: '-82x-33y178z', 114: '-82x-38y177z', 115: '-84x-147y104z', 116: '-85x-168y66z', 117: '-8x-102y171z', 118: '-8x-178y89z', 119: '-91x-142y106z', 120: '-94x-162y68z', 121: '-98x-136y108z', 122: '0x-193y48z', 123: '0x-30y197z', 124: '0x0y199z'}
 
                  
            else:
                print("\n (STEP 642F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 642F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 642F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven3004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 643F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN3004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven3004xi = queue2seven.get()
                if fire2seven3004xi is None:
                    fire2seven3004xi = shot2seven3004xi
                    print("\n (STEP 643F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN3004XI TO SHOT2SEVEN3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 643F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN3004XI: ", fire2seven3004xi) 
                    # FIRE2SEVEN3004XI:  {1: '-102x-266y93z', 2: '-103x-236y152z', 3: '-107x-111y256z', 4: '-111x-104y258z', 5: '-114x-96y259z', 6: '-115x-229y154z', 7: '-115x-259y96z', 8: '-117x-88y261z', 9: '-119x-81y262z', 10: '-121x-73y264z', 11: '-122x-65y265z', 12: '-123x-58y266z', 13: '-124x-50y268z', 14: '-126x-221y157z', 15: '-128x-252y99z', 16: '-12x-153y257z', 17: '-12x-268y133z', 18: '-136x-213y159z', 19: '-137x-159y340z', 20: '-141x-244y102z', 21: '-147x-204y162z', 22: '-153x-235y104z', 23: '-153x-257y0z', 24: '-156x-195y164z', 25: '-15x-289y76z', 26: '-164x-226y107z', 27: '-165x-185y167z', 28: '-166x-249y3z', 29: '-173x-175y169z', 30: '-175x-216y110z', 31: '-179x-240y6z', 32: '-181x-165y172z', 33: '-185x-206y113z', 34: '-188x-154y174z', 35: '-191x-230y9z', 36: '-194x-143y177z', 37: '-195x-195y116z', 38: '-19x-149y259z', 39: '-200x-132y179z', 40: '-203x-220y12z', 41: '-204x-184y118z', 42: '-205x-120y182z', 43: '-210x-108y184z', 44: '-213x-172y121z', 45: '-213x-96y186z', 46: '-214x-209y15z', 47: '-216x-84y189z', 48: '-219x-72y191z', 49: '-220x-160y124z', 50: '-220x-60y193z', 51: '-221x-48y196z', 52: '-225x-197y18z', 53: '-227x-148y127z', 54: '-234x-135y129z', 55: '-234x-185y21z', 56: '-239x-122y132z', 57: '-244x-108y135z', 58: '-244x-172y24z', 59: '-248x-95y137z', 60: '-252x-159y27z', 61: '-252x-81y140z', 62: '-254x-68y143z', 63: '-256x-54y145z', 64: '-257x-27y150z', 65: '-257x-40y148z', 66: '-260x-145y30z', 67: '-267x-131y33z', 68: '-26x-265y136z', 69: '-273x-117y36z', 70: '-278x-102y39z', 71: '-27x-146y260z', 72: '-283x-88y42z', 73: '-287x-73y45z', 74: '-2x-2y299z', 75: '-2x-42y296z', 76: '-30x-287y79z', 77: '-34x-141y262z', 78: '-40x-137y263z', 79: '-40x-262y139z', 80: '-45x-284y82z', 81: '-47x-132y264z', 82: '-4x-156y256z', 83: '-4x-39y297z', 84: '-4x-5y299z', 85: '-53x-127y266z', 86: '-53x-258y141z', 87: '-58x-122y267z', 88: '-59x-281y84z', 89: '-63x-116y269z', 90: '-66x-254y144z', 91: '-68x-110y270z', 92: '-6x-36y297z', 93: '-6x-8y299z', 94: '-72x-104y271z', 95: '-74x-277y87z', 96: '-75x-98y272z', 97: '-79x-249y147z', 98: '-79x-92y274z', 99: '-7x-10y299z', 100: '-7x-33y298z', 101: '-82x-86y275z', 102: '-83x-15y287z', 103: '-84x-80y276z', 104: '-85x-20y286z', 105: '-86x-73y277z', 106: '-87x-25y285z', 107: '-88x-271y90z', 108: '-88x-31y284z', 109: '-88x-67y278z', 110: '-89x-36y283z', 111: '-89x-42y282z', 112: '-89x-54y280z', 113: '-89x-61y279z', 114: '-8x-13y299z', 115: '-8x-16y299z', 116: '-8x-29y298z', 117: '-90x-48y281z', 118: '-91x-243y149z', 119: '-9x-20y299z', 120: '-9x-23y298z', 121: '-9x-26y298z', 122: '0x-290y73z', 123: '0x-45y296z', 124: '0x0y299z'}
 
                  
            else:
                print("\n (STEP 643F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 643F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 643F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


       
    #========
    # 400 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven4004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 644F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN4004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven4004xi = queue2seven.get()
                if fire2seven4004xi is None:
                    fire2seven4004xi = shot2seven4004xi
                    print("\n (STEP 644F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN4004XI TO SHOT2SEVEN4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 644F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN4004XI: ", fire2seven4004xi) 
                    # FIRE2SEVEN4004XI:  {1: '-101x-131y363z', 2: '-105x-123y365z', 3: '-105x-332y196z', 4: '-109x-115y367z', 5: '-10x-18y399z', 6: '-10x-44y397z', 7: '-111x-20y383z', 8: '-112x-106y368z', 9: '-114x-27y382z', 10: '-115x-98y370z', 11: '-116x-34y381z', 12: '-117x-362y120z', 13: '-117x-89y371z', 14: '-118x-41y379z', 15: '-118x-81y373z', 16: '-119x-49y378z', 17: '-119x-57y377z', 18: '-119x-73y374z', 19: '-11x-22y399z', 20: '-11x-39y397z', 21: '-120x-65y375z', 22: '-122x-324y199z', 23: '-12x-26y398z', 24: '-12x-30y398z', 25: '-12x-35y398z', 26: '-136x-354y124z', 27: '-138x-315y203z', 28: '-143x-149y342z', 29: '-148x-139y344z', 30: '-152x-128y346z', 31: '-153x-306y206z', 32: '-154x-346y128z', 33: '-156x-118y348z', 34: '-159x-108y350z', 35: '-162x-98y352z', 36: '-163x-87y354z', 37: '-165x-67y357z', 38: '-165x-77y355z', 39: '-168x-295y209z', 40: '-16x-204y343z', 41: '-16x-357y178z', 42: '-171x-198y425z', 43: '-171x-336y132z', 44: '-182x-284y213z', 45: '-188x-325y136z', 46: '-196x-273y216z', 47: '-1x0y399z', 48: '-204x-314y139z', 49: '-204x-343y0z', 50: '-208x-260y219z', 51: '-20x-386y101z', 52: '-219x-302y143z', 53: '-220x-247y223z', 54: '-222x-332y4z', 55: '-231x-234y226z', 56: '-234x-289y147z', 57: '-239x-320y8z', 58: '-241x-220y229z', 59: '-247x-275y151z', 60: '-251x-206y233z', 61: '-255x-307y12z', 62: '-259x-191y236z', 63: '-260x-260y154z', 64: '-267x-176y239z', 65: '-26x-199y345z', 66: '-271x-293y16z', 67: '-272x-245y158z', 68: '-274x-160y242z', 69: '-280x-144y245z', 70: '-284x-230y162z', 71: '-285x-128y249z', 72: '-286x-278y20z', 73: '-289x-112y252z', 74: '-292x-96y255z', 75: '-294x-213y165z', 76: '-294x-80y258z', 77: '-295x-64y261z', 78: '-300x-263y24z', 79: '-303x-197y169z', 80: '-312x-180y172z', 81: '-313x-247y28z', 82: '-319x-162y176z', 83: '-325x-230y32z', 84: '-326x-145y180z', 85: '-331x-127y183z', 86: '-336x-109y187z', 87: '-336x-212y36z', 88: '-339x-90y190z', 89: '-342x-72y194z', 90: '-343x-36y201z', 91: '-343x-54y197z', 92: '-347x-194y40z', 93: '-356x-175y44z', 94: '-35x-354y181z', 95: '-364x-156y48z', 96: '-36x-194y347z', 97: '-371x-137y52z', 98: '-378x-117y56z', 99: '-383x-97y60z', 100: '-3x-3y399z', 101: '-3x-57y395z', 102: '-40x-383y105z', 103: '-45x-189y349z', 104: '-53x-350y185z', 105: '-54x-183y351z', 106: '-5x-208y341z', 107: '-60x-379y109z', 108: '-62x-176y353z', 109: '-6x-52y396z', 110: '-6x-7y399z', 111: '-70x-170y355z', 112: '-71x-345y189z', 113: '-77x-162y356z', 114: '-79x-375y113z', 115: '-84x-155y358z', 116: '-88x-339y192z', 117: '-8x-10y399z', 118: '-8x-48y396z', 119: '-90x-147y360z', 120: '-96x-139y362z', 121: '-98x-369y117z', 122: '-9x-14y399z', 123: '0x-387y97z', 124: '0x-61y395z'}
 
                  
            else:
                print("\n (STEP 644F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 644F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 644F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


                               
    #========
    # 500 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven5004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 645F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN5004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven5004xi = queue2seven.get()
                if fire2seven5004xi is None:
                    fire2seven5004xi = shot2seven5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN5004XI TO SHOT2SEVEN5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN5004XI: ", fire2seven5004xi) 
                    # FIRE2SEVEN5004XI:  {1: '-105x-194y448z', 2: '-10x-13y499z', 3: '-10x-60y496z', 4: '-110x-423y240z', 5: '-113x-184y450z', 6: '-120x-174y452z', 7: '-123x-461y146z', 8: '-126x-164y454z', 9: '-12x-18y499z', 10: '-12x-55y496z', 11: '-132x-154y456z', 12: '-132x-415y245z', 13: '-136x-143y458z', 14: '-139x-25y479z', 15: '-13x-22y499z', 16: '-140x-133y460z', 17: '-142x-34y477z', 18: '-144x-122y462z', 19: '-145x-42y476z', 20: '-146x-112y464z', 21: '-147x-453y151z', 22: '-147x-52y474z', 23: '-148x-101y466z', 24: '-149x-61y473z', 25: '-149x-71y471z', 26: '-149x-91y468z', 27: '-14x-28y498z', 28: '-14x-49y497z', 29: '-150x-81y469z', 30: '-152x-405y249z', 31: '-15x-33y498z', 32: '-15x-38y498z', 33: '-15x-44y497z', 34: '-170x-443y155z', 35: '-172x-394y253z', 36: '-191x-161y433z', 37: '-192x-382y258z', 38: '-192x-432y160z', 39: '-195x-148y435z', 40: '-199x-135y437z', 41: '-1x-1y499z', 42: '-1x-76y494z', 43: '-202x-122y440z', 44: '-204x-109y442z', 45: '-206x-96y444z', 46: '-207x-84y447z', 47: '-20x-255y429z', 48: '-20x-447y223z', 49: '-210x-369y262z', 50: '-214x-420y165z', 51: '-222x-208y516z', 52: '-228x-356y266z', 53: '-235x-407y170z', 54: '-245x-341y270z', 55: '-255x-392y174z', 56: '-255x-429y1z', 57: '-25x-482y127z', 58: '-260x-326y274z', 59: '-274x-377y179z', 60: '-275x-309y279z', 61: '-277x-415y6z', 62: '-289x-293y283z', 63: '-292x-361y184z', 64: '-299x-400y11z', 65: '-302x-275y287z', 66: '-309x-344y188z', 67: '-314x-257y291z', 68: '-319x-384y16z', 69: '-324x-238y295z', 70: '-326x-326y193z', 71: '-334x-220y299z', 72: '-339x-366y21z', 73: '-33x-249y431z', 74: '-341x-307y198z', 75: '-342x-200y303z', 76: '-350x-181y307z', 77: '-355x-287y202z', 78: '-356x-161y311z', 79: '-357x-348y26z', 80: '-361x-141y315z', 81: '-365x-121y319z', 82: '-368x-100y323z', 83: '-368x-267y207z', 84: '-369x-80y326z', 85: '-375x-329y31z', 86: '-379x-246y211z', 87: '-390x-225y216z', 88: '-391x-308y36z', 89: '-399x-203y220z', 90: '-406x-287y41z', 91: '-407x-181y225z', 92: '-414x-159y229z', 93: '-420x-136y234z', 94: '-421x-265y46z', 95: '-424x-113y238z', 96: '-427x-90y242z', 97: '-429x-45y251z', 98: '-429x-67y247z', 99: '-433x-243y51z', 100: '-43x-443y227z', 101: '-445x-219y56z', 102: '-455x-195y61z', 103: '-45x-243y434z', 104: '-464x-171y65z', 105: '-472x-146y70z', 106: '-478x-121y75z', 107: '-4x-4y499z', 108: '-4x-71y494z', 109: '-50x-479y132z', 110: '-57x-236y436z', 111: '-66x-437y231z', 112: '-68x-229y439z', 113: '-75x-474y136z', 114: '-78x-221y441z', 115: '-7x-260y426z', 116: '-7x-66y495z', 117: '-7x-9y499z', 118: '-88x-212y443z', 119: '-89x-431y236z', 120: '-97x-203y446z', 121: '-99x-469y141z', 122: '0x-484y122z'}
 
                  
            else:
                print("\n (STEP 645F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 645F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 645F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven6004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 646F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN6004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven6004xi = queue2seven.get()
                if fire2seven6004xi is None:
                    fire2seven6004xi = shot2seven6004xi
                    print("\n (STEP 646F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN6004XI TO SHOT2SEVEN6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 646F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN6004XI: ", fire2seven6004xi) 
                    # FIRE2SEVEN6004XI:  {1: '-106x-255y532z', 2: '-106x-517y283z', 3: '-116x-244y535z', 4: '-119x-562y169z', 5: '-126x-233y538z', 6: '-12x-16y599z', 7: '-12x-72y595z', 8: '-133x-508y288z', 9: '-136x-221y540z', 10: '-144x-209y543z', 11: '-148x-554y175z', 12: '-14x-21y599z', 13: '-151x-197y545z', 14: '-158x-185y548z', 15: '-158x-498y294z', 16: '-15x-66y596z', 17: '-164x-172y550z', 18: '-167x-30y575z', 19: '-169x-160y552z', 20: '-16x-27y599z', 21: '-16x-59y596z', 22: '-171x-40y573z', 23: '-172x-147y555z', 24: '-174x-51y571z', 25: '-176x-134y557z', 26: '-176x-543y181z', 27: '-177x-62y569z', 28: '-178x-122y559z', 29: '-178x-73y567z', 30: '-179x-109y561z', 31: '-179x-85y565z', 32: '-17x-33y598z', 33: '-180x-97y563z', 34: '-183x-486y299z', 35: '-18x-40y598z', 36: '-18x-46y597z', 37: '-18x-53y597z', 38: '-1x-1y599z', 39: '-1x-91y592z', 40: '-204x-532y187z', 41: '-207x-473y304z', 42: '-229x-193y519z', 43: '-230x-459y309z', 44: '-231x-519y192z', 45: '-234x-177y522z', 46: '-239x-162y525z', 47: '-243x-147y528z', 48: '-245x-131y531z', 49: '-247x-116y533z', 50: '-248x-101y536z', 51: '-24x-306y515z', 52: '-24x-536y267z', 53: '-252x-443y314z', 54: '-257x-504y198z', 55: '-259x-243y602z', 56: '-273x-427y319z', 57: '-282x-488y204z', 58: '-294x-409y324z', 59: '-306x-471y209z', 60: '-306x-515y1z', 61: '-30x-579y152z', 62: '-313x-391y329z', 63: '-329x-453y215z', 64: '-330x-371y334z', 65: '-333x-498y7z', 66: '-347x-351y339z', 67: '-351x-433y220z', 68: '-358x-480y13z', 69: '-362x-330y344z', 70: '-371x-412y226z', 71: '-377x-309y349z', 72: '-383x-461y19z', 73: '-389x-286y354z', 74: '-391x-391y232z', 75: '-39x-299y518z', 76: '-401x-264y359z', 77: '-406x-440y25z', 78: '-409x-368y237z', 79: '-411x-240y364z', 80: '-420x-217y368z', 81: '-426x-345y243z', 82: '-427x-193y373z', 83: '-429x-418y31z', 84: '-433x-169y378z', 85: '-438x-145y383z', 86: '-441x-121y387z', 87: '-441x-320y248z', 88: '-443x-97y392z', 89: '-450x-394y37z', 90: '-455x-296y254z', 91: '-468x-270y259z', 92: '-469x-370y43z', 93: '-479x-244y264z', 94: '-488x-345y49z', 95: '-489x-217y270z', 96: '-497x-190y275z', 97: '-504x-163y280z', 98: '-505x-318y55z', 99: '-509x-136y286z', 100: '-513x-109y291z', 101: '-515x-54y301z', 102: '-515x-81y296z', 103: '-520x-291y61z', 104: '-52x-531y272z', 105: '-534x-263y67z', 106: '-547x-235y73z', 107: '-54x-292y521z', 108: '-557x-205y79z', 109: '-567x-176y85z', 110: '-574x-146y91z', 111: '-5x-5y599z', 112: '-5x-85y593z', 113: '-60x-575y158z', 114: '-68x-283y524z', 115: '-80x-525y278z', 116: '-81x-274y526z', 117: '-8x-312y512z', 118: '-90x-569y164z', 119: '-94x-265y529z', 120: '-9x-10y599z', 121: '-9x-79y594z', 122: '0x-581y146z'}
 
                  
            else:
                print("\n (STEP 646F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 646F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 646F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


        
    #========
    # 700 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven7004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 647F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN7004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven7004xi = queue2seven.get()
                if fire2seven7004xi is None:
                    fire2seven7004xi = shot2seven7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN7004XI TO SHOT2SEVEN7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 647F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN7004XI: ", fire2seven7004xi) 
                    # FIRE2SEVEN7004XI:  {1: '-105x-664y191z', 2: '-10x-12y699z', 3: '-110x-309y618z', 4: '-11x-92y693z', 5: '-123x-297y621z', 6: '-124x-604y330z', 7: '-136x-285y624z', 8: '-139x-656y198z', 9: '-148x-272y627z', 10: '-14x-18y699z', 11: '-14x-85y694z', 12: '-155x-593y337z', 13: '-158x-258y630z', 14: '-168x-244y633z', 15: '-16x-25y699z', 16: '-173x-646y204z', 17: '-177x-230y636z', 18: '-17x-77y695z', 19: '-184x-216y639z', 20: '-185x-581y343z', 21: '-191x-201y642z', 22: '-195x-36y671z', 23: '-197x-186y645z', 24: '-19x-32y698z', 25: '-19x-69y696z', 26: '-1x-107y691z', 27: '-1x-1y699z', 28: '-200x-47y669z', 29: '-201x-171y647z', 30: '-203x-60y666z', 31: '-205x-157y650z', 32: '-206x-634y211z', 33: '-206x-72y664z', 34: '-207x-142y653z', 35: '-208x-86y662z', 36: '-209x-128y655z', 37: '-209x-99y660z', 38: '-20x-39y698z', 39: '-210x-113y657z', 40: '-214x-567y349z', 41: '-21x-46y698z', 42: '-21x-54y697z', 43: '-21x-61y696z', 44: '-238x-620y218z', 45: '-242x-552y355z', 46: '-267x-225y606z', 47: '-269x-535y361z', 48: '-269x-605y224z', 49: '-274x-207y609z', 50: '-279x-189y613z', 51: '-283x-171y616z', 52: '-286x-153y619z', 53: '-288x-135y622z', 54: '-289x-117y626z', 55: '-28x-357y600z', 56: '-294x-517y367z', 57: '-296x-278y688z', 58: '-299x-588y231z', 59: '-29x-625y312z', 60: '-319x-498y373z', 61: '-329x-570y238z', 62: '-343x-478y379z', 63: '-357x-550y244z', 64: '-357x-601y1z', 65: '-35x-676y178z', 66: '-365x-456y384z', 67: '-384x-528y251z', 68: '-386x-433y390z', 69: '-388x-582y8z', 70: '-405x-410y396z', 71: '-409x-505y257z', 72: '-418x-560y15z', 73: '-423x-385y402z', 74: '-433x-481y264z', 75: '-439x-360y408z', 76: '-447x-537y22z', 77: '-454x-334y413z', 78: '-456x-456y270z', 79: '-468x-308y419z', 80: '-46x-349y604z', 81: '-474x-513y29z', 82: '-477x-430y277z', 83: '-480x-280y424z', 84: '-490x-253y430z', 85: '-497x-402y283z', 86: '-498x-225y435z', 87: '-500x-487y36z', 88: '-506x-197y441z', 89: '-511x-169y446z', 90: '-515x-141y452z', 91: '-515x-374y290z', 92: '-517x-113y457z', 93: '-525x-460y43z', 94: '-531x-345y296z', 95: '-546x-315y302z', 96: '-548x-432y50z', 97: '-559x-285y309z', 98: '-569x-402y57z', 99: '-570x-254y315z', 100: '-580x-222y321z', 101: '-588x-191y327z', 102: '-589x-372y64z', 103: '-594x-159y333z', 104: '-598x-127y340z', 105: '-600x-95y346z', 106: '-601x-63y352z', 107: '-607x-340y71z', 108: '-61x-620y318z', 109: '-623x-307y78z', 110: '-638x-274y85z', 111: '-63x-340y608z', 112: '-650x-240y92z', 113: '-661x-205y99z', 114: '-670x-170y106z', 115: '-6x-6y699z', 116: '-6x-99y692z', 117: '-70x-671y184z', 118: '-79x-331y611z', 119: '-93x-613y324z', 120: '-95x-320y614z', 121: '-9x-364y597z', 122: '0x-678y171z'}
 
                  
            else:
                print("\n (STEP 647F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 647F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 647F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


          
    #========
    # 800 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven8004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 648F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN8004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven8004xi = queue2seven.get()
                if fire2seven8004xi is None:
                    fire2seven8004xi = shot2seven8004xi
                    print("\n (STEP 648F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN8004XI TO SHOT2SEVEN8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 648F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN8004XI: ", fire2seven8004xi) 
                    # FIRE2SEVEN8004XI:  {1: '-106x-700y371z', 2: '-109x-366y702z', 3: '-11x-416y682z', 4: '-120x-759y218z', 5: '-125x-353y706z', 6: '-12x-105y792z', 7: '-12x-14y799z', 8: '-141x-340y710z', 9: '-142x-690y378z', 10: '-155x-325y713z', 11: '-159x-750y226z', 12: '-169x-310y717z', 13: '-16x-21y799z', 14: '-16x-97y793z', 15: '-177x-678y385z', 16: '-181x-295y720z', 17: '-192x-279y724z', 18: '-197x-738y234z', 19: '-19x-28y799z', 20: '-1x-122y790z', 21: '-202x-263y727z', 22: '-20x-88y794z', 23: '-211x-246y730z', 24: '-211x-664y392z', 25: '-219x-230y734z', 26: '-21x-36y798z', 27: '-223x-41y766z', 28: '-225x-213y737z', 29: '-228x-54y764z', 30: '-22x-79y795z', 31: '-230x-196y740z', 32: '-232x-68y762z', 33: '-234x-179y743z', 34: '-235x-725y241z', 35: '-236x-83y759z', 36: '-237x-162y746z', 37: '-238x-98y757z', 38: '-239x-114y754z', 39: '-239x-146y749z', 40: '-23x-44y798z', 41: '-240x-130y751z', 42: '-244x-648y399z', 43: '-24x-53y797z', 44: '-24x-61y797z', 45: '-24x-70y796z', 46: '-272x-709y249z', 47: '-276x-631y406z', 48: '-2x-1y799z', 49: '-305x-257y692z', 50: '-307x-612y412z', 51: '-308x-692y257z', 52: '-313x-237y696z', 53: '-319x-216y700z', 54: '-324x-196y704z', 55: '-327x-175y708z', 56: '-32x-408y686z', 57: '-330x-155y711z', 58: '-331x-134y715z', 59: '-333x-313y774z', 60: '-337x-591y419z', 61: '-33x-715y356z', 62: '-342x-672y264z', 63: '-365x-569y426z', 64: '-376x-651y272z', 65: '-392x-546y433z', 66: '-408x-628y279z', 67: '-408x-687y1z', 68: '-40x-772y203z', 69: '-417x-521y439z', 70: '-438x-604y287z', 71: '-441x-495y446z', 72: '-444x-665y9z', 73: '-463x-468y453z', 74: '-468x-578y294z', 75: '-478x-640y17z', 76: '-483x-440y459z', 77: '-495x-550y302z', 78: '-502x-412y466z', 79: '-511x-614y25z', 80: '-519x-382y472z', 81: '-521x-521y309z', 82: '-535x-352y479z', 83: '-53x-399y690z', 84: '-542x-587y33z', 85: '-545x-491y316z', 86: '-548x-321y485z', 87: '-560x-289y491z', 88: '-568x-460y324z', 89: '-570x-257y498z', 90: '-572x-557y41z', 91: '-578x-225y504z', 92: '-584x-193y510z', 93: '-588x-161y516z', 94: '-589x-427y331z', 95: '-591x-129y522z', 96: '-600x-526y49z', 97: '-607x-394y338z', 98: '-624x-360y345z', 99: '-626x-494y57z', 100: '-639x-325y353z', 101: '-651x-460y65z', 102: '-652x-290y360z', 103: '-663x-254y367z', 104: '-672x-218y374z', 105: '-673x-425y73z', 106: '-679x-181y381z', 107: '-684x-145y388z', 108: '-686x-108y395z', 109: '-687x-72y402z', 110: '-694x-388y81z', 111: '-70x-708y363z', 112: '-712x-351y89z', 113: '-729x-313y97z', 114: '-72x-389y694z', 115: '-743x-274y105z', 116: '-756x-234y113z', 117: '-766x-194y121z', 118: '-7x-114y791z', 119: '-7x-7y799z', 120: '-80x-767y211z', 121: '-91x-378y698z', 122: '0x-775y195z'}

                  
            else:
                print("\n (STEP 648F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 648F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 648F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


        
    #========
    # 900 SEVEN
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven9004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 649F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN9004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven9004xi = queue2seven.get()
                if fire2seven9004xi is None:
                    fire2seven9004xi = shot2seven9004xi
                    print("\n (STEP 649F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN9004XI TO SHOT2SEVEN9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 649F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN9004XI: ", fire2seven9004xi) 
                    # FIRE2SEVEN9004XI:  {1: '-102x-425y786z', 2: '-120x-788y417z', 3: '-122x-412y790z', 4: '-12x-469y768z', 5: '-135x-854y246z', 6: '-13x-16y899z', 7: '-141x-397y794z', 8: '-14x-118y891z', 9: '-159x-382y798z', 10: '-160x-776y425z', 11: '-175x-366y803z', 12: '-179x-844y254z', 13: '-18x-109y893z', 14: '-18x-24y899z', 15: '-190x-349y807z', 16: '-199x-763y433z', 17: '-204x-332y811z', 18: '-216x-314y814z', 19: '-21x-32y899z', 20: '-222x-831y263z', 21: '-227x-296y818z', 22: '-22x-99y894z', 23: '-237x-277y822z', 24: '-238x-747y441z', 25: '-246x-258y825z', 26: '-24x-41y898z', 27: '-251x-46y862z', 28: '-253x-240y829z', 29: '-257x-61y860z', 30: '-259x-221y832z', 31: '-25x-89y895z', 32: '-262x-77y857z', 33: '-264x-202y836z', 34: '-265x-815y272z', 35: '-265x-93y854z', 36: '-267x-183y839z', 37: '-268x-110y851z', 38: '-269x-128y848z', 39: '-269x-164y842z', 40: '-26x-50y898z', 41: '-270x-146y845z', 42: '-275x-729y449z', 43: '-27x-60y897z', 44: '-27x-69y896z', 45: '-27x-79y896z', 46: '-2x-137y889z', 47: '-2x-2y899z', 48: '-306x-798y280z', 49: '-311x-710y456z', 50: '-343x-290y779z', 51: '-345x-688y464z', 52: '-346x-778y289z', 53: '-352x-266y783z', 54: '-359x-243y788z', 55: '-364x-220y792z', 56: '-368x-197y796z', 57: '-36x-460y772z', 58: '-371x-174y800z', 59: '-371x-347y860z', 60: '-372x-151y805z', 61: '-379x-665y472z', 62: '-37x-804y401z', 63: '-385x-756y297z', 64: '-410x-640y479z', 65: '-423x-732y306z', 66: '-441x-614y487z', 67: '-459x-707y314z', 68: '-45x-869y228z', 69: '-460x-773y2z', 70: '-469x-586y494z', 71: '-493x-679y323z', 72: '-496x-557y502z', 73: '-499x-748y11z', 74: '-521x-527y509z', 75: '-526x-650y331z', 76: '-538x-721y20z', 77: '-544x-495y517z', 78: '-557x-619y339z', 79: '-565x-463y524z', 80: '-575x-691y29z', 81: '-584x-430y531z', 82: '-586x-586y348z', 83: '-59x-449y777z', 84: '-602x-396y539z', 85: '-610x-660y38z', 86: '-614x-552y356z', 87: '-617x-361y546z', 88: '-630x-325y553z', 89: '-639x-517y364z', 90: '-641x-290y560z', 91: '-643x-627y47z', 92: '-650x-254y567z', 93: '-657x-217y574z', 94: '-662x-181y581z', 95: '-662x-481y372z', 96: '-665x-145y588z', 97: '-675x-592y56z', 98: '-683x-444y381z', 99: '-702x-405y389z', 100: '-704x-555y65z', 101: '-719x-366y397z', 102: '-732x-517y74z', 103: '-734x-326y405z', 104: '-746x-286y413z', 105: '-756x-245y421z', 106: '-757x-478y82z', 107: '-764x-204y429z', 108: '-769x-163y437z', 109: '-772x-122y445z', 110: '-773x-81y452z', 111: '-781x-437y91z', 112: '-79x-797y409z', 113: '-802x-395y100z', 114: '-81x-438y781z', 115: '-820x-352y109z', 116: '-836x-308y118z', 117: '-850x-264y127z', 118: '-862x-219y136z', 119: '-8x-128y890z', 120: '-8x-8y899z', 121: '-90x-863y237z', 122: '0x-872y220z'}
 
                  
            else:
                print("\n (STEP 649F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 649F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 549F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


        
    #=========
    # 1000 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven10004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 650F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN10004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven10004xi = queue2seven.get()
                if fire2seven10004xi is None:
                    fire2seven10004xi = shot2seven10004xi
                    print("\n (STEP 650F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN10004XI TO SHOT2SEVEN10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 650F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN10004XI: ", fire2seven10004xi) 
                    # FIRE2SEVEN10004XI:  {1: '-100x-959y264z', 2: '-114x-473y873z', 3: '-133x-875y463z', 4: '-136x-458y878z', 5: '-14x-521y853z', 6: '-150x-949y273z', 7: '-157x-442y883z', 8: '-15x-132y991z', 9: '-15x-18y999z', 10: '-176x-425y887z', 11: '-178x-863y472z', 12: '-194x-407y892z', 13: '-199x-938y283z', 14: '-20x-26y999z', 15: '-211x-388y896z', 16: '-21x-121y992z', 17: '-221x-847y481z', 18: '-226x-369y901z', 19: '-240x-349y905z', 20: '-247x-923y292z', 21: '-24x-36y999z', 22: '-253x-329y909z', 23: '-25x-110y993z', 24: '-264x-308y913z', 25: '-264x-830y490z', 26: '-273x-287y917z', 27: '-279x-51y958z', 28: '-27x-45y998z', 29: '-281x-266y921z', 30: '-285x-68y955z', 31: '-288x-245y925z', 32: '-28x-99y994z', 33: '-291x-85y952z', 34: '-293x-224y929z', 35: '-294x-906y302z', 36: '-295x-104y949z', 37: '-297x-203y932z', 38: '-298x-123y946z', 39: '-299x-142y943z', 40: '-299x-182y936z', 41: '-29x-56y997z', 42: '-2x-152y988z', 43: '-2x-2y999z', 44: '-300x-162y939z', 45: '-305x-810y498z', 46: '-30x-66y997z', 47: '-30x-88y995z', 48: '-31x-77y996z', 49: '-340x-887y311z', 50: '-345x-789y507z', 51: '-382x-322y866z', 52: '-384x-765y516z', 53: '-385x-865y321z', 54: '-391x-296y870z', 55: '-399x-270y875z', 56: '-405x-245y880z', 57: '-408x-382y947z', 58: '-409x-219y885z', 59: '-40x-511y858z', 60: '-412x-193y889z', 61: '-414x-168y894z', 62: '-41x-894y446z', 63: '-421x-739y524z', 64: '-428x-840y330z', 65: '-456x-712y533z', 66: '-470x-814y340z', 67: '-490x-682y541z', 68: '-50x-965y254z', 69: '-510x-785y349z', 70: '-511x-859y2z', 71: '-521x-652y549z', 72: '-548x-755y359z', 73: '-551x-619y558z', 74: '-555x-831y12z', 75: '-579x-586y566z', 76: '-585x-722y368z', 77: '-598x-801y22z', 78: '-604x-551y574z', 79: '-619x-688y377z', 80: '-628x-515y582z', 81: '-638x-768y32z', 82: '-649x-477y591z', 83: '-652x-652y386z', 84: '-668x-440y599z', 85: '-66x-499y863z', 86: '-678x-733y42z', 87: '-682x-614y396z', 88: '-685x-401y607z', 89: '-700x-362y614z', 90: '-710x-575y405z', 91: '-712x-322y622z', 92: '-715x-696y52z', 93: '-722x-282y630z', 94: '-730x-242y638z', 95: '-736x-201y646z', 96: '-736x-534y414z', 97: '-739x-161y653z', 98: '-750x-658y62z', 99: '-759x-493y423z', 100: '-780x-450y432z', 101: '-783x-617y72z', 102: '-799x-407y441z', 103: '-813x-575y82z', 104: '-815x-363y450z', 105: '-829x-318y459z', 106: '-840x-273y468z', 107: '-842x-531y92z', 108: '-848x-227y476z', 109: '-855x-181y485z', 110: '-858x-135y494z', 111: '-859x-90y503z', 112: '-867x-486y102z', 113: '-87x-886y454z', 114: '-891x-439y112z', 115: '-90x-487y868z', 116: '-911x-391y122z', 117: '-929x-343y131z', 118: '-945x-293y141z', 119: '-957x-243y151z', 120: '-9x-142y989z', 121: '-9x-9y999z', 122: '0x-969y244z'}
 
                  
            else:
                print("\n (STEP 650F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 650F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 650F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1100 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven11004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 651F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN11004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven11004xi = queue2seven.get()
                if fire2seven11004xi is None:
                    fire2seven11004xi = shot2seven11004xi
                    print("\n (STEP 651F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN11004XI TO SHOT2SEVEN11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 651F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN11004XI: ", fire2seven11004xi) 
                    # FIRE2SEVEN11004XI:  {1: '-1003x-431y134z', 2: '-1022x-377y145z', 3: '-1039x-323y156z', 4: '-1053x-267y166z', 5: '-10x-10y1099z', 6: '-10x-157y1088z', 7: '-110x-1055y290z', 8: '-125x-520y960z', 9: '-146x-963y510z', 10: '-149x-504y966z', 11: '-15x-573y938z', 12: '-165x-1044y301z', 13: '-16x-19y1099z', 14: '-172x-486y971z', 15: '-17x-145y1090z', 16: '-194x-467y976z', 17: '-195x-949y519z', 18: '-214x-448y981z', 19: '-219x-1031y311z', 20: '-22x-29y1099z', 21: '-232x-427y986z', 22: '-23x-133y1091z', 23: '-244x-932y529z', 24: '-249x-406y991z', 25: '-264x-384y995z', 26: '-26x-39y1098z', 27: '-272x-1015y322z', 28: '-278x-362y1000z', 29: '-27x-121y1092z', 30: '-290x-339y1005z', 31: '-290x-913y539z', 32: '-2x-168y1087z', 33: '-2x-2y1099z', 34: '-301x-316y1009z', 35: '-307x-56y1054z', 36: '-309x-293y1013z', 37: '-30x-50y1098z', 38: '-314x-75y1051z', 39: '-317x-270y1018z', 40: '-31x-109y1094z', 41: '-320x-94y1048z', 42: '-322x-247y1022z', 43: '-324x-114y1044z', 44: '-324x-997y332z', 45: '-326x-224y1026z', 46: '-327x-135y1041z', 47: '-329x-156y1037z', 48: '-329x-201y1030z', 49: '-32x-61y1097z', 50: '-330x-178y1033z', 51: '-336x-891y548z', 52: '-33x-73y1097z', 53: '-33x-97y1095z', 54: '-34x-85y1096z', 55: '-374x-975y343z', 56: '-380x-868y558z', 57: '-420x-354y952z', 58: '-422x-841y567z', 59: '-423x-951y353z', 60: '-430x-326y958z', 61: '-439x-297y963z', 62: '-445x-417y1033z', 63: '-446x-269y968z', 64: '-44x-562y944z', 65: '-450x-241y973z', 66: '-454x-213y978z', 67: '-455x-185y983z', 68: '-45x-983y490z', 69: '-463x-813y577z', 70: '-471x-924y363z', 71: '-502x-783y586z', 72: '-517x-895y374z', 73: '-539x-751y595z', 74: '-55x-1062y279z', 75: '-561x-864y384z', 76: '-562x-945y2z', 77: '-573x-717y604z', 78: '-603x-830y394z', 79: '-606x-681y614z', 80: '-610x-914y13z', 81: '-637x-644y623z', 82: '-643x-794y405z', 83: '-657x-881y24z', 84: '-665x-606y632z', 85: '-681x-756y415z', 86: '-691x-566y641z', 87: '-702x-845y35z', 88: '-714x-525y650z', 89: '-717x-717y425z', 90: '-735x-484y658z', 91: '-73x-549y949z', 92: '-745x-807y46z', 93: '-750x-675y435z', 94: '-754x-441y667z', 95: '-770x-398y676z', 96: '-781x-632y445z', 97: '-784x-354y685z', 98: '-786x-766y57z', 99: '-795x-310y693z', 100: '-803x-266y702z', 101: '-809x-222y710z', 102: '-809x-588y455z', 103: '-813x-177y718z', 104: '-825x-723y68z', 105: '-835x-542y465z', 106: '-858x-495y475z', 107: '-861x-679y79z', 108: '-879x-448y485z', 109: '-895x-632y90z', 110: '-897x-399y495z', 111: '-912x-350y505z', 112: '-924x-300y514z', 113: '-926x-584y101z', 114: '-933x-250y524z', 115: '-940x-199y534z', 116: '-944x-149y543z', 117: '-945x-99y553z', 118: '-954x-534y112z', 119: '-96x-974y500z', 120: '-980x-483y123z', 121: '-99x-535y955z', 122: '0x-1066y269z'}
 
                  
            else:
                print("\n (STEP 651F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 651F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 651F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


        
    #=========
    # 1200 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven12004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 652F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN12004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven12004xi = queue2seven.get()
                if fire2seven12004xi is None:
                    fire2seven12004xi = shot2seven12004xi
                    print("\n (STEP 652F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN12004XI TO SHOT2SEVEN12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 652F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN12004XI: ", fire2seven12004xi) 
                    # FIRE2SEVEN12004XI:  {1: '-1008x-327y561z', 2: '-1010x-637y110z', 3: '-1018x-272y572z', 4: '-1026x-218y582z', 5: '-1030x-163y593z', 6: '-1031x-108y603z', 7: '-1041x-583y122z', 8: '-105x-1063y545z', 9: '-1069x-527y134z', 10: '-1094x-470y146z', 11: '-109x-584y1042z', 12: '-1115x-411y158z', 13: '-1134x-352y170z', 14: '-1149x-292y182z', 15: '-11x-11y1199z', 16: '-11x-171y1187z', 17: '-120x-1151y316z', 18: '-137x-567y1048z', 19: '-160x-1050y556z', 20: '-163x-549y1053z', 21: '-17x-625y1024z', 22: '-180x-1139y328z', 23: '-188x-530y1059z', 24: '-18x-21y1199z', 25: '-19x-158y1189z', 26: '-212x-510y1065z', 27: '-213x-1035y567z', 28: '-233x-488y1070z', 29: '-239x-1125y339z', 30: '-24x-32y1199z', 31: '-253x-466y1076z', 32: '-25x-145y1190z', 33: '-266x-1017y577z', 34: '-272x-443y1081z', 35: '-289x-419y1086z', 36: '-296x-1108y351z', 37: '-29x-43y1198z', 38: '-2x-183y1185z', 39: '-303x-395y1091z', 40: '-30x-132y1192z', 41: '-317x-370y1096z', 42: '-317x-996y588z', 43: '-328x-345y1101z', 44: '-32x-55y1198z', 45: '-335x-61y1150z', 46: '-338x-320y1105z', 47: '-33x-119y1193z', 48: '-343x-81y1146z', 49: '-345x-294y1110z', 50: '-349x-103y1143z', 51: '-352x-269y1115z', 52: '-353x-1087y362z', 53: '-354x-124y1139z', 54: '-356x-244y1119z', 55: '-357x-147y1135z', 56: '-359x-171y1131z', 57: '-359x-219y1123z', 58: '-35x-67y1197z', 59: '-360x-195y1127z', 60: '-367x-973y598z', 61: '-36x-106y1194z', 62: '-37x-80y1196z', 63: '-37x-92y1195z', 64: '-3x-2y1199z', 65: '-408x-1064y374z', 66: '-415x-946y609z', 67: '-458x-386y1039z', 68: '-461x-918y619z', 69: '-462x-1038y385z', 70: '-469x-355y1045z', 71: '-479x-325y1051z', 72: '-482x-452y1119z', 73: '-486x-294y1056z', 74: '-491x-263y1062z', 75: '-495x-232y1067z', 76: '-496x-202y1073z', 77: '-49x-1072y535z', 78: '-49x-613y1030z', 79: '-505x-887y629z', 80: '-514x-1008y397z', 81: '-547x-854y639z', 82: '-564x-977y408z', 83: '-588x-819y649z', 84: '-60x-1158y305z', 85: '-612x-942y419z', 86: '-613x-1031y2z', 87: '-626x-782y659z', 88: '-658x-906y430z', 89: '-661x-743y669z', 90: '-666x-997y14z', 91: '-695x-703y679z', 92: '-702x-867y441z', 93: '-717x-961y26z', 94: '-725x-661y689z', 95: '-743x-825y453z', 96: '-754x-618y699z', 97: '-766x-922y38z', 98: '-779x-573y709z', 99: '-782x-782y464z', 100: '-79x-599y1036z', 101: '-802x-528y718z', 102: '-813x-880y50z', 103: '-818x-737y475z', 104: '-823x-481y728z', 105: '-840x-434y737z', 106: '-852x-690y486z', 107: '-855x-386y747z', 108: '-858x-836y62z', 109: '-867x-338y756z', 110: '-876x-290y766z', 111: '-883x-242y775z', 112: '-883x-641y497z', 113: '-887x-194y784z', 114: '-900x-789y74z', 115: '-911x-592y508z', 116: '-937x-540y518z', 117: '-939x-741y86z', 118: '-959x-488y529z', 119: '-976x-690y98z', 120: '-978x-435y540z', 121: '-995x-381y551z', 122: '0x-1163y293z'}
 
                  
            else:
                print("\n (STEP 652F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 652F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 652F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               


        
    #=========
    # 1300 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven13004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 653F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN13004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven13004xi = queue2seven.get()
                if fire2seven13004xi is None:
                    fire2seven13004xi = shot2seven13004xi
                    print("\n (STEP 653F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN13004XI TO SHOT2SEVEN13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 653F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN13004XI: ", fire2seven13004xi) 
                    # FIRE2SEVEN13004XI:  {1: '-1015x-586y562z', 2: '-1018x-802y93z', 3: '-1039x-529y573z', 4: '-1057x-747y106z', 5: '-1060x-472y585z', 6: '-1078x-413y597z', 7: '-1092x-354y608z', 8: '-1094x-690y119z', 9: '-1103x-295y620z', 10: '-1111x-236y631z', 11: '-1116x-176y642z', 12: '-1117x-117y654z', 13: '-1128x-632y132z', 14: '-114x-1151y591z', 15: '-1158x-571y145z', 16: '-1185x-509y158z', 17: '-118x-633y1129z', 18: '-11x-12y1299z', 19: '-1208x-446y171z', 20: '-1228x-381y184z', 21: '-1245x-316y197z', 22: '-12x-185y1286z', 23: '-131x-1247y343z', 24: '-148x-615y1135z', 25: '-173x-1138y603z', 26: '-177x-595y1141z', 27: '-18x-677y1109z', 28: '-195x-1234y355z', 29: '-19x-23y1299z', 30: '-204x-574y1147z', 31: '-20x-171y1288z', 32: '-229x-552y1154z', 33: '-231x-1121y614z', 34: '-253x-529y1159z', 35: '-259x-1219y368z', 36: '-26x-34y1299z', 37: '-275x-505y1165z', 38: '-27x-157y1290z', 39: '-288x-1102y625z', 40: '-295x-480y1171z', 41: '-2x-198y1284z', 42: '-313x-454y1177z', 43: '-31x-47y1298z', 44: '-321x-1200y380z', 45: '-329x-428y1182z', 46: '-32x-143y1291z', 47: '-343x-1079y637z', 48: '-343x-401y1187z', 49: '-355x-374y1193z', 50: '-35x-59y1298z', 51: '-363x-66y1246z', 52: '-366x-346y1198z', 53: '-36x-129y1293z', 54: '-371x-88y1242z', 55: '-374x-319y1203z', 56: '-378x-111y1238z', 57: '-381x-291y1208z', 58: '-382x-1178y393z', 59: '-383x-135y1234z', 60: '-386x-264y1212z', 61: '-387x-160y1230z', 62: '-389x-185y1226z', 63: '-389x-237y1217z', 64: '-38x-73y1297z', 65: '-390x-211y1221z', 66: '-397x-1054y648z', 67: '-39x-114y1294z', 68: '-3x-3y1299z', 69: '-40x-100y1295z', 70: '-40x-86y1296z', 71: '-442x-1153y405z', 72: '-449x-1025y659z', 73: '-496x-419y1125z', 74: '-499x-995y670z', 75: '-500x-1124y417z', 76: '-509x-385y1132z', 77: '-519x-352y1138z', 78: '-519x-486y1205z', 79: '-527x-318y1144z', 80: '-532x-285y1150z', 81: '-536x-251y1156z', 82: '-538x-219y1162z', 83: '-53x-664y1116z', 84: '-547x-961y682z', 85: '-54x-1162y579z', 86: '-556x-1093y430z', 87: '-593x-925y693z', 88: '-611x-1058y442z', 89: '-637x-887y704z', 90: '-65x-1255y330z', 91: '-663x-1021y454z', 92: '-664x-1117y3z', 93: '-678x-847y714z', 94: '-713x-981y466z', 95: '-716x-805y725z', 96: '-722x-1080y16z', 97: '-753x-761y736z', 98: '-760x-939y478z', 99: '-777x-1041y29z', 100: '-786x-716y747z', 101: '-805x-894y490z', 102: '-816x-669y757z', 103: '-830x-999y42z', 104: '-844x-621y768z', 105: '-847x-847y502z', 106: '-869x-572y778z', 107: '-86x-649y1122z', 108: '-881x-953y55z', 109: '-887x-798y514z', 110: '-891x-521y789z', 111: '-910x-470y799z', 112: '-923x-747y526z', 113: '-926x-419y809z', 114: '-929x-906y68z', 115: '-939x-367y819z', 116: '-949x-314y829z', 117: '-956x-262y839z', 118: '-957x-695y538z', 119: '-961x-210y849z', 120: '-975x-855y80z', 121: '-987x-641y550z', 122: '0x-1260y318z'}

                  
            else:
                print("\n (STEP 653F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 653F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 653F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1400 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven14004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 654F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN14004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven14004xi = queue2seven.get()
                if fire2seven14004xi is None:
                    fire2seven14004xi = shot2seven14004xi
                    print("\n (STEP 654F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN14004XI TO SHOT2SEVEN14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 654F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN14004XI: ", fire2seven14004xi) 
                    # FIRE2SEVEN14004XI:  {1: '-1001x-975y73z', 2: '-1012x-395y882z', 3: '-1022x-338y893z', 4: '-1030x-282y904z', 5: '-1030x-748y580z', 6: '-1035x-226y915z', 7: '-1050x-921y87z', 8: '-1063x-690y592z', 9: '-1093x-631y605z', 10: '-1096x-864y101z', 11: '-1119x-570y618z', 12: '-1139x-805y115z', 13: '-1141x-508y630z', 14: '-1161x-445y643z', 15: '-1176x-382y655z', 16: '-1178x-744y129z', 17: '-1188x-318y667z', 18: '-1197x-254y680z', 19: '-1201x-190y692z', 20: '-1203x-126y704z', 21: '-1215x-680y143z', 22: '-123x-1240y636z', 23: '-1247x-615y156z', 24: '-1276x-548y170z', 25: '-127x-681y1216z', 26: '-12x-13y1399z', 27: '-1301x-480y184z', 28: '-1323x-411y198z', 29: '-1341x-340y212z', 30: '-13x-199y1385z', 31: '-141x-1342y369z', 32: '-159x-662y1222z', 33: '-186x-1226y649z', 34: '-190x-641y1229z', 35: '-19x-729y1194z', 36: '-210x-1329y383z', 37: '-21x-25y1399z', 38: '-220x-619y1236z', 39: '-22x-185y1387z', 40: '-247x-595y1242z', 41: '-249x-1208y661z', 42: '-272x-570y1249z', 43: '-279x-1313y396z', 44: '-28x-37y1399z', 45: '-296x-544y1255z', 46: '-29x-170y1389z', 47: '-310x-1187y674z', 48: '-317x-517y1261z', 49: '-337x-489y1267z', 50: '-33x-50y1398z', 51: '-346x-1293y409z', 52: '-354x-461y1273z', 53: '-35x-154y1390z', 54: '-369x-432y1279z', 55: '-370x-1162y686z', 56: '-383x-402y1284z', 57: '-38x-64y1397z', 58: '-391x-72y1342z', 59: '-394x-373y1290z', 60: '-39x-139y1392z', 61: '-3x-214y1383z', 62: '-3x-3y1399z', 63: '-400x-95y1338z', 64: '-403x-343y1295z', 65: '-407x-120y1333z', 66: '-410x-314y1300z', 67: '-412x-1269y423z', 68: '-413x-145y1329z', 69: '-415x-285y1306z', 70: '-417x-172y1325z', 71: '-419x-199y1320z', 72: '-419x-256y1311z', 73: '-41x-78y1397z', 74: '-420x-227y1315z', 75: '-428x-1135y698z', 76: '-42x-123y1393z', 77: '-43x-108y1395z', 78: '-43x-93y1396z', 79: '-476x-1241y436z', 80: '-484x-1104y710z', 81: '-535x-451y1212z', 82: '-538x-1071y722z', 83: '-539x-1211y449z', 84: '-548x-415y1219z', 85: '-556x-521y1291z', 86: '-559x-379y1226z', 87: '-567x-343y1232z', 88: '-573x-307y1239z', 89: '-577x-271y1245z', 90: '-579x-235y1252z', 91: '-57x-715y1201z', 92: '-589x-1035y734z', 93: '-58x-1251y624z', 94: '-599x-1177y463z', 95: '-639x-997y746z', 96: '-658x-1140y476z', 97: '-686x-956y758z', 98: '-70x-1352y356z', 99: '-714x-1100y489z', 100: '-715x-1203y3z', 101: '-730x-912y769z', 102: '-768x-1057y502z', 103: '-772x-867y781z', 104: '-777x-1164y17z', 105: '-810x-820y793z', 106: '-819x-1011y515z', 107: '-837x-1121y31z', 108: '-846x-771y804z', 109: '-867x-963y528z', 110: '-879x-721y816z', 111: '-894x-1075y45z', 112: '-909x-669y827z', 113: '-912x-912y541z', 114: '-92x-699y1209z', 115: '-936x-616y838z', 116: '-949x-1027y59z', 117: '-955x-860y554z', 118: '-960x-561y849z', 119: '-980x-506y860z', 120: '-994x-805y567z', 121: '-997x-451y871z', 122: '0x-1357y342z'}

                  
            else:
                print("\n (STEP 654F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 654F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 654F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1500 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven15004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 655F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN15004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven15004xi = queue2seven.get()
                if fire2seven15004xi is None:
                    fire2seven15004xi = shot2seven15004xi
                    print("\n (STEP 655F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN15004XI TO SHOT2SEVEN15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 655F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN15004XI: ", fire2seven15004xi) 
                    # FIRE2SEVEN15004XI:  {1: '-1003x-660y898z', 2: '-1017x-1100y63z', 3: '-1023x-921y594z', 4: '-1028x-602y910z', 5: '-1050x-543y922z', 6: '-1065x-863y607z', 7: '-1069x-483y934z', 8: '-1072x-1045y78z', 9: '-1084x-423y945z', 10: '-1096x-363y957z', 11: '-1104x-302y969z', 12: '-1104x-802y621z', 13: '-1109x-242y980z', 14: '-1125x-987y93z', 15: '-1139x-740y635z', 16: '-1171x-676y648z', 17: '-1174x-926y108z', 18: '-1199x-611y662z', 19: '-1220x-862y123z', 20: '-1223x-544y675z', 21: '-1243x-477y688z', 22: '-1260x-409y702z', 23: '-1263x-797y138z', 24: '-1273x-341y715z', 25: '-1282x-272y728z', 26: '-1287x-203y741z', 27: '-1289x-135y754z', 28: '-1301x-729y153z', 29: '-131x-1329y682z', 30: '-1336x-659y168z', 31: '-1367x-587y183z', 32: '-136x-730y1302z', 33: '-1394x-514y197z', 34: '-13x-14y1499z', 35: '-1417x-440y212z', 36: '-1436x-365y227z', 37: '-14x-214y1484z', 38: '-151x-1438y396z', 39: '-171x-709y1310z', 40: '-200x-1313y695z', 41: '-204x-687y1317z', 42: '-21x-781y1280z', 43: '-225x-1424y410z', 44: '-22x-27y1499z', 45: '-235x-663y1324z', 46: '-23x-198y1486z', 47: '-265x-637y1331z', 48: '-267x-1294y709z', 49: '-292x-610y1338z', 50: '-299x-1407y424z', 51: '-30x-40y1499z', 52: '-317x-583y1345z', 53: '-31x-182y1488z', 54: '-332x-1271y722z', 55: '-340x-554y1351z', 56: '-361x-524y1358z', 57: '-36x-54y1498z', 58: '-371x-1385y439z', 59: '-379x-493y1364z', 60: '-37x-165y1490z', 61: '-396x-1245y735z', 62: '-396x-462y1370z', 63: '-3x-229y1482z', 64: '-3x-3y1499z', 65: '-410x-431y1376z', 66: '-419x-77y1438z', 67: '-41x-68y1497z', 68: '-422x-400y1382z', 69: '-428x-102y1433z', 70: '-42x-149y1491z', 71: '-432x-368y1388z', 72: '-436x-128y1429z', 73: '-440x-336y1393z', 74: '-441x-1359y453z', 75: '-442x-156y1424z', 76: '-445x-305y1399z', 77: '-447x-184y1419z', 78: '-449x-213y1414z', 79: '-449x-274y1404z', 80: '-44x-84y1496z', 81: '-450x-243y1409z', 82: '-458x-1216y748z', 83: '-45x-132y1493z', 84: '-46x-100y1495z', 85: '-46x-116y1494z', 86: '-510x-1330y467z', 87: '-518x-1183y761z', 88: '-573x-483y1299z', 89: '-576x-1148y774z', 90: '-577x-1297y482z', 91: '-587x-444y1306z', 92: '-593x-556y1377z', 93: '-599x-406y1313z', 94: '-608x-367y1320z', 95: '-614x-328y1328z', 96: '-619x-290y1334z', 97: '-61x-766y1287z', 98: '-621x-252y1341z', 99: '-62x-1341y669z', 100: '-631x-1109y787z', 101: '-642x-1261y496z', 102: '-684x-1068y799z', 103: '-705x-1221y510z', 104: '-735x-1024y812z', 105: '-75x-1448y381z', 106: '-765x-1178y524z', 107: '-766x-1289y3z', 108: '-782x-978y824z', 109: '-822x-1132y538z', 110: '-827x-929y837z', 111: '-833x-1247y18z', 112: '-868x-879y849z', 113: '-877x-1083y552z', 114: '-897x-1201y33z', 115: '-907x-826y862z', 116: '-929x-1032y566z', 117: '-942x-772y874z', 118: '-958x-1152y48z', 119: '-974x-716y886z', 120: '-978x-978y580z', 121: '-99x-749y1295z', 122: '0x-1454y367z'}
 
                  
            else:
                print("\n (STEP 655F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 655F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 655F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1600 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven16004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 656F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN16004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven16004xi = queue2seven.get() 
                if fire2seven16004xi is None:
                    fire2seven16004xi = shot2seven16004xi
                    print("\n (STEP 656F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN1600 4XI TO SHOT2SEVEN1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 656F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN16004XI: ", fire2seven16004xi) 
                    # FIRE2SEVEN16004XI:  {1: '-1005x-824y932z', 2: '-1022x-1229y51z', 3: '-1039x-764y945z', 4: '-1043x-1043y618z', 5: '-106x-799y1381z', 6: '-1070x-704y958z', 7: '-1084x-1174y67z', 8: '-1091x-983y633z', 9: '-1097x-642y971z', 10: '-1120x-579y983z', 11: '-1136x-920y648z', 12: '-1140x-515y996z', 13: '-1144x-1115y83z', 14: '-1156x-451y1008z', 15: '-1169x-387y1021z', 16: '-1177x-322y1033z', 17: '-1178x-855y662z', 18: '-1182x-258y1045z', 19: '-1200x-1053y99z', 20: '-1215x-789y677z', 21: '-1249x-721y691z', 22: '-1253x-988y115z', 23: '-1279x-651y706z', 24: '-1302x-920y131z', 25: '-1305x-581y720z', 26: '-1326x-509y734z', 27: '-1344x-436y749z', 28: '-1347x-850y147z', 29: '-1358x-363y763z', 30: '-1368x-290y777z', 31: '-1373x-217y791z', 32: '-1375x-144y804z', 33: '-1388x-777y163z', 34: '-140x-1417y727z', 35: '-1425x-703y179z', 36: '-1458x-627y195z', 37: '-145x-779y1389z', 38: '-1487x-549y211z', 39: '-14x-15y1599z', 40: '-1512x-469y226z', 41: '-1532x-389y242z', 42: '-15x-228y1583z', 43: '-161x-1534y422z', 44: '-182x-757y1397z', 45: '-213x-1401y742z', 46: '-218x-733y1405z', 47: '-22x-833y1365z', 48: '-240x-1519y437z', 49: '-24x-28y1599z', 50: '-251x-707y1412z', 51: '-25x-211y1585z', 52: '-282x-680y1420z', 53: '-285x-1380y756z', 54: '-311x-651y1427z', 55: '-319x-1500y453z', 56: '-32x-42y1599z', 57: '-338x-621y1434z', 58: '-33x-194y1587z', 59: '-355x-1356y770z', 60: '-363x-591y1441z', 61: '-385x-559y1448z', 62: '-38x-57y1598z', 63: '-395x-1477y468z', 64: '-3x-244y1581z', 65: '-405x-526y1455z', 66: '-40x-176y1589z', 67: '-422x-493y1461z', 68: '-423x-1328y784z', 69: '-438x-460y1468z', 70: '-43x-73y1597z', 71: '-447x-82y1533z', 72: '-450x-426y1474z', 73: '-457x-109y1529z', 74: '-45x-159y1591z', 75: '-461x-393y1480z', 76: '-465x-137y1524z', 77: '-469x-359y1486z', 78: '-471x-1450y483z', 79: '-472x-166y1519z', 80: '-475x-325y1492z', 81: '-477x-196y1514z', 82: '-478x-292y1498z', 83: '-479x-228y1509z', 84: '-47x-89y1596z', 85: '-480x-260y1503z', 86: '-489x-1297y798z', 87: '-48x-141y1593z', 88: '-49x-106y1595z', 89: '-49x-123y1594z', 90: '-4x-3y1599z', 91: '-544x-1419y499z', 92: '-553x-1262y812z', 93: '-611x-515y1385z', 94: '-615x-1224y825z', 95: '-616x-1384y514z', 96: '-626x-474y1393z', 97: '-630x-591y1463z', 98: '-638x-433y1401z', 99: '-648x-392y1409z', 100: '-655x-350y1416z', 101: '-65x-817y1373z', 102: '-660x-310y1423z', 103: '-662x-269y1431z', 104: '-66x-1430y713z', 105: '-674x-1183y839z', 106: '-685x-1345y529z', 107: '-730x-1139y853z', 108: '-752x-1302y544z', 109: '-784x-1092y866z', 110: '-80x-1545y406z', 111: '-816x-1257y559z', 112: '-817x-1375y3z', 113: '-834x-1043y879z', 114: '-877x-1208y574z', 115: '-882x-991y893z', 116: '-888x-1330y19z', 117: '-926x-937y906z', 118: '-936x-1156y589z', 119: '-956x-1281y35z', 120: '-967x-881y919z', 121: '-991x-1101y604z', 122: '0x-1551y391z'}
 
                  
            else:
                print("\n (STEP 656F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 656F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 656F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1700 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven17004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 657F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN17004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven17004xi = queue2seven.get()
                if fire2seven17004xi is None:
                    fire2seven17004xi = shot2seven17004xi
                    print("\n (STEP 657F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN17004XI TO SHOT2SEVEN17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 657F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN17004XI: ", fire2seven17004xi) 
                    # FIRE2SEVEN17004XI:  {1: '-1016x-1361y37z', 2: '-1028x-936y977z', 3: '-1053x-1169y641z', 4: '-1068x-875y991z', 5: '-1086x-1306y54z', 6: '-1104x-812y1004z', 7: '-1108x-1108y657z', 8: '-112x-849y1468z', 9: '-1137x-748y1018z', 10: '-1152x-1247y71z', 11: '-1160x-1044y673z', 12: '-1165x-682y1031z', 13: '-1190x-615y1045z', 14: '-1207x-978y688z', 15: '-1211x-548y1058z', 16: '-1215x-1184y88z', 17: '-1228x-480y1072z', 18: '-1242x-411y1085z', 19: '-1251x-343y1098z', 20: '-1251x-909y704z', 21: '-1256x-274y1111z', 22: '-1275x-1118y105z', 23: '-1291x-838y719z', 24: '-1327x-766y735z', 25: '-1331x-1049y122z', 26: '-1359x-692y750z', 27: '-1383x-978y139z', 28: '-1386x-617y765z', 29: '-1409x-541y780z', 30: '-1428x-464y795z', 31: '-1431x-903y156z', 32: '-1443x-386y810z', 33: '-1453x-308y825z', 34: '-1459x-231y840z', 35: '-1461x-153y855z', 36: '-1475x-826y173z', 37: '-149x-1506y773z', 38: '-1514x-747y190z', 39: '-154x-828y1476z', 40: '-1550x-666y207z', 41: '-1580x-583y224z', 42: '-15x-16y1699z', 43: '-1607x-499y241z', 44: '-1628x-413y257z', 45: '-16x-242y1682z', 46: '-171x-1630y448z', 47: '-194x-804y1484z', 48: '-226x-1488y788z', 49: '-231x-778y1493z', 50: '-24x-885y1450z', 51: '-255x-1614y465z', 52: '-25x-30y1699z', 53: '-267x-751y1501z', 54: '-27x-224y1684z', 55: '-300x-722y1509z', 56: '-302x-1467y803z', 57: '-331x-692y1516z', 58: '-338x-1594y481z', 59: '-34x-45y1699z', 60: '-359x-660y1524z', 61: '-35x-206y1687z', 62: '-377x-1441y818z', 63: '-385x-627y1531z', 64: '-3x-260y1679z', 65: '-409x-594y1539z', 66: '-41x-61y1698z', 67: '-420x-1570y497z', 68: '-42x-187y1689z', 69: '-430x-559y1546z', 70: '-449x-1411y833z', 71: '-449x-524y1553z', 72: '-465x-489y1560z', 73: '-46x-78y1697z', 74: '-475x-87y1629z', 75: '-478x-453y1566z', 76: '-486x-116y1624z', 77: '-48x-169y1690z', 78: '-490x-417y1573z', 79: '-495x-145y1619z', 80: '-498x-381y1579z', 81: '-4x-4y1699z', 82: '-500x-1541y514z', 83: '-501x-177y1614z', 84: '-505x-346y1585z', 85: '-506x-209y1609z', 86: '-508x-310y1591z', 87: '-509x-242y1603z', 88: '-50x-95y1696z', 89: '-510x-276y1597z', 90: '-519x-1378y848z', 91: '-51x-150y1692z', 92: '-52x-113y1695z', 93: '-52x-131y1694z', 94: '-578x-1507y530z', 95: '-587x-1341y862z', 96: '-649x-547y1472z', 97: '-653x-1301y877z', 98: '-654x-1470y546z', 99: '-665x-504y1480z', 100: '-667x-626y1549z', 101: '-678x-460y1488z', 102: '-689x-416y1497z', 103: '-696x-372y1505z', 104: '-69x-868y1459z', 105: '-701x-329y1512z', 106: '-704x-286y1520z', 107: '-70x-1519y758z', 108: '-716x-1257y891z', 109: '-728x-1429y562z', 110: '-776x-1210y906z', 111: '-799x-1384y578z', 112: '-833x-1161y920z', 113: '-867x-1335y594z', 114: '-868x-1461y3z', 115: '-86x-1641y432z', 116: '-887x-1108y934z', 117: '-932x-1283y610z', 118: '-937x-1053y949z', 119: '-944x-1413y20z', 120: '-984x-996y963z', 121: '-994x-1228y626z', 122: '0x-1648y415z'}
 
                  
            else:
                print("\n (STEP 657F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 657F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 657F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1800 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven18004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 658F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN18004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven18004xi = queue2seven.get()
                if fire2seven18004xi is None:
                    fire2seven18004xi = shot2seven18004xi
                    print("\n (STEP 658F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN18004XI TO SHOT2SEVEN18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 658F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN18004XI: ", fire2seven18004xi) 
                    # FIRE2SEVEN18004XI:  {1: '-1042x-1054y1019z', 2: '-1053x-1300y662z', 3: '-1076x-1442y40z', 4: '-1088x-991y1034z', 5: '-1115x-1238y679z', 6: '-1131x-927y1049z', 7: '-1150x-1383y58z', 8: '-1169x-860y1063z', 9: '-1173x-1173y696z', 10: '-119x-899y1554z', 11: '-1204x-792y1078z', 12: '-1220x-1320y76z', 13: '-1228x-1105y712z', 14: '-1234x-722y1092z', 15: '-1260x-651y1106z', 16: '-1278x-1035y729z', 17: '-1283x-580y1121z', 18: '-1287x-1254y94z', 19: '-1301x-508y1135z', 20: '-1315x-435y1149z', 21: '-1325x-363y1162z', 22: '-1325x-962y745z', 23: '-1330x-291y1176z', 24: '-1350x-1184y112z', 25: '-1367x-888y762z', 26: '-1405x-811y778z', 27: '-1409x-1111y130z', 28: '-1439x-733y794z', 29: '-1464x-1035y148z', 30: '-1468x-653y810z', 31: '-1492x-572y826z', 32: '-1512x-491y842z', 33: '-1515x-956y165z', 34: '-1528x-409y858z', 35: '-1539x-327y874z', 36: '-1545x-244y890z', 37: '-1547x-162y905z', 38: '-1562x-875y183z', 39: '-158x-1595y818z', 40: '-1604x-791y201z', 41: '-163x-876y1563z', 42: '-1641x-705y219z', 43: '-1673x-617y237z', 44: '-16x-17y1799z', 45: '-1701x-528y255z', 46: '-1724x-438y273z', 47: '-17x-256y1781z', 48: '-181x-1726y475z', 49: '-205x-851y1572z', 50: '-240x-1576y834z', 51: '-245x-824y1580z', 52: '-25x-938y1536z', 53: '-270x-1709y492z', 54: '-27x-32y1799z', 55: '-282x-795y1589z', 56: '-28x-237y1783z', 57: '-318x-765y1597z', 58: '-320x-1553y850z', 59: '-350x-733y1606z', 60: '-358x-1688y509z', 61: '-36x-48y1798z', 62: '-37x-218y1786z', 63: '-380x-699y1614z', 64: '-399x-1526y866z', 65: '-408x-664y1622z', 66: '-433x-629y1629z', 67: '-43x-65y1798z', 68: '-445x-1662y527z', 69: '-455x-592y1637z', 70: '-45x-198y1788z', 71: '-475x-555y1644z', 72: '-476x-1494y882z', 73: '-492x-517y1651z', 74: '-49x-82y1797z', 75: '-4x-275y1778z', 76: '-4x-4y1799z', 77: '-503x-92y1725z', 78: '-507x-480y1658z', 79: '-50x-179y1790z', 80: '-514x-122y1720z', 81: '-518x-442y1665z', 82: '-524x-154y1715z', 83: '-528x-404y1672z', 84: '-530x-1631y544z', 85: '-531x-187y1709z', 86: '-534x-366y1679z', 87: '-536x-221y1703z', 88: '-538x-329y1685z', 89: '-539x-256y1697z', 90: '-53x-101y1796z', 91: '-540x-292y1691z', 92: '-54x-159y1792z', 93: '-550x-1459y898z', 94: '-55x-120y1795z', 95: '-55x-139y1793z', 96: '-612x-1596y561z', 97: '-622x-1420y913z', 98: '-687x-580y1558z', 99: '-691x-1377y929z', 100: '-693x-1557y578z', 101: '-704x-533y1567z', 102: '-705x-660y1635z', 103: '-718x-487y1576z', 104: '-729x-441y1585z', 105: '-737x-394y1593z', 106: '-73x-920y1545z', 107: '-743x-348y1601z', 108: '-745x-303y1610z', 109: '-74x-1609y802z', 110: '-758x-1331y944z', 111: '-771x-1513y595z', 112: '-821x-1281y959z', 113: '-846x-1465y612z', 114: '-882x-1229y974z', 115: '-918x-1414y629z', 116: '-91x-1738y457z', 117: '-920x-1547y4z', 118: '-939x-1173y989z', 119: '-987x-1359y646z', 120: '-992x-1115y1004z', 121: '-999x-1496y22z', 122: '0x-1745y440z'}
 
                  
            else:
                print("\n (STEP 658F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 658F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 658F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 1900 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven19004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 659F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN19004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven19004xi = queue2seven.get()
                if fire2seven19004xi is None:
                    fire2seven19004xi = shot2seven19004xi
                    print("\n (STEP 659F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN19004XI TO SHOT2SEVEN19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 659F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN19004XI: ", fire2seven19004xi) 
                    # FIRE2SEVEN19004XI:  {1: '-1042x-1434y682z', 2: '-1047x-1177y1060z', 3: '-1055x-1579y23z', 4: '-1100x-1113y1076z', 5: '-1111x-1372y699z', 6: '-1136x-1522y42z', 7: '-1149x-1047y1092z', 8: '-1177x-1307y717z', 9: '-1194x-978y1107z', 10: '-1214x-1460y61z', 11: '-1234x-908y1122z', 12: '-1238x-1238y734z', 13: '-126x-949y1640z', 14: '-1271x-836y1138z', 15: '-1288x-1394y80z', 16: '-1296x-1167y752z', 17: '-1303x-762y1153z', 18: '-1330x-687y1168z', 19: '-1349x-1093y769z', 20: '-1354x-612y1183z', 21: '-1358x-1324y99z', 22: '-1373x-536y1198z', 23: '-1388x-460y1212z', 24: '-1398x-1016y787z', 25: '-1398x-383y1227z', 26: '-1404x-307y1241z', 27: '-1425x-1250y118z', 28: '-1443x-937y804z', 29: '-1483x-856y821z', 30: '-1488x-1173y137z', 31: '-1519x-773y838z', 32: '-1546x-1093y156z', 33: '-1549x-689y855z', 34: '-1575x-604y872z', 35: '-1596x-518y889z', 36: '-1599x-1009y175z', 37: '-1613x-432y906z', 38: '-1624x-345y922z', 39: '-1631x-258y939z', 40: '-1633x-171y955z', 41: '-1648x-923y194z', 42: '-167x-1683y864z', 43: '-1693x-835y213z', 44: '-172x-925y1650z', 45: '-1732x-744y231z', 46: '-1766x-652y250z', 47: '-1796x-557y269z', 48: '-17x-18y1899z', 49: '-1820x-462y288z', 50: '-18x-271y1880z', 51: '-191x-1822y501z', 52: '-217x-899y1659z', 53: '-253x-1664y881z', 54: '-259x-870y1668z', 55: '-27x-990y1621z', 56: '-285x-1804y519z', 57: '-28x-34y1899z', 58: '-298x-840y1677z', 59: '-30x-251y1883z', 60: '-335x-807y1686z', 61: '-338x-1639y898z', 62: '-370x-773y1695z', 63: '-378x-1782y538z', 64: '-38x-51y1898z', 65: '-402x-738y1703z', 66: '-40x-230y1885z', 67: '-421x-1611y914z', 68: '-431x-701y1712z', 69: '-457x-664y1720z', 70: '-46x-68y1898z', 71: '-470x-1754y556z', 72: '-47x-209y1887z', 73: '-481x-625y1728z', 74: '-4x-290y1877z', 75: '-4x-4y1899z', 76: '-502x-1577y931z', 77: '-502x-586y1736z', 78: '-520x-546y1743z', 79: '-52x-87y1897z', 80: '-531x-97y1821z', 81: '-535x-506y1751z', 82: '-53x-188y1889z', 83: '-543x-129y1816z', 84: '-547x-466y1758z', 85: '-553x-163y1810z', 86: '-557x-426y1765z', 87: '-559x-1722y574z', 88: '-560x-197y1804z', 89: '-564x-386y1772z', 90: '-566x-233y1798z', 91: '-568x-347y1779z', 92: '-569x-270y1792z', 93: '-56x-106y1896z', 94: '-570x-308y1785z', 95: '-57x-167y1891z', 96: '-581x-1540y947z', 97: '-58x-126y1894z', 98: '-59x-147y1893z', 99: '-646x-1685y592z', 100: '-657x-1499y964z', 101: '-726x-612y1645z', 102: '-730x-1454y980z', 103: '-731x-1643y610z', 104: '-742x-695y1721z', 105: '-744x-563y1654z', 106: '-758x-514y1664z', 107: '-770x-465y1673z', 108: '-778x-416y1682z', 109: '-77x-971y1631z', 110: '-784x-368y1690z', 111: '-786x-320y1699z', 112: '-79x-1698y847z', 113: '-800x-1405y996z', 114: '-814x-1597y628z ', 115: '-867x-1353y1013z', 116: '-893x-1547y646z', 117: '-931x-1297y1029z', 118: '-969x-1492y664z', 119: '-96x-1834y483z', 120: '-971x-1633y4z', 121: '-991x-1239y1044z', 122: '0x-1842y464z'}
 
                  
            else:
                print("\n (STEP 659F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 659F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 659F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               
      

        
    #=========
    # 2000 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven20004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 660F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN20004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven20004xi = queue2seven.get()
                if fire2seven20004xi is None:
                    fire2seven20004xi = shot2seven20004xi
                    print("\n (STEP 660F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN20004XI TO SHOT2SEVEN20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 660F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN20004XI: ", fire2seven20004xi) 
                    # FIRE2SEVEN20004XI:  {1: '-101x-1931y508z', 2: '-1020x-1571y699z', 3: '-1022x-1718y4z', 4: '-1043x-1304y1099z', 5: '-1097x-1510y718z', 6: '-1103x-1239y1116z', 7: '-1110x-1662y24z', 8: '-1158x-1172y1133z', 9: '-1170x-1445y736z', 10: '-1196x-1602y44z', 11: '-1209x-1102y1149z', 12: '-1239x-1376y755z', 13: '-1256x-1030y1165z', 14: '-1277x-1537y64z', 15: '-1299x-955y1182z', 16: '-1304x-1304y773z', 17: '-132x-999y1727z', 18: '-1337x-880y1198z', 19: '-1356x-1467y84z', 20: '-1364x-1228y792z', 21: '-1371x-802y1214z', 22: '-1400x-724y1229z', 23: '-1420x-1150y810z', 24: '-1425x-644y1245z', 25: '-1430x-1393y104z', 26: '-1445x-564y1261z', 27: '-1461x-484y1276z', 28: '-1472x-1069y828z', 29: '-1472x-403y1292z', 30: '-1478x-323y1307z', 31: '-1500x-1316y124z', 32: '-1519x-986y846z', 33: '-1561x-901y864z', 34: '-1566x-1235y144z', 35: '-1598x-814y882z', 36: '-1627x-1150y164z', 37: '-1631x-726y900z', 38: '-1658x-636y918z', 39: '-1680x-546y936z', 40: '-1684x-1062y184z', 41: '-1697x-454y953z', 42: '-1710x-363y971z', 43: '-1717x-271y988z', 44: '-1718x-180y1006z', 45: '-1735x-972y204z', 46: '-175x-1772y909z', 47: '-1782x-879y224z', 48: '-181x-974y1737z', 49: '-1823x-783y244z', 50: '-1859x-686y263z', 51: '-1890x-587y283z', 52: '-18x-19y1999z', 53: '-1915x-486y303z', 54: '-19x-285y1979z', 55: '-201x-1918y528z', 56: '-228x-946y1747z', 57: '-266x-1751y927z', 58: '-272x-916y1756z', 59: '-28x-1042y1706z', 60: '-300x-1899y547z', 61: '-30x-36y1999z', 62: '-314x-884y1766z', 63: '-31x-264y1982z', 64: '-353x-850y1775z', 65: '-356x-1726y945z', 66: '-389x-814y1784z', 67: '-398x-1876y566z', 68: '-40x-53y1998z', 69: '-423x-777y1793z', 70: '-42x-242y1984z', 71: '-443x-1695y962z', 72: '-453x-738y1802z', 73: '-481x-699y1810z', 74: '-48x-72y1998z', 75: '-494x-1847y585z', 76: '-4x-305y1976z', 77: '-506x-658y1819z', 78: '-50x-220y1987z', 79: '-528x-1660y980z', 80: '-528x-617y1827z', 81: '-547x-575y1835z', 82: '-54x-91y1997z', 83: '-559x-103y1917z', 84: '-563x-533y1843z', 85: '-56x-198y1989z', 86: '-571x-136y1911z', 87: '-576x-491y1850z', 88: '-582x-171y1905z', 89: '-586x-449y1858z', 90: '-589x-1813y604z', 91: '-590x-208y1899z', 92: '-594x-407y1865z', 93: '-596x-246y1893z', 94: '-598x-365y1872z', 95: '-599x-285y1886z', 96: '-59x-112y1995z', 97: '-5x-4y1999z', 98: '-600x-325y1879z', 99: '-60x-176y1991z', 100: '-611x-1621y997z', 101: '-61x-133y1994z', 102: '-62x-154y1993z', 103: '-680x-1774y623z', 104: '-691x-1578y1015z', 105: '-764x-644y1732z', 106: '-768x-1530y1032z', 107: '-770x-1730y642z', 108: '-779x-730y1808z', 109: '-783x-593y1741z', 110: '-798x-541y1751z', 111: '-810x-490y1761z', 112: '-819x-438y1770z', 113: '-81x-1022y1717z', 114: '-825x-387y1779z', 115: '-828x-337y1788z', 116: '-83x-1788y892z', 117: '-842x-1479y1049z', 118: '-856x-1681y661z', 119: '-913x-1424y1066z', 120: '-940x-1628y680z', 121: '-980x-1365y1083z', 122: '0x-1939y489z'}
 
                  
            else:
                print("\n (STEP 660F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 660F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 660F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2100 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven21004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 661F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN21004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven21004xi = queue2seven.get()
                if fire2seven21004xi is None:
                    fire2seven21004xi = shot2seven21004xi
                    print("\n (STEP 661F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN21004XI TO SHOT2SEVEN21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 661F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN21004XI: ", fire2seven21004xi) 
                    # FIRE2SEVEN21004XI:  {1: '-1029x-1434y1137z', 2: '-106x-2028y534z', 3: '-1071x-1650y734z', 4: '-1073x-1804y4z', 5: '-1095x-1369y1154z', 6: '-1152x-1585y753z', 7: '-1158x-1301y1172z', 8: '-1166x-1746y25z', 9: '-1216x-1230y1189z', 10: '-1228x-1517y773z', 11: '-1255x-1682y46z', 12: '-1270x-1157y1207z', 13: '-1301x-1445y792z', 14: '-1319x-1081y1224z', 15: '-1341x-1613y67z', 16: '-1364x-1003y1241z', 17: '-1369x-1369y812z', 18: '-139x-1049y1813z', 19: '-1404x-924y1258z', 20: '-1423x-1540y88z', 21: '-1433x-1290y831z', 22: '-1440x-842y1274z', 23: '-1471x-760y1291z', 24: '-1492x-1208y850z', 25: '-1496x-677y1307z', 26: '-1501x-1463y109z', 27: '-1518x-592y1324z', 28: '-1534x-508y1340z', 29: '-1545x-423y1356z', 30: '-1546x-1123y870z', 31: '-1552x-339y1372z', 32: '-1575x-1382y130z', 33: '-1595x-1036y889z', 34: '-1639x-946y908z', 35: '-1644x-1296y151z', 36: '-1678x-855y927z', 37: '-1708x-1208y172z', 38: '-1712x-762y945z', 39: '-1741x-668y964z', 40: '-1764x-573y983z', 41: '-1768x-1116y193z', 42: '-1782x-477y1001z', 43: '-1795x-381y1020z', 44: '-1802x-285y1038z', 45: '-1804x-189y1056z', 46: '-1822x-1020y214z', 47: '-184x-1860y955z', 48: '-1871x-923y235z', 49: '-190x-1022y1824z', 50: '-1914x-823y256z', 51: '-1952x-720y277z', 52: '-1985x-616y297z', 53: '-19x-20y2099z', 54: '-2011x-511y318z', 55: '-20x-299y2078z', 56: '-211x-2014y554z', 57: '-239x-993y1834z', 58: '-280x-1839y974z', 59: '-286x-962y1844z', 60: '-29x-1094y1792z', 61: '-315x-1994y574z', 62: '-31x-37y2099z', 63: '-330x-928y1854z', 64: '-33x-277y2081z', 65: '-371x-892y1864z', 66: '-374x-1812y992z', 67: '-409x-855y1873z', 68: '-418x-1969y594z', 69: '-42x-56y2098z', 70: '-444x-816y1883z', 71: '-44x-255y2083z', 72: '-465x-1780y1011z', 73: '-476x-775y1892z', 74: '-4x-321y2075z', 75: '-505x-734y1901z', 76: '-50x-75y2098z', 77: '-519x-1939y614z', 78: '-52x-232y2086z', 79: '-531x-691y1910z', 80: '-554x-648y1918z', 81: '-555x-1744y1029z', 82: '-574x-604y1927z', 83: '-57x-96y2096z', 84: '-587x-108y2013z', 85: '-591x-560y1935z', 86: '-59x-208y2088z', 87: '-5x-5y2099z', 88: '-600x-143y2007z', 89: '-605x-515y1943z', 90: '-611x-180y2000z', 91: '-616x-471y1951z', 92: '-618x-1903y635z', 93: '-620x-218y1994z', 94: '-623x-427y1959z', 95: '-626x-258y1987z', 96: '-628x-384y1966z', 97: '-629x-299y1980z', 98: '-62x-117y2095z', 99: '-630x-341y1973z', 100: '-63x-185y2090z', 101: '-642x-1702y1047z', 102: '-64x-140y2094z', 103: '-65x-162y2092z', 104: '-715x-1862y655z', 105: '-726x-1657y1065z', 106: '-802x-676y1818z', 107: '-807x-1607y1083z', 108: '-808x-1816y674z', 109: '-816x-765y1894z', 110: '-822x-622y1829z', 111: '-838x-568y1839z', 112: '-851x-514y1849z', 113: '-85x-1073y1802z', 114: '-860x-460y1859z', 115: '-866x-406y1868z', 116: '-869x-353y1878z', 117: '-87x-1877y936z', 118: '-884x-1553y1101z', 119: '-899x-1765y694z', 120: '-958x-1495y1119z', 121: '-987x-1710y714z', 122: '0x-2036y513z'}
 
                  
            else:
                print("\n (STEP 661F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 661F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 661F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2200 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven22004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 662F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN22004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven22004xi = queue2seven.get()
                if fire2seven22004xi is None:
                    fire2seven22004xi = shot2seven22004xi
                    print("\n (STEP 662F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN22004XI TO SHOT2SEVEN22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 662F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN22004XI: ", fire2seven22004xi) 
                    # FIRE2SEVEN22004XI:  {1: '-1004x-1566y1172z', 2: '-1034x-1791y748z', 3: '-1078x-1502y1191z', 4: '-111x-2124y559z', 5: '-1122x-1728y769z', 6: '-1124x-1890y5z', 7: '-1147x-1434y1209z', 8: '-1206x-1661y789z', 9: '-1213x-1363y1228z', 10: '-1221x-1829y27z', 11: '-1274x-1289y1246z', 12: '-1287x-1589y810z', 13: '-1315x-1762y49z', 14: '-1330x-1212y1264z', 15: '-1363x-1513y830z', 16: '-1382x-1133y1282z', 17: '-1405x-1690y71z', 18: '-1429x-1051y1300z', 19: '-1434x-1434y851z', 20: '-146x-1099y1899z', 21: '-1471x-968y1317z', 22: '-1491x-1614y93z', 23: '-1501x-1351y871z', 24: '-1508x-882y1335z', 25: '-1541x-796y1352z', 26: '-1563x-1265y891z', 27: '-1568x-709y1370z', 28: '-1573x-1533y115z', 29: '-1590x-621y1387z', 30: '-1607x-532y1404z', 31: '-1619x-1176y911z', 32: '-1619x-444y1421z', 33: '-1626x-355y1437z', 34: '-1650x-1447y137z', 35: '-1671x-1085y931z', 36: '-1717x-991y951z', 37: '-1722x-1358y159z', 38: '-1758x-896y971z', 39: '-1790x-1265y180z', 40: '-1794x-798y990z', 41: '-1824x-700y1010z', 42: '-1848x-600y1029z', 43: '-1852x-1169y202z', 44: '-1867x-500y1049z', 45: '-1881x-399y1068z', 46: '-1888x-299y1087z', 47: '-1890x-198y1106z', 48: '-1909x-1069y224z', 49: '-193x-1949y1000z', 50: '-1960x-967y246z', 51: '-199x-1071y1910z', 52: '-2006x-862y268z', 53: '-2045x-755y290z', 54: '-2079x-646y312z', 55: '-20x-21y2199z', 56: '-2107x-535y333z', 57: '-21x-314y2177z', 58: '-221x-2110y580z', 59: '-251x-1041y1921z', 60: '-293x-1926y1020z', 61: '-299x-1008y1932z', 62: '-31x-1146y1877z', 63: '-331x-2089y602z', 64: '-33x-39y2199z', 65: '-345x-972y1942z', 66: '-34x-290y2180z', 67: '-388x-935y1952z', 68: '-391x-1898y1039z', 69: '-428x-896y1962z', 70: '-438x-2063y623z', 71: '-44x-59y2198z', 72: '-465x-855y1972z', 73: '-46x-267y2183z', 74: '-488x-1865y1059z', 75: '-499x-812y1982z', 76: '-529x-769y1991z', 77: '-53x-79y2197z', 78: '-544x-2031y644z', 79: '-557x-724y2001z', 80: '-55x-243y2185z', 81: '-581x-1827y1078z', 82: '-581x-679y2010z', 83: '-5x-336y2174z', 84: '-5x-5y2199z', 85: '-602x-633y2019z', 86: '-60x-101y2196z', 87: '-615x-113y2109z', 88: '-619x-586y2027z', 89: '-629x-150y2102z', 90: '-62x-218y2188z', 91: '-634x-540y2036z', 92: '-640x-188y2096z', 93: '-645x-494y2044z', 94: '-648x-1994y665z', 95: '-649x-229y2089z', 96: '-653x-448y2052z', 97: '-655x-270y2082z', 98: '-658x-402y2060z', 99: '-659x-313y2075z', 100: '-65x-123y2195z', 101: '-660x-357y2067z', 102: '-66x-194y2190z', 103: '-672x-1783y1097z', 104: '-67x-146y2194z', 105: '-68x-170y2192z', 106: '-749x-1951y686z', 107: '-760x-1736y1116z', 108: '-840x-709y1905z', 109: '-845x-1683y1135z', 110: '-847x-1903y707z', 111: '-853x-799y1980z', 112: '-861x-652y1916z', 113: '-878x-595y1926z', 114: '-892x-539y1937z', 115: '-89x-1124y1888z', 116: '-901x-482y1947z', 117: '-908x-426y1957z', 118: '-911x-370y1967z', 119: '-91x-1966y981z', 120: '-926x-1627y1154z', 121: '-942x-1849y727z', 122: '0x-2133y538z'}
 
                  
            else:
                print("\n (STEP 662F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 662F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 662F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2300 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven23004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 663F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN23004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven23004xi = queue2seven.get()
                if fire2seven23004xi is None:
                    fire2seven23004xi = shot2seven23004xi
                    print("\n (STEP 663F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN23004XI TO SHOT2SEVEN23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 663F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN23004XI: ", fire2seven23004xi) 
                    # FIRE2SEVEN23004XI:  {1: '-1050x-1638y1226z', 2: '-1081x-1873y782z', 3: '-1127x-1570y1245z', 4: '-116x-2221y585z', 5: '-1173x-1807y804z', 6: '-1175x-1976y5z', 7: '-1200x-1499y1264z', 8: '-1261x-1736y825z', 9: '-1268x-1425y1284z', 10: '-1277x-1912y28z', 11: '-1332x-1347y1303z', 12: '-1345x-1661y847z', 13: '-1375x-1842y51z', 14: '-1391x-1267y1322z', 15: '-1425x-1582y868z', 16: '-1445x-1184y1340z', 17: '-1469x-1767y74z', 18: '-1494x-1099y1359z', 19: '-1499x-1499y889z', 20: '-152x-1149y1986z', 21: '-1538x-1012y1377z', 22: '-1559x-1687y97z', 23: '-1569x-1413y910z', 24: '-1577x-923y1396z', 25: '-1611x-832y1414z', 26: '-1634x-1323y931z', 27: '-1639x-741y1432z', 28: '-1645x-1602y120z', 29: '-1662x-649y1450z', 30: '-1680x-556y1468z', 31: '-1693x-1230y952z', 32: '-1693x-464y1485z', 33: '-1700x-371y1503z', 34: '-1725x-1513y143z', 35: '-1747x-1134y973z', 36: '-1795x-1036y994z', 37: '-1801x-1420y166z', 38: '-1838x-936y1015z', 39: '-1871x-1323y189z', 40: '-1875x-835y1035z', 41: '-1907x-732y1056z', 42: '-1932x-628y1076z', 43: '-1936x-1222y212z', 44: '-1952x-523y1097z', 45: '-1966x-417y1117z', 46: '-1974x-312y1137z', 47: '-1976x-207y1157z', 48: '-1996x-1118y234z', 49: '-202x-2038y1046z', 50: '-2049x-1011y257z', 51: '-2097x-901y280z', 52: '-209x-1120y1997z', 53: '-2138x-789y303z', 54: '-2174x-675y326z', 55: '-21x-22y2299z', 56: '-2203x-559y349z', 57: '-22x-328y2276z', 58: '-231x-2206y607z', 59: '-262x-1088y2009z', 60: '-306x-2014y1066z', 61: '-313x-1053y2020z', 62: '-32x-1198y1962z', 63: '-346x-2184y629z', 64: '-34x-41y2299z', 65: '-361x-1016y2031z', 66: '-36x-304y2279z', 67: '-406x-977y2041z', 68: '-409x-1984y1087z', 69: '-448x-936y2052z', 70: '-458x-2157y651z', 71: '-46x-61y2298z', 72: '-486x-893y2062z', 73: '-48x-279y2282z', 74: '-510x-1950y1107z', 75: '-522x-849y2072z', 76: '-554x-804y2082z', 77: '-55x-83y2297z', 78: '-569x-2124y673z', 79: '-57x-254y2285z', 80: '-582x-757y2092z', 81: '-5x-351y2272z', 82: '-5x-5y2299z', 83: '-607x-709y2101z', 84: '-608x-1910y1127z', 85: '-629x-661y2110z', 86: '-63x-105y2296z', 87: '-643x-118y2204z', 88: '-648x-613y2119z', 89: '-64x-228y2287z', 90: '-657x-157y2198z', 91: '-663x-564y2128z', 92: '-669x-197y2191z', 93: '-674x-516y2137z', 94: '-677x-2085y695z', 95: '-679x-239y2184z', 96: '-683x-468y2145z', 97: '-685x-283y2177z', 98: '-688x-420y2153z', 99: '-689x-327y2169z', 100: '-68x-129y2295z', 101: '-690x-373y2161z', 102: '-69x-203y2289z', 103: '-703x-1865y1147z', 104: '-71x-153y2293z', 105: '-71x-178y2291z', 106: '-783x-2040y717z', 107: '-795x-1815y1167z', 108: '-879x-741y1991z', 109: '-884x-1760y1187z', 110: '-885x-1989y739z', 111: '-890x-834y2066z', 112: '-900x-682y2003z', 113: '-918x-622y2014z', 114: '-932x-563y2025z', 115: '-93x-1175y1974z', 116: '-942x-504y2036z', 117: '-949x-445y2046z', 118: '-952x-387y2057z', 119: '-95x-2056y1025z', 120: '-969x-1701y1206z', 121: '-985x-1933y760z', 122: '0x-2230y562z'}
 
                  
            else:
                print("\n (STEP 663F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 663F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 663F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2400 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven24004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 664F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN24004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven24004xi = queue2seven.get()
                
                if fire2seven24004xi is None:
                    fire2seven24004xi = shot2seven24004xi
                    print("\n (STEP 664F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN24004XI TO SHOT2SEVEN24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 664F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN24004XI: ", fire2seven24004xi) 
                    # FIRE2SEVEN24004XI:  {1: '-1011x-1775y1259z', 2: '-1028x-2017y794z', 3: '-1095x-1709y1279z', 4: '-1128x-1954y816z', 5: '-1176x-1639y1299z', 6: '-121x-2317y610z', 7: '-1224x-1885y839z', 8: '-1226x-2062y5z', 9: '-1252x-1565y1319z', 10: '-1316x-1812y861z', 11: '-1323x-1487y1339z', 12: '-1332x-1995y29z', 13: '-1390x-1406y1359z', 14: '-1404x-1734y883z', 15: '-1435x-1922y53z', 16: '-1451x-1322y1379z', 17: '-1487x-1651y906z', 18: '-1508x-1236y1399z', 19: '-1533x-1844y77z', 20: '-1559x-1147y1418z', 21: '-1564x-1564y928z', 22: '-159x-1199y2072z', 23: '-1605x-1056y1437z', 24: '-1627x-1761y101z', 25: '-1637x-1474y950z', 26: '-1646x-963y1456z', 27: '-1681x-869y1475z', 28: '-1705x-1380y972z', 29: '-1710x-773y1494z', 30: '-1716x-1672y125z', 31: '-1734x-677y1513z', 32: '-1753x-581y1532z', 33: '-1766x-484y1550z', 34: '-1767x-1283y994z', 35: '-1774x-388y1568z', 36: '-1800x-1579y149z', 37: '-1823x-1184y1016z', 38: '-1874x-1081y1037z', 39: '-1879x-1482y173z', 40: '-1918x-977y1059z', 41: '-1953x-1380y197z', 42: '-1957x-871y1080z', 43: '-1990x-763y1102z', 44: '-2016x-655y1123z', 45: '-2020x-1275y221z', 46: '-2037x-545y1144z', 47: '-2052x-436y1165z', 48: '-2060x-326y1186z', 49: '-2062x-216y1207z', 50: '-2082x-1166y245z', 51: '-210x-2126y1091z', 52: '-2138x-1055y269z', 53: '-2188x-940y292z', 54: '-218x-1169y2084z', 55: '-2231x-823y316z', 56: '-2268x-704y340z', 57: '-2299x-584y364z', 58: '-22x-23y2399z', 59: '-23x-342y2375z', 60: '-241x-2302y633z', 61: '-274x-1135y2096z', 62: '-320x-2101y1113z', 63: '-327x-1099y2107z', 64: '-34x-1250y2048z', 65: '-361x-2279y656z', 66: '-36x-43y2399z', 67: '-377x-1061y2119z', 68: '-38x-317y2378z', 69: '-424x-1020y2130z', 70: '-427x-2071y1134z', 71: '-467x-977y2141z', 72: '-478x-2251y679z', 73: '-48x-64y2398z', 74: '-507x-932y2152z', 75: '-50x-291y2381z', 76: '-532x-2034y1155z', 77: '-544x-886y2162z', 78: '-578x-838y2172z', 79: '-58x-86y2397z', 80: '-593x-2216y702z', 81: '-5x-367y2371z', 82: '-607x-790y2183z', 83: '-60x-265y2384z', 84: '-634x-1993y1176z', 85: '-634x-740y2192z', 86: '-657x-690y2202z', 87: '-65x-110y2396z', 88: '-671x-123y2300z', 89: '-676x-640y2211z', 90: '-67x-238y2387z', 91: '-686x-163y2293z', 92: '-691x-589y2221z', 93: '-698x-206y2286z', 94: '-6x-5y2399z', 95: '-704x-538y2230z', 96: '-706x-2175y725z', 97: '-708x-249y2279z', 98: '-712x-488y2238z', 99: '-715x-295y2271z', 100: '-718x-439y2247z', 101: '-719x-342y2263z', 102: '-71x-134y2395z', 103: '-720x-390y2255z', 104: '-72x-212y2389z', 105: '-734x-1946y1197z', 106: '-74x-160y2393z', 107: '-74x-185y2391z', 108: '-817x-2128y748z', 109: '-830x-1893y1218z', 110: '-917x-773y2078z', 111: '-922x-1836y1238z', 112: '-924x-2076y771z', 113: '-927x-869y2152z', 114: '-939x-711y2090z', 115: '-958x-650y2102z', 116: '-973x-588y2113z', 117: '-983x-526y2124z', 118: '-98x-1226y2060z', 119: '-990x-465y2135z', 120: '-993x-404y2146z', 121: '-99x-2145y1070z', 122: '0x-2327y587z'}
 
                  
            else:
                print("\n (STEP 664F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 664F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 664F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2500 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven25004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 665F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN25004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven25004xi = queue2seven.get()
                
                if fire2seven25004xi is None:
                    fire2seven25004xi = shot2seven25004xi
                    print("\n (STEP 665F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN25004XI TO SHOT2SEVEN25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 665F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN25004XI: ", fire2seven25004xi) 
                    # FIRE2SEVEN25004XI:  {1: '-1013x-612y2201z', 2: '-1024x-548y2213z', 3: '-102x-1277y2146z', 4: '-1032x-484y2224z', 5: '-1035x-421y2236z', 6: '-104x-2235y1115z', 7: '-1053x-1849y1311z', 8: '-1071x-2102y827z', 9: '-1141x-1780y1332z', 10: '-1175x-2035y850z', 11: '-1225x-1707y1354z', 12: '-126x-2414y635z', 13: '-1275x-1964y874z', 14: '-1277x-2148y5z', 15: '-1304x-1630y1374z', 16: '-1371x-1887y897z', 17: '-1378x-1549y1395z', 18: '-1388x-2078y30z', 19: '-1448x-1465y1416z', 20: '-1462x-1806y920z', 21: '-1495x-2002y55z', 22: '-1512x-1377y1436z', 23: '-1548x-1720y943z', 24: '-1571x-1287y1457z', 25: '-1597x-1921y80z', 26: '-1624x-1194y1477z', 27: '-1630x-1630y967z', 28: '-166x-1249y2158z', 29: '-1672x-1100y1497z', 30: '-1695x-1834y105z', 31: '-1705x-1536y990z', 32: '-1714x-1003y1517z', 33: '-1751x-905y1537z', 34: '-1776x-1438y1012z', 35: '-1782x-805y1557z', 36: '-1788x-1742y130z', 37: '-1807x-705y1576z', 38: '-1826x-605y1595z', 39: '-1840x-1337y1035z', 40: '-1840x-504y1615z', 41: '-1848x-404y1634z', 42: '-1875x-1645y155z', 43: '-1899x-1233y1058z', 44: '-1952x-1127y1081z', 45: '-1957x-1543y180z', 46: '-1998x-1018y1103z', 47: '-2034x-1438y205z', 48: '-2039x-907y1125z', 49: '-2073x-795y1148z', 50: '-2100x-682y1170z', 51: '-2105x-1328y230z', 52: '-2122x-568y1192z', 53: '-2137x-454y1214z', 54: '-2146x-339y1236z', 55: '-2148x-225y1257z', 56: '-2169x-1215y255z', 57: '-219x-2215y1137z', 58: '-2227x-1099y280z', 59: '-2279x-979y305z', 60: '-227x-1217y2171z', 61: '-2324x-858y329z', 62: '-2363x-734y354z', 63: '-2394x-608y379z', 64: '-23x-24y2499z', 65: '-24x-356y2474z', 66: '-252x-2398y660z', 67: '-285x-1183y2183z', 68: '-333x-2189y1159z', 69: '-340x-1145y2195z', 70: '-35x-1302y2133z', 71: '-376x-2374y684z', 72: '-37x-45y2499z', 73: '-392x-1105y2207z', 74: '-39x-330y2477z', 75: '-441x-1062y2219z', 76: '-445x-2157y1181z', 77: '-487x-1018y2230z', 78: '-498x-2345y708z', 79: '-50x-67y2498z', 80: '-529x-971y2241z', 81: '-52x-303y2480z', 82: '-554x-2119y1203z', 83: '-567x-923y2252z', 84: '-5x-382y2470z', 85: '-602x-873y2263z', 86: '-60x-90y2497z', 87: '-618x-2308y732z', 88: '-633x-823y2274z', 89: '-63x-276y2483z', 90: '-660x-771y2284z', 91: '-661x-2076y1225z', 92: '-684x-719y2294z', 93: '-68x-114y2496z', 94: '-699x-128y2396z', 95: '-6x-6y2499z', 96: '-704x-666y2304z', 97: '-70x-248y2486z', 98: '-714x-170y2389z', 99: '-720x-614y2313z', 100: '-727x-214y2382z', 101: '-733x-561y2323z', 102: '-736x-2266y755z', 103: '-738x-260y2374z', 104: '-742x-509y2332z', 105: '-745x-307y2366z', 106: '-748x-457y2341z', 107: '-749x-356y2358z', 108: '-74x-140y2494z', 109: '-750x-406y2349z', 110: '-75x-221y2489z', 111: '-764x-2027y1247z', 112: '-77x-166y2493z', 113: '-77x-193y2491z', 114: '-851x-2217y779z', 115: '-864x-1972y1268z', 116: '-955x-805y2165z', 117: '-960x-1913y1290z', 118: '-962x-2162y803z', 119: '-964x-904y2238z', 120: '-979x-741y2177z', 121: '-998x-677y2189z', 122: '0x-2424y611z'}

                  
            else:
                print("\n (STEP 665F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 665F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 665F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2600 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven26004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 666F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN26004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven26004xi = queue2seven.get()
                
                if fire2seven26004xi is None:
                    fire2seven26004xi = shot2seven26004xi
                    print("\n (STEP 666F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN26004XI TO SHOT2SEVEN26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 666F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN26004XI: ", fire2seven26004xi) 
                    # FIRE2SEVEN26004XI:  {1: '-1001x-2249y835z', 2: '-1001x-939y2324z', 3: '-1018x-771y2264z', 4: '-1038x-704y2277z', 5: '-1054x-637y2289z', 6: '-1065x-570y2301z', 7: '-106x-1329y2232z', 8: '-1073x-503y2313z', 9: '-1076x-438y2325z', 10: '-108x-2324y1159z', 11: '-1095x-1923y1364z', 12: '-1113x-2186y860z', 13: '-1187x-1851y1386z', 14: '-1222x-2117y884z', 15: '-1274x-1775y1408z', 16: '-131x-2511y661z', 17: '-1326x-2042y909z', 18: '-1329x-2234y6z', 19: '-1356x-1695y1429z', 20: '-1426x-1963y933z', 21: '-1433x-1611y1451z', 22: '-1444x-2161y32z', 23: '-1506x-1523y1473z', 24: '-1521x-1878y957z', 25: '-1554x-2082y58z', 26: '-1572x-1432y1494z', 27: '-1610x-1789y981z', 28: '-1633x-1339y1515z', 29: '-1661x-1998y84z', 30: '-1689x-1242y1536z', 31: '-1695x-1695y1005z', 32: '-172x-1299y2245z', 33: '-1739x-1144y1557z', 34: '-1763x-1907y110z', 35: '-1774x-1597y1029z', 36: '-1783x-1043y1578z', 37: '-1821x-941y1598z', 38: '-1847x-1495y1053z', 39: '-1853x-838y1619z', 40: '-1859x-1812y136z', 41: '-1879x-734y1639z', 42: '-1899x-629y1659z', 43: '-1913x-524y1679z', 44: '-1914x-1390y1077z', 45: '-1922x-420y1699z', 46: '-1950x-1711y161z', 47: '-1975x-1282y1100z', 48: '-2030x-1172y1124z', 49: '-2036x-1605y187z', 50: '-2078x-1059y1147z', 51: '-2115x-1495y213z', 52: '-2120x-944y1171z', 53: '-2156x-827y1194z', 54: '-2185x-709y1217z', 55: '-2189x-1381y239z', 56: '-2207x-591y1240z', 57: '-2223x-472y1262z', 58: '-2232x-353y1285z', 59: '-2234x-234y1308z', 60: '-2256x-1264y265z', 61: '-228x-2303y1182z', 62: '-2317x-1143y291z', 63: '-236x-1266y2258z', 64: '-2370x-1019y317z', 65: '-23x-25y2599z', 66: '-2417x-892y343z', 67: '-2457x-763y368z', 68: '-2490x-632y394z', 69: '-25x-371y2573z', 70: '-262x-2494y686z', 71: '-296x-1230y2271z', 72: '-347x-2277y1206z', 73: '-354x-1191y2283z', 74: '-37x-1355y2218z', 75: '-391x-2469y711z', 76: '-39x-47y2599z', 77: '-408x-1149y2295z', 78: '-41x-343y2576z', 79: '-459x-1105y2308z', 80: '-463x-2243y1229z', 81: '-506x-1058y2319z', 82: '-518x-2439y736z', 83: '-52x-69y2598z', 84: '-54x-315y2580z', 85: '-550x-1010y2331z', 86: '-576x-2204y1251z', 87: '-590x-960y2342z', 88: '-5x-397y2569z', 89: '-626x-908y2354z', 90: '-63x-94y2597z', 91: '-643x-2401y761z', 92: '-658x-856y2364z', 93: '-65x-287y2583z', 94: '-687x-2159y1274z', 95: '-687x-802y2375z', 96: '-6x-6y2599z', 97: '-711x-748y2386z', 98: '-71x-119y2596z', 99: '-727x-133y2492z', 100: '-732x-693y2396z', 101: '-73x-258y2586z', 102: '-743x-177y2485z', 103: '-749x-638y2406z', 104: '-757x-223y2477z', 105: '-762x-583y2416z', 106: '-765x-2356y786z', 107: '-767x-270y2469z', 108: '-772x-529y2425z', 109: '-775x-320y2461z', 110: '-778x-475y2434z', 111: '-779x-370y2452z', 112: '-77x-146y2594z', 113: '-780x-422y2443z', 114: '-78x-229y2588z', 115: '-795x-2108y1297z', 116: '-80x-173y2592z', 117: '-80x-201y2590z', 118: '-885x-2306y810z', 119: '-899x-2051y1319z', 120: '-993x-838y2251z', 121: '-999x-1990y1341z', 122: '0x-2520y636z'}
 
                  
            else:
                print("\n (STEP 666F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 666F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 666F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2700 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven27004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 667F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN27004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven27004xi = queue2seven.get()
                
                if fire2seven27004xi is None:
                    fire2seven27004xi = shot2seven27004xi
                    print("\n (STEP 667F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN27004XI TO SHOT2SEVEN27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 667F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN27004XI: ", fire2seven27004xi) 
                    # FIRE2SEVEN27004XI:  {1: '-1031x-870y2338z', 2: '-1037x-2066y1393z', 3: '-1039x-2335y867z', 4: '-1039x-973y2410z', 5: '-1057x-800y2351z', 6: '-1078x-731y2364z', 7: '-1094x-661y2377z', 8: '-1106x-592y2390z', 9: '-110x-1380y2317z', 10: '-1114x-523y2402z', 11: '-1118x-455y2415z', 12: '-112x-2413y1204z', 13: '-1137x-1997y1416z', 14: '-1156x-2270y893z', 15: '-1232x-1922y1439z', 16: '-1269x-2198y918z', 17: '-1323x-1843y1462z', 18: '-136x-2607y686z', 19: '-1377x-2121y944z', 20: '-1380x-2320y6z', 21: '-1408x-1760y1484z', 22: '-1481x-2038y969z', 23: '-1489x-1673y1507z', 24: '-1499x-2245y33z', 25: '-1563x-1582y1529z', 26: '-1579x-1950y994z', 27: '-1614x-2163y60z', 28: '-1633x-1487y1551z', 29: '-1672x-1857y1019z', 30: '-1696x-1390y1573z', 31: '-1725x-2075y87z', 32: '-1754x-1290y1595z', 33: '-1760x-1760y1044z', 34: '-179x-1349y2331z', 35: '-1806x-1188y1617z', 36: '-1830x-1981y114z', 37: '-1842x-1658y1069z', 38: '-1851x-1083y1639z', 39: '-1891x-977y1660z', 40: '-1918x-1553y1094z', 41: '-1924x-870y1681z', 42: '-1931x-1881y141z', 43: '-1951x-762y1702z', 44: '-1972x-653y1723z', 45: '-1987x-545y1744z', 46: '-1988x-1444y1118z', 47: '-1996x-436y1764z', 48: '-2025x-1777y168z', 49: '-2051x-1332y1143z', 50: '-2108x-1217y1167z', 51: '-2114x-1667y195z', 52: '-2158x-1099y1191z', 53: '-2197x-1553y222z', 54: '-2202x-980y1216z', 55: '-2239x-859y1240z', 56: '-2269x-737y1264z', 57: '-2273x-1434y248z', 58: '-2292x-614y1287z', 59: '-2308x-490y1311z', 60: '-2317x-367y1335z', 61: '-2320x-243y1358z', 62: '-2343x-1312y275z', 63: '-237x-2392y1228z', 64: '-2406x-1186y302z', 65: '-245x-1315y2345z', 66: '-2462x-1058y329z', 67: '-24x-26y2699z', 68: '-2510x-926y356z', 69: '-2552x-792y383z', 70: '-2586x-657y409z', 71: '-25x-385y2672z', 72: '-272x-2589y712z', 73: '-308x-1277y2358z', 74: '-360x-2364y1252z', 75: '-368x-1237y2371z', 76: '-38x-1407y2304z', 77: '-406x-2564y738z', 78: '-40x-48y2699z', 79: '-424x-1193y2384z', 80: '-42x-356y2675z', 81: '-477x-1147y2396z', 82: '-481x-2330y1276z', 83: '-526x-1099y2409z', 84: '-538x-2532y764z', 85: '-54x-72y2698z', 86: '-56x-327y2679z', 87: '-571x-1049y2421z', 88: '-599x-2289y1300z', 89: '-612x-997y2433z', 90: '-650x-943y2444z', 91: '-65x-97y2697z', 92: '-668x-2493y790z', 93: '-683x-889y2455z', 94: '-68x-298y2682z', 95: '-6x-412y2668z', 96: '-6x-6y2699z', 97: '-713x-833y2467z', 98: '-714x-2242y1323z', 99: '-739x-776y2477z', 100: '-74x-124y2696z', 101: '-755x-139y2588z', 102: '-760x-720y2488z', 103: '-76x-268y2685z', 104: '-772x-184y2580z', 105: '-778x-663y2498z', 106: '-786x-231y2572z', 107: '-792x-606y2508z', 108: '-795x-2447y816z', 109: '-797x-281y2564z', 110: '-802x-549y2518z', 111: '-805x-332y2555z', 112: '-808x-493y2528z', 113: '-809x-384y2546z', 114: '-80x-151y2694z', 115: '-810x-438y2537z', 116: '-81x-238y2688z', 117: '-825x-2189y1347z', 118: '-83x-180y2692z', 119: '-83x-209y2690z', 120: '-919x-2394y842z', 121: '-933x-2130y1370z', 122: '0x-2617y660z'}
 
                  
            else:
                print("\n (STEP 667F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 667F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 667F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2800 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven28004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 668F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN28004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven28004xi = queue2seven.get()
                
                if fire2seven28004xi is None:
                    fire2seven28004xi = shot2seven28004xi
                    print("\n (STEP 668F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN28004XI TO SHOT2SEVEN28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 668F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN28004XI: ", fire2seven28004xi) 
                    # FIRE2SEVEN28004XI:  {1: '-1070x-902y2424z', 2: '-1076x-1008y2496z', 3: '-1076x-2143y1445z', 4: '-1078x-2422y899z', 5: '-1096x-830y2438z', 6: '-1118x-758y2452z', 7: '-1135x-686y2465z', 8: '-1147x-614y2478z', 9: '-114x-1431y2403z', 10: '-1155x-542y2491z', 11: '-1159x-471y2504z', 12: '-116x-2503y1248z', 13: '-1179x-2071y1469z', 14: '-1199x-2354y926z', 15: '-1278x-1994y1492z', 16: '-1316x-2280y952z', 17: '-1372x-1912y1516z', 18: '-141x-2704y712z', 19: '-1428x-2200y979z', 20: '-1431x-2406y6z', 21: '-1461x-1825y1539z', 22: '-1536x-2114y1005z', 23: '-1544x-1735y1563z', 24: '-1555x-2328y34z', 25: '-1621x-1640y1586z', 26: '-1638x-2023y1031z', 27: '-1674x-2243y62z', 28: '-1693x-1543y1609z', 29: '-1734x-1926y1057z', 30: '-1759x-1442y1632z', 31: '-1789x-2151y90z', 32: '-1819x-1338y1654z', 33: '-1825x-1825y1083z', 34: '-185x-1399y2418z', 35: '-1873x-1232y1677z', 36: '-1898x-2054y118z', 37: '-1910x-1720y1108z', 38: '-1920x-1123y1699z', 39: '-1961x-1013y1721z', 40: '-1989x-1610y1134z', 41: '-1995x-902y1743z', 42: '-2002x-1951y146z', 43: '-2024x-790y1765z', 44: '-2045x-677y1787z', 45: '-2061x-1497y1160z', 46: '-2061x-565y1808z', 47: '-2070x-452y1830z', 48: '-2100x-1842y174z', 49: '-2127x-1381y1185z', 50: '-2186x-1262y1210z', 51: '-2192x-1729y202z', 52: '-2238x-1140y1236z', 53: '-2278x-1610y230z', 54: '-2283x-1016y1261z', 55: '-2322x-891y1286z', 56: '-2353x-764y1310z', 57: '-2357x-1488y258z', 58: '-2377x-636y1335z', 59: '-2394x-508y1360z', 60: '-2403x-380y1384z', 61: '-2406x-252y1408z', 62: '-2430x-1361y286z', 63: '-246x-2481y1273z', 64: '-2495x-1230y313z', 65: '-254x-1363y2432z', 66: '-2553x-1097y341z', 67: '-25x-27y2799z', 68: '-2603x-961y369z', 69: '-2646x-822y397z', 70: '-2682x-681y424z', 71: '-26x-399y2771z', 72: '-282x-2685y739z', 73: '-319x-1325y2445z', 74: '-373x-2452y1298z', 75: '-381x-1282y2459z', 76: '-39x-1459y2389z', 77: '-421x-2659y766z', 78: '-42x-50y2799z', 79: '-440x-1238y2472z', 80: '-44x-370y2775z', 81: '-494x-1190y2485z', 82: '-498x-2416y1323z', 83: '-545x-1140y2498z', 84: '-558x-2626y793z', 85: '-56x-75y2798z', 86: '-592x-1088y2510z', 87: '-59x-340y2778z', 88: '-621x-2374y1348z', 89: '-635x-1034y2523z', 90: '-674x-978y2535z', 91: '-67x-101y2797z', 92: '-692x-2586y819z', 93: '-6x-428y2767z', 94: '-709x-922y2546z', 95: '-70x-309y2781z', 96: '-739x-864y2558z', 97: '-740x-2325y1372z', 98: '-766x-805y2569z', 99: '-76x-128y2795z', 100: '-783x-144y2684z', 101: '-788x-746y2580z', 102: '-79x-278y2784z', 103: '-7x-6y2799z', 104: '-800x-191y2676z', 105: '-807x-687y2591z', 106: '-815x-240y2667z', 107: '-821x-628y2601z', 108: '-824x-2538y846z', 109: '-826x-291y2659z', 110: '-831x-570y2612z', 111: '-834x-344y2650z', 112: '-838x-512y2622z', 113: '-839x-399y2641z', 114: '-83x-157y2794z', 115: '-840x-455y2631z', 116: '-84x-247y2787z', 117: '-856x-2270y1396z', 118: '-86x-186y2792z', 119: '-87x-216y2790z', 120: '-953x-2483y873z', 121: '-968x-2209y1421z', 122: '0x-2714y685z'}
 
                  
            else:
                print("\n (STEP 668F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 668F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 668F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 2900 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven29004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 669F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN29004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven29004xi = queue2seven.get()
                if fire2seven29004xi is None:
                    fire2seven29004xi = shot2seven29004xi
                    print("\n (STEP 669F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN29004XI TO SHOT2SEVEN29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 669F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN29004XI: ", fire2seven29004xi) 
                    # FIRE2SEVEN29004XI:  {1: '-1002x-2288y1471z', 2: '-1108x-934y2511z', 3: '-1113x-1043y2582z', 4: '-1114x-2219y1496z', 5: '-1116x-2508y932z', 6: '-1135x-860y2525z', 7: '-1158x-785y2540z', 8: '-1175x-710y2553z', 9: '-1188x-636y2567z', 10: '-118x-1482y2489z', 11: '-1197x-562y2580z', 12: '-1201x-488y2593z', 13: '-120x-2592y1293z', 14: '-1221x-2145y1521z', 15: '-1242x-2438y959z', 16: '-1324x-2065y1546z', 17: '-1363x-2361y986z', 18: '-1421x-1980y1570z', 19: '-146x-2800y737z', 20: '-1479x-2278y1013z', 21: '-1482x-2492y6z', 22: '-1513x-1891y1594z', 23: '-1590x-2189y1041z', 24: '-1599x-1797y1619z', 25: '-1610x-2411y35z', 26: '-1679x-1699y1643z', 27: '-1696x-2095y1068z', 28: '-1734x-2323y64z', 29: '-1754x-1598y1666z', 30: '-1796x-1995y1095z', 31: '-1822x-1493y1690z', 32: '-1853x-2228y93z', 33: '-1884x-1386y1714z', 34: '-1890x-1890y1121z', 35: '-192x-1449y2504z', 36: '-1939x-1276y1737z', 37: '-1966x-2127y122z', 38: '-1978x-1781y1148z', 39: '-1989x-1163y1760z', 40: '-2031x-1050y1783z', 41: '-2060x-1668y1175z', 42: '-2067x-934y1806z', 43: '-2074x-2021y151z', 44: '-2096x-818y1828z', 45: '-2118x-702y1851z', 46: '-2134x-585y1873z', 47: '-2135x-1551y1201z', 48: '-2144x-468y1895z', 49: '-2175x-1908y180z', 50: '-2203x-1430y1227z', 51: '-2264x-1307y1254z', 52: '-2271x-1791y209z', 53: '-2318x-1181y1280z', 54: '-2359x-1668y238z', 55: '-2365x-1053y1306z', 56: '-2404x-923y1331z', 57: '-2437x-791y1357z', 58: '-2441x-1541y267z', 59: '-2462x-659y1383z', 60: '-2479x-527y1408z', 61: '-2489x-394y1433z', 62: '-2492x-261y1459z', 63: '-2516x-1409y296z', 64: '-254x-2569y1319z', 65: '-2584x-1274y325z', 66: '-263x-1412y2518z', 67: '-2644x-1136y353z', 68: '-2696x-995y382z', 69: '-26x-28y2899z', 70: '-2741x-851y411z', 71: '-2778x-705y440z', 72: '-27x-413y2870z', 73: '-292x-2781y765z', 74: '-331x-1372y2533z', 75: '-387x-2539y1345z', 76: '-395x-1328y2547z', 77: '-41x-1511y2474z', 78: '-436x-2754y793z', 79: '-43x-52y2899z', 80: '-455x-1282y2560z', 81: '-46x-383y2874z', 82: '-512x-1232y2574z', 83: '-516x-2502y1370z', 84: '-565x-1181y2587z', 85: '-578x-2720y821z', 86: '-58x-77y2898z', 87: '-613x-1127y2600z', 88: '-61x-352y2877z', 89: '-643x-2458y1396z', 90: '-658x-1071y2613z', 91: '-698x-1013y2625z', 92: '-6x-443y2865z', 93: '-70x-104y2897z', 94: '-717x-2678y849z', 95: '-734x-954y2637z', 96: '-73x-320y2881z', 97: '-766x-895y2649z', 98: '-767x-2408y1421z', 99: '-793x-834y2661z', 100: '-79x-133y2895z', 101: '-7x-7y2899z', 102: '-811x-149y2780z', 103: '-817x-773y2672z', 104: '-81x-288y2884z', 105: '-829x-198y2771z', 106: '-836x-712y2683z', 107: '-844x-249y2763z', 108: '-850x-651y2694z', 109: '-854x-2628y876z', 110: '-856x-302y2754z', 111: '-861x-590y2705z', 112: '-864x-356y2744z', 113: '-868x-530y2715z', 114: '-869x-413y2735z', 115: '-86x-162y2894z', 116: '-870x-471y2725z', 117: '-87x-256y2887z', 118: '-886x-2351y1446z', 119: '-89x-193y2892z', 120: '-90x-224y2889z', 121: '-987x-2572y904z', 122: '0x-2811y709z'}

                  
            else:
                print("\n (STEP 669F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 669F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 669F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 3000 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven30004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 670F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN30004XI FROM QUEUE: ", queue2seven)
                    # 
                
                fire2seven30004xi = queue2seven.get()
                if fire2seven30004xi is None:
                    fire2seven30004xi = shot2seven30004xi
                    print("\n (STEP 670F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN30004XI TO SHOT2SEVEN30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 670F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN30004XI: ", fire2seven30004xi) 
                    # FIRE2SEVEN30004XI:  {1: '-1021x-2661y935z', 2: '-1037x-2367y1522z', 3: '-1146x-967y2598z', 4: '-1150x-1078y2669z', 5: '-1153x-2296y1548z', 6: '-1155x-2595y964z', 7: '-1174x-889y2612z', 8: '-1198x-812y2627z', 9: '-1216x-735y2641z', 10: '-1229x-657y2656z', 11: '-122x-1533y2575z', 12: '-1238x-581y2669z', 13: '-1242x-505y2683z', 14: '-124x-2682y1338z', 15: '-1263x-2219y1574z', 16: '-1285x-2522y992z', 17: '-1369x-2136y1599z', 18: '-1410x-2443y1020z', 19: '-1470x-2048y1624z', 20: '-151x-2897y763z', 21: '-1530x-2357y1048z', 22: '-1533x-2578y7z', 23: '-1565x-1956y1649z', 24: '-1645x-2265y1077z', 25: '-1654x-1859y1674z', 26: '-1666x-2494y37z', 27: '-1737x-1758y1699z', 28: '-1755x-2167y1104z', 29: '-1794x-2403y67z', 30: '-1814x-1653y1724z', 31: '-1858x-2064y1132z', 32: '-1885x-1545y1748z', 33: '-1916x-2305y97z', 34: '-1949x-1433y1773z', 35: '-1956x-1956y1160z', 36: '-199x-1499y2590z', 37: '-2006x-1320y1797z', 38: '-2034x-2201y127z', 39: '-2047x-1843y1188z', 40: '-2057x-1204y1821z', 41: '-2101x-1086y1844z', 42: '-2131x-1726y1215z', 43: '-2138x-967y1868z', 44: '-2145x-2090y156z', 45: '-2168x-847y1891z', 46: '-2192x-726y1915z', 47: '-2208x-1604y1242z', 48: '-2208x-605y1938z', 49: '-2218x-485y1960z', 50: '-2250x-1974y186z', 51: '-2279x-1480y1270z', 52: '-2342x-1352y1297z', 53: '-2349x-1852y216z', 54: '-2398x-1222y1324z', 55: '-2441x-1725y246z', 56: '-2446x-1089y1351z', 57: '-2487x-954y1377z', 58: '-2521x-819y1404z', 59: '-2526x-1594y276z', 60: '-2546x-682y1430z', 61: '-2565x-545y1457z', 62: '-2575x-407y1483z', 63: '-2578x-271y1509z', 64: '-2603x-1458y306z', 65: '-263x-2658y1364z', 66: '-2673x-1318y336z', 67: '-272x-1461y2605z', 68: '-2735x-1175y366z', 69: '-2789x-1029y395z', 70: '-27x-29y2999z', 71: '-2835x-881y425z', 72: '-2873x-730y455z', 73: '-28x-428y2969z', 74: '-302x-2877y792z', 75: '-342x-1419y2620z', 76: '-400x-2627y1391z', 77: '-408x-1374y2634z', 78: '-42x-1563y2560z', 79: '-451x-2849y820z', 80: '-45x-54y2999z', 81: '-471x-1326y2649z', 82: '-47x-396y2973z', 83: '-530x-1275y2663z', 84: '-534x-2589y1418z', 85: '-584x-1221y2676z', 86: '-598x-2814y849z', 87: '-60x-80y2998z', 88: '-634x-1166y2690z', 89: '-63x-364y2977z', 90: '-665x-2543y1444z', 91: '-680x-1108y2703z', 92: '-6x-458y2964z', 93: '-722x-1048y2716z', 94: '-72x-108y2997z', 95: '-742x-2770y878z', 96: '-759x-987y2728z', 97: '-75x-331y2980z', 98: '-792x-925y2741z', 99: '-793x-2491y1470z', 100: '-7x-7y2999z', 101: '-821x-863y2753z', 102: '-82x-137y2995z', 103: '-839x-154y2876z', 104: '-845x-800y2764z', 105: '-84x-298y2983z', 106: '-857x-204y2867z', 107: '-864x-736y2776z', 108: '-873x-257y2858z', 109: '-880x-673y2787z', 110: '-883x-2719y907z', 111: '-885x-312y2849z', 112: '-891x-610y2798z', 113: '-894x-369y2839z', 114: '-898x-548y2809z', 115: '-899x-427y2829z', 116: '-89x-168y2993z', 117: '-900x-487y2819z', 118: '-90x-265y2986z', 119: '-917x-2432y1496z', 120: '-92x-200y2991z', 121: '-93x-232y2989z', 122: '0x-2908y734z'}

                  
            else:
                print("\n (STEP 670F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 670F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 670F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 3100 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven31004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 671F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN31004XI FROM QUEUE: ", queue2seven) 
                    # 
                
                fire2seven31004xi = queue2seven.get()
                if fire2seven31004xi is None:
                    fire2seven31004xi = shot2seven31004xi
                    print("\n (STEP 671F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN31004XI TO SHOT2SEVEN31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 671F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN31004XI: ", fire2seven31004xi) 
                    # FIRE2SEVEN31004XI:  {1: '-1055x-2749y966z', 2: '-1072x-2446y1573z', 3: '-1184x-999y2684z', 4: '-1187x-1113y2755z', 5: '-1191x-2372y1600z', 6: '-1193x-2681y996z', 7: '-1213x-919y2700z', 8: '-1238x-839y2715z', 9: '-1256x-759y2730z', 10: '-126x-1584y2661z', 11: '-1270x-679y2744z', 12: '-1279x-600y2758z', 13: '-1283x-522y2772z', 14: '-129x-2771y1382z', 15: '-1306x-2293y1626z', 16: '-1328x-2606y1025z', 17: '-1415x-2207y1652z', 18: '-1457x-2524y1054z', 19: '-1519x-2117y1678z', 20: '-156x-2993y788z', 21: '-1581x-2435y1083z', 22: '-1584x-2664y7z', 23: '-1617x-2021y1704z', 24: '-1700x-2340y1112z', 25: '-1709x-1921y1730z', 26: '-1721x-2577y38z', 27: '-1795x-1816y1756z', 28: '-1813x-2239y1141z', 29: '-1853x-2483y69z', 30: '-1875x-1708y1781z', 31: '-1920x-2133y1170z', 32: '-1948x-1596y1807z', 33: '-1980x-2382y100z', 34: '-2014x-1481y1832z', 35: '-2021x-2021y1199z', 36: '-205x-1549y2677z', 37: '-2073x-1364y1857z', 38: '-2102x-2274y131z', 39: '-2115x-1904y1227z', 40: '-2126x-1244y1881z', 41: '-2171x-1122y1906z', 42: '-2202x-1783y1256z', 43: '-2209x-999y1930z', 44: '-2217x-2160y162z', 45: '-2241x-875y1954z', 46: '-2265x-750y1978z', 47: '-2282x-1658y1284z', 48: '-2282x-625y2002z', 49: '-2292x-501y2026z', 50: '-2325x-2040y193z', 51: '-2355x-1529y1312z', 52: '-2420x-1397y1340z', 53: '-2427x-1914y224z', 54: '-2478x-1262y1368z', 55: '-2522x-1783y254z', 56: '-2528x-1125y1396z', 57: '-2570x-986y1423z', 58: '-2605x-846y1451z', 59: '-2610x-1647y285z', 60: '-2631x-705y1478z', 61: '-2650x-563y1505z', 62: '-2661x-421y1532z', 63: '-2664x-280y1559z', 64: '-2690x-1507y316z', 65: '-272x-2747y1410z', 66: '-2762x-1362y347z', 67: '-281x-1510y2692z', 68: '-2826x-1214y378z', 69: '-2882x-1063y409z', 70: '-28x-30y3099z', 71: '-2930x-910y439z', 72: '-2969x-754y470z', 73: '-29x-442y3068z', 74: '-312x-2973y818z', 75: '-354x-1467y2707z', 76: '-413x-2714y1437z', 77: '-422x-1420y2722z', 78: '-44x-1615y2645z', 79: '-466x-2944y848z', 80: '-46x-56y3099z', 81: '-487x-1370y2737z', 82: '-49x-409y3072z', 83: '-547x-1317y2751z', 84: '-552x-2675y1465z', 85: '-604x-1262y2766z', 86: '-618x-2908y878z', 87: '-62x-83y3098z', 88: '-656x-1204y2779z', 89: '-65x-376y3076z', 90: '-687x-2628y1492z', 91: '-703x-1145y2793z', 92: '-746x-1083y2806z', 93: '-75x-112y3097z', 94: '-767x-2863y907z', 95: '-785x-1020y2819z', 96: '-78x-342y3080z', 97: '-7x-474y3063z', 98: '-7x-7y3099z', 99: '-819x-2574y1519z', 100: '-819x-956y2832z', 101: '-848x-892y2844z', 102: '-85x-142y3095z', 103: '-867x-159y2971z', 104: '-873x-826y2857z', 105: '-87x-308y3083z', 106: '-886x-211y2962z', 107: '-893x-761y2869z', 108: '-902x-266y2953z', 109: '-909x-696y2880z', 110: '-913x-2810y937z', 111: '-915x-322y2944z', 112: '-920x-631y2891z', 113: '-924x-381y2934z', 114: '-927x-567y2902z', 115: '-929x-441y2924z', 116: '-92x-174y3093z', 117: '-930x-503y2913z', 118: '-93x-274y3086z', 119: '-948x-2513y1546z', 120: '-95x-206y3091z', 121: '-96x-240y3089z', 122: '0x-3005y758z'}
 
                  
            else:
                print("\n (STEP 671F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 671F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 671F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 3200 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven32004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True:

            if ack2seven4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 672F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN32004XI FROM QUEUE: ", queue2seven)
                    # 
                fire2seven32004xi = queue2seven.get()
                if fire2seven32004xi is None:
                    fire2seven32004xi = shot2seven32004xi
                    print("\n (STEP 673F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " - SET FIRE2SEVEN32004XI TO SHOT2SEVEN32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 672F3/800) OF COLOR_NOUNS4XI - FIRE2SEVEN32004XI: ", fire2seven32004xi) 
                    # FIRE2SEVEN32004XI:  {1: '-1089x-2838y998z', 2: '-1106x-2525y1624z', 3: '-1222x-1031y2771z', 4: '-1224x-1147y2841z', 5: '-1230x-2449y1651z', 6: '-1232x-2768y1028z', 7: '-1253x-949y2787z', 8: '-1277x-866y2802z', 9: '-1297x-784y2818z', 10: '-130x-1635y2747z', 11: '-1311x-701y2833z', 12: '-1321x-620y2847z', 13: '-1325x-539y2862z', 14: '-133x-2860y1427z', 15: '-1348x-2367y1678z', 16: '-1370x-2690y1058z', 17: '-1461x-2279y1706z', 18: '-1504x-2605y1088z', 19: '-1568x-2185y1733z', 20: '-161x-3090y813z', 21: '-1632x-2514y1118z', 22: '-1635x-2750y7z', 23: '-1669x-2086y1759z', 24: '-1755x-2416y1148z', 25: '-1764x-1983y1786z', 26: '-1777x-2660y39z', 27: '-1853x-1875y1813z', 28: '-1872x-2312y1178z', 29: '-1913x-2563y71z', 30: '-1935x-1763y1839z', 31: '-1982x-2202y1208z', 32: '-2011x-1648y1865z', 33: '-2044x-2459y103z', 34: '-2079x-1529y1891z', 35: '-2086x-2086y1237z', 36: '-212x-1599y2763z', 37: '-2140x-1408y1917z', 38: '-2169x-2348y135z', 39: '-2183x-1966y1267z', 40: '-2194x-1284y1942z', 41: '-2241x-1158y1967z', 42: '-2273x-1841y1296z', 43: '-2281x-1031y1993z', 44: '-2288x-2230y167z', 45: '-2313x-903y2017z', 46: '-2338x-774y2042z', 47: '-2355x-645y2067z', 48: '-2356x-1711y1325z', 49: '-2365x-517y2091z', 50: '-2400x-2106y199z', 51: '-2431x-1578y1354z', 52: '-2498x-1442y1383z', 53: '-2506x-1976y231z', 54: '-2558x-1303y1412z', 55: '-2604x-1840y263z', 56: '-2610x-1162y1441z', 57: '-2653x-1018y1469z', 58: '-2689x-873y1498z', 59: '-2694x-1700y295z', 60: '-2716x-727y1526z', 61: '-2736x-581y1554z', 62: '-2747x-435y1582z', 63: '-2750x-289y1609z', 64: '-2777x-1555y326z', 65: '-281x-2835y1455z', 66: '-2851x-1406y358z', 67: '-290x-1558y2779z', 68: '-2917x-1254y390z', 69: '-2975x-1098y422z', 70: '-29x-31y3199z', 71: '-3025x-939y453z', 72: '-3065x-779y485z', 73: '-30x-456y3167z', 74: '-322x-3069y844z', 75: '-365x-1514y2795z', 76: '-427x-2802y1484z', 77: '-436x-1466y2810z', 78: '-45x-1667y2730z', 79: '-481x-3039y875z', 80: '-48x-57y3199z', 81: '-502x-1414y2825z', 82: '-50x-423y3171z', 83: '-565x-1360y2840z', 84: '-570x-2761y1512z', 85: '-623x-1303y2855z', 86: '-638x-3001y906z', 87: '-64x-85y3198z', 88: '-677x-1243y2869z', 89: '-67x-388y3175z', 90: '-710x-2713y1540z', 91: '-726x-1182y2883z', 92: '-770x-1118y2897z', 93: '-77x-115y3196z', 94: '-791x-2955y937z', 95: '-7x-489y3162z', 96: '-80x-353y3179z', 97: '-810x-1053y2910z', 98: '-845x-987y2923z', 99: '-846x-2657y1568z', 100: '-876x-920y2936z', 101: '-87x-147y3195z', 102: '-895x-164y3067z', 103: '-8x-7y3199z', 104: '-901x-853y2949z', 105: '-90x-318y3182z', 106: '-915x-218y3058z', 107: '-922x-786y2961z', 108: '-931x-274y3048z', 109: '-938x-718y2973z', 110: '-942x-2900y967z', 111: '-944x-333y3039z', 112: '-94x-179y3193z', 113: '-950x-651y2985z', 114: '-954x-393y3028z', 115: '-957x-585y2996z', 116: '-959x-456y3018z', 117: '-960x-520y3007z', 118: '-96x-282y3186z', 119: '-978x-2594y1596z', 120: '-98x-213y3191z', 121: '-99x-247y3188z', 122: '0x-3102y783z'}
 
                  
            else:
                print("\n (STEP 672F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 672F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 672F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

        
    #=========
    # 3300 SEVEN
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2seven33004xi = {}
    
    if ack2seven4process is True:

        if ack2seven4start is True: 

            if ack2seven4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 673F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2SEVEN33004XI FROM QUEUE: ", queue2seven)   
                    # 
                fire2seven33004xi = queue2seven.get()
                if ack2debug is True:
                    print("\n (STEP 673F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2SEVEN: ", queue2seven, " FIRE2SEVEN33004XI: ", fire2seven33004xi) 
                    # FIRE2SEVEN33004XI:  {1: '-1009x-2675y1646z', 2: '-101x-220y3291z', 3: '-102x-255y3288z', 4: '-1123x-2927y1029z', 5: '-1141x-2604y1674z', 6: '-1261x-1063y2857z', 7: '-1261x-1182y2927z', 8: '-1268x-2525y1703z', 9: '-1271x-2854y1060z', 10: '-1292x-978y2874z', 11: '-1317x-893y2890z', 12: '-1338x-808y2906z', 13: '-134x-1686y2833z', 14: '-1352x-723y2921z', 15: '-1362x-639y2936z', 16: '-1366x-556y2951z', 17: '-137x-2950y1471z', 18: '-1390x-2441y1731z', 19: '-1413x-2774y1091z', 20: '-1506x-2350y1759z', 21: '-1551x-2687y1122z', 22: '-1617x-2253y1787z', 23: '-167x-3187y839z', 24: '-1683x-2592y1153z', 25: '-1686x-2836y7z', 26: '-1721x-2151y1814z', 27: '-1810x-2491y1184z', 28: '-1820x-2045y1842z', 29: '-1832x-2743y40z', 30: '-1911x-1933y1869z', 31: '-1930x-2384y1215z', 32: '-1973x-2643y73z', 33: '-1996x-1818y1896z', 34: '-2044x-2270y1246z', 35: '-2073x-1699y1923z', 36: '-2108x-2536y106z', 37: '-2144x-1577y1950z', 38: '-2151x-2151y1276z', 39: '-219x-1649y2849z', 40: '-2207x-1452y1976z', 41: '-2237x-2421y139z', 42: '-2251x-2027y1306z', 43: '-2263x-1324y2003z', 44: '-2311x-1194y2029z', 45: '-2344x-1898y1337z', 46: '-2352x-1063y2055z', 47: '-2360x-2299y172z', 48: '-2385x-931y2081z', 49: '-2411x-799y2106z', 50: '-2429x-1765y1367z', 51: '-2429x-666y2131z', 52: '-2439x-533y2156z', 53: '-2475x-2171y205z', 54: '-2507x-1628y1397z', 55: '-2576x-1487y1427z', 56: '-2584x-2038y238z', 57: '-2638x-1344y1456z', 58: '-2685x-1898y271z', 59: '-2691x-1198y1486z', 60: '-2736x-1050y1515z', 61: '-2773x-901y1544z', 62: '-2778x-1753y304z', 63: '-2801x-750y1573z', 64: '-2821x-599y1602z', 65: '-2833x-448y1631z', 66: '-2836x-298y1660z', 67: '-2863x-1604y337z', 68: '-290x-2924y1501z', 69: '-2940x-1450y369z', 70: '-299x-1607y2866z', 71: '-3009x-1293y402z', 72: '-3068x-1132y435z', 73: '-30x-32y3299z', 74: '-3119x-969y468z', 75: '-3161x-803y500z', 76: '-31x-471y3266z', 77: '-332x-3165y871z', 78: '-376x-1561y2882z', 79: '-440x-2890y1530z', 80: '-449x-1512y2898z', 81: '-47x-1719y2816z', 82: '-496x-3134y903z', 83: '-49x-59y3299z', 84: '-518x-1459y2914z', 85: '-52x-436y3270z', 86: '-583x-1402y2929z', 87: '-587x-2847y1559z', 88: '-643x-1344y2944z', 89: '-658x-3095y934z', 90: '-66x-88y3298z', 91: '-698x-1282y2959z', 92: '-69x-400y3274z', 93: '-732x-2798y1588z', 94: '-749x-1219y2973z', 95: '-794x-1153y2987z', 96: '-7x-504y3261z', 97: '-80x-119y3296z', 98: '-816x-3047y966z', 99: '-835x-1086y3001z', 100: '-83x-364y3278z', 101: '-872x-1018y3015z', 102: '-872x-2740y1617z', 103: '-8x-8y3299z', 104: '-903x-949y3028z', 105: '-90x-151y3295z', 106: '-923x-169y3163z', 107: '-929x-880y3041z', 108: '-93x-328y3282z', 109: '-943x-225y3154z', 110: '-951x-810y3054z', 111: '-960x-283y3144z', 112: '-968x-741y3066z', 113: '-972x-2991y997z', 114: '-974x-343y3134z', 115: '-97x-185y3293z', 116: '-980x-672y3078z', 117: '-983x-406y3123z', 118: '-987x-603y3090z', 119: '-989x-470y3112z', 120: '-990x-536y3101z', 121: '-99x-291y3285z', 122: '0x-3199y807z'}
 
                      
                    if fire2seven33004xi is None:
                        print("\n (STEP 674F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2seven33004xi = queue2seven.get()
                    
                        if fire2seven33004xi is None:
                            fire2seven33004xi = shot2seven33004xi
                            print("\n (STEP 673F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2SEVEN: ", queue2seven, " SET FIRE2SEVEN33004XI TO SHOT2SEVEN33004XI: ", fire2seven33004xi) 
                            # 
                            
            else:
                print("\n (STEP 673F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS SEVEN ", time4xi())                 
        else:
            print("\n (STEP 673F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS SEVEN ", time4xi())                                         
    else:
        print("\n (STEP 673F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS SEVEN ", time4xi())                    
               

           
# =========================================================================================================   
# II/VII EOF - SEVEN DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
# =========================================================================================================  

      
# =========================================================================================================   
# I/VIII EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
# =========================================================================================================      
    
    #========
    # 10 EIGHT 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 674F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 674F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight) 
                    # <ack2put4xi>queue2eight8shot2eight10x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 674F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 674F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 674F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
    
    #========
    # 100 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 681F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 681F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 681F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 681F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 681F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
    
    #========
    # 200 EIGHT 
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 682F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 682F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight200x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 682F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 682F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 682F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
                                                
                                  
    
    #========
    # 300 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 683F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 683F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 683F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 683F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 683F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
    
    #========
    # 400 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 684F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 684F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 684F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 684F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 684F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())
                            
    #========
    # 500 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 685F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 685F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight500x4xi</ack2put4xi> 
 
                
            else:
                print("\n (STEP 685F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 685F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 685F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
                                                                                       
    #========
    # 600 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 686F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 686F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    #  <ack2put4xi>queue2eight8shot2eight600x4xi</ack2put4xi>
            else:
                print("\n (STEP 686F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 686F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 684F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #========
    # 700 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 687F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 687F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 687F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 687F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 687F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
       
    #========
    # 800 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 688F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 688F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight800x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 688F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 688F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 688F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #========
    # 900 EIGHT
    #========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 689F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 689F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight900x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 689F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 689F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 689F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
      
           
     
    #=========
    # 1000 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 690F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 690F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 690F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 690F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 690F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1100 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 691F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 691F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 691F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 691F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 691F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1200 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 692F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 692F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 692F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 692F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 692F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1300 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 693F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 693F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1300x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 693F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 693F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 693F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1400 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 694F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 694F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 694F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 694F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 694F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1500 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 695F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 695F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 695F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 695F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 695F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1600 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 696F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 696F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 696F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 696F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 696F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1700 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 697F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 697F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 697F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 697F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 697F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1800 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 698F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 698F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1800x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 698F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 698F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 698F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())                    
     
    #=========
    # 1900 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 699F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 699F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight1900x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 699F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 699F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 699F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
        
     
    #=========
    # 2000 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 600F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 600F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2000x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 600F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 600F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 600F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2100 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 621F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 621F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2100x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 621F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 621F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 621F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2200 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 622F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 622F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2200x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 622F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 622F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 622F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2300 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 623F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 623F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2300x4xi</ack2put4xi>
                
            else:
                print("\n (STEP 623F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 623F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 623F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2400 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 624F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 624F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2400x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 624F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 624F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 624F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2500 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 625F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 625F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2500x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 625F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 625F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 625F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2600 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 626F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 626F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2600x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 626F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 626F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 626F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2700 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 627F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 627F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2700x4xi</ack2put4xi> 
                
            else:
                print("\n (STEP 627F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 627F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 627F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2800 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 628F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 628F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2800x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 628F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 628F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 628F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 2900 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 629F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 629F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight2900x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 629F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 629F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 629F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 3000 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 630F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 630F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight3000x4xi</ack2put4xi> 
                    
                
            else:
                print("\n (STEP 630F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 630F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 630F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 3100 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 631F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                    
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 631F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight) 
                    # <ack2put4xi>queue2eight8shot2eight3100x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 631F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 631F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 631F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 3200 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 632F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel)
                    # 
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 632F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight3200x4xi</ack2put4xi> 
            else:
                print("\n (STEP 632F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 632F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 632F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  
     
    #=========
    # 3300 EIGHT
    #=========
    
    # =============================================================================================   
    # RECEIVE VIA PIPE INFORMATION ABOUT PUT OPERATION OF COORDINATES
    # =============================================================================================  
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - RECEIVE INFORMATION ABOUT PUT OPERATION FROM PIPE WHERE PROCESS TARGET FUNCTION SENT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 633F1/800) OF COLOR_NOUNS4XI - TRYING TO RECEIVE PUT INFO MESSAGE FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel) 
                    # 
                message2receive4eight = pipe2eight_consumer_channel.recv()
                if ack2debug is True:
                    print("\n (STEP 633F2/800) OF COLOR_NOUNS4XI - RECEIVED FROM PIPE CONSUMER_CHANNEL: ", pipe2eight_consumer_channel, " PUT INFO MESSAGE: ", message2receive4eight)
                    # <ack2put4xi>queue2eight8shot2eight3300x4xi</ack2put4xi> 
                    
            else:
                print("\n (STEP 633F3/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 633F4/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 633F5/800) OF COLOR_NOUNS4XI ** SKIPPED RECEIVING PUT INFO MESSAGE - FAILED IN CREATING THE PROCESS EIGHT ", time4xi())  

      
           
    # =========================================================================================================   
    # I/VII EOF - EIGHT DIRECTION LAYERS 10, 100 ...3300 PIPE INFORMATION FIRST
    # =========================================================================================================      
         
    
     
    
               
    # =========================================================================================================   
    # II/VIII EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================      
    
    #========
    # 10 EIGHT   
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight104xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 634F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT104XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight104xi = queue2eight.get() 
                if fire2eight104xi is None:
                    fire2eight104xi = shot2eight104xi
                    print("\n (STEP 634F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT104XI TO SHOT2EIGHT104XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 634F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT104XI: ", fire2eight104xi) 
                    # FIRE2EIGHT104XI:  {1: '-10x-10y-12z', 2: '-10x-11y-13z', 3: '-10x-3y-27z', 4: '-10x-58y-6z', 5: '-10x-7y-37z', 6: '-11x-1y-27z', 7: '-11x-2y-27z', 8: '-11x-48y-4z', 9: '-12x-1y-27z', 10: '-12x-61y-49z', 11: '-13x-47y-4z', 12: '-15x-61y-49z', 13: '-16x-47y-3z', 14: '-18x-46y-3z', 15: '-18x-60y-48z', 16: '-19x-52y-41z', 17: '-1x-59y-8z', 18: '-1x-8y-49z', 19: '-21x-45y-2z', 20: '-22x-51y-41z', 21: '-23x-43y-2z', 22: '-25x-42y-1z', 23: '-25x-51y-40z', 24: '-28x-41y-1z', 25: '-28x-50y-40z', 26: '-2x-13y-14z', 27: '-2x-20y-22z', 28: '-2x-61y-51z', 29: '-2x-8y-49z', 30: '-30x-39y0z', 31: '-30x-48y-39z', 32: '-32x-38y0z', 33: '-33x-47y-38z', 34: '-34x-19y-69z', 35: '-34x-36y0z', 36: '-35x-17y-69z', 37: '-36x-23y-78z', 38: '-36x-34y0z', 39: '-36x-45y-38z', 40: '-37x-16y-68z', 41: '-38x-14y-68z', 42: '-38x-44y-37z', 43: '-39x-12y-68z', 44: '-3x-13y-14z', 45: '-3x-20y-21z', 46: '-3x-7y-39z', 47: '-3x-9y-49z', 48: '-41x-10y-67z', 49: '-41x-42y-37z', 50: '-43x-28y-29z', 51: '-43x-40y-36z', 52: '-45x-26y-29z', 53: '-46x-24y-28z', 54: '-46x-38y-35z', 55: '-48x-22y-28z', 56: '-48x-36y-35z', 57: '-49x-19y-27z', 58: '-4x-13y-14z', 59: '-4x-59y-7z', 60: '-4x-7y-38z', 61: '-4x-8y-38z', 62: '-50x-17y-27z', 63: '-51x-14y-26z', 64: '-52x-11y-26z', 65: '-5x-13y-13z', 66: '-5x-13y-14z', 67: '-5x-5y-6z', 68: '-5x-61y-50z', 69: '-5x-8y-38z', 70: '-6x-12y-13z', 71: '-6x-4y-6z', 72: '-6x-8y-38z', 73: '-7x-12y-13z', 74: '-7x-2y-5z', 75: '-7x-3y-5z', 76: '-7x-59y-7z', 77: '-7x-8y-38z', 78: '-8x-12y-13z', 79: '-8x-1y-5z', 80: '-8x-4y-28z', 81: '-8x-5y-28z', 82: '-8x-7y-38z', 83: '-8x0y-5z', 84: '-9x-11y-13z', 85: '-9x-4y-28z', 86: '-9x-61y-50z', 87: '-9x-7y-38z', 88: '0x-19y-22z', 89: '0x-1y-49z', 90: '0x-4y-49z', 91: '0x-5y-49z', 92: '0x-60y-52z', 93: '0x-6y-49z', 94: '0x-7y-49z', 95: '0x0y-49z'}

                
            else:
                print("\n (STEP 634F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 634F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 634F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())
    
        
      
           
    #========
    # 100 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight1004xi = {}

    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 641F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT1004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight1004xi = queue2eight.get()
                if fire2eight1004xi is None:
                    fire2eight1004xi = shot2eight1004xi
                    print("\n (STEP 641F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT1004XI TO SHOT2EIGHT1004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 641F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT1004XI: ", fire2eight1004xi) 
                    # FIRE2EIGHT1004XI:  {1: '-10x-19y-97z', 2: '-10x-67y-73z', 3: '-11x-34y-93z', 4: '-11x-76y-62z', 5: '-12x-20y-97z', 6: '-12x-98y-11z', 7: '-13x-20y-96z', 8: '-13x-34y-92z', 9: '-13x-67y-72z', 10: '-15x-20y-96z', 11: '-15x-34y-92z', 12: '-15x-76y-62z', 13: '-16x-20y-96z', 14: '-17x-34y-92z', 15: '-17x-67y-71z', 16: '-17x-97y-10z', 17: '-180x-85y-13z', 18: '-18x-20y-96z', 19: '-19x-76y-61z', 20: '-1x-15y-98z', 21: '-1x-31y-94z', 22: '-20x-19y-95z', 23: '-20x-34y-91z', 24: '-21x-66y-71z', 25: '-22x-19y-95z', 26: '-22x-34y-91z', 27: '-22x-96y-9z', 28: '-23x-18y-95z', 29: '-23x-75y-60z', 30: '-24x-33y-90z', 31: '-25x-17y-94z', 32: '-25x-66y-70z', 33: '-27x-17y-94z', 34: '-27x-32y-90z', 35: '-27x-75y-59z', 36: '-27x-95y-8z', 37: '-28x-16y-94z', 38: '-28x-65y-69z', 39: '-29x-32y-90z', 40: '-2x-16y-98z', 41: '-2x-98y-13z', 42: '-30x-15y-94z', 43: '-31x-31y-89z', 44: '-32x-13y-93z', 45: '-32x-64y-69z', 46: '-32x-74y-58z', 47: '-32x-94y-7z', 48: '-33x-12y-93z', 49: '-33x-30y-89z', 50: '-35x-10y-92z', 51: '-36x-28y-88z', 52: '-36x-63y-68z', 53: '-36x-72y-58z', 54: '-36x-9y-92z', 55: '-37x-92y-6z', 56: '-38x-27y-88z', 57: '-38x-7y-92z', 58: '-39x-5y-91z', 59: '-39x-61y-67z', 60: '-3x-17y-98z', 61: '-3x-32y-94z', 62: '-3x-66y-74z', 63: '-3x-76y-64z', 64: '-40x-25y-87z', 65: '-40x-3y-91z', 66: '-40x-71y-57z', 67: '-42x-24y-87z', 68: '-42x-90y-5z', 69: '-43x-60y-66z', 70: '-44x-22y-86z', 71: '-44x-69y-56z', 72: '-46x-20y-86z', 73: '-46x-58y-66z', 74: '-47x-87y-4z', 75: '-48x-18y-85z', 76: '-48x-67y-55z', 77: '-49x-15y-85z', 78: '-50x-56y-65z', 79: '-51x-13y-84z', 80: '-51x-65y-54z', 81: '-51x-85y-3z', 82: '-53x-54y-64z', 83: '-55x-63y-53z', 84: '-56x-51y-63z', 85: '-56x-82y-2z', 86: '-59x-60y-53z', 87: '-5x-17y-98z', 88: '-5x-32y-94z', 89: '-60x-49y-63z', 90: '-60x-79y-1z', 91: '-62x-57y-52z', 92: '-63x-46y-62z', 93: '-64x-76y0z', 94: '-65x-43y-61z', 95: '-66x-54y-51z', 96: '-68x-40y-60z', 97: '-68x-72y0z', 98: '-69x-51y-50z', 99: '-6x-18y-98z', 100: '-6x-66y-73z', 101: '-71x-36y-59z', 102: '-72x-48y-49z', 103: '-73x-33y-59z', 104: '-75x-29y-58z', 105: '-75x-44y-48z', 106: '-77x-25y-57z', 107: '-77x-40y-47z', 108: '-79x-21y-56z', 109: '-7x-19y-97z', 110: '-7x-33y-93z', 111: '-7x-76y-63z', 112: '-7x-98y-12z', 113: '-80x-36y-47z', 114: '-81x-17y-55z', 115: '-82x-13y-55z', 116: '-82x-32y-46z', 117: '-83x-9y-54z', 118: '-84x-28y-45z', 119: '-86x-24y-44z', 120: '-87x-19y-43z', 121: '-92x-38y-5z', 122: '-9x-19y-97z', 123: '-9x-34y-93z', 124: '0x-12y-99z', 125: '0x-13y-99z', 126: '0x-14y-98z', 127: '0x-30y-95z', 128: '0x-65y-75z', 129: '0x-75y-65z', 130: '0x0y-99z'}
 
                  
            else:
                print("\n (STEP 641F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 641F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 641F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
      

    #========
    # 200 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight2004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 642F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT2004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight2004xi = queue2eight.get()
                if fire2eight2004xi is None:
                    fire2eight2004xi = shot2eight2004xi
                    print("\n (STEP 642F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT2004XI TO SHOT2EIGHT2004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 642F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT2004XI: ", fire2eight2004xi) 
                    # FIRE2EIGHT2004XI:  {1: '-100x-112y-130z', 2: '-102x-26y-169z', 3: '-103x-131y-109z', 4: '-103x-170y-7z', 5: '-107x-108y-129z', 6: '-10x-35y-196z', 7: '-10x-65y-188z', 8: '-111x-126y-107z', 9: '-112x-165y-5z', 10: '-113x-103y-127z', 11: '-118x-121y-106z', 12: '-120x-98y-126z', 13: '-121x-159y-3z', 14: '-125x-115y-104z', 15: '-126x-92y-124z', 16: '-129x-152y-1z', 17: '-12x-37y-196z', 18: '-131x-86y-123z', 19: '-132x-109y-102z', 20: '-137x-145y0z', 21: '-137x-80y-121z', 22: '-138x-103y-101z', 23: '-13x-133y-147z', 24: '-142x-73y-119z', 25: '-144x-96y-99z', 26: '-146x-66y-118z', 27: '-14x-153y-127z', 28: '-14x-197y-25z', 29: '-14x-67y-187z', 30: '-150x-88y-97z', 31: '-151x-59y-116z', 32: '-155x-51y-115z', 33: '-155x-81y-95z', 34: '-158x-43y-113z', 35: '-15x-38y-195z', 36: '-160x-73y-94z', 37: '-162x-35y-111z', 38: '-164x-26y-110z', 39: '-164x-65y-92z', 40: '-167x-18y-108z', 41: '-168x-57y-90z', 42: '-172x-48y-88z', 43: '-175x-39y-86z', 44: '-18x-39y-195z', 45: '-18x-68y-187z', 46: '-1x-29y-197z', 47: '-20x-134y-146z', 48: '-21x-39y-194z', 49: '-22x-153y-125z', 50: '-22x-68y-186z', 51: '-24x-40y-194z', 52: '-25x-196y-23z', 53: '-27x-134y-145z', 54: '-27x-40y-193z', 55: '-27x-69y-185z', 56: '-30x-153y-124z', 57: '-30x-40y-193z', 58: '-31x-69y-184z', 59: '-33x-40y-192z', 60: '-35x-134y-143z', 61: '-35x-195y-21z', 62: '-35x-69y-184z', 63: '-37x-40y-192z', 64: '-39x-153y-122z', 65: '-3x-31y-197z', 66: '-40x-39y-191z', 67: '-40x-68y-183z', 68: '-42x-133y-142z', 69: '-44x-38y-191z', 70: '-45x-193y-19z', 71: '-45x-68y-182z', 72: '-47x-151y-121z', 73: '-47x-37y-190z', 74: '-49x-67y-181z', 75: '-4x-197y-27z', 76: '-50x-132y-141z', 77: '-51x-35y-189z', 78: '-54x-34y-189z', 79: '-54x-65y-180z', 80: '-55x-150y-119z', 81: '-55x-191y-17z', 82: '-57x-131y-139z', 83: '-57x-32y-188z', 84: '-58x-64y-180z', 85: '-5x-32y-197z', 86: '-5x-94y-284z', 87: '-61x-30y-188z', 88: '-63x-62y-179z', 89: '-64x-129y-138z', 90: '-64x-148y-117z', 91: '-64x-27y-187z', 92: '-65x-188y-15z', 93: '-67x-24y-186z', 94: '-67x-60y-178z', 95: '-6x-132y-149z', 96: '-6x-152y-128z', 97: '-70x-21y-185z', 98: '-72x-126y-136z', 99: '-72x-145y-116z', 100: '-72x-57y-177z', 101: '-73x-18y-185z', 102: '-75x-184y-13z', 103: '-76x-14y-184z', 104: '-76x-54y-176z', 105: '-78x-11y-183z', 106: '-79x-123y-135z', 107: '-7x-34y-196z', 108: '-7x-64y-189z', 109: '-80x-142y-114z', 110: '-80x-51y-175z', 111: '-80x-7y-182z', 112: '-85x-180y-11z', 113: '-85x-48y-174z', 114: '-86x-120y-133z', 115: '-88x-139y-112z', 116: '-89x-44y-173z', 117: '-92x-40y-172z', 118: '-93x-117y-132z', 119: '-94x-175y-9z', 120: '-96x-135y-111z', 121: '-96x-36y-171z', 122: '-99x-31y-170z', 123: '0x-131y-150z', 124: '0x-1y-199z', 125: '0x-25y-198z', 126: '0x-27y-198z'}

                  
            else:
                print("\n (STEP 642F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 642F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 642F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                    
                                  
      


       
    #========
    # 300 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight3004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 643F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT3004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight3004xi = queue2eight.get()
                if fire2eight3004xi is None:
                    fire2eight3004xi = shot2eight3004xi
                    print("\n (STEP 643F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT3004XI TO SHOT2EIGHT3004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 643F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT3004XI: ", fire2eight3004xi) 
                    # FIRE2EIGHT3004XI:  {1: '-101x-37y-279z', 2: '-101x-90y-267z', 3: '-105x-32y-278z', 4: '-108x-190y-205z', 5: '-108x-218y-174z', 6: '-108x-86y-265z', 7: '-10x-96y-283z', 8: '-110x-27y-277z', 9: '-113x-276y-20z', 10: '-114x-22y-276z', 11: '-115x-82y-264z', 12: '-117x-16y-275z', 13: '-119x-185y-202z', 14: '-11x-51y-295z', 15: '-120x-214y-171z', 16: '-121x-10y-274z', 17: '-121x-77y-263z', 18: '-127x-270y-17z', 19: '-127x-72y-261z', 20: '-130x-181y-200z', 21: '-132x-209y-169z', 22: '-133x-66y-260z', 23: '-139x-60y-258z', 24: '-140x-175y-198z', 25: '-141x-263y-14z', 26: '-144x-203y-166z', 27: '-144x-54y-257z', 28: '-149x-47y-255z', 29: '-150x-169y-196z', 30: '-154x-40y-254z', 31: '-155x-196y-164z', 32: '-155x-256y-11z', 33: '-15x-53y-294z', 34: '-161x-162y-193z', 35: '-166x-189y-161z', 36: '-168x-247y-8z', 37: '-16x-98y-282z', 38: '-170x-155y-191z', 39: '-177x-181y-159z', 40: '-180x-147y-189z', 41: '-181x-238y-5z', 42: '-188x-173y-156z', 43: '-189x-138y-186z', 44: '-193x-228y-2z', 45: '-197x-129y-184z', 46: '-198x-164y-154z', 47: '-19x-55y-294z', 48: '-205x-120y-182z', 49: '-205x-218y0z', 50: '-207x-154y-151z', 51: '-20x-200y-221z', 52: '-213x-110y-179z', 53: '-216x-144y-149z', 54: '-21x-230y-190z', 55: '-220x-99y-177z', 56: '-225x-133y-146z', 57: '-227x-88y-174z', 58: '-22x-100y-281z', 59: '-22x-296y-38z', 60: '-233x-122y-143z', 61: '-233x-77y-172z', 62: '-238x-65y-170z', 63: '-23x-57y-293z', 64: '-240x-110y-141z', 65: '-243x-53y-167z', 66: '-247x-40y-165z', 67: '-247x-98y-138z', 68: '-250x-27y-162z', 69: '-253x-85y-135z', 70: '-258x-72y-133z', 71: '-263x-59y-130z', 72: '-27x-58y-292z', 73: '-28x-102y-280z', 74: '-2x-44y-296z', 75: '-30x-201y-219z', 76: '-31x-59y-292z', 77: '-33x-230y-188z', 78: '-34x-103y-279z', 79: '-36x-60y-291z', 80: '-37x-295y-35z', 81: '-40x-103y-278z', 82: '-41x-201y-217z', 83: '-41x-61y-290z', 84: '-45x-61y-290z', 85: '-46x-230y-186z', 86: '-47x-104y-277z', 87: '-50x-60y-289z', 88: '-52x-201y-215z', 89: '-53x-103y-276z', 90: '-53x-293y-32z', 91: '-56x-60y-288z', 92: '-58x-229y-183z', 93: '-5x-46y-296z', 94: '-60x-103y-275z', 95: '-61x-59y-287z', 96: '-64x-200y-213z', 97: '-66x-57y-286z', 98: '-67x-102y-273z', 99: '-68x-290y-29z', 100: '-6x-296y-41z', 101: '-71x-227y-181z', 102: '-71x-56y-285z', 103: '-74x-100y-272z', 104: '-75x-198y-211z', 105: '-76x-53y-284z', 106: '-7x-125y-379z', 107: '-81x-51y-284z', 108: '-81x-98y-271z', 109: '-83x-225y-179z', 110: '-83x-286y-26z', 111: '-86x-196y-209z', 112: '-86x-48y-283z', 113: '-88x-96y-270z', 114: '-8x-49y-295z', 115: '-91x-45y-282z', 116: '-95x-93y-268z', 117: '-96x-222y-176z', 118: '-96x-41y-280z', 119: '-97x-193y-207z', 120: '-98x-282y-23z', 121: '-9x-199y-223z', 122: '-9x-229y-193z', 123: '0x-41y-297z'}
 
                  
            else:
                print("\n (STEP 643F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 643F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 643F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


       
    #========
    # 400 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight4004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 644F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT4004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight4004xi = queue2eight.get()
                if fire2eight4004xi is None:
                    fire2eight4004xi = shot2eight4004xi
                    print("\n (STEP 644F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT4004XI TO SHOT2EIGHT4004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 644F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT4004XI: ", fire2eight4004xi) 
                    # FIRE2EIGHT4004XI:  {1: '-100x-265y-282z', 2: '-102x-71y-379z', 3: '-108x-131y-361z', 4: '-109x-68y-378z', 5: '-111x-300y-238z', 6: '-111x-382y-35z', 7: '-115x-262y-279z', 8: '-115x-64y-377z', 9: '-117x-128y-360z', 10: '-11x-65y-394z', 11: '-122x-60y-376z', 12: '-126x-124y-358z', 13: '-128x-296y-235z', 14: '-128x-55y-374z', 15: '-129x-258y-276z', 16: '-12x-265y-298z', 17: '-12x-305y-257z', 18: '-131x-376y-31z', 19: '-135x-120y-356z', 20: '-135x-49y-373z', 21: '-141x-43y-371z', 22: '-144x-115y-354z', 23: '-144x-253y-273z', 24: '-144x-291y-232z', 25: '-146x-36y-370z', 26: '-14x-129y-378z', 27: '-151x-369y-27z', 28: '-152x-29y-368z', 29: '-153x-109y-352z', 30: '-157x-22y-367z', 31: '-159x-247y-270z', 32: '-15x-69y-393z', 33: '-160x-285y-229z', 34: '-161x-103y-350z', 35: '-161x-14y-365z', 36: '-170x-361y-23z', 37: '-170x-96y-348z', 38: '-173x-241y-267z', 39: '-176x-278y-225z', 40: '-178x-89y-346z', 41: '-185x-81y-344z', 42: '-187x-234y-264z', 43: '-189x-351y-19z', 44: '-192x-271y-222z', 45: '-192x-72y-342z', 46: '-199x-63y-340z', 47: '-201x-225y-261z', 48: '-205x-53y-338z', 49: '-207x-262y-219z', 50: '-207x-341y-15z', 51: '-20x-71y-392z', 52: '-214x-216y-258z', 53: '-21x-131y-376z', 54: '-222x-252y-215z', 55: '-225x-330y-11z', 56: '-227x-207y-255z', 57: '-236x-242y-212z', 58: '-240x-196y-252z', 59: '-242x-318y-7z', 60: '-250x-231y-209z', 61: '-252x-185y-249z', 62: '-258x-305y-3z', 63: '-25x-74y-392z', 64: '-263x-173y-246z', 65: '-264x-218y-205z', 66: '-26x-267y-295z', 67: '-274x-160y-242z', 68: '-274x-291y0z', 69: '-276x-206y-202z', 70: '-284x-146y-239z', 71: '-288x-192y-198z', 72: '-28x-307y-254z', 73: '-293x-132y-236z', 74: '-29x-134y-375z', 75: '-29x-395y-51z', 76: '-300x-177y-195z', 77: '-302x-118y-233z', 78: '-30x-76y-391z', 79: '-310x-102y-230z', 80: '-310x-162y-191z', 81: '-317x-86y-226z', 82: '-320x-147y-188z', 83: '-324x-70y-223z', 84: '-329x-130y-184z', 85: '-329x-53y-220z', 86: '-334x-36y-216z', 87: '-337x-114y-181z', 88: '-345x-96y-177z', 89: '-351x-78y-173z', 90: '-36x-78y-390z', 91: '-37x-136y-374z', 92: '-3x-58y-395z', 93: '-41x-268y-293z', 94: '-42x-79y-389z', 95: '-45x-137y-372z', 96: '-45x-307y-251z', 97: '-48x-80y-388z', 98: '-50x-393y-47z', 99: '-54x-138y-371z', 100: '-54x-81y-387z', 101: '-55x-269y-290z', 102: '-61x-307y-248z', 103: '-61x-81y-386z', 104: '-63x-138y-369z', 105: '-67x-81y-385z', 106: '-70x-268y-287z', 107: '-70x-391y-43z', 108: '-71x-138y-368z', 109: '-74x-80y-384z', 110: '-78x-306y-245z', 111: '-7x-62y-395z', 112: '-80x-137y-366z', 113: '-81x-79y-383z', 114: '-85x-267y-284z', 115: '-88x-77y-382z', 116: '-8x-395y-55z', 117: '-90x-136y-365z', 118: '-91x-387y-39z', 119: '-94x-303y-242z', 120: '-95x-74y-381z', 121: '-99x-134y-363z', 122: '-9x-157y-474z', 123: '0x-55y-396z'}
 
                  
            else:
                print("\n (STEP 644F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 644F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 644F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


                               
    #========
    # 500 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight5004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 645F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT5004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight5004xi = queue2eight.get()
                if fire2eight5004xi is None:
                    fire2eight5004xi = shot2eight5004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT5004XI TO SHOT2EIGHT5004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 373F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT5004XI: ", fire2eight5004xi) 
                    # FIRE2EIGHT5004XI:  {1: '-101x-172y-458z', 2: '-101x-98y-479z', 3: '-106x-334y-356z', 4: '-10x-494y-69z', 5: '-110x-96y-477z', 6: '-112x-170y-456z', 7: '-114x-484y-49z', 8: '-118x-379y-302z', 9: '-119x-93y-476z', 10: '-124x-168y-454z', 11: '-125x-331y-352z', 12: '-127x-89y-474z', 13: '-135x-164y-452z', 14: '-136x-85y-473z', 15: '-139x-376y-298z', 16: '-139x-478y-44z', 17: '-143x-327y-349z', 18: '-144x-80y-471z', 19: '-147x-160y-450z', 20: '-14x-82y-492z', 21: '-153x-75y-470z', 22: '-158x-156y-447z', 23: '-15x-332y-373z', 24: '-15x-382y-322z', 25: '-160x-370y-294z', 26: '-161x-68y-468z', 27: '-162x-322y-345z', 28: '-164x-470y-39z', 29: '-168x-61y-466z', 30: '-169x-150y-445z', 31: '-176x-54y-464z', 32: '-180x-144y-443z', 33: '-180x-316y-341z', 34: '-180x-364y-290z', 35: '-183x-46y-462z', 36: '-188x-461y-34z', 37: '-190x-37y-460z', 38: '-191x-137y-440z', 39: '-196x-28y-458z', 40: '-198x-309y-338z', 41: '-19x-86y-492z', 42: '-1x-68y-495z', 43: '-200x-357y-286z', 44: '-202x-129y-438z', 45: '-202x-18y-456z', 46: '-212x-120y-436z', 47: '-212x-451y-29z', 48: '-216x-301y-334z', 49: '-21x-193y-567z', 50: '-220x-348y-282z', 51: '-222x-111y-433z', 52: '-232x-101y-431z', 53: '-234x-292y-330z', 54: '-236x-439y-24z', 55: '-240x-338y-278z', 56: '-241x-90y-428z', 57: '-249x-79y-426z', 58: '-251x-282y-326z', 59: '-257x-66y-423z', 60: '-259x-328y-273z', 61: '-259x-427y-19z', 62: '-25x-89y-491z', 63: '-268x-271y-323z', 64: '-278x-316y-269z', 65: '-27x-164y-471z', 66: '-281x-413y-14z', 67: '-284x-258y-319z', 68: '-296x-302y-265z', 69: '-300x-245y-315z', 70: '-302x-397y-9z', 71: '-313x-288y-261z', 72: '-315x-231y-311z', 73: '-31x-93y-490z', 74: '-323x-381y-4z', 75: '-329x-216y-307z', 76: '-330x-273y-257z', 77: '-33x-334y-369z', 78: '-342x-200y-303z', 79: '-342x-364y0z', 80: '-346x-257y-252z', 81: '-355x-183y-299z', 82: '-35x-383y-318z', 83: '-361x-240y-248z', 84: '-367x-165y-295z', 85: '-36x-167y-469z', 86: '-36x-494y-64z', 87: '-375x-222y-244z', 88: '-378x-147y-291z', 89: '-388x-128y-287z', 90: '-388x-203y-239z', 91: '-38x-95y-489z', 92: '-397x-108y-283z', 93: '-400x-184y-235z', 94: '-405x-88y-279z', 95: '-411x-67y-275z', 96: '-412x-163y-230z', 97: '-417x-46y-270z', 98: '-422x-142y-226z', 99: '-431x-120y-221z', 100: '-439x-98y-217z', 101: '-45x-98y-488z', 102: '-46x-170y-467z', 103: '-4x-73y-494z', 104: '-51x-336y-366z', 105: '-52x-99y-487z', 106: '-56x-384y-314z', 107: '-57x-171y-465z', 108: '-60x-101y-485z', 109: '-62x-492y-59z', 110: '-67x-173y-464z', 111: '-68x-101y-484z', 112: '-69x-336y-363z', 113: '-76x-102y-483z', 114: '-77x-384y-310z', 115: '-78x-173y-462z', 116: '-84x-101y-482z', 117: '-88x-335y-359z', 118: '-88x-489y-54z', 119: '-89x-173y-460z', 120: '-93x-100y-480z', 121: '-97x-382y-306z', 122: '-9x-78y-493z'}
 
                  
            else:
                print("\n (STEP 645F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 645F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 645F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
                                  
      

                                                                                          
    #========
    # 600 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight6004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 646F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT6004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight6004xi = queue2eight.get()
                if fire2eight6004xi is None:
                    fire2eight6004xi = shot2eight6004xi
                    print("\n (STEP 646F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT6004XI TO SHOT2EIGHT6004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 646F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT6004XI: ", fire2eight6004xi) 
                    # FIRE2EIGHT6004XI:  {1: '-101x-121y-578z', 2: '-105x-403y-431z', 3: '-106x-586y-65z', 4: '-107x-207y-552z', 5: '-112x-120y-576z', 6: '-117x-459y-367z', 7: '-11x-93y-592z', 8: '-121x-206y-550z', 9: '-122x-118y-575z', 10: '-128x-401y-427z', 11: '-132x-115y-573z', 12: '-135x-204y-547z', 13: '-136x-581y-59z', 14: '-13x-593y-83z', 15: '-142x-455y-363z', 16: '-143x-112y-571z', 17: '-148x-201y-545z', 18: '-150x-397y-423z', 19: '-153x-107y-569z', 20: '-162x-197y-542z', 21: '-163x-102y-568z', 22: '-167x-451y-358z', 23: '-167x-573y-53z', 24: '-172x-393y-418z', 25: '-173x-96y-566z', 26: '-176x-193y-540z', 27: '-17x-98y-591z', 28: '-183x-90y-564z', 29: '-18x-398y-447z', 30: '-18x-458y-386z', 31: '-190x-187y-537z', 32: '-192x-445y-353z', 33: '-193x-82y-561z', 34: '-194x-387y-414z', 35: '-197x-564y-47z', 36: '-1x-82y-594z', 37: '-202x-74y-559z', 38: '-203x-180y-534z', 39: '-211x-65y-557z', 40: '-216x-173y-531z', 41: '-216x-380y-410z', 42: '-216x-437y-348z', 43: '-220x-55y-555z', 44: '-226x-553y-41z', 45: '-228x-44y-553z', 46: '-230x-164y-529z', 47: '-235x-33y-550z', 48: '-238x-371y-405z', 49: '-23x-103y-590z', 50: '-241x-428y-343z', 51: '-242x-155y-526z', 52: '-242x-21y-548z', 53: '-255x-144y-523z', 54: '-255x-541y-35z', 55: '-25x-226y-662z', 56: '-260x-362y-401z', 57: '-265x-418y-338z', 58: '-267x-133y-520z', 59: '-278x-121y-517z', 60: '-281x-351y-396z', 61: '-283x-527y-29z', 62: '-288x-406y-333z', 63: '-289x-108y-514z', 64: '-299x-94y-511z', 65: '-301x-338y-392z', 66: '-308x-80y-508z', 67: '-30x-107y-589z', 68: '-311x-393y-328z', 69: '-311x-512y-23z', 70: '-322x-325y-387z', 71: '-32x-197y-565z', 72: '-333x-379y-323z', 73: '-337x-495y-17z', 74: '-341x-310y-383z', 75: '-355x-363y-318z', 76: '-360x-294y-378z', 77: '-363x-477y-11z', 78: '-376x-346y-313z', 79: '-378x-277y-373z', 80: '-387x-457y-5z', 81: '-38x-111y-588z', 82: '-395x-259y-369z', 83: '-396x-328y-308z', 84: '-40x-401y-443z', 85: '-411x-240y-364z', 86: '-411x-436y0z', 87: '-415x-309y-303z', 88: '-426x-220y-359z', 89: '-433x-288y-298z', 90: '-43x-460y-381z', 91: '-440x-199y-354z', 92: '-44x-201y-563z', 93: '-44x-593y-77z', 94: '-450x-266y-292z', 95: '-454x-177y-349z', 96: '-466x-154y-345z', 97: '-466x-244y-287z', 98: '-46x-114y-587z', 99: '-476x-130y-340z', 100: '-481x-220y-282z', 101: '-486x-106y-335z', 102: '-494x-196y-276z', 103: '-494x-80y-330z', 104: '-501x-55y-325z', 105: '-506x-171y-271z', 106: '-517x-145y-266z', 107: '-527x-118y-260z', 108: '-54x-117y-585z', 109: '-56x-204y-561z', 110: '-5x-88y-593z', 111: '-61x-403y-439z', 112: '-63x-119y-584z', 113: '-67x-461y-377z', 114: '-68x-206y-559z', 115: '-72x-121y-583z', 116: '-75x-590y-71z', 117: '-81x-207y-556z', 118: '-82x-122y-581z', 119: '-83x-403y-435z', 120: '-91x-122y-580z', 121: '-92x-461y-372z', 122: '-94x-208y-554z'}
 
                  
            else:
                print("\n (STEP 646F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 646F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 646F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


        
    #========
    # 700 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight7004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 647F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT7004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight7004xi = queue2eight.get()
                if fire2eight7004xi is None:
                    fire2eight7004xi = shot2eight7004xi
                    print("\n (STEP 373F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT7004XI TO SHOT2EIGHT7004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 647F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT7004XI: ", fire2eight7004xi) 
                    # FIRE2EIGHT7004XI:  {1: '-107x-142y-676z', 2: '-107x-538y-434z', 3: '-110x-242y-647z', 4: '-118x-142y-675z', 5: '-123x-470y-503z', 6: '-123x-684y-76z', 7: '-125x-242y-644z', 8: '-130x-140y-673z', 9: '-137x-535y-429z', 10: '-13x-109y-691z', 11: '-141x-241y-641z', 12: '-142x-138y-671z', 13: '-149x-468y-498z', 14: '-154x-135y-669z', 15: '-157x-238y-638z', 16: '-159x-677y-69z', 17: '-15x-692y-97z', 18: '-166x-131y-667z', 19: '-166x-531y-423z', 20: '-173x-235y-636z', 21: '-175x-464y-493z', 22: '-178x-125y-664z', 23: '-189x-230y-633z', 24: '-190x-119y-662z', 25: '-195x-526y-417z', 26: '-195x-669y-62z', 27: '-1x-96y-693z', 28: '-201x-458y-488z', 29: '-202x-113y-660z', 30: '-205x-225y-630z', 31: '-20x-115y-690z', 32: '-214x-105y-658z', 33: '-21x-465y-522z', 34: '-21x-535y-450z', 35: '-221x-218y-626z', 36: '-224x-519y-412z', 37: '-225x-96y-655z', 38: '-227x-452y-483z', 39: '-230x-658y-55z', 40: '-236x-86y-653z', 41: '-237x-210y-623z', 42: '-246x-76y-650z', 43: '-252x-510y-406z', 44: '-253x-201y-620z', 45: '-253x-443y-478z', 46: '-256x-64y-647z', 47: '-264x-646y-48z', 48: '-266x-52y-645z', 49: '-268x-192y-617z', 50: '-274x-39y-642z', 51: '-278x-433y-473z', 52: '-27x-120y-688z', 53: '-281x-500y-400z', 54: '-283x-181y-613z', 55: '-283x-25y-639z', 56: '-297x-168y-610z', 57: '-298x-631y-41z', 58: '-29x-258y-756z', 59: '-303x-422y-468z', 60: '-309x-488y-395z', 61: '-311x-155y-607z', 62: '-324x-141y-603z', 63: '-328x-409y-463z', 64: '-330x-615y-34z', 65: '-336x-474y-389z', 66: '-337x-126y-600z', 67: '-349x-110y-596z', 68: '-352x-395y-457z', 69: '-35x-125y-687z', 70: '-360x-93y-592z', 71: '-362x-597y-27z', 72: '-363x-459y-383z', 73: '-375x-379y-452z', 74: '-389x-442y-377z', 75: '-38x-230y-659z', 76: '-393x-578y-20z', 77: '-398x-362y-447z', 78: '-414x-424y-371z', 79: '-420x-343y-441z', 80: '-423x-557y-13z', 81: '-438x-404y-365z', 82: '-441x-324y-436z', 83: '-44x-130y-686z', 84: '-452x-534y-6z', 85: '-461x-302y-430z', 86: '-462x-383y-359z', 87: '-46x-468y-517z', 88: '-479x-509y0z', 89: '-480x-280y-425z', 90: '-484x-360y-353z', 91: '-497x-256y-419z', 92: '-505x-336y-347z', 93: '-50x-537y-445z', 94: '-514x-232y-413z', 95: '-51x-235y-657z', 96: '-51x-692y-90z', 97: '-525x-311y-341z', 98: '-529x-206y-408z', 99: '-53x-134y-684z', 100: '-543x-179y-402z', 101: '-544x-285y-335z', 102: '-556x-152y-396z', 103: '-561x-257y-329z', 104: '-567x-123y-391z', 105: '-576x-94y-385z', 106: '-577x-229y-323z', 107: '-584x-64y-379z', 108: '-591x-199y-316z', 109: '-604x-169y-310z', 110: '-615x-138y-304z', 111: '-63x-137y-683z', 112: '-65x-238y-654z', 113: '-6x-102y-692z', 114: '-72x-470y-513z', 115: '-73x-139y-681z', 116: '-79x-538y-440z', 117: '-80x-240y-652z', 118: '-84x-141y-680z', 119: '-87x-689y-83z', 120: '-95x-142y-678z', 121: '-95x-242y-649z', 122: '-97x-471y-508z'}
 
                  
            else:
                print("\n (STEP 647F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 647F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 647F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


          
    #========
    # 800 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight8004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 648F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT8004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight8004xi = queue2eight.get()
                if fire2eight8004xi is None:
                    fire2eight8004xi = shot2eight8004xi
                    print("\n (STEP 648F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT8004XI TO SHOT2EIGHT8004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 648F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT8004XI: ", fire2eight8004xi) 
                    # FIRE2EIGHT8004XI:  {1: '-100x-787y-95z', 2: '-108x-276y-742z', 3: '-109x-163y-775z', 4: '-111x-538y-580z', 5: '-122x-163y-773z', 6: '-123x-614y-496z', 7: '-126x-277y-739z', 8: '-135x-162y-771z', 9: '-141x-537y-575z', 10: '-141x-782y-87z', 11: '-143x-277y-736z', 12: '-149x-160y-769z', 13: '-156x-612y-490z', 14: '-15x-124y-790z', 15: '-161x-275y-733z', 16: '-163x-158y-767z', 17: '-170x-534y-569z', 18: '-176x-154y-764z', 19: '-17x-791y-111z', 20: '-180x-272y-730z', 21: '-182x-774y-79z', 22: '-189x-607y-484z', 23: '-190x-149y-762z', 24: '-198x-268y-726z', 25: '-1x-110y-792z', 26: '-200x-530y-564z', 27: '-204x-143y-759z', 28: '-216x-263y-723z', 29: '-218x-137y-757z', 30: '-223x-601y-477z', 31: '-223x-764y-71z', 32: '-22x-131y-788z', 33: '-230x-524y-558z', 34: '-231x-129y-754z', 35: '-235x-257y-720z', 36: '-244x-120y-752z', 37: '-253x-249y-716z', 38: '-256x-593y-471z', 39: '-257x-110y-749z', 40: '-259x-516y-552z', 41: '-25x-531y-597z', 42: '-25x-611y-515z', 43: '-263x-752y-63z', 44: '-270x-99y-746z', 45: '-271x-240y-712z', 46: '-282x-86y-743z', 47: '-289x-230y-709z', 48: '-289x-507y-546z', 49: '-289x-583y-464z', 50: '-293x-73y-740z', 51: '-302x-738y-55z', 52: '-304x-59y-737z', 53: '-306x-219y-705z', 54: '-314x-44y-734z', 55: '-318x-495y-541z', 56: '-31x-138y-787z', 57: '-321x-571y-458z', 58: '-323x-206y-701z', 59: '-323x-29y-731z', 60: '-32x-290y-851z', 61: '-340x-193y-697z', 62: '-340x-722y-47z', 63: '-346x-482y-535z', 64: '-353x-557y-451z', 65: '-356x-178y-693z', 66: '-371x-162y-689z', 67: '-375x-468y-529z', 68: '-378x-703y-39z', 69: '-384x-542y-444z', 70: '-385x-144y-685z', 71: '-399x-126y-681z', 72: '-402x-451y-523z', 73: '-40x-143y-785z', 74: '-411x-107y-677z', 75: '-414x-683y-31z', 76: '-415x-524y-438z', 77: '-429x-433y-517z', 78: '-43x-263y-753z', 79: '-445x-505y-431z', 80: '-450x-660y-23z', 81: '-455x-414y-510z', 82: '-473x-484y-424z', 83: '-480x-393y-504z', 84: '-484x-636y-15z', 85: '-501x-462y-418z', 86: '-504x-370y-498z', 87: '-50x-148y-784z', 88: '-516x-610y-7z', 89: '-527x-346y-492z', 90: '-528x-437y-411z', 91: '-53x-535y-591z', 92: '-548x-320y-485z', 93: '-548x-582y0z', 94: '-553x-412y-404z', 95: '-569x-293y-479z', 96: '-577x-384y-397z', 97: '-57x-614y-509z', 98: '-587x-265y-473z', 99: '-58x-791y-103z', 100: '-59x-268y-751z', 101: '-600x-355y-390z', 102: '-605x-236y-466z', 103: '-61x-153y-782z', 104: '-621x-205y-460z', 105: '-621x-325y-383z', 106: '-635x-173y-453z', 107: '-641x-294y-376z', 108: '-648x-141y-446z', 109: '-659x-107y-440z', 110: '-659x-261y-369z', 111: '-668x-73y-433z', 112: '-675x-228y-362z', 113: '-690x-193y-355z', 114: '-702x-157y-347z', 115: '-72x-156y-781z', 116: '-75x-272y-748z', 117: '-7x-117y-791z', 118: '-82x-537y-586z', 119: '-84x-159y-779z', 120: '-90x-615y-502z', 121: '-91x-275y-745z', 122: '-96x-161y-777z'}
 
                  
            else:
                print("\n (STEP 648F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 648F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 648F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


        
    #========
    # 900 EIGHT
    #========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight9004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 649F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT9004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight9004xi = queue2eight.get()
                if fire2eight9004xi is None:
                    fire2eight9004xi = shot2eight9004xi
                    print("\n (STEP 649F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT9004XI TO SHOT2EIGHT9004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 649F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT9004XI: ", fire2eight9004xi) 
                    # FIRE2EIGHT9004XI:  {1: '-101x-692y-565z', 2: '-103x-309y-838z', 3: '-108x-182y-874z', 4: '-112x-886y-107z', 5: '-122x-311y-835z', 6: '-123x-183y-872z', 7: '-125x-605y-653z', 8: '-137x-183y-870z', 9: '-138x-691y-558z', 10: '-141x-312y-832z', 11: '-152x-182y-867z', 12: '-158x-604y-647z', 13: '-159x-880y-98z', 14: '-161x-311y-828z', 15: '-168x-181y-865z', 16: '-16x-140y-888z', 17: '-176x-688y-551z', 18: '-182x-310y-825z', 19: '-183x-177y-862z', 20: '-192x-601y-641z', 21: '-199x-173y-860z', 22: '-19x-890y-125z', 23: '-1x-123y-891z', 24: '-202x-306y-821z', 25: '-205x-871y-89z', 26: '-213x-683y-544z', 27: '-214x-168y-857z', 28: '-223x-302y-817z', 29: '-225x-596y-634z', 30: '-230x-161y-854z', 31: '-243x-296y-813z', 32: '-245x-154y-852z', 33: '-250x-860y-80z', 34: '-251x-676y-537z', 35: '-258x-590y-628z', 36: '-25x-148y-887z', 37: '-260x-145y-849z', 38: '-264x-289y-810z', 39: '-275x-135y-846z', 40: '-285x-280y-806z', 41: '-288x-667y-530z', 42: '-28x-598y-671z', 43: '-28x-687y-579z', 44: '-290x-123y-842z', 45: '-292x-581y-621z', 46: '-295x-846y-71z', 47: '-303x-111y-839z', 48: '-305x-270y-802z', 49: '-317x-97y-836z', 50: '-325x-259y-797z', 51: '-325x-570y-615z', 52: '-325x-656y-522z', 53: '-330x-83y-833z', 54: '-340x-830y-62z', 55: '-342x-67y-829z', 56: '-345x-246y-793z', 57: '-353x-50y-826z', 58: '-358x-557y-608z', 59: '-35x-155y-885z', 60: '-361x-643y-515z', 61: '-363x-32y-822z', 62: '-364x-232y-789z', 63: '-36x-322y-945z', 64: '-382x-217y-785z', 65: '-383x-812y-53z', 66: '-390x-543y-602z', 67: '-397x-627y-508z', 68: '-400x-200y-780z', 69: '-417x-182y-776z', 70: '-422x-526y-595z', 71: '-425x-791y-44z', 72: '-432x-610y-500z', 73: '-433x-162y-771z', 74: '-449x-142y-766z', 75: '-452x-508y-588z', 76: '-45x-161y-884z', 77: '-463x-120y-762z', 78: '-466x-768y-35z', 79: '-467x-590y-493z', 80: '-483x-488y-581z', 81: '-49x-296y-848z', 82: '-500x-568y-485z', 83: '-506x-743y-26z', 84: '-512x-466y-574z', 85: '-533x-545y-477z', 86: '-540x-442y-567z', 87: '-544x-716y-17z', 88: '-564x-519y-470z', 89: '-567x-416y-560z', 90: '-57x-167y-882z', 91: '-581x-686y-8z', 92: '-592x-389y-553z', 93: '-594x-492y-462z', 94: '-60x-602y-665z', 95: '-616x-655y0z', 96: '-617x-360y-546z', 97: '-623x-463y-454z', 98: '-640x-330y-539z', 99: '-64x-691y-572z', 100: '-650x-432y-447z', 101: '-661x-298y-532z', 102: '-66x-302y-845z', 103: '-66x-889y-116z', 104: '-675x-400y-439z', 105: '-681x-265y-524z', 106: '-699x-231y-517z', 107: '-699x-366y-431z', 108: '-69x-172y-880z', 109: '-715x-195y-510z', 110: '-721x-331y-423z', 111: '-729x-159y-502z', 112: '-741x-121y-495z', 113: '-742x-294y-415z', 114: '-751x-82y-487z', 115: '-760x-256y-407z', 116: '-776x-217y-399z', 117: '-790x-177y-391z', 118: '-81x-176y-878z', 119: '-84x-306y-842z', 120: '-8x-132y-890z', 121: '-92x-605y-659z', 122: '-95x-179y-876z'}

                  
            else:
                print("\n (STEP 649F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 649F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 649F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


        
    #=========
    # 1000 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight10004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 650F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT10004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight10004xi = queue2eight.get()
                if fire2eight10004xi is None:
                    fire2eight10004xi = shot2eight10004xi
                    print("\n (STEP 650F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT10004XI TO SHOT2EIGHT10004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 650F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT10004XI: ", fire2eight10004xi) 
                    # FIRE2EIGHT10004XI:  {1: '-102x-672y-733z', 2: '-105x-199y-974z', 3: '-112x-769y-628z', 4: '-114x-343y-931z', 5: '-120x-202y-971z', 6: '-125x-984y-119z', 7: '-135x-346y-928z', 8: '-136x-203y-969z', 9: '-139x-673y-726z', 10: '-153x-204y-966z', 11: '-154x-768y-620z', 12: '-157x-346y-924z', 13: '-169x-203y-964z', 14: '-176x-671y-719z', 15: '-176x-978y-109z', 16: '-179x-346y-920z', 17: '-186x-201y-961z', 18: '-18x-156y-987z', 19: '-195x-765y-613z', 20: '-202x-344y-916z', 21: '-203x-197y-958z', 22: '-213x-668y-712z', 23: '-21x-989y-139z', 24: '-221x-193y-955z', 25: '-225x-341y-912z', 26: '-228x-968y-99z', 27: '-237x-759y-605z', 28: '-238x-187y-952z', 29: '-248x-336y-908z', 30: '-250x-663y-705z', 31: '-255x-179y-949z', 32: '-271x-329y-904z', 33: '-272x-171y-946z', 34: '-278x-752y-597z', 35: '-278x-956y-89z', 36: '-287x-655y-698z', 37: '-289x-161y-943z', 38: '-28x-164y-985z', 39: '-294x-321y-900z', 40: '-2x-137y-990z', 41: '-306x-150y-940z', 42: '-316x-312y-895z', 43: '-31x-664y-746z', 44: '-31x-764y-644z', 45: '-320x-741y-589z', 46: '-322x-137y-936z', 47: '-324x-645y-690z', 48: '-328x-941y-79z', 49: '-337x-123y-933z', 50: '-339x-301y-891z', 51: '-352x-108y-929z', 52: '-361x-288y-886z', 53: '-361x-633y-683z', 54: '-361x-729y-580z', 55: '-366x-92y-925z', 56: '-377x-923y-69z', 57: '-380x-74y-921z', 58: '-383x-274y-881z', 59: '-392x-56y-917z', 60: '-397x-619y-676z', 61: '-39x-172y-984z', 62: '-39x-355y-1040z', 63: '-401x-714y-572z', 64: '-404x-258y-877z', 65: '-404x-36y-913z', 66: '-425x-241y-872z', 67: '-425x-902y-59z', 68: '-433x-603y-668z', 69: '-441x-697y-564z', 70: '-445x-222y-867z', 71: '-464x-202y-862z', 72: '-468x-585y-661z', 73: '-472x-879y-49z', 74: '-480x-677y-556z', 75: '-482x-180y-857z', 76: '-499x-158y-852z', 77: '-503x-564y-653z', 78: '-514x-133y-846z', 79: '-518x-854y-39z', 80: '-519x-656y-547z', 81: '-51x-179y-982z', 82: '-536x-542y-646z', 83: '-54x-329y-942z', 84: '-556x-632y-539z', 85: '-562x-826y-29z', 86: '-569x-517y-638z', 87: '-592x-605y-531z', 88: '-600x-491y-630z', 89: '-605x-795y-19z', 90: '-627x-577y-522z', 91: '-630x-463y-623z', 92: '-63x-186y-980z', 93: '-646x-763y-9z', 94: '-658x-432y-615z', 95: '-660x-547y-514z', 96: '-66x-669y-739z', 97: '-685x-400y-607z', 98: '-685x-728y0z', 99: '-692x-515y-505z', 100: '-711x-367y-599z', 101: '-71x-767y-636z', 102: '-722x-480y-496z', 103: '-734x-331y-591z', 104: '-73x-335y-939z', 105: '-73x-988y-129z', 106: '-750x-444y-488z', 107: '-756x-295y-583z', 108: '-76x-191y-978z', 109: '-776x-256y-575z', 110: '-777x-407y-479z', 111: '-794x-217y-566z', 112: '-801x-368y-470z', 113: '-810x-176y-558z', 114: '-823x-134y-550z', 115: '-824x-327y-461z', 116: '-835x-92y-541z', 117: '-844x-285y-452z', 118: '-862x-241y-443z', 119: '-878x-197y-434z', 120: '-90x-196y-976z', 121: '-93x-340y-935z', 122: '-9x-147y-989z'}
 
                  
            else:
                print("\n (STEP 650F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 650F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 650F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1100 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight11004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 651F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT11004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight11004xi = queue2eight.get()
                if fire2eight11004xi is None:
                    fire2eight11004xi = shot2eight11004xi
                    print("\n (STEP 651F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT11004XI TO SHOT2EIGHT11004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 651F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT11004XI: ", fire2eight11004xi) 
                    # FIRE2EIGHT11004XI:  {1: '-100x-215y-1073z', 2: '-103x-374y-1029z', 3: '-10x-161y-1087z', 4: '-113x-739y-806z', 5: '-116x-219y-1071z', 6: '-124x-846y-691z', 7: '-126x-378y-1025z', 8: '-133x-222y-1068z', 9: '-137x-1083y-131z', 10: '-149x-380y-1021z', 11: '-150x-224y-1066z', 12: '-153x-740y-798z', 13: '-168x-224y-1063z', 14: '-169x-845y-682z', 15: '-173x-381y-1017z', 16: '-186x-223y-1060z', 17: '-193x-739y-791z', 18: '-194x-1075y-120z', 19: '-197x-381y-1012z', 20: '-205x-221y-1057z', 21: '-20x-171y-1086z', 22: '-215x-841y-674z', 23: '-222x-378y-1008z', 24: '-224x-217y-1054z', 25: '-234x-735y-783z', 26: '-23x-1088y-153z', 27: '-243x-212y-1051z', 28: '-247x-375y-1003z', 29: '-250x-1065y-109z', 30: '-261x-835y-665z', 31: '-262x-205y-1048z', 32: '-272x-369y-999z', 33: '-275x-729y-775z', 34: '-281x-197y-1044z', 35: '-298x-362y-994z', 36: '-2x-151y-1089z', 37: '-300x-188y-1041z', 38: '-306x-1051y-98z', 39: '-306x-827y-656z', 40: '-316x-721y-767z', 41: '-318x-177y-1037z', 42: '-31x-181y-1084z', 43: '-323x-353y-990z', 44: '-336x-165y-1034z', 45: '-348x-343y-985z', 46: '-34x-731y-821z', 47: '-34x-840y-708z', 48: '-352x-816y-647z', 49: '-354x-151y-1030z', 50: '-357x-710y-760z', 51: '-361x-1035y-87z', 52: '-371x-136y-1026z', 53: '-373x-331y-980z', 54: '-387x-119y-1022z', 55: '-397x-317y-975z', 56: '-397x-697y-752z', 57: '-397x-802y-639z', 58: '-403x-101y-1018z', 59: '-415x-1015y-76z', 60: '-418x-82y-1014z', 61: '-421x-301y-970z', 62: '-432x-61y-1009z', 63: '-437x-681y-743z', 64: '-43x-189y-1082z', 65: '-43x-387y-1134z', 66: '-441x-785y-630z', 67: '-444x-39y-1005z', 68: '-445x-284y-964z', 69: '-467x-265y-959z', 70: '-468x-993y-65z', 71: '-477x-663y-735z', 72: '-485x-767y-620z', 73: '-489x-244y-954z', 74: '-510x-222y-948z', 75: '-515x-643y-727z', 76: '-520x-967y-54z', 77: '-528x-745y-611z', 78: '-530x-199y-942z', 79: '-548x-173y-937z', 80: '-553x-621y-719z', 81: '-566x-147y-931z', 82: '-56x-197y-1080z', 83: '-570x-721y-602z', 84: '-570x-939y-43z', 85: '-590x-596y-710z', 86: '-60x-362y-1036z', 87: '-611x-695y-593z', 88: '-618x-908y-32z', 89: '-626x-569y-702z', 90: '-651x-666y-584z', 91: '-660x-540y-694z', 92: '-665x-875y-21z', 93: '-689x-635y-574z', 94: '-693x-509y-685z', 95: '-69x-204y-1078z', 96: '-710x-839y-10z', 97: '-724x-476y-676z', 98: '-726x-602y-565z', 99: '-73x-736y-813z', 100: '-753x-801y0z', 101: '-754x-440y-668z', 102: '-761x-566y-555z', 103: '-782x-403y-659z', 104: '-794x-529y-546z', 105: '-79x-844y-700z', 106: '-808x-365y-650z', 107: '-80x-1087y-142z', 108: '-81x-369y-1032z', 109: '-825x-489y-536z', 110: '-832x-324y-641z', 111: '-84x-210y-1076z', 112: '-854x-282y-632z', 113: '-855x-448y-527z', 114: '-874x-239y-623z', 115: '-882x-404y-517z', 116: '-891x-194y-614z', 117: '-906x-148y-605z', 118: '-906x-359y-507z', 119: '-918x-101y-596z', 120: '-929x-313y-498z', 121: '-949x-265y-488z', 122: '-966x-216y-478z'}
 
                  
            else:
                print("\n (STEP 651F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 651F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 651F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


        
    #=========
    # 1200 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight12004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 652F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT12004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight12004xi = queue2eight.get()
                if fire2eight12004xi is None:
                    fire2eight12004xi = shot2eight12004xi
                    print("\n (STEP 652F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT12004XI TO SHOT2EIGHT12004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 652F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT12004XI: ", fire2eight12004xi) 
                    # FIRE2EIGHT12004XI:  {1: '-1002x-110y-650z', 2: '-1013x-342y-543z', 3: '-1035x-290y-532z', 4: '-1054x-236y-521z', 5: '-109x-235y-1171z', 6: '-112x-408y-1122z', 7: '-11x-176y-1186z', 8: '-123x-806y-879z', 9: '-126x-239y-1168z', 10: '-135x-923y-754z', 11: '-137x-412y-1118z', 12: '-145x-242y-1166z', 13: '-150x-1181y-143z', 14: '-162x-415y-1113z', 15: '-164x-244y-1163z', 16: '-167x-807y-871z', 17: '-183x-244y-1160z', 18: '-185x-922y-745z', 19: '-189x-416y-1109z', 20: '-203x-243y-1157z', 21: '-211x-806y-863z', 22: '-212x-1173y-131z', 23: '-215x-415y-1104z', 24: '-224x-241y-1153z', 25: '-22x-187y-1185z', 26: '-234x-918y-735z', 27: '-242x-413y-1100z', 28: '-244x-237y-1150z', 29: '-256x-802y-854z', 30: '-265x-231y-1147z', 31: '-26x-1187y-167z', 32: '-270x-409y-1095z', 33: '-273x-1162y-119z', 34: '-284x-911y-726z', 35: '-286x-224y-1143z', 36: '-297x-403y-1090z', 37: '-2x-165y-1188z', 38: '-300x-795y-846z', 39: '-306x-215y-1139z', 40: '-325x-395y-1085z', 41: '-327x-205y-1136z', 42: '-334x-1147y-107z', 43: '-334x-902y-716z', 44: '-345x-786y-837z', 45: '-347x-193y-1132z', 46: '-34x-197y-1183z', 47: '-352x-386y-1080z', 48: '-367x-180y-1128z', 49: '-37x-797y-895z', 50: '-37x-917y-772z', 51: '-380x-374y-1074z', 52: '-384x-890y-706z', 53: '-386x-165y-1123z', 54: '-389x-774y-829z', 55: '-394x-1129y-95z', 56: '-405x-148y-1119z', 57: '-407x-361y-1069z', 58: '-423x-130y-1115z', 59: '-433x-346y-1063z', 60: '-433x-760y-820z', 61: '-433x-875y-697z', 62: '-440x-110y-1110z', 63: '-453x-1107y-83z', 64: '-456x-89y-1106z', 65: '-460x-329y-1058z', 66: '-471x-67y-1101z', 67: '-477x-743y-811z', 68: '-47x-207y-1181z', 69: '-47x-419y-1229z', 70: '-482x-857y-687z', 71: '-485x-310y-1052z', 72: '-485x-43y-1096z', 73: '-510x-289y-1046z', 74: '-511x-1083y-71z', 75: '-520x-724y-802z', 76: '-530x-836y-677z', 77: '-534x-267y-1040z', 78: '-556x-243y-1034z', 79: '-562x-702y-793z', 80: '-567x-1055y-59z', 81: '-576x-813y-667z', 82: '-578x-217y-1028z', 83: '-598x-189y-1022z', 84: '-603x-677y-784z', 85: '-617x-160y-1016z', 86: '-61x-215y-1178z', 87: '-622x-1025y-47z', 88: '-622x-787y-657z', 89: '-644x-650y-775z', 90: '-65x-395y-1130z', 91: '-667x-758y-647z', 92: '-675x-991y-35z', 93: '-682x-621y-766z', 94: '-710x-727y-637z', 95: '-720x-589y-757z', 96: '-726x-954y-23z', 97: '-752x-693y-627z', 98: '-756x-555y-747z', 99: '-76x-223y-1176z', 100: '-775x-915y-11z', 101: '-790x-519y-738z', 102: '-792x-656y-616z', 103: '-80x-803y-887z', 104: '-822x-873y0z', 105: '-823x-480y-728z', 106: '-830x-618y-606z', 107: '-853x-440y-719z', 108: '-866x-577y-596z', 109: '-86x-921y-763z', 110: '-881x-398y-709z', 111: '-88x-1186y-155z', 112: '-88x-402y-1126z', 113: '-901x-533y-585z', 114: '-908x-354y-699z', 115: '-92x-229y-1174z', 116: '-932x-308y-690z', 117: '-932x-488y-575z', 118: '-953x-260y-680z', 119: '-962x-441y-564z', 120: '-972x-212y-670z', 121: '-988x-161y-660z', 122: '-989x-392y-553z'}

                  
            else:
                print("\n (STEP 652F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 652F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 652F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               


        
    #=========
    # 1300 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight13004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 653F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT13004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight13004xi = queue2eight.get()
                if fire2eight13004xi is None:
                    fire2eight13004xi = shot2eight13004xi
                    print("\n (STEP 653F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT13004XI TO SHOT2EIGHT13004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 653F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT13004XI: ", fire2eight13004xi) 
                    # FIRE2EIGHT13004XI:  {1: '-1009x-333y-747z', 2: '-1010x-529y-623z', 3: '-1032x-282y-737z', 4: '-1042x-478y-611z', 5: '-1053x-229y-726z', 6: '-1071x-175y-715z', 7: '-1071x-425y-600z', 8: '-1085x-119y-704z', 9: '-1098x-370y-588z', 10: '-1121x-314y-576z', 11: '-1142x-256y-565z', 12: '-118x-255y-1269z', 13: '-122x-442y-1216z', 14: '-12x-191y-1285z', 15: '-133x-874y-952z', 16: '-137x-259y-1266z', 17: '-146x-1000y-817z', 18: '-148x-447y-1211z', 19: '-157x-263y-1263z', 20: '-163x-1280y-155z', 21: '-176x-449y-1206z', 22: '-177x-264y-1260z', 23: '-181x-875y-944z', 24: '-198x-265y-1256z', 25: '-200x-999y-807z', 26: '-204x-451y-1201z', 27: '-220x-264y-1253z', 28: '-229x-873y-935z', 29: '-230x-1271y-142z', 30: '-233x-450y-1196z', 31: '-242x-261y-1250z', 32: '-24x-203y-1283z', 33: '-254x-995y-796z', 34: '-262x-447y-1191z', 35: '-265x-257y-1246z', 36: '-277x-869y-926z', 37: '-287x-251y-1242z', 38: '-28x-1286y-181z', 39: '-292x-443y-1186z', 40: '-296x-1259y-129z', 41: '-2x-178y-1287z', 42: '-308x-987y-786z', 43: '-309x-243y-1238z', 44: '-322x-436y-1181z', 45: '-325x-862y-916z', 46: '-332x-233y-1234z', 47: '-352x-428y-1175z', 48: '-354x-222y-1230z', 49: '-362x-1242y-116z', 50: '-362x-977y-776z', 51: '-374x-852y-907z', 52: '-376x-209y-1226z', 53: '-37x-214y-1281z', 54: '-382x-418y-1170z', 55: '-397x-195y-1222z', 56: '-40x-864y-970z', 57: '-40x-993y-837z', 58: '-411x-405y-1164z', 59: '-416x-964y-765z', 60: '-418x-178y-1217z', 61: '-422x-839y-898z', 62: '-427x-1223y-103z', 63: '-439x-160y-1212z', 64: '-441x-391y-1158z', 65: '-458x-141y-1208z', 66: '-469x-948y-755z', 67: '-470x-375y-1152z', 68: '-470x-824y-888z', 69: '-476x-120y-1203z', 70: '-491x-1200y-90z', 71: '-494x-97y-1198z', 72: '-498x-356y-1146z', 73: '-50x-452y-1324z', 74: '-510x-72y-1193z', 75: '-517x-805y-879z', 76: '-51x-224y-1279z', 77: '-522x-928y-744z', 78: '-525x-47y-1188z', 79: '-526x-336y-1140z', 80: '-552x-313y-1133z', 81: '-553x-1173y-77z', 82: '-563x-784y-869z', 83: '-574x-906y-733z', 84: '-578x-289y-1127z', 85: '-603x-263y-1121z', 86: '-609x-760y-859z', 87: '-614x-1143y-64z', 88: '-625x-881y-723z', 89: '-626x-235y-1114z', 90: '-648x-205y-1107z', 91: '-654x-734y-850z', 92: '-669x-174y-1100z', 93: '-66x-233y-1277z', 94: '-674x-1110y-51z', 95: '-674x-852y-712z', 96: '-697x-705y-840z', 97: '-71x-428y-1225z', 98: '-723x-821y-701z', 99: '-731x-1073y-38z', 100: '-739x-673y-830z', 101: '-770x-787y-690z', 102: '-780x-638y-820z', 103: '-786x-1034y-25z', 104: '-815x-750y-679z', 105: '-819x-601y-810z', 106: '-82x-241y-1274z', 107: '-840x-992y-12z', 108: '-856x-562y-799z', 109: '-858x-711y-668z', 110: '-86x-870y-961z', 111: '-890x-946y0z', 112: '-891x-521y-789z', 113: '-899x-669y-657z', 114: '-924x-477y-779z', 115: '-939x-625y-645z', 116: '-93x-998y-827z', 117: '-955x-431y-768z', 118: '-95x-1285y-168z', 119: '-96x-436y-1220z', 120: '-976x-578y-634z', 121: '-983x-383y-758z', 122: '-99x-249y-1271z'}
 
                  
            else:
                print("\n (STEP 653F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 653F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 653F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1400 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight14004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 654F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT14004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight14004xi = queue2eight.get()
                if fire2eight14004xi is None:
                    fire2eight14004xi = shot2eight14004xi
                    print("\n (STEP 654F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT14004XI TO SHOT2EIGHT14004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 654F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT14004XI: ", fire2eight14004xi) 
                    # FIRE2EIGHT14004XI:  {1: '-100x-1075y-890z', 2: '-1011x-673y-695z', 3: '-1028x-464y-827z', 4: '-103x-1384y-181z', 5: '-103x-470y-1314z', 6: '-1051x-622y-683z', 7: '-1059x-413y-816z', 8: '-107x-268y-1369z', 9: '-1087x-359y-805z', 10: '-1088x-570y-671z', 11: '-1112x-304y-793z', 12: '-1122x-515y-658z', 13: '-1134x-247y-782z', 14: '-1153x-188y-770z', 15: '-1154x-458y-646z', 16: '-1169x-129y-758z', 17: '-1182x-399y-633z', 18: '-1208x-338y-621z', 19: '-1230x-276y-608z', 20: '-127x-274y-1366z', 21: '-131x-476y-1309z', 22: '-13x-205y-1384z', 23: '-144x-941y-1026z', 24: '-147x-279y-1363z', 25: '-158x-1077y-880z', 26: '-160x-481y-1304z', 27: '-169x-283y-1360z', 28: '-175x-1378y-167z', 29: '-190x-484y-1299z', 30: '-191x-285y-1357z', 31: '-195x-942y-1016z', 32: '-214x-285y-1353z', 33: '-215x-1076y-869z', 34: '-220x-485y-1294z', 35: '-237x-284y-1350z', 36: '-246x-940y-1007z', 37: '-247x-1369y-153z', 38: '-251x-484y-1288z', 39: '-261x-281y-1346z', 40: '-26x-218y-1382z', 41: '-274x-1071y-858z', 42: '-283x-482y-1283z', 43: '-285x-276y-1342z', 44: '-298x-936y-997z', 45: '-2x-192y-1386z', 46: '-309x-270y-1338z', 47: '-30x-1385y-195z', 48: '-315x-477y-1277z', 49: '-319x-1355y-139z', 50: '-332x-1063y-847z', 51: '-333x-262y-1334z', 52: '-347x-470y-1272z', 53: '-350x-928y-987z', 54: '-357x-251y-1329z', 55: '-379x-461y-1266z', 56: '-381x-239y-1325z', 57: '-390x-1052y-835z', 58: '-390x-1338y-125z', 59: '-402x-917y-977z', 60: '-405x-226y-1320z', 61: '-40x-230y-1380z', 62: '-411x-450y-1260z', 63: '-428x-210y-1316z', 64: '-43x-1070y-901z', 65: '-43x-930y-1045z', 66: '-443x-437y-1253z', 67: '-448x-1038y-824z', 68: '-451x-192y-1311z', 69: '-454x-904y-967z', 70: '-460x-1317y-111z', 71: '-472x-173y-1306z', 72: '-475x-421y-1247z', 73: '-493x-152y-1301z', 74: '-505x-1021y-813z', 75: '-506x-403y-1241z', 76: '-506x-887y-957z', 77: '-513x-129y-1295z', 78: '-528x-1292y-97z', 79: '-532x-104y-1290z', 80: '-536x-384y-1234z', 81: '-549x-78y-1285z', 82: '-54x-484y-1418z', 83: '-557x-867y-946z', 84: '-55x-241y-1377z', 85: '-562x-1000y-801z', 86: '-566x-362y-1227z', 87: '-566x-50y-1279z', 88: '-595x-337y-1221z', 89: '-596x-1263y-83z', 90: '-607x-845y-936z', 91: '-618x-976y-790z', 92: '-623x-311y-1214z', 93: '-649x-283y-1207z', 94: '-656x-819y-926z', 95: '-661x-1231y-69z', 96: '-673x-948y-778z', 97: '-674x-253y-1200z', 98: '-698x-221y-1192z', 99: '-704x-790y-915z', 100: '-71x-251y-1375z', 101: '-720x-187y-1185z', 102: '-725x-1195y-55z', 103: '-726x-918y-767z', 104: '-751x-759y-904z', 105: '-76x-461y-1319z', 106: '-778x-884y-755z', 107: '-787x-1156y-41z', 108: '-796x-724y-894z', 109: '-829x-848y-743z', 110: '-840x-687y-883z', 111: '-847x-1114y-27z', 112: '-877x-808y-731z', 113: '-882x-648y-872z', 114: '-89x-260y-1372z', 115: '-904x-1068y-13z', 116: '-922x-605y-861z', 117: '-924x-766y-719z', 118: '-93x-937y-1035z', 119: '-959x-1019y0z', 120: '-960x-561y-850z', 121: '-969x-721y-707z', 122: '-995x-513y-839z'}
 
                  
            else:
                print("\n (STEP 654F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 654F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 654F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1500 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight15004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 655F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT15004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight15004xi = queue2eight.get()
                if fire2eight15004xi is None:
                    fire2eight15004xi = shot2eight15004xi
                    print("\n (STEP 655F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT15004XI TO SHOT2EIGHT15004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 655F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT15004XI: ", fire2eight15004xi) 
                    # FIRE2EIGHT15004XI:  {1: '-100x-1004y-1109z', 2: '-1027x-1092y0z', 3: '-1028x-601y-911z', 4: '-1038x-772y-758z', 5: '-1066x-550y-899z', 6: '-107x-1151y-954z', 7: '-1083x-721y-745z', 8: '-1102x-497y-887z', 9: '-110x-1483y-194z', 10: '-110x-503y-1408z', 11: '-1126x-667y-732z', 12: '-1135x-442y-874z', 13: '-115x-287y-1467z', 14: '-1165x-385y-862z', 15: '-1166x-610y-718z', 16: '-1191x-326y-850z', 17: '-1202x-552y-705z', 18: '-1215x-265y-838z', 19: '-1235x-202y-825z', 20: '-1236x-490y-692z', 21: '-1252x-138y-812z', 22: '-1267x-427y-679z', 23: '-1294x-362y-665z', 24: '-1317x-295y-652z', 25: '-136x-294y-1464z', 26: '-140x-510y-1403z', 27: '-14x-220y-1483z', 28: '-154x-1008y-1099z', 29: '-158x-299y-1461z', 30: '-169x-1154y-943z', 31: '-171x-515y-1397z', 32: '-181x-303y-1457z', 33: '-188x-1477y-179z', 34: '-203x-519y-1392z', 35: '-205x-305y-1454z', 36: '-209x-1009y-1089z', 37: '-229x-306y-1450z', 38: '-231x-1152y-931z', 39: '-236x-520y-1386z', 40: '-254x-304y-1446z', 41: '-264x-1007y-1078z', 42: '-265x-1467y-164z', 43: '-269x-519y-1381z', 44: '-280x-301y-1442z', 45: '-28x-234y-1481z', 46: '-293x-1148y-919z', 47: '-303x-516y-1375z', 48: '-305x-296y-1438z', 49: '-320x-1002y-1068z', 50: '-32x-1484y-209z', 51: '-331x-289y-1433z', 52: '-337x-511y-1369z', 53: '-342x-1452y-149z', 54: '-356x-1139y-907z', 55: '-357x-280y-1429z', 56: '-372x-504y-1362z', 57: '-375x-994y-1057z', 58: '-383x-269y-1424z', 59: '-3x-206y-1485z', 60: '-406x-494y-1356z', 61: '-409x-257y-1420z', 62: '-418x-1128y-895z', 63: '-418x-1434y-134z', 64: '-42x-247y-1478z', 65: '-431x-983y-1047z', 66: '-434x-242y-1415z', 67: '-441x-482y-1350z', 68: '-459x-225y-1410z', 69: '-475x-468y-1343z', 70: '-47x-1146y-966z', 71: '-47x-996y-1119z', 72: '-480x-1112y-883z', 73: '-483x-206y-1404z', 74: '-487x-968y-1036z', 75: '-493x-1411y-119z', 76: '-506x-185y-1399z', 77: '-509x-451y-1336z', 78: '-529x-163y-1394z', 79: '-541x-1094y-871z', 80: '-542x-432y-1329z', 81: '-542x-950y-1025z', 82: '-550x-138y-1388z', 83: '-566x-1384y-104z', 84: '-570x-112y-1382z', 85: '-575x-411y-1322z', 86: '-589x-84y-1376z', 87: '-58x-516y-1513z', 88: '-596x-929y-1014z', 89: '-59x-258y-1476z', 90: '-602x-1071y-859z', 91: '-606x-54y-1370z', 92: '-607x-387y-1315z', 93: '-637x-362y-1308z', 94: '-638x-1354y-89z', 95: '-650x-905y-1003z', 96: '-662x-1045y-846z', 97: '-667x-333y-1301z', 98: '-696x-303y-1293z', 99: '-703x-877y-992z', 100: '-709x-1319y-74z', 101: '-721x-1016y-834z', 102: '-723x-271y-1285z', 103: '-748x-237y-1278z', 104: '-754x-847y-980z', 105: '-76x-269y-1473z', 106: '-772x-200y-1270z', 107: '-777x-1281y-59z', 108: '-778x-984y-821z', 109: '-805x-813y-969z', 110: '-82x-494y-1413z', 111: '-834x-948y-809z', 112: '-843x-1239y-44z', 113: '-853x-776y-958z', 114: '-888x-908y-796z', 115: '-900x-737y-946z', 116: '-907x-1193y-29z', 117: '-940x-866y-783z', 118: '-945x-694y-934z', 119: '-95x-279y-1470z', 120: '-969x-1144y-14z', 121: '-988x-649y-922z', 122: '-990x-821y-771z'}
 
                  
            else:
                print("\n (STEP 655F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 655F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 655F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1600 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight16004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 656F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT16004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight16004xi = queue2eight.get() 
                if fire2eight16004xi is None:
                    fire2eight16004xi = shot2eight16004xi
                    print("\n (STEP 656F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT1600 4XI TO SHOT2EIGHT1600 4XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 656F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT16004XI: ", fire2eight16004xi) 
                    # FIRE2EIGHT16004XI:  {1: '-1003x-924y-836z', 2: '-1008x-740y-997z', 3: '-101x-297y-1568z', 4: '-1033x-1220y-15z', 5: '-1054x-692y-984z', 6: '-1056x-875y-822z', 7: '-106x-1071y-1183z', 8: '-1096x-1165y0z', 9: '-1097x-641y-971z', 10: '-1107x-824y-808z', 11: '-1138x-587y-959z', 12: '-1155x-769y-794z', 13: '-115x-1228y-1018z', 14: '-1175x-530y-946z', 15: '-117x-1582y-207z', 16: '-118x-537y-1502z', 17: '-1201x-711y-780z', 18: '-1210x-472y-933z', 19: '-123x-306y-1565z', 20: '-1242x-410y-920z', 21: '-1243x-651y-766z', 22: '-1271x-347y-907z', 23: '-1283x-588y-752z', 24: '-1296x-282y-893z', 25: '-1318x-215y-880z', 26: '-1319x-523y-738z', 27: '-1336x-147y-867z', 28: '-1351x-456y-724z', 29: '-1380x-386y-710z', 30: '-1405x-315y-695z', 31: '-145x-313y-1562z', 32: '-150x-544y-1496z', 33: '-15x-235y-1582z', 34: '-164x-1075y-1172z', 35: '-169x-319y-1558z', 36: '-180x-1231y-1005z', 37: '-183x-550y-1491z', 38: '-193x-323y-1554z', 39: '-200x-1575y-191z', 40: '-217x-553y-1485z', 41: '-218x-326y-1551z', 42: '-223x-1077y-1161z', 43: '-244x-326y-1547z', 44: '-246x-1229y-993z', 45: '-252x-555y-1479z', 46: '-271x-325y-1542z', 47: '-282x-1075y-1150z', 48: '-283x-1564y-175z', 49: '-287x-554y-1473z', 50: '-298x-321y-1538z', 51: '-30x-249y-1580z', 52: '-313x-1224y-980z', 53: '-323x-551y-1466z', 54: '-326x-316y-1534z', 55: '-341x-1069y-1139z', 56: '-34x-1583y-223z', 57: '-353x-309y-1529z', 58: '-360x-545y-1460z', 59: '-365x-1549y-159z', 60: '-379x-1215y-968z', 61: '-381x-299y-1524z', 62: '-396x-537y-1453z', 63: '-3x-220y-1584z', 64: '-400x-1061y-1128z', 65: '-409x-287y-1519z', 66: '-433x-527y-1446z', 67: '-436x-274y-1514z', 68: '-446x-1203y-955z', 69: '-446x-1529y-143z', 70: '-45x-263y-1577z', 71: '-460x-1048y-1117z', 72: '-463x-258y-1509z', 73: '-470x-514y-1440z', 74: '-489x-240y-1504z', 75: '-506x-499y-1433z', 76: '-50x-1063y-1194z', 77: '-50x-1222y-1030z', 78: '-512x-1187y-942z', 79: '-515x-220y-1498z', 80: '-519x-1033y-1105z', 81: '-526x-1505y-127z', 82: '-540x-198y-1492z', 83: '-543x-481y-1425z', 84: '-564x-173y-1487z', 85: '-578x-1014y-1093z', 86: '-578x-1167y-929z', 87: '-578x-461y-1418z', 88: '-587x-147y-1481z', 89: '-604x-1477y-111z', 90: '-608x-119y-1474z', 91: '-613x-438y-1411z', 92: '-61x-548y-1607z', 93: '-628x-89y-1468z', 94: '-636x-991y-1082z', 95: '-63x-276y-1574z', 96: '-642x-1143y-916z', 97: '-646x-58y-1462z', 98: '-647x-413y-1403z', 99: '-680x-386y-1395z', 100: '-681x-1444y-95z', 101: '-693x-965y-1070z', 102: '-706x-1115y-903z', 103: '-712x-356y-1387z', 104: '-742x-324y-1379z', 105: '-750x-936y-1058z', 106: '-756x-1407y-79z', 107: '-769x-1084y-889z', 108: '-771x-289y-1371z', 109: '-798x-252y-1363z', 110: '-805x-903y-1046z', 111: '-81x-287y-1571z', 112: '-823x-214y-1354z', 113: '-829x-1366y-63z', 114: '-830x-1049y-876z', 115: '-858x-867y-1034z', 116: '-87x-527y-1507z', 117: '-890x-1011y-863z', 118: '-900x-1321y-47z', 119: '-910x-828y-1021z', 120: '-947x-969y-849z', 121: '-960x-786y-1009z', 122: '-968x-1273y-31z'}

                  
            else:
                print("\n (STEP 656F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 656F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 656F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1700 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight17004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 657F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT17004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight17004xi = queue2eight.get()
                if fire2eight17004xi is None:
                    fire2eight17004xi = shot2eight17004xi
                    print("\n (STEP 657F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT17004XI TO SHOT2EIGHT17004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 657F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT17004XI: ", fire2eight17004xi) 
                    # FIRE2EIGHT17004XI:  {1: '-1006x-1030y-902z', 2: '-1020x-835y-1072z', 3: '-1028x-1352y-33z', 4: '-1066x-982y-888z', 5: '-1071x-787y-1059z', 6: '-108x-316y-1666z', 7: '-1098x-1297y-16z', 8: '-1120x-735y-1046z', 9: '-1122x-930y-873z', 10: '-113x-1138y-1257z', 11: '-1164x-1238y0z', 12: '-1165x-681y-1032z', 13: '-1176x-875y-859z', 14: '-1209x-624y-1019z', 15: '-1228x-817y-844z', 16: '-122x-1305y-1081z', 17: '-1249x-564y-1005z', 18: '-125x-1681y-220z', 19: '-125x-570y-1596z', 20: '-1276x-756y-829z', 21: '-1286x-501y-991z', 22: '-130x-325y-1663z', 23: '-1320x-436y-977z', 24: '-1321x-692y-814z', 25: '-1350x-369y-963z', 26: '-1363x-625y-799z', 27: '-1377x-300y-949z', 28: '-1400x-229y-935z', 29: '-1401x-556y-784z', 30: '-1420x-156y-921z', 31: '-1436x-484y-769z', 32: '-1466x-410y-754z', 33: '-1493x-335y-739z', 34: '-154x-333y-1659z', 35: '-159x-578y-1590z', 36: '-16x-250y-1681z', 37: '-174x-1142y-1246z', 38: '-179x-339y-1656z', 39: '-191x-1308y-1068z', 40: '-194x-584y-1584z', 41: '-205x-344y-1652z', 42: '-213x-1674y-203z', 43: '-230x-588y-1578z', 44: '-232x-346y-1647z', 45: '-236x-1144y-1234z', 46: '-260x-347y-1643z', 47: '-262x-1306y-1055z', 48: '-267x-589y-1571z', 49: '-288x-345y-1639z', 50: '-299x-1142y-1222z', 51: '-300x-1662y-186z', 52: '-305x-588y-1565z', 53: '-317x-341y-1634z', 54: '-31x-265y-1678z', 55: '-332x-1301y-1042z', 56: '-343x-585y-1558z', 57: '-346x-336y-1629z', 58: '-362x-1136y-1210z', 59: '-36x-1682y-236z', 60: '-375x-328y-1625z', 61: '-382x-579y-1551z', 62: '-387x-1646y-169z', 63: '-3x-233y-1683z', 64: '-403x-1291y-1028z', 65: '-405x-318y-1620z', 66: '-421x-571y-1544z', 67: '-426x-1127y-1198z', 68: '-434x-305y-1614z', 69: '-460x-560y-1537z', 70: '-463x-291y-1609z', 71: '-473x-1625y-152z', 72: '-474x-1278y-1015z', 73: '-489x-1114y-1186z', 74: '-48x-280y-1676z', 75: '-492x-274y-1603z', 76: '-499x-546y-1530z', 77: '-520x-255y-1598z', 78: '-538x-530y-1522z', 79: '-53x-1129y-1269z', 80: '-53x-1299y-1094z', 81: '-544x-1261y-1001z', 82: '-547x-234y-1592z', 83: '-552x-1097y-1174z', 84: '-558x-1599y-135z', 85: '-574x-210y-1586z', 86: '-577x-511y-1514z', 87: '-599x-184y-1579z', 88: '-614x-1077y-1162z', 89: '-614x-1239y-987z', 90: '-614x-490y-1507z', 91: '-623x-157y-1573z', 92: '-642x-1569y-118z', 93: '-646x-127y-1567z', 94: '-651x-466y-1499z', 95: '-65x-581y-1702z', 96: '-667x-95y-1560z', 97: '-676x-1053y-1149z', 98: '-67x-293y-1673z', 99: '-683x-1214y-973z', 100: '-687x-439y-1491z', 101: '-687x-61y-1553z', 102: '-722x-410y-1482z', 103: '-724x-1534y-101z', 104: '-737x-1026y-1137z', 105: '-750x-1185y-959z', 106: '-756x-378y-1474z', 107: '-788x-344y-1465z', 108: '-797x-994y-1124z', 109: '-803x-1495y-84z', 110: '-817x-1152y-945z', 111: '-819x-307y-1457z', 112: '-848x-268y-1448z', 113: '-855x-960y-1111z', 114: '-86x-305y-1670z', 115: '-875x-227y-1439z', 116: '-881x-1452y-67z', 117: '-882x-1115y-931z', 118: '-912x-922y-1098z', 119: '-93x-560y-1602z', 120: '-945x-1074y-917z', 121: '-956x-1404y-50z', 122: '-967x-880y-1085z'}

                  
            else:
                print("\n (STEP 657F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 657F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 657F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1800 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight18004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 658F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT18004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight18004xi = queue2eight.get()
                if fire2eight18004xi is None:
                    fire2eight18004xi = shot2eight18004xi
                    print("\n (STEP 658F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT18004XI TO SHOT2EIGHT18004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 658F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT18004XI: ", fire2eight18004xi) 
                    # FIRE2EIGHT18004XI:  {1: '-1001x-1137y-971z', 2: '-1012x-1487y-53z', 3: '-1024x-932y-1149z', 4: '-1066x-1090y-955z', 5: '-1080x-884y-1135z', 6: '-1089x-1432y-35z', 7: '-1128x-1039y-940z', 8: '-1134x-833y-1121z', 9: '-114x-335y-1764z', 10: '-1163x-1373y-17z', 11: '-1185x-779y-1107z', 12: '-1188x-985y-925z', 13: '-120x-1205y-1331z', 14: '-1233x-1310y0z', 15: '-1234x-721y-1093z', 16: '-1246x-927y-909z', 17: '-1280x-660y-1078z', 18: '-129x-1382y-1145z', 19: '-1300x-865y-894z', 20: '-1322x-597y-1064z', 21: '-132x-1779y-233z', 22: '-133x-604y-1690z', 23: '-1351x-800y-878z', 24: '-1362x-531y-1049z', 25: '-138x-344y-1761z', 26: '-1398x-462y-1035z', 27: '-1399x-733y-862z', 28: '-1430x-391y-1020z', 29: '-1443x-662y-846z', 30: '-1458x-318y-1005z', 31: '-1483x-242y-990z', 32: '-1484x-589y-830z', 33: '-1503x-165y-975z', 34: '-1520x-513y-814z', 35: '-1553x-435y-798z', 36: '-1581x-354y-782z', 37: '-163x-353y-1757z', 38: '-169x-612y-1684z', 39: '-17x-264y-1780z', 40: '-185x-1210y-1319z', 41: '-190x-359y-1753z', 42: '-203x-1384y-1131z', 43: '-206x-619y-1677z', 44: '-217x-364y-1749z', 45: '-225x-1772y-215z', 46: '-244x-622y-1670z', 47: '-246x-366y-1744z', 48: '-250x-1211y-1307z', 49: '-275x-367y-1740z', 50: '-277x-1383y-1117z', 51: '-283x-624y-1664z', 52: '-305x-365y-1735z', 53: '-317x-1209y-1294z', 54: '-318x-1760y-197z', 55: '-323x-623y-1657z', 56: '-336x-362y-1730z', 57: '-33x-281y-1777z', 58: '-352x-1377y-1103z', 59: '-364x-620y-1650z', 60: '-366x-355y-1725z', 61: '-384x-1203y-1282z', 62: '-398x-347y-1720z', 63: '-39x-1781y-250z', 64: '-3x-247y-1782z', 65: '-405x-613y-1642z', 66: '-410x-1743y-179z', 67: '-427x-1367y-1089z', 68: '-429x-336y-1715z', 69: '-446x-605y-1635z', 70: '-451x-1193y-1269z', 71: '-460x-323y-1709z', 72: '-487x-593y-1627z', 73: '-491x-308y-1704z', 74: '-501x-1721y-161z', 75: '-502x-1353y-1074z', 76: '-517x-1180y-1256z', 77: '-51x-296y-1774z', 78: '-521x-290y-1698z', 79: '-529x-579y-1620z', 80: '-551x-270y-1692z', 81: '-56x-1196y-1343z', 82: '-56x-1375y-1159z', 83: '-570x-561y-1612z', 84: '-576x-1335y-1060z', 85: '-580x-247y-1685z', 86: '-584x-1162y-1243z', 87: '-591x-1693y-143z', 88: '-607x-222y-1679z', 89: '-610x-541y-1604z', 90: '-634x-195y-1672z', 91: '-650x-1141y-1230z', 92: '-650x-1312y-1045z', 93: '-650x-519y-1595z', 94: '-660x-166y-1666z', 95: '-680x-1661y-125z', 96: '-684x-134y-1659z', 97: '-690x-493y-1587z', 98: '-69x-613y-1796z', 99: '-707x-101y-1652z', 100: '-70x-310y-1771z', 101: '-716x-1115y-1217z', 102: '-723x-1286y-1030z', 103: '-727x-65y-1645z', 104: '-728x-465y-1578z', 105: '-765x-434y-1570z', 106: '-766x-1625y-107z', 107: '-780x-1086y-1204z', 108: '-795x-1255y-1016z', 109: '-801x-400y-1561z', 110: '-835x-364y-1552z', 111: '-844x-1053y-1190z', 112: '-851x-1583y-89z', 113: '-865x-1220y-1001z', 114: '-867x-325y-1543z', 115: '-898x-284y-1533z', 116: '-905x-1016y-1177z', 117: '-91x-323y-1768z', 118: '-926x-240y-1524z', 119: '-933x-1537y-71z', 120: '-934x-1180y-986z', 121: '-966x-976y-1163z', 122: '-98x-593y-1696z'}

                  
            else:
                print("\n (STEP 658F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 658F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 658F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 1900 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight19004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 659F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT19004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight19004xi = queue2eight.get()
                if fire2eight19004xi is None:
                    fire2eight19004xi = shot2eight19004xi
                    print("\n (STEP 659F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT19004XI TO SHOT2EIGHT19004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 659F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT19004XI: ", fire2eight19004xi) 
                    # FIRE2EIGHT19004XI:  {1: '-1019x-1030y-1228z', 2: '-104x-626y-1790z', 3: '-1056x-1200y-1025z', 4: '-1069x-1569y-56z', 5: '-1081x-983y-1213z', 6: '-1125x-1151y-1009z', 7: '-1140x-933y-1198z', 8: '-1150x-1511y-37z', 9: '-1191x-1097y-992z', 10: '-1197x-879y-1184z', 11: '-120x-353y-1862z', 12: '-1227x-1449y-18z', 13: '-1251x-822y-1169z', 14: '-1254x-1039y-976z', 15: '-126x-1272y-1405z', 16: '-1302x-1383y0z', 17: '-1303x-761y-1154z', 18: '-1315x-978y-960z', 19: '-1351x-697y-1138z', 20: '-136x-1459y-1209z', 21: '-1372x-913y-943z', 22: '-1396x-630y-1123z', 23: '-139x-1878y-246z', 24: '-140x-637y-1784z', 25: '-1426x-845y-927z', 26: '-1437x-560y-1108z', 27: '-146x-364y-1859z', 28: '-1475x-488y-1092z', 29: '-1477x-773y-910z', 30: '-1509x-412y-1077z', 31: '-1523x-699y-893z', 32: '-1539x-335y-1061z', 33: '-1565x-256y-1045z', 34: '-1566x-621y-877z', 35: '-1587x-175y-1029z', 36: '-1605x-541y-860z', 37: '-1639x-459y-843z', 38: '-1669x-374y-826z', 39: '-172x-372y-1855z', 40: '-178x-646y-1777z', 41: '-18x-279y-1879z', 42: '-195x-1277y-1392z', 43: '-200x-379y-1850z', 44: '-214x-1461y-1194z', 45: '-217x-653y-1770z', 46: '-229x-384y-1846z', 47: '-238x-1871y-227z', 48: '-258x-657y-1763z', 49: '-259x-387y-1841z', 50: '-264x-1279y-1379z', 51: '-290x-387y-1837z', 52: '-293x-1460y-1179z', 53: '-299x-659y-1756z', 54: '-322x-386y-1832z', 55: '-334x-1276y-1366z', 56: '-336x-1858y-208z', 57: '-341x-658y-1749z', 58: '-354x-382y-1827z', 59: '-35x-296y-1876z', 60: '-372x-1454y-1164z', 61: '-384x-654y-1741z', 62: '-387x-375y-1821z', 63: '-3x-261y-1881z', 64: '-405x-1270y-1353z', 65: '-41x-1880y-264z', 66: '-420x-366y-1816z', 67: '-427x-647y-1734z', 68: '-433x-1840y-189z', 69: '-451x-1443y-1149z', 70: '-453x-355y-1810z', 71: '-471x-638y-1726z', 72: '-476x-1260y-1340z', 73: '-485x-341y-1804z', 74: '-514x-626y-1718z', 75: '-518x-325y-1798z', 76: '-529x-1816y-170z', 77: '-530x-1429y-1134z', 78: '-546x-1245y-1326z', 79: '-54x-312y-1873z', 80: '-550x-306y-1792z', 81: '-558x-611y-1710z', 82: '-581x-285y-1786z', 83: '-59x-1262y-1418z', 84: '-59x-1452y-1223z', 85: '-601x-593y-1701z', 86: '-608x-1409y-1119z', 87: '-612x-261y-1779z', 88: '-617x-1227y-1312z', 89: '-624x-1787y-151z', 90: '-641x-235y-1772z', 91: '-644x-572y-1693z', 92: '-670x-206y-1765z', 93: '-686x-1204y-1299z', 94: '-686x-1385y-1103z', 95: '-687x-548y-1684z', 96: '-697x-175y-1758z', 97: '-717x-1754y-132z', 98: '-722x-142y-1751z', 99: '-728x-521y-1675z', 100: '-72x-645y-1891z', 101: '-746x-106y-1744z', 102: '-74x-327y-1869z', 103: '-756x-1177y-1285z', 104: '-763x-1357y-1088z', 105: '-768x-491y-1666z', 106: '-768x-69y-1736z', 107: '-808x-458y-1657z', 108: '-809x-1715y-113z', 109: '-824x-1146y-1271z', 110: '-839x-1324y-1072z', 111: '-845x-423y-1647z', 112: '-881x-384y-1638z', 113: '-890x-1112y-1256z', 114: '-898x-1671y-94z', 115: '-913x-1287y-1056z', 116: '-915x-343y-1628z', 117: '-948x-300y-1618z', 118: '-956x-1073y-1242z', 119: '-978x-254y-1608z', 120: '-97x-341y-1866z', 121: '-985x-1622y-75z', 122: '-986x-1246y-1041z'}

                  
            else:
                print("\n (STEP 659F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 659F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 659F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
      

        
    #=========
    # 2000 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight20004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 660F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT20004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight20004xi = queue2eight.get()
                if fire2eight20004xi is None:
                    fire2eight20004xi = shot2eight20004xi
                    print("\n (STEP 660F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT20004XI TO SHOT2EIGHT20004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 660F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT20004XI: ", fire2eight20004xi) 
                    # FIRE2EIGHT20004XI:  {1: '-1006x-1129y-1307z', 2: '-1029x-267y-1693z', 3: '-102x-359y-1964z', 4: '-1036x-1708y-79z', 5: '-1038x-1312y-1095z', 6: '-1073x-1084y-1292z', 7: '-109x-659y-1884z', 8: '-1112x-1264y-1079z', 9: '-1125x-1652y-59z', 10: '-1138x-1035y-1277z', 11: '-1184x-1211y-1062z', 12: '-1200x-982y-1261z', 13: '-1210x-1591y-39z', 14: '-1254x-1155y-1045z', 15: '-1260x-926y-1246z', 16: '-127x-372y-1960z', 17: '-1292x-1526y-19z', 18: '-1317x-865y-1230z', 19: '-1320x-1094y-1028z', 20: '-133x-1338y-1479z', 21: '-1370x-1456y0z', 22: '-1371x-801y-1214z', 23: '-1384x-1030y-1010z', 24: '-1422x-734y-1198z', 25: '-143x-1535y-1272z', 26: '-1444x-961y-993z', 27: '-1469x-663y-1182z', 28: '-147x-1977y-258z', 29: '-147x-671y-1878z', 30: '-1501x-889y-976z', 31: '-1513x-590y-1166z', 32: '-153x-383y-1956z', 33: '-1553x-513y-1150z', 34: '-1554x-814y-958z', 35: '-1589x-434y-1133z', 36: '-1603x-736y-940z', 37: '-1620x-353y-1117z', 38: '-1647x-269y-1100z', 39: '-1648x-654y-923z', 40: '-1670x-184y-1083z', 41: '-1689x-570y-905z', 42: '-1725x-483y-887z', 43: '-1757x-394y-869z', 44: '-181x-392y-1952z', 45: '-187x-680y-1871z', 46: '-19x-294y-1978z', 47: '-205x-1344y-1466z', 48: '-211x-399y-1948z', 49: '-225x-1538y-1257z', 50: '-229x-687y-1863z', 51: '-241x-404y-1943z', 52: '-250x-1969y-239z', 53: '-271x-692y-1856z', 54: '-273x-407y-1938z', 55: '-278x-1346y-1452z', 56: '-306x-408y-1933z', 57: '-308x-1537y-1241z', 58: '-315x-693y-1849z', 59: '-339x-406y-1928z', 60: '-352x-1343y-1438z', 61: '-353x-1956y-219z', 62: '-359x-692y-1841z', 63: '-373x-402y-1923z', 64: '-37x-312y-1975z', 65: '-391x-1530y-1226z', 66: '-404x-688y-1833z', 67: '-407x-395y-1917z', 68: '-426x-1337y-1424z', 69: '-43x-1979y-278z', 70: '-442x-386y-1911z', 71: '-450x-682y-1825z', 72: '-456x-1937y-199z', 73: '-474x-1519y-1210z', 74: '-476x-374y-1905z', 75: '-496x-672y-1817z', 76: '-4x-275y-1980z', 77: '-501x-1326y-1410z', 78: '-511x-359y-1899z', 79: '-542x-659y-1808z', 80: '-545x-342y-1893z', 81: '-557x-1504y-1194z', 82: '-557x-1912y-179z', 83: '-575x-1311y-1396z', 84: '-579x-322y-1886z', 85: '-57x-329y-1971z', 86: '-588x-643y-1800z', 87: '-612x-300y-1880z', 88: '-62x-1329y-1493z', 89: '-62x-1528y-1288z', 90: '-633x-624y-1791z', 91: '-640x-1483y-1178z', 92: '-644x-275y-1873z', 93: '-649x-1291y-1381z', 94: '-657x-1882y-159z', 95: '-675x-247y-1866z', 96: '-678x-602y-1782z', 97: '-705x-217y-1858z', 98: '-722x-1458y-1161z', 99: '-723x-1267y-1367z', 100: '-723x-576y-1773z', 101: '-733x-184y-1851z', 102: '-755x-1846y-139z', 103: '-760x-149y-1843z', 104: '-766x-548y-1763z', 105: '-76x-678y-1986z', 106: '-785x-112y-1835z', 107: '-78x-345y-1968z', 108: '-795x-1239y-1352z', 109: '-803x-1429y-1145z', 110: '-808x-72y-1827z', 111: '-809x-517y-1754z', 112: '-850x-482y-1744z', 113: '-851x-1805y-119z', 114: '-867x-1207y-1337z', 115: '-883x-1394y-1129z', 116: '-890x-445y-1734z', 117: '-928x-405y-1724z', 118: '-937x-1170y-1322z', 119: '-945x-1759y-99z', 120: '-961x-1355y-1112z', 121: '-964x-361y-1714z', 122: '-998x-316y-1704z '}

                  
            else:
                print("\n (STEP 660F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 660F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 660F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2100 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight21004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 661F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT21004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight21004xi = queue2eight.get()
                if fire2eight21004xi is None:
                    fire2eight21004xi = shot2eight21004xi
                    print("\n (STEP 661F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT21004XI TO SHOT2EIGHT21004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 661F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT21004XI: ", fire2eight21004xi) 
                    # FIRE2EIGHT21004XI:  {1: '-1009x-1423y-1168z', 2: '-1012x-380y-1800z', 3: '-1048x-331y-1789z', 4: '-1056x-1186y-1373z', 5: '-107x-377y-2063z', 6: '-1081x-281y-1778z', 7: '-1088x-1793y-83z', 8: '-1089x-1377y-1150z', 9: '-1127x-1138y-1357z', 10: '-114x-692y-1979z', 11: '-1168x-1327y-1132z', 12: '-1181x-1734y-62z', 13: '-1195x-1087y-1341z', 14: '-1243x-1272y-1115z', 15: '-1260x-1031y-1325z', 16: '-1271x-1671y-41z', 17: '-1316x-1213y-1097z', 18: '-1323x-972y-1308z', 19: '-133x-390y-2058z', 20: '-1356x-1602y-20z', 21: '-1383x-908y-1292z', 22: '-1386x-1149y-1079z', 23: '-140x-1405y-1553z', 24: '-1439x-1529y0z', 25: '-1440x-841y-1275z', 26: '-1453x-1081y-1061z', 27: '-1493x-770y-1258z', 28: '-1517x-1009y-1043z', 29: '-151x-1612y-1336z', 30: '-1543x-696y-1241z', 31: '-154x-2076y-271z', 32: '-155x-705y-1972z', 33: '-1576x-934y-1024z', 34: '-1589x-619y-1224z', 35: '-161x-402y-2054z', 36: '-1631x-539y-1207z', 37: '-1632x-855y-1006z', 38: '-1668x-456y-1190z', 39: '-1684x-772y-988z', 40: '-1701x-371y-1173z', 41: '-1730x-283y-1155z', 42: '-1731x-687y-969z', 43: '-1754x-193y-1138z', 44: '-1774x-598y-950z', 45: '-1812x-507y-932z', 46: '-1845x-414y-913z', 47: '-190x-412y-2050z', 48: '-197x-714y-1964z', 49: '-20x-308y-2077z', 50: '-216x-1411y-1539z', 51: '-221x-419y-2045z', 52: '-237x-1615y-1320z', 53: '-240x-722y-1957z', 54: '-254x-424y-2040z', 55: '-263x-2068y-251z', 56: '-285x-726y-1949z', 57: '-287x-428y-2035z', 58: '-292x-1413y-1525z', 59: '-321x-428y-2030z', 60: '-323x-1614y-1303z', 61: '-330x-728y-1941z', 62: '-356x-426y-2025z', 63: '-370x-1411y-1510z', 64: '-371x-2053y-230z', 65: '-377x-727y-1933z', 66: '-392x-422y-2019z', 67: '-39x-328y-2073z', 68: '-411x-1607y-1287z', 69: '-424x-723y-1925z', 70: '-428x-415y-2013z', 71: '-448x-1404y-1495z', 72: '-45x-2078y-292z', 73: '-464x-405y-2007z', 74: '-472x-716y-1916z', 75: '-479x-2033y-209z', 76: '-498x-1595y-1270z', 77: '-4x-288y-2080z', 78: '-500x-393y-2001z', 79: '-520x-705y-1908z', 80: '-526x-1392y-1481z', 81: '-536x-377y-1994z', 82: '-569x-692y-1899z', 83: '-572x-359y-1988z', 84: '-585x-1579y-1253z', 85: '-585x-2007y-188z', 86: '-604x-1376y-1466z', 87: '-608x-339y-1981z', 88: '-60x-345y-2070z', 89: '-617x-675y-1890z', 90: '-642x-315y-1974z', 91: '-65x-1395y-1567z', 92: '-65x-1605y-1352z', 93: '-665x-655y-1880z', 94: '-672x-1558y-1236z', 95: '-676x-289y-1966z', 96: '-682x-1356y-1450z', 97: '-690x-1976y-167z', 98: '-709x-260y-1959z', 99: '-712x-632y-1871z', 100: '-740x-228y-1951z', 101: '-758x-1531y-1219z', 102: '-759x-1331y-1435z', 103: '-759x-605y-1861z', 104: '-770x-193y-1943z', 105: '-793x-1938y-146z', 106: '-798x-157y-1935z', 107: '-79x-710y-2080z', 108: '-805x-576y-1851z', 109: '-824x-117y-1927z', 110: '-82x-362y-2066z', 111: '-835x-1301y-1420z', 112: '-843x-1500y-1202z', 113: '-849x-543y-1841z', 114: '-849x-76y-1919z', 115: '-893x-506y-1831z', 116: '-894x-1895y-125z', 117: '-910x-1267y-1404z', 118: '-927x-1464y-1185z', 119: '-934x-467y-1821z', 120: '-974x-425y-1810z', 121: '-984x-1229y-1389z', 122: '-992x-1847y-104z'}

                  
            else:
                print("\n (STEP 661F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 661F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 661F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2200 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight22004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 662F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT22004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight22004xi = queue2eight.get()
                if fire2eight22004xi is None:
                    fire2eight22004xi = shot2eight22004xi
                    print("\n (STEP 662F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT22004XI TO SHOT2EIGHT22004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 662F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT22004XI: ", fire2eight22004xi) 
                    # FIRE2EIGHT22004XI:  {1: '-1020x-445y-1897z', 2: '-1031x-1287y-1455z', 3: '-1040x-1935y-109z', 4: '-1057x-1491y-1223z', 5: '-1060x-398y-1885z', 6: '-1097x-347y-1874z', 7: '-1107x-1242y-1438z', 8: '-112x-395y-2161z', 9: '-1132x-294y-1862z', 10: '-1140x-1879y-87z', 11: '-1141x-1443y-1205z', 12: '-1180x-1193y-1421z', 13: '-120x-725y-2073z', 14: '-1223x-1390y-1186z', 15: '-1237x-1817y-65z', 16: '-1252x-1139y-1405z', 17: '-1303x-1333y-1168z', 18: '-1320x-1081y-1388z', 19: '-1331x-1750y-43z', 20: '-1379x-1270y-1149z', 21: '-1386x-1018y-1370z', 22: '-139x-409y-2157z', 23: '-1421x-1678y-21z', 24: '-1449x-952y-1353z', 25: '-1452x-1204y-1130z', 26: '-147x-1472y-1627z', 27: '-1507x-1602y0z', 28: '-1508x-881y-1336z', 29: '-1523x-1133y-1111z', 30: '-1564x-807y-1318z', 31: '-1589x-1058y-1092z', 32: '-158x-1689y-1400z', 33: '-1616x-730y-1301z', 34: '-161x-2175y-284z', 35: '-162x-738y-2065z', 36: '-1651x-978y-1073z', 37: '-1664x-649y-1283z', 38: '-169x-421y-2152z', 39: '-1708x-565y-1265z', 40: '-1710x-896y-1054z', 41: '-1748x-478y-1247z', 42: '-1764x-809y-1035z', 43: '-1782x-388y-1229z', 44: '-1812x-296y-1210z', 45: '-1813x-719y-1015z', 46: '-1837x-202y-1192z', 47: '-1858x-627y-996z', 48: '-1898x-531y-976z', 49: '-1933x-433y-956z', 50: '-200x-431y-2147z', 51: '-206x-748y-2058z', 52: '-21x-323y-2175z', 53: '-226x-1479y-1612z', 54: '-232x-439y-2143z', 55: '-248x-1692y-1383z', 56: '-252x-756y-2050z', 57: '-266x-445y-2137z', 58: '-275x-2166y-263z', 59: '-298x-761y-2042z', 60: '-300x-448y-2132z', 61: '-306x-1481y-1597z', 62: '-336x-449y-2127z', 63: '-339x-1690y-1365z', 64: '-346x-763y-2034z', 65: '-373x-447y-2121z', 66: '-387x-1478y-1582z', 67: '-389x-2151y-241z', 68: '-395x-762y-2025z', 69: '-410x-442y-2115z', 70: '-41x-343y-2172z', 71: '-430x-1683y-1348z', 72: '-445x-757y-2016z', 73: '-448x-435y-2109z', 74: '-469x-1470y-1567z', 75: '-47x-2177y-306z', 76: '-486x-424y-2103z', 77: '-495x-750y-2007z', 78: '-4x-302y-2179z', 79: '-501x-2130y-219z', 80: '-522x-1671y-1331z', 81: '-524x-411y-2096z', 82: '-545x-739y-1998z', 83: '-551x-1458y-1551z', 84: '-562x-395y-2089z', 85: '-596x-725y-1989z', 86: '-600x-376y-2082z', 87: '-613x-1654y-1313z', 88: '-613x-2103y-197z', 89: '-633x-1442y-1535z', 90: '-637x-355y-2075z', 91: '-63x-362y-2169z', 92: '-646x-707y-1980z', 93: '-673x-330y-2068z', 94: '-68x-1462y-1642z', 95: '-68x-1681y-1417z', 96: '-697x-686y-1970z', 97: '-704x-1632y-1295z', 98: '-708x-302y-2060z', 99: '-714x-1420y-1520z', 100: '-723x-2070y-175z', 101: '-743x-272y-2052z', 102: '-746x-662y-1960z', 103: '-775x-239y-2044z', 104: '-794x-1604y-1278z', 105: '-795x-1394y-1504z', 106: '-795x-634y-1950z', 107: '-807x-203y-2036z', 108: '-831x-2031y-153z', 109: '-836x-164y-2028z', 110: '-83x-742y-2175z', 111: '-843x-603y-1940z', 112: '-864x-123y-2019z', 113: '-86x-379y-2165z', 114: '-875x-1363y-1487z', 115: '-883x-1571y-1260z', 116: '-889x-79y-2010z', 117: '-890x-568y-1929z', 118: '-935x-530y-1919z', 119: '-937x-1986y-131z', 120: '-954x-1327y-1471z', 121: '-971x-1534y-1241z', 122: '-979x-489y-1908z'}
 
                  
            else:
                print("\n (STEP 662F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 662F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 662F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2300 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight23004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 663F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT23004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight23004xi = queue2eight.get()
                if fire2eight23004xi is None:
                    fire2eight23004xi = shot2eight23004xi
                    print("\n (STEP 663F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT23004XI TO SHOT2EIGHT23004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 663F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT23004XI: ", fire2eight23004xi) 
                    # FIRE2EIGHT23004XI:  {1: '-1015x-1603y-1298z', 2: '-1023x-512y-1994z', 3: '-1067x-465y-1983z', 4: '-1078x-1346y-1521z', 5: '-1087x-2023y-114z', 6: '-1105x-1558y-1279z', 7: '-1108x-416y-1971z', 8: '-1147x-363y-1959z', 9: '-1157x-1299y-1504z', 10: '-117x-413y-2259z', 11: '-1184x-307y-1947z', 12: '-1192x-1964y-91z', 13: '-1193x-1508y-1260z', 14: '-1234x-1247y-1486z', 15: '-125x-758y-2167z', 16: '-1279x-1453y-1240z', 17: '-1294x-1900y-68z', 18: '-1308x-1191y-1469z', 19: '-1362x-1393y-1221z', 20: '-1380x-1130y-1451z', 21: '-1392x-1830y-45z', 22: '-1442x-1328y-1201z', 23: '-1449x-1064y-1433z', 24: '-146x-428y-2255z', 25: '-1486x-1755y-22z', 26: '-1515x-995y-1415z', 27: '-1519x-1258y-1182z', 28: '-153x-1539y-1701z', 29: '-1576x-1675y0z', 30: '-1577x-921y-1397z', 31: '-1592x-1184y-1162z', 32: '-1635x-844y-1378z', 33: '-165x-1766y-1463z', 34: '-1661x-1106y-1142z', 35: '-1690x-763y-1360z', 36: '-169x-2274y-297z', 37: '-170x-772y-2159z', 38: '-1727x-1023y-1122z', 39: '-1740x-678y-1341z', 40: '-176x-440y-2250z', 41: '-1786x-590y-1322z', 42: '-1788x-936y-1102z', 43: '-1827x-499y-1303z', 44: '-1844x-846y-1082z', 45: '-1863x-406y-1284z', 46: '-1895x-310y-1265z', 47: '-1896x-752y-1061z', 48: '-1921x-212y-1246z', 49: '-1943x-655y-1041z', 50: '-1984x-555y-1020z', 51: '-2020x-453y-1000z', 52: '-209x-451y-2245z', 53: '-216x-783y-2151z', 54: '-22x-338y-2274z', 55: '-236x-1546y-1686z', 56: '-242x-459y-2240z', 57: '-259x-1769y-1445z', 58: '-263x-791y-2143z', 59: '-278x-465y-2235z', 60: '-288x-2265y-275z', 61: '-312x-796y-2135z', 62: '-314x-468y-2229z', 63: '-320x-1548y-1670z', 64: '-352x-469y-2223z', 65: '-354x-1767y-1428z', 66: '-362x-798y-2126z', 67: '-390x-467y-2217z', 68: '-405x-1545y-1654z', 69: '-407x-2249y-252z', 70: '-413x-796y-2117z', 71: '-429x-462y-2211z', 72: '-43x-359y-2271z', 73: '-450x-1760y-1409z', 74: '-465x-792y-2108z', 75: '-468x-454y-2205z', 76: '-490x-1537y-1638z', 77: '-49x-2276y-320z', 78: '-4x-316y-2278z', 79: '-508x-444y-2198z', 80: '-517x-784y-2099z', 81: '-524x-2227y-229z', 82: '-546x-1747y-1391z', 83: '-548x-430y-2191z', 84: '-570x-773y-2089z', 85: '-576x-1525y-1622z', 86: '-588x-413y-2184z', 87: '-623x-758y-2080z', 88: '-627x-394y-2177z', 89: '-641x-1729y-1373z', 90: '-641x-2199y-206z', 91: '-65x-378y-2267z', 92: '-661x-1507y-1605z', 93: '-666x-371y-2169z', 94: '-676x-739y-2070z', 95: '-704x-345y-2162z', 96: '-728x-718y-2059z', 97: '-72x-1528y-1716z', 98: '-72x-1757y-1481z', 99: '-736x-1706y-1354z', 100: '-741x-316y-2154z', 101: '-747x-1485y-1589z', 102: '-756x-2164y-183z', 103: '-776x-284y-2146z', 104: '-780x-692y-2049z', 105: '-811x-250y-2137z', 106: '-830x-1677y-1336z', 107: '-831x-1457y-1572z', 108: '-831x-663y-2039z', 109: '-843x-212y-2129z', 110: '-869x-2123y-160z', 111: '-874x-172y-2120z', 112: '-87x-774y-2269z', 113: '-881x-630y-2028z', 114: '-903x-129y-2111z', 115: '-90x-397y-2263z', 116: '-915x-1425y-1555z', 117: '-924x-1643y-1317z', 118: '-929x-83y-2101z', 119: '-930x-594y-2017z', 120: '-978x-555y-2006z', 121: '-979x-2076y-137z', 122: '-997x-1388y-1538z'}
 
                  
            else:
                print("\n (STEP 663F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 663F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 663F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2400 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight24004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 664F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT24004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight24004xi = queue2eight.get()
                
                if fire2eight24004xi is None:
                    fire2eight24004xi = shot2eight24004xi
                    print("\n (STEP 664F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT24004XI TO SHOT2EIGHT24004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 664F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT24004XI: ", fire2eight24004xi) 
                    # FIRE2EIGHT24004XI:  {1: '-1020x-579y-2093z', 2: '-1022x-2166y-143z', 3: '-1040x-1448y-1605z', 4: '-1060x-1673y-1354z', 5: '-1068x-534y-2081z', 6: '-1113x-486y-2069z', 7: '-1125x-1404y-1587z', 8: '-1134x-2111y-119z', 9: '-1153x-1626y-1334z', 10: '-1157x-434y-2057z', 11: '-1197x-379y-2044z', 12: '-1207x-1355y-1569z', 13: '-122x-431y-2357z', 14: '-1235x-321y-2032z', 15: '-1244x-2050y-95z', 16: '-1245x-1574y-1314z', 17: '-1288x-1301y-1551z', 18: '-131x-791y-2261z', 19: '-1335x-1516y-1294z', 20: '-1350x-1982y-71z', 21: '-1365x-1242y-1532z', 22: '-1421x-1454y-1274z', 23: '-1440x-1179y-1514z', 24: '-1452x-1909y-47z', 25: '-1505x-1386y-1254z', 26: '-1512x-1111y-1495z', 27: '-152x-446y-2353z', 28: '-1550x-1831y-23z', 29: '-1581x-1038y-1476z', 30: '-1585x-1313y-1233z', 31: '-160x-1606y-1775z', 32: '-1644x-1747y0z', 33: '-1646x-961y-1457z', 34: '-1661x-1236y-1212z', 35: '-1707x-881y-1438z', 36: '-172x-1843y-1527z', 37: '-1733x-1154y-1192z', 38: '-1763x-796y-1419z', 39: '-176x-2373y-310z', 40: '-177x-805y-2253z', 41: '-1802x-1067y-1171z', 42: '-1816x-708y-1399z', 43: '-184x-459y-2348z', 44: '-1864x-616y-1380z', 45: '-1865x-977y-1150z', 46: '-1906x-521y-1360z', 47: '-1924x-883y-1129z', 48: '-1944x-424y-1340z', 49: '-1977x-323y-1320z', 50: '-1978x-785y-1107z', 51: '-2004x-221y-1300z', 52: '-2027x-684y-1086z', 53: '-2070x-580y-1065z', 54: '-2108x-473y-1043z', 55: '-218x-470y-2343z', 56: '-225x-817y-2245z', 57: '-23x-353y-2373z', 58: '-246x-1613y-1759z', 59: '-253x-479y-2337z', 60: '-271x-1846y-1508z', 61: '-274x-825y-2236z', 62: '-290x-485y-2332z', 63: '-301x-2363y-286z', 64: '-325x-830y-2227z', 65: '-328x-489y-2326z', 66: '-334x-1615y-1742z', 67: '-367x-489y-2320z', 68: '-370x-1844y-1490z', 69: '-378x-832y-2218z', 70: '-407x-487y-2314z', 71: '-423x-1612y-1726z', 72: '-424x-2347y-263z', 73: '-431x-831y-2209z', 74: '-448x-482y-2307z', 75: '-45x-374y-2370z', 76: '-469x-1837y-1471z', 77: '-485x-826y-2200z', 78: '-489x-474y-2301z', 79: '-4x-330y-2377z', 80: '-512x-1604y-1709z', 81: '-52x-2375y-334z', 82: '-530x-463y-2294z', 83: '-540x-818y-2190z', 84: '-547x-2324y-239z', 85: '-569x-1823y-1452z', 86: '-572x-449y-2287z', 87: '-595x-806y-2180z', 88: '-601x-1591y-1692z', 89: '-613x-431y-2279z', 90: '-650x-791y-2170z', 91: '-654x-411y-2272z', 92: '-669x-1805y-1432z', 93: '-669x-2294y-215z', 94: '-68x-395y-2366z', 95: '-690x-1573y-1675z', 96: '-695x-387y-2264z', 97: '-705x-772y-2160z', 98: '-734x-360y-2256z', 99: '-75x-1595y-1791z', 100: '-75x-1834y-1545z', 101: '-760x-749y-2149z', 102: '-768x-1780y-1413z', 103: '-773x-330y-2247z', 104: '-779x-1549y-1658z', 105: '-789x-2258y-191z', 106: '-810x-297y-2239z', 107: '-814x-722y-2138z', 108: '-846x-260y-2230z', 109: '-867x-1521y-1640z', 110: '-867x-1750y-1394z', 111: '-867x-692y-2127z', 112: '-880x-221y-2221z', 113: '-906x-2215y-167z', 114: '-90x-807y-2364z', 115: '-912x-179y-2212z', 116: '-920x-658y-2116z', 117: '-942x-134y-2203z', 118: '-94x-414y-2362z', 119: '-955x-1487y-1623z', 120: '-964x-1714y-1374z', 121: '-970x-87y-2193z', 122: '-971x-620y-2105z'}
 
                  
            else:
                print("\n (STEP 664F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 664F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 664F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2500 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight25004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 665F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT25004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight25004xi = queue2eight.get()
                
                if fire2eight25004xi is None:
                    fire2eight25004xi = shot2eight25004xi
                    print("\n (STEP 665F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT25004XI TO SHOT2EIGHT25004XI ", time4xi())  
                    #     
                if ack2debug is True:
                    print("\n (STEP 665F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT25004XI: ", fire2eight25004xi) 
                    # FIRE2EIGHT25004XI:  {1: '-1004x-1786y-1431z', 2: '-1010x-90y-2284z', 3: '-1011x-646y-2192z', 4: '-1063x-603y-2180z', 5: '-1064x-2256y-149z', 6: '-1084x-1509y-1672z', 7: '-1104x-1743y-1411z', 8: '-1112x-556y-2168z', 9: '-1160x-506y-2155z', 10: '-1172x-1463y-1653z', 11: '-1182x-2199y-124z', 12: '-1202x-1694y-1390z', 13: '-1205x-452y-2143z', 14: '-1247x-395y-2130z', 15: '-1258x-1412y-1634z', 16: '-127x-449y-2455z', 17: '-1287x-334y-2116z', 18: '-1296x-2135y-99z', 19: '-1297x-1640y-1369z', 20: '-1341x-1355y-1615z', 21: '-136x-824y-2356z', 22: '-1390x-1580y-1348z', 23: '-1406x-2065y-74z', 24: '-1422x-1294y-1596z', 25: '-1480x-1514y-1327z', 26: '-1500x-1228y-1577z', 27: '-1513x-1989y-49z', 28: '-1567x-1444y-1306z', 29: '-1575x-1157y-1557z', 30: '-159x-465y-2451z', 31: '-1615x-1907y-24z', 32: '-1647x-1081y-1538z', 33: '-1651x-1368y-1285z', 34: '-167x-1673y-1849z', 35: '-1713x-1820y0z', 36: '-1714x-1001y-1518z', 37: '-1730x-1287y-1263z', 38: '-1778x-917y-1498z', 39: '-179x-1919y-1591z', 40: '-1806x-1202y-1241z', 41: '-1837x-829y-1478z', 42: '-184x-2472y-323z', 43: '-184x-839y-2347z', 44: '-1877x-1112y-1220z', 45: '-1891x-737y-1458z', 46: '-192x-479y-2446z', 47: '-1941x-642y-1437z', 48: '-1943x-1018y-1198z', 49: '-1986x-543y-1417z', 50: '-2004x-920y-1176z', 51: '-2025x-441y-1396z', 52: '-2059x-337y-1375z', 53: '-2061x-818y-1154z', 54: '-2088x-230y-1354z', 55: '-2112x-712y-1131z', 56: '-2157x-604y-1109z', 57: '-2196x-493y-1087z', 58: '-227x-490y-2440z', 59: '-234x-851y-2338z', 60: '-24x-367y-2472z', 61: '-257x-1680y-1832z', 62: '-264x-499y-2435z', 63: '-282x-1923y-1571z', 64: '-286x-859y-2329z', 65: '-302x-505y-2429z', 66: '-313x-2462y-298z', 67: '-339x-865y-2320z', 68: '-341x-509y-2423z', 69: '-348x-1682y-1815z', 70: '-382x-510y-2417z', 71: '-385x-1921y-1552z', 72: '-393x-867y-2311z', 73: '-424x-508y-2410z', 74: '-440x-1679y-1798z', 75: '-442x-2445y-274z', 76: '-449x-866y-2301z', 77: '-466x-502y-2404z', 78: '-47x-390y-2468z', 79: '-489x-1913y-1532z', 80: '-505x-861y-2291z', 81: '-509x-494y-2397z', 82: '-533x-1671y-1780z', 83: '-54x-2474y-348z', 84: '-552x-482y-2389z', 85: '-562x-852y-2281z', 86: '-570x-2421y-249z', 87: '-593x-1899y-1512z', 88: '-596x-467y-2382z', 89: '-5x-343y-2476z', 90: '-620x-840y-2271z', 91: '-626x-1657y-1763z', 92: '-639x-449y-2374z', 93: '-677x-824y-2260z', 94: '-681x-428y-2366z', 95: '-697x-1880y-1492z', 96: '-697x-2390y-224z', 97: '-719x-1638y-1745z', 98: '-71x-411y-2464z', 99: '-724x-403y-2358z', 100: '-735x-804y-2250z', 101: '-765x-375y-2350z', 102: '-78x-1661y-1866z', 103: '-78x-1910y-1610z', 104: '-792x-780y-2239z', 105: '-800x-1854y-1472z', 106: '-805x-344y-2341z', 107: '-812x-1614y-1727z', 108: '-821x-2352y-199z', 109: '-844x-309y-2332z', 110: '-848x-752y-2227z', 111: '-881x-271y-2323z', 112: '-903x-1584y-1709z', 113: '-903x-1823y-1452z', 114: '-904x-721y-2216z', 115: '-917x-230y-2314z', 116: '-944x-2308y-174z', 117: '-94x-839y-2458z', 118: '-950x-187y-2304z', 119: '-958x-685y-2204z', 120: '-981x-140y-2294z', 121: '-98x-431y-2460z', 122: '-994x-1549y-1690z'}
 
                  
            else:
                print("\n (STEP 665F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 665F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 665F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2600 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight26004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 666F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT26004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight26004xi = queue2eight.get()
                
                if fire2eight26004xi is None:
                    fire2eight26004xi = shot2eight26004xi
                    print("\n (STEP 666F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT26004XI TO SHOT2EIGHT26004XI ", time4xi())  
                    #  
                if ack2debug is True:
                    print("\n (STEP 666F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT26004XI: ", fire2eight26004xi) 
                    # FIRE2EIGHT26004XI:  {1: '-1021x-145y-2386z', 2: '-102x-448y-2558z', 3: '-1034x-1611y-1758z', 4: '-1044x-1857y-1489z', 5: '-1051x-94y-2376z', 6: '-1052x-672y-2280z', 7: '-1105x-627y-2267z', 8: '-1107x-2347y-155z', 9: '-1127x-1569y-1739z', 10: '-1148x-1813y-1467z', 11: '-1157x-578y-2255z', 12: '-1206x-526y-2242z', 13: '-1219x-1521y-1719z', 14: '-1229x-2287y-129z', 15: '-1250x-1762y-1446z', 16: '-1253x-470y-2228z', 17: '-1297x-411y-2215z', 18: '-1308x-1468y-1700z', 19: '-132x-467y-2554z', 20: '-1338x-348y-2201z', 21: '-1348x-2220y-103z', 22: '-1349x-1705y-1424z', 23: '-1395x-1410y-1680z', 24: '-142x-857y-2450z', 25: '-1446x-1643y-1402z', 26: '-1462x-2147y-77z', 27: '-1479x-1346y-1660z', 28: '-1540x-1575y-1380z', 29: '-1560x-1277y-1640z', 30: '-1573x-2068y-51z', 31: '-1630x-1501y-1358z', 32: '-1638x-1203y-1620z', 33: '-165x-483y-2549z', 34: '-1680x-1984y-25z', 35: '-1712x-1125y-1599z', 36: '-1717x-1423y-1336z', 37: '-173x-1740y-1923z', 38: '-1781x-1893y0z', 39: '-1783x-1042y-1579z', 40: '-1799x-1339y-1314z', 41: '-1849x-954y-1558z', 42: '-186x-1996y-1654z', 43: '-1878x-1250y-1291z', 44: '-1910x-862y-1537z', 45: '-191x-2570y-336z', 46: '-192x-872y-2441z', 47: '-1952x-1156y-1268z', 48: '-1967x-767y-1516z', 49: '-199x-498y-2543z', 50: '-2019x-667y-1495z', 51: '-2021x-1058y-1246z', 52: '-2065x-565y-1474z', 53: '-2085x-956y-1223z', 54: '-2106x-459y-1452z', 55: '-2142x-350y-1430z', 56: '-2143x-850y-1200z', 57: '-2171x-239y-1409z', 58: '-2196x-741y-1177z', 59: '-2243x-628y-1153z', 60: '-2284x-512y-1130z', 61: '-236x-510y-2538z', 62: '-244x-885y-2432z', 63: '-25x-382y-2571z', 64: '-267x-1748y-1905z', 65: '-274x-519y-2532z', 66: '-293x-2000y-1634z', 67: '-297x-894y-2423z', 68: '-314x-526y-2526z', 69: '-326x-2560y-310z', 70: '-353x-899y-2413z', 71: '-355x-529y-2520z', 72: '-362x-1750y-1888z', 73: '-397x-530y-2513z', 74: '-401x-1998y-1614z', 75: '-409x-902y-2403z', 76: '-441x-528y-2507z', 77: '-458x-1747y-1870z', 78: '-460x-2543y-285z', 79: '-467x-900y-2393z', 80: '-485x-522y-2500z', 81: '-48x-406y-2567z', 82: '-509x-1990y-1593z', 83: '-525x-895y-2383z', 84: '-530x-514y-2492z', 85: '-554x-1738y-1852z', 86: '-56x-2573y-362z', 87: '-574x-502y-2485z', 88: '-585x-886y-2373z', 89: '-593x-2518y-259z', 90: '-5x-357y-2575z', 91: '-617x-1975y-1573z', 92: '-619x-486y-2477z', 93: '-644x-873y-2362z', 94: '-651x-1724y-1833z', 95: '-664x-467y-2469z', 96: '-704x-857y-2351z', 97: '-709x-445y-2461z', 98: '-724x-2485y-233z', 99: '-725x-1955y-1552z', 100: '-748x-1704y-1815z', 101: '-74x-428y-2563z', 102: '-753x-419y-2452z', 103: '-764x-836y-2340z', 104: '-795x-390y-2444z', 105: '-81x-1728y-1940z', 106: '-81x-1987y-1674z', 107: '-823x-811y-2328z', 108: '-832x-1929y-1531z', 109: '-837x-357y-2435z', 110: '-844x-1679y-1796z', 111: '-854x-2446y-207z', 112: '-878x-321y-2425z', 113: '-882x-782y-2316z', 114: '-916x-282y-2416z', 115: '-939x-1896y-1510z', 116: '-940x-1648y-1777z', 117: '-940x-750y-2305z', 118: '-953x-240y-2406z', 119: '-982x-2400y-181z', 120: '-988x-194y-2396z', 121: '-98x-871y-2553z', 122: '-996x-713y-2292z'}
 
                  
            else:
                print("\n (STEP 666F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 666F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 666F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2700 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight27004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 667F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT27004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight27004xi = queue2eight.get()
                
                if fire2eight27004xi is None:
                    fire2eight27004xi = shot2eight27004xi
                    print("\n (STEP 667F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT27004XI TO SHOT2EIGHT27004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 667F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT27004XI: ", fire2eight27004xi) 
                    # FIRE2EIGHT27004XI:  {1: '-101x-904y-2648z', 2: '-1020x-2492y-188z', 3: '-1026x-202y-2488z', 4: '-1035x-740y-2381z', 5: '-1060x-151y-2478z', 6: '-106x-466y-2657z', 7: '-1074x-1673y-1826z', 8: '-1084x-1929y-1546z', 9: '-1091x-98y-2467z', 10: '-1092x-698y-2368z', 11: '-1148x-651y-2355z', 12: '-1149x-2437y-161z', 13: '-1171x-1629y-1806z', 14: '-1192x-1882y-1524z', 15: '-1201x-601y-2341z', 16: '-1253x-546y-2328z', 17: '-1266x-1580y-1786z', 18: '-1276x-2375y-134z', 19: '-1298x-1830y-1501z', 20: '-1301x-488y-2314z', 21: '-1347x-426y-2300z', 22: '-1358x-1525y-1765z', 23: '-137x-485y-2652z', 24: '-1390x-361y-2286z', 25: '-1399x-2306y-107z', 26: '-1401x-1771y-1479z', 27: '-1449x-1464y-1745z', 28: '-147x-890y-2544z', 29: '-1501x-1706y-1456z', 30: '-1519x-2230y-80z', 31: '-1536x-1398y-1724z', 32: '-1599x-1635y-1433z', 33: '-1620x-1326y-1703z', 34: '-1634x-2148y-53z', 35: '-1693x-1559y-1410z', 36: '-1701x-1250y-1682z', 37: '-171x-502y-2647z', 38: '-1744x-2060y-26z', 39: '-1778x-1168y-1661z', 40: '-1783x-1477y-1387z', 41: '-180x-1807y-1997z', 42: '-1850x-1966y0z', 43: '-1851x-1082y-1640z', 44: '-1869x-1390y-1364z', 45: '-1920x-991y-1618z', 46: '-194x-2073y-1718z', 47: '-1950x-1298y-1341z', 48: '-1984x-895y-1596z', 49: '-198x-2669y-349z', 50: '-199x-906y-2535z', 51: '-2027x-1201y-1317z', 52: '-2043x-796y-1574z', 53: '-207x-517y-2641z', 54: '-2097x-693y-1552z', 55: '-2099x-1099y-1294z', 56: '-2145x-586y-1530z', 57: '-2165x-993y-1270z', 58: '-2187x-477y-1508z', 59: '-2224x-364y-1485z', 60: '-2226x-883y-1246z', 61: '-2255x-248y-1463z', 62: '-2280x-769y-1222z', 63: '-2329x-652y-1198z', 64: '-2372x-532y-1174z', 65: '-245x-529y-2636z', 66: '-253x-919y-2526z', 67: '-26x-397y-2670z', 68: '-277x-1815y-1979z', 69: '-285x-539y-2630z', 70: '-304x-2077y-1697z', 71: '-309x-928y-2516z', 72: '-326x-546y-2623z', 73: '-338x-2659y-322z', 74: '-366x-934y-2506z', 75: '-369x-550y-2617z', 76: '-376x-1817y-1960z', 77: '-413x-551y-2610z', 78: '-416x-2075y-1676z', 79: '-425x-936y-2496z', 80: '-458x-548y-2603z', 81: '-475x-1814y-1942z', 82: '-477x-2640y-296z', 83: '-485x-935y-2485z', 84: '-504x-543y-2596z', 85: '-50x-421y-2666z', 86: '-528x-2066y-1655z', 87: '-546x-930y-2475z', 88: '-550x-533y-2588z', 89: '-576x-1805y-1923z', 90: '-58x-2672y-376z', 91: '-597x-521y-2581z', 92: '-5x-371y-2674z', 93: '-607x-920y-2464z', 94: '-616x-2614y-269z', 95: '-641x-2051y-1633z', 96: '-643x-505y-2572z', 97: '-669x-907y-2453z', 98: '-676x-1790y-1904z', 99: '-690x-485y-2564z', 100: '-731x-890y-2441z', 101: '-736x-462y-2556z', 102: '-752x-2581y-242z', 103: '-753x-2030y-1612z', 104: '-776x-1770y-1884z', 105: '-77x-444y-2661z', 106: '-782x-435y-2547z', 107: '-793x-868y-2430z', 108: '-826x-405y-2538z', 109: '-84x-1794y-2015z', 110: '-84x-2063y-1739z', 111: '-855x-842y-2418z', 112: '-864x-2003y-1590z', 113: '-870x-371y-2528z', 114: '-876x-1743y-1865z', 115: '-887x-2540y-215z', 116: '-911x-334y-2519z', 117: '-916x-812y-2406z', 118: '-952x-293y-2509z', 119: '-975x-1969y-1568z', 120: '-976x-1711y-1845z', 121: '-976x-778y-2393z', 122: '-990x-249y-2499z'}
 
                  
            else:
                print("\n (STEP 667F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 667F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 667F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2800 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight28004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 668F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT28004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight28004xi = queue2eight.get()
                
                if fire2eight28004xi is None:
                    fire2eight28004xi = shot2eight28004xi
                    print("\n (STEP 668F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT28004XI TO SHOT2EIGHT28004XI ", time4xi())  
                    # 
                if ack2debug is True:
                    print("\n (STEP 668F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT28004XI: ", fire2eight28004xi) 
                    # FIRE2EIGHT28004XI:  {1: '-1011x-2042y-1626z', 2: '-1012x-1774y-1914z', 3: '-1012x-807y-2482z', 4: '-1027x-258y-2591z', 5: '-1057x-2585y-195z', 6: '-105x-936y-2742z', 7: '-1064x-209y-2581z', 8: '-1073x-768y-2469z', 9: '-1099x-157y-2570z', 10: '-110x-483y-2755z', 11: '-1114x-1735y-1893z', 12: '-1124x-2000y-1603z', 13: '-1132x-101y-2558z', 14: '-1133x-724y-2455z', 15: '-1190x-675y-2442z', 16: '-1192x-2527y-167z', 17: '-1214x-1690y-1873z', 18: '-1236x-1952y-1580z', 19: '-1246x-623y-2428z', 20: '-1299x-567y-2414z', 21: '-1312x-1638y-1852z', 22: '-1323x-2463y-139z', 23: '-1346x-1897y-1557z', 24: '-1349x-506y-2400z', 25: '-1397x-442y-2385z', 26: '-1409x-1581y-1831z', 27: '-143x-503y-2750z', 28: '-1441x-374y-2370z', 29: '-1451x-2391y-111z', 30: '-1453x-1836y-1534z', 31: '-1502x-1518y-1809z', 32: '-153x-923y-2638z', 33: '-1557x-1769y-1510z', 34: '-1575x-2313y-83z', 35: '-1593x-1449y-1788z', 36: '-1658x-1696y-1486z', 37: '-1680x-1375y-1766z', 38: '-1694x-2228y-55z', 39: '-1755x-1617y-1463z', 40: '-1764x-1296y-1744z', 41: '-178x-521y-2745z', 42: '-1809x-2136y-27z', 43: '-1844x-1211y-1722z', 44: '-1849x-1532y-1439z', 45: '-187x-1874y-2071z', 46: '-1918x-2039y0z', 47: '-1920x-1122y-1700z', 48: '-1938x-1442y-1415z', 49: '-1991x-1027y-1678z', 50: '-201x-2150y-1781z', 51: '-2022x-1346y-1390z', 52: '-2057x-929y-1655z', 53: '-206x-2768y-362z', 54: '-207x-940y-2629z', 55: '-2102x-1245y-1366z', 56: '-2118x-826y-1633z', 57: '-215x-536y-2739z', 58: '-2174x-719y-1610z', 59: '-2176x-1140y-1342z', 60: '-2224x-608y-1587z', 61: '-2245x-1030y-1317z', 62: '-2268x-494y-1564z', 63: '-2307x-377y-1541z', 64: '-2308x-916y-1292z', 65: '-2338x-258y-1517z', 66: '-2365x-798y-1267z', 67: '-2416x-676y-1242z', 68: '-2460x-552y-1217z', 69: '-254x-549y-2733z', 70: '-262x-953y-2619z', 71: '-27x-411y-2769z', 72: '-288x-1882y-2052z', 73: '-295x-559y-2727z', 74: '-316x-2154y-1760z', 75: '-320x-962y-2609z', 76: '-338x-566y-2721z', 77: '-351x-2757y-334z', 78: '-380x-969y-2599z', 79: '-383x-570y-2714z', 80: '-390x-1884y-2033z', 81: '-428x-571y-2707z', 82: '-431x-2152y-1738z', 83: '-441x-971y-2588z', 84: '-475x-569y-2700z', 85: '-493x-1881y-2014z', 86: '-495x-2738y-306z', 87: '-503x-969y-2577z', 88: '-522x-563y-2692z', 89: '-52x-437y-2765z', 90: '-548x-2143y-1716z', 91: '-566x-964y-2566z', 92: '-570x-553y-2684z', 93: '-597x-1872y-1994z', 94: '-5x-385y-2773z', 95: '-60x-2771y-390z', 96: '-619x-540y-2676z', 97: '-630x-954y-2555z', 98: '-638x-2711y-279z', 99: '-664x-2127y-1694z', 100: '-667x-524y-2668z', 101: '-694x-941y-2544z', 102: '-701x-1856y-1974z', 103: '-715x-503y-2659z', 104: '-758x-923y-2532z', 105: '-763x-479y-2650z', 106: '-780x-2677y-251z', 107: '-781x-2105y-1671z', 108: '-805x-1835y-1954z', 109: '-80x-461y-2760z', 110: '-811x-452y-2641z', 111: '-823x-900y-2520z', 112: '-857x-420y-2632z', 113: '-87x-1860y-2090z', 114: '-87x-2140y-1803z', 115: '-887x-874y-2507z', 116: '-896x-2077y-1649z', 117: '-902x-385y-2622z', 118: '-909x-1808y-1934z', 119: '-920x-2634y-223z', 120: '-945x-346y-2612z', 121: '-950x-843y-2495z', 122: '-987x-304y-2602z'}
 
                  
            else:
                print("\n (STEP 668F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 668F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 668F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 2900 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight29004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 669F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT29004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight29004xi = queue2eight.get()
                if fire2eight29004xi is None:
                    fire2eight29004xi = shot2eight29004xi
                    print("\n (STEP 669F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT29004XI TO SHOT2EIGHT29004XI ", time4xi())  
                    #                     
                if ack2debug is True:
                    print("\n (STEP 669F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT29004XI: ", fire2eight29004xi) 
                    # FIRE2EIGHT29004XI:  {1: '-1022x-315y-2695z', 2: '-1047x-2115y-1684z', 3: '-1048x-1838y-1982z', 4: '-1048x-836y-2571z', 5: '-1063x-267y-2684z', 6: '-1095x-2677y-202z', 7: '-109x-968y-2837z', 8: '-1102x-217y-2673z', 9: '-1112x-795y-2557z', 10: '-1139x-162y-2661z', 11: '-114x-500y-2854z', 12: '-1153x-1797y-1961z', 13: '-1165x-2072y-1660z', 14: '-1172x-105y-2650z', 15: '-1173x-749y-2543z', 16: '-1233x-699y-2529z', 17: '-1235x-2618y-173z', 18: '-1257x-1750y-1939z', 19: '-1280x-2022y-1637z', 20: '-1290x-645y-2515z', 21: '-1345x-587y-2500z', 22: '-1359x-1697y-1918z', 23: '-1371x-2551y-144z', 24: '-1394x-1965y-1613z', 25: '-1398x-524y-2485z', 26: '-1447x-458y-2470z', 27: '-1459x-1638y-1896z', 28: '-148x-521y-2848z', 29: '-1493x-388y-2455z', 30: '-1503x-2477y-115z', 31: '-1505x-1902y-1588z', 32: '-1556x-1572y-1874z', 33: '-158x-956y-2733z', 34: '-1613x-1832y-1564z', 35: '-1631x-2395y-86z', 36: '-1650x-1501y-1852z', 37: '-1717x-1757y-1540z', 38: '-1741x-1425y-1829z', 39: '-1755x-2307y-57z', 40: '-1818x-1675y-1515z', 41: '-1827x-1342y-1807z', 42: '-184x-539y-2843z', 43: '-1873x-2213y-28z', 44: '-1910x-1255y-1784z', 45: '-1915x-1587y-1490z', 46: '-193x-1941y-2145z', 47: '-1987x-2112y0z', 48: '-1989x-1162y-1761z', 49: '-2007x-1493y-1465z', 50: '-2062x-1064y-1738z', 51: '-208x-2227y-1845z', 52: '-2095x-1394y-1440z', 53: '-2131x-962y-1715z', 54: '-213x-2867y-375z', 55: '-214x-973y-2723z', 56: '-2177x-1290y-1415z', 57: '-2194x-855y-1691z', 58: '-223x-555y-2837z', 59: '-2252x-744y-1667z', 60: '-2254x-1181y-1389z', 61: '-2304x-630y-1644z', 62: '-2325x-1067y-1364z', 63: '-2349x-512y-1620z', 64: '-2389x-391y-1596z', 65: '-2391x-949y-1338z', 66: '-2422x-267y-1571z', 67: '-2449x-826y-1312z', 68: '-2502x-701y-1287z', 69: '-2548x-571y-1261z', 70: '-263x-569y-2831z', 71: '-272x-987y-2713z', 72: '-28x-426y-2868z', 73: '-298x-1949y-2125z', 74: '-306x-579y-2824z', 75: '-327x-2231y-1823z', 76: '-332x-997y-2702z', 77: '-350x-586y-2818z', 78: '-363x-2856y-346z', 79: '-393x-1003y-2692z', 80: '-396x-591y-2811z', 81: '-404x-1952y-2106z', 82: '-443x-591y-2804z', 83: '-447x-2228y-1800z', 84: '-456x-1006y-2681z', 85: '-492x-589y-2796z', 86: '-511x-1948y-2085z', 87: '-513x-2836y-317z', 88: '-521x-1004y-2670z', 89: '-541x-583y-2788z', 90: '-54x-453y-2863z', 91: '-567x-2219y-1777z', 92: '-586x-998y-2658z', 93: '-591x-573y-2780z', 94: '-618x-1939y-2065z', 95: '-63x-2870y-404z', 96: '-641x-560y-2772z', 97: '-652x-989y-2646z', 98: '-661x-2808y-289z', 99: '-688x-2203y-1754z', 100: '-691x-542y-2763z', 101: '-6x-398y-2872z', 102: '-719x-974y-2634z', 103: '-726x-1923y-2045z', 104: '-741x-521y-2754z', 105: '-785x-956y-2622z', 106: '-791x-496y-2745z', 107: '-808x-2181y-1731z', 108: '-808x-2772y-260z', 109: '-834x-1901y-2024z', 110: '-839x-468y-2735z', 111: '-83x-477y-2859z', 112: '-852x-932y-2610z', 113: '-887x-435y-2726z', 114: '-90x-1927y-2164z ', 115: '-90x-2216y-1867z', 116: '-918x-905y-2597z', 117: '-928x-2151y-1708z', 118: '-934x-399y-2716z', 119: '-941x-1872y-2003z', 120: '-953x-2729y-231z', 121: '-979x-359y-2705z', 122: '-984x-873y-2584z '}
 
                  
            else:
                print("\n (STEP 669F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 669F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 669F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 3000 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight30004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 670F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT30004XI FROM QUEUE: ", queue2eight)
                    # 
                
                fire2eight30004xi = queue2eight.get()
                if fire2eight30004xi is None:
                    fire2eight30004xi = shot2eight30004xi
                    print("\n (STEP 670F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT30004XI TO SHOT2EIGHT30004XI ", time4xi())  
                    #                      
                if ack2debug is True:
                    print("\n (STEP 670F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT30004XI: ", fire2eight30004xi) 
                    # FIRE2EIGHT30004XI:  {1: '-1013x-371y-2799z', 2: '-1018x-903y-2673z', 3: '-1058x-326y-2788z', 4: '-1083x-2188y-1742z', 5: '-1084x-1901y-2051z', 6: '-1084x-865y-2659z', 7: '-1100x-277y-2777z', 8: '-112x-1000y-2931z', 9: '-1133x-2769y-209z', 10: '-1140x-224y-2765z', 11: '-1150x-822y-2645z', 12: '-1178x-168y-2753z', 13: '-118x-517y-2952z', 14: '-1193x-1859y-2029z', 15: '-1205x-2143y-1718z', 16: '-1212x-108y-2741z', 17: '-1214x-775y-2631z', 18: '-1275x-724y-2616z', 19: '-1277x-2708y-179z', 20: '-1301x-1810y-2006z', 21: '-1325x-2091y-1693z', 22: '-1335x-667y-2602z', 23: '-1392x-607y-2586z', 24: '-1406x-1755y-1984z', 25: '-1418x-2639y-149z', 26: '-1442x-2033y-1668z', 27: '-1446x-542y-2571z', 28: '-1497x-474y-2556z', 29: '-1509x-1694y-1961z', 30: '-153x-539y-2947z', 31: '-1544x-401y-2540z', 32: '-1555x-2562y-119z', 33: '-1557x-1968y-1643z', 34: '-1610x-1627y-1939z', 35: '-164x-989y-2827z', 36: '-1668x-1896y-1618z', 37: '-1687x-2478y-89z', 38: '-1707x-1553y-1916z', 39: '-1776x-1817y-1593z', 40: '-1801x-1474y-1892z', 41: '-1815x-2387y-59z', 42: '-1881x-1732y-1567z', 43: '-1890x-1389y-1869z', 44: '-190x-558y-2941z', 45: '-1938x-2289y-29z', 46: '-1976x-1298y-1845z', 47: '-1981x-1642y-1542z', 48: '-200x-2008y-2219z', 49: '-2055x-2184y0z', 50: '-2057x-1202y-1822z', 51: '-2076x-1545y-1516z', 52: '-2133x-1101y-1798z', 53: '-215x-2303y-1909z', 54: '-2167x-1442y-1490z', 55: '-2204x-995y-1774z', 56: '-220x-2966y-388z', 57: '-221x-1007y-2817z', 58: '-2252x-1334y-1464z', 59: '-2270x-885y-1749z', 60: '-230x-574y-2935z', 61: '-2330x-770y-1725z', 62: '-2332x-1221y-1437z', 63: '-2383x-652y-1700z', 64: '-2405x-1104y-1411z', 65: '-2431x-530y-1676z', 66: '-2471x-404y-1651z', 67: '-2473x-981y-1384z', 68: '-2505x-276y-1625z', 69: '-2534x-855y-1358z', 70: '-2588x-725y-1331z', 71: '-2635x-591y-1304z', 72: '-272x-588y-2928z', 73: '-281x-1021y-2806z', 74: '-29x-441y-2967z', 75: '-308x-2017y-2199z', 76: '-316x-599y-2922z', 77: '-338x-2308y-1886z', 78: '-343x-1031y-2795z', 79: '-362x-607y-2915z', 80: '-376x-2954y-358z', 81: '-407x-1038y-2784z', 82: '-410x-611y-2908z', 83: '-418x-2019y-2178z', 84: '-459x-612y-2900z', 85: '-462x-2305y-1862z', 86: '-472x-1040y-2773z', 87: '-509x-609y-2892z', 88: '-528x-2015y-2157z', 89: '-530x-2934y-328z', 90: '-539x-1039y-2762z', 91: '-560x-603y-2884z', 92: '-56x-468y-2962z', 93: '-587x-2296y-1839z', 94: '-606x-1033y-2750z', 95: '-611x-593y-2876z', 96: '-640x-2005y-2136z', 97: '-65x-2969y-418z', 98: '-663x-579y-2867z', 99: '-675x-1023y-2738z', 100: '-684x-2905y-299z', 101: '-6x-412y-2971z', 102: '-712x-2279y-1815z', 103: '-715x-561y-2858z', 104: '-744x-1008y-2725z', 105: '-751x-1989y-2115z', 106: '-767x-539y-2849z', 107: '-813x-989y-2713z', 108: '-818x-514y-2840z', 109: '-836x-2256y-1791z', 110: '-836x-2868y-269z', 111: '-85x-494y-2957z', 112: '-863x-1966y-2094z', 113: '-868x-484y-2830z', 114: '-882x-965y-2700z', 115: '-918x-450y-2820z', 116: '-94x-1993y-2239z', 117: '-94x-2292y-1932z', 118: '-950x-936y-2686z', 119: '-960x-2225y-1767z', 120: '-966x-412y-2809z', 121: '-974x-1937y-2072z', 122: '-986x-2823y-239z'}
 
                  
            else:
                print("\n (STEP 670F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 670F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 670F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 3100 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight31004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 671F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT31004XI FROM QUEUE: ", queue2eight) 
                    # 
                
                fire2eight31004xi = queue2eight.get()
                if fire2eight31004xi is None:
                    fire2eight31004xi = shot2eight31004xi
                    print("\n (STEP 671F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT31004XI TO SHOT2EIGHT31004XI ", time4xi())  
                    #                 
                if ack2debug is True:
                    print("\n (STEP 671F3/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT31004XI: ", fire2eight31004xi) 
                    # FIRE2EIGHT31004XI:  {1: '-1006x-2002y-2141z', 2: '-1019x-2917y-247z', 3: '-1047x-383y-2892z', 4: '-1052x-933y-2762z', 5: '-1093x-337y-2881z', 6: '-1119x-2261y-1800z', 7: '-1120x-1965y-2119z', 8: '-1121x-894y-2748z', 9: '-1137x-286y-2869z', 10: '-116x-1033y-3026z', 11: '-1171x-2862y-216z', 12: '-1178x-231y-2857z', 13: '-1188x-850y-2733z', 14: '-1217x-174y-2845z', 15: '-122x-535y-3051z', 16: '-1233x-1921y-2096z', 17: '-1245x-2214y-1775z', 18: '-1253x-112y-2833z', 19: '-1254x-801y-2719z', 20: '-1318x-748y-2704z', 21: '-1320x-2798y-185z', 22: '-1344x-1871y-2073z', 23: '-1369x-2161y-1750z', 24: '-1379x-690y-2688z', 25: '-1438x-627y-2673z', 26: '-1453x-1814y-2050z', 27: '-1465x-2727y-154z', 28: '-1490x-2101y-1724z', 29: '-1494x-561y-2657z', 30: '-1547x-490y-2641z', 31: '-1560x-1751y-2027z', 32: '-158x-557y-3045z', 33: '-1596x-415y-2624z', 34: '-1607x-2647y-123z', 35: '-1609x-2033y-1698z', 36: '-1663x-1681y-2003z', 37: '-169x-1022y-2921z', 38: '-1724x-1959y-1672z', 39: '-1744x-2561y-92z', 40: '-1764x-1605y-1979z', 41: '-1836x-1878y-1646z', 42: '-1861x-1523y-1956z', 43: '-1876x-2466y-61z', 44: '-1943x-1790y-1619z', 45: '-1953x-1435y-1931z', 46: '-197x-577y-3039z', 47: '-2003x-2365y-30z', 48: '-2042x-1341y-1907z', 49: '-2047x-1696y-1593z', 50: '-207x-2075y-2293z', 51: '-2124x-2257y0z', 52: '-2126x-1242y-1882z', 53: '-2146x-1596y-1566z', 54: '-2204x-1138y-1858z', 55: '-222x-2380y-1972z', 56: '-2239x-1490y-1539z', 57: '-2278x-1028y-1833z', 58: '-228x-3065y-401z', 59: '-229x-1040y-2911z', 60: '-2327x-1379y-1512z', 61: '-2345x-914y-1808z', 62: '-238x-594y-3033z', 63: '-2407x-796y-1783z', 64: '-2410x-1262y-1485z', 65: '-2463x-673y-1757z', 66: '-2486x-1140y-1458z', 67: '-2512x-547y-1731z', 68: '-2554x-418y-1706z', 69: '-2555x-1014y-1431z', 70: '-2589x-285y-1680z', 71: '-2618x-883y-1403z', 72: '-2674x-749y-1375z', 73: '-2723x-611y-1347z', 74: '-281x-608y-3026z', 75: '-291x-1055y-2900z', 76: '-30x-456y-3066z', 77: '-318x-2084y-2272z', 78: '-327x-619y-3019z', 79: '-350x-2385y-1948z', 80: '-355x-1066y-2889z', 81: '-374x-627y-3012z', 82: '-388x-3053y-370z', 83: '-420x-1072y-2877z', 84: '-424x-631y-3005z', 85: '-432x-2086y-2251z', 86: '-474x-632y-2997z', 87: '-478x-2382y-1924z', 88: '-488x-1075y-2866z', 89: '-526x-630y-2989z', 90: '-546x-2083y-2229z', 91: '-548x-3032y-339z', 92: '-557x-1073y-2854z', 93: '-578x-623y-2980z', 94: '-58x-484y-3061z', 95: '-607x-2372y-1900z', 96: '-627x-1067y-2841z', 97: '-631x-613y-2972z', 98: '-661x-2072y-2208z', 99: '-67x-3068y-432z', 100: '-685x-598y-2963z', 101: '-697x-1057y-2829z', 102: '-6x-426y-3070z', 103: '-707x-3002y-309z', 104: '-736x-2355y-1875z', 105: '-739x-580y-2954z', 106: '-768x-1041y-2816z', 107: '-776x-2055y-2186z', 108: '-792x-557y-2944z', 109: '-840x-1022y-2803z', 110: '-845x-531y-2934z', 111: '-864x-2331y-1850z', 112: '-864x-2964y-278z', 113: '-88x-510y-3056z', 114: '-892x-2032y-2164z', 115: '-897x-500y-2924z', 116: '-911x-997y-2790z', 117: '-949x-465y-2914z', 118: '-97x-2060y-2314z', 119: '-97x-2369y-1996z', 120: '-982x-967y-2776z', 121: '-992x-2299y-1825z', 122: '-998x-426y-2903z'}
 
                  
            else:
                print("\n (STEP 671F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 671F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 671F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 3200 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight32004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True:

            if ack2eight4run is True:
    
                # -------------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -------------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 672F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT32004XI FROM QUEUE: ", queue2eight)
                    # 
                fire2eight32004xi = queue2eight.get()
                if fire2eight32004xi is None:
                    fire2eight32004xi = shot2eight32004xi
                    print("\n (STEP 673F2/800) OF COLOR_NOUNS4XI ** YIELDED GETTING PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " - SET FIRE2EIGHT32004XI TO SHOT2EIGHT32004XI ", time4xi())  
                    # 
                                            
                if ack2debug is True:
                    print("\n (STEP 672F3/800) OF COLOR_NOUNS4XI - FIRE2EIGHT32004XI: ", fire2eight32004xi) 
                    # FIRE2EIGHT32004XI:  {1: '-100x-2126y-2388z', 2: '-100x-2445y-2061z', 3: '-1013x-998y-2866z', 4: '-1024x-2374y-1884z', 5: '-1031x-440y-2997z', 6: '-1039x-2066y-2211z', 7: '-1052x-3011y-255z', 8: '-1080x-396y-2985z', 9: '-1086x-963y-2851z', 10: '-1128x-347y-2974z', 11: '-1156x-2334y-1858z', 12: '-1157x-2028y-2187z', 13: '-1157x-923y-2836z', 14: '-1174x-295y-2962z', 15: '-119x-1065y-3120z', 16: '-1209x-2954y-223z', 17: '-1216x-239y-2949z', 18: '-1227x-877y-2822z', 19: '-1256x-179y-2937z', 20: '-126x-552y-3149z', 21: '-1273x-1983y-2164z', 22: '-1285x-2286y-1832z', 23: '-1293x-116y-2924z', 24: '-1295x-827y-2806z', 25: '-1360x-772y-2791z', 26: '-1362x-2888y-191z', 27: '-1387x-1931y-2140z', 28: '-1413x-2231y-1806z', 29: '-1424x-712y-2775z', 30: '-1485x-648y-2759z', 31: '-1500x-1872y-2116z', 32: '-1513x-2815y-159z', 33: '-1538x-2168y-1779z', 34: '-1542x-579y-2743z', 35: '-1596x-505y-2726z', 36: '-1610x-1807y-2092z', 37: '-163x-575y-3143z', 38: '-1647x-428y-2709z', 39: '-1659x-2733y-127z', 40: '-1660x-2099y-1753z', 41: '-1717x-1735y-2068z', 42: '-175x-1055y-3015z', 43: '-1780x-2022y-1726z', 44: '-1800x-2643y-95z', 45: '-1821x-1657y-2043z', 46: '-1895x-1938y-1699z', 47: '-1921x-1572y-2019z', 48: '-1936x-2546y-63z', 49: '-2006x-1848y-1672z', 50: '-2016x-1481y-1994z', 51: '-203x-595y-3137z', 52: '-2067x-2441y-31z', 53: '-2108x-1384y-1969z', 54: '-2113x-1751y-1644z', 55: '-213x-2142y-2367z', 56: '-2192x-2330y0z', 57: '-2194x-1282y-1943z', 58: '-2215x-1648y-1617z', 59: '-2276x-1174y-1918z', 60: '-230x-2457y-2036z', 61: '-2311x-1538y-1589z', 62: '-2351x-1061y-1892z', 63: '-235x-3164y-414z', 64: '-236x-1074y-3004z', 65: '-2402x-1423y-1561z', 66: '-2421x-944y-1866z', 67: '-246x-613y-3131z', 68: '-2485x-821y-1840z', 69: '-2487x-1303y-1533z', 70: '-2542x-695y-1814z', 71: '-2566x-1177y-1505z', 72: '-2593x-565y-1787z', 73: '-2636x-431y-1761z', 74: '-2638x-1047y-1477z', 75: '-2672x-295y-1734z', 76: '-2703x-912y-1448z', 77: '-2761x-773y-1420z', 78: '-2811x-631y-1391z', 79: '-291x-627y-3124z', 80: '-300x-1089y-2993z', 81: '-31x-470y-3165z', 82: '-329x-2151y-2345z', 83: '-338x-639y-3117z', 84: '-361x-2462y-2011z', 85: '-366x-1100y-2982z', 86: '-387x-647y-3109z', 87: '-401x-3151y-382z', 88: '-434x-1107y-2970z', 89: '-437x-652y-3102z', 90: '-446x-2154y-2323z', 91: '-489x-653y-3094z', 92: '-493x-2459y-1986z', 93: '-504x-1110y-2958z', 94: '-543x-650y-3085z', 95: '-564x-2150y-2301z', 96: '-566x-3129y-350z', 97: '-575x-1108y-2946z', 98: '-597x-643y-3077z', 99: '-60x-499y-3160z', 100: '-626x-2449y-1961z', 101: '-647x-1102y-2933z', 102: '-652x-632y-3068z', 103: '-682x-2139y-2279z', 104: '-69x-3167y-446z', 105: '-6x-440y-3169z', 106: '-707x-618y-3058z', 107: '-720x-1091y-2920z', 108: '-730x-3099y-319z', 109: '-759x-2431y-1936z', 110: '-763x-599y-3049z', 111: '-793x-1075y-2907z', 112: '-801x-2122y-2256z', 113: '-818x-575y-3039z', 114: '-867x-1054y-2893z', 115: '-872x-548y-3029z', 116: '-892x-2406y-1910z', 117: '-892x-3059y-287z', 118: '-91x-527y-3154z', 119: '-920x-2097y-2234z', 120: '-926x-516y-3018z', 121: '-940x-1029y-2880z', 122: '-979x-480y-3008z'}
 
                  
            else:
                print("\n (STEP 672F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 672F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 672F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               

        
    #=========
    # 3300 EIGHT
    #=========
    
    # =============================================================================================   
    # GET COORDINATE DICTIONARY FROM QUEUE 
    # =============================================================================================  
    fire2eight33004xi = {}
    
    if ack2eight4process is True:

        if ack2eight4start is True: 

            if ack2eight4run is True:
    
                # -----------------------------------------------------------------------------------------    
                # 1 - GET COORDINATE DICTIONARY FROM QUEUE  WHERE TARGET PUT IT
                # -----------------------------------------------------------------------------------------     
                if ack2debug is True:
                    print("\n (STEP 673F1/800) OF COLOR_NOUNS4XI - TRYING TO GET FIRE2EIGHT33004XI FROM QUEUE: ", queue2eight)   
                    # 
                fire2eight33004xi = queue2eight.get()
                if ack2debug is True:
                    print("\n (STEP 673F2/800) OF COLOR_NOUNS4XI -  GOT FROM QUEUE2EIGHT: ", queue2eight, " FIRE2EIGHT33004XI: ", fire2eight33004xi) 
                    # FIRE2EIGHT33004XI:  {1: '-1010x-495y-3102z', 2: '-103x-2193y-2463z', 3: '-103x-2522y-2125z', 4: '-1045x-1030y-2955z', 5: '-1056x-2448y-1943z', 6: '-1063x-454y-3090z', 7: '-1071x-2131y-2280z', 8: '-1084x-3105y-263z', 9: '-1114x-408y-3079z', 10: '-1120x-993y-2940z', 11: '-1163x-358y-3067z', 12: '-1192x-2406y-1917z', 13: '-1193x-2091y-2256z', 14: '-1193x-951y-2925z', 15: '-1210x-304y-3054z', 16: '-123x-1097y-3215z', 17: '-1246x-3046y-230z', 18: '-1254x-246y-3042z', 19: '-1265x-905y-2910z', 20: '-1296x-185y-3029z', 21: '-130x-569y-3247z', 22: '-1313x-2045y-2231z', 23: '-1325x-2357y-1890z', 24: '-1334x-119y-3015z', 25: '-1335x-853y-2894z', 26: '-1403x-796y-2878z', 27: '-1405x-2979y-197z', 28: '-1431x-1991y-2207z', 29: '-1457x-2301y-1862z', 30: '-1468x-734y-2862z', 31: '-1531x-668y-2845z', 32: '-1547x-1931y-2182z', 33: '-1560x-2903y-164z', 34: '-1586x-2236y-1835z', 35: '-1590x-597y-2828z', 36: '-1646x-521y-2811z', 37: '-1660x-1864y-2158z', 38: '-168x-593y-3241z', 39: '-1699x-441y-2794z', 40: '-1710x-2818y-131z', 41: '-1712x-2164y-1808z', 42: '-1771x-1789y-2132z', 43: '-180x-1088y-3110z', 44: '-1835x-2085y-1780z', 45: '-1856x-2726y-98z', 46: '-1878x-1708y-2107z', 47: '-1954x-1999y-1752z', 48: '-1981x-1621y-2082z', 49: '-1997x-2626y-65z', 50: '-2069x-1906y-1724z', 51: '-2079x-1527y-2056z', 52: '-209x-614y-3235z', 53: '-2132x-2518y-32z', 54: '-2174x-1428y-2030z', 55: '-2179x-1806y-1696z', 56: '-220x-2209y-2441z', 57: '-2261x-2403y0z', 58: '-2263x-1322y-2004z', 59: '-2284x-1699y-1667z', 60: '-2347x-1211y-1978z', 61: '-237x-2534y-2100z', 62: '-2384x-1587y-1639z', 63: '-2425x-1095y-1951z', 64: '-242x-3263y-427z', 65: '-244x-1107y-3098z', 66: '-2477x-1468y-1610z', 67: '-2497x-973y-1924z', 68: '-253x-632y-3228z', 69: '-2563x-847y-1898z', 70: '-2565x-1344y-1581z', 71: '-2622x-717y-1870z', 72: '-2646x-1214y-1552z', 73: '-2674x-583y-1843z', 74: '-2719x-445y-1816z', 75: '-2720x-1079y-1523z', 76: '-2756x-304y-1788z', 77: '-2787x-940y-1494z', 78: '-2847x-797y-1464z', 79: '-2899x-650y-1434z', 80: '-300x-647y-3221z', 81: '-309x-1123y-3087z', 82: '-32x-485y-3263z', 83: '-339x-2218y-2419z', 84: '-348x-659y-3214z', 85: '-372x-2539y-2074z', 86: '-378x-1134y-3075z', 87: '-399x-667y-3206z', 88: '-413x-3250y-394z', 89: '-448x-1142y-3063z', 90: '-451x-672y-3199z', 91: '-460x-2221y-2396z', 92: '-505x-673y-3190z', 93: '-509x-2536y-2048z', 94: '-519x-1144y-3051z', 95: '-560x-670y-3182z', 96: '-581x-2217y-2373z', 97: '-584x-3227y-361z', 98: '-593x-1143y-3038z', 99: '-616x-663y-3173z', 100: '-62x-515y-3258z', 101: '-646x-2525y-2022z', 102: '-667x-1136y-3025z', 103: '-672x-652y-3164z', 104: '-6x-453y-3268z', 105: '-704x-2206y-2350z', 106: '-71x-3266y-460z', 107: '-729x-637y-3154z', 108: '-742x-1125y-3011z', 109: '-752x-3196y-328z', 110: '-783x-2507y-1996z', 111: '-786x-617y-3144z', 112: '-818x-1109y-2998z', 113: '-826x-2188y-2327z', 114: '-843x-593y-3134z', 115: '-894x-1087y-2984z', 116: '-900x-565y-3124z', 117: '-920x-2481y-1970z', 118: '-920x-3155y-296z', 119: '-949x-2163y-2303z', 120: '-94x-543y-3253z', 121: '-955x-532y-3113z', 122: '-970x-1061y-2970z'}
 
                      
                    if fire2eight33004xi is None:
                        print("\n (STEP 674F3/800) OF COLOR_NOUNS4XI ** WARNED - GOT NONE DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " TRYING TO GET ONCE MORE ", time4xi()) 
                        fire2eight33004xi = queue2eight.get()
                    
                        if fire2eight33004xi is None:
                            fire2eight33004xi = shot2eight33004xi
                            print("\n (STEP 673F4/800) OF COLOR_NOUNS4XI ** YIELDED GETTING - EVEN AFTER TRYING TWICE - PROPER DICTIONARY FROM QUEUE2EIGHT: ", queue2eight, " SET FIRE2EIGHT33004XI TO SHOT2EIGHT33004XI: ", fire2eight33004xi) 
                            # 
                            
            else:
                print("\n (STEP 673F4/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED RUNNING PROCESS EIGHT ", time4xi())                 
        else:
            print("\n (STEP 673F5/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED STARTING PROCESS EIGHT ", time4xi())                                         
    else:
        print("\n (STEP 673F6/800) OF COLOR_NOUNS4XI ** SKIPPED GETTING COORDINATE DICTIONARY - FAILED IN CREATING PROCESS EIGHT ", time4xi())                    
               
            
    # =========================================================================================================   
    # II/VIII EOF - EIGHT DIRECTION LAYERS 10, 100 ...3300 QUEUE DIRECTORIES 
    # =========================================================================================================  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    # =========================================================================================================   
    # GO THROUGH NOUN2CLUSTER4XI 
    # =========================================================================================================   
    
    
    if ack2debug is True:
        print('=' *70)
        print("\n (STEP 1A/21) OF COLOR-NOUNS4XI - STARTING TO GO THROUGH Noun2Cluster4Xi ", time4xi())  
        print('=' *70)
        # 00:52:42 03/11/13 Pacific Daylight Time
       
    key2alpha  = 'a'                                                         # defaults
    key2verb   = 'color-aced'                                        
    
    Colors2Nouns = {'color-aced': '#4F623B'}
    
    keys2noun = Noun2Cluster4Xi.keys()                              
    if ack2debug is True:                                            
        print('(STEP 1B/21) OF COLOR-NOUNS4XI - KEYS2NOUN: ', keys2noun)  # '-freeing-by-', '-ventured-by-', '-list-by-' ...              
    
    
    for key2noun in keys2noun:                                                     # -abbreviate-by- ...-passed-to- ...
         
        # -----------------------------------------------------------------------------
        #                                               
        # ----------------------------------------------------------------------------- 
        key2examine = key2noun[1:]                                                  # freeing-by- 
        index2by = str.find(key2examine,'-by-')                                                    
        if index2by == -1:
            index2to = str.find(key2examine,'-to-')                                  # -passed-to-
            if index2to ==  -1:
                index2colon = str.find(key2examine,':')                              # born:
                if index2colon == -1:
                    key2verb = 'color-' + key2noun[1:]                              # color-started
                    if ack2debug is True:
                        print('(STEP 1C1/21) OF COLOR-NOUNS4XI - KEY2VERB: ', key2verb) #
                else: 
                    key2verb = 'color-' + key2noun[1:index2colon+1]                 # color-born 
                    if ack2debug is True:
                        print('(STEP 1C2/21) OF COLOR-NOUNS4XI - KEY2VERB: ', key2verb) #  
            else:
                key2verb = 'color-' + key2noun[1:index2to+1]                        # color-passed
                if ack2debug is True:
                    print('(STEP 1C3/21) OF COLOR-NOUNS4XI - KEY2VERB: ', key2verb)     #   
        else:
            key2verb = 'color-' + key2noun[1:index2by+1]                            # color-taking-into-account
            if ack2debug is True:
                print('(STEP 1C4/21) OF COLOR-NOUNS4XI - KEY2VERB: ', key2verb)         # 
                    
        # -----------------------------------------------------------------------------
        #                                               
        # -----------------------------------------------------------------------------         
        try:                        
            key2alpha = key2noun[1]                                             # f
            if ack2debug is True:
                print('(STEP 1E/21) OF COLOR-NOUNS4XI - KEY2ALPHA: ', key2alpha) 
        except:
            print('(STEP 1F/21) OF COLOR-NOUNS4XI *** FAILED TO SET KEY2ALPHA *** ')               
        # -----------------------------------------------------------------------------
        #                                               
        # -----------------------------------------------------------------------------         
        try:    
            Colors2Nouns[key2noun] = VerbKB4Xi[key2alpha] [key2verb]           #3030BF
            ack2debug = True
            if ack2debug is True:
                print('(STEP 1G/21) OF COLOR-NOUNS4XI - Colors2Nouns[', key2noun, ']: ', Colors2Nouns[key2noun])
        except:    
            print('(STEP 1H/21) *** FAILED IN SETTING Colors2Nouns, KEY2ALPHA: ', key2alpha, ' KEY2VERB: ', key2verb, ' KEY2NOUN: ', key2noun) 
            print('(STEP 1J/21) *** CHECK: noun2cluster4xi.py, verb2', key2alpha, '4xi.py and macros embedded!')                                     
            # (STEP 1H/21) *** FAILED IN SETTING Colors2Nouns, KEY2ALPHA:  f  KEY2VERB:  color-flied  KEY2NOUN:  -flied-by-
            # (STEP 1J/21) *** CHECK: noun2cluster4xi.py, verb2 f 4xi.py and macros embedded!  
            # spelling mistake discovered !
              
    # -----------------------------------------------------------------------------------------
    # (STEP 5/21) 
    # ----------------------------------------------------------------------------------------- 
    ack2debug = True
    if ack2debug is True:
    
        # -------------------------------------------------------------------------------------
        # PRINT COLOR OF EACH NOUN
        # -------------------------------------------------------------------------------------     
        print('=' *70)        
        print('(STEP 5A/21) OF COLOR-NOUNS4XI - CREATED COLORS2NOUNS:')  
        
        keys2colors = Colors2Nouns.keys() 
        
        
        for key2color in sorted(keys2colors): 
             

            print(key2color, ' : ', Colors2Nouns[key2color])
            
            #-abbreviate-by-  :  #E3E928
            #-abbreviated-by-  :  #EAECA0
            #-abbreviating-by-  :  #E5EB37
            #-abstract-by-  :  #2B1B17
            # ....
                
    # -------------------------------------------------------------------------------------
    # RETURN NOUN COLOR DICTIONARY
    # ------------------------------------------------------------------------------------- 
    ack2debug = True
    if ack2debug is True:        
        print('=' *70)        
        print('(STEP 5B/21) OF COLOR-NOUNS4XI - RETURNING COLORS2NOUNS:')  
                         
    return Colors2Nouns                                        # '-aced-by-': '#4F623B' ...
        

#</function4xi>
            
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "coordinate_nouns4xi" usage = "to coordinate nouns"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def coordinate_nouns4xi(ace_file): 
    '''
    coordinate nouns of given ace-file                            
    '''
    # -----------------------------------------------------------------------------------------
    # Globals used 
    # -----------------------------------------------------------------------------------------    
    global ClusterColor4Xi                  # colors for 33 noun clusters
    global ClusterColorStatistics4Xi        # cluster statistics        
    global ClusterKB4Xi                     # verb cluster knowledgebase for compability  

    global Noun2Cluster4Xi                  # imported from noun2cluster4xi to identify cluster for noun 
    global keys2cluster                     # -abbreviate-by- ...
        
    global load2one                         # (X + ,Y + ,Z + )
    global load2two                         # (X + ,Y - ,Z - )                     
    global load2three                       # (X + ,Y + ,Z - )
    global load2four                        # (X + ,Y - ,Z + )          
    global load2five                        # (X - ,Y + ,Z + )
    global load2six                         # (X - ,Y + ,Z - )
    global load2seven                       # (X - ,Y - ,Z + )
    global load2eight                       # (X - ,Y - ,Z - )  
   
    global SuperClusterColor4Xi             # colors for eight (8) super clusters
    global SuperClusterColorStatistics4Xi   # statistics for super clusters
    
    global NounKB4Xi                       # noun knowledgebase - stub so far
    global VerbKB4Xi                        # verb knowledgebase  - for compability
    
    # -----------------------------------------------------------------------------------------
    # order2cast - keeping track of the latest available (x,y,z)-coordinate order number (1...)
    # -----------------------------------------------------------------------------------------
    order2cast = {
        #========
        # ONE
        #======== 
        10:  1,             
        100: 1,
        101: 1,
        102: 1,
        103: 1,
        104: 1,
        105: 1,
        106: 1,
        107: 1,
        108: 1,
        109: 1,
        110: 1,
        111: 1,
        112: 1,
        113: 1,
        114: 1,
        115: 1,
        116: 1,
        117: 1,
        118: 1,
        119: 1,
        120: 1,
        121: 1,
        122: 1,
        123: 1,
        124: 1,
        125: 1,
        126: 1,
        127: 1,
        128: 1,
        129: 1,
        130: 1,
        131: 1,
        132: 1,
        133: 1,
        
        #========
        # TWO
        #======== 
        20:   1,             
        200:  1,
        201:  1,
        202:  1,
        203:  1,
        204:  1,
        205:  1,
        206:  1,
        207:  1,
        208:  1,
        209:  1,
        210:  1,
        211:  1,
        212:  1,
        213:  1,
        214:  1,
        215:  1,
        216:  1,
        217:  1,
        218:  1,
        219:  1,
        220:  1,
        221:  1,
        222:  1,
        223:  1,
        224:  1,
        225:  1,
        226:  1,
        227:  1,
        228:  1,
        229:  1,
        230:  1,
        231:  1,
        232:  1,
        233:  1,
        
        #========
        # THREE
        #======== 
        30:   1,             
        300:  1,
        301:  1,
        302:  1,
        303:  1,
        304:  1,
        305:  1,
        306:  1,
        307:  1,
        308:  1,
        309:  1,
        310:  1,
        311:  1,
        312:  1,
        313:  1,
        314:  1,
        315:  1,
        316:  1,
        317:  1,
        318:  1,
        319:  1,
        320:  1,
        321:  1,
        322:  1,
        323:  1,
        324:  1,
        325:  1,
        326:  1,
        327:  1,
        328:  1,
        329:  1,
        330:  1,
        331:  1,
        332:  1,
        333:  1,
        
        #========
        # FOUR
        #======== 
        40:   1,             
        400:  1,
        401:  1,
        402:  1,
        403:  1,
        404:  1,
        405:  1,
        406:  1,
        407:  1,
        408:  1,
        409:  1,
        410:  1,
        411:  1,
        412:  1,
        413:  1,
        414:  1,
        415:  1,
        416:  1,
        417:  1,
        418:  1,
        419:  1,
        420:  1,
        421:  1,
        422:  1,
        423:  1,
        424:  1,
        425:  1,
        426:  1,
        427:  1,
        428:  1,
        429:  1,
        430:  1,
        431:  1,
        432:  1,
        433:  1,
         
        #========
        # FIVE
        #======== 
        50:   1,             
        500:  1,
        501:  1,
        502:  1,
        503:  1,
        504:  1,
        505:  1,
        506:  1,
        507:  1,
        508:  1,
        509:  1,
        510:  1,
        511:  1,
        512:  1,
        513:  1,
        514:  1,
        515:  1,
        516:  1,
        517:  1,
        518:  1,
        519:  1,
        520:  1,
        521:  1,
        522:  1,
        523:  1,
        524:  1,
        525:  1,
        526:  1,
        527:  1,
        528:  1,
        529:  1,
        530:  1,
        531:  1,
        532:  1,
        533:  1,
        
        #========
        # SIX
        #========
        60:   1,              
        600:  1,
        601:  1,
        602:  1,
        603:  1,
        604:  1,
        605:  1,
        606:  1,
        607:  1,
        608:  1,
        609:  1,
        610:  1,
        611:  1,
        612:  1,
        613:  1,
        614:  1,
        615:  1,
        616:  1,
        617:  1,
        618:  1,
        619:  1,
        620:  1,
        621:  1,
        622:  1,
        623:  1,
        624:  1,
        625:  1,
        626:  1,
        627:  1,
        628:  1,
        629:  1,
        630:  1,
        631:  1,
        632:  1,
        633:  1,
         
        #========
        # SEVEN
        #======== 
        70:   1,             
        700:  1,
        701:  1,
        702:  1,
        703:  1,
        704:  1,
        705:  1,
        706:  1,
        707:  1,
        708:  1,
        709:  1,
        710:  1,
        711:  1,
        712:  1,
        713:  1,
        714:  1,
        715:  1,
        716:  1,
        717:  1,
        718:  1,
        719:  1,
        720:  1,
        721:  1,
        722:  1,
        723:  1,
        724:  1,
        725:  1,
        726:  1,
        727:  1,
        728:  1,
        729:  1,
        730:  1,
        731:  1,
        732:  1,
        733:  1,
         
        #========
        # EIGHT
        #========
        80:   1,              
        800:  1,
        801:  1,
        802:  1,
        803:  1,
        804:  1,
        805:  1,
        806:  1,
        807:  1,
        808:  1,
        809:  1,
        810:  1,
        811:  1,
        812:  1,
        813:  1,
        814:  1,
        815:  1,
        816:  1,
        817:  1,
        818:  1,
        819:  1,
        820:  1,
        821:  1,
        822:  1,
        823:  1,
        824:  1,
        825:  1,
        826:  1,
        827:  1,
        828:  1,
        829:  1,
        830:  1,
        831:  1,
        832:  1,
        833:  1}
                                                               
    # -----------------------------------------------------------------------------------------
    # (STEP 1A1/33) - INITIALIZE 
    # -----------------------------------------------------------------------------------------
    ack2debug = True                                      # debugging 

    total2cluster = 0
    total2super = 0
                      
    keys2cluster = ClusterColorStatistics4Xi.keys()       # initialize cluster statistics
    for key2cluster in sorted(keys2cluster):
        ClusterColorStatistics4Xi[key2cluster] = 0

    keys2super = SuperClusterColorStatistics4Xi.keys()    # initialize supercluster statistics
    for key2super in sorted(keys2super):
        SuperClusterColorStatistics4Xi[key2super] = 0
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A2/33) - INITIALIZE (X+,Y+,Z+) - COORDINATES FOR ONE 
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print('(STEP 1A20/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X+,Y+,Z+) COORDINATES')    
        # 
    try:
        if load2one is True:
            if ack2debug is True:
                print('(STEP 1A21/33) OF COORDINATE_NOUNS4XI - (X+,Y+,Z+) WITH LOAD2ONE4XI')        
                # 
            load2one4xi()
            
            if ack2debug is True:
                print('(STEP 1A22/33) OF COORDINATE_NOUNS4XI - (X+,Y+,Z+) PERFORMED LOAD2ONE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A23/33) OF COORDINATE_NOUNS4XI - (X+,Y+,Z+) WITH SHOOT2ONE4XI-RAM')
                # 
    except:
        print('(STEP 1A24/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2ONE4XI ***')    
    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A3/33) - INITIALIZE (X+,Y-,Z-) - COORDINATES FOR TWO 
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A30/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X+,Y-,Z-) COORDINATES')   
        # 
    try:
        if load2two is True:
            if ack2debug is True:
                print('(STEP 1A31/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) WITH LOAD2TWO4XI')        
                # 
            load2two4xi()
            if ack2debug is True:
                print('(STEP 1A32/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) PERFORMED LOAD2TWO4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A33/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) WITH SHOOT2TWO4XI-RAM')
                # 
    except:
        print('(STEP 1A34/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2TWO4XI ***')    
    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A4/33) - INITIALIZE (X+,Y+,Z-) - COORDINATES FOR THREE
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A40/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X+,Y-,Z-) COORDINATES')   
        # 
    try:
        if load2three is True:
            if ack2debug is True:
                print('(STEP 1A41/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) WITH LOAD2THREE4XI')        
                # 
            load2three4xi()
            if ack2debug is True:
                print('(STEP 1A42/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) PERFORMED LOAD2THREE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A43/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z-) WITH SHOOT2THREE4XI-RAM')
                # 
    except:
        print('(STEP 1A44/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2THREE4XI ***')    
                    
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A5/33) - INITIALIZE (X+,Y-,Z+) - COORDINATES FOR FOUR
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A50/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X+,Y-,Z+) COORDINATES')   
        # 
    try:
        if load2four is True:
            if ack2debug is True:
                print('(STEP 1A51/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) WITH LOAD2FOUR4XI')        
                # 
            load2four4xi()
            if ack2debug is True:
                print('(STEP 1A52/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) PERFORMED LOAD2FOUR4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A53/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) WITH SHOOT2FOUR4XI-RAM')
                # 
    except:
        print('(STEP 1A54/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2FOUR4XI ***')    
                  
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A6/33) - INITIALIZE (X+,Y-,Z+) - COORDINATES FOR FIVE
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A60/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X+,Y-,Z+) COORDINATES')   
        # 
    try:
        if load2five is True:
            if ack2debug is True:
                print('(STEP 1A61/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) WITH LOAD2FIVE4XI')        
                # 
            load2five4xi()
            if ack2debug is True:
                print('(STEP 1A62/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) PERFORMED LOAD2FIVE4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A63/33) OF COORDINATE_NOUNS4XI - (X+,Y-,Z+) WITH SHOOT2FIVE4XI-RAM')
                # 
    except:
        print('(STEP 1A64/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2FIVE4XI ***')    

            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A7/33) - INITIALIZE (X-,Y+,Z-) - COORDINATES FOR SIX
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A70/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X-,Y+,Z-) COORDINATES')   
        # 
    try:
        if load2six is True:
            if ack2debug is True:
                print('(STEP 1A71/33) OF COORDINATE_NOUNS4XI - (X-,Y+,Z-) WITH LOAD2SIX4XI')        
                # 
            load2six4xi()
            if ack2debug is True:
                print('(STEP 1A72/33) OF COORDINATE_NOUNS4XI - (X-,Y+,Z-) PERFORMED LOAD2SIX4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A73/33) OF COORDINATE_NOUNS4XI - (X-,Y+,Z-) WITH SHOOT2SIX4XI-RAM')
                # 
    except:
        print('(STEP 1A74/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2SIX4XI ***')    

            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A8/33) - INITIALIZE (X-,Y-,Z+) - COORDINATES FOR SEVEN
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A80/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X-,Y-,Z+) COORDINATES')   
        # 
    try:
        if load2seven is True:
            if ack2debug is True:
                print('(STEP 1A81/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z+) WITH LOAD2SEVEN4XI')        
                # 
            load2seven4xi()
            if ack2debug is True:
                print('(STEP 1A82/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z+) PERFORMED LOAD2SEVEN4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A83/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z+) WITH SHOOT2SEVEN4XI-RAM')
                # 
    except:
        print('(STEP 1A84/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2SEVEN4XI ***')    
      
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1A9/33) - INITIALIZE (X-,Y-,Z-) - COORDINATES FOR EIGHT
    # -----------------------------------------------------------------------------------------
      
    if ack2debug is True:
        print('(STEP 1A90/33) OF COORDINATE_NOUNS4XI - INITIALIZING (X-,Y-,Z-) COORDINATES')   
        # 
    try:
        if load2eight is True:
            if ack2debug is True:
                print('(STEP 1A91/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z-) WITH LOAD2EIGHT4XI')        
                # 
            load2eight4xi()
            if ack2debug is True:
                print('(STEP 1A92/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z-) PERFORMED LOAD2EIGHT4XI')
                # 
        else:
            if ack2debug is True:
                print('(STEP 1A93/33) OF COORDINATE_NOUNS4XI - (X-,Y-,Z-) WITH SHOOT2EIGHT4XI-RAM')
                # 
    except:
        print('(STEP 1A94/33) OF COORDINATE_NOUNS4XI *** FAILED TO PERFORM LOAD2EIGHT4XI ***')    

      
                                      
            
    # -----------------------------------------------------------------------------------------
    # (STEP 1B/33) - PRINT INPUT XML-FILE 
    # -----------------------------------------------------------------------------------------        
    if ack2debug is True:                                        
        print('(STEP 1B/33) OF COORDINATE_NOUNS4XI - PASSED ACE_FILE: ', ace_file)             # ..//..//xml//ace-hello-world4xi.xml 
                                                      
    # -----------------------------------------------------------------------------------------
    # (STEP 2/33) - CHECK INPUT XML FILE
    # -----------------------------------------------------------------------------------------        
    
    name2xi = os.path.splitext(ace_file)
    if ack2debug is True:
        print ('(STEP 2A/33) OF COORDINATE_NOUNS4XI - name2xi: ', name2xi)                     #('..//..//xml//ace-test-skeleton-print4xi', '.xml') 
        print ('(STEP 2B/33) OF COORDINATE_NOUNS4XI - name2xi[0]: ', name2xi[0])               # ..//..//xml//ace-test-skeleton-print4xi 
        print ('(STEP 2C/33) OF COORDINATE_NOUNS4XI - name2xi[1]: ', name2xi[1])               # .xml   
    if name2xi[1] == '.xml':
        if ack2debug is True:
            print('(STEP 2D/33) OF COORDINATE_NOUNS4XI - ACCEPTED INPUT FILE AS XML-FILE: ', ace_file)
            # 
    else:
        if ack2debug is True:
            print('(STEP 2E/33) OF COORDINATE_NOUNS4XI - *** NON XML FILE PASSED TO COORDINATE_NOUNS4XI: ', ace_file)
            # 
        return None                       
        
    # -----------------------------------------------------------------------------------------
    # (STEP 3/33) - OPEN INPUT XML-FILE
    # -----------------------------------------------------------------------------------------            
    
    try:
        input_fd2xi = open(ace_file)
        if ack2debug is True:                                        
            print('(STEP 3A/33) OF COORDINATE_NOUNS4XI - OPENED INPUTFD2XI: ', input_fd2xi)    # _io.TextIOWrapper name='..//..//xml//ace-hello-world4xi.xml' encoding='cp1252'>   
    except:
        print('(STEP 3B/33) OF COORDINATE_NOUNS4XI - *** FAILED TO OPEN ACE_FILE: ', ace_file)
        return None           
        
        
    # -----------------------------------------------------------------------------------------
    # (STEP 4/33) - CREATE OUTPUT SCOPE XML-FILE
    # -----------------------------------------------------------------------------------------            
    i_xi2=str.find(ace_file,'ace-')                                                            # ..//..//xml//ace-hello-world4xi.xml 
                                                                     
    output_name2xi = 'scope-' + ace_file[i_xi2+0:]                                             #       

    if ack2debug is True:                                        
        print('(STEP 4A/33) OF COORDINATE_NOUNS4XI - OUTPUT_NAME2XI: ', output_name2xi)       # scope-ace-hello-world4xi.xml           
    
    output_folder2xi = ace_file[0:i_xi2]                                                       # ..//..//xml//
    if ack2debug is True:                                        
        print('(STEP 4B/33) OF COORDINATE_NOUNS4XI - OUTPUT_FOLDER2XI: ', output_folder2xi)               
            
    output_path2xi =  output_folder2xi + output_name2xi   
    if ack2debug is True:                                        
        print('(STEP 4C/33) OF COORDINATE_NOUNS4XI - OUTPUT_PATH2XI: ', output_path2xi)        # ..//..//xml//scope-ace-hello-world4xi.xml            

    i2scope = str.find(output_name2xi,'scope-') 
    i2extension = str.find(output_name2xi,'.xml')
    galaxy2xi = output_name2xi[i2scope+6:i2extension]   
    if ack2debug is True:                                        
        print('(STEP 4D/33) OF COORDINATE_NOUNS4XI - GALAXY2Xi: ', galaxy2xi)                  # ace-hello-world4xi.xml            
                
    # -----------------------------------------------------------------------------------------
    # 
    # -----------------------------------------------------------------------------------------            
        
    try:
    
        # -------------------------------------------------------------------------------------
        # (STEP 5/33) - OPEN SCOPE OUTPUT XML-FILE
        # ------------------------------------------------------------------------------------- 
                 
        output_fd2xi=open(output_path2xi, 'w')    
        if ack2debug is True:                                        
            print('(STEP 5A/33) OF COORDINATE_NOUNS4XI - OUTPUT_FD2XI: ', output_fd2xi)    
  
        f2xi = output_fd2xi    
        
    
        # -------------------------------------------------------------------------------------
        # (STEP 6/33) - CREATE XML HEADERS
        # ------------------------------------------------------------------------------------- 
            
        f2xi.write('<?xml version="1.0"?>\n')
        f2xi.write('<rdf:RDF\n')
        f2xi.write('   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n')
        f2xi.write('   xmlns:xsd="http://www.w3.org/2001/XMLSchema#"\n')
        f2xi.write('   xmlns:owl="http://www.w3.org/2002/07/owl#"\n')
        f2xi.write('   xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"\n')
        
        namespace2xi = '   xmlns="http://www.yourdragonxi.org/web/lib/owl/nouns4xi.owl#"\n'     
        f2xi.write(namespace2xi)
        
        f2xi.write('   xmlns:p1="http://www.owl-ontologies.com/assert.owl#"\n')
        
        xmlbase2xi = '   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/nouns4xi.owl">\n'
        f2xi.write(xmlbase2xi)
    
        # -------------------------------------------------------------------------------------
        # (STEP 7/33) - CREATE ONTOLOGY
        # ------------------------------------------------------------------------------------- 
             
        ontology_about2xi = '   <owl:Ontology rdf:about="Nouns4Xi">\n'
        f2xi.write(ontology_about2xi)
        
        ontology_comment2xi = '      <define4xi xml:lang="en">Nouns for Dragon4Xi</define4xi>\n'    
        f2xi.write(ontology_comment2xi)
        
        f2xi.write('      <owl:versionInfo xml:lang="en">Version ' + strftime("%a, %d %b %Y %H:%M:%S",localtime()) + '</owl:versionInfo>\n')
        
        class2xi = '   <owl:Class rdf:ID="NounWaves4Xi">\n'
        f2xi.write(class2xi)         
        
        operation_comment2xi = '      <define4xi xml:lang="en">Waves of Nouns</define4xi>\n'
        f2xi.write(operation_comment2xi)
        
        f2xi.write('   </owl:Class>\n')
        
    
        # -------------------------------------------------------------------------------------
        # (STEP 8/33) - ORIGINATE TO (0,0,0)  
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi =         '   <owl:ObjectProperty rdf:ID="0x0y0z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#0x0y0z">\n'
        f2xi.write(sub_property2xi)
    
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] clusterize nouns.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
      
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] color nouns.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
          
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] coordinate noun to (x,y,z).</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
          
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] direct noun.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
          
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] set noun distance to layer.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] calculate ray.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
              
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] calculate deviation.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)                  
              
        object_property_comment2xi = '         <define4xi xml:lang="en">[ack] fire noun with order number.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
   
        object_property_comment2xi = '         <define4xi xml:lang="en">[nack] refer noun.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
      
        object_property_comment2xi = '         <define4xi xml:lang="en">[nack] symbolize noun.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
               
        end2subproperty =            '      </rdfs:subPropertyOf>\n'
        f2xi.write(end2subproperty)
        
        end2onproperty =             '   </owl:ObjectProperty>\n'
        f2xi.write(end2onproperty)
        

        # -------------------------------------------------------------------------------------
        # (STEP 9A/33) - SKELETONIZE TO (1,1,1) - Direction ONE - (X + ,Y + ,Z + ) 
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#E8D5D5</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                                       
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>1</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>1</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
            
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)                  
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
        
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)        
     

        # -------------------------------------------------------------------------------------
        # (STEP 9B/33) - SKELETONIZE TO (1,1-,1-) - Direction TWO - (X + ,Y - ,Z - ) 
        # ------------------------------------------------------------------------------------- 
              
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x-1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x-1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#EB7474</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                              
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>2</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>2</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
           
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)             
    
        # -------------------------------------------------------------------------------------
        # (STEP 9C/33) - SKELETONIZE TO (1,1,1-) - Direction THREE - (X + ,Y + ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#F2E8E8</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                          
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
        
        object_property_direct2xi =   '      <direct4xi>3</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>3</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
       
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)                 
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
             
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        object_property_type2xi =   '      <rdfs:type>1</rdfs:type>\n'    
        f2xi.write(object_property_type2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              
    
        # -------------------------------------------------------------------------------------
        # (STEP 9D/33) - SKELETONIZED TO (1,-1,1) - Direction FOUR - (X + ,Y - ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="1x-1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#1x-1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#D86868</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                          
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>4</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>4</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
           
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
             
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              

        
    
        # -------------------------------------------------------------------------------------
        # (STEP 9E/33) - SKELETONIZING TO (-1,1,1) - Direction FIVE - (X - ,Y + ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#D7B4B4</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                       
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)
         
        object_property_direct2xi =   '      <direct4xi>5</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
  
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>5</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
      
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)       
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)              
    
        # -------------------------------------------------------------------------------------
        # (STEP 9F/33) - SKELETONIZING TO (-1,1,-1) - Direction SIX - (X - ,Y + ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                          
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>6</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>6</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
           
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)        
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)
    
        # -------------------------------------------------------------------------------------
        # (STEP 9G/33) - SKELETONIZING TO (-1,-1,1) - Direction SEVEN - (X - ,Y - ,Z + ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x-1y1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x-1y1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                          
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>7</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
   
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>7</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
           
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)     
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)                 
    
        # -------------------------------------------------------------------------------------
        # (STEP 9H/33) - SKELETONIZING TO (-1,-1,-1) - Direction EIGHT - (X - ,Y - ,Z - ) 
        # ------------------------------------------------------------------------------------- 
        object_property2xi = '   <owl:ObjectProperty rdf:ID="-1x-1y-1z">\n'
        f2xi.write(object_property2xi)
        
        sub_property2xi =            '      <rdfs:subPropertyOf rdf:resource="#-1x-1y-1z">\n'
        f2xi.write(sub_property2xi)

        object_property_noun2xi =   '      <rdf:object>skeleton</rdf:object>\n'    
        f2xi.write(object_property_noun2xi)
        
        object_property_color2xi =   '      <color4xi>#C66060</color4xi>\n'    
        f2xi.write(object_property_color2xi)        
                         
        object_property_comment2xi = '      <define4xi xml:lang="en">skeleton.</define4xi>\n'    
        f2xi.write(object_property_comment2xi)

        object_property_direct2xi =   '      <direct4xi>8</direct4xi>\n'    
        f2xi.write(object_property_direct2xi)
    
        object_property_distance2xi =   '      <distance4xi>2</distance4xi>\n'    
        f2xi.write(object_property_distance2xi)
            
        object_property_fire2xi =   '      <ray4xi>1.7325080757</ray4xi>\n'    
        f2xi.write(object_property_fire2xi)        
        
        object_property_fire2xi =   '      <deviate4xi>0.267949192431</deviate4xi>\n'             
        f2xi.write(object_property_fire2xi)     
        
        object_property_fire2xi =   '      <fire4xi>8</fire4xi>\n'    
        f2xi.write(object_property_fire2xi)
           
        object_property_reference2xi =   '      <refer4xi>1790</refer4xi>\n'    
        f2xi.write(object_property_reference2xi)      
        
        object_property_symbol2xi =   '      <symbolize4xi>1790</symbolize4xi>\n'    
        f2xi.write(object_property_symbol2xi)            
                 
        object_property_subclassof2xi =   '      <rdfs:subClassOf >1</rdfs:subClassOf >\n'    
        f2xi.write(object_property_subclassof2xi)

        f2xi.write(end2subproperty)
        
        f2xi.write(end2onproperty)                 

                     
    except:
    
        # -------------------------------------------------------------------------------------
        # 
        # ------------------------------------------------------------------------------------- 
             
        print('(STEP 9I/33) OF COORDINATE_NOUNS4XI - *** FAILED TO OPEN OUTPUT_PATH2XI: ', output_path2xi)
        return None          
                
    # -----------------------------------------------------------------------------------------
    # (STEP 10/33) - CREATE NOUN KNOWLEDGEBASE AND COLOR NOUNS GETTING (X,Y,Z)
    # -----------------------------------------------------------------------------------------      
    kb2nouns = NounKB4Xi
    if ack2debug is True:                                         
        print('(STEP 10A/33) OF COORDINATE_NOUNS4XI - KB2NOUNS (STUB): ', kb2nouns)                   # NounKB4Xi = {'a': Actor2a4Xi, 'b': Actor2b4Xi ...'_': Actor2_4Xi} 
    
    keys2alpha = NounKB4Xi.keys()                                    
    if ack2debug is True:
        print('(STEP 10B/33) OF COORDINATE_NOUNS4XI - KEYS2ALPHA (STUB): ', keys2alpha)                 # dict_keys(['_', 'a', 'c', 'b', 'e', 'd', 'g', 'f', 'i', 'h', 'k', 'j', 'm', 'l', 'o', 'n', 'q', 'p', 's', 'r', 'u', 't', 'w', 'v', 'y', 'x', 'z'])
    
    Colors2Nouns = color_nouns4xi()                                                                      # must to call - triggers firing of (x,y,z) !                                
    
    if ack2debug is True:                                            
        print('(STEP 10D/33) OF COORDINATE_NOUNS4XI - COLORS2NOUNS: ',  Colors2Nouns)                   # 
        # {'-embed-by-': '#1BE1AC', '-deleting-by-': '#EE4242', '-ignored-by-': '#DC8888', '-xraying-by-': '#9A2EF9', '-directing-by-': '#4DDCD8', '-checked-by-': '#6C6C25', '-skipping-by-': '#DB4D4D', '-color-by-': '#E237DC', '-verified-by-': '#7C7C50', '-receiving-by-': '#69A2DB', '-methodizing-by-': '#A657A6', '-link-by-': '#A773D4', '-visit-by-': '#2E9AFE', '-reason-by-': '#E5AD6D', '-discarded-by-': '#DF8686', '-flying-by-': '#266BB0', '-returning-by-': '#84C4A8', '-calculated-by-': '#BBF7F7', '-accepting-by-': '#055F35', '-net-by-': '#438ED8', '-wired-by-': '#4EE9E4', '-freed-by-': '#A8A8E5', '-slept-by-': '#F75959', '-acing-by-': '#355F0B', '-checking-by-': '#F6F638', '-washing-by-': '#080849', '-printed-by-': '#C4A1E4', '-hatch-by-': '#DF7401', '-calling-by-': '#3080D1', '-wake-by-': '#28E1E1', '-warping-by-': '#111164', '-landing-by-': '#73EC73', '-informed-by-': '#E59AE2', '-warp-by-': '#0B0B61', '-concluding-by-': '#4747DF', '-pickled-by-': '#CFDAD9', '-write-by-': '#BEF781', '-upgrade-by-': '#EEEE43', '-contextualize-by-': '#F7BE81', '-finalized-by-': '#B9ADA0', '-wising-by-': '#1BB61B', '-list-by-': '#FA58F4', '-remove-by-': '#B3BAB3', '-initialize-by-': '#58FAF4', '-protecting-by-': '#B6B790', '-importing-by-': '#B6CFE8', '-ignoring-by-': '#C14242', '-idle-by-': '#C43434', '-time-by-': '#42D8D8', '-imported-by-': '#DBE5EF', '-winded-by-': '#7CBCFC', '-wondered-by-': '#F4F6C1', '-hatched-by-': '#E6B57C', '-clustering-by-': '#766262', '-create-by-': '#F5C494', '-wise-by-': '#00FF00', '-zapping-by-': '#C71B1B', '-accept-by-': '#0B6138', '-tagged-by-': '#D4A8FA', '-varying-by-': '#F721F0', '-waived-by-': '#C09B71', '-wandered-by-': '#6F6FA5', '-measure-by-': '#8AB2DA', '-classing-by-': '#6363FA', '-finalizing-by-': '#B26E20', '-terminated-by-': '#FD5656', '-indicate-by-': '#E895E5', '-enter-by-': '#58ACFA', '-varied-by-': '#FD68F8', '-acted-by-': '#F3D2AD', '-creating-by-': '#F39639', '-try-by-': '#2EFEF7', '-distance-by-': '#4596E6', '-supering-by-': '#AC72AA', '-closing-by-': '#1568BC', '-verifying-by-': '#E5E549', '-called-by-': '#ABCDEF', '-launch-by-': '#6D6DE4', '-receive-by-': '#8CB6DF', '-commented-by-': '#DED0D0', '-added-by-': '#B4B4D4', '-fire-by-': '#9068B9', '-tuned-by-': '#A1A15C', '-commanding-by-': '#C7781E', '-contextualized-by-': '#FAEEE0', '-yielding-by-': '#DA0D0D', '-wait-by-': '#FA5858', '-manoeuvring-by-': '#2677C9', '-ace-by-': '#33570E', '-state-by-': '#5858FA', '-zipping-by-': '#060640', '-wanting-by-': '#0E3964', '-timed-by-': '#2DCECE', '-scoping-by-': '#9999BD', '-profile-by-': '#DE5B9D', '-yield-by-': '#DF0101', '-asserted-by-': '#65681A', '-examined-by-': '#CBCBCB', '-killed-by-': '#E17878', '-viewing-by-': '#F0F035', '-profiling-by-': '#D23383', '-defining-by-': '#EEF532', '-removing-by-': '#9CB39C', '-free-by-': '#4545CB', '-venturing-by-': '#D07E2D', '-imposed-by-': '#332D39', '-rise-by-': '#EEBC84', '-processing-by-': '#8B5211', '-skip-by-': '#F78181', '-clear-by-': '#81F7F3', '-got-by-': '#B0B60B', '-renaming-by-': '#C6AEDB', '-super-by-': '#A66CA4', '-served-by-': '#8383C9', '-launching-by-': '#4D4DDF', '-freeing-by-': '#3030BF', '-opening-by-': '#3E72A6', '-ending-by-': '#143C50', '-unioned-by-': '#8686F3', '-zip-by-': '#0B0B3B', '-watch-by-': '#111172', '-kill-by-': '#E15252', '-testing-by-': '#E9F00C', '-profiled-by-': '#E284B3', '-command-by-': '#AE640F', '-close-by-': '#0080FF', '-discovering-by-': '#EC9531', '-release-by-': '#CFDACF', '-weigh-by-': '#61380B', '-pickle-by-': '#BAD0CF', '-fly-by-': '#295F95', '-skeletonizing-by-': '#BFA4A4', '-open-by-': '#457AB0', '-impose-by-': '#4C4851', '-landed-by-': '#DAF3DA', '-waving-by-': '#0A0A9C', '-note-by-': '#F7BE81', '-yearning-by-': '#6E1AC1', '-hitting-by-': '#D10F0F', '-exposed-by-': '#8E8E8B', '-inherited-by-': '#D5D5BF', '-append-by-': '#E4EFD8', '-removed-by-': '#C9CDC9', '-discarding-by-': '#B24040', '-wrapping-by-': '#6C05C6', '-warped-by-': '#3E3E7F', '-timing-by-': '#4EE6E6', '-cleared-by-': '#D3FFFD', '-disconnected-by-': '#E49ABF', '-informing-by-': '#D464D0', '-comparing-by-': '#3D3DE8', '-queuing-by-': '#816A4F', '-stating-by-': '#3232EF', '-examine-by-': '#71D8A8', '-appended-by-': '#9FE15E', '-decided-by-': '#BAD3EC', '-perform-by-': '#B45F04', '-xrayed-by-': '#D7AEFA', '-measuring-by-': '#5A93CB', '-wrote-by-': '#BEF781', '-told-by-': '#9F9FF7', '-compare-by-': '#7878F0', '-round-by-': '#A67D4D', '-tag-by-': '#BE81F7', '-exposing-by-': '#E8EE41', '-indicated-by-': '#E5ACE3', '-mastered-by-': '#BA92A6', '-process-by-': '#986325', '-dragonizing-by-': '#55340E', '-rounding-by-': '#9F7544', '-sensed-by-': '#F0DEC3', '-colored-by-': '#D724D1', '-concluded-by-': '#C1C1F3', '-queue-by-': '#7F7263', '-recording-by-': '#6FE26F', '-sleep-by-': '#FE2E2E', '-abbreviate-by-': '#E3E928', '-symbolized-by-': '#794C4C', '-unioning-by-': '#3333E4', '-distanced-by-': '#2D84DB', '-symbolizing-by-': '#8B6262', '-stated-by-': '#8888F9', '-received-by-': '#ACC6E1', '-use-by-': '#8A4B08', '-visiting-by-': '#2087EF', '-skeletonize-by-': '#BFA6A6', '-verify-by-': '#F6F66C', '-comment-by-': '#AEA6A6', '-used-by-': '#92622B', '-joining-by-': '#E4A053', '-viewed-by-': '#C0C090', '-expose-by-': '#F5F7A6', '-selected-by-': '#A6A863', '-zeroing-by-': '#04817D', '-delete-by-': '#F38888', '-aced-by-': '#4F623B', '-symbolize-by-': '#8E6969', '-spawned-by-': '#BBF284', '-call-by-': '#045FB4', '-trying-by-': '#23FCF5', '-abbreviated-by-': '#EAECA0', '-renamed-by-': '#E4DCEB', '-raising-by-': '#EE1E1E', '-quitting-by-': '#F6B66C', '-wire-by-': '#1FE9E3', '-clustered-by-': '#3D2121', '-unresolve-by-': '#FE2E2E', '-select-by-': '#F4FA58', '-clearing-by-': '#30EBE4', '-abstracted-by-': '#A14933', '-wonder-by-': '#F3F781', '-looping-by-': '#4343A5', '-unresolving-by-': '#EE1E1E', '-dragonize-by-': '#3B240B', '-ended-by-': '#93A7B0', '-idled-by-': '#B24646', '-wiring-by-': '#18DFD9', '-tune-by-': '#ECEC3F', '-typed-by-': '#9278AB', '-rotating-by-': '#4F6DD1', '-pickling-by-': '#8DC3C1', '-methodize-by-': '#AE8CAE', '-globalize-by-': '#E2A259', '-linking-by-': '#974FD5', '-netted-by-': '#6EA7DF', '-end-by-': '#0B2430', '-processed-by-': '#A17544', '-specializing-by-': '#8F2CE6', '-tried-by-': '#66FFFB', '-spawning-by-': '#9EEB52', '-function-by-': '#9F703A', '-rounded-by-': '#B0906C', '-zero-by-': '#088A85', '-wind-by-': '#58ACFA', '-discover-by-': '#EEA24B', '-sort-by-': '#61380B', '-quitted-by-': '#F6E8D8', '-show-by-': '#BFF9E7', '-acquiring-by-': '#10BA10', '-killing-by-': '#DF3E3E', '-scope-by-': '#0404B4', '-weave-by-': '#0404B4', '-acquired-by-': '#70CA70', '-tell-by-': '#8181F7', '-referring-by-': '#DE96B8', '-woke-by-': '#82E9E9', '-raise-by-': '#EE2929', '-polled-by-': '#8BB0D5', '-programming-by-': '#765025', '-weaved-by-': '#2C2CCB', '-sense-by-': '#EBC893', '-walked-by-': '#575787', '-acquire-by-': '#04B404', '-master-by-': '#A86E8B', '-dumped-by-': '#9CB5CE', '-winding-by-': '#3291EF', '-share-by-': '#7189E8', '-selecting-by-': '#EDF514', '-abbreviating-by-': '#E5EB37', '-direct-by-': '#34D5D0', '-manoeuvred-by-': '#4F91D4', '-asserting-by-': '#EFF62D', '-synopsize-by-': '#5858FA', '-check-by-': '#F0F04C', '-ventured-by-': '#E4AC74', '-zapped-by-': '#EB6666', '-casting-by-': '#8D83E4', '-methodized-by-': '#B3A6B3', '-delivered-by-': '#9ECBCA', '-waited-by-': '#F37373', '-waive-by-': '#BC803B', '-sharing-by-': '#4665DE', '-add-by-': '#9292A1', '-zoning-by-': '#080836', '-land-by-': '#BDF2BD', '-break-by-': '#FE2E2E', '-ignore-by-': '#DF0101', '-breaking-by-': '#FD6060', '-sorted-by-': '#765733', '-venture-by-': '#DA8A3B', '-linked-by-': '#B794D5', '-deleted-by-': '#F6D3D3', '-reasoning-by-': '#E49C49', '-test-by-': '#F4FA58', '-printing-by-': '#8E4EC6', '-noted-by-': '#F7D0A4', '-act-by-': '#EFAE64', '-specialized-by-': '#AF64F0', '-passed-to-': '#CFE8E8', '-performed-by-': '#D59D5C', '-defined-by-': '#77775E', '-discovered-by-': '#F5DEC5', '-wander-by-': '#38389A', '-connected-by-': '#ADADEB', '-disconnect-by-': '#CB2F7D', '-upgrading-by-': '#ECEC21', '-flush-by-': '#A9B9C9', '-measured-by-': '#AEC7E1', '-yearned-by-': '#A559F2', '-send-by-': '#61B3CB', '-put-by-': '#2A362A', '-reasoned-by-': '#E6BF92', '-watched-by-': '#282879', '-protect-by-': '#B1B29E', '-shared-by-': '#AAB8F0', '-import-by-': '#CEDBE8', '-wrapped-by-': '#B06CEC', '-commenting-by-': '#9F9090', '-protected-by-': '#CFD0BF', '-releasing-by-': '#BFD8BF', '-waiting-by-': '#EC3333', '-analyzed-by-': '#AEB24D', '-verbalize-by-': '#B404AE', '-proxy-by-': '#613131', '-set-by-': '#69504E', '-coordinate-by-': '#837382', '-recorded-by-': '#BDE8BD', '-dispatch-by-': '#34608B', '-wanted-by-': '#2A4C6F', '-do-by-': '#DF0101', '-writing-by-': '#BEF781', '-cast-by-': '#685DCD', '-telling-by-': '#5757F7', '-distancing-by-': '#499BEC', '-acknowledging-by-': '#3A640F', '-listed-by-': '#FAB3F8', '-unresolved-by-': '#F34A4A', '-waiving-by-': '#BC8240', '-watching-by-': '#0B0B6B', '-dragonized-by-': '#6C6A67', '-stepped-by-': '#A8CDF3', '-globalized-by-': '#DAC4AA', '-weighing-by-': '#4B2D0A', '-tagging-by-': '#A951F6', '-looped-by-': '#9797B7', '-web-by-': '#0B0B61', '-rising-by-': '#E6AA65', '-closed-by-': '#BBDAF9', '-showing-by-': '#96EFD4', '-wrap-by-': '#7401DF', '-decide-by-': '#569DE4', '-acknowledged-by-': '#607D43', '-disconnecting-by-': '#C7357E', '-join-by-': '#DEA666', '-queued-by-': '#87827D', '-verbalized-by-': '#C445C0', '-rename-by-': '#D8C8E6', '-directed-by-': '#20BDB8', '-referred-by-': '#E8D8E0', '-zoned-by-': '#383876', '-synopsizing-by-': '#5D5DF6', '-manoeuvre-by-': '#1F74C9', '-typing-by-': '#6A4490', '-flushing-by-': '#7797B7', '-dumping-by-': '#1C5C9B', '-view-by-': '#EBEB4A', '-parse-to-': '#F4FA58', '-conclude-by-': '#9393F0', '-sensing-by-': '#E29F3A', '-passing-to-': '#52DADA', '-weaving-by-': '#0F0FA2', '-program-by-': '#7C6142', '-netting-by-': '#3C82C9', '-rotated-by-': '#91A3E1', '-refer-by-': '#E6C3D4', '-abstract-by-': '#2B1B17', '-putting-by-': '#3B403B', '-examining-by-': '#202E27', '-define-by-': '#F7FE2E', '-entering-by-': '#125495', '-class-by-': '#8181F7', '-yearn-by-': '#8000FF', '-zap-by-': '#DF3838', '-hunt-by-': '#A86B25', '-tuning-by-': '#EBEB0D', '-reset-by-': '#ECEFA6', '-listing-by-': '#EC42E6', '-launched-by-': '#8D8DE6', '-verging-by-': '#4C4CF0', '-programmed-by-': '#867665', '-rotate-by-': '#6E88DE', '-commanded-by-': '#EFC18D', '-resetting-by-': '#EFF0C6', '-superred-by-': '#924C90', '-built-by-': '#91BDE9', '-deliver-by-': '#4EB6B3', '-fired-by-': '#73469F', '-register-by-': '#99DB99', '-zeroed-by-': '#2E9895', '-discard-by-': '#953B3B', '-contextualizing-by-': '#F29226', '-stepping-by-': '#5AA2EB', '-entered-by-': '#BDC3C9', '-assert-by-': '#DCE40F', '-step-by-': '#81BEF7', '-abstracting-by-': '#2F120A', '-scheme-by-': '#6C481F', '-verge-by-': '#5858FA', '-serve-by-': '#5D5DB9', '-visited-by-': '#81C0FF', '-poll-by-': '#4786C4', '-using-by-': '#BD7421', '-embedded-by-': '#C0E9DE', '-sleeping-by-': '#EC3636', '-running-by-': '#804603', '-calculating-by-': '#71F3F3', '-analyzing-by-': '#E4EB2A', '-connect-by-': '#2727D4', '-scoped-by-': '#3C3C79', '-terminating-by-': '#F72424', '-raised-by-': '#EE4A4A', '-embedding-by-': '#29E5B3', '-idling-by-': '#AF2424', '-did-by-': '#7B7BB7', '-upgraded-by-': '#BABA48', '-yielded-by-': '#E82121', '-parsing-to-': '#E8EE3E', '-appending-by-': '#89C94A', '-voting-by-': '#4D2570', '-print-by-': '#B27BE2', '-mastering-by-': '#B25382', '-waking-by-': '#1CDBDB', '-hunted-by-': '#BF9A6F', '-flushed-by-': '#D6DDE5', '-walking-by-': '#1E1E7A', '-schemed-by-': '#7D6345', '-dispatched-by-': '#7A8FA4', '-loop-by-': '#6A6AB0', '-spawn-by-': '#9AFE2E', '-wing-by-': '#0174DF', '-inherit-by-': '#C5C78C', '-parsed-to-': '#B5B68A', '-xray-by-': '#BE81F7', '-verbalizing-by-': '#B707B2', '-registering-by-': '#7AD57A', '-calculate-by-': '#00FFFF', '-connecting-by-': '#3333DF', '-firing-by-': '#9C74C4', '-verged-by-': '#9494F5', '-released-by-': '#E4EBE4', '-synopsized-by-': '#9191F2', '-run-by-': '#8A4B08', '-vote-by-': '#59317D', '-union-by-': '#5858FA', '-coloring-by-': '#EC59E7', '-registered-by-': '#C1DBC1', '-adding-by-': '#7E7E91', '-winged-by-': '#4293E4', '-inform-by-': '#D86ED5', '-winging-by-': '#0B61B7', '-get-by-': '#838708', '-performing-by-': '#A86519', '-wave-by-': '#0404B4', '-polling-by-': '#3178BF', '-wised-by-': '#7BF97B', '-weighed-by-': '#6B4E2E', '-specialize-by-': '#9A2EFE', '-zone-by-': '#0B0B61', '-initialized-by-': '#7EF7F3', '-indicating-by-': '#E172DD', '-coordinated-by-': '#735E72', '-zipped-by-': '#39395F', '-waved-by-': '#2828BA', '-dump-by-': '#2F72B6', '-sending-by-': '#34A5C7', '-voted-by-': '#705886', '-acting-by-': '#EF932A', '-skipped-by-': '#DC6969', '-sent-by-': '#84BFD1', '-quit-by-': '#F5D0A9', '-noting-by-': '#EFAF65', '-pass-to-': '#CEF6F5', '-record-by-': '#A1DFA1', '-building-by-': '#3F94E9', '-deciding-by-': '#3390EC', '-functioning-by-': '#976022', '-inheriting-by-': '#C0C372', '-sorting-by-': '#693E0C', '-created-by-': '#F2D8BF', '-want-by-': '#0B3861', '-webbed-by-': '#2F2F6C', '-proxying-by-': '#5E2828', '-finalize-by-': '#8A4B08', '-joined-by-': '#E1B787', '-getting-by-': '#93971B', '-hunting-by-': '#905A1E', '-return-by-': '#9AD1B8', '-walk-by-': '#343480', '-dispatching-by-': '#1F65AC', '-classed-by-': '#BDBDFC', '-wondering-by-': '#E7EE2D', '-doing-by-': '#3232BA', '-compared-by-': '#ABABF2', '-accepted-by-': '#58C391', '-setting-by-': '#643632', '-terminate-by-': '#FE2E2E', '-functioned-by-': '#B2A392', '-cluster-by-': '#664C4C', '-type-by-': '#734E98', '-showed-by-': '#E3FAF3', '-serving-by-': '#4444AF', '-skeletonized-by-': '#A87F7F', '-vary-by-': '#FE2EF7', '-imposing-by-': '#4B474E', '-washed-by-': '#272772', '-rose-by-': '#F5D6B2', 'color-aced': '#4F623B', '-acknowledge-by-': '#33570E', '-done-by-': '#C0C0D8', '-scheming-by-': '#6B4111', '-globalizing-by-': '#E18822', '-proxied-by-': '#694444', '-analyze-by-': '#F4FA58', '-delivering-by-': '#29C7C2', '-wash-by-': '#0B0B61', '-coordinating-by-': '#867D85', '-opened-by-': '#7797B6', '-tested-by-': '#B1B556', '-wandering-by-': '#141473', '-initializing-by-': '#59F6F1', '-broke-by-': '#FD3838', '-hatching-by-': '#CD7714', '-webbing-by-': '#060652', '-hit-by-': '#F22828'}
 
         
    # -----------------------------------------------------------------------------------------------------------------
    # (STEP 11/33)
    # ----------------------------------------------------------------------------------------------------------------- 
    order2xi     = 10                                                              # default start for order
    max2order    = 1
    linecount2xi = 0
    ack2noun     = False                                                           # default is invalid file line for ID
    ack2id       = False
    ack2dragon   = False
        
    while 1:
            
        # -------------------------------------------------------------------------------------------------------------
        # PROCESS THE INPUT ACE XML-FILE  
        # ------------------------------------------------------------------------------------------------------------- 
        input_line2xi = input_fd2xi.readline()                                 # noun + sequence
        if not input_line2xi:
            break                                                              # all lines read, finish
        else:
            # ---------------------------------------------------------------------------------------------------------
            # 
            # ---------------------------------------------------------------------------------------------------------         
            if ack2debug is True:
                print('(STEP 11A/33) OF COORDINATE_NOUNS4XI - INPUT_LINE2XI: ', input_line2xi)    # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">           
            linecount2xi = linecount2xi + 1

            i2id = str.find(input_line2xi,'<owl:Class rdf:ID=')                                   # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060"> 
 
            if i2id == -1:
                # -----------------------------------------------------------------------------------------------------
                # NON-ID LINE
                # -----------------------------------------------------------------------------------------------------                
                ack2id = False
                i2end4class = str.find(input_line2xi,'</owl:Class>')
                if i2end4class == -1:
                    ack2dragon = False                                                                             # <?xml version="1.0"?> ...
                else:
                    if ack2noun is True:
                        ack2dragon = True
                    if ack2debug is True:
                        print('(STEP 11F1/33) OF COORDINATE_NOUNS4XI - MET </owl:Class>:, ACK2DRAGON: ', ack2dragon, ' ACK2NOUN: ', ack2noun) 
                        # MET </owl:Class>:, ACK2DRAGON:  True  ACK2NOUN:  True
                                   
                    # -----------------------------------------------------------------------------------------------------
                    # END OF CLASS TAG
                    # -----------------------------------------------------------------------------------------------------                 
                    if ack2dragon is True:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F2/33) - UPDATE XML-FILE FOR NOUN 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        if ack2debug is True:
                            print('(STEP 11F2a/33) OF COORDINATE_NOUNS4XI - TRYING ON_PROPERTY4LINE') 
                        try:
                            begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                            end2on_property4line = '">\n'                              
                            on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           # <owl:OnProperty rdf:ID="548x0y0z">
                            if ack2debug is True:
                                print('(STEP 11F2b/33) OF COORDINATE_NOUNS4XI - ON_PROPERTY4LINE: ', on_property4line) 
                            f2xi.write(on_property4line)
                        except:
                            print('(STEP 11F2c/33) OF COORDINATE_NOUNS4XI *** FAILED ON_PROPERTY4LINE')
                                                      
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F3/33) - SUBPROPERTY FOR NOUN  
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        if ack2debug is True:
                            print('(STEP 11F3a/33) OF COORDINATE_NOUNS4XI - TRYING ON_PROPERTY4LINE') 
                        try:                                            
                            begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                            end2sub_property4line = '">\n'
                            sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        #<rdfs:subPropertyOf rdf:resource="#548x0y0z"/>\n'
                            if ack2debug is True:
                                print('(STEP 11F3b/33) OF COORDINATE_NOUNS4XI - SUB_PROPERTY4LINE: ', sub_property4line) 
                                # <rdfs:subPropertyOf rdf:resource="#1057x-2900y-281z">
                                                      
                            f2xi.write(sub_property4line)
                        except:
                            print('(STEP 11F3c/33) OF COORDINATE_NOUNS4XI *** FAILED ON_PROPERTY4LINE')
                                                    
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F4/33) - OBJECT FOR NOUN  
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                        if ack2debug is True:
                            print('(STEP 11F4a/33) OF COORDINATE_NOUNS4XI - TRYING ON_PROPERTY4LINE')                         
                        try: 
                            end2noun4line =    '</rdf:object>\n'   
                            begin2noun4line =  '            <rdf:object>'
                                                     
                            noun2property4line = begin2noun4line + noun2xi + end2noun4line
                            if ack2debug is True:
                                print('(STEP 11F4b/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)               
                                # 
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F4c/33) OF COORDINATE_NOUNS4XI *** FAILED ON_PROPERTY4LINE')
                                             
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F5/33) - COLOR FOR NOUN                     
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                        if ack2debug is True:
                            print('(STEP 11F5a/33) OF COORDINATE_NOUNS4XI - TRYING TO USE COLOR FOR NOUN: ', noun2xi)                      # ZSkeleton4Xi  
                        try:
                            key2alpha = noun2xi[0]                                                                                         #
                            key2alpha = key2alpha.lower()                                                                                  # z
                            color2xi = Colors2Nouns[key2color] 
                            if ack2debug is True:    
                                print('(STEP 11F5b/33) OF COORDINATE_NOUNS4XI - COLOR2XI: ', color2xi)   
                                # #0080FF
                        except:
                            print('(STEP 11F5c/33) OF COORDINATE_NOUNS4XI *** FAILED TO USE COLOR FOR NOUN: ', noun2xi)
        
                        if ack2debug is True:
                            print('(STEP 11F5d/33) OF COORDINATE_NOUNS4XI - TRYING ON_PROPERTY4LINE')                                  
                        try:
                            end2range4line = '</color4xi>\n'
                            begin2range4line = '            <color4xi>'
                            range2noun_property4line = begin2range4line + color2xi + end2range4line
                            if ack2debug is True:
                                print('(STEP 11F5d/33) OF COORDINATE_NOUNS4XI - RANGE2NOUN_PROPERTY4LINE: ', range2noun_property4line)    # 
                                # <color4xi>#0080FF</color4xi>       
                            f2xi.write(range2noun_property4line)
                        except:
                            print('(STEP 11F5e/33) OF COORDINATE_NOUNS4XI *** FAILED ON_PROPERTY4LINE')                  
                                

                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F6/33) - DIRECTION FOR NOUN
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                        if ack2debug is True:
                            print('(STEP 11F6a/33) OF COORDINATE_NOUNS4XI - TRYING TO DIRECTION2NOUN')                       
                        try: 
                            end2noun4line =    '</direct4xi>\n'   
                            begin2noun4line =  '            <direct4xi>'
                                                         
                            noun2property4line = begin2noun4line + str(direction2noun) + end2noun4line
                            if ack2debug is True:
                                print('(STEP 11F6b/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                                # <direct4xi>2</direct4xi>
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F6b/33) OF COORDINATE_NOUNS4XI *** FAILED TO USE DIRECTION2NOUN')   
            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F7/33) - DISTANCE
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 

                        if ack2debug is True:
                            print('(STEP 11F7a/33) OF COORDINATE_NOUNS4XI - TRYING TO USE RADIUS2COORDINATE')                                    
                        try: 
                            end2noun4line =    '</distance4xi>\n'   
                            begin2noun4line =  '            <distance4xi>'
                            
                            layer2check = context2cast['layer']
                            deviation2radius = int(radius2coordinate - layer2check)
                            if deviation2radius > 100:
                                print('(STEP 11F7b/33) OF COORDINATE_NOUNS4XI *** FAILED LAYER2CHECK: ', layer2check, ' RADIUS2COORDINATE: ', radius2coordinate, ' DEVIATION2RADIUS:', deviation2radius, ' OF COORDINATE2XI:', coordinate2xi)                            
                                context2cast['layer'] = 3100
                            else:
                                if ack2debug is True:
                                    print('(STEP 11F7c/33) OF COORDINATE_NOUNS4XI - PASSED LAYER2CHECK: ', layer2check, ' RADIUS2COORDINATE: ', radius2coordinate, ' DEVIATION2RADIUS:', deviation2radius, ' OF COORDINATE2XI:', coordinate2xi)                            
                
                            noun2property4line = begin2noun4line + str(context2cast['layer']) + end2noun4line
                            if ack2debug is True:
                                print('(STEP 11F7d/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 
                                # <distance4xi>100</distance4xi>                             
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F7e/33) OF COORDINATE_NOUNS4XI *** FAILED TO USE RADIUS2COORDINATE')   
            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F7/33) - DEVIATION
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                         
                        if ack2debug is True:
                            print('(STEP 11F7f/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE NOUN2PROPERTY4LINE WITH RADIUS2COORDINATE')           
                        try: 
                            end2ray4line =    '</ray4xi>\n'   
                            begin2ray4line =  '            <ray4xi>'
                                            
                            noun2property4line = begin2ray4line + str(radius2coordinate) + end2ray4line
                            if ack2debug is True:
                                print('(STEP 11F7g/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 
                                #                            
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F7h/33) OF COORDINATE_NOUNS4XI *** FAILED TO WRITE NOUN2PROPERTY4LINE WITH RADIUS2COORDINATE') 
            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F7/33) - RADIUS
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                        if ack2debug is True:
                            print('(STEP 11F7i/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE NOUN2PROPERTY4LINE WITH DEVIATION2RADIUS')                                      
                        try: 
                            end2deviator4line =    '</deviate4xi>\n'   
                            begin2deviator4line =  '            <deviate4xi>'
                                            
                            noun2property4line = begin2deviator4line + str(deviation2radius) + end2deviator4line
                            if ack2debug is True:
                                print('(STEP 11F7j/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 
                                #                            
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F7k/33) OF COORDINATE_NOUNS4XI ***FAILED TO WRITE NOUN2PROPERTY4LINE WITH DEVIATION2RADIUS')   
                            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F8/33) - CLUSTER
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                        if ack2debug is True:
                            print('(STEP 11F8a/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE NOUN2PROPERTY4LINE WITH KEY2CLUSTER')                            
                        try: 
                            end2cluster4line =    '</cluster4xi>\n'   
                            begin2cluster4line =  '            <cluster4xi>'
                                                     
                            noun2property4line = begin2cluster4line + str(key2cluster) + end2cluster4line
                            if ack2debug is True:
                                print('(STEP 11F8b/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)
                                # <cluster4xi>3</cluster4xi>                #
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F8c/33) OF COORDINATE_NOUNS4XI *** FAILED TO WRITE NOUN2PROPERTY4LINE WITH KEY2CLUSTER') 
                                                                    
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 11F9/33) - FIRE
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                        if ack2debug is True:
                            print('(STEP 11F9a/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE NOUN2PROPERTY4LINE WITH ORDER2XI')                            
                        try: 
                            end2fire4line =    '</fire4xi>\n'   
                            begin2fire4line =  '            <fire4xi>'
                                                     
                            noun2property4line = begin2fire4line + str(order2xi) + end2fire4line
                            
                            if ack2debug is True:
                                print('(STEP 11F9b/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                                # <fire4xi>6</fire4xi>
                            f2xi.write(noun2property4line)
                        except:
                            print('(STEP 11F9c/33) OF COORDINATE_NOUNS4XI *** FAILED TO WRITE NOUN2PROPERTY4LINE WITH ORDER2XI')  
                                                                           
                          
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 12D/33) - END OF SUBPROPERTY
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                        
                        if ack2noun is True:
                                               
                            if ack2debug is True:
                                print('(STEP 12Da/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE eof-subPropertyOf') 
                            try:
                                end2subproperty = '         </rdfs:subPropertyOf>\n'
                                if ack2debug is True:
                                    print('(STEP 12Db/33) OF COORDINATE_NOUNS4XI - END2SUBPROPERTY: ', end2subproperty)       
                                f2xi.write(end2subproperty)   
                            except:
                                print('*** FAILED IN (STEP 12Dc/33) OF COORDINATE_NOUNS4XI - TO WRITE END OF SUBPROPERTY FOR NOUN: ', noun2xi)
                                print('(STEP 12De/33) OF COORDINATE_NOUNS4XI - ACKS for NOUN: ', noun2xi, 'ACK2NOUN: ' ,ack2noun, ' ACK2METHOD:' , ack2method, ' ACK2FUNCTION:' , ack2function, ' ACK2MESSAGE:' , ack2message)
                                print('(STEP 12Df/33) OF COORDINATE_NOUNS4XI - METHOD:' , method2xi, ' FUNCTION:' , function2xi, ' MESSAGE:' , message2xi)                                    
                        else:
                            pass
                                            
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # (STEP 12E/33) - END OF PROPERTY, WHICH CLOSES NOUN (NO END OF CLASS IS WRITTEN) 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                
                        if ack2noun is True:
                            if ack2debug is True:
                                print('(STEP 12Ea/33) OF COORDINATE_NOUNS4XI - TRYING TO WRITE eof-subPropertyOf')                         
                            try:
                                end2onproperty = '   </owl:OnProperty>\n'
                                if ack2debug is True:
                                    print('(STEP 12Eb/33) OF COORDINATE_NOUNS4XI - END2ONPROPERTY: ', end2onproperty)                        
                                f2xi.write(end2onproperty)
                                
                                ack2actor  = False
                                ack2dragon = False
                                          
                            except:
                                print('*** FAILED IN (STEP 12Ec/33) OF COORDINATE_NOUNS4XI - TO WRITE END OF PROPERTY FOR NOUN: ', noun2xi)
                                print('(STEP 12Ed/33) OF COORDINATE_NOUNS4XI - ACKS for NOUN: ', noun2xi, 'ACK2NOUN: ' ,ack2noun, ' ACK2METHOD:' , ack2method, ' ACK2FUNCTION:' , ack2function, ' ACK2MESSAGE:' , ack2message)
                                print('(STEP 12Ef/33) OF COORDINATE_NOUNS4XI - METHOD:' , method2xi, ' FUNCTION:' , function2xi, ' MESSAGE:' , message2xi)                                    
                        else:
                            pass
                            

                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    else:
                        pass                                                             # </owl:Class> non dragon line
                    # -------------------------------------------------------------------------------------------------
                    # DONE END OF CLASS TAG
                    # -------------------------------------------------------------------------------------------------  

                # -----------------------------------------------------------------------------------------------------
                # DONE NON-ID LINE
                # ----------------------------------------------------------------------------------------------------- 
            else:
                # -----------------------------------------------------------------------------------------------------
                # ID-LINE
                # -----------------------------------------------------------------------------------------------------             
                if ack2debug is True:    
                    print('(STEP 11B/33) OF COORDINATE_NOUNS4XI - ANALYSING ID LINE: ', input_line2xi)              # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">             
                
                # -----------------------------------------------------------------------------------------------------
                # ID-LINE - VALIDITY REQUIRED - SKIP OWN HEADERS
                # -----------------------------------------------------------------------------------------------------                    
            
                i2skip = str.find(input_line2xi,'ACE4Xi#0000000')                                                   # <owl:Class rdf:ID="ACE4Xi#0000000">           

                if i2skip == - 1:
                    i2skip = str.find(input_line2xi,'ace#0000000')                                                  # <owl:ObjectProperty rdf:ID="ace#0000000">
  
                    if i2skip == - 1:
                        if ack2debug is True: 
                            print('(STEP 11C/33) OF COORDINATE_NOUNS4XI -  ACCEPTED ID LINE: ', input_line2xi)      # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">
                        ack2noun = True
                        ack2dragon = True                                                                         
                    else:
                        if ack2debug is True:
                            print('(STEP 11D/33) OF COORDINATE_NOUNS4XI - SKIPPED : ', input_line2xi)               # 
                else:
                    if ack2debug is True:
                        print('(STEP 11E/33) OF COORDINATE_NOUNS4XI - SKIPPED : ', input_line2xi)                   #  
                    
            # ---------------------------------------------------------------------------------------------------------
            # 
            # ---------------------------------------------------------------------------------------------------------  
            if ((ack2noun is True) and (ack2dragon is True)):
                       
                # ---------------------------------------------------------------------------------------------------------------------------------
                # (STEP 14/33) - NOUN FOUND - ITS ORDER DEPENDS WHEN NOUN HAS BEEN USED                            # 000000060
                # --------------------------------------------------------------------------------------------------------------------------------- 
                                                                    
                i2end4noun = str.find(input_line2xi,'#')                                                           # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">

                if i2end4noun == -1:
                    # -----------------------------------------------------------------------------------------------------------------------------
                    # NO ORDER NUMBER PROVIDED
                    # -----------------------------------------------------------------------------------------------------------------------------  
                    if ack2debug is True:
                        print('(STEP 11F/33) OF COORDINATE_NOUNS4XI - NO ORDER NUMBER PROVIDED - SKIPPED LINE: ', input_line2xi)  
                else: 
                    # -----------------------------------------------------------------------------------------------------------------------------
                    # ORDER NUMBER FOUND
                    # ----------------------------------------------------------------------------------------------------------------------------- 
                                                                                                                   #                    19
                    noun2xi = input_line2xi[i2id+19:i2end4noun]                                                    # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">                               
                    if ack2debug is True:
                        print('(STEP 11G/33) OF COORDINATE_NOUNS4XI - NOUN2XI: ', noun2xi)                        # ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi                         
                        print('(STEP 11H/33) OF COORDINATE_NOUNS4XI - TRYING TO SET ORDER2XI USING ID-LINE: ', input_line2xi)
                                                                                                                   # <owl:Class rdf:ID="ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi#000000060">
                    order2xi = 1                                                                   
                    try:
                        order2xi = int(input_line2xi[i2end4noun+1:i2end4noun+10:])                                 # 
                        if ack2debug is True:
                            print('(STEP 11I/33) OF COORDINATE_NOUNS4XI - ORDER2XI: ', order2xi)                  # 60 
                    except:                                                                                       
                        order2xi = 10 
                        print('(STEP 11J/33) OF COORDINATE_NOUNS4XI ** YIELDED ORDER2XI: ', order2xi, 'INPUT_LINE2XI[I2ENDNOUN+1:I2ENDNOUN+10:] ' , input_line2xi[i2end4noun+1:i2end4noun+10:]) 
                        # 
                                            
                        
                                                                                  
                if order2xi > max2order:
                    max2order = order2xi                                                                           # the greatest order number met so far
  
                key2alpha = noun2xi[0]                                                                             # if noun knowledgebase exists
                key2alpha = key2alpha.lower()
                
                keys2nouns = Noun2Cluster4Xi.keys()                                                                # ... -passing-to- ....
                      
                # ---------------------------------------------------------------------------------------------------------------------------------
                # (STEP 12/33) - TRYING TO SET CLUSTER FOR NOUN
                # --------------------------------------------------------------------------------------------------------------------------------- 
                if ack2debug is True:                         
                    print('(STEP 12A/33) OF COORDINATE_NOUNS4XI - TRYING TO SET KEYS FOR CLUSTER, NOUN : ', noun2xi)        # ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi
                
                try:
                    keys2cluster = Noun2Cluster4Xi.keys()
                    if ack2debug is True: 
                        print('(STEP 12B/33) OF COORDINATE_NOUNS4XI - KEYS2CLUSTER: ', keys2cluster)               # '-joined-by-', '-aced-by-', '-hunting-by-',
                except:
                    print('(STEP 12C/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET KEYS2CLUSTER ***')
                
                # -----------------------------------------------------------------------------------------------------------------------------
                # (STEP 14A/33) - TRYING TO FIND CLUSTER FOR NOUN
                # -----------------------------------------------------------------------------------------------------------------------------                     
                key2cluster = 33
                try:
                    for key2examine in sorted(keys2cluster):                                                       # ... '-joined-by-', '-aced-by-', '-hunting-by-' ...
                        i2cluster = str.find(noun2xi,key2examine)                                                  # ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi find ... -aced-by-                                      
                        if i2cluster == -1:
                            pass                                                                                   
                        else:
                            key2cluster = Noun2Cluster4Xi[key2examine]                                             # 
                            key2color = key2examine                                                                # save to access color later on
                            if ack2debug is True:    
                                print('(STEP 14A/33) OF COORDINATE_NOUNS4XI - KEY2EXAMINE: ', key2examine, ' key2cluster: ', key2cluster, ' CLUSTER: ', ClusterColor4Xi[key2cluster] [6])   
                                # KEY2EXAMINE:  -aced-by-  key2cluster:  21  CLUSTER:  decider                                                           
                except:
                    print('(STEP 14A/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET KEY2CLUSTER FOR NOUN: ', noun2xi)
                
                        
                                    
                # -------------------------------------------------------------------------------------
                # (STEP 14B/33) - CLUSTER AND SUPER-CLUSTER 
                # ------------------------------------------------------------------------------------- 
                if ack2debug is True:
                    print('(STEP 14B/33) OF COORDINATE_NOUNS4XI - TRYING TO USE CLUSTER AND ITS SUPER WITH KEY2CLUSTER: ', key2cluster)
                
                try:
                    name2cluster = ClusterColor4Xi[key2cluster] [6]                                                 #                   
                    if ack2debug is True:
                        print('(STEP 14B1/33) OF COORDINATE_NOUNS4XI - NAME2CLUSTER: ', name2cluster)              # decider
                        
                    key2super = ClusterColor4Xi[key2cluster] [5]                                                    # 
                    if key2super == 0:
                        key2super = 8 
                    if ack2debug is True:
                        print('(STEP 14C/33) OF COORDINATE_NOUNS4XI - KEY2SUPER: ', key2super)                     # 
                                                                                   
                    name2super = SuperClusterColor4Xi[key2super] [5]                                                #                   
                    if ack2debug is True:
                        print('(STEP 14D/33) OF COORDINATE_NOUNS4XI - NAME2SUPER: ', name2super)                   # mathematician
                        
                    ClusterColorStatistics4Xi [key2cluster] = ClusterColorStatistics4Xi [key2cluster] + 1
                    if ack2debug is True:
                        print('(STEP 14E/33) OF COORDINATE_NOUNS4XI - CLUSTERCOLORSTATISTICS4XI[', key2cluster, '] = ', ClusterColorStatistics4Xi[key2cluster])       # CLUSTERCOLORSTATISTICS4XI[ 21 ] =  1
                        
                    SuperClusterColorStatistics4Xi [key2super] = SuperClusterColorStatistics4Xi [key2super] + 1
                    if ack2debug is True:
                        print('(STEP 14F/33) OF COORDINATE_NOUNS4XI - SUPERCLUSTERCOLORSTATISTICS4XI[', key2super, '] = ', SuperClusterColorStatistics4Xi[key2super]) # SUPERCLUSTERCOLORSTATISTICS4XI[ 5 ] =  1 
                                                                   
                except:
                    print('(STEP 14/33) OF COORDINATE_NOUNS4XI *** FAILED TO USE CLUSTER AND ITS SUPER WITH KEY2CLUSTER: ', key2cluster)
                    name2cluster = 'None'
                    key2super = 8
                    name2super = 'None'
                                                         
                # ====================================================================================================================== 
                # (STEP 15/33) - CREATE (X,Y,Z) FOR NOUN - LAYER DEPENDS ON ORDER(=TIME) - DIRECTION(1...8) DEPENDS ON SUPER-CLUSTER                 
                # ======================================================================================================================            
                if ack2debug is True:
                    print('(STEP 15/33) OF COORDINATE_NOUNS4XI - TRYING TO - CREATE (X,Y,Z) FOR NOUN: ', noun2xi)   # ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi
                try:       
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A/33) - DIRECTION (1...8)
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                                                              
                    direction2noun = key2super                                                                       # direction 1...8 depends on super-cluster
                    if direction2noun == 0:
                        direction2noun = 8                                                                           # super value zero is mapped to direction eight
                        if ack2debug is True:
                            print('(STEP 15A1/33) OF COORDINATE_NOUNS4XI - DIRECTION2NOUN: ', direction2noun)        # 5
                            # 
                            # 
                    else:    
                        if ack2debug is True:
                            print('(STEP 15A2/33) OF COORDINATE_NOUNS4XI - DIRECTION2NOUN: ', direction2noun)        #
                    
                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A2/33) - CONTEXT 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    ack2noun  = False                        
                    definition2xi = noun2xi                                                                          # compability with verb4xi.py
                    context2update = {'noun':        noun2xi,
                                      'definition':  definition2xi,
                                      'clusterkey':  key2cluster,
                                      'clustername': name2cluster,
                                      'superkey':    key2super,
                                      'supername':   name2super,
                                      'direction':   direction2noun,
                                      'order':       order2xi,
                                      'status':      ack2noun,
                                      'simulation':  'nack',
                                      'layer':       0}
                    if ack2debug is True:
                        print('(STEP 15A2/33) OF COORDINATE_NOUNS4XI - CONTEXT2UPDATE: ', context2update)     
                        # {'status': False, 
                        #    'direction': 5, 
                        #    'layer': 3100, 
                        #    'definition': 'ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi', 
                        #    'noun': 'ZSkeleton4Xi-aced-by-ace-of-ZSkeleton4Xi', 
                        #    'clustername': 'decider', 
                        #    'clusterkey': 21, 
                        #    'simulation': 'nack', 
                        #    'supername': 'mathematician', 
                        #    'order': 60, 
                        #    'superkey': 5}
                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A3/33) - CAST 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  
                    if ack2debug is True:
                        print('(STEP 15A3/33) OF COORDINATE_NOUNS4XI - TRYING TO CAST NOUN: ', noun2xi)
                    try:             
                        context2cast = cast2noun4xi(context2update)
                        if ack2debug is True:
                            print('(STEP 15A3a/33) OF COORDINATE_NOUNS4XI - GOT CONTEXT2NOUN: ', context2cast) 
                    except:
                        print('(STEP 15A3/33) OF COORDINATE_NOUNS4XI *** FAILED TO CAST NOUN: ', noun2xi) 
                    
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A4/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR NOUN 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    if ack2debug is True:
                        print("(STEP 15A4a/33) OF COORDINATE_NOUNS4XI - TRYING TO DETERMINE INDEX2CAST")
                    try:
                        index2order = int(context2cast['indexfire'])
                        if ack2debug is True:
                            print("(STEP 15A4b/33) OF COORDINATE_NOUNS4XI - INDEX2ORDER", index2order)   # 20
                                
                        index2cast = order2cast[index2order]                                              # use the first available (x,y,z) INDEX to this direction and for the required distance
                        if ack2debug is True:                                                             
                            print('(STEP 15A4c/33) OF COORDINATE_NOUNS4XI - INDEX2CAST: ', index2cast, ' WITH INDEX2ORDER: ', index2order)
                            # INDEX2CAST:  1  WITH INDEX2ORDER:  20                                                                               
                    except:
                        index2cast = 1  
                        print('(STEP 15A4c/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A5/33) - SET DICTIONARY FOR NOUN FROM CONTEXT RECEIVED
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                    try:
                        dictionary2cast = context2cast['dictionary']
                        if ack2debug is True:
                            print('(STEP 15A5a/33) OF COORDINATE_NOUNS4XI - DICTIONARY2CAST: ', dictionary2cast)
                            # {1: '-106x-255y532z', 2: '-106x-517y283z', 3: '-116x-244y535z', 4: '-119x-562y169z', 5: '-126x-233y538z', 6: '-12x-16y599z', 7: '-12x-72y595z', 8: '-133x-508y288z', 9: '-136x-221y540z', 10: '-144x-209y543z', 11: '-148x-554y175z', 12: '-14x-21y599z', 13: '-151x-197y545z', 14: '-158x-185y548z', 15: '-158x-498y294z', 16: '-15x-66y596z', 17: '-164x-172y550z', 18: '-167x-30y575z', 19: '-169x-160y552z', 20: '-16x-27y599z', 21: '-16x-59y596z', 22: '-171x-40y573z', 23: '-172x-147y555z', 24: '-174x-51y571z', 25: '-176x-134y557z', 26: '-176x-543y181z', 27: '-177x-62y569z', 28: '-178x-122y559z', 29: '-178x-73y567z', 30: '-179x-109y561z', 31: '-179x-85y565z', 32: '-17x-33y598z', 33: '-180x-97y563z', 34: '-183x-486y299z', 35: '-18x-40y598z', 36: '-18x-46y597z', 37: '-18x-53y597z', 38: '-1x-1y599z', 39: '-1x-91y592z', 40: '-204x-532y187z', 41: '-207x-473y304z', 42: '-229x-193y519z', 43: '-230x-459y309z', 44: '-231x-519y192z', 45: '-234x-177y522z', 46: '-239x-162y525z', 47: '-243x-147y528z', 48: '-245x-131y531z', 49: '-247x-116y533z', 50: '-248x-101y536z', 51: '-24x-306y515z', 52: '-24x-536y267z', 53: '-252x-443y314z', 54: '-257x-504y198z', 55: '-259x-243y602z', 56: '-273x-427y319z', 57: '-282x-488y204z', 58: '-294x-409y324z', 59: '-306x-471y209z', 60: '-306x-515y1z', 61: '-30x-579y152z', 62: '-313x-391y329z', 63: '-329x-453y215z', 64: '-330x-371y334z', 65: '-333x-498y7z', 66: '-347x-351y339z', 67: '-351x-433y220z', 68: '-358x-480y13z', 69: '-362x-330y344z', 70: '-371x-412y226z', 71: '-377x-309y349z', 72: '-383x-461y19z', 73: '-389x-286y354z', 74: '-391x-391y232z', 75: '-39x-299y518z', 76: '-401x-264y359z', 77: '-406x-440y25z', 78: '-409x-368y237z', 79: '-411x-240y364z', 80: '-420x-217y368z', 81: '-426x-345y243z', 82: '-427x-193y373z', 83: '-429x-418y31z', 84: '-433x-169y378z', 85: '-438x-145y383z', 86: '-441x-121y387z', 87: '-441x-320y248z', 88: '-443x-97y392z', 89: '-450x-394y37z', 90: '-455x-296y254z', 91: '-468x-270y259z', 92: '-469x-370y43z', 93: '-479x-244y264z', 94: '-488x-345y49z', 95: '-489x-217y270z', 96: '-497x-190y275z', 97: '-504x-163y280z', 98: '-505x-318y55z', 99: '-509x-136y286z', 100: '-513x-109y291z', 101: '-515x-54y301z', 102: '-515x-81y296z', 103: '-520x-291y61z', 104: '-52x-531y272z', 105: '-534x-263y67z', 106: '-547x-235y73z', 107: '-54x-292y521z', 108: '-557x-205y79z', 109: '-567x-176y85z', 110: '-574x-146y91z', 111: '-5x-5y599z', 112: '-5x-85y593z', 113: '-60x-575y158z', 114: '-68x-283y524z', 115: '-80x-525y278z', 116: '-81x-274y526z', 117: '-8x-312y512z', 118: '-90x-569y164z', 119: '-94x-265y529z', 120: '-9x-10y599z', 121: '-9x-79y594z', 122: '0x-581y146z'}
                    except:
                        print('(STEP 15A5b/33) OF COORDINATE_NOUNS4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                        # 
                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A5/33) - DETERMINE (X,Y,Z) FOR NOUN USING THE FIRST AVAILABLE INDEX AND RECEIVED CONTEXT
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                           
                    if ack2debug is True:
                        print('(STEP 15A5c/33) OF COORDINATE_NOUNS4XI USING INDEX2CAST: ', index2cast)   # (STEP 15A5c/33) OF COORDINATE_NOUNS4XI USING INDEX2CAST:  1
                        
                    try:                                                                          
                        coordinate2xi = dictionary2cast[index2cast]                                   # use the dictionary of the context and the calculated index into it
                        if ack2debug is True:
                            print('(STEP 15A5d/33) OF COORDINATE_NOUNS4XI - COORDINATE2XI: ', coordinate2xi)  
                            # -106x-255y532z ... 
                        i2x = str.find(coordinate2xi,"x")
                        i2y = str.find(coordinate2xi,"y") 
                        i2z = str.find(coordinate2xi,"z")
                        
                        x2coordinate = int(coordinate2xi[0:i2x])
                        y2coordinate = int(coordinate2xi[i2x+1:i2y])
                        z2coordinate = int(coordinate2xi[i2y+1:i2z])
                        if ack2debug is True:
                            print('(STEP 15A5d2/33) OF COORDINATE_NOUNS4XI - X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)      # X:  0  Y:  -27  Z:  -41                            
                             
                        radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                        if ack2debug is True:
                            print('(STEP 15A5d3/33) OF COORDINATE_NOUNS4XI - RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)  # 49.0917508345 FOR COORDINATE2XI:  0x-27y-41z
                                
                    except:
                        print('(STEP 15A5e/33) OF COORDINATE_NOUNS4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                        # 
                        
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # EVEN WITH EXCEPTIONS WE TRY !
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        try:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                            ack2new = False
                            index2replace = index2cast
                            max2use = len(dictionary2cast)
                            while ack2new is False:                                       
                                index2replace = index2replace - max2use                   
                                if index2replace < max2use:
                                    if index2replace == 0:
                                        index2replace = 1                                 
                                    ack2new = True
                                    
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # AND TRY!
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                            try:    
                                coordinate2xi = dictionary2cast[index2replace]
                                print('(STEP 15A5f/33) OF COORDINATE_NOUNS4XI ** WARNED: OVERFLOW WITH NOUN: ', noun2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) RE-USED = ', coordinate2xi, ' DIRECTION: ', direction2noun) 
                                # 
                                i2x = str.find(coordinate2xi,"x")
                                i2y = str.find(coordinate2xi,"y") 
                                i2z = str.find(coordinate2xi,"z")
                        
                                x2coordinate = int(coordinate2xi[0:i2x])
                                y2coordinate = int(coordinate2xi[i2x+1:i2y])
                                z2coordinate = int(coordinate2xi[i2y+1:i2z])
                                print('(STEP 15A5g/33) OF COORDINATE_NOUNS4XI ** RE-USED X: ', x2coordinate, ' Y: ', y2coordinate, ' Z: ', z2coordinate)                            
                             
                                radius2coordinate = (x2coordinate**2 + y2coordinate**2 + z2coordinate**2) ** (1/2)
                                print('(STEP 15A5h/33) OF COORDINATE_NOUNS4XI ** RE-USED RADIUS: ', radius2coordinate, 'FOR COORDINATE2XI: ', coordinate2xi)
                            except:
                                coordinate2xi = '0x0y0z'
                                x2coordinate = 0
                                y2coordinate = 0
                                z2coordinate = 0
                                radius2coordinate = 0
                                print('(STEP 15A5i/33) OF COORDINATE_NOUNS4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)                                              
                        except:
                            coordinate2xi = '0x0y0z'
                            x2coordinate = 0
                            y2coordinate = 0
                            z2coordinate = 0
                            radius2coordinate = 0                            
                            print('(STEP 15A5j/33) OF COORDINATE_NOUNS4XI *** FAILED FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)  
                            # 
                                
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 15A6/33) - UPDATE THE NEXT AVAILABLE INDEX FOR NOUN 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    if ack2debug is True:
                        print("(STEP 15A6a/33) OF COORDINATE_NOUNS4XI - TRYING TO UPDATE THE NEXT AVAILABLE INDEX FOR NOUN")  
                    
                    try:
                        order2cast[index2order] = order2cast[index2order] + 1 
                        if ack2debug is True:
                            print("(STEP 15A6b/33) OF COORDINATE_NOUNS4XI - ORDER2CAST[", index2order, "]: ", order2cast[index2order]) # ORDER2CAST[ 20 ]:  2 
                    except:
                        print("(STEP 15A6c/33) OF COORDINATE_NOUNS4XI *** FAILED TO UPDATE THE NEXT AVAILABLE INDEX FOR NOUN")                                             

                                                                                 
                    ack2noun = True
                    ack2dragon = True            

                    # -----------------------------------------------------------------------------------------------------------------------------
                    # 
                    # -----------------------------------------------------------------------------------------------------------------------------                       

                except:
                    # -----------------------------------------------------------------------------------------------------------------------------
                    # 
                    # -----------------------------------------------------------------------------------------------------------------------------                     
                    print('(STEP 15/33) OF COORDINATE_NOUNS4XI *** FAILED TO - CREATE (X,Y,Z) FOR NOUN: ', noun2xi)  #
                # ---------------------------------------------------------------------------------------------------------------------------------
                # DONE NOUN
                # ---------------------------------------------------------------------------------------------------------------------------------                      
            else:
                # ---------------------------------------------------------------------------------------------------------------------------------
                # PASSED NONE NOUN
                # ---------------------------------------------------------------------------------------------------------------------------------            
                pass
                
        # -----------------------------------------------------------------------------------------------------
        # END OF WHILE
        # ----------------------------------------------------------------------------------------------------- 
   
    # -----------------------------------------------------------------------------------------
    # (STEP 19/33)
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:            
        print('(STEP 19A/33) OF COORDINATE_NOUNS4XI - READ INPUT FILE LINECOUNT2XI: ', linecount2xi)            # 3291    
        print('(STEP 19B/33) OF COORDINATE_NOUNS4XI - MAX2ORDER: ', max2order)                                  # 1098
        
        print('(STEP 19C/33) OF COORDINATE_NOUNS4XI - CLUSTERCOLORSTATISTICS4XI:', ClusterColorStatistics4Xi)   #  {0: 0, 1: 81, 2: 3, 3: 34, 4: 24, 5: 6, 6: 12, 7: 8, 8: 10, 9: 12, 10: 54, 11: 7, 12: 14, 13: 9, 14: 36, 15: 6, 16: 0, 17: 3, 18: 2, 19: 15, 20: 23, 21: 0, 22: 0, 23: 0, 24: 0, 25: 0, 26: 0, 27: 0, 28: 0, 29: 0, 30: 0, 31: 0, 32: 0, 33: 0}

    keys2cluster = ClusterColorStatistics4Xi.keys() 
    if ack2debug is True:     
        print('(STEP 19D/33) OF COORDINATE_NOUNS4XI - KEYS2CLUSTER: ', keys2cluster)                            # dict_keys([0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33])
         
    total2cluster = 0
    
    print('=' *70)                
    print('CLUSTERCOLORSTATISTICS4XI:') 
    print('=' *70)      
    
    keys2cluster = ClusterColor4Xi.keys()        
    for key2cluster in sorted(keys2cluster):
        try:
            print('[', key2cluster, ']: ', ClusterColor4Xi[key2cluster] [6], ClusterColorStatistics4Xi[key2cluster])
            total2cluster = total2cluster + ClusterColorStatistics4Xi[key2cluster]
        except:
            pass
    
                
    print('=' *70) 
    print('TOTAL CLUSTER: ', total2cluster)
    print('=' *70)
    # ======================================================================
    # CLUSTERCOLORSTATISTICS4XI:
    # ======================================================================
    # [ 1 ]:  function 0
    # [ 2 ]:  method 0
    # [ 3 ]:  flow 13
    # [ 4 ]:  object 2
    # [ 5 ]:  activator 0
    # [ 6 ]:  acceptor 0
    # [ 7 ]:  noun 0
    # [ 8 ]:  acceptor 0
    # [ 9 ]:  mathematician 0
    # [ 10 ]:  analyzer 4
    # [ 11 ]:  assertor 0
    # [ 12 ]:  builder 0
    # [ 13 ]:  caller 0
    # [ 14 ]:  checker 0
    # [ 15 ]:  clearer 5
    # [ 16 ]:  closer 0
    # [ 17 ]:  commander 0
    # [ 18 ]:  deletor 0
    # [ 19 ]:  connector 0
    # [ 20 ]:  provider 0
    # [ 21 ]:  decider 2
    # [ 22 ]:  deletor 0
    # [ 23 ]:  disconnector 0
    # [ 24 ]:  dispatcher 0
    # [ 25 ]:  doer 22
    # [ 26 ]:  pickler 0
    # [ 27 ]:  ender 0
    # [ 28 ]:  examiner 0
    # [ 29 ]:  finalizer 11
    # [ 30 ]:  receiver 7
    # [ 31 ]:  exception 0
    # [ 32 ]:  challenge 0
    # [ 33 ]:  miscellaneous 11
    # ======================================================================
    # TOTAL CLUSTER:  77
    # ======================================================================  
    print('=' *70)       
    print('SUPERCLUSTERCOLORSTATISTICS4XI:')     
    print('=' *70)
    
    total2super = 0        
    keys2super = SuperClusterColorStatistics4Xi.keys()
    for key2super in sorted(keys2super):
        print('[', key2super, ']: ', SuperClusterColor4Xi[key2super] [5], ':', SuperClusterColorStatistics4Xi[key2super])
        total2super = total2super + SuperClusterColorStatistics4Xi[key2super]

    if total2cluster == total2super:
       ack2total = True
    else:
       ack2total = False
          
    print('=' *70) 
    if ack2total is True:
        print('TOTAL SUPER: ', total2super, ' [ACK]')
    else:
        print('TOTAL SUPER: ', total2super, ' [NACK]')
            
    print('=' *70)
    # ======================================================================
    # SUPERCLUSTERCOLORSTATISTICS4XI:
    # ======================================================================
    # [ 1 ]:  function : 0
    # [ 2 ]:  method : 13
    # [ 3 ]:  flow : 2
    # [ 4 ]:  object : 0
    # [ 5 ]:  activator : 51
    # [ 6 ]:  mathematician : 0
    # [ 7 ]:  initializer : 11
    # [ 8 ]:  miscellaneous : 0
    # ======================================================================
    # TOTAL SUPER:  77  [ACK]
    # ======================================================================

    # ==================================================================================================  
    # (STEP 20/33) - WRITING CLUSTERS STATISTICS
    # ==================================================================================================  
    if ack2debug is True:          
        print("(STEP 20A0a/33) OF COORDINATE_NOUNS4XI - WRITING CLUSTERS STATISTICS")      
    
    order2xi = 3201                                                                                  # 3200 = layer used for cluster statistics
                                                                                                     # mapped downwards
    class2xi = '   <owl:Class rdf:ID="ClusterColorStatistics4Xi">\n'
    f2xi.write(class2xi)         
        
    operation_comment2xi = '      <define4xi xml:lang="en">Statistics of Cluster Nouns</define4xi>\n'
    f2xi.write(operation_comment2xi)
    
    # -------------------------------------------------------------------------------------------------
    # STATISTICS FOR ALL CLUSTERS TO LAYER 3200
    # -------------------------------------------------------------------------------------------------    
    for key2cluster in sorted(keys2cluster):
        if key2cluster == 0:
            pass
        else:    
            # -----------------------------------------------------------------------------------------
            # 
            # -----------------------------------------------------------------------------------------     
            if ack2debug is True:
                print('(STEP 20A0/33) OF COORDINATE_NOUNS4XI: TRYING STATISTICS FOR KEY2CLUSTER: ', key2cluster)
            try:
                # ---------------------------------------------------------------------------------
                # SIMULATE CLUSTERS AS NOUNS
                # ---------------------------------------------------------------------------------           
                noun2xi = ClusterColor4Xi[key2cluster] [6]  # 
                definition2xi = noun2xi                     # 
                
                if ack2debug is True:          
                    print('(STEP 20A0a/33) OF COORDINATE_NOUNS4XI: SIMULATED NOUN2XI: ', ClusterColor4Xi[key2cluster] [6], ' STATISTICS: ', ClusterColorStatistics4Xi[key2cluster])
                    # SIMULATED NOUN2XI:  operations  STATISTICS:  2641
                    # 
                    
                stat2xi =  ClusterColorStatistics4Xi[key2cluster]
                if stat2xi >= 0:
                    # ---------------------------------------------------------------------------------
                    # (X,Y,Z) NODES ALSO TO CLUSTER WITH NO DATE FOR SKELETON TO BE ZAPPED
                    # ---------------------------------------------------------------------------------                
                    try:           
                        key2super = ClusterColor4Xi[key2cluster] [5]
                        if key2super == 0:
                            key2super = 8 
                        if ack2debug is True:
                            print('(STEP 20A0b/33) OF COORDINATE_NOUNS4XI - KEY2SUPER: ', key2super)
                            # 3 
                    except:
                        print('(STEP 20A0c/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET KEY2SUPER ***')
                    # ---------------------------------------------------------------------------------
                    # NAME OF SUPER NAME FOR CLUSTER
                    # ---------------------------------------------------------------------------------                
                    if ack2debug is True:
                        print('(STEP 20A0d/33) OF COORDINATE_NOUNS4XI - TRYING TO SET NAME2SUPER')
                        # 
                    try:
                        name2super = SuperClusterColor4Xi[key2super] [5]                     
                        if ack2debug is True:
                            print('(STEP 20A0e/33) OF COORDINATE_NOUNS4XI - NAME2SUPER: ', name2super)
                            # 
                    except:
                        print('(STEP 20A0f/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET NAME2SUPER ***')
                      
                                                                                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0g/33) - CREATE (X,Y,Z) FOR CLUSTER MEMBER - DIRECTION DEPENDS ON SUPER-CLUSTER (1...8) 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                                   
                    direction2noun = key2super                                                                    # direction 1...8 depends on super-cluster
                    if direction2noun == 0:
                        direction2noun = 8
                    
                    if ack2debug is True:
                        print('(STEP 20A0h/33) OF COORDINATE_NOUNS4XI - DIRECTION2NOUN: ', direction2noun)
                        # 3
        
                    ack2noun  = False 
                    definition2xi = noun2xi                         
                    context2update =  {'noun':       noun2xi,
                                       'definition':  definition2xi,
                                       'clusterkey':  key2cluster,
                                       'clustername': name2cluster,
                                       'superkey':    key2super,
                                       'supername':   name2super,
                                       'direction':   direction2noun,
                                       'order':       order2xi,
                                       'status':      ack2noun,
                                       'simulation':  'ack',
                                       'layer':       3200}
                                                  
                    if ack2debug is True:
                        print('(STEP 20A0i/33) OF COORDINATE_NOUNS4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)     
                        #
                         
                    # ---------------------------------------------------------------------------------
                    #  
                    # ---------------------------------------------------------------------------------                               
                    try:             
                        context2cast = cast2noun4xi(context2update)
                        if ack2debug is True:
                            print('(STEP 20A0h1/33) OF COORDINATE_NOUNS4XI - GOT THE FOLLOWING CONTEXT2NOUN: ', context2cast) 
                            # 
                                                                                              
                    except:
                        print('(STEP 20A0h10/33) OF COORDINATE_NOUNS4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                        #              
                
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0j/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR CLUSTER 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    if ack2debug is True:
                        print("(STEP 20A0j1/33) OF COORDINATE_NOUNS4XI - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR CLUSTER, ORDER2CAST: ", order2cast)
                        #  
                      
                     
                    try:        
                        index2cast = order2cast[context2cast['indexfire']]                                     # use the first available (x,y,z) INDEX to this direction and for the required distance
                        if ack2debug is True:                                                                  # note: dictionary order2cast has the same structure as the one used by function cast2noun4xi
                            print('(STEP 20A0j2/33) OF COORDINATE_NOUNS4XI - INDEX2CAST: ', index2cast, ' WITH CONTEXT-INDEX: ', context2cast['indexfire'])
                            # 
                            #                                                                       
                    except:
                        index2cast = 1  
                        print('(STEP 20A0j3/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A0j5) - SET DICTIONARY FOR CLUSTER FROM CONTEXT RECEIVED
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                    try: 
                        dictionary2cast = context2cast['dictionary']
                        if ack2debug is True:
                            print('(STEP 20A0j4/33) OF COORDINATE_NOUNS4XI - DICTIONARY2CAST: ', dictionary2cast)
                            # {1: '0x3009y-745z', 2: '1009x2502y-1526z', 3: '1013x745y-2833z' ...  
                    except:
                        print('(STEP 20A0j5/33) OF COORDINATE_NOUNS4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                        # 
                                        
                    # ---------------------------------------------------------------------------------------------
                    # CLUSTER STATISTICS
                    # ---------------------------------------------------------------------------------------------                                                                                 
        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A1/33) -   FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    order2xi = order2xi + 1       
                    try:                                                                          
                        coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                        if ack2debug is True:
                            print('(STEP 20A1a/33) OF COORDINATE_NOUNS4XI: CLUSTER AS NOUN: ', noun2xi, ' INDEX2CAST: ', index2cast, ' (X,Y,Z) USED = ', coordinate2xi, ' DIRECTION: ', direction2noun) 
                            #
                            
                    except:
                        print('(STEP 20A1b/33) OF COORDINATE_NOUNS4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                        # 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # 
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        try:
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                            ack2new = False
                            index2replace = index2cast
                            max2use = len(dictionary2cast)
                            while ack2new is False:                                       
                                index2replace = index2replace - max2use                   
                                if index2replace < max2use:
                                    if index2replace == 0:
                                        index2replace = 1
                                    ack2new = True
                            # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            # 
                            #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                            try:    
                                coordinate2xi = dictionary2cast[index2replace]
                                print('(STEP STEP 20A1c/33) OF COORDINATE_NOUNS4XI ** WARNED: OVERFLOW WITH NOUN: ', noun2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2noun) 
                                # 
                                
                            except:
                                coordinate2xi = '0x0y0z'
                                print('(STEP STEP 20A1d/33) OF COORDINATE_NOUNS4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)                                              
                        except:
                            coordinate2xi = '0x0y0z'
                            print('(STEP STEP 20A1e/33) OF COORDINATE_NOUNS4XI *** FAILED FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)  
                            # 
                                    
                    
                            
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20A/33) - ON PROPERTY FOR CLUSTER JATKA 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 

                    begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                    end2on_property4line = '">\n'                              
                    on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           
                    if ack2debug is True:
                        print('(STEP 20A2/33) OF COORDINATE_NOUNS4XI - ON_PROPERTY4LINE: ', on_property4line) 
                    f2xi.write(on_property4line)                                                               # <owl:OnProperty rdf:ID="1103x0y0z">
                        
                    
                                             
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20B/33) - SUB-PROPERTY  FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                            
                    begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                    end2sub_property4line = '">\n'
                    sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        # <rdfs:subPropertyOf rdf:resource="#1103x0y0z"/>\n'
                    if ack2debug is True:
                        print('(STEP 20B/33) OF COORDINATE_NOUNS4XI - SUB-PROPERTY4LINE: ', sub_property4line)                       
                    f2xi.write(sub_property4line)
                                                             
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20C/33) - DOMAIN FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2domain4line =    '</rdfs:domain>\n'   
                        begin2domain4line =  '            <rdfs:domain>'
                                     
                        name2xi =  ClusterColor4Xi[key2cluster] [6] 
                                                           
                        domain2property4line = begin2domain4line + name2xi + end2domain4line
                        if ack2debug is True:
                            print('(STEP 20C1/33) OF COORDINATE_NOUNS4XI - DOMAIN2PROPERTY4LINE: ', domain2property4line)                 # 
                                    
                            f2xi.write(domain2property4line) 
                    except:
                        print('*** FAILED IN (STEP 20C2/33) OF COORDINATE_NOUNS4XI *** ') 

                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - DIRECTION FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2noun4line =    '</direct4xi>\n'   
                        begin2noun4line =  '            <direct4xi>'
                                                 
                        noun2property4line = begin2noun4line + str(key2super) + end2noun4line
                        if ack2debug is True:
                            print('(STEP 20D/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                        
                        f2xi.write(noun2property4line)
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ')        
                        
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - DISTANCE FOR CLUSTER    
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                    try: 
                        end2noun4line =    '</distance4xi>\n'   
                        begin2noun4line =  '            <distance4xi>'
                                                     
                        noun2property4line = begin2noun4line + str(context2cast['layer']) + end2noun4line
                        if ack2debug is True:
                            print('(STEP 20D/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                            
                        f2xi.write(noun2property4line)
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ') 
                                                                     
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20D/33) - CALCULATE FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                    try:
                        end2range4line = '</calculate4xi>\n'
                        begin2range4line = '            <calculate4xi>'
                        try:
                            stat2xi =  ClusterColorStatistics4Xi[key2cluster]                                  # 
                                
                            if stat2xi > 0:
                                range2noun_property4line = begin2range4line + str(stat2xi) + end2range4line
                                if ack2debug is True:
                                    print('(STEP 20D2/33) OF COORDINATE_NOUNS4XI - RANGE2NOUN_PROPERTY4LINE: ', range2noun_property4line)   # 
                                                   
                                f2xi.write(range2noun_property4line)
                            else:
                                pass    
                        except:
                            print('(STEP 20D3/33) OF COORDINATE_NOUNS4XI *** FAILED TO FIND STATISTICS FOR KEY2CLUSTER: ', key2cluster) 
                    except:
                        print('*** FAILED IN (STEP 20D/33) *** ')   
                                       
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20E/33) - COLOR FOR CLUSTER  
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                  
                    if ack2debug is True:
                        print('(STEP 20E1/33) OF COORDINATE_NOUNS4XI - TRYING TO SET COLOR FOR CLUSTER: ', key2cluster)   
                    try:
                        color2xi = ClusterColor4Xi[key2cluster] [1]                                              
                        if ack2debug is True:
                            print('(STEP 20E2/33) OF COORDINATE_NOUNS4XI - SET COLOR: ', color2xi, ' FOR CLUSTER: ', key2cluster)                              
                    except:
                        print('(STEP 20E3/33) OF COORDINATE_NOUNS4XI -  *** FAILED TO SET COLOR FOR CLUSTER: ', key2cluster)  
                        color2xi = '#DF0101'                         
                    
                    try:
                        end2color4line = '</color4xi>\n'
                        begin2color4line = '            <color4xi>'
                        color2noun_property4line = begin2color4line + color2xi + end2color4line
                        if ack2debug is True:
                            print('(STEP 20E4/33) OF COORDINATE_NOUNS4XI - RANGE2NOUN_PROPERTY4LINE: ', range2noun_property4line)    # <color4xi>#04B404</color4xi>
                           
                        f2xi.write(color2noun_property4line)
                    except:
                        print('*** FAILED IN (STEP 20E5/33) *** ')       
                                                                                                                                 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # (STEP 20F/33) - END SUBPROPERTY FOR CLUSTER JATKA 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                                                                 
                    f2xi.write('         </rdfs:subPropertyOf>\n')
                    f2xi.write('   </owl:OnProperty>\n')                 
                           
                    # ------------------------------------------------------------------------------------------
                    # ONLY MEANINGFUL STATISTICS FOR A CLUSTER
                    # ------------------------------------------------------------------------------------------             
                else:
                    pass
                  
            # ---------------------------------------------------------------------------------------------
            # eof one try
            # --------------------------------------------------------------------------------------------- 
            except:
                if key2cluster > 0:
                    print('(STEP 20E1/33) OF COORDINATE_NOUNS4XI *** FAILED TO PRODUCE STATISTICS FOR KEY2CLUSTER: ', key2cluster)
                    
                 
    f2xi.write('   </owl:Class>\n')
                          
    # -------------------------------------------------------------------------------------------------
    # EOF STATISTICS FOR ALL CLUSTERS TO LAYER 3200 JATKA
    # -------------------------------------------------------------------------------------------------                   
    
    
    # ==================================================================================================                         
    # (STEP 21/33) - CREATING STATISTICS OF SUPERCLUSTERS OF NOUNS
    # ==================================================================================================  
    if ack2debug is True:          
        print("(STEP 21A0a/33) OF COORDINATE_NOUNS4XI - WRITING SUPERCLUSTERS STATISTICS TO XML-FILE")  
    
    order2xi = 3301                                                                                    # 3300 = layer used for cluster statistics    
                                                                                                       # mapped downwards
    class2xi = '   <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">\n' 
    f2xi.write(class2xi)                                                                               # <owl:Class rdf:ID="SuperClusterColorStatistics4Xi">       
        
    operation_comment2xi = '      <define4xi xml:lang="en">Statistics of Super Clusters for Nouns</define4xi>\n'
    f2xi.write(operation_comment2xi)                                                                   # <define4xi xml:lang="en">Statistics of Super Clusters for Nouns</define4xi>                                                            
 
    # -----------------------------------------------------------------------------------------
    # ALL SUPER CLUSTERS 
    # -----------------------------------------------------------------------------------------     
    for key2super in sorted(keys2super):
        if key2super == 0:
            pass
        else:    
            if ack2debug is True:    
                print('(STEP 21A0/33) OF COORDINATE_NOUNS4XI: TRYING WITH KEY2SUPER: ', key2super)        # 1
            try:
                noun2xi = SuperClusterColor4Xi[key2super] [5]
                if ack2debug is True:          
                    print('(STEP 21A0a/33) OF COORDINATE_NOUNS4XI: SIMULATED NOUN2XI: ', SuperClusterColor4Xi[key2super] [5], ' STATISTICS: ', SuperClusterColorStatistics4Xi[key2super])
                    # function  STATISTICS:  6
                     
                stat2xi =  SuperClusterColorStatistics4Xi[key2super] 
    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A/33) - KEY2SUPER IS THE SAME AS LOOP INDEX - SET NAME2SUPER
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print('(STEP 21A01/33) OF COORDINATE_NOUNS4XI - TRYING TO SET NAME2SUPER')
                    #
                     
                try:
                    name2super = SuperClusterColor4Xi[key2super] [5]                     
                    if ack2debug is True:
                        print('(STEP 21A02/33) OF COORDINATE_NOUNS4XI - NAME2SUPER: ', name2super)
                        # function
                except:
                    print('(STEP 21A03/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET NAME2SUPER ***')
                    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A04/33) - CREATE (X,Y,Z) FOR SUPER CLUSTER MEMBER - LAYER = 3300 - DIRECTION (1...8) DEPENDS ON SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                                               
                direction2noun = key2super                                                               # direction = super-cluster 
                if ack2debug is True:
                    print('(STEP 21A04/33) OF COORDINATE_NOUNS4XI - DIRECTION2NOUN: ', direction2noun) # 1
                ack2noun  = False
                definition2xi = noun2xi                        
                context2update =  {'noun':       noun2xi,
                                   'definition':  definition2xi,
                                   'clusterkey':  key2cluster,
                                   'clustername': name2cluster,
                                   'superkey':    key2super,
                                   'supername':   name2super,
                                   'direction':   direction2noun,
                                   'order':       order2xi,
                                   'status':      ack2noun,
                                   'simulation':  'ack',
                                   'layer':       3300}
                                       
                # ---------------------------------------------------------------------------------
                #  
                # ---------------------------------------------------------------------------------                                             
                if ack2debug is True:
                    print('(STEP 21A06/33) OF COORDINATE_NOUNS4XI - TRYING TO UPGRADE CONTEXT2CAST: ', context2update)                                                     
                    # {'status': False, 'direction': 1, 'layer': 3300, 'definition': 'function', 'clustername': 'analyzer', 
                    #  'clusterkey': 33, 'noun': 'function', 'simulation': 'ack', 'supername': 'function', 'order': 3301, 'superkey': 1}

                # ---------------------------------------------------------------------------------
                #  
                # ---------------------------------------------------------------------------------                               
                                        
                try:             
                    context2cast = cast2noun4xi(context2update)
                    if ack2debug is True:
                        print('(STEP 21A07a/33) OF COORDINATE_NOUNS4XI - GOT CONTEXT2NOUN: ', context2cast) 
           
                except:
                    print('(STEP 21A07k/33) OF COORDINATE_NOUNS4XI *** FAILED TO UPGRADE CONTEXT2UPDATE: ', context2update)
                #              
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A0j1/33) - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                if ack2debug is True:
                    print("(STEP 21A0j2/33) OF COORDINATE_NOUNS4XI - DETERMINE INDEX TO (X,Y,Z) FROM CONTEXT FOR SUPERCLUSTER, ORDER2CAST: ", order2cast)
                        # {512: 1, 513: 1, 514: 1, 515: 1, 516: 1 ... 
                          
                         
                try:        
                    index2cast = order2cast[context2cast['indexfire']]                                     # use the first available (x,y,z) INDEX to this direction and for the required distance
                    if ack2debug is True:                                                                  # note: dictionary order2cast has the same structure as the one used by function cast2noun4xi
                        print('(STEP 21A0j3/33) OF COORDINATE_NOUNS4XI - INDEX2CAST: ', index2cast, ' WITH CONTEXT-INDEX: ', context2cast['indexfire'])
                        # 1  WITH CONTEXT-INDEX:  831                                                                         
                except:
                    index2cast = 1  
                    print('(STEP 21A0j4/33) OF COORDINATE_NOUNS4XI *** FAILED TO SET INDEX TO ACCESS (X,Y,X) - USED INDEX2CAST: ', index2cast)
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A0j5) - SET DICTIONARY FOR SUPERCLUSTER FROM CONTEXT RECEIVED FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                              
                try: 
                    dictionary2cast = context2cast['dictionary']
                    if ack2debug is True:
                        print('(STEP 21A0j5/33) OF COORDINATE_NOUNS4XI - DICTIONARY2CAST: ', dictionary2cast)
                        # {1: '-1006x-2002y-2141z', 2: '-1019x-2917y-247z', 3: '-1047x-383y-2892z' ...  
                except:
                    print('(STEP 21A0j6) OF COORDINATE_NOUNS4XI ** FAILED TO SET DICTIONARY2CAST *** ')
                    # 
                                                            
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                
                order2xi = order2xi + 1       
                try:                                                                          
                    coordinate2xi = dictionary2cast[index2cast]                               # use the dictionary of the context and the calculated index into it
                    if ack2debug is True:
                        print('(STEP 21A1a/33) OF COORDINATE_NOUNS4XI - SUPERCLUSTER AS NOUN: ', noun2xi, ' INDEX2CAST: ', index2cast, ' (X,Y,Z) USED = ', coordinate2xi, ' DIRECTION: ', direction2noun)
                        # theater        INDEX2CAST:  8  (X,Y,Z) USED =  1083x2444y1568z    DIRECTION:  1 
                        # network        INDEX2CAST:  5  (X,Y,Z) USED =  1157x-1271y-2579z  DIRECTION:  2
                        # 
                        # 
                        # successes      INDEX2CAST:  2  (X,Y,Z) USED =  -1048x854y2789z    DIRECTION:  5
                        # challenges     INDEX2CAST:  9  (X,Y,Z) USED =  -1328x1419y-2414z  DIRECTION:  6 
                        # 
                        # miscellaneous  INDEX2CAST:  9  (X,Y,Z) USED =  -1137x-286y-2869z  DIRECTION:  8
                        # 
                           
                except:
                    print('(STEP 21A1b/33) OF COORDINATE_NOUNS4XI - TRYING TO REUSE INDEX2CAST: ', index2cast, ' >= DICTIONARY SIZE:', len(dictionary2cast)) 
                    # 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    # 
                    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                    try:
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # 
                        #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                            
                        ack2new = False
                        index2replace = index2cast
                        max2use = len(dictionary2cast)
                        while ack2new is False:                                       
                            index2replace = index2replace - max2use                   
                            if index2replace < max2use:
                                if index2replace == 0:
                                    index2replace = 1
                                ack2new = True
                        # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                        # 
                        #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~     
                        try:    
                            coordinate2xi = dictionary2cast[index2replace]
                            print('(STEP 21A1c/33) OF COORDINATE_NOUNS4XI ** WARNED: OVERFLOW WITH NOUN: ', noun2xi, ' INDEX2REPLACE: ', index2replace, ' (X,Y,Z) REUSED = ', coordinate2xi, ' DIRECTION: ', direction2noun) 
                            # operations     INDEX2REPLACE:  95  (X,Y,Z) REUSED =  51x62y-3098z      DIRECTION:  3
                            # successes      INDEX2REPLACE:  97  (X,Y,Z) REUSED =  500x-91y3057z     DIRECTION:  4
                            # miscellaneous  INDEX2REPLACE:  61  (X,Y,Z) REUSED =  -2650x-563y1505z  DIRECTION:  7 
                            # 
                            
                        except:
                            coordinate2xi = '0x0y0z'
                            print('(STEP 21A1d/33) OF COORDINATE_NOUNS4XI *** FAILED WITH INDEX2REPLACE: ', index2replace, ' FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)                                              
                    except:
                        coordinate2xi = '0x0y0z'
                        print('(STEP 21A1e/33) OF COORDINATE_NOUNS4XI *** FAILED FOR NOUN: ', noun2xi, ' USED (X,Y,Z) = ', coordinate2xi, ' DIRECTION: ', direction2noun)  
                        # 
                                     
                                                                
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21A2/33) - ON PROPERTY FOR SUPER-CLUSTER JATKA
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~                 
                                              
                begin2on_property4line = '   <owl:OnProperty rdf:ID="'
                end2on_property4line = '">\n'                              
                on_property4line = begin2on_property4line + coordinate2xi + end2on_property4line           
                if ack2debug is True:
                    print('(STEP 21A2/33) OF COORDINATE_NOUNS4XI - ON_PROPERTY4LINE: ', on_property4line) 
                f2xi.write(on_property4line)                                                               # <owl:OnProperty rdf:ID="1103x0y0z">
                     
                
                                             
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21B/33) - SUB-PROPERTY FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                                        
                begin2sub_property4line = '         <rdfs:subPropertyOf rdf:resource="#'
                end2sub_property4line = '">\n'
                sub_property4line = begin2sub_property4line + coordinate2xi + end2sub_property4line        # <rdfs:subPropertyOf rdf:resource="#1103x0y0z"/>\n'
                if ack2debug is True:
                    print('(STEP 21B/33) OF COORDINATE_NOUNS4XI - SUB_PROPERTY4LINE: ', sub_property4line)                       
                f2xi.write(sub_property4line)
        
                                                               
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21C/33) -  DOMAIN FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                object_property_domain2xi =   '      <rdfs:domain>1790</rdfs:domain>\n'    
                       
                try: 
                    end2domain4line =    '</rdfs:domain>\n'   
                    begin2domain4line =  '            <rdfs:domain>'
                         
                    name2xi =  SuperClusterColor4Xi[key2super] [5] 
                                               
                    domain2property4line = begin2domain4line + name2xi + end2domain4line
                    if ack2debug is True:
                        print('(STEP 21C/33) OF COORDINATE_NOUNS4XI - DOMAIN2PROPERTY4LINE: ', domain2property4line)                 # 
                        
                    f2xi.write(domain2property4line) 
                
                except:
                    print('*** FAILED IN (STEP 21C/33) OF COORDINATE_NOUNS4XI *** ') 
                                        
    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21D/33) - DIRECTION FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                try: 
                    end2noun4line =    '</direct4xi>\n'   
                    begin2noun4line =  '            <direct4xi>'
                                             
                    noun2property4line = begin2noun4line + str(key2super) + end2noun4line
                    if ack2debug is True:
                        print('(STEP 21D/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                    
                    f2xi.write(noun2property4line)
                except:
                    print('*** FAILED IN (STEP 21D/33) *** ') 
    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - DISTANCE FOR SUPER-CLUSTER   
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                try: 
                    end2noun4line =    '</distance4xi>\n'   
                    begin2noun4line =  '            <distance4xi>'
                                             
                    noun2property4line = begin2noun4line + str(context2cast['layer']) + end2noun4line
                    if ack2debug is True:
                        print('(STEP 21E/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                    
                    f2xi.write(noun2property4line)
                except:
                    print('*** FAILED IN (STEP 21E/33) *** ') 
                                                                 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - CALCULATE FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~   
                try:
                    end2range4line = '</calculate4xi>\n'
                    begin2range4line = '            <calculate4xi>'
                    try:
                        stat2xi =  SuperClusterColorStatistics4Xi[key2super]                              # 
                    except:
                        print('(STEP 21E1/33) OF COORDINATE_NOUNS4XI *** FAILED TO FIND STATISTICS FOR KEY2SUPER: ', key2super) 
                        color2xi = '#DF0101'
                            
                    range2noun_property4line = begin2range4line + str(stat2xi) + end2range4line
                    if ack2debug is True:
                        print('(STEP 21E2/33) OF COORDINATE_NOUNS4XI - RANGE2NOUN_PROPERTY4LINE: ', range2noun_property4line)  # 
                                               
                    f2xi.write(range2noun_property4line)
        
                except:
                    print('*** FAILED IN (STEP 21E3/33) OF COORDINATE_NOUNS4XI - SUPERCLUSTERCOLORSTATISTICS4XI: ', SuperClusterColorStatistics4Xi)   # {0: 13, 1: 2, 2: 2, 3: 7, 4: 4, 5: 1, 6: 1, 7: 3}                          
                                                                 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21E/33) - COLOR FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~          
                if ack2debug is True:
                    print('(STEP 21E/33) OF COORDINATE_NOUNS4XI - TRYING TO SET COLOR FOR SUPER-CLUSTER: ', key2super)   
                try:
                    color2xi = SuperClusterColor4Xi[key2super] [1]                                              
                    if ack2debug is True:
                        print('(STEP 21E1/33) OF COORDINATE_NOUNS4XI - SET COLOR: ', color2xi, ' FOR SUPER-CLUSTER: ', key2super)                              
                except:
                    print('(STEP 21E2/33) OF COORDINATE_NOUNS4XI -  *** FAILED TO SET COLOR FOR SUPER-CLUSTER: ', key2super)  
                    color2xi = '#DF0101'                         
                
                try:
                    end2color4line = '</color4xi>\n'
                    begin2color4line = '            <color4xi>'
                    color2noun_property4line = begin2color4line + color2xi + end2color4line
                    if ack2debug is True:
                        print('(STEP 21E3/33) OF COORDINATE_NOUNS4XI - RANGE2NOUN_PROPERTY4LINE: ', range2noun_property4line)    # <color4xi>#04B404</color4xi>
                       
                    f2xi.write(color2noun_property4line)
                except:
                    print('*** FAILED IN (STEP 21E3/33) *** ')                                          
    
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21F/33) - FIRE FOR SUPER-CLUSTER  
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                try: 
                    end2fire4line =    '</fire4xi>\n'   
                    begin2fire4line =  '            <fire4xi>'
                                             
                    noun2property4line = begin2fire4line + str(order2xi) + end2fire4line
                    
                    if ack2debug is True:
                        print('(STEP 21F/33) OF COORDINATE_NOUNS4XI - NOUN2PROPERTY4LINE: ', noun2property4line)                 # 
                    
                    f2xi.write(noun2property4line)
                except:
                    print('*** FAILED IN (STEP 21F/33) *** ') 
                                                                            
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                # (STEP 21G/33) - EOF SUBPROPERTY FOR SUPER-CLUSTER 
                # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
                                                                    
                f2xi.write('         </rdfs:subPropertyOf>\n')
                f2xi.write('   </owl:OnProperty>\n')
                      
            except:
                print('(STEP 21A0/33) OF COORDINATE_NOUNS4XI *** FAILED WITH WITH KEY2SUPER: ', key2super)        
        
    else:
        pass
                                         

    f2xi.write('   </owl:Class>\n')
                                               
    # -----------------------------------------------------------------------------------------
    # (STEP 22/33) JATKA 
    # -----------------------------------------------------------------------------------------     
    try:
        input_fd2xi.close()    
        if ack2debug is True:
            print(33*("-"))
            print("(STEP 22A/33) OF COORDINATE_NOUNS4XI - CLOSED INPUT_F2XI: ", input_fd2xi)               # <_io.TextIOWrapper name='..//..//xml//sense-hello-world4xi.xml' encoding='cp1252'>    
            print(33*("-"))
    except:
        print("(STEP 22B/33) OF COORDINATE_NOUNS4XI *** FAILED TO CLOSE INPUT_FD2XI: ", input_fd2xi)     
     
         
                                     
    # -----------------------------------------------------------------------------------------
    # (STEP 22/33)
    # -----------------------------------------------------------------------------------------
         
    try:
        input_fd2xi.close()    

    
        if ack2debug is True:
            print(33*("-"))
            print("(STEP 22A/33) OF COORDINATE_NOUNS4XI - CLOSED INPUT_F2XI: ", input_fd2xi)               # <_io.TextIOWrapper name='..//..//xml//ace-hello-world4xi.xml' encoding='cp1252'>    
            print(33*("-"))
    except:
        print("(STEP 22B/33) OF COORDINATE_NOUNS4XI *** FAILED TO CLOSE INPUT_FD2XI: ", input_fd2xi)     
     
         
        
    # -----------------------------------------------------------------------------------------
    # (STEP 23/33)
    # -----------------------------------------------------------------------------------------
                                        
    f2xi.write('   </owl:Ontology>\n')
    f2xi.write('</rdf:RDF>\n')
    f2xi.write('<!-- Copyright Small & Smart Inc. All rights reserved. -->\n')
                 
    try:
        output_fd2xi.close()    

    
        if ack2debug is True:
            print(33*("-"))
            print("(STEP 23A/33) OF COORDINATE_NOUNS4XI - CLOSED OUTPUT_F2DXI: ", output_fd2xi)           # <_io.TextIOWrapper name='..//..//xml//scope-test-skeleton-print4xi.xml' encoding='cp1252'>     
            print(33*("-"))
    except:
        print("(STEP 23B/33) OF COORDINATE_NOUNS4XI *** FAILED TO CLOSE OUTPUT_FD2XI: ", output_fd2xi)     
             
        
    # -----------------------------------------------------------------------------------------
    # (STEP 24/33)
    # -----------------------------------------------------------------------------------------
    if ack2debug is True:
        print(33*("="))
        print("(STEP 24/33) OF COORDINATE_NOUNS4XI - COORDINATES DONE ", time4xi())     
        print(33*("=")) 
                                           
    return None
        

#</function4xi>
            
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "cast2noun4xi" usage = "
#    task2cast =
#      {'status': False, 
#       'direction': 5, 
#       'layer': 0, 
#       'definition': 'ZSkeleton4Xi-sensed-by-sense-of-ZSkeleton4Xi', 
#       'noun': 'ZSkeleton4Xi-sensed-by-sense-of-ZSkeleton4Xi', 
#       'clustername': 'decider', 
#       'clusterkey': 21, 
#       'simulation': 'nack', 
#       'supername': 'mathematician', 
#       'order': 60, 
#       'superkey': 5} 
#
#    try:                               
#        context2noun = cast2noun4xi(task2cast)  
#        ...                           
#    except:
#        ... 
#                          
#">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def cast2noun4xi(task2cast):
    '''
    casts (x,y,z) for the given noun
    '''
                                                                                                                                                                                          
    # -------------------------------------------------------------------------------------------------
    # ClusterColor4Xi - 33 CLUSTERS FOR NOUNS                            
    # -------------------------------------------------------------------------------------------------           
    global ClusterColor4Xi
    ack2debug = True
    if ack2debug is True:
        print('(STEP 0A/33) OF CAST2NOUN4XI: CLUSTERCOLOR4XI: ', ClusterColor4Xi)
        # 
                                                                                                                                                                                  
    # -------------------------------------------------------------------------------------------------------------------------------
    # FIRED (X,Y,Z)-COORDINATE DICTIONARIES RECEIVED FROM QUEUE DATA PRODUCED BY FIRE-FUNCTION THREADS 1...33 OF PROCESSESSES 1 ...8                          
    # Note: these have got values set by the caller of this function i.e. you can NOT set them in this function nor in program level!
    # -------------------------------------------------------------------------------------------------------------------------------           
    
    #========
    # ONE
    #========      
    global fire2one104xi
    global fire2one1004xi
    global fire2one2004xi
    global fire2one3004xi
    global fire2one4004xi
    global fire2one5004xi
    global fire2one6004xi
    global fire2one7004xi
    global fire2one8004xi
    global fire2one9004xi       
    global fire2one10004xi
    global fire2one11004xi
    global fire2one12004xi
    global fire2one13004xi
    global fire2one14004xi
    global fire2one15004xi
    global fire2one16004xi
    global fire2one17004xi
    global fire2one18004xi
    global fire2one19004xi
    global fire2one20004xi
    global fire2one21004xi
    global fire2one22004xi
    global fire2one23004xi
    global fire2one24004xi
    global fire2one25004xi
    global fire2one26004xi
    global fire2one27004xi
    global fire2one28004xi
    global fire2one29004xi
    global fire2one30004xi
    global fire2one31004xi
    global fire2one32004xi
    global fire2one33004xi
    
    #========
    # TWO
    #========      
    global fire2two104xi
    global fire2two1004xi
    global fire2two2004xi
    global fire2two3004xi
    global fire2two4004xi
    global fire2two5004xi
    global fire2two6004xi
    global fire2two7004xi
    global fire2two8004xi
    global fire2two9004xi       
    global fire2two10004xi
    global fire2two11004xi
    global fire2two12004xi
    global fire2two13004xi
    global fire2two14004xi
    global fire2two15004xi
    global fire2two16004xi
    global fire2two17004xi
    global fire2two18004xi
    global fire2two19004xi
    global fire2two20004xi
    global fire2two21004xi
    global fire2two22004xi
    global fire2two23004xi
    global fire2two24004xi
    global fire2two25004xi
    global fire2two26004xi
    global fire2two27004xi
    global fire2two28004xi
    global fire2two29004xi
    global fire2two30004xi
    global fire2two31004xi
    global fire2two32004xi
    global fire2two33004xi
    
    #========
    # THREE
    #========      
    global fire2three104xi
    global fire2three1004xi
    global fire2three2004xi
    global fire2three3004xi
    global fire2three4004xi
    global fire2three5004xi
    global fire2three6004xi
    global fire2three7004xi
    global fire2three8004xi
    global fire2three9004xi       
    global fire2three10004xi
    global fire2three11004xi
    global fire2three12004xi
    global fire2three13004xi
    global fire2three14004xi
    global fire2three15004xi
    global fire2three16004xi
    global fire2three17004xi
    global fire2three18004xi
    global fire2three19004xi
    global fire2three20004xi
    global fire2three21004xi
    global fire2three22004xi
    global fire2three23004xi
    global fire2three24004xi
    global fire2three25004xi
    global fire2three26004xi
    global fire2three27004xi
    global fire2three28004xi
    global fire2three29004xi
    global fire2three30004xi
    global fire2three31004xi
    global fire2three32004xi
    global fire2three33004xi
    
    #========
    # FOUR
    #========      
    global fire2four104xi
    global fire2four1004xi
    global fire2four2004xi
    global fire2four3004xi
    global fire2four4004xi
    global fire2four5004xi
    global fire2four6004xi
    global fire2four7004xi
    global fire2four8004xi
    global fire2four9004xi       
    global fire2four10004xi
    global fire2four11004xi
    global fire2four12004xi
    global fire2four13004xi
    global fire2four14004xi
    global fire2four15004xi
    global fire2four16004xi
    global fire2four17004xi
    global fire2four18004xi
    global fire2four19004xi
    global fire2four20004xi
    global fire2four21004xi
    global fire2four22004xi
    global fire2four23004xi
    global fire2four24004xi
    global fire2four25004xi
    global fire2four26004xi
    global fire2four27004xi
    global fire2four28004xi
    global fire2four29004xi
    global fire2four30004xi
    global fire2four31004xi
    global fire2four32004xi
    global fire2four33004xi
     
    #========
    # FIVE
    #========      
    global fire2five104xi
    global fire2five1004xi
    global fire2five2004xi
    global fire2five3004xi
    global fire2five4004xi
    global fire2five5004xi
    global fire2five6004xi
    global fire2five7004xi
    global fire2five8004xi
    global fire2five9004xi       
    global fire2five10004xi
    global fire2five11004xi
    global fire2five12004xi
    global fire2five13004xi
    global fire2five14004xi
    global fire2five15004xi
    global fire2five16004xi
    global fire2five17004xi
    global fire2five18004xi
    global fire2five19004xi
    global fire2five20004xi
    global fire2five21004xi
    global fire2five22004xi
    global fire2five23004xi
    global fire2five24004xi
    global fire2five25004xi
    global fire2five26004xi
    global fire2five27004xi
    global fire2five28004xi
    global fire2five29004xi
    global fire2five30004xi
    global fire2five31004xi
    global fire2five32004xi
    global fire2five33004xi
    
    #========
    # SIX
    #========      
    global fire2six104xi
    global fire2six1004xi
    global fire2six2004xi
    global fire2six3004xi
    global fire2six4004xi
    global fire2six5004xi
    global fire2six6004xi
    global fire2six7004xi
    global fire2six8004xi
    global fire2six9004xi       
    global fire2six10004xi
    global fire2six11004xi
    global fire2six12004xi
    global fire2six13004xi
    global fire2six14004xi
    global fire2six15004xi
    global fire2six16004xi
    global fire2six17004xi
    global fire2six18004xi
    global fire2six19004xi
    global fire2six20004xi
    global fire2six21004xi
    global fire2six22004xi
    global fire2six23004xi
    global fire2six24004xi
    global fire2six25004xi
    global fire2six26004xi
    global fire2six27004xi
    global fire2six28004xi
    global fire2six29004xi
    global fire2six30004xi
    global fire2six31004xi
    global fire2six32004xi
    global fire2six33004xi
     
    #========
    # SEVEN
    #========      
    global fire2seven104xi
    global fire2seven1004xi
    global fire2seven2004xi
    global fire2seven3004xi
    global fire2seven4004xi
    global fire2seven5004xi
    global fire2seven6004xi
    global fire2seven7004xi
    global fire2seven8004xi
    global fire2seven9004xi       
    global fire2seven10004xi
    global fire2seven11004xi
    global fire2seven12004xi
    global fire2seven13004xi
    global fire2seven14004xi
    global fire2seven15004xi
    global fire2seven16004xi
    global fire2seven17004xi
    global fire2seven18004xi
    global fire2seven19004xi
    global fire2seven20004xi
    global fire2seven21004xi
    global fire2seven22004xi
    global fire2seven23004xi
    global fire2seven24004xi
    global fire2seven25004xi
    global fire2seven26004xi
    global fire2seven27004xi
    global fire2seven28004xi
    global fire2seven29004xi
    global fire2seven30004xi
    global fire2seven31004xi
    global fire2seven32004xi
    global fire2seven33004xi
     
    #========
    # EIGHT
    #========      
    global fire2eight104xi
    global fire2eight1004xi
    global fire2eight2004xi
    global fire2eight3004xi
    global fire2eight4004xi
    global fire2eight5004xi
    global fire2eight6004xi
    global fire2eight7004xi
    global fire2eight8004xi
    global fire2eight9004xi       
    global fire2eight10004xi
    global fire2eight11004xi
    global fire2eight12004xi
    global fire2eight13004xi
    global fire2eight14004xi
    global fire2eight15004xi
    global fire2eight16004xi
    global fire2eight17004xi
    global fire2eight18004xi
    global fire2eight19004xi
    global fire2eight20004xi
    global fire2eight21004xi
    global fire2eight22004xi
    global fire2eight23004xi
    global fire2eight24004xi
    global fire2eight25004xi
    global fire2eight26004xi
    global fire2eight27004xi
    global fire2eight28004xi
    global fire2eight29004xi
    global fire2eight30004xi
    global fire2eight31004xi
    global fire2eight32004xi
    global fire2eight33004xi    

    
                        
    # -------------------------------------------------------------------------------------------------
    # Pipe Channels - consumer & publisher - pipe zero for main program -  pipe 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global pipe2zero_consumer_channel
    global pipe2zero_publisher_channel
    global pipe2one_consumer_channel
    global pipe2one_publisher_channel
    global pipe2two_consumer_channel
    global pipe2two_publisher_channel
    global pipe2three_consumer_channel
    global pipe2three_publisher_channel
    global pipe2four_consumer_channel
    global pipe2four_publisher_channel
    global pipe2five_consumer_channel
    global pipe2five_publisher_channel
    global pipe2six_consumer_channel
    global pipe2six_publisher_channel
    global pipe2seven_consumer_channel
    global pipe2seven_publisher_channel
    global pipe2eight_consumer_channel
    global pipe2eight_publisher_channel
    
    
    if ack2debug is True:
        print('(STEP 0B/33) OF CAST2NOUN4XI: DEFINED PIPE CHANNELS ')
                        
    # -------------------------------------------------------------------------------------------------
    # Processes - one for each direction 1 ... 8                             
    # -------------------------------------------------------------------------------------------------
    global p2one
    global p2two 
    global p2three
    global p2four
    global p2five
    global p2six
    global p2seven
    global p2eight
    
    if ack2debug is True:
        print('(STEP 0C/33) OF CAST2NOUN4XI: DEFINED PIPE CHANNELS ')
                           
    # -------------------------------------------------------------------------------------------------
    # Queues - queue zero for main program -  queue 1...8 for process 1...8                             
    # -------------------------------------------------------------------------------------------------
    global queue2zero
    global queue2one
    global queue2two
    global queue2three
    global queue2four
    global queue2five
    global queue2six
    global queue2seven
    global queue2eight 
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2NOUN4XI: DEFINED QUEUES ')
           
    # -------------------------------------------------------------------------------------------------
    # SuperClusterColor4Xi - EIGHT SUPER CLUSTERS - ONE FOR EACH TELESCOPE VIEW                            
    # -------------------------------------------------------------------------------------------------        
    global SuperClusterColor4Xi
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2NOUN4XI: DEFINED SuperClusterColor4Xi ')
                                                                                                                                                                                                     
    # -------------------------------------------------------------------------------------------------
    # SymbolColor4Xi - BASE SYMBOLS FOR NOUNS - FINAL SYMBOL BY COMBINING THESE AS REQUIRED                            
    # -------------------------------------------------------------------------------------------------           
    global SymbolColor4Xi     # http://www.yourdragonxi.org/web/images/png/01_q.png ...
       
    if ack2debug is True:
        print('(STEP 0D/33) OF CAST2NOUN4XI: DEFINED SymbolColor4Xi ')
        
    # -------------------------------------------------------------------------------------------------
    # Noun Knowledgebase                          
    # -------------------------------------------------------------------------------------------------     
    global NounKB4Xi
       
    if ack2debug is True:
        print('(STEP 0E/33) OF CAST2NOUN4XI: DEFINED NounKB4Xi ')
    
            
    # -------------------------------------------------------------------------------------------------
    # Initialize                            
    # -------------------------------------------------------------------------------------------------          
                                                                                                                                                                                             
    # -------------------------------------------------------------------------------------------------
    # dictionary2fire - dictionary to cast (x,y,z) for a noun 
    # notes: 
    #       1) you HAVE to do it inside this function !                         
    #       2) color_nouns4xi function must have been called by caller before calling this function!
    # -------------------------------------------------------------------------------------------------           

    dictionary2fire = {
        #========
        # ONE
        #========      
        10:  fire2one104xi,
        101: fire2one1004xi,
        102: fire2one2004xi,
        103: fire2one3004xi,
        104: fire2one4004xi,
        105: fire2one5004xi,
        106: fire2one6004xi,
        107: fire2one7004xi,
        108: fire2one8004xi,
        109: fire2one9004xi,
        110: fire2one10004xi,
        111: fire2one11004xi,
        112: fire2one12004xi,
        113: fire2one13004xi,
        114: fire2one14004xi,
        115: fire2one15004xi,
        116: fire2one16004xi,
        117: fire2one17004xi,
        118: fire2one18004xi,
        119: fire2one19004xi,
        120: fire2one20004xi,
        121: fire2one21004xi,
        122: fire2one22004xi,
        123: fire2one23004xi,
        124: fire2one24004xi,
        125: fire2one25004xi,
        126: fire2one26004xi,
        127: fire2one27004xi,
        128: fire2one28004xi,
        129: fire2one29004xi,
        130: fire2one30004xi,
        131: fire2one31004xi,
        132: fire2one32004xi,
        133: fire2one33004xi,
        
        #========
        # TWO
        #========      
        20:   fire2two104xi,
        201:  fire2two1004xi,
        202:  fire2two2004xi,
        203:  fire2two3004xi,
        204:  fire2two4004xi,
        205:  fire2two5004xi,
        206:  fire2two6004xi,
        207:  fire2two7004xi,
        208:  fire2two8004xi,
        209:  fire2two9004xi,
        210:  fire2two10004xi,
        211:  fire2two11004xi,
        212:  fire2two12004xi,
        213:  fire2two13004xi,
        214:  fire2two14004xi,
        215:  fire2two15004xi,
        216:  fire2two16004xi,
        217:  fire2two17004xi,
        218:  fire2two18004xi,
        219:  fire2two19004xi,
        220:  fire2two20004xi,
        221:  fire2two21004xi,
        222:  fire2two22004xi,
        223:  fire2two23004xi,
        224:  fire2two24004xi,
        225:  fire2two25004xi,
        226:  fire2two26004xi,
        227:  fire2two27004xi,
        228:  fire2two28004xi,
        229:  fire2two29004xi,
        230:  fire2two30004xi,
        231:  fire2two31004xi,
        232:  fire2two32004xi,
        233:  fire2two33004xi,
        
        #========
        # THREE
        #========      
        30:   fire2three104xi,
        301:  fire2three1004xi,
        302:  fire2three2004xi,
        303:  fire2three3004xi,
        304:  fire2three4004xi,
        305:  fire2three5004xi,
        306:  fire2three6004xi,
        307:  fire2three7004xi,
        308:  fire2three8004xi,
        309:  fire2three9004xi,
        310:  fire2three10004xi,
        311:  fire2three11004xi,
        312:  fire2three12004xi,
        313:  fire2three13004xi,
        314:  fire2three14004xi,
        315:  fire2three15004xi,
        316:  fire2three16004xi,
        317:  fire2three17004xi,
        318:  fire2three18004xi,
        319:  fire2three19004xi,
        320:  fire2three20004xi,
        321:  fire2three21004xi,
        322:  fire2three22004xi,
        323:  fire2three23004xi,
        324:  fire2three24004xi,
        325:  fire2three25004xi,
        326:  fire2three26004xi,
        327:  fire2three27004xi,
        328:  fire2three28004xi,
        329:  fire2three29004xi,
        330:  fire2three30004xi,
        331:  fire2three31004xi,
        332:  fire2three32004xi,
        333:  fire2three33004xi,
        
        #========
        # FOUR
        #========      
        40:   fire2four104xi,
        401:  fire2four1004xi,
        402:  fire2four2004xi,
        403:  fire2four3004xi,
        404:  fire2four4004xi,
        405:  fire2four5004xi,
        406:  fire2four6004xi,
        407:  fire2four7004xi,
        408:  fire2four8004xi,
        409:  fire2four9004xi,
        410:  fire2four10004xi,
        411:  fire2four11004xi,
        412:  fire2four12004xi,
        413:  fire2four13004xi,
        414:  fire2four14004xi,
        415:  fire2four15004xi,
        416:  fire2four16004xi,
        417:  fire2four17004xi,
        418:  fire2four18004xi,
        419:  fire2four19004xi,
        420:  fire2four20004xi,
        421:  fire2four21004xi,
        422:  fire2four22004xi,
        423:  fire2four23004xi,
        424:  fire2four24004xi,
        425:  fire2four25004xi,
        426:  fire2four26004xi,
        427:  fire2four27004xi,
        428:  fire2four28004xi,
        429:  fire2four29004xi,
        430:  fire2four30004xi,
        431:  fire2four31004xi,
        432:  fire2four32004xi,
        433:  fire2four33004xi,
         
        #========
        # FIVE
        #========      
        50:   fire2five104xi,
        501:  fire2five1004xi,
        502:  fire2five2004xi,
        503:  fire2five3004xi,
        504:  fire2five4004xi,
        505:  fire2five5004xi,
        506:  fire2five6004xi,
        507:  fire2five7004xi,
        508:  fire2five8004xi,
        509:  fire2five9004xi,
        510:  fire2five10004xi,
        511:  fire2five11004xi,
        512:  fire2five12004xi,
        513:  fire2five13004xi,
        514:  fire2five14004xi,
        515:  fire2five15004xi,
        516:  fire2five16004xi,
        517:  fire2five17004xi,
        518:  fire2five18004xi,
        519:  fire2five19004xi,
        520:  fire2five20004xi,
        521:  fire2five21004xi,
        522:  fire2five22004xi,
        523:  fire2five23004xi,
        524:  fire2five24004xi,
        525:  fire2five25004xi,
        526:  fire2five26004xi,
        527:  fire2five27004xi,
        528:  fire2five28004xi,
        529:  fire2five29004xi,
        530:  fire2five30004xi,
        531:  fire2five31004xi,
        532:  fire2five32004xi,
        533:  fire2five33004xi,
        
        #========
        # SIX
        #========      
        60:   fire2six104xi,
        601:  fire2six1004xi,
        602:  fire2six2004xi,
        603:  fire2six3004xi,
        604:  fire2six4004xi,
        605:  fire2six5004xi,
        606:  fire2six6004xi,
        607:  fire2six7004xi,
        608:  fire2six8004xi,
        609:  fire2six9004xi,
        610:  fire2six10004xi,
        611:  fire2six11004xi,
        612:  fire2six12004xi,
        613:  fire2six13004xi,
        614:  fire2six14004xi,
        615:  fire2six15004xi,
        616:  fire2six16004xi,
        617:  fire2six17004xi,
        618:  fire2six18004xi,
        619:  fire2six19004xi,
        620:  fire2six20004xi,
        621:  fire2six21004xi,
        622:  fire2six22004xi,
        623:  fire2six23004xi,
        624:  fire2six24004xi,
        625:  fire2six25004xi,
        626:  fire2six26004xi,
        627:  fire2six27004xi,
        628:  fire2six28004xi,
        629:  fire2six29004xi,
        630:  fire2six30004xi,
        631:  fire2six31004xi,
        632:  fire2six32004xi,
        633:  fire2six33004xi,
         
        #========
        # SEVEN
        #========      
        70:   fire2seven104xi,
        701:  fire2seven1004xi,
        702:  fire2seven2004xi,
        703:  fire2seven3004xi,
        704:  fire2seven4004xi,
        705:  fire2seven5004xi,
        706:  fire2seven6004xi,
        707:  fire2seven7004xi,
        708:  fire2seven8004xi,
        709:  fire2seven9004xi,
        710:  fire2seven10004xi,
        711:  fire2seven11004xi,
        712:  fire2seven12004xi,
        713:  fire2seven13004xi,
        714:  fire2seven14004xi,
        715:  fire2seven15004xi,
        716:  fire2seven16004xi,
        717:  fire2seven17004xi,
        718:  fire2seven18004xi,
        719:  fire2seven19004xi,
        720:  fire2seven20004xi,
        721:  fire2seven21004xi,
        722:  fire2seven22004xi,
        723:  fire2seven23004xi,
        724:  fire2seven24004xi,
        725:  fire2seven25004xi,
        726:  fire2seven26004xi,
        727:  fire2seven27004xi,
        728:  fire2seven28004xi,
        729:  fire2seven29004xi,
        730:  fire2seven30004xi,
        731:  fire2seven31004xi,
        732:  fire2seven32004xi,
        733:  fire2seven33004xi,
         
        #========
        # EIGHT
        #========      
        80:   fire2eight104xi,
        801:  fire2eight1004xi,
        802:  fire2eight2004xi,
        803:  fire2eight3004xi,
        804:  fire2eight4004xi,
        805:  fire2eight5004xi,
        806:  fire2eight6004xi,
        807:  fire2eight7004xi,
        808:  fire2eight8004xi,
        809:  fire2eight9004xi,
        810:  fire2eight10004xi,
        811:  fire2eight11004xi,
        812:  fire2eight12004xi,
        813:  fire2eight13004xi,
        814:  fire2eight14004xi,
        815:  fire2eight15004xi,
        816:  fire2eight16004xi,
        817:  fire2eight17004xi,
        818:  fire2eight18004xi,
        819:  fire2eight19004xi,
        820:  fire2eight20004xi,
        821:  fire2eight21004xi,
        822:  fire2eight22004xi,
        823:  fire2eight23004xi,
        824:  fire2eight24004xi,
        825:  fire2eight25004xi,
        826:  fire2eight26004xi,
        827:  fire2eight27004xi,
        828:  fire2eight28004xi,
        829:  fire2eight29004xi,
        830:  fire2eight30004xi,
        831:  fire2eight31004xi,
        832:  fire2eight32004xi,
        833:  fire2eight33004xi}
                                    
       
    if ack2debug is True:
        print('(STEP 0F/33) OF CAST2NOUN4XI: DEFINED dictionary2fire ')
    
    # -------------------------------------------------------------------------------------------------
    # Cast to queue                            
    # -------------------------------------------------------------------------------------------------     
    cast2queue = {    
        0:  queue2zero,
        1:  queue2one,
        2:  queue2two,
        3:  queue2three,
        4:  queue2four,
        5:  queue2five,
        6:  queue2six,
        7:  queue2seven,
        8:  queue2eight}
        
    if ack2debug is True:
        print('(STEP 0G/33) OF CAST2NOUN4XI: DEFINED cast2queue ')
         
    # -------------------------------------------------------------------------------------------------
    # Cast to pipe consumer channel                        
    # ------------------------------------------------------------------------------------------------- 
    cast2consumerchannel = {                   
        0:  pipe2zero_consumer_channel,
        1:  pipe2one_consumer_channel,
        2:  pipe2two_consumer_channel,
        3:  pipe2three_consumer_channel,
        4:  pipe2four_consumer_channel,
        5:  pipe2five_consumer_channel,
        6:  pipe2six_consumer_channel,
        7:  pipe2seven_consumer_channel,
        8:  pipe2eight_consumer_channel}
        
        
    if ack2debug is True:
        print('(STEP 0H/33) OF CAST2NOUN4XI: DEFINED cast2consumerchannel ')
        
    # -------------------------------------------------------------------------------------------------
    # Cast to pipe publisher channel                         
    # ------------------------------------------------------------------------------------------------- 
    cast2publisherchannel = {             
        0:  pipe2zero_publisher_channel,
        1:  pipe2one_publisher_channel,
        2:  pipe2two_publisher_channel,
        3:  pipe2three_publisher_channel,
        4:  pipe2four_publisher_channel, 
        5:  pipe2five_publisher_channel,
        6:  pipe2six_publisher_channel,
        7:  pipe2seven_publisher_channel,
        8:  pipe2eight_publisher_channel}        
        
    if ack2debug is True:
        print('(STEP 0/33) OF CAST2NOUN4XI: DEFINED cast2publisherchannel ')
            
    # -----------------------------------------------------------------------------------------------------
    # START                          
    # -----------------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 1A/33) OF CAST2NOUN4XI - GOT TASK2CAST: ", task2cast) 
        # {'status': False, 'direction': 8, 'layer': 0, 'definition': 'reason_object4xi', 'clustername': 'function', 'clusterkey': 1, 'noun': 'reason_object4xi', 'simulation': 'nack', 'supername': 'function', 'order': 48, 'superkey': 0}

        
    # -----------------------------------------------------------------------------------------------------
    # SET                          
    # -----------------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 1B/33) OF CAST2NOUN4XI - TRYING TO SET FIRE VARIABLES") 
    try:
        direction2fire = int(task2cast['direction'])
        layer2fire     = int(task2cast['layer'])        
        cluster2fire   = int(task2cast['clusterkey']) 
        order2fire     = int(task2cast['order'])
        super2fire     = int(task2cast['superkey'])
        if ack2debug is True: 
            print("(STEP 1C/33) OF CAST2NOUN4XI - DIRECTION2FIRE: ", direction2fire, " LAYER2FIRE: ", layer2fire, " CLUSTER2FIRE: ", cluster2fire, " ORDER2FIRE: ", order2fire, " SUPER2FIRE: ", super2fire)
            # DIRECTION2FIRE: 2  LAYER2FIRE:  0  CLUSTER2FIRE:  3  ORDER2FIRE:  5   SUPER2FIRE:  2
            # DIRECTION2FIRE: 8  LAYER2FIRE:  0  CLUSTER2FIRE:  1  ORDER2FIRE:  48  SUPER2FIRE:  0
    except:
        print("(STEP 1D/33) OF CAST2NOUN4XI *** FAILED TO SET OWN FIRE VARIABLES - TASK2CAST: ", task2cast) 
                
    # -----------------------------------------------------------------------------------------------------
    # VERIFY                   
    # -----------------------------------------------------------------------------------------------------         
    ack2direction = True
    ack2layer = True
    ack2cluster = True
    ack2order = True
    ack2super = True
    ack2input = True
    
    if ack2debug is True:
        print("(STEP 1E1/33) OF CAST2NOUN4XI - TRYING TO VERIFY FIRE VARIABLES DIRECTION2FIRE")     
    try:            
        if ((direction2fire <= 0) or (direction2fire > 8)):
            print("(STEP 1E1/33) OF CAST2NOUN4XI *** FAILED TO ACCEPT DIRECTION2FIRE: ", direction2fire)        
            direction2fire = 1
            ack2direction = False
            ack2input = False
    except:
        print("(STEP 1E1/33) OF CAST2NOUN4XI *** FAILED TO VERIFY DIRECTION2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E2/33) OF CAST2NOUN4XI - TRYING TO VERIFY LAYER2FIRE")           
    try:                
        if ((layer2fire < 0) or (layer2fire > 3300)): 
            print("(STEP 1E2/33) OF CAST2NOUN4XI *** FAILED TO ACCEPT LAYER2FIRE: ", layer2fire)   
            layer2fire = 3100
            ack2layer = False
            ack2input = False            
    except:
        print("(STEP 1E2/33) OF CAST2NOUN4XI *** FAILED TO VERIFY LAYER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E3/33) OF CAST2NOUN4XI - TRYING TO VERIFY CLUSTER2FIRE")            
    try:                
        if ((cluster2fire <= 0) or (cluster2fire > 33)):
            print("(STEP 1E3/33) OF CAST2NOUN4XI *** FAILED TO ACCEPT CLUSTER2FIRE: ", cluster2fire)        
            cluster2fire = 1
            ack2cluster = False
            ack2input = False            
    except:
        print("(STEP 1E3/33) OF CAST2NOUN4XI *** FAILED TO VERIFY CLUSTER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E4/33) OF CAST2NOUN4XI - TRYING TO VERIFY ORDER2FIRE")        
    try:                 
        if order2fire <= 0:
            print("(STEP 1E4/33) OF CAST2NOUN4XI *** FAILED TO ACCEPT ORDER2FIRE: ", order2fire)
            order2fire = 1           
            ack2order = False
            ack2input = False 
    except:
        print("(STEP 1E4/33) OF CAST2NOUN4XI *** FAILED TO VERIFY ORDER2FIRE ***")
                    
    if ack2debug is True:
        print("(STEP 1E5/33) OF CAST2NOUN4XI - TRYING TO VERIFY SUPER2FIRE")          
    try:                      
        if ((super2fire <= 0) or (super2fire > 8)):
            super2fire = 1   
            ack2super = False
            ack2input = False

    except:
        print("(STEP 1E5/33) OF CAST2NOUN4XI *** FAILED TO VERIFY SUPER2FIRE ***")
        
    if ack2debug is True:
        print("(STEP 1E6/33) OF CAST2NOUN4XI - TRYING TO VERIFY ACK2INPUT")          
    try:           
        if ack2input is False:
            print("(STEP 1E6a/33) OF CAST2NOUN4XI *** FAILED INPUT - ACK2INPUT: ", ack2input, " TASK2CAST: ", task2cast)
            print("(STEP 1E6b/33) OF CAST2NOUN4XI - ACK2DIRECTION: ", ack2direction, " DIRECTION2FIRE: ",direction2fire)
            print("(STEP 1E6c/33) OF CAST2NOUN4XI - ACK2LAYER: ", ack2layer, " LAYER2FIRE: ", layer2fire)
            print("(STEP 1E6d/33) OF CAST2NOUN4XI - ACK2CLUSTER: ", ack2cluster, " CLUSTER2FIRE: ", cluster2fire)
            print("(STEP 1E6e/33) OF CAST2NOUN4XI - ACK2ORDER: ", ack2order, " ORDER2FIRE: ", order2fire)
            print("(STEP 1E6f/33) OF CAST2NOUN4XI - ACK2SUPER: ", ack2super, " SUPER2FIRE: ", super2fire)
            # ACK2INPUT:  False
            # TASK2CAST:  {'status': False, 'direction': 1, 'layer': 3200,
            #          'definition': 'function', 'clustername': 'analyzer', 'clusterkey': 1, 'noun': 'function', 'simulation': 'ack', 'supername': 'function', 'order': 3101, 'superkey': 1}

            # TASK2CAST:  {'status': False, 'direction': 1, 'layer': 3300, 'definition': 'function', 'clustername': 'analyzer', 'clusterkey': 33, 'noun': 'function', 'simulation': 'ack', 
            #           'supername': 'function', 'order': 3301, 'superkey': 1}

            
        else:    
            if ack2debug is True:
                print("(STEP 1E6g/33) OF CAST2NOUN4XI - PASSED INPUT, ACK2INPUT: ", ack2input)         
    except:
        print("(STEP 1E6h/33) OF CAST2NOUN4XI *** FAILED TO VERIFY ACK2INPUT ***")
                                 
    # -----------------------------------------------------------------------------------------------------
    # SET MINIMUM2FIRE                         
    # -----------------------------------------------------------------------------------------------------            
    minimum2fire = 0 
    ack2minimum = False
    ack2index = False
    ack2return = False    
    if ack2debug is True:
        print("(STEP 2A/33) OF CAST2NOUN4XI - TRYING TO SET MINIMUM2FIRE")       
    try:
        if order2fire < 100:
            minimum2fire = direction2fire * 10  # dictionary2fire = {10:  fire2one104xi, 101: fire2one1004xi, 102: fire2one2004xi ... 
        else:
            minimum2fire = direction2fire * 100
        ack2minimum = True
        index2fire = minimum2fire
        if ack2debug is True:
            print("(STEP 2B/33) OF CAST2NOUN4XI - MINIMUM2FIRE: ", minimum2fire, " FOR DIRECTION: ", direction2fire)
            # 20  FOR DIRECTION:  2; 100  FOR DIRECTION:  1
    except:
        print("(STEP 2B/33) OF CAST2NOUN4XI *** FAILED TO SET MINIMUM2FIRE ***")    
   
    while 1:                

        if order2fire < 100:
            # -------------------------------------------------------------------------------------------------
            # 10                         
            # -------------------------------------------------------------------------------------------------                
            index2fire = minimum2fire + 0                                                 # {10:  fire2one104xi
            ack2index = True
            layer2fire = 10
            if ack2debug is True:
                print("(STEP 3A10/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                # 20  FOR DIRECTION:  2
            break

        if ((order2fire >= 100) and (order2fire < 200)): 
            # -------------------------------------------------------------------------------------------------
            # 100                         
            # -------------------------------------------------------------------------------------------------                
            index2fire = minimum2fire + 1                                                 # 101: fire2one1004xi
            ack2index = True
            layer2fire = 100
            if ack2debug is True:
                print("(STEP 3A100/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                #                 
            break
                    
        if ((order2fire >= 200) and (order2fire < 300)): 
            # -------------------------------------------------------------------------------------------------
            # 200                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 2                                                 # 102: fire2one2004xi
            ack2index = True
            layer2fire = 200
            if ack2debug is True:
                print("(STEP 3A200/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
                # 
            break                                                                          

        if ((order2fire >= 300) and (order2fire < 400)):
            # -------------------------------------------------------------------------------------------------
            # 300                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 3                                                 # 103: fire2one3004xi                                       
            ack2index = True
            layer2fire = 300
            if ack2debug is True:
               print("(STEP 3A300/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break
                
        if ((order2fire >= 400) and (order2fire < 500)):
            # -------------------------------------------------------------------------------------------------
            # 400                         
            # -------------------------------------------------------------------------------------------------        
            index2fire = minimum2fire + 4                                                 # 104: fire2one4004xi                                        
            ack2index = True
            layer2fire = 400
            if ack2debug is True:
               print("(STEP 3A400/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               # 
            break
                    
        if ((order2fire >= 500) and (order2fire < 600)):
            # -------------------------------------------------------------------------------------------------
            # 500                         
            # -------------------------------------------------------------------------------------------------            
            index2fire = minimum2fire + 5                                                 # 105: fire2one5004xi                                           
            ack2index = True
            layer2fire = 500
            if ack2debug is True:
               print("(STEP 3A500/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   

        if ((order2fire > 600) and (order2fire <= 700)):
            # -------------------------------------------------------------------------------------------------
            # 600                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 6                                                 # 106: fire2one6004xi                                 
            ack2index = True
            layer2fire = 600
            if ack2debug is True:
               print("(STEP 3A600/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break           

        if ((order2fire > 700) and (order2fire <= 800)):
            # -------------------------------------------------------------------------------------------------
            # 700                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 7                                                 # 107: fire2one7004xi                                   
            ack2index = True
            layer2fire = 700
            if ack2debug is True:
               print("(STEP 3A700/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     

        if ((order2fire > 800) and (order2fire <= 900)):
            # -------------------------------------------------------------------------------------------------
            # 800                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 8                                                 # 108: fire2one8004xi                                         
            ack2index = True
            layer2fire = 800
            if ack2debug is True:
               print("(STEP 3A800/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
        if ((order2fire > 900) and (order2fire <= 1000)):
            # -------------------------------------------------------------------------------------------------
            # 900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 9                                                 # 109: fire2one9004xi                                           
            ack2index = True
            layer2fire = 900
            if ack2debug is True:
               print("(STEP 3A900/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)

        if ((order2fire > 1000) and (order2fire <= 1100)):
            # -------------------------------------------------------------------------------------------------
            # 1000                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 10                                                # 110: fire2one10004xi                                  
            ack2index = True
            layer2fire = 1000
            if ack2debug is True:
               print("(STEP 3A1000/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   

        if ((order2fire > 1100) and (order2fire <= 1200)):
            # -------------------------------------------------------------------------------------------------
            # 1100                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 11                                                # 111: fire2one11004xi                                        
            ack2index = True
            layer2fire = 1100
            if ack2debug is True:
               print("(STEP 3A1100/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
        if ((order2fire > 1200) and (order2fire <= 1300)):
            # -------------------------------------------------------------------------------------------------
            # 1200                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 12                                                # 112: fire2one12004xi                                       
            ack2index = True
            layer2fire = 1200
            if ack2debug is True:
               print("(STEP 3A1200/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 1300) and (order2fire <= 1400)):
            # -------------------------------------------------------------------------------------------------
            # 1300                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 13                                                # 113: fire2one13004xi                                         
            ack2index = True
            layer2fire = 1300
            if ack2debug is True:
               print("(STEP 3A1300/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 1400) and (order2fire <= 1500)):
            # -------------------------------------------------------------------------------------------------
            # 1400                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 14                                                # 114: fire2one14004xi                                         
            ack2index = True
            layer2fire = 1400
            if ack2debug is True:
               print("(STEP 3A1400/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 1500) and (order2fire <= 1600)):
            # -------------------------------------------------------------------------------------------------
            # 1500                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 15                                                # 115: fire2one15004xi                                              
            ack2index = True
            layer2fire = 1500
            if ack2debug is True:
               print("(STEP A1500/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
                    

        if ((order2fire > 1600) and (order2fire <= 1700)):
            # -------------------------------------------------------------------------------------------------
            # 1600                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 16                                                # 116: fire2one16004xi                                        
            ack2index = True
            layer2fire = 1600
            if ack2debug is True:
               print("(STEP A1600/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 1700) and (order2fire <= 1800)):
            # -------------------------------------------------------------------------------------------------
            # 1700                         
            # -------------------------------------------------------------------------------------------------               
            index2fire = minimum2fire + 17                                                # 117: fire2one17004xi                                             
            ack2index = True
            layer2fire = 1700
            if ack2debug is True:
               print("(STEP 3A1700/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break        
                    

        if ((order2fire > 1800) and (order2fire <= 1900)):
            # -------------------------------------------------------------------------------------------------
            # 1800                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 18                                                # 118: fire2one18004xi                                             
            ack2index = True
            layer2fire = 1800
            if ack2debug is True:
               print("(STEP A1800/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break       
                    

        if ((order2fire > 1900) and (order2fire <= 2000)):
            # -------------------------------------------------------------------------------------------------
            # 1900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 19                                                # 119: fire2one19004xi                                             
            ack2index = True
            layer2fire = 1900
            if ack2debug is True:
               print("(STEP A1900/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    
        if ((order2fire > 2000) and (order2fire <= 2100)):
            # -------------------------------------------------------------------------------------------------
            # 2000                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 20                                                # 120: fire2one20004xi                                            
            ack2index = True
            layer2fire = 2000
            if ack2debug is True:
               print("(STEP 3A2000/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
            
        if ((order2fire > 2100) and (order2fire <= 2200)):
            # -------------------------------------------------------------------------------------------------
            # 2100                         
            # -------------------------------------------------------------------------------------------------
            index2fire = minimum2fire + 21                                                # 121: fire2one21004xi              
            ack2index = True
            layer2fire = 2100
            if ack2debug is True:
               print("(STEP 3A2100/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    
                    

        if ((order2fire > 2200) and (order2fire <= 2300)):
            # -------------------------------------------------------------------------------------------------
            # 2200                         
            # -------------------------------------------------------------------------------------------------        
            index2fire = minimum2fire + 22                                                # 122: fire2one22004xi                                        
            ack2index = True
            layer2fire = 2200
            if ack2debug is True:
               print("(STEP 3A2200/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    

        if ((order2fire > 2300) and (order2fire <= 2400)):
            # -------------------------------------------------------------------------------------------------
            # 2300                         
            # -------------------------------------------------------------------------------------------------              
            index2fire = minimum2fire + 23                                                # 123: fire2one23004xi                                       
            ack2index = True
            layer2fire = 2300
            if ack2debug is True:
               print("(STEP 3A2300/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break    

        if ((order2fire > 2400) and (order2fire <= 2500)):
            # -------------------------------------------------------------------------------------------------
            # 2400                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 24                                                # 124: fire2one24004xi                                       
            ack2index = True
            layer2fire = 2400
            if ack2debug is True:
               print("(STEP 3A2400 /33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break     
                    

        if ((order2fire > 2500) and (order2fire <= 2600)):
            # -------------------------------------------------------------------------------------------------
            # 2500                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 25                                                # 125: fire2one25004xi                                        
            ack2index = True
            layer2fire = 2500
            if ack2debug is True:
               print("(STEP 3A2500/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break          
                    

        if ((order2fire > 2600) and (order2fire <= 2700)):
            # -------------------------------------------------------------------------------------------------
            # 2600                         
            # -------------------------------------------------------------------------------------------------         
            index2fire = minimum2fire + 26                                                # 126: fire2one26004xi                                       
            ack2index = True
            layer2fire = 2600
            if ack2debug is True:
               print("(STEP 3A2600/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break      
                    

        if ((order2fire > 2700) and (order2fire <= 2800)):
            # -------------------------------------------------------------------------------------------------
            # 2700                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 27                                                # 127: fire2one27004xi                                       
            ack2index = True
            layer2fire = 2700
            if ack2debug is True:
               print("(STEP 3A2700/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break          
                    

        if ((order2fire > 2800) and (order2fire <= 2900)):
            # -------------------------------------------------------------------------------------------------
            # 2800                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 28                                                # 128: fire2one28004xi                                       
            ack2index = True
            layer2fire = 2800
            if ack2debug is True:
               print("(STEP 3A2800/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break       
                    

        if ((order2fire > 2900) and (order2fire <= 3000)):
            # -------------------------------------------------------------------------------------------------
            # 2900                         
            # -------------------------------------------------------------------------------------------------          
            index2fire = minimum2fire + 29                                                # 129: fire2one29004xi                                       
            ack2index = True
            layer2fire = 2900
            if ack2debug is True:
               print("(STEP 3A2900/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)

        if ((order2fire > 3000) and (order2fire <= 3100)):
            # -------------------------------------------------------------------------------------------------
            # 3000                         
            # -------------------------------------------------------------------------------------------------           
            index2fire = minimum2fire + 30                                                # 130: fire2one30004xi                                        
            ack2index = True
            layer2fire = 3000
            if ack2debug is True:
                   print("(STEP 3A3000 /33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    

        if ((order2fire > 3100) and (order2fire <= 3200)):
            # -------------------------------------------------------------------------------------------------
            # 3100                         
            # -------------------------------------------------------------------------------------------------                  
            index2fire = minimum2fire + 31                                                # 131: fire2one31004xi                                             
            ack2index = True
            layer2fire = 3100
            if ack2debug is True:
               print("(STEP 3A3100/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
          
        if ((order2fire > 3200) and (order2fire <= 3300) and (task2cast['simulation'] == 'ack')): 
            # -------------------------------------------------------------------------------------------------
            # 3200 - CLUSTER - SIMULATED                    
            # -------------------------------------------------------------------------------------------------                 
            index2fire = minimum2fire + 32                                                # 132: fire2one32004xi                                             
            ack2index = True
            layer2fire = 3200
            if ack2debug is True:
               print("(STEP 3A3200/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               #
            break   
                    
         
        if ((order2fire > 3300) and (order2fire <= 3333) and (task2cast['simulation'] == 'ack')):
            # -------------------------------------------------------------------------------------------------
            # 3300 - SUPER CLUSTER - SIMULATED                          
            # -------------------------------------------------------------------------------------------------                    
            index2fire = minimum2fire + 33                                                # 132: fire2one32004xi                                             
            ack2index = True
            layer2fire = 3300
            if ack2debug is True:
               print("(STEP 3A3300/33) OF CAST2NOUN4XI - SET INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)
               # 
            break   
                               
       
        # -----------------------------------------------------------------------------------------
        # FORCED TO LAYER 3100                          
        # -----------------------------------------------------------------------------------------
        index2fire = minimum2fire + 31                                                    # 131: fire2one31004xi     
        ack2index = True
        layer2fire = 3100 
        if ack2debug is True:
            print("(STEP 3A3100/33) OF CAST2NOUN4XI - FORCED INDEX2FIRE TO: ", index2fire, " FOR DIRECTION: ", direction2fire)        
            # 
        break   
                                                  
    # -------------------------------------------------------------------------------------------------
    # eof while                        
    # -------------------------------------------------------------------------------------------------
              
    if ack2index is True:
        if ack2debug is True:    
            print("(STEP 3B/33) OF CAST2NOUN4XI - SUCCEEDED TO SET INDEX2FIRE TO: ", index2fire, " ACK2INDEX: " ,ack2index)
            # 20  ACK2INDEX:  True 
    else:
        print("(STEP 3B/33) OF CAST2NOUN4XI *** FAILED TO SET INDEX2FIRE **** ACK2INDEX: " ,ack2index) 
           
    # -------------------------------------------------------------------------------------------------
    # INDEX2FIRE POINTS TO THE REQUIRED (X,Y,Z)-DICTIONARY                           
    # -------------------------------------------------------------------------------------------------           
    if ack2debug is True:
        print("(STEP 4A/33) OF CAST2NOUN4XI - TRYING TO USE INDEX2FIRE, ORDER2FIRE AND DIRECTION2FIRE") 
    try:
        if ack2debug is True:
            print("(STEP 4B/33) OF CAST2NOUN4XI - INDEX2FIRE: ", index2fire, ' FOR ORDER: ' , order2fire, ' TO DIRECTION: ', direction2fire)    
            # INDEX2FIRE:  20  FOR ORDER:  5  TO DIRECTION:  2
    except:
        print("(STEP 4C/33) OF CAST2NOUN4XI *** FAILED TO USE INDEX2FIRE, ORDER2FIRE AND DIRECTION2FIRE")     
        # 
             
    # -------------------------------------------------------------------------------------------------
    # DICTIONARY2XYZ IS HOPEFULLY THE REQUIRED (X,Y,Z)-DICTIONARY                          
    # -------------------------------------------------------------------------------------------------              
    ack2return = True
    if ack2debug is True:
        print("(STEP 5A/33) OF CAST2NOUN4XI - TRYING TO SET DICTIONARY2XYZ")  
    try:
        dictionary2xyz = dictionary2fire[index2fire]    
        if ack2debug is True:
            print("(STEP 5B/33) OF CAST2NOUN4XI - DICTIONARY2XYZ: ", dictionary2xyz)         
            # {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'}
            
    except:
        print("(STEP 5C/33) OF CAST2NOUN4XI *** FAILED TO SET DICTIONARY2XYZ") 
        
    # -------------------------------------------------------------------------------------------------
    # XYZ                    
    # -------------------------------------------------------------------------------------------------            
    axk2x   = False
    axk2y   = False
    axk2z   = False
    axk2xyz = False
    
    if ack2debug is True:
        print("(STEP 5D/33) OF CAST2NOUN4XI - TRYING TO SEARCH INDEXES TO  X, Y AND Z")      
    try:                
        xyz2dict = dictionary2xyz [1]
        i2x = str.find(xyz2dict,"x")
        i2y = str.find(xyz2dict,"y") 
        i2z = str.find(xyz2dict,"z")
        if ack2debug is True:
            print("(STEP 5E/33) OF CAST2NOUN4XI - FOUND I2X: ", i2x, " I2Y: ", i2y, " I2Z: ", i2z, " FOR XYZ2DICT: ", xyz2dict) # FOUND I2X:  1  I2Y:  5  I2Z:  9  FOR XYZ2DICT:  0x-27y-41z  
        
    except:
        print("(STEP 5F/33) OF CAST2NOUN4XI *** FAILED TO SEARCH INDEXES TO  X, Y AND Z")   
        ack2return = False
    
    if ((i2x == -1) or (i2y == -1) or(i2y == -1)):
        if ack2debug is True:    
            print("(STEP 5G/33) OF CAST2NOUN4XI *** FAILED TO FIND PROPER INDEXES TO  X, Y AND Z")       
        ack2return = False
    else:
        # -------------------------------------------------------------------------------------------------
        # X - PICK                   
        # -------------------------------------------------------------------------------------------------    
        if ack2debug is True:
            print("(STEP 5X1/33) OF CAST2NOUN4XI - TRYING TO PICK X") 
        try: 
            x2dict = int(xyz2dict[0:i2x])
            if ack2debug is True:
                print("(STEP 5X2/33) OF CAST2NOUN4XI - PICKED X", x2dict)                 # PICKED X 0
        except:
            print("(STEP 5X3/33) OF CAST2NOUN4XI *** FAILED TO PICK X")   
            ack2return = False
        # -------------------------------------------------------------------------------------------------
        # Y - PICK                       
        # -------------------------------------------------------------------------------------------------                
        if ack2debug is True:
            print("(STEP 5Y1/33) OF CAST2NOUN4XI - TRYING TO PICK Y")
        try:                         
            y2dict = int(xyz2dict[i2x+1:i2y])
            if ack2debug is True:
                print("(STEP 5Y2/33) OF CAST2NOUN4XI - PICKED Y", y2dict)                 # PICKED Y -27
        except:
            print("(STEP 5Y3/33) OF CAST2NOUN4XI *** FAILED TO PICK Y")
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Z - PICK                      
        # -------------------------------------------------------------------------------------------------            
        if ack2debug is True:
            print("(STEP 5Z1/33) OF CAST2NOUN4XI - TRYING TO PICK Z")        
        try:           
            z2dict = int(xyz2dict[i2y+1:i2z])
            if ack2debug is True:
                print("(STEP 5Z2/33) OF COORDINATE_NOUNS4XI - PICKED Z: ", z2dict)        # PICKED Z:  -41                         
        except:
            print("(STEP 5Z3/33) OF CAST2NOUN4XI *** FAILED TO PICK Z")   
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # X - INTEGER                    
        # -------------------------------------------------------------------------------------------------    
        if ack2debug is True:
            print("(STEP 5X1/33) OF CAST2NOUN4XI - TRYING TO INTEGER X: ", x2dict) 
        try: 
            x2dict = int(x2dict)
            if ack2debug is True:
                print("(STEP 5X2/33) OF CAST2NOUN4XI - INTEGER X: ", x2dict)
            ack2x = True    
        except:
            print("(STEP 5X3/33) OF CAST2NOUN4XI *** FAILED TO INTEGER X")   
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Y - INTEGER                     
        # -------------------------------------------------------------------------------------------------                
        if ack2debug is True:
            print("(STEP 5Y1/33) OF CAST2NOUN4XI - TRYING TO INTEGER Y: ", y2dict)
        try:                         
            y2dict = int(y2dict)
            if ack2debug is True:
                print("(STEP 5Y2/33) OF CAST2NOUN4XI - INTEGER Y: ", y2dict)
            ack2y = True     
        except:
            print("(STEP 5Y3/33) OF CAST2NOUN4XI *** FAILED TO INTEGER Y")
            ack2return = False
            
        # -------------------------------------------------------------------------------------------------
        # Z - INTEGER                     
        # -------------------------------------------------------------------------------------------------            
        if ack2debug is True:
            print("(STEP 5Z1/33) OF CAST2NOUN4XI - TRYING TO INTEGER Z: ", z2dict)        
        try:           
            z2dict = int(z2dict)
            if ack2debug is True:
                print("(STEP 5Z1/33) OF CAST2NOUN4XI - INTEGER Z: ", z2dict) 
            axkz = True                                
        except:
            print("(STEP 5Z3/33) OF CAST2NOUN4XI *** FAILED TO INTEGER Z")   
            ack2return = False 
                   
    # -------------------------------------------------------------------------------------------------
    # ACK2XYZ               
    # -------------------------------------------------------------------------------------------------          
    if ((ack2x is True) and (ack2y is True) and (ack2x is True)):
        ack2xyz = True
    else:
        ack2xyz = False
        ack2return = False 
    if ack2debug is True:
        print("(STEP 5XYZ/33) OF CAST2NOUN4XI - ACK2XYZ: ", ack2xyz) # True
        
    # -------------------------------------------------------------------------------------------------
    # RADIUS                  
    # -------------------------------------------------------------------------------------------------                     
    radius2dict = 1313131313131313
    if ack2debug is True:
        print("(STEP 5G/33) OF CAST2NOUN4XI - TRYING TO CALCULATE RADIUS")     
    
    try:                                    
        radius2dict = (x2dict**2 + y2dict**2 + z2dict**2) ** (1/2)
        if ack2debug is True:
            print('(STEP 5H/33) OF COORDINATE_NOUNS4XI - RADIUS: ', radius2dict, 'OF XYZ2DICT: ', xyz2dict, ' ORDER2FIRE: ', order2fire) # RADIUS:  49.0917508345 OF XYZ2DICT:  0x-27y-41z  ORDER2FIRE:  5
    except:
        print("(STEP 5I/33) OF CAST2NOUN4XI *** FAILED TO CALCULATE RADIUS, SET TO: ", radius2dict)
        ack2return = False
    
                    
    # -------------------------------------------------------------------------------------------------
    # DEVIATION                   
    # -------------------------------------------------------------------------------------------------            
    deviation2distance = 1313131313131313
    ack2deviation = False
    if ack2debug is True: 
        print("(STEP 5J/33) OF CAST2NOUN4XI - TRYING TO CALCULATE DEVIATION")         
    try:                         
        deviation2distance = int(radius2dict) - int(order2fire)
        if deviation2distance >= 100:
            print("(STEP 5K/33) OF CAST2NOUNSXI ** WARNED - BIG DEVIATION2DISTANCE: ", deviation2distance, " XYZ2DICT: ", xyz2dict, " RADIUS2DICT: ", radius2dict, " ORDER2FIRE: ", order2fire)
            # 141  XYZ2DICT:  -1052x1746y-2334z  RADIUS2DICT:  3098.83461966  ORDER2FIRE:  2957
            ack2return = False
        else:     
            if ack2debug is True:
                print('(STEP 5L/33) OF CAST2NOUNSXI - PASSED DEVIATION2DISTANCE: ', deviation2distance)  # shot2two104xi = {1:'0x-27y-41z', 2:'0x-27y-42z',  3:'0x-6y-7z',
            ack2deviation = True                                                                                 # OK
    except:
        print("(STEP 5M/33) OF CAST2NOUN4XI *** FAILED TO CALCULATE DEVIATION")     
        ack2return = False                             

                                                                                                
    # -------------------------------------------------------------------------------------------------
    # Update the context for return                            
    # -------------------------------------------------------------------------------------------------     
    context2return = {}
    if ack2debug is True:
        print("(STEP 6/33) OF CAST2NOUN4XI - TRYING TO SET CONTEXT2RETURN" )
    
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:
        context2return['status']           = ack2return
    except:    
        print("(STEP 6A1/33) OF CAST2NOUN4XI *** FAILED TO SET status ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['queue']            = cast2queue[direction2fire]
    except:    
        print("(STEP 6A2/33) OF CAST2NOUN4XI *** FAILED TO SET queue ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['consumerchannel']  = cast2consumerchannel[direction2fire]
    except:    
        print("(STEP 6A3/33) OF CAST2NOUN4XI *** FAILED TO SET consumerchannel ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['publisherchannel'] = cast2consumerchannel[direction2fire]
    except:    
        print("(STEP 6A4/33) OF CAST2NOUN4XI *** FAILED TO SET publisherchannel ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['indexfire']        = index2fire
    except:    
        print("(STEP 6A5/33) OF CAST2NOUN4XI *** FAILED TO SET indexfire ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['layer']            = layer2fire
    except:    
        print("(STEP 6A6/33) OF CAST2NOUN4XI *** FAILED TO SET layer ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['order']            = order2fire
    except:    
        print("(STEP 6A7/33) OF CAST2NOUN4XI *** FAILED TO SET order ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:             
        context2return['radius']           = radius2dict 
    except:    
        print("(STEP 6A8/33) OF CAST2NOUN4XI *** FAILED TO SET radius ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:                           
        context2return['deviation']        = deviation2distance
    except:    
        print("(STEP 6A9/33) OF CAST2NOUN4XI *** FAILED TO SET deviation ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:            
        context2return['ack2deviation']    = ack2deviation
    except:    
        print("(STEP 6A10/33) OF CAST2NOUN4XI *** FAILED TO SET ack2deviation ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------        
    try:             
        context2return['xyz2dict']         = xyz2dict
    except:    
        print("(STEP 6A11/33) OF CAST2NOUN4XI *** FAILED TO SET xyz2dict ***" )                 
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:
        context2return['dictionary']       = dictionary2xyz
    except:    
        print("(STEP 6A12/33) OF CAST2NOUN4XI *** FAILED TO SET dictionary ***" )
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:                
        context2return['dictionaryfirst']  = dictionary2xyz[1]
    except:    
        print("(STEP 6A13/33) OF CAST2NOUN4XI *** FAILED TO SET dictionaryfirst ***" ) 
    # -------------------------------------------------------------------------------------------------
    #                            
    # -------------------------------------------------------------------------------------------------
    try:               
        context2return['dictionarylast']   = dictionary2xyz[len(dictionary2xyz)] 
    except:    
        print("(STEP 6A14/33) OF CAST2NOUN4XI *** FAILED TO SET dictionarylast ***" )   
            
            
    # -------------------------------------------------------------------------------------------------
    # Return updated context with (x,y,z)-coordinates                          
    # -------------------------------------------------------------------------------------------------         
    if ack2debug is True:
        print("(STEP 33/33) OF CAST2NOUN4XI - RETURNING CONTEXT2RETURN: ", context2return)
        # {  'status': True,  'publisherchannel': <read-write PipeConnection, handle 264>, 'layer': 10, 'deviation': 44, 'dictionary': {1: '0x-27y-41z', 2: '0x-27y-42z', 3: '0x-6y-7z', 4: '0x0y-29z', 5: '0x0y-69z', 6: '10x-20y-44z', 7: '10x-21y-44z', 8: '11x-19y-44z', 9: '11x-27y0z', 10: '12x-1y-27z', 11: '12x-27y0z', 12: '12x0y-27z', 13: '13x-1y-26z', 14: '13x-2y-26z', 15: '13x-3y-26z', 16: '13x-4y-26z', 17: '13x-5y-26z', 18: '13x-68y-4z', 19: '14x-26y0z', 20: '15x-20y-53z', 21: '15x-22y-53z', 22: '15x-25y0z', 23: '16x-19y-54z', 24: '16x-24y0z', 25: '16x-67y-4z', 26: '17x-16y-54z', 27: '17x-18y-54z', 28: '18x-13y-55z', 29: '18x-14y-55z', 30: '18x-15y-54z', 31: '18x-23y0z', 32: '19x-10y-55z', 33: '19x-11y-55z', 34: '19x-22y-1z', 35: '19x-7y-56z', 36: '19x-9y-56z', 37: '19x0y-67z', 38: '1x-5y-7z', 39: '1x-6y-7z', 40: '20x-1y-67z', 41: '20x-21y-1z', 42: '20x-2y-66z', 43: '20x-66y-5z', 44: '21x-20y-1z', 45: '21x-3y-66z', 46: '21x-5y-66z', 47: '21x-6y-66z', 48: '22x-19y-2z', 49: '22x-7y-65z', 50: '23x-18y-2z', 51: '27x-74y-7z', 52: '2x-26y-42z', 53: '2x-5y-7z', 54: '2x-5y-8z', 55: '2x-69y-2z', 56: '31x-73y-8z', 57: '32x-22y-3z', 58: '33x-21y-3z', 59: '34x-19y-4z', 60: '34x-71y-8z', 61: '35x-17y-4z', 62: '36x-15y-5z', 63: '37x-11y-5z', 64: '37x-13y-5z', 65: '38x-5y-7z', 66: '38x-69y-9z', 67: '38x-7y-6z', 68: '38x-9y-6z', 69: '39x-1y-7z', 70: '39x-3y-7z', 71: '3x-25y-42z', 72: '42x-67y-10z', 73: '45x-64y-11z', 74: '48x-62y-12z', 75: '4x-25y-42z', 76: '51x-59y-12z', 77: '54x-56y-13z', 78: '57x-53y-14z', 79: '5x-10y-16z', 80: '5x-24y-43z', 81: '60x-50y-15z', 82: '62x-47y-15z', 83: '6x-69y-2z', 84: '6x-9y-16z', 85: '72x-49y-18z', 86: '7x-23y-43z', 87: '7x-6y0z', 88: '7x-7y-16z', 89: '7x-7y0z', 90: '7x-8y-16z', 91: '8x-23y-43z', 92: '8x-4y-17z', 93: '8x-4y0z', 94: '8x-5y-17z', 95: '8x-5y0z', 96: '8x-6y-16z', 97: '8x-6y-17z', 98: '8x-7y-16z', 99: '9x-1y0z', 100: '9x-22y-43z', 101: '9x-28y0z', 102: '9x-2y0z', 103: '9x-3y0z', 104: '9x-4y0z', 105: '9x-69y-3z', 106: '9x0y0z'},
        #  'xyz2dict': '0x-27y-41z', 'indexfire': 20, 'ack2deviation': True, 'queue': <queue4xi.Queue4Xi object at 0x03E141D0>, 'dictionaryfirst': '0x-27y-41z', 'dictionarylast': '9x0y0z',
        #    'radius': 49.09175083453431, 'consumerchannel': <read-write PipeConnection, handle 264>, 'order': 5}
         
    return context2return
     
      

#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "sense_noun4xi" usage = "senses noun knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def sense_noun4xi():
    '''
    sense_noun4xi senses noun knowledgebase
    '''
    # global ClusterKB4Xi    
    # global NounKB4Xi
    # ack2debug = True
    # 
    # # -----------------------------------------------------------------------------------------
    # # initialize knowledge
    # # -----------------------------------------------------------------------------------------      
    # kb2v = NounKB4Xi
    # keys2alpha = NounKB4Xi.keys()                                    
    # 
    # kb2xi = {('d', 'dragonized'): 'dragonized', ('d', 'dragonizing'): 'dragonizing'} 
    # 
    # for key2alpha in sorted(keys2alpha):
    #     if ack2debug is True:                                          
    #         print("key2alpha :" ,key2alpha)                          # key2alpha : z 
    #     
    #     keys2noun = NounKB4Xi[key2alpha].keys()                      # 
    #     if ack2debug is True:             
    #         print("keys2noun :", keys2noun)                              # keys2noun : dict_keys(['zeroing', 'zeroed'])
    #     
    #     for key2noun in sorted(keys2noun):                            
    #         if ack2debug is True:     
    #             print("key2noun :", key2noun)                            # key2noun : zeroed, key2noun : zeroing
    #         
    #         kb2xi[key2alpha, key2noun] = key2noun                                
    #         if ack2debug is True:     
    #             print("kb2xi[", key2alpha, "," , key2noun , "] = ", key2noun)  # kb2xi[ z , zeroed ] =  zeroed, kb2xi[ z , zeroing ] =  zeroing ....
    #         
    # # -----------------------------------------------------------------------------------------
    # # sense knowledge
    # # -----------------------------------------------------------------------------------------        
    # 
    # 
    # # -----------------------------------------------------------------------------------------
    # # return knowledge
    # # -----------------------------------------------------------------------------------------        
    # if ack2debug is True:     
    #     print("sense_noun4xi returning kb2xi: ", kb2xi)                  # {('s', 'skipped'): 'skipped', ('v', 'ventured'): 'ventured', ('l', 'looped'): 'looped',.....
    # return kb2xi                                                     # not in alphabetical order
    
    return {}
    
#</function4xi>
            
# -------------------------------------------------------------------------------------------------
#<function4xi function = "reason_noun4xi" usage = "reasons noun knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
 
def reason_noun4xi():
    '''
    reason_noun4xi reasons noun knowledgebase
    '''
    # global ClusterKB4Xi    
    # global NounKB4Xi        
    # ack2debug = True
    # 
    # # -----------------------------------------------------------------------------------------
    # # INITIALIZE KNOWLEDGE
    # # -----------------------------------------------------------------------------------------         
    # kb4xi = {'dragonized': 'dragonized', 'dragonizing': 'dragonizing'}
    # # 
    # kb4v = NounKB4Xi
    # if ack2debug is True:     
    #     print("(STEP 1/33) OF REASON_NOUN4XI: KB4V: ", kb4v)             # {'_': {'_privated': '_privated', '_privating': '_privating'},
    # #                                                                      #  'a': {'acknowledging': 'acknowledging',...
    # #                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      (STEP 1/33) OF REASON_NOUN4XI: KB4V:  {'_': {'_pertain': '_pertain', 'color-_pertain': '#FA5858', 'cluster-_pertained': 1, 'color-_pertaining': '#F76B6B', 'symbol-_pertaining': 1447, 'reference-_pertained': 1447, '_pertained': '_pertained', 'definition-_pertain': 'to belong properly.', '_pertaining': '_pertaining', 'color-_pertained': '#FCDADA'}, 'a': {'reference-accepted': 11, 'color-activated': '#51510E', 'color-activating': '#EEEE45', 'activated': 'activated', 'color-analyzed': '#AEB24D', 'activating': 'activating', 'adding': 'adding', 'acknowledge': 'acknowledge', 'appended': 'appended', 'acing': 'acing', 'add': 'add', 'color-acknowledged': '#607D43', 'color-analyzing': '#E4EB2A', 'color-ace': '#33570E', 'color-appended': '#9FE15E', 'cluster-accepted': 5, 'cluster-acknowledged': 8, 'reference-acquired': 18, 'color-abstracted': '#A14933', 'accepted': 'accepted', 'reference-abbreviated': 3, 'symbol-analyzing': 74, 'color-activate': '#FCFC49', 'definition-acquire': 'to come into possession or ownership of.', 'color-accept': '#0B6138', 'reference-acted': 19, 'abbreviated': 'abbreviated', 'activate': 'activate', 'definition-accept': 'to regard as suitable.', 'abstracted': 'abstracted', 'acquired': 'acquired', 'reference-added': 22, 'color-acknowledge': '#33570E', 'asserted': 'asserted', 'symbol-appending': 101, 'definition-abstract': 'to make an abstract of; summarize.', 'append': 'append', 'symbol-abstracting': 8, 'color-adding': '#7E7E91', 'symbol-acknowledging': 17, 'acting': 'acting', 'cluster-abbreviated': 19, 'reference-acknowledged': 7, 'reference-asserted': 125, 'definition-acknowledge': 'to recognize the validity.', 'color-acquired': '#70CA70', 'color-abbreviating': '#E5EB37', 'reference-activated': 20, 'analyzed': 'analyzed', 'symbol-activating': 20, 'cluster-acted': 1, 'abbreviating': 'abbreviating', 'asserting': 'asserting', 'acquiring': 'acquiring', 'ace': 'ace', 'symbol-acting': 19, 'reference-appended': 101, 'act': 'act', 'color-append': '#E4EFD8', 'abbreviate': 'abbreviate', 'acted': 'acted', 'color-accepted': '#58C391', 'symbol-acing': 14, 'cluster-added': 4, 'analyzing': 'analyzing', 'color-accepting': '#055F35', 'definition-analyze': 'to examine critically, so as to bring out the essential elements, or to give the essence of.', 'symbol-adding': 22, 'definition-abbreviate': 'to reduce in length, duration etc.', 'cluster-acquired': 14, 'color-asserted': '#65681A', 'analyze': 'analyze', 'definition-add': 'to perform the arithmetics operation of addition; to unite or join as to increase the number, size or importance.', 'appending': 'appending', 'acquire': 'acquire', 'color-abstract': '#2B1B17', 'definition-ace': 'to complete something in complete success.', 'assert': 'assert', 'symbol-asserting': 125, 'color-asserting': '#EFF62D', 'color-abbreviated': '#EAECA0', 'reference-abstracted': 8, 'definition-act': 'to operate or function in a particular way.', 'definition-assert': 'to state with assurance.', 'cluster-asserted': 5, 'color-analyze': '#F4FA58', 'color-acquire': '#04B404', 'symbol-accepting': 11, 'cluster-abstracted': 19, 'color-acquiring': '#10BA10', 'abstracting': 'abstracting', 'color-acing': '#355F0B', 'abstract': 'abstract', 'accept': 'accept', 'aced': 'aced', 'color-assert': '#DCE40F', 'color-aced': '#4F623B', 'definition-activate': 'to make active; cause to function or act.', 'cluster-aced': 8, 'color-appending': '#89C94A', 'reference-aced': 14, 'color-acknowledging': '#3A640F', 'definition-append': 'to add as an accessory, appendix or supplement.', 'cluster-activated': 18, 'cluster-appended': 4, 'color-abbreviate': '#E3E928', 'reference-analyzed': 74, 'color-acting': '#EF932A', 'acknowledging': 'acknowledging', 'added': 'added', 'symbol-abbreviating': 13, 'color-abstracting': '#2F120A', 'cluster-analyzed': 13, 'color-added': '#B4B4D4', 'accepting': 'accepting', 'color-acted': '#F3D2AD', 'color-add': '#9292A1', 'color-act': '#EFAE64', 'acknowledged': 'acknowledged', 'symbol-acquiring': 18}, 'c': {'comment': 'comment', 'cluster-calculated': 4, 'color-closing': '#1568BC', 'reference-created': 472, 'cluster-called': 14, 'symbol-calling': 297, 'cluster-compared': 4, 'definition-connect': 'to establish communication between.', 'reference-clustered': 392, 'color-clear': '#81F7F3', 'color-called': '#ABCDEF', 'clear': 'clear', 'color-create': '#F5C494', 'definition-call': 'to transfer control to a function, object, thread, process, operating system etc.', 'color-connecting': '#3333DF', 'cluster-clustered': 21, 'color-calling': '#3080D1', 'cluster-commanded': 14, 'color-contextualize': '#F7BE81', 'color-check': '#F0F04C', 'reference-concluded': 424, 'symbol-comparing': 416, 'clustering': 'clustering', 'reference-contextualized': 439, 'checked': 'checked', 'calculate': 'calculate', 'reference-commented': 411, 'create': 'create', 'reference-called': 297, 'cluster-commented': 19, 'color-calculate': '#00FFFF', 'contextualizing': 'contextualizing', 'comparing': 'comparing', 'reference-classed': 381, 'color-created': '#F2D8BF', 'call': 'call', 'color-close': '#0080FF', 'cluster-connected': 3, 'connecting': 'connecting', 'color-compare': '#7878F0', 'color-clustered': '#3D2121', 'color-concluded': '#C1C1F3', 'symbol-commenting': 411, 'reference-commanded': 410, 'color-commanded': '#EFC18D', 'symbol-clustering': 392, 'color-creating': '#F39639', 'checking': 'checking', 'cluster-classed': 10, 'contextualized': 'contextualized', 'color-command': '#AE640F', 'color-closed': '#BBDAF9', 'reference-connected': 431, 'clustered': 'clustered', 'definition-comment': 'to make comments or remarks on.', 'color-calculating': '#71F3F3', 'color-compared': '#ABABF2', 'reference-closed': 389, 'classed': 'classed', 'color-cluster': '#664C4C', 'color-classed': '#BDBDFC', 'color-connect': '#2727D4', 'created': 'created', 'color-call': '#045FB4', 'symbol-classing': 381, 'calling': 'calling', 'color-connected': '#ADADEB', 'symbol-connecting': 431, 'symbol-concluding': 424, 'color-comparing': '#3D3DE8', 'color-commented': '#DED0D0', 'closing': 'closing', 'called': 'called', 'color-conclude': '#9393F0', 'concluded': 'concluded', 'definition-create': 'to cause to come into being, as something unique, that would not naturally evolve or that is not made by ordinary processes.', 'compare': 'compare', 'symbol-clearing': 383, 'definition-conclude': 'to determine by reasoning; deduce, infer.', 'symbol-commanding': 410, 'classing': 'classing', 'color-comment': '#AEA6A6', 'reference-cleared': -383, 'symbol-checking': 351, 'cluster': 'cluster', 'color-calculated': '#BBF7F7', 'color-commanding': '#C7781E', 'symbol-calculating': 295, 'connect': 'connect', 'color-cleared': '#D3FFFD', 'definition-cluster': 'to gather into a cluster or clusters; to cover with clusters; to form a cluster or clusters.', 'close': 'close', 'contextualize': 'contextualize', 'check': 'check', 'definition-clear': 'to remove instructions or data from register, queue, stack etc.', 'cluster-checked': 11, 'definition-close': 'to put (queue, pipe, file, etc.) into position to obstruct reading, receiving, etc.', 'clearing': 'clearing', 'commanded': 'commanded', 'color-checking': '#F6F638', 'color-contextualizing': '#F29226', 'reference-calculated': 295, 'closed': 'closed', 'symbol-closing': 389, 'cluster-contextualized': 19, 'color-concluding': '#4747DF', 'color-clearing': '#30EBE4', 'conclude': 'conclude', 'color-clustering': '#766262', 'definition-class': 'to place or arrange in a class; classify.', 'creating': 'creating', 'calculating': 'calculating', 'definition-command': 'to issue an order or orders.', 'reference-compared': 416, 'color-class': '#8181F7', 'compared': 'compared', 'connected': 'connected', 'cluster-concluded': 4, 'cluster-cleared': 4, 'commanding': 'commanding', 'color-checked': '#6C6C25', 'definition-check': 'to inspect or test the performance, condition, etc. of (something).', 'cleared': 'cleared', 'concluding': 'concluding', 'class': 'class', 'color-contextualized': '#FAEEE0', 'commenting': 'commenting', 'symbol-contextualizing': 439, 'calculated': 'calculated', 'color-commenting': '#9F9090', 'definition-calculate': 'to determine or assertain by mathematical methods.', 'cluster-created': 1, 'commented': 'commented', 'cluster-closed': 14, 'reference-checked': 351, 'definition-compare': 'to examine (two objects, calculations etc.) in order to note similarities or differences.', 'command': 'command', 'color-classing': '#6363FA', 'definition-contextualize': 'to put (linguistic element, action, etc.) in a context.', 'symbol-creating': 472}, 'b': {'definition-break': 'to destroy or interrupt the regulatory, uniformity, continuity, or arrangement of.', 'color-breaking': '#FD6060', 'color-break': '#FE2E2E', 'symbol-building': 274, 'color-born': '#656542', 'bear': 'bear', 'break': 'break', 'born': 'born', 'color-bear': '#FDFD44', 'broke': 'broke', 'color-build': '#4793DE', 'broken': 'broken', 'color-borning': '#F7F745', 'symbol-borning': 182, 'reference-broke': -256, 'color-broke': '#FD3838', 'cluster-born': 17, 'building': 'building', 'borning': 'borning', 'built': 'built', 'definition-bear': 'give birth to; possessing from birth the state, circumstances or character stated; bringing forth by birth.', 'symbol-breaking': 256, 'breaking': 'breaking', 'borned': 'borned', 'reference-built': 274, 'color-building': '#3F94E9', 'color-broken': '#FC1414', 'cluster-built': 1, 'build': 'build', 'cluster-broken': 2, 'color-built': '#91BDE9', 'color-borned': '#848451', 'reference-borned': 182, 'definition-build': 'to construct by assembling and joining parts.'}, 'e': {'examining': 'examining', 'cluster-examined': 11, 'color-examined': '#CBCBCB', 'definition-end': 'to come to an end; terminate, cease.', 'ending': 'ending', 'ended': 'ended', 'color-exposed': '#8E8E8B', 'cluster-entered': 1, 'symbol-exposing': 682, 'entered': 'entered', 'symbol-entering': 648, 'reference-examined': 674, 'expose': 'expose', 'symbol-embedding': 635, 'reference-exposed': 682, 'color-examining': '#202E27', 'embedded': 'embedded', 'reference-embedded': 635, 'color-end': '#0B2430', 'examined': 'examined', 'color-embedding': '#29E5B3', 'embed': 'embed', 'symbol-examining': 674, 'color-entering': '#125495', 'color-examine': '#71D8A8', 'definition-embed': 'to envilope or enclose.', 'color-ended': '#93A7B0', 'cluster-exposed': 1, 'exposed': 'exposed', 'symbol-ending': 641, 'color-exposing': '#E8EE41', 'examine': 'examine', 'color-ending': '#143C50', 'entering': 'entering', 'color-enter': '#58ACFA', 'end': 'end', 'color-embedded': '#C0E9DE', 'cluster-ended': 3, 'definition-expose': 'to present to view; exhibit, display.', 'definition-enter': 'to come or go in.', 'color-expose': '#F5F7A6', 'reference-ended': -641, 'exposing': 'exposing', 'definition-examine': 'to inspect or scrutinize carefully.', 'reference-entered': 648, 'cluster-embedded': 10, 'color-entered': '#BDC3C9', 'embedding': 'embedding', 'enter': 'enter', 'color-embed': '#1BE1AC'}, 'd': {'color-dispatched': '#7A8FA4', 'definition-delete': 'to remove; cancel.', 'definition-dump': 'to unload or empty (a container, module, object etc.).', 'symbol-discarding': 561, 'discovered': 'discovered', 'reference-dispatched': 567, 'color-doing': '#3232BA', 'cluster-done': 1, 'definition-discover': 'to see, learn, get knowledge of; find; find out.', 'disconnect': 'disconnect', 'symbol-deleting': 527, 'cluster-discovered': 4, 'discovering': 'discovering', 'defining': 'defining', 'disconnecting': 'disconnecting', 'do': 'do', 'color-do': '#DF0101', 'reference-discovered': 563, 'symbol-delivering': 528, 'color-decide': '#569DE4', 'decide': 'decide', 'definition-dragonize': 'to embower (system, etc.) with fierce force', 'color-discard': '#953B3B', 'did': 'did', 'discarded': 'discarded', 'color-dumping': '#1C5C9B', 'deleting': 'deleting', 'color-dispatching': '#1F65AC', 'dump': 'dump', 'color-discovered': '#F5DEC5', 'dumping': 'dumping', 'dragonize': 'dragonize', 'discover': 'discover', 'decided': 'decided', 'delivered': 'delivered', 'symbol-deciding': 517, 'cluster-dragonized': 14, 'definition-deliver': 'to carry and turn over (data, message etc.) to the intended recipient or recipients.', 'color-delivered': '#9ECBCA', 'color-disconnect': '#CB2F7D', 'color-discovering': '#EC9531', 'reference-decided': 517, 'deleted': 'deleted', 'dispatched': 'dispatched', 'deliver': 'deliver', 'delivering': 'delivering', 'symbol-discovering': 563, 'definition-decide': 'to make a judgement or determine a preference, to come to conclusion.', 'reference-defined': 523, 'definition-disconnect': 'to severe or terminate the connection of or between.', 'color-decided': '#BAD3EC', 'color-did': '#7B7BB7', 'discard': 'discard', 'definition-define': 'to state or set forth the meaning of (world, schema, etc.).', 'color-delete': '#F38888', 'definition-dispatch': 'to send off or away with speed, as messenger.', 'color-disconnected': '#E49ABF', 'dispatch': 'dispatch', 'done': 'done', 'reference-deleted': 527, 'color-discarding': '#B24040', 'color-deciding': '#3390EC', 'cluster-disconnected': 3, 'dispatching': 'dispatching', 'color-deliver': '#4EB6B3', 'doing': 'doing', 'color-defining': '#EEF532', 'define': 'define', 'cluster-defined': 10, 'definition-do': 'to perform (a function, task etc.); to execute (a process, task, etc.).', 'color-dispatch': '#34608B', 'color-deleting': '#EE4242', 'color-dumped': '#9CB5CE', 'symbol-dispatching': 567, 'symbol-dragonizing': 593, 'disconnected': 'disconnected', 'color-delivering': '#29C7C2', 'color-discarded': '#DF8686', 'color-dragonized': '#6C6A67', 'color-done': '#C0C0D8', 'symbol-doing': 576, 'color-discover': '#EEA24B', 'color-dragonize': '#3B240B', 'delete': 'delete', 'deciding': 'deciding', 'defined': 'defined', 'dumped': 'dumped', 'color-disconnecting': '#C7357E', 'symbol-defining': 523, 'color-define': '#F7FE2E', 'color-defined': '#77775E', 'reference-discarded': -561, 'dragonized': 'dragonized', 'dragonizing': 'dragonizing', 'reference-disconnected': -562, 'cluster-discarded': 14, 'cluster-delivered': 3, 'color-dragonizing': '#55340E', 'definition-discard': 'to cast aside or dispose of; to get rid of.', 'color-dump': '#2F72B6', 'cluster-deleted': 14, 'reference-dumped': 605, 'symbol-disconnecting': 562, 'cluster-decided': 13, 'cluster-dispatched': 3, 'reference-did': 576, 'discarding': 'discarding', 'color-deleted': '#F6D3D3', 'reference-dragonized': 593, 'cluster-dumped': 3, 'reference-delivered': 528, 'symbol-dumping': 605}, 'g': {'globalized': 'globalized', 'globalizing': 'globalizing', 'definition-globalize': 'to extend to other parts of a module or system.', 'symbol-globalizing': 812, 'get': 'get', 'color-globalize': '#E2A259', 'getting': 'getting', 'cluster-got': 8, 'reference-globalized': 812, 'color-got': '#B0B60B', 'symbol-getting': 802, 'color-globalizing': '#E18822', 'color-globalized': '#DAC4AA', 'cluster-globalized': 10, 'reference-got': 802, 'got': 'got', 'color-get': '#838708', 'globalize': 'globalize', 'color-gotten': '#BEC154', 'definition-get': 'to receive or come to have possession.', 'color-getting': '#93971B'}, 'f': {'freeing': 'freeing', 'finalized': 'finalized', 'color-freeing': '#3030BF', 'reference-flushed': -740, 'color-flying': '#266BB0', 'finalizing': 'finalizing', 'functioned': 'functioned', 'cluster-freed': 1, 'flying': 'flying', 'color-flushing': '#7797B7', 'flawn': 'flawn', 'symbol-freeing': 763, 'color-fly': '#295F95', 'color-finalizing': '#B26E20', 'function': 'function', 'color-functioned': '#B2A392', 'cluster-finalized': 10, 'color-freed': '#A8A8E5', 'finalize': 'finalize', 'reference-functioned': 775, 'symbol-flushing': 740, 'flew': 'flew', 'definition-finalize': 'to put into final form; complete all details of.', 'reference-finalized': -719, 'fly': 'fly', 'cluster-flushed': 10, 'definition-function': 'to perform a specified action, activity, work; operate.', 'cluster-flawn': 9, 'symbol-functioning': 775, 'color-free': '#4545CB', 'color-functioning': '#976022', 'color-finalize': '#8A4B08', 'reference-flew': 740, 'flush': 'flush', 'color-function': '#9F703A', 'functioning': 'functioning', 'cluster-functioned': 1, 'color-flushed': '#D6DDE5', 'definition-fly': 'to travel in space.', 'color-flush': '#A9B9C9', 'symbol-finalizing': 719, 'color-flied': '#96AFC7', 'flushing': 'flushing', 'freed': 'freed', 'free': 'free', 'color-finalized': '#B9ADA0', 'flushed': 'flushed', 'definition-free': 'to make free; release from bondage.', 'definition-flush': 'to empty (memory, cache, etc.).', 'reference-freed': -763, 'symbol-flying': 740}, 'i': {'color-informed': '#E59AE2', 'ignored': 'ignored', 'idled': 'idled', 'indicated': 'indicated', 'interfacing': 'interfacing', 'color-importing': '#B6CFE8', 'initializing': 'initializing', 'color-interfacing': '#599BDE', 'color-ignore': '#DF0101', 'color-indicated': '#E5ACE3', 'reference-inherited': 982, 'color-informing': '#D464D0', 'color-initialized': '#7EF7F3', 'definition-import': 'to bring in (from an other module, system, etc.) for use.', 'definition-ignore': 'to refrain to noticing or recognizing.', 'definition-indicate': 'to show the presence of (a problem, solution, etc.).', 'color-idled': '#B24646', 'importing': 'importing', 'color-inheriting': '#C0C372', 'symbol-idling': 951, 'color-import': '#CEDBE8', 'color-interface': '#6DA3DA', 'informing': 'informing', 'color-idle': '#C43434', 'color-inherited': '#D5D5BF', 'imported': 'imported', 'definition-idle': 'to pass time doing nothing.', 'symbol-informing': 980, 'color-interfaced': '#9BBEE2', 'color-imported': '#DBE5EF', 'color-initialize': '#58FAF4', 'color-inherit': '#C5C78C', 'cluster-informed': 10, 'informed': 'informed', 'color-indicate': '#E895E5', 'indicate': 'indicate', 'definition-inform': 'to give or impart knowledge of a fact or circumstance of.', 'cluster-inherited': 19, 'cluster-interfaced': 3, 'color-ignoring': '#C14242', 'initialized': 'initialized', 'import': 'import', 'symbol-importing': 961, 'indicating': 'indicating', 'definition-interface': 'to bring into an interface.', 'cluster-ignored': 6, 'cluster-idled': 7, 'symbol-inheriting': 982, 'symbol-initializing': 983, 'reference-initialized': 983, 'reference-idled': -951, 'inherited': 'inherited', 'symbol-indicating': 972, 'cluster-imported': 1, 'reference-interfaced': 93, 'reference-ignored': -952, 'initialize': 'initialize', 'symbol-ignoring': 952, 'reference-indicated': 972, 'interfaced': 'interfaced', 'color-indicating': '#E172DD', 'idling': 'idling', 'cluster-initialized': 1, 'inheriting': 'inheriting', 'color-ignored': '#DC8888', 'definition-initialize': 'to set (variables, registers, etc.) to their starting values.', 'color-idling': '#AF2424', 'inherit': 'inherit', 'ignoring': 'ignoring', 'ignore': 'ignore', 'inform': 'inform', 'idle': 'idle', 'color-inform': '#D86ED5', 'reference-informed': 980, 'definition-inherit': 'to receive (qualities, powers) as by inheritance.', 'cluster-indicated': 10, 'interface': 'interface', 'symbol-interfacing': 993, 'reference-imported': 961, 'color-initializing': '#59F6F1'}, 'h': {'reference-hit': -907, 'reference-hunted': 934, 'color-hunting': '#905A1E', 'color-hatching': '#CD7714', 'color-hatch': '#DF7401', 'cluster-hunted': 15, 'color-hatched': '#E6B57C', 'symbol-hatching': 876, 'hunting': 'hunting', 'reference-hatched': 76, 'cluster-hatched': 17, 'hitting': 'hitting', 'symbol-hunting': 934, 'hatch': 'hatch', 'definition-hit': 'to come into collision.', 'color-hunt': '#A86B25', 'hit': 'hit', 'color-hunted': '#BF9A6F', 'color-hitting': '#D10F0F', 'definition-hunt': 'to chase or search for the purpose of catching or killing.', 'symbol-hitting': 907, 'hatching': 'hatching', 'hunted': 'hunted', 'color-hit': '#F22828', 'hunt': 'hunt', 'cluster-hit': 6, 'definition-hatch': 'to bring forth (young) from the egg, shell, etc.', 'hatched': 'hatched'}, 'k': {'symbol-killing': 1055, 'definition-kill': 'to stop the operation of (process, task, etc.).', 'kill': 'kill', 'cluster-killed': 14, 'color-killing': '#DF3E3E', 'reference-killed': -1055, 'color-kill': '#E15252', 'killed': 'killed', 'color-killed': '#E17878', 'killing': 'killing'}, 'j': {'symbol-joining': 1032, 'definition-join': 'to bring together in a particular relationship or for a specific purpose, action, etc.; unite.', 'join': 'join', 'color-joined': '#E1B787', 'cluster-joined': 5, 'color-joining': '#E4A053', 'color-join': '#DEA666', 'reference-joined': 1032, 'joined': 'joined', 'joining': 'joining'}, 'm': {'manoeuvred': 'manoeuvred', 'measuring': 'measuring', 'reference-measured': 1192, 'color-manoeuvre': '#1F74C9', 'manoeuvring': 'manoeuvring', 'color-mastered': '#BA92A6', 'measure': 'measure', 'symbol-mastering': 1183, 'symbol-methodizing': 1209, 'color-manoeuvring': '#2677C9', 'color-measuring': '#5A93CB', 'definition-manoeuvre': 'to perform a manouvre or manoeuvres.', 'color-mastering': '#B25382', 'cluster-mastered': 14, 'mastering': 'mastering', 'color-measured': '#AEC7E1', 'color-methodizing': '#A657A6', 'color-methodized': '#B3A6B3', 'measured': 'measured', 'reference-manoeuvred': 1168, 'cluster-manoeuvred': 9, 'color-master': '#A86E8B', 'cluster-measured': 4, 'color-methodize': '#AE8CAE', 'symbol-measuring': 1192, 'definition-master': 'to rule or direct as master.', 'reference-methodized': 1209, 'color-measure': '#8AB2DA', 'color-manoeuvred': '#4F91D4', 'cluster-methodized': 10, 'symbol-manoeuvring': 1168, 'reference-mastered': 1183, 'manoeuvre': 'manoeuvre', 'master': 'master', 'mastered': 'mastered', 'definition-measure': 'to estimate the relative amount, value, etc., of by comparison by some standard.', 'methodized': 'methodized', 'methodize': 'methodize', 'definition-methodize': 'to arrange (something) according to a method.', 'methodizing': 'methodizing'}, 'l': {'symbol-landing': 1079, 'definition-loop': 'to make a loop in.', 'looped': 'looped', 'color-looping': '#4343A5', 'linking': 'linking', 'color-linked': '#B794D5', 'color-list': '#FA58F4', 'cluster-listed': 10, 'definition-link': 'to join by or as if by a link or links; connect; unite.', 'listed': 'listed', 'color-loop': '#6A6AB0', 'listing': 'listing', 'launching': 'launching', 'symbol-linking': 1119, 'landing': 'landing', 'landed': 'landed', 'symbol-looping': 1135, 'link': 'link', 'cluster-launched': 3, 'color-landed': '#DAF3DA', 'color-listing': '#EC42E6', 'reference-listed': 1121, 'looping': 'looping', 'cluster-looped': 1, 'list': 'list', 'cluster-landed': 3, 'loop': 'loop', 'reference-landed': 1079, 'color-launch': '#6D6DE4', 'color-listed': '#FAB3F8', 'linked': 'linked', 'reference-launched': 1088, 'color-landing': '#73EC73', 'definition-list': 'to set down together in a list; print.', 'color-launching': '#4D4DDF', 'definition-land': 'to come to rest or arrive to a particular place, position, or condition.', 'reference-linked': 1119, 'symbol-launching': 1088, 'color-land': '#BDF2BD', 'cluster-linked': 3, 'color-link': '#A773D4', 'color-looped': '#9797B7', 'land': 'land', 'definition-launch': 'to set going; initiate.', 'launch': 'launch', 'symbol-listing': 1121, 'color-launched': '#8D8DE6', 'color-linking': '#974FD5', 'launched': 'launched', 'reference-looped': 1135}, 'o': {'color-open': '#457AB0', 'reference-operated': 1357, 'definition-open': 'to give access to; make accessible or available, as for use.', 'opened': 'opened', 'color-operate': '#8A4B08', 'opening': 'opening', 'color-operated': '#9B764C', 'color-opening': '#3E72A6', 'definition-operate': 'to carry on operations; to carry on transactions; to work, perform or function.', 'color-operating': '#583814', 'reference-opened': 1356, 'operating': 'operating', 'cluster-opened': 1, 'operated': 'operated', 'color-opened': '#7797B6', 'operate': 'operate', 'open': 'open', 'cluster-operated': 1, 'symbol-operating': 1357, 'symbol-opening': 1356}, 'n': {'color-net': '#438ED8', 'color-noting': '#EFAF65', 'color-netted': '#6EA7DF', 'symbol-noting': 1326, 'netted': 'netted', 'definition-net': 'to set or use a network or networks.', 'cluster-noted': 19, 'color-netting': '#3C82C9', 'note': 'note', 'cluster-netted': 3, 'noting': 'noting', 'color-note': '#F7BE81', 'color-noted': '#F7D0A4', 'netting': 'netting', 'reference-noted': 1326, 'symbol-netting': 1290, 'net': 'net', 'reference-netted': 1290, 'noted': 'noted', 'definition-note': 'to mark or write down briefly.'}, 'q': {'quit': 'quit', 'color-quit': '#F5D0A9', 'color-quitted': '#F6E8D8', 'color-queued': '#87827D', 'reference-quitted': -1587, 'quitting': 'quitting', 'reference-queued': 1585, 'queuing': 'queuing', 'queue': 'queue', 'symbol-queuing': 1585, 'color-queuing': '#816A4F', 'symbol-quitting': 1587, 'color-quitting': '#F6B66C', 'color-queue': '#7F7263', 'definition-queue': 'to arrange (messages, information etc.) into a queue (FIFO); to form in a line while waiting.', 'cluster-queued': 15, 'cluster-quitted': 1, 'queued': 'queued', 'definition-quit': 'to stop, cause, or discontinue.', 'quitted': 'quitted'}, 'p': {'reference-printed': 1539, 'symbol-passing': 1417, 'polled': 'polled', 'cluster-protected': 1, 'color-performing': '#A86519', 'protecting': 'protecting', 'color-pass': '#CEF6F5', 'definition-pickle': 'to store objects, data, etc.', 'definition-print': 'to produce (data, information etc.) in legical alphanumeric or graphic form.', 'program': 'program', 'symbol-performing': 1439, 'color-passed': '#CFE8E8', 'color-programmed': '#867665', 'definition-parse': 'to analyze in terms of grammatical constituents, identifying syntactic relationships.', 'color-print': '#B27BE2', 'putting': 'putting', 'color-processed': '#A17544', 'color-printed': '#C4A1E4', 'performing': 'performing', 'definition-proxy': 'to act as deputy or substitute for another (program, module etc.).', 'processed': 'processed', 'polling': 'polling', 'symbol-processing': 1542, 'profile': 'profile', 'definition-put': 'to move or place (anything) so as to get it into or out of a specific location or position.', 'color-proxied': '#694444', 'symbol-polling': 1498, 'pickled': 'pickled', 'cluster-parsed': 1, 'profiling': 'profiling', 'pass': 'pass', 'definition-profile': 'to produce or present the history, description or analysis of.', 'color-pickled': '#CFDAD9', 'definition-perform': 'to carry out; execute; do.', 'definition-protect': 'to defend or guard from attack, invasion etc.', 'reference-protected': 1553, 'reference-processed': 1542, 'protected': 'protected', 'print': 'print', 'definition-poll': 'to check the status of communication lines, pipes etc.', 'symbol-pickling': 1464, 'reference-parsed': 1413, 'color-performed': '#D59D5C', 'processing': 'processing', 'color-process': '#986325', 'color-parse': '#F4FA58', 'color-pickling': '#8DC3C1', 'proxy': 'proxy', 'cluster-proxied': 14, 'put': 'put', 'reference-pickled': -1464, 'color-passing': '#52DADA', 'protect': 'protect', 'symbol-proxying': 1557, 'programming': 'programming', 'passing': 'passing', 'color-protecting': '#B6B790', 'color-putting': '#3B403B', 'parsing': 'parsing', 'reference-put': 1571, 'color-profiled': '#E284B3', 'reference-proxied': 1557, 'poll': 'poll', 'color-profile': '#DE5B9D', 'definition-program': 'to plan or write a program.', 'definition-process': 'to handle (tasks, registers, etc.) by systematically organizing them, following up with appropriate action, or the like.', 'symbol-protecting': 1553, 'symbol-programming': 1546, 'color-parsing': '#E8EE3E', 'color-proxying': '#5E2828', 'symbol-printing': 1539, 'process': 'process', 'color-polled': '#8BB0D5', 'color-perform': '#B45F04', 'color-parsed': '#B5B68A', 'color-proxy': '#613131', 'color-profiling': '#D23383', 'passed': 'passed', 'programmed': 'programmed', 'cluster-programmed': 1, 'reference-polled': 1498, 'reference-passed': 1417, 'cluster-printed': 10, 'symbol-putting': 1571, 'printing': 'printing', 'profiled': 'profiled', 'pickle': 'pickle', 'proxying': 'proxying', 'color-put': '#2A362A', 'color-processing': '#8B5211', 'cluster-pickled': 1, 'color-programming': '#765025', 'parse': 'parse', 'color-printing': '#8E4EC6', 'performed': 'performed', 'parsed': 'parsed', 'definition-pass': 'to go or move onward; proceed.', 'cluster-profiled': 10, 'reference-profiled': 1545, 'perform': 'perform', 'color-protect': '#B1B29E', 'color-poll': '#4786C4', 'cluster-performed': 1, 'cluster-put': 15, 'symbol-parsing': 1413, 'cluster-processed': 14, 'cluster-polled': 3, 'color-program': '#7C6142', 'pickling': 'pickling', 'proxied': 'proxied', 'reference-performed': 1439, 'color-protected': '#CFD0BF', 'reference-programmed': 1546, 'printed': 'printed', 'symbol-profiling': 1545, 'color-polling': '#3178BF', 'cluster-passed': 20, 'color-pickle': '#BAD0CF'}, 's': {'show': 'show', 'skip': 'skip', 'cluster-schemed': 10, 'sleep': 'sleep', 'reference-skipped': -1792, 'cluster-served': 14, 'scheming': 'scheming', 'color-set': '#69504E', 'reference-standardized': 857, 'reference-specialized': 1831, 'color-scheming': '#6B4111', 'send': 'send', 'sent': 'sent', 'color-sending': '#34A5C7', 'reference-schemed': 1713, 'symbol-sharing': 1759, 'color-stepped': '#A8CDF3', 'color-sense': '#EBC893', 'cluster-standardized': 10, 'cluster-slept': 7, 'set': 'set', 'color-scope': '#0404B4', 'color-spawned': '#BBF284', 'color-started': '#93BD68', 'color-showing': '#96EFD4', 'color-specializing': '#8F2CE6', 'color-synopsizing': '#5D5DF6', 'cluster-stepped': 1, 'symbol-skipping': 1792, 'symbol-showing': 1772, 'symbol-standardizing': 1857, 'color-showed': '#E3FAF3', 'selected': 'selected', 'state': 'state', 'shared': 'shared', 'stepping': 'stepping', 'color-spawn': '#9AFE2E', 'sending': 'sending', 'cluster-set': 1, 'synopsize': 'synopsize', 'specialize': 'specialize', 'definition-step': 'to move in measured steps, as in a dance.', 'symbol-scoping': 1718, 'color-specialize': '#9A2EFE', 'color-show': '#BFF9E7', 'symbol-synopsizing': 1929, 'spawned': 'spawned', 'select': 'select', 'definition-scope': 'to look at as in order to evaluate.', 'color-sharing': '#4665DE', 'cluster-started': 12, 'reference-showed': 1772, 'scope': 'scope', 'cluster-spawn': 14, 'sort': 'sort', 'color-scoped': '#3C3C79', 'sharing': 'sharing', 'reference-synopsized': 1929, 'standardized': 'standardized', 'started': 'started', 'color-scoping': '#9999BD', 'sensed': 'sensed', 'symbol-sleeping': 1797, 'color-schemed': '#7D6345', 'definition-sense': 'to perceive (something) by the senses; to grasp the meaning of; understand.', 'symbol-specializing': 1831, 'symbol-serving': 1750, 'cluster-sorted': 1, 'specialized': 'specialized', 'spawn': 'spawn', 'color-selecting': '#EDF514', 'color-stepping': '#5AA2EB', 'stated': 'stated', 'share': 'share', 'symbol-starting': 1859, 'color-select': '#F4FA58', 'sleeping': 'sleeping', 'skipping': 'skipping', 'sense': 'sense', 'synopsized': 'synopsized', 'definition-show': 'to cause to be seen; exhibit; display.', 'color-sleeping': '#EC3636', 'color-standardizing': '#2AEF93', 'stepped': 'stepped', 'cluster-sensed': 11, 'symbol-sending': 1743, 'cluster-synopsized': 19, 'cluster-shown': 1, 'cluster-sent': 3, 'cluster-shared': 1, 'color-start': '#6EA637', 'definition-state': 'to declare definetely or specifically; to set forth in speech or writing.', 'reference-sent': 1743, 'color-stated': '#8888F9', 'sensing': 'sensing', 'stating': 'stating', 'definition-sort': 'to arrange according to sort, kind or class; separate into sorts; classify.', 'reference-sensed': 1744, 'serving': 'serving', 'symbol-sorting': 1821, 'reference-sorted': 1821, 'definition-scheme': 'to lay schemes.', 'cluster-skipped': 6, 'color-standardize': '#58FAAC', 'definition-specialize': 'to have a specialty; to render special or specific.', 'color-skipping': '#DB4D4D', 'color-serve': '#5D5DB9', 'color-spawning': '#9EEB52', 'skipped': 'skipped', 'color-sensed': '#F0DEC3', 'showing': 'showing', 'color-skip': '#F78181', 'definition-synopsize': 'to make a synopsis of; summarize.', 'reference-set': 1751, 'sorted': 'sorted', 'sorting': 'sorting', 'color-sent': '#84BFD1', 'definition-start': 'to begin or set out on as a jorney or activity.', 'reference-stepped': -1866, 'reference-selected': -1734, 'color-send': '#61B3CB', 'served': 'served', 'color-state': '#5858FA', 'color-selected': '#A6A863', 'color-serving': '#4444AF', 'color-share': '#7189E8', 'schemed': 'schemed', 'symbol-setting': 1751, 'standardizing': 'standardizing', 'color-specialized': '#AF64F0', 'color-stating': '#3232EF', 'shown': 'shown', 'symbol-stating': 1861, 'symbol-scheming': 1713, 'color-slept': '#F75959', 'color-synopsize': '#5858FA', 'specializing': 'specializing', 'color-step': '#81BEF7', 'selecting': 'selecting', 'reference-spawned': 1830, 'step': 'step', 'scoped': 'scoped', 'definition-send': 'to dispatch an agent, a message etc.; to transmit a signal.', 'cluster-selected': 13, 'cluster-scoped': 21, 'slept': 'slept', 'color-standardized': '#A1F7CF', 'definition-share': 'to devide or receive equally; to use jointly.', 'color-served': '#8383C9', 'scoping': 'scoping', 'reference-started': 1859, 'symbol-stepping': 1866, 'color-scheme': '#6C481F', 'reference-served': 1750, 'start': 'start', 'color-sorted': '#765733', 'scheme': 'scheme', 'color-shared': '#AAB8F0', 'symbol-selecting': 1734, 'color-sorting': '#693E0C', 'serve': 'serve', 'symbol-sensing': 1744, 'reference-stated': 1861, 'color-sort': '#61380B', 'spawning': 'spawning', 'cluster-stated': 10, 'definition-select': 'to choose in preference to another or others; to pick out.', 'showed': 'showed', 'color-skipped': '#DC6969', 'reference-shared': 1759, 'definition-spawn': 'to produce; to give birth to.', 'reference-scoped': 1718, 'definition-standardize': 'to choose or establish standard for.', 'color-starting': '#63A223', 'color-sleep': '#FE2E2E', 'setting': 'setting', 'definition-skip': 'to pass over without reading, acting, calculating etc.', 'definition-set': 'to put a price or a value upon something.', 'color-setting': '#643632', 'standardize': 'standardize', 'color-synopsized': '#9191F2', 'definition-serve': 'to provide with a regular or continious supply something.', 'synopsizing': 'synopsizing', 'symbol-spawning': 1830, 'reference-slept': -1797, 'color-sensing': '#E29F3A', 'cluster-specialized': 10, 'starting': 'starting', 'definition-sleep': 'to spend or pass in sleep.'}, 'r': {'raised': 'raised', 'color-return': '#9AD1B8', 'color-refer': '#E6C3D4', 'color-resetting': '#EFF0C6', 'reference-run': 1681, 'color-receiving': '#69A2DB', 'rotated': 'rotated', 'color-raise': '#EE2929', 'cluster-returned': 1, 'rotating': 'rotating', 'symbol-recording': 1612, 'rising': 'rising', 'rounded': 'rounded', 'color-rotating': '#4F6DD1', 'reasoning': 'reasoning', 'color-referred': '#E8D8E0', 'color-rounded': '#B0906C', 'definition-rename': 'to give a new name.', 'raise': 'raise', 'removing': 'removing', 'symbol-resetting': 1751, 'definition-return': 'to come back.', 'color-rename': '#D8C8E6', 'cluster-renamed': 1, 'renamed': 'renamed', 'color-rise': '#EEBC84', 'color-reasoned': '#E6BF92', 'cluster-reasoned': 13, 'color-rose': '#F5D6B2', 'reference-received': 1610, 'reference-reasoned': 1608, 'cluster-removed': 14, 'record': 'record', 'symbol-receiving': 1610, 'color-rotate': '#6E88DE', 'color-receive': '#8CB6DF', 'returned': 'returned', 'definition-reset': 'to set again (a price or value) upon something.', 'definition-record': 'to set down, register, or fix by characteristic marks, incisisions etc. for the purpose of reproduction.', 'releasing': 'releasing', 'color-rising': '#E6AA65', 'released': 'released', 'reference-rounded': 1675, 'rotate': 'rotate', 'reference-raised': -1596, 'definition-reason': 'to form conclusions, judgement, or inferences from facts or premises.', 'reference-rotated': 1673, 'removed': 'removed', 'running': 'running', 'raising': 'raising', 'color-renaming': '#C6AEDB', 'renaming': 'renaming', 'color-renamed': '#E4DCEB', 'reference-rose': -1660, 'cluster-rounded': 4, 'color-registering': '#7AD57A', 'cluster-referred': 10, 'color-released': '#E4EBE4', 'remove': 'remove', 'cluster-run': 14, 'recording': 'recording', 'definition-receive': 'to get or be informed of.', 'color-running': '#804603', 'symbol-reasoning': 1608, 'color-run': '#8A4B08', 'symbol-referring': 1620, 'release': 'release', 'symbol-removing': 1630, 'definition-round': 'to make round; to reduce successively the number of digits.', 'round': 'round', 'symbol-rising': 1660, 'referred': 'referred', 'rename': 'rename', 'definition-release': 'to free from bondage, lock etc.; to allow to be known, issued, done, or exhibited.', 'color-removed': '#C9CDC9', 'cluster-reset': 14, 'symbol-rounding': 1675, 'reference-released': 1627, 'definition-raise': 'to give rise, bring up or about (exception, upnormal condition etc.).', 'reference-removed': -1630, 'color-risen': '#F5E6D5', 'color-releasing': '#BFD8BF', 'color-rounding': '#9F7544', 'color-removing': '#9CB39C', 'reference-registered': 1623, 'cluster-rotated': 9, 'return': 'return', 'definition-register': 'to enter or cause to be entered into a register.', 'definition-remove': 'to take away, withdraw, or eliminate.', 'cluster-received': 3, 'reference-returned': -1645, 'symbol-running': 1681, 'color-recording': '#6FE26F', 'cluster-released': 1, 'reference-referred': 1620, 'registering': 'registering', 'color-received': '#ACC6E1', 'rounding': 'rounding', 'color-returning': '#84C4A8', 'reference-reset': -1751, 'returning': 'returning', 'recorded': 'recorded', 'color-reasoning': '#E49C49', 'reset': 'reset', 'color-reason': '#E5AD6D', 'color-register': '#99DB99', 'run': 'run', 'cluster-recorded': 10, 'color-remove': '#B3BAB3', 'symbol-registering': 1623, 'color-raising': '#EE1E1E', 'receiving': 'receiving', 'registered': 'registered', 'refer': 'refer', 'color-reset': '#ECEFA6', 'symbol-returning': 1645, 'color-registered': '#C1DBC1', 'rise': 'rise', 'color-rotated': '#91A3E1', 'risen': 'risen', 'cluster-registered': 10, 'definition-run': 'to operate or function; to perform, compete in, or accomplish; to process.', 'cluster-raised': 6, 'reason': 'reason', 'definition-rotate': 'to turn around on or as if on an axis.', 'color-record': '#A1DFA1', 'definition-refer': 'to make a reference or allusion.', 'color-round': '#A67D4D', 'definition-rise': 'to be built up, erected, or constructed.', 'color-returned': '#9CF2CD', 'referring': 'referring', 'color-recorded': '#BDE8BD', 'received': 'received', 'cluster-risen': 6, 'color-referring': '#DE96B8', 'reasoned': 'reasoned', 'receive': 'receive', 'color-release': '#CFDACF', 'register': 'register', 'reference-renamed': -1276, 'symbol-releasing': 1627, 'symbol-raising': 1596, 'symbol-rotating': 1673, 'reference-recorded': 1612, 'rose': 'rose', 'symbol-renaming': 1276, 'color-raised': '#EE4A4A', 'resetting': 'resetting'}, 'u': {'cluster-unioned': 4, 'upgrade': 'upgrade', 'symbol-unresolving': 1818, 'unioning': 'unioning', 'cluster-unresolved': 2, 'unioned': 'unioned', 'color-unioning': '#3333E4', 'upgrading': 'upgrading', 'definition-use': 'the act of employing, using, putting into service.', 'color-use': '#8A4B08', 'used': 'used', 'definition-unresolve': 'to fail to find a solution.', 'reference-unioned': 2072, 'color-using': '#BD7421', 'color-unresolve': '#FE2E2E', 'using': 'using', 'color-unioned': '#8686F3', 'reference-upgraded': 963, 'color-upgrading': '#ECEC21', 'symbol-unioning': 2072, 'color-unresolving': '#EE1E1E', 'definition-union': 'to unite two or more things.', 'use': 'use', 'unresolved': 'unresolved', 'unresolve': 'unresolve', 'union': 'union', 'cluster-used': 1, 'definition-upgrade': 'to improve; to bring to a more desirable condition.', 'cluster-upgraded': 10, 'color-union': '#5858FA', 'upgraded': 'upgraded', 'color-used': '#92622B', 'symbol-using': 2097, 'color-upgraded': '#BABA48', 'symbol-upgrading': 963, 'reference-used': 2097, 'unresolving': 'unresolving', 'color-upgrade': '#EEEE43', 'reference-unresolved': -1818, 'color-unresolved': '#F34A4A'}, 't': {'tagged': 'tagged', 'terminate': 'terminate', 'definition-terminate': 'to end, conclude or cease.', 'telling': 'telling', 'color-trying': '#23FCF5', 'terminating': 'terminating', 'reference-took-off': 1937, 'color-telling': '#5757F7', 'symbol-telling': 1953, 'color-taken-into-account': '#9C54DB', 'definition-type': 'to sort, classify.', 'symbol-taking-off': 1937, 'color-test': '#F4FA58', 'cluster-terminated': 14, 'tagging': 'tagging', 'taking-off': 'taking-off', 'color-took-into-account': '#AE58FA', 'symbol-typing': 2044, 'cluster-tagged': 19, 'color-take-into-account': '#9A2EFE', 'tuned': 'tuned', 'try': 'try', 'symbol-trying': 2031, 'symbol-terminating': 1959, 'cluster-tuned': 7, 'testing': 'testing', 'cluster-tried': 1, 'taken-into-account': 'taken-into-account', 'reference-tuned': 2035, 'color-tried': '#66FFFB', 'definition-tell': 'to inform of something.', 'told': 'told', 'color-terminated': '#FD5656', 'symbol-tagging': 1935, 'symbol-taking-into-account': 1936, 'definition-tune': 'to adjust (a system, hardware, software etc.) for proper or optimal functioning.', 'definition-take-off': 'to leave off the ground, base, carrier etc.', 'color-tag': '#BE81F7', 'reference-told': 1953, 'reference-took-into-account': 1936, 'reference-terminated': -1959, 'color-tagging': '#A951F6', 'reference-typed': 2044, 'cluster-told': 10, 'color-tune': '#ECEC3F', 'reference-tried': -2031, 'cluster-taken-into-account': 1, 'color-taking-into-account': '#911EF6', 'taken-off': 'taken-off', 'terminated': 'terminated', 'tuning': 'tuning', 'color-taken-off': '#8A8AF2', 'symbol-testing': 1961, 'cluster-typed': 10, 'color-take-off': '#5858FA', 'symbol-tuning': 2035, 'color-taking-off': '#3939F3', 'type': 'type', 'tell': 'tell', 'typing': 'typing', 'color-tuning': '#EBEB0D', 'color-tell': '#8181F7', 'color-tagged': '#D4A8FA', 'reference-tagged': 1935, 'color-took-off': '#8888FA', 'trying': 'trying', 'color-terminate': '#FE2E2E', 'color-typing': '#6A4490', 'cluster-tested': 1, 'take-off': 'take-off', 'color-tested': '#B1B556', 'took-off': 'took-off', 'color-testing': '#E9F00C', 'definition-test': 'to submit to a test of any kind; try.', 'reference-tested': 1961, 'definition-try': 'to attempt to do or accomplish.', 'tag': 'tag', 'taking-into-account': 'taking-into-account', 'color-terminating': '#F72424', 'color-typed': '#9278AB', 'took-into-account': 'took-into-account', 'test': 'test', 'definition-tag': 'to attach a tag to.', 'color-type': '#734E98', 'tried': 'tried', 'typed': 'typed', 'color-try': '#2EFEF7', 'definition-take-into-account': 'to consider (conditions, alternatives, solutions etc.) before making a decision.', 'take-into-account': 'take-into-account', 'tune': 'tune', 'tested': 'tested', 'cluster-taken-off': 9, 'color-told': '#9F9FF7', 'color-tuned': '#A1A15C'}, 'w': {'color-wake': '#28E1E1', 'walking': 'walking', 'symbol-warping': 2143, 'washed': 'washed', 'color-winded': '#7CBCFC', 'color-warp': '#0B0B61', 'color-warn': '#B40404', 'color-warped': '#3E3E7F', 'color-wrap': '#7401DF', 'definition-web': 'to make or form a web.', 'color-waited': '#F37373', 'definition-watch': 'to be careful or cautious.', 'color-waive': '#BC803B', 'color-wonder': '#F3F781', 'winged': 'winged', 'color-warning': '#9F0909', 'color-washing': '#080849', 'reference-warned': -2143, 'watching': 'watching', 'watch': 'watch', 'wave': 'wave', 'symbol-waiting': 2135, 'cluster-wrapped': 10, 'color-weighing': '#4B2D0A', 'washing': 'washing', 'weaved': 'weaved', 'symbol-watching': 2146, 'symbol-waving': 2150, 'color-wrapped': '#B06CEC', 'symbol-wising': 2182, 'symbol-winding': 2177, 'wrote': 'wrote', 'winded': 'winded', 'color-wait': '#FA5858', 'waking': 'waking', 'reference-wired': 2181, 'color-waking': '#1CDBDB', 'wire': 'wire', 'reference-waited': -2137, 'color-warned': '#BA1D1D', 'definition-waive': 'to defer; postpone.', 'color-walked': '#575787', 'definition-wave': 'to impart a wave to; to give signal.', 'waiting': 'waiting', 'color-washed': '#272772', 'symbol-washing': 2144, 'weighing': 'weighing', 'wrapping': 'wrapping', 'color-watching': '#0B0B6B', 'wait': 'wait', 'reference-woke': -2137, 'cluster-walked': 1, 'color-wondering': '#E7EE2D', 'walk': 'walk', 'color-wised': '#7BF97B', 'cluster-warned': 2, 'weaving': 'weaving', 'symbol-writing': 2193, 'definition-weave': 'to compose of connected whole by combining various forms or elements.', 'wondering': 'wondering', 'woke': 'woke', 'reference-weighed': 2156, 'symbol-waiving': 2136, 'color-webbing': '#060652', 'warp': 'warp', 'warn': 'warn', 'wake': 'wake', 'color-want': '#0B3861', 'color-wandered': '#6F6FA5', 'winding': 'winding', 'reference-wandered': -2140, 'color-winging': '#0B61B7', 'color-web': '#0B0B61', 'cluster-woken': 1, 'symbol-waking': 2137, 'color-wrote': '#BEF781', 'reference-waved': 2150, 'weighed': 'weighed', 'color-wired': '#4EE9E4', 'want': 'want', 'watched': 'watched', 'color-weigh': '#61380B', 'color-wander': '#38389A', 'color-writing': '#BEF781', 'cluster-winded': 9, 'definition-weigh': 'to measure.', 'wiring': 'wiring', 'write': 'write', 'definition-wander': 'to roam.', 'wising': 'wising', 'reference-waived': 2137, 'waved': 'waved', 'reference-warped': 2143, 'color-walk': '#343480', 'symbol-warning': 2142, 'wired': 'wired', 'reference-watched': -2146, 'reference-winged': 2179, 'weave': 'weave', 'symbol-walking': 2138, 'color-wire': '#1FE9E3', 'symbol-weaving': 2154, 'cluster-washed': 1, 'symbol-wanting': 2141, 'wing': 'wing', 'wind': 'wind', 'color-waved': '#2828BA', 'reference-wised': 2182, 'cluster-waited': 7, 'cluster-watched': 1, 'symbol-wondering': 2185, 'web': 'web', 'color-weaving': '#0F0FA2', 'writing': 'writing', 'cluster-waved': 12, 'symbol-webbing': 2155, 'symbol-wrapping': 2192, 'color-wandering': '#141473', 'wised': 'wised', 'definition-wise': 'to make wise or aware.', 'woken': 'woken', 'cluster-warped': 9, 'symbol-wandering': 2141, 'color-wanted': '#2A4C6F', 'definition-walk': 'to guide or instruct carefully one step at a time.', 'warned': 'warned', 'color-woke': '#82E9E9', 'wrapped': 'wrapped', 'color-watched': '#282879', 'definition-wash': 'to flow through, over or against.', 'waiving': 'waiving', 'reference-washed': 2144, 'reference-wondered': -2185, 'warping': 'warping', 'weight': 'weight', 'color-write': '#BEF781', 'reference-wanted': -2141, 'symbol-wiring': 2181, 'color-winged': '#4293E4', 'wrap': 'wrap', 'webbed': 'webbed', 'wander': 'wander', 'symbol-winging': 2179, 'webbing': 'webbing', 'color-wing': '#0174DF', 'color-wind': '#58ACFA', 'waive': 'waive', 'color-waving': '#0A0A9C', 'reference-walked': 2138, 'cluster-wandered': 1, 'color-weighed': '#6B4E2E', 'color-wash': '#0B0B61', 'cluster-written': 1, 'wanted': 'wanted', 'cluster-wanted': 1, 'cluster-winged': 9, 'color-wondered': '#F4F6C1', 'definition-want': 'to require or need.', 'reference-wrapped': -2192, 'waited': 'waited', 'color-wave': '#0404B4', 'cluster-waived': 3, 'wash': 'wash', 'warped': 'warped', 'winging': 'winging', 'cluster-webbed': 3, 'color-warping': '#111164', 'reference-wrote': 2193, 'definition-wait': 'to remain inactive or in a state of repose, as until something expected happens.', 'reference-weaved': 2154, 'cluster-weaved': 12, 'cluster-wondered': 1, 'symbol-weighing': 2156, 'color-woken': '#A6EBEB', 'reference-webbed': 2154, 'color-wanting': '#0E3964', 'definition-wind': 'to change direction; bend; turn.', 'definition-wing': 'to fly; soar.', 'reference-winded': 2177, 'color-waiting': '#EC3333', 'definition-wrap': 'to surround or envilope.', 'wise': 'wise', 'definition-write': 'to transfer (information, files etc.) from a media, memory, storage etc. to another one.', 'color-wrapping': '#6C05C6', 'color-wising': '#1BB61B', 'wandering': 'wandering', 'color-watch': '#111172', 'cluster-wised': 13, 'definition-wire': 'to furnish with wires; connect.', 'color-winding': '#3291EF', 'warning': 'warning', 'cluster-wired': 3, 'cluster-weight': 1, 'color-wise': '#00FF00', 'definition-wake': 'to become roused from sleep.', 'color-wiring': '#18DFD9', 'definition-warn': 'to give notice, advice to.', 'wandered': 'wandered', 'definition-warp': 'to curve or bend.', 'color-weaved': '#2C2CCB', 'wanting': 'wanting', 'wonder': 'wonder', 'color-waiving': '#BC8240', 'definition-wonder': 'to speculate.', 'waving': 'waving', 'color-webbed': '#2F2F6C', 'color-written': '#E4DBEC', 'wondered': 'wondered', 'color-walking': '#1E1E7A', 'waived': 'waived', 'color-waived': '#C09B71', 'walked': 'walked', 'weigh': 'weigh', 'color-weave': '#0404B4'}, 'v': {'definition-visit': 'to make a visit.', 'color-voting': '#4D2570', 'color-visit': '#2E9AFE', 'definition-vote': 'to enact, determine or establish by vote.', 'definition-verge': 'to come close or to be in transition to some state, quality etc.', 'visit': 'visit', 'symbol-verbalizing': 2112, 'definition-venture': 'to take a risk; dare; presume.', 'vary': 'vary', 'reference-voted': 2132, 'symbol-verifying': 2114, 'visited': 'visited', 'symbol-viewing': 2121, 'verge': 'verge', 'cluster-ventured': 8, 'voted': 'voted', 'cluster-verbalized': 10, 'verbalized': 'verbalized', 'definition-verbalize': 'to use many words; verbose.', 'color-verbalize': '#B404AE', 'verified': 'verified', 'varied': 'varied', 'symbol-venturing': 2111, 'color-verifying': '#E5E549', 'color-verbalizing': '#B707B2', 'cluster-verged': 10, 'color-venture': '#DA8A3B', 'vote': 'vote', 'verbalize': 'verbalize', 'definition-view': 'to look at; survey; inspect.', 'symbol-voting': 2132, 'definition-verify': 'to ascertain the truth or correctness of, as by examination, research or comparison.', 'definition-vary': 'to change or alter, as in form, appearance, character or substance.', 'viewed': 'viewed', 'view': 'view', 'color-verged': '#9494F5', 'cluster-visited': 1, 'cluster-viewed': 1, 'color-varied': '#FD68F8', 'reference-verbalized': 2113, 'color-verified': '#7C7C50', 'reference-ventured': 2112, 'color-viewed': '#C0C090', 'reference-viewed': 2121, 'color-venturing': '#D07E2D', 'color-varying': '#F721F0', 'symbol-visiting': 2126, 'reference-verged': 2113, 'verged': 'verged', 'color-visiting': '#2087EF', 'symbol-varying': 2107, 'cluster-varied': 4, 'color-viewing': '#F0F035', 'varying': 'varying', 'color-vary': '#FE2EF7', 'cluster-voted': 1, 'color-ventured': '#E4AC74', 'verbalizing': 'verbalizing', 'color-verging': '#4C4CF0', 'venturing': 'venturing', 'color-verify': '#F6F66C', 'voting': 'voting', 'reference-visited': 2126, 'verifying': 'verifying', 'color-verge': '#5858FA', 'visiting': 'visiting', 'color-voted': '#705886', 'viewing': 'viewing', 'cluster-verified': 1, 'color-verbalized': '#C445C0', 'color-visited': '#81C0FF', 'reference-varied': 2107, 'venture': 'venture', 'verify': 'verify', 'verging': 'verging', 'symbol-verging': 2113, 'color-vote': '#59317D', 'color-view': '#EBEB4A', 'reference-verified': 2114, 'ventured': 'ventured'}, 'y': {'cluster-yielded': 6, 'yearned': 'yearned', 'color-yearning': '#6E1AC1', 'color-yearn': '#8000FF', 'symbol-yearning': 2201, 'color-yield': '#DF0101', 'yielded': 'yielded', 'definition-yield': 'to waive, forgo.', 'yielding': 'yielding', 'yield': 'yield', 'color-yearned': '#A559F2', 'yearning': 'yearning', 'yearn': 'yearn', 'color-yielded': '#E82121', 'reference-yearned': 2201, 'color-yielding': '#DA0D0D', 'reference-yielded': -2203, 'cluster-yearned': 1, 'definition-yearn': 'to have a strong desire.', 'symbol-yielding': 2203}, 'x': {'xray': 'xray', 'symbol-xraying': 2196, 'color-xray': '#BE81F7', 'xraying': 'xraying', 'color-xraying': '#9A2EF9', 'cluster-xrayed': 10, 'color-xrayed': '#D7AEFA', 'xrayed': 'xrayed', 'definition-xray': 'to examine or treat with x-rays; to review and test a system thoroughly.', 'reference-xrayed': -2196}, 'z': {'cluster-zeroed': 4, 'reference-zeroed': -2209, 'color-zoning': '#080836', 'reference-zapped': -2208, 'color-zip': '#0B0B3B', 'color-zapped': '#EB6666', 'definition-zip': 'to act with energy.', 'zipped': 'zipped', 'symbol-zoning': 2212, 'zoning': 'zoning', 'zapping': 'zapping', 'zeroing': 'zeroing', 'definition-zone': 'to devide into zones.', 'cluster-zapped': 6, 'zapped': 'zapped', 'zone': 'zone', 'color-zapping': '#C71B1B', 'zeroed': 'zeroed', 'symbol-zipping': 2211, 'color-zeroing': '#04817D', 'color-zone': '#0B0B61', 'symbol-zeroing': 2209, 'reference-zipped': -2211, 'zap': 'zap', 'color-zoned': '#383876', 'color-zero': '#088A85', 'reference-zoned': -2212, 'color-zeroed': '#2E9895', 'color-zipping': '#060640', 'zip': 'zip', 'cluster-zipped': 14, 'zoned': 'zoned', 'zero': 'zero', 'color-zipped': '#39395F', 'definition-zap': 'to kill, shoot or destroy.', 'symbol-zapping': 2208, 'cluster-zoned': 10, 'color-zap': '#DF3838', 'zipping': 'zipping', 'definition-zero': 'to amount to zero.'}}
 # 
 #    keys4alpha = NounKB4Xi.keys()      
 #   
 #    
 #    # -----------------------------------------------------------------------------------------
 #    # reason knowledge
 #    # -----------------------------------------------------------------------------------------          
 #    for key4alpha in sorted(keys4alpha):                                 # _, a, b, c ........ 
# 
#         # -------------------------------------------------------------------------------------
#         # 
#         # -------------------------------------------------------------------------------------     
#         if ack2debug is True:
#             print("(STEP 2/33) OF REASON_NOUN4XI: KEY4ALPHA :" ,key4alpha)                                # key4alpha : z
#         # -------------------------------------------------------------------------------------
#         # 
#         # -------------------------------------------------------------------------------------        
#         dict4xi = NounKB4Xi[key4alpha]                     
#         if ack2debug is True:
#             print("(STEP 3/33) OF REASON_NOUN4XI: DICT4XI :", dict4xi)                                  # dict4xi : {'zeroing': 'zeroing', 'zeroed': 'zeroed'}
#         # -------------------------------------------------------------------------------------
#         # 
#         # -------------------------------------------------------------------------------------        
#         nouns4xi = dict4xi.keys()
#         if ack2debug is True:
#             print("(STEP 4/33) OF REASON_NOUN4XI: NOUNS4XI : ", nouns4xi)                               # nouns4xi :  dict_keys(['zeroing', 'zeroed'])
#         # -------------------------------------------------------------------------------------
#         # 
#         # -------------------------------------------------------------------------------------            
#         for key4verb in sorted(nouns4xi):                            
#             pass
#             if ack2debug is True:
#                 print("(STEP 5/33) OF REASON_NOUN4XI: KEY4NOUN :", key4verb)                            # key4verb : zeroed, key4verb : zeroing
#              
#             find1='reference-' 
#             find2='definition-' 
#             find3='symbol-'  
#             find4='cluster'  
#             find5='color-' 
#             # -------------------------------------------------------------------------------------
#             # 
#             # -------------------------------------------------------------------------------------              
#             index1=str.find(key4verb,find1)                   # 1=reference ?
#             if index1 == -1:
#                 index2=str.find(key4verb,find2)               # 2=definition ?
#                 if index2 == -1:
#                     pass  
#                     index3=str.find(key4verb,find3)           # 3=symbol ?
#                     if index3 == -1:
#                         pass
#                         index4=str.find(key4verb,find4)       # 4=cluster ?
#                         if index4 == -1:
#                             pass 
#                             index5=str.find(key4verb,find5)   # 5=color ?
#                             if index5 == -1:
#                                 pass       
#                                 kb4xi[key4verb] = key4verb    # ok; it is a noun
#                                 if ack2debug is True:
#                                     print("(STEP 6/33) OF REASON_NOUN4XI: KB4XI[", key4verb, "] = " , key4verb)
#                             else:
#                                 pass                          # 5 passed color-_pertained         
#                         else:
#                             pass                              # 4 passed cluster-_pertain ...
#                     else:
#                         pass                                  # 3 passed symbol-_pertaining ...
#                 else:
#                     pass                                      # 2 passed definition-_pertain ...                            
#             else: 
#                 pass                                          # 1 passed reference-_pertained
#                 
# 
#               
#     # -----------------------------------------------------------------------------------------
#     # return knowledge
#     # -----------------------------------------------------------------------------------------        
#     if ack2debug is True:
#         print("(STEP 6/33) OF REASON_NOUN4XI: RETURNING KB4XI: ", kb4xi)                                # {'looped': 'looped', 'rounded': 'rounded', 'freeing': 'freeing', 'polled': 'polled' ....
#     return kb4xi

    return {}

#</function4xi>
  
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "ace_noun4xi" usage = "aces noun knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

def ace_noun4xi():
    '''
    aces noun knowledgebase
    '''
#     global ClusterKB4Xi    
#         
#     ack2debug = True
#     
#     # -----------------------------------------------------------------------------------------
#     # initialize knowledge
#     # -----------------------------------------------------------------------------------------        
#     kb8xi = reason_noun4xi()
#  
#     
#   
#              
#     
#     return kb8xi

    return {}
        
    # -----------------------------------------------------------------------------------------
    #
    # -----------------------------------------------------------------------------------------
#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "xml_noun4xi" usage = "creates XML file from nouns knowledgebase">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
      
 
def xml_noun4xi (context_param = 
    {'file_path4xi': '..\\..\\xml\\ace-noun4xi.xml',
     'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n',
     'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
     'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Nouns of Multiprocessing4Xi">\n',
     'ontology_comment4xi': '      <define4xi xml:lang="en">Nouns</define4xi>\n',
     'operation_comment4xi': '      <define4xi xml:lang="en">Available nouns.</define4xi>\n',
     'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
     'class0_comment4xi': '      <define4xi xml:lang="en">Nouns for actions.</define4xi>\n',
     'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n',
     'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
     'debug4xi': True}):  #<-- update this to debug
    
    
    '''
    xml_noun4xi creates XML file from nouns knowledgebase
    
    '''       
    
   
    c2xi = context_param
    
    keys2context = c2xi.keys()
    
    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------     
    if 'debug4xi' in keys2context:
        debug2xi = c2xi['debug4xi']     
    else:
        debug2xi = False
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # ---------------------------------------------------------------------------------------------     
 
    
    # ---------------------------------------------------------------------------------------------
    # REASON
    # --------------------------------------------------------------------------------------------- 
    
    if debug2xi is True:
        print(33*("="))
        print("(STEP 1/33) OF XML_NOUN4XI: REASONING") 
        print(33*("="))
        print("")
        print("(STEP 2/33) OF XML_NOUN4XI: set c2xi to: ", c2xi)
        # {'object_property_comment4xi': '       <define4xi xml:lang="en">reason</define4xi>\n',
        #      'object_property_rdf4xi': '   <owl:ObjectProperty rdf:ID="reason#000000">\n', 
        #                'class0_id4xi': '   <owl:Class rdf:ID="ReasonDragon4Xi#000000">\n',
        #           'class0_comment4xi': '      <define4xi xml:lang="en">Nouns for actions.</define4xi>\n', 
        #               'name_space4xi': '   xmlns="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl#"\n', 
        #                'file_path4xi': '..\\..\\xml\\ace-noun4xi.xml',
        #                 'xml_base4xi': '   xml:base="http://www.dragonxi4.com/reason/sw4xi/python32/owl/multiprocessing4xi.owl">\n',
        #         'ontology_comment4xi': '      <define4xi xml:lang="en">Nouns</define4xi>\n', 
        #                    'debug4xi': True,
        #        'operation_comment4xi': '      <define4xi xml:lang="en">Available nouns.</define4xi>\n', 
        #           'ontology_about4xi': '   <owl:Ontology rdf:about="Reasoning Nouns of Multiprocessing4Xi">\n'}

        print("")
                    
    reasonKB4Xi = reason_noun4xi()       
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 3/33) OF XML_NOUN4XI: GOT REASONKB4XI ")
        print(33*("-"))   
        # color-activating, cluster-schemed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    (STEP 3/33) OF XML_NOUN4XI: GOT REASONKB4XI:  {'reference-clustered': 'reference-clustered', 'definition-zip': 'definition-zip', 'color-activating': 'color-activating', 'color-built': 'color-built', 'cluster-schemed': 'cluster-schemed', 'sleep': 'sleep', 'reference-yearned': 'reference-yearned', 'scheming': 'scheming', 'color-build': 'color-build', 'cluster-entered': 'cluster-entered', 'definition-verbalize': 'definition-verbalize', 'definition-rename': 'definition-rename', 'color-scheming': 'color-scheming', 'calculate': 'calculate', 'cluster-compared': 'cluster-compared', 'voted': 'voted', 'color-fly': 'color-fly', 'cluster-removed': 'cluster-removed', 'reference-warned': 'reference-warned', 'definition-parse': 'definition-parse', 'reference-aced': 'reference-aced', 'color-checking': 'color-checking', 'rise': 'rise', 'symbol-indicating': 'symbol-indicating', 'symbol-contextualizing': 'symbol-contextualizing', 'symbol-ignoring': 'symbol-ignoring', 'tagging': 'tagging', 'color-verged': 'color-verged', 'color-end': 'color-end', 'definition-measure': 'definition-measure', 'commented': 'commented', 'cluster-unioned': 'cluster-unioned', 'winded': 'winded', 'definition-accept': 'definition-accept', 'color-releasing': 'color-releasing', 'symbol-classing': 'symbol-classing', 'definition-profile': 'definition-profile', 'symbol-deciding': 'symbol-deciding', 'taken-into-account': 'taken-into-account', 'cluster-checked': 'cluster-checked', 'color-web': 'color-web', 'symbol-standardizing': 'symbol-standardizing', 'reference-reset': 'reference-reset', 'selected': 'selected', 'color-pass': 'color-pass', 'color-delivered': 'color-delivered', 'net': 'net', 'color-xraying': 'color-xraying', 'told': 'told', 'color-reset': 'color-reset', 'symbol-washing': 'symbol-washing', 'wrapping': 'wrapping', 'symbol-queuing': 'symbol-queuing', 'color-globalized': 'color-globalized', 'reference-pickled': 'reference-pickled', 'symbol-tagging': 'symbol-tagging', 'color-zipping': 'color-zipping', 'ignoring': 'ignoring', 'cluster-walked': 'cluster-walked', 'ventured': 'ventured', 'symbol-scoping': 'symbol-scoping', 'color-wondering': 'color-wondering', 'definition-manoeuvre': 'definition-manoeuvre', 'symbol-clearing': 'symbol-clearing', 'color-idled': 'color-idled', 'cluster-functioned': 'cluster-functioned', 'noting': 'noting', 'call': 'call', 'type': 'type', 'tell': 'tell', 'cluster-defined': 'cluster-defined', 'standardized': 'standardized', 'expose': 'expose', 'warp': 'warp', 'warn': 'warn', 'color-scoping': 'color-scoping', 'color-abbreviated': 'color-abbreviated', 'zeroed': 'zeroed', 'reference-netted': 'reference-netted', 'reference-listed': 'reference-listed', 'join': 'join', 'symbol-specializing': 'symbol-specializing', 'color-ignored': 'color-ignored', 'took-off': 'took-off', 'color-used': 'color-used', 'color-commented': 'color-commented', 'definition-round': 'definition-round', 'reference-terminated': 'reference-terminated', 'definition-dispatch': 'definition-dispatch', 'indicated': 'indicated', 'color-assert': 'color-assert', 'want': 'want', 'color-appending': 'color-appending', 'cluster-imported': 'cluster-imported', 'color-hatch': 'color-hatch', 'definition-show': 'definition-show', 'color-writing': 'color-writing', 'end': 'end', 'verify': 'verify', 'color-flied': 'color-flied', 'definition-wander': 'definition-wander', '_pertained': '_pertained', 'definition-hit': 'definition-hit', 'cluster-polled': 'cluster-polled', 'color-program': 'color-program', 'color-hitting': 'color-hitting', 'typed': 'typed', 'cluster-raised': 'cluster-raised', 'color-try': 'color-try', 'reference-upgraded': 'reference-upgraded', 'symbol-weaving': 'symbol-weaving', 'definition-calculate': 'definition-calculate', 'reference-built': 'reference-built', 'definition-weigh': 'definition-weigh', 'cluster-dumped': 'cluster-dumped', 'enter': 'enter', 'operate': 'operate', 'wing': 'wing', 'wind': 'wind', 'hatching': 'hatching', 'vary': 'vary', 'reference-sorted': 'reference-sorted', 'symbol-recording': 'symbol-recording', 'cluster-watched': 'cluster-watched', 'color-protecting': 'color-protecting', 'color-standardize': 'color-standardize', 'borned': 'borned', 'writing': 'writing', 'reference-flew': 'reference-flew', 'color-joined': 'color-joined', 'cluster-broken': 'cluster-broken', 'color-clustered': 'color-clustered', 'color-put': 'color-put', 'woken': 'woken', 'color-breaking': 'color-breaking', 'symbol-flushing': 'symbol-flushing', 'zoning': 'zoning', 'break': 'break', 'color-closed': 'color-closed', 'methodizing': 'methodizing', 'color-landed': 'color-landed', 'color-took-into-account': 'color-took-into-account', 'definition-start': 'definition-start', 'cluster-landed': 'cluster-landed', 'queued': 'queued', 'color-write': 'color-write', 'dumping': 'dumping', 'color-bear': 'color-bear', 'schemed': 'schemed', 'color-methodizing': 'color-methodizing', 'webbed': 'webbed', 'symbol-returning': 'symbol-returning', 'definition-perform': 'definition-perform', 'color-verbalize': 'color-verbalize', 'color-wing': 'color-wing', 'color-wind': 'color-wind', 'reference-quitted': 'reference-quitted', 'waive': 'waive', 'washed': 'washed', 'definition-expose': 'definition-expose', 'got': 'got', 'symbol-winding': 'symbol-winding', 'color-manoeuvre': 'color-manoeuvre', 'free': 'free', 'scoped': 'scoped', 'mastering': 'mastering', 'symbol-zipping': 'symbol-zipping', 'wanted': 'wanted', 'color-hit': 'color-hit', 'exposing': 'exposing', 'created': 'created', 'symbol-acting': 'symbol-acting', 'color-operated': 'color-operated', 'cluster-zeroed': 'cluster-zeroed', 'color-parsing': 'color-parsing', 'cluster-waived': 'cluster-waived', 'symbol-verifying': 'symbol-verifying', 'color-standardized': 'color-standardized', 'warped': 'warped', 'cluster-commanded': 'cluster-commanded', 'reference-xrayed': 'reference-xrayed', 'definition-yearn': 'definition-yearn', 'symbol-programming': 'symbol-programming', 'color-called': 'color-called', 'reference-served': 'reference-served', 'color-building': 'color-building', 'symbol-voting': 'symbol-voting', 'master': 'master', 'listed': 'listed', 'color-perform': 'color-perform', 'color-compare': 'color-compare', 'color-shared': 'color-shared', 'color-woken': 'color-woken', 'color-reasoned': 'color-reasoned', 'serve': 'serve', 'definition-finalize': 'definition-finalize', 'color-waiting': 'color-waiting', 'color-terminate': 'color-terminate', 'symbol-operating': 'symbol-operating', 'color-typing': 'color-typing', 'definition-assert': 'definition-assert', 'cluster-stated': 'cluster-stated', 'showed': 'showed', 'color-wrapping': 'color-wrapping', 'idle': 'idle', 'reference-opened': 'reference-opened', 'reference-scoped': 'reference-scoped', 'color-watch': 'color-watch', 'abstracting': 'abstracting', 'color-programming': 'color-programming', 'definition-try': 'definition-try', 'color-profiling': 'color-profiling', 'cluster-created': 'cluster-created', 'color-cleared': 'color-cleared', 'color-starting': 'color-starting', 'symbol-idling': 'symbol-idling', 'color-define': 'color-define', 'symbol-yielding': 'symbol-yielding', 'cluster-washed': 'cluster-washed', 'color-_pertained': 'color-_pertained', 'reference-disconnected': 'reference-disconnected', 'color-waiving': 'color-waiving', 'color-launching': 'color-launching', 'color-abstracting': 'color-abstracting', 'reference-unioned': 'reference-unioned', 'commanding': 'commanding', 'symbol-spawning': 'symbol-spawning', 'reference-referred': 'reference-referred', 'calculated': 'calculated', 'symbol-flying': 'symbol-flying', 'color-deleted': 'color-deleted', 'symbol-releasing': 'symbol-releasing', 'voting': 'voting', 'color-closing': 'color-closing', 'reference-printed': 'reference-printed', 'color-visit': 'color-visit', 'symbol-warping': 'symbol-warping', 'color-clear': 'color-clear', 'ending': 'ending', 'color-warped': 'color-warped', 'color-wrap': 'color-wrap', 'reference-skipped': 'reference-skipped', 'stepping': 'stepping', 'definition-web': 'definition-web', 'cluster-listed': 'cluster-listed', 'appended': 'appended', 'reference-mastered': 'reference-mastered', 'zipping': 'zipping', 'color-washing': 'color-washing', 'disconnecting': 'disconnecting', 'do': 'do', 'definition-type': 'definition-type', 'watch': 'watch', 'symbol-methodizing': 'symbol-methodizing', 'symbol-waiting': 'symbol-waiting', 'symbol-dragonizing': 'symbol-dragonizing', 'definition-comment': 'definition-comment', 'color-doing': 'color-doing', 'color-weaved': 'color-weaved', 'color-accept': 'color-accept', 'release': 'release', 'symbol-terminating': 'symbol-terminating', 'color-ended': 'color-ended', 'cluster-exposed': 'cluster-exposed', 'zoned': 'zoned', 'color-contextualize': 'color-contextualize', 'testing': 'testing', 'symbol-checking': 'symbol-checking', 'decided': 'decided', 'symbol-showing': 'symbol-showing', 'color-resetting': 'color-resetting', 'color-reasoning': 'color-reasoning', 'symbol-finalizing': 'symbol-finalizing', 'cluster-contextualized': 'cluster-contextualized', 'symbol-pickling': 'symbol-pickling', 'cluster-returned': 'cluster-returned', 'color-performed': 'color-performed', 'color-acquired': 'color-acquired', 'color-terminated': 'color-terminated', 'color-watching': 'color-watching', 'color-spawn': 'color-spawn', 'symbol-creating': 'symbol-creating', 'received': 'received', 'protect': 'protect', 'definition-xray': 'definition-xray', 'reference-woke': 'reference-woke', 'synopsize': 'synopsize', 'reference-informed': 'reference-informed', 'color-concluded': 'color-concluded', 'definition-contextualize': 'definition-contextualize', 'abbreviate': 'abbreviate', 'cluster-told': 'cluster-told', 'color-compared': 'color-compared', 'color-checked': 'color-checked', 'color-create': 'color-create', 'cluster-taken-into-account': 'cluster-taken-into-account', 'definition-analyze': 'definition-analyze', 'color-zoned': 'color-zoned', 'taken-off': 'taken-off', 'union': 'union', 'reference-hatched': 'reference-hatched', 'color-calculate': 'color-calculate', 'definition-weave': 'definition-weave', 'entered': 'entered', 'color-flushing': 'color-flushing', 'color-dispatch': 'color-dispatch', 'color-tell': 'color-tell', 'reference-ignored': 'reference-ignored', 'definition-reason': 'definition-reason', 'reference-contextualized': 'reference-contextualized', 'reference-indicated': 'reference-indicated', 'color-examining': 'color-examining', 'color-renamed': 'color-renamed', 'cluster-tested': 'cluster-tested', 'cluster-measured': 'cluster-measured', 'winding': 'winding', 'cluster-upgraded': 'cluster-upgraded', 'definition-import': 'definition-import', 'definition-hatch': 'definition-hatch', 'cluster-zoned': 'cluster-zoned', 'cluster-proxied': 'cluster-proxied', 'launched': 'launched', 'spawn': 'spawn', 'definition-embed': 'definition-embed', 'reference-zapped': 'reference-zapped', 'color-sharing': 'color-sharing', 'manoeuvring': 'manoeuvring', 'dumped': 'dumped', 'skipping': 'skipping', 'color-weigh': 'color-weigh', 'synopsized': 'synopsized', 'verged': 'verged', 'reference-profiled': 'reference-profiled', 'perform': 'perform', 'color-queuing': 'color-queuing', 'color-killing': 'color-killing', 'definition-tag': 'definition-tag', '_pertaining': '_pertaining', 'cluster-discarded': 'cluster-discarded', 'symbol-warning': 'symbol-warning', 'color-zone': 'color-zone', 'tune': 'tune', 'inherit': 'inherit', 'color-classing': 'color-classing', 'rotated': 'rotated', 'symbol-typing': 'symbol-typing', 'cluster-printed': 'cluster-printed', 'cluster-skipped': 'cluster-skipped', 'reference-zipped': 'reference-zipped', 'adding': 'adding', 'cluster-methodized': 'cluster-methodized', 'color-skipping': 'color-skipping', 'cluster-hatched': 'cluster-hatched', 'color-passed': 'color-passed', 'color-spawning': 'color-spawning', 'color-yearning': 'color-yearning', 'symbol-telling': 'symbol-telling', 'symbol-embedding': 'symbol-embedding', 'symbol-tuning': 'symbol-tuning', 'rotate': 'rotate', 'clustered': 'clustered', 'symbol-wandering': 'symbol-wandering', 'cluster-rounded': 'cluster-rounded', 'symbol-analyzing': 'symbol-analyzing', 'hunt': 'hunt', 'renamed': 'renamed', 'warping': 'warping', 'color-finalize': 'color-finalize', 'performing': 'performing', 'color-share': 'color-share', 'born': 'born', 'color-queue': 'color-queue', 'reference-returned': 'reference-returned', 'reference-protected': 'reference-protected', 'reference-walked': 'reference-walked', 'definition-poll': 'definition-poll', 'color-indicated': 'color-indicated', 'deleted': 'deleted', 'reference-spawned': 'reference-spawned', 'color-process': 'color-process', 'color-weighed': 'color-weighed', 'color-view': 'color-view', 'definition-disconnect': 'definition-disconnect', 'reference-varied': 'reference-varied', 'cluster-scoped': 'cluster-scoped', 'color-vote': 'color-vote', 'cluster-calculated': 'cluster-calculated', 'raised': 'raised', 'parsing': 'parsing', 'color-list': 'color-list', 'cluster-acted': 'cluster-acted', 'wrap': 'wrap', 'color-served': 'color-served', 'verbalized': 'verbalized', 'color-clustering': 'color-clustering', 'dispatching': 'dispatching', 'color-sorting': 'color-sorting', 'symbol-printing': 'symbol-printing', 'symbol-zapping': 'symbol-zapping', 'launching': 'launching', 'manoeuvred': 'manoeuvred', 'color-receive': 'color-receive', 'definition-reset': 'definition-reset', 'reference-idled': 'reference-idled', 'landing': 'landing', 'definition-ace': 'definition-ace', 'definition-wind': 'definition-wind', 'definition-wing': 'definition-wing', 'reference-tagged': 'reference-tagged', 'reference-winded': 'reference-winded', 'color-took-off': 'color-took-off', 'symbol-building': 'symbol-building', 'removed': 'removed', 'definition-act': 'definition-act', 'reset': 'reset', 'definition-union': 'definition-union', 'discarding': 'discarding', 'verging': 'verging', 'delete': 'delete', 'definition-abbreviate': 'definition-abbreviate', 'abstract': 'abstract', 'definition-wire': 'definition-wire', 'reference-connected': 'reference-connected', 'color-mastering': 'color-mastering', 'color-hunting': 'color-hunting', 'reference-broke': 'reference-broke', 'check': 'check', 'color-sleep': 'color-sleep', 'reference-did': 'reference-did', 'cluster-appended': 'cluster-appended', 'color-typed': 'color-typed', 'setting': 'setting', 'test': 'test', 'color-concluding': 'color-concluding', 'symbol-commanding': 'symbol-commanding', 'delivered': 'delivered', 'color-dragonizing': 'color-dragonizing', 'definition-refer': 'definition-refer', 'flushed': 'flushed', 'cluster-interfaced': 'cluster-interfaced', 'reference-slept': 'reference-slept', 'color-flushed': 'color-flushed', 'symbol-listing': 'symbol-listing', 'cluster-wised': 'cluster-wised', 'color-launched': 'color-launched', 'cluster-yearned': 'cluster-yearned', 'definition-sleep': 'definition-sleep', 'color-wake': 'color-wake', 'color-importing': 'color-importing', 'skip': 'skip', 'activated': 'activated', 'definition-call': 'definition-call', 'color-specializing': 'color-specializing', 'functioned': 'functioned', 'color-set': 'color-set', 'cluster-done': 'cluster-done', 'definition-discover': 'definition-discover', 'zone': 'zone', 'definition-verge': 'definition-verge', 'zeroing': 'zeroing', 'symbol-measuring': 'symbol-measuring', 'symbol-performing': 'symbol-performing', 'color-loop': 'color-loop', 'discovering': 'discovering', 'symbol-importing': 'symbol-importing', 'cluster-sorted': 'cluster-sorted', 'color-programmed': 'color-programmed', 'color-winded': 'color-winded', 'cluster-typed': 'cluster-typed', 'reference-watched': 'reference-watched', 'symbol-looping': 'symbol-looping', 'color-test': 'color-test', 'color-warn': 'color-warn', 'taking-off': 'taking-off', 'symbol-unresolving': 'symbol-unresolving', 'color-linked': 'color-linked', 'did': 'did', 'color-free': 'color-free', 'color-embedding': 'color-embedding', 'symbol-processing': 'symbol-processing', 'symbol-verging': 'symbol-verging', 'round': 'round', 'color-started': 'color-started', 'discover': 'discover', 'initialized': 'initialized', 'cluster-verbalized': 'cluster-verbalized', 'definition-remove': 'definition-remove', 'color-waking': 'color-waking', 'color-showed': 'color-showed', 'definition-watch': 'definition-watch', 'color-register': 'color-register', 'shared': 'shared', 'reference-parsed': 'reference-parsed', 'wait': 'wait', 'sending': 'sending', 'symbol-taking-off': 'symbol-taking-off', 'cluster-closed': 'cluster-closed', 'definition-inherit': 'definition-inherit', 'color-raised': 'color-raised', 'reference-activated': 'reference-activated', 'definition-hunt': 'definition-hunt', 'color-raise': 'color-raise', 'symbol-visiting': 'symbol-visiting', 'verge': 'verge', 'cluster-commented': 'cluster-commented', 'symbol-resetting': 'symbol-resetting', 'reference-showed': 'reference-showed', 'cluster-built': 'cluster-built', 'wondering': 'wondering', 'scope': 'scope', 'cluster-quitted': 'cluster-quitted', 'cluster-spawn': 'cluster-spawn', 'sharing': 'sharing', 'appending': 'appending', 'definition-record': 'definition-record', 'color-tagged': 'color-tagged', 'reference-abstracted': 'reference-abstracted', 'symbol-rounding': 'symbol-rounding', 'color-schemed': 'color-schemed', 'fly': 'fly', 'color-delivering': 'color-delivering', 'color-connect': 'color-connect', 'color-dragonized': 'color-dragonized', 'printing': 'printing', 'cluster-woken': 'cluster-woken', 'pickle': 'pickle', 'color-wandered': 'color-wandered', 'color-exposing': 'color-exposing', 'performed': 'performed', 'symbol-borning': 'symbol-borning', 'definition-kill': 'definition-kill', 'watching': 'watching', 'write': 'write', 'definition-rotate': 'definition-rotate', 'reference-warped': 'reference-warped', 'reference-verged': 'reference-verged', 'color-killed': 'color-killed', 'color-round': 'color-round', 'take-into-account': 'take-into-account', 'color-verging': 'color-verging', 'cluster-sent': 'cluster-sent', 'yielding': 'yielding', 'color-start': 'color-start', 'reference-sent': 'reference-sent', 'color-stated': 'color-stated', 'color-quit': 'color-quit', 'tagged': 'tagged', 'serving': 'serving', 'unioned': 'unioned', 'color-examined': 'color-examined', 'definition-scheme': 'definition-scheme', 'ended': 'ended', 'yearn': 'yearn', 'color-unresolve': 'color-unresolve', 'definition-specialize': 'definition-specialize', 'disconnect': 'disconnect', 'acknowledge': 'acknowledge', 'color-manoeuvred': 'color-manoeuvred', 'color-rise': 'color-rise', 'listing': 'listing', 'renaming': 'renaming', 'color-wandering': 'color-wandering', 'definition-wise': 'definition-wise', 'reference-set': 'reference-set', 'symbol-killing': 'symbol-killing', 'color-rename': 'color-rename', 'sorted': 'sorted', 'color-initialize': 'color-initialize', 'killed': 'killed', 'cluster-finalized': 'cluster-finalized', 'inheriting': 'inheriting', 'color-sent': 'color-sent', 'definition-proxy': 'definition-proxy', 'color-send': 'color-send', 'definition-create': 'definition-create', 'symbol-polling': 'symbol-polling', 'entering': 'entering', 'definition-queue': 'definition-queue', 'tuned': 'tuned', 'shown': 'shown', 'color-enter': 'color-enter', 'opened': 'opened', 'reference-renamed': 'reference-renamed', 'rounding': 'rounding', 'reference-methodized': 'reference-methodized', 'color-walk': 'color-walk', 'receiving': 'receiving', 'color-spawned': 'color-spawned', 'symbol-inheriting': 'symbol-inheriting', 'color-venturing': 'color-venturing', 'dispatched': 'dispatched', 'reference-globalized': 'reference-globalized', 'color-pickling': 'color-pickling', 'reference-defined': 'reference-defined', 'symbol-taking-into-account': 'symbol-taking-into-account', 'color-contextualized': 'color-contextualized', 'definition-take-off': 'definition-take-off', 'programming': 'programming', 'cluster-hit': 'cluster-hit', 'color-linking': 'color-linking', 'waited': 'waited', 'color-delete': 'color-delete', 'definition-open': 'definition-open', 'color-ignore': 'color-ignore', 'cluster-clustered': 'cluster-clustered', 'vote': 'vote', 'definition-protect': 'definition-protect', 'open': 'open', 'zap': 'zap', 'checked': 'checked', 'slept': 'slept', 'color-deliver': 'color-deliver', 'indicate': 'indicate', 'typing': 'typing', 'color-sorted': 'color-sorted', 'symbol-selecting': 'symbol-selecting', 'cluster-ignored': 'cluster-ignored', 'cluster-weight': 'cluster-weight', 'color-quitting': 'color-quitting', 'color-tuning': 'color-tuning', 'released': 'released', 'reference-polled': 'reference-polled', 'reference-weaved': 'reference-weaved', 'reference-passed': 'reference-passed', 'analyze': 'analyze', 'cluster-initialized': 'cluster-initialized', 'definition-select': 'definition-select', 'color-verbalized': 'color-verbalized', 'protected': 'protected', 'venture': 'venture', 'wandering': 'wandering', 'symbol-rising': 'symbol-rising', 'color-removed': 'color-removed', 'acknowledged': 'acknowledged', 'cluster-embedded': 'cluster-embedded', 'color-removing': 'color-removing', 'color-wanting': 'color-wanting', 'definition-register': 'definition-register', 'cluster-operated': 'cluster-operated', 'cluster-xrayed': 'cluster-xrayed', 'color-defined': 'color-defined', 'reference-discarded': 'reference-discarded', 'upgrading': 'upgrading', 'definition-append': 'definition-append', 'definition-warn': 'definition-warn', 'note': 'note', 'definition-warp': 'definition-warp', 'color-join': 'color-join', 'definition-skip': 'definition-skip', 'reference-examined': 'reference-examined', 'wanting': 'wanting', 'color-acting': 'color-acting', 'symbol-initializing': 'symbol-initializing', 'pickling': 'pickling', 'proxied': 'proxied', 'printed': 'printed', 'synopsizing': 'synopsizing', 'color-written': 'color-written', 'cleared': 'cleared', 'symbol-profiling': 'symbol-profiling', 'color-done': 'color-done', 'color-methodized': 'color-methodized', 'color-pickle': 'color-pickle', 'reference-checked': 'reference-checked', 'color-told': 'color-told', 'color-tried': 'color-tried', 'symbol-getting': 'symbol-getting', 'walking': 'walking', 'cluster-called': 'cluster-called', 'show': 'show', 'symbol-passing': 'symbol-passing', 'discovered': 'discovered', 'color-trying': 'color-trying', 'rounded': 'rounded', 'color-waited': 'color-waited', 'color-calculating': 'color-calculating', 'reference-manoeuvred': 'reference-manoeuvred', 'reference-specialized': 'reference-specialized', 'upgrade': 'upgrade', 'color-waive': 'color-waive', 'color-reason': 'color-reason', 'manoeuvre': 'manoeuvre', 'cluster-flushed': 'cluster-flushed', 'reference-closed': 'reference-closed', 'color-rotate': 'color-rotate', 'closed': 'closed', 'color-viewed': 'color-viewed', 'get': 'get', 'color-dump': 'color-dump', 'color-get': 'color-get', 'cluster-wrapped': 'cluster-wrapped', 'cluster-looped': 'cluster-looped', 'symbol-trying': 'symbol-trying', 'symbol-watching': 'symbol-watching', 'yield': 'yield', 'symbol-wising': 'symbol-wising', 'ignored': 'ignored', 'color-wait': 'color-wait', 'color-launch': 'color-launch', 'color-commanding': 'color-commanding', 'definition-abstract': 'definition-abstract', 'reference-wired': 'reference-wired', 'wonder': 'wonder', 'definition-clear': 'definition-clear', 'registering': 'registering', 'symbol-skipping': 'symbol-skipping', 'activating': 'activating', 'color-globalizing': 'color-globalizing', 'color-walked': 'color-walked', 'import': 'import', 'color-expose': 'color-expose', 'color-discovering': 'color-discovering', 'killing': 'killing', 'analyzed': 'analyzed', 'symbol-exposing': 'symbol-exposing', 'cluster-set': 'cluster-set', 'acquiring': 'acquiring', 'color-idling': 'color-idling', 'color-zipped': 'color-zipped', 'color-tag': 'color-tag', 'embedding': 'embedding', 'color-unresolving': 'color-unresolving', 'dispatch': 'dispatch', 'color-flying': 'color-flying', 'color-taking-into-account': 'color-taking-into-account', 'poll': 'poll', 'specializing': 'specializing', 'color-idle': 'color-idle', 'reference-ended': 'reference-ended', 'tuning': 'tuning', 'symbol-venturing': 'symbol-venturing', 'informed': 'informed', 'symbol-writing': 'symbol-writing', 'defined': 'defined', 'cluster-waved': 'cluster-waved', 'color-scoped': 'color-scoped', 'symbol-noting': 'symbol-noting', 'definition-unresolve': 'definition-unresolve', 'wake': 'wake', 'symbol-sleeping': 'symbol-sleeping', 'disconnected': 'disconnected', 'color-acquire': 'color-acquire', 'warning': 'warning', 'profiled': 'profiled', 'color-examine': 'color-examine', 'reference-interfaced': 'reference-interfaced', 'reference-waved': 'reference-waved', 'reference-removed': 'reference-removed', 'sleeping': 'sleeping', 'parse': 'parse', 'cluster': 'cluster', 'color-wired': 'color-wired', 'commanded': 'commanded', 'cluster-released': 'cluster-released', 'verified': 'verified', 'symbol-informing': 'symbol-informing', 'color-inherit': 'color-inherit', 'wiring': 'wiring', 'color-import': 'color-import', 'definition-view': 'definition-view', 'cluster-opened': 'cluster-opened', 'cluster-recorded': 'cluster-recorded', 'color-print': 'color-print', 'stepped': 'stepped', 'color-verge': 'color-verge', 'symbol-hunting': 'symbol-hunting', 'running': 'running', 'wired': 'wired', 'color-record': 'color-record', 'color-returned': 'color-returned', 'weave': 'weave', 'color-creating': 'color-creating', 'color-add': 'color-add', 'definition-zero': 'definition-zero', 'color-tuned': 'color-tuned', 'definition-sort': 'definition-sort', 'symbol-landing': 'symbol-landing', 'color-receiving': 'color-receiving', 'definition-end': 'definition-end', 'kill': 'kill', 'symbol-wondering': 'symbol-wondering', 'color-abbreviate': 'color-abbreviate', 'rose': 'rose', 'symbol-wrapping': 'symbol-wrapping', 'color-analyzing': 'color-analyzing', 'cluster-inherited': 'cluster-inherited', 'color-wander': 'color-wander', 'color-appended': 'color-appended', 'cluster-accepted': 'cluster-accepted', 'color-zapping': 'color-zapping', 'symbol-closing': 'symbol-closing', 'reference-acquired': 'reference-acquired', 'using': 'using', 'reference-concluded': 'reference-concluded', 'accepted': 'accepted', 'color-verbalizing': 'color-verbalizing', 'cluster-_pertained': 'cluster-_pertained', 'color-woke': 'color-woke', 'reference-stepped': 'reference-stepped', 'symbol-manoeuvring': 'symbol-manoeuvring', 'discarded': 'discarded', 'definition-receive': 'definition-receive', 'definition-wash': 'definition-wash', 'waiving': 'waiving', 'served': 'served', 'color-state': 'color-state', 'reference-wondered': 'reference-wondered', 'color-entered': 'color-entered', 'reference-acted': 'reference-acted', 'reference-analyzed': 'reference-analyzed', 'exposed': 'exposed', 'pickled': 'pickled', 'cluster-parsed': 'cluster-parsed', 'color-winged': 'color-winged', 'definition-break': 'definition-break', 'color-function': 'color-function', 'color-verified': 'color-verified', 'symbol-reasoning': 'symbol-reasoning', 'cluster-tried': 'cluster-tried', 'color-show': 'color-show', 'calculating': 'calculating', 'symbol-acing': 'symbol-acing', 'recorded': 'recorded', 'reference-noted': 'reference-noted', 'quitting': 'quitting', 'refer': 'refer', 'measuring': 'measuring', 'definition-put': 'definition-put', 'definition-program': 'definition-program', 'color-finalized': 'color-finalized', 'color-class': 'color-class', 'reference-ventured': 'reference-ventured', 'definition-send': 'definition-send', 'borning': 'borning', 'ace': 'ace', 'definition-initialize': 'definition-initialize', 'color-comment': 'color-comment', 'reference-inherited': 'reference-inherited', 'informing': 'informing', 'act': 'act', 'freeing': 'freeing', 'interfacing': 'interfacing', 'definition-connect': 'definition-connect', 'reference-tried': 'reference-tried', 'rising': 'rising', 'color-accepting': 'color-accepting', 'cluster-killed': 'cluster-killed', 'color-discarding': 'color-discarding', 'definition-check': 'definition-check', 'removing': 'removing', 'start': 'start', 'color-rising': 'color-rising', 'color-functioned': 'color-functioned', 'yearned': 'yearned', 'color-hunted': 'color-hunted', 'color-opening': 'color-opening', 'reference-webbed': 'reference-webbed', 'symbol-asserting': 'symbol-asserting', 'cluster-varied': 'cluster-varied', 'color-zeroed': 'color-zeroed', 'cluster-launched': 'cluster-launched', 'trying': 'trying', 'color-discard': 'color-discard', 'embedded': 'embedded', 'color-skipped': 'color-skipped', 'reference-shared': 'reference-shared', 'color-testing': 'color-testing', 'netting': 'netting', 'embed': 'embed', 'definition-test': 'definition-test', 'color-acquiring': 'color-acquiring', 'color-waived': 'color-waived', 'definition-standardize': 'definition-standardize', 'aced': 'aced', 'color-manoeuvring': 'color-manoeuvring', 'examine': 'examine', 'importing': 'importing', 'cluster-wired': 'cluster-wired', 'color-wiring': 'color-wiring', 'taking-into-account': 'taking-into-account', 'color-interfaced': 'color-interfaced', 'terminating': 'terminating', 'standardize': 'standardize', 'waving': 'waving', 'color-using': 'color-using', 'building': 'building', 'color-acted': 'color-acted', 'waived': 'waived', 'definition-flush': 'definition-flush', 'reference-raised': 'reference-raised', 'color-embed': 'color-embed', 'reference-delivered': 'reference-delivered', 'starting': 'starting', 'reference-accepted': 'reference-accepted', 'looped': 'looped', 'definition-terminate': 'definition-terminate', 'cluster-ventured': 'cluster-ventured', 'color-zeroing': 'color-zeroing', 'globalize': 'globalize', 'reasoning': 'reasoning', 'referring': 'referring', 'hunting': 'hunting', 'acting': 'acting', 'program': 'program', 'color-want': 'color-want', 'reference-took-off': 'reference-took-off', 'reference-received': 'reference-received', 'returned': 'returned', 'returning': 'returning', 'zapping': 'zapping', 'decide': 'decide', 'washing': 'washing', 'color-take-into-account': 'color-take-into-account', 'list': 'list', 'joined': 'joined', 'color-sense': 'color-sense', 'color-comparing': 'color-comparing', 'abbreviated': 'abbreviated', 'abstracted': 'abstracted', 'color-yearned': 'color-yearned', 'zero': 'zero', 'unioning': 'unioning', 'pass': 'pass', 'functioning': 'functioning', 'color-synopsizing': 'color-synopsizing', 'imported': 'imported', 'reference-waited': 'reference-waited', 'definition-waive': 'definition-waive', 'cluster-ended': 'cluster-ended', 'verbalize': 'verbalize', 'cluster-run': 'cluster-run', 'color-operate': 'color-operate', 'color-abbreviating': 'color-abbreviating', 'reference-zoned': 'reference-zoned', 'definition-compare': 'definition-compare', 'operating': 'operating', 'concluding': 'concluding', 'definition-rise': 'definition-rise', 'definition-decide': 'definition-decide', 'color-acknowledging': 'color-acknowledging', 'color-decided': 'color-decided', 'specialize': 'specialize', 'reference-killed': 'reference-killed', 'color-stepping': 'color-stepping', 'put': 'put', 'analyzing': 'analyzing', 'reference-yielded': 'reference-yielded', 'cluster-freed': 'cluster-freed', 'symbol-synopsizing': 'symbol-synopsizing', 'spawned': 'spawned', 'select': 'select', 'comparing': 'comparing', 'symbol-commenting': 'symbol-commenting', 'symbol-proxying': 'symbol-proxying', 'flawn': 'flawn', 'symbol-clustering': 'symbol-clustering', 'symbol-waiving': 'symbol-waiving', 'tested': 'tested', 'landed': 'landed', 'reference-looped': 'reference-looped', 'broke': 'broke', 'varying': 'varying', 'color-xray': 'color-xray', 'reference-rose': 'reference-rose', 'take-off': 'take-off', 'color-discover': 'color-discover', 'specialized': 'specialized', 'definition-note': 'definition-note', 'compare': 'compare', 'stated': 'stated', 'color-acing': 'color-acing', 'share': 'share', 'accept': 'accept', 'color-listing': 'color-listing', 'color-rounding': 'color-rounding', 'symbol-calculating': 'symbol-calculating', 'sense': 'sense', 'wising': 'wising', 'reference-unresolved': 'reference-unresolved', 'breaking': 'breaking', 'color-union': 'color-union', 'color-terminating': 'color-terminating', 'reference-created': 'reference-created', 'reference-calculated': 'reference-calculated', 'dragonizing': 'dragonizing', 'color-raising': 'color-raising', 'cluster-sensed': 'cluster-sensed', 'acknowledging': 'acknowledging', 'color-registered': 'color-registered', 'definition-land': 'definition-land', 'tried': 'tried', 'symbol-sending': 'symbol-sending', 'cluster-concluded': 'cluster-concluded', 'cluster-winded': 'cluster-winded', 'resetting': 'resetting', 'cluster-shared': 'cluster-shared', 'register': 'register', 'reference-entered': 'reference-entered', 'symbol-registering': 'symbol-registering', 'reference-recorded': 'reference-recorded', 'symbol-wanting': 'symbol-wanting', 'color-looping': 'color-looping', 'wandered': 'wandered', 'color-activated': 'color-activated', 'color-netted': 'color-netted', 'finalized': 'finalized', 'winged': 'winged', 'reference-wised': 'reference-wised', 'reference-dispatched': 'reference-dispatched', 'color-calling': 'color-calling', 'symbol-hatching': 'symbol-hatching', 'contextualizing': 'contextualizing', 'color-rounded': 'color-rounded', 'symbol-concluding': 'symbol-concluding', 'color-close': 'color-close', 'initializing': 'initializing', 'color-wonder': 'color-wonder', 'color-functioning': 'color-functioning', 'definition-build': 'definition-build', 'skipped': 'skipped', 'return': 'return', 'definition-synopsize': 'definition-synopsize', 'reference-discovered': 'reference-discovered', 'color-visiting': 'color-visiting', 'color-abstracted': 'color-abstracted', 'hunted': 'hunted', 'color-returning': 'color-returning', 'wash': 'wash', 'cluster-referred': 'cluster-referred', 'color-released': 'color-released', 'reference-selected': 'reference-selected', 'mastered': 'mastered', 'reference-washed': 'reference-washed', 'referred': 'referred', 'contextualize': 'contextualize', 'color-dispatching': 'color-dispatching', 'weight': 'weight', 'dragonize': 'dragonize', 'color-serving': 'color-serving', 'color-kill': 'color-kill', 'connect': 'connect', 'color-measured': 'color-measured', 'cluster-hunted': 'cluster-hunted', 'wondered': 'wondered', 'color-slept': 'color-slept', 'color-indicate': 'color-indicate', 'symbol-acknowledging': 'symbol-acknowledging', 'definition-inform': 'definition-inform', 'color-created': 'color-created', 'print': 'print', 'color-noting': 'color-noting', 'risen': 'risen', 'xrayed': 'xrayed', 'symbol-mastering': 'symbol-mastering', 'symbol-hitting': 'symbol-hitting', 'reason': 'reason', 'proxy': 'proxy', 'cluster-written': 'cluster-written', 'color-link': 'color-link', 'color-zero': 'color-zero', 'cluster-winged': 'cluster-winged', 'definition-operate': 'definition-operate', 'unresolved': 'unresolved', 'unresolve': 'unresolve', 'launch': 'launch', 'definition-tune': 'definition-tune', 'definition-examine': 'definition-examine', 'definition-zap': 'definition-zap', 'reference-told': 'reference-told', 'reference-took-into-account': 'reference-took-into-account', 'definition-define': 'definition-define', 'color-sleeping': 'color-sleeping', 'color-wave': 'color-wave', 'netted': 'netted', 'linking': 'linking', 'done': 'done', 'reference-put': 'reference-put', 'scoping': 'scoping', 'symbol-stepping': 'symbol-stepping', 'color-warping': 'color-warping', 'reference-called': 'reference-called', 'symbol-testing': 'symbol-testing', 'reference-wrote': 'reference-wrote', 'passed': 'passed', 'definition-wait': 'definition-wait', 'scheme': 'scheme', 'color-finalizing': 'color-finalizing', 'color-wising': 'color-wising', 'symbol-weighing': 'symbol-weighing', 'color-step': 'color-step', 'definition-wrap': 'definition-wrap', 'color-call': 'color-call', 'cluster-mastered': 'cluster-mastered', 'recording': 'recording', 'reference-compared': 'reference-compared', 'deciding': 'deciding', 'idled': 'idled', 'reference-tested': 'reference-tested', 'classing': 'classing', 'color-winding': 'color-winding', 'definition-zone': 'definition-zone', 'color-unresolved': 'color-unresolved', 'cluster-profiled': 'cluster-profiled', 'built': 'built', 'symbol-quitting': 'symbol-quitting', 'color-broken': 'color-broken', 'reference-dragonized': 'reference-dragonized', 'build': 'build', 'cluster-terminated': 'cluster-terminated', 'added': 'added', 'symbol-launching': 'symbol-launching', 'accepting': 'accepting', 'measured': 'measured', 'color-indicating': 'color-indicating', 'cluster-dispatched': 'cluster-dispatched', 'cluster-passed': 'cluster-passed', 'color-sensing': 'color-sensing', 'clear': 'clear', 'color-note': 'color-note', 'symbol-upgrading': 'symbol-upgrading', 'weigh': 'weigh', 'color-skip': 'color-skip', 'color-initializing': 'color-initializing', 'color-refer': 'color-refer', 'symbol-discarding': 'symbol-discarding', 'color-connecting': 'color-connecting', 'color-protected': 'color-protected', 'reference-standardized': 'reference-standardized', 'definition-idle': 'definition-idle', 'symbol-deleting': 'symbol-deleting', 'color-inheriting': 'color-inheriting', 'symbol-freeing': 'symbol-freeing', 'reference-schemed': 'reference-schemed', 'hit': 'hit', 'color-commanded': 'color-commanded', 'color-decide': 'color-decide', 'classed': 'classed', 'color-stepped': 'color-stepped', 'color-ventured': 'color-ventured', 'verbalizing': 'verbalizing', 'reference-finalized': 'reference-finalized', 'weaved': 'weaved', 'remove': 'remove', 'symbol-waving': 'symbol-waving', 'color-analyzed': 'color-analyzed', 'reference-imported': 'reference-imported', 'reference-voted': 'reference-voted', 'set': 'set', 'dump': 'dump', 'color-acknowledge': 'color-acknowledge', 'contextualized': 'contextualized', 'color-viewing': 'color-viewing', 'definition-indicate': 'definition-indicate', 'close': 'close', 'cluster-dragonized': 'cluster-dragonized', 'visiting': 'visiting', 'reference-processed': 'reference-processed', 'definition-wave': 'definition-wave', 'cluster-abbreviated': 'cluster-abbreviated', 'unresolving': 'unresolving', 'color-washed': 'color-washed', 'profiling': 'profiling', 'creating': 'creating', 'definition-acknowledge': 'definition-acknowledge', 'zipped': 'zipped', 'definition-spawn': 'definition-spawn', 'interface': 'interface', 'color-hatching': 'color-hatching', 'interfaced': 'interfaced', 'color-asserting': 'color-asserting', 'color-referring': 'color-referring', 'color-did': 'color-did', 'cluster-deleted': 'cluster-deleted', 'upgraded': 'upgraded', 'color-append': 'color-append', 'color-return': 'color-return', 'color-zoning': 'color-zoning', 'acted': 'acted', 'reference-flushed': 'reference-flushed', 'color-specialize': 'color-specialize', 'asserted': 'asserted', 'color-deciding': 'color-deciding', 'weaving': 'weaving', 'raise': 'raise', 'create': 'create', 'color-taken-off': 'color-taken-off', 'hitting': 'hitting', 'definition-verify': 'definition-verify', 'definition-join': 'definition-join', 'color-defining': 'color-defining', 'woke': 'woke', 'reference-synopsized': 'reference-synopsized', 'symbol-globalizing': 'symbol-globalizing', 'reference-initialized': 'reference-initialized', 'definition-conclude': 'definition-conclude', 'color-webbing': 'color-webbing', 'reference-exposed': 'reference-exposed', 'color-dumped': 'color-dumped', 'definition-master': 'definition-master', 'color-voting': 'color-voting', 'color-winging': 'color-winging', 'color-recording': 'color-recording', 'symbol-serving': 'symbol-serving', 'symbol-connecting': 'symbol-connecting', 'color-run': 'color-run', 'definition-vote': 'definition-vote', 'cluster-abstracted': 'cluster-abstracted', 'loop': 'loop', 'color-selecting': 'color-selecting', 'color-exposed': 'color-exposed', 'reference-used': 'reference-used', 'cluster-synopsized': 'cluster-synopsized', 'reference-hunted': 'reference-hunted', 'cluster-aced': 'cluster-aced', 'symbol-running': 'symbol-running', 'queue': 'queue', 'color-embedded': 'color-embedded', 'cluster-put': 'cluster-put', 'reference-waived': 'reference-waived', 'color-type': 'color-type', 'used': 'used', 'cluster-delivered': 'cluster-delivered', 'definition-discard': 'definition-discard', 'viewing': 'viewing', 'symbol-using': 'symbol-using', 'color-added': 'color-added', 'color-opened': 'color-opened', 'definition-take-into-account': 'definition-take-into-account', 'color-looped': 'color-looped', 'reference-winged': 'reference-winged', 'symbol-walking': 'symbol-walking', 'idling': 'idling', 'color-wire': 'color-wire', 'color-got': 'color-got', 'definition-vary': 'definition-vary', 'cluster-queued': 'cluster-queued', 'stating': 'stating', 'symbol-calling': 'symbol-calling', 'color-waved': 'color-waved', 'polled': 'polled', 'color-operating': 'color-operating', 'color-inherited': 'color-inherited', 'symbol-unioning': 'symbol-unioning', 'definition-pickle': 'definition-pickle', 'color-serve': 'color-serve', 'color-proxy': 'color-proxy', 'cluster-protected': 'cluster-protected', 'wised': 'wised', 'reference-operated': 'reference-operated', 'finalize': 'finalize', 'definition-_pertain': 'definition-_pertain', 'color-taken-into-account': 'color-taken-into-account', 'showing': 'showing', 'hatch': 'hatch', 'cluster-warped': 'cluster-warped', 'color-netting': 'color-netting', 'symbol-netting': 'symbol-netting', 'reference-rotated': 'reference-rotated', 'sorting': 'sorting', 'ignore': 'ignore', 'color-watched': 'color-watched', 'symbol-referring': 'symbol-referring', 'color-selected': 'color-selected', 'reference-landed': 'reference-landed', 'color-ending': 'color-ending', 'symbol-setting': 'symbol-setting', 'cluster-activated': 'cluster-activated', 'color-stating': 'color-stating', 'reference-tuned': 'reference-tuned', 'symbol-scheming': 'symbol-scheming', 'color-yielding': 'color-yielding', 'color-waving': 'color-waving', 'connecting': 'connecting', 'color-command': 'color-command', 'run': 'run', 'processing': 'processing', 'cluster-got': 'cluster-got', 'step': 'step', 'cluster-linked': 'cluster-linked', 'color-measuring': 'color-measuring', 'asserting': 'asserting', 'symbol-sorting': 'symbol-sorting', 'color-contextualizing': 'color-contextualizing', 'cluster-selected': 'cluster-selected', 'hatched': 'hatched', 'cluster-indicated': 'cluster-indicated', 'flying': 'flying', 'visit': 'visit', 'color-accepted': 'color-accepted', 'color-noted': 'color-noted', 'symbol-adding': 'symbol-adding', 'clustering': 'clustering', 'cluster-voted': 'cluster-voted', 'color-imported': 'color-imported', 'color-putting': 'color-putting', 'color-gotten': 'color-gotten', 'cluster-used': 'cluster-used', 'cluster-viewed': 'cluster-viewed', 'color-parsed': 'color-parsed', 'color-broke': 'color-broke', 'spawning': 'spawning', 'cluster-wondered': 'cluster-wondered', 'color-zip': 'color-zip', 'registered': 'registered', 'cluster-classed': 'cluster-classed', 'reference-wanted': 'reference-wanted', 'color-deleting': 'color-deleting', 'reference-rounded': 'reference-rounded', 'link': 'link', 'symbol-wiring': 'symbol-wiring', 'raising': 'raising', 'definition-run': 'definition-run', 'color-sort': 'color-sort', 'color-cluster': 'color-cluster', 'color-classed': 'color-classed', 'color-dumping': 'color-dumping', 'symbol-putting': 'symbol-putting', 'symbol-examining': 'symbol-examining', 'color-dragonize': 'color-dragonize', 'called': 'called', 'color-conclude': 'color-conclude', 'cluster-pickled': 'cluster-pickled', 'color-interfacing': 'color-interfacing', 'color-aced': 'color-aced', 'definition-activate': 'definition-activate', 'color-listed': 'color-listed', 'parsed': 'parsed', 'cluster-received': 'cluster-received', 'color-wise': 'color-wise', 'definition-wake': 'definition-wake', 'color-yearn': 'color-yearn', 'color-flush': 'color-flush', 'color-weighing': 'color-weighing', 'definition-set': 'definition-set', 'cluster-processed': 'cluster-processed', 'color-specialized': 'color-specialized', 'cluster-idled': 'cluster-idled', 'color-setting': 'color-setting', 'symbol-abbreviating': 'symbol-abbreviating', 'color-methodize': 'color-methodize', 'definition-use': 'definition-use', 'definition-wonder': 'definition-wonder', 'cluster-analyzed': 'cluster-analyzed', 'webbing': 'webbing', 'symbol-viewing': 'symbol-viewing', 'color-webbed': 'color-webbed', 'color-polling': 'color-polling', 'land': 'land', 'reasoned': 'reasoned', 'cluster-taken-off': 'cluster-taken-off', 'walked': 'walked', 'symbol-acquiring': 'symbol-acquiring', 'joining': 'joining', 'color-mastered': 'color-mastered', 'symbol-verbalizing': 'symbol-verbalizing', 'cluster-stepped': 'cluster-stepped', 'cluster-zipped': 'cluster-zipped', 'color-unioning': 'color-unioning', 'cluster-verged': 'cluster-verged', 'send': 'send', 'definition-return': 'definition-return', 'definition-print': 'definition-print', 'color-acknowledged': 'color-acknowledged', 'color-rose': 'color-rose', 'color-warning': 'color-warning', 'reference-embedded': 'reference-embedded', 'reference-reasoned': 'reference-reasoned', 'indicating': 'indicating', 'reference-verbalized': 'reference-verbalized', 'definition-yield': 'definition-yield', 'cluster-acknowledged': 'cluster-acknowledged', 'wave': 'wave', 'symbol-delivering': 'symbol-delivering', 'putting': 'putting', 'telling': 'telling', 'symbol-zeroing': 'symbol-zeroing', 'definition-methodize': 'definition-methodize', 'symbol-functioning': 'symbol-functioning', 'color-clearing': 'color-clearing', 'try': 'try', 'polling': 'polling', 'freed': 'freed', 'deleting': 'deleting', 'noted': 'noted', 'concluded': 'concluded', 'cluster-served': 'cluster-served', 'color-discovered': 'color-discovered', 'symbol-zoning': 'symbol-zoning', 'definition-raise': 'definition-raise', 'waking': 'waking', 'symbol-joining': 'symbol-joining', 'reference-registered': 'reference-registered', 'cluster-rotated': 'cluster-rotated', 'acing': 'acing', 'append': 'append', 'color-act': 'color-act', 'waiting': 'waiting', 'color-varying': 'color-varying', 'definition-deliver': 'definition-deliver', 'color-ace': 'color-ace', 'definition-list': 'definition-list', 'reference-asserted': 'reference-asserted', 'cluster-unresolved': 'cluster-unresolved', 'reference-decided': 'reference-decided', 'delivering': 'delivering', 'color-parse': 'color-parse', 'color-yield': 'color-yield', 'symbol-activating': 'symbol-activating', 'abbreviating': 'abbreviating', 'definition-launch': 'definition-launch', 'broken': 'broken', 'receive': 'receive', 'color-break': 'color-break', 'examining': 'examining', 'color-tagging': 'color-tagging', 'cluster-examined': 'cluster-examined', 'color-freeing': 'color-freeing', 'definition-bear': 'definition-bear', 'cluster-visited': 'cluster-visited', 'cluster-warned': 'cluster-warned', 'cluster-acquired': 'cluster-acquired', 'definition-scope': 'definition-scope', 'use': 'use', 'zip': 'zip', 'cluster-informed': 'cluster-informed', 'color-polled': 'color-polled', 'color-asserted': 'color-asserted', 'sort': 'sort', 'definition-do': 'definition-do', 'reference-weighed': 'reference-weighed', 'started': 'started', 'color-interface': 'color-interface', 'color-net': 'color-net', 'color-proxied': 'color-proxied', 'color-initialized': 'color-initialized', 'cluster-flawn': 'cluster-flawn', 'color-running': 'color-running', 'tag': 'tag', 'symbol-waking': 'symbol-waking', 'closing': 'closing', 'color-entering': 'color-entering', 'proxying': 'proxying', 'color-varied': 'color-varied', 'process': 'process', 'symbol-ending': 'symbol-ending', 'color-printing': 'color-printing', 'varied': 'varied', 'symbol-defining': 'symbol-defining', 'symbol-breaking': 'symbol-breaking', 'dragonized': 'dragonized', 'color-joining': 'color-joining', 'definition-interface': 'definition-interface', 'color-hunt': 'color-hunt', 'profile': 'profile', 'yielded': 'yielded', 'definition-get': 'definition-get', 'cluster-decided': 'cluster-decided', 'zapped': 'zapped', 'color-born': 'color-born', 'cluster-verified': 'cluster-verified', 'color-zapped': 'color-zapped', 'definition-loop': 'definition-loop', 'definition-dump': 'definition-dump', 'cluster-waited': 'cluster-waited', 'looping': 'looping', 'color-unioned': 'color-unioned', 'color-xrayed': 'color-xrayed', 'cluster-discovered': 'cluster-discovered', 'definition-link': 'definition-link', 'color-telling': 'color-telling', 'color-discarded': 'color-discarded', 'color-freed': 'color-freed', 'flew': 'flew', 'color-wanted': 'color-wanted', 'color-processed': 'color-processed', 'color-printed': 'color-printed', 'symbol-yearning': 'symbol-yearning', 'verifying': 'verifying', 'cluster-tagged': 'cluster-tagged', 'color-activate': 'color-activate', 'color-received': 'color-received', 'finalizing': 'finalizing', 'activate': 'activate', 'cluster-webbed': 'cluster-webbed', 'doing': 'doing', 'programmed': 'programmed', 'definition-write': 'definition-write', 'measure': 'measure', 'color-pickled': 'color-pickled', 'standardizing': 'standardizing', 'reference-launched': 'reference-launched', 'color-analyze': 'color-analyze', 'color-adding': 'color-adding', 'color-synopsize': 'color-synopsize', 'reference-started': 'reference-started', 'flushing': 'flushing', 'color-borned': 'color-borned', 'reference-joined': 'reference-joined', 'cluster-wandered': 'cluster-wandered', 'symbol-xraying': 'symbol-xraying', 'color-_pertain': 'color-_pertain', 'color-wrapped': 'color-wrapped', 'symbol-discovering': 'symbol-discovering', 'cluster-cleared': 'cluster-cleared', 'color-proxying': 'color-proxying', 'initialize': 'initialize', '_pertain': '_pertain', 'definition-free': 'definition-free', 'reference-wrapped': 'reference-wrapped', 'color-visited': 'color-visited', 'wrote': 'wrote', 'reference-verified': 'reference-verified', 'cluster-shown': 'cluster-shown', 'reference-proxied': 'reference-proxied', 'color-rotating': 'color-rotating', 'color-zap': 'color-zap', 'symbol-comparing': 'symbol-comparing', 'color-borning': 'color-borning', 'color-commenting': 'color-commenting', 'color-scheme': 'color-scheme', 'color-take-off': 'color-take-off', 'color-upgraded': 'color-upgraded', 'color-ignoring': 'color-ignoring', 'wrapped': 'wrapped', 'color-warned': 'color-warned', 'definition-process': 'definition-process', 'cluster-weaved': 'cluster-weaved', 'definition-add': 'definition-add', 'reference-functioned': 'reference-functioned', 'acquire': 'acquire', 'definition-venture': 'definition-venture', 'color-verifying': 'color-verifying', 'color-renaming': 'color-renaming', 'color-registering': 'color-registering', 'symbol-accepting': 'symbol-accepting', 'visited': 'visited', 'symbol-interfacing': 'symbol-interfacing', 'color-landing': 'color-landing', 'color-informed': 'color-informed', 'reference-zeroed': 'reference-zeroed', 'color-informing': 'color-informing', 'color-calculated': 'color-calculated', 'linked': 'linked', 'viewed': 'viewed', 'cluster-registered': 'cluster-registered', 'venturing': 'venturing', 'inform': 'inform', 'color-protect': 'color-protect', 'color-poll': 'color-poll', 'took-into-account': 'took-into-account', 'cluster-performed': 'cluster-performed', 'definition-command': 'definition-command', 'color-synopsized': 'color-synopsized', 'reference-programmed': 'reference-programmed', 'connected': 'connected', 'class': 'class', 'symbol-disconnecting': 'symbol-disconnecting', 'reference-stated': 'reference-stated', 'definition-pass': 'definition-pass', 'color-open': 'color-open', 'definition-ignore': 'definition-ignore', 'symbol-_pertaining': 'symbol-_pertaining', 'reference-run': 'reference-run', 'sent': 'sent', 'terminate': 'terminate', 'color-warp': 'color-warp', 'rotating': 'rotating', 'cluster-netted': 'cluster-netted', 'reference-visited': 'reference-visited', 'cluster-born': 'cluster-born', 'reference-commented': 'reference-commented', 'definition-net': 'definition-net', 'reference-classed': 'reference-classed', 'inherited': 'inherited', 'color-sending': 'color-sending', 'symbol-starting': 'symbol-starting', 'color-upgrade': 'color-upgrade', 'color-do': 'color-do', 'symbol-linking': 'symbol-linking', 'bear': 'bear', 'symbol-sharing': 'symbol-sharing', 'reference-abbreviated': 'reference-abbreviated', 'calling': 'calling', 'color-connected': 'color-connected', 'cluster-standardized': 'cluster-standardized', 'xraying': 'xraying', 'processed': 'processed', 'cluster-slept': 'cluster-slept', 'view': 'view', 'cluster-tuned': 'cluster-tuned', 'cluster-reset': 'cluster-reset', 'acquired': 'acquired', 'color-showing': 'color-showing', 'yearning': 'yearning', 'operated': 'operated', 'symbol-appending': 'symbol-appending', 'color-land': 'color-land', 'cluster-yielded': 'cluster-yielded', 'wire': 'wire', 'clearing': 'clearing', 'xray': 'xray', 'state': 'state', 'definition-enter': 'definition-enter', 'weighing': 'weighing', 'opening': 'opening', 'reference-viewed': 'reference-viewed', 'reference-linked': 'reference-linked', 'deliver': 'deliver', 'color-recorded': 'color-recorded', 'commenting': 'commenting', 'definition-globalize': 'definition-globalize', 'definition-upgrade': 'definition-upgrade', 'definition-visit': 'definition-visit', 'reference-appended': 'reference-appended', 'reference-freed': 'reference-freed', 'methodized': 'methodized', 'passing': 'passing', 'definition-step': 'definition-step', 'quitted': 'quitted', 'comment': 'comment', 'conclude': 'conclude', 'walk': 'walk', 'waved': 'waved', 'color-profiled': 'color-profiled', 'symbol-stating': 'symbol-stating', 'color-profile': 'color-profile', 'quit': 'quit', 'cluster-noted': 'cluster-noted', 'cluster-started': 'cluster-started', 'cluster-reasoned': 'cluster-reasoned', 'color-taking-off': 'color-taking-off', 'define': 'define', 'symbol-receiving': 'symbol-receiving', 'color-globalize': 'color-globalize', 'releasing': 'releasing', 'assert': 'assert', 'color-_pertaining': 'color-_pertaining', 'sensed': 'sensed', 'definition-sense': 'definition-sense', 'cluster-renamed': 'cluster-renamed', 'definition-function': 'definition-function', 'defining': 'defining', 'reference-wandered': 'reference-wandered', 'color-quitted': 'color-quitted', 'queuing': 'queuing', 'cluster-joined': 'cluster-joined', 'reference-got': 'reference-got', 'reference-borned': 'reference-borned', 'rename': 'rename', 'definition-release': 'definition-release', 'globalizing': 'globalizing', 'color-processing': 'color-processing', 'cluster-connected': 'cluster-connected', 'reference-hit': 'reference-hit', 'color-select': 'color-select', 'weighed': 'weighed', 'color-tested': 'color-tested', 'examined': 'examined', 'color-wrote': 'color-wrote', 'watched': 'watched', 'color-disconnecting': 'color-disconnecting', 'color-hatched': 'color-hatched', 'color-standardizing': 'color-standardizing', 'reference-performed': 'reference-performed', 'color-upgrading': 'color-upgrading', 'definition-state': 'definition-state', 'command': 'command', 'methodize': 'methodize', 'sensing': 'sensing', 'cluster-specialized': 'cluster-specialized', 'reference-sensed': 'reference-sensed', 'color-dispatched': 'color-dispatched', 'definition-delete': 'definition-delete', 'color-voted': 'color-voted', 'color-queued': 'color-queued', 'color-performing': 'color-performing', 'protecting': 'protecting', 'web': 'web', 'color-weaving': 'color-weaving', 'color-verify': 'color-verify', 'reference-queued': 'reference-queued', 'add': 'add', 'symbol-webbing': 'symbol-webbing', 'symbol-entering': 'symbol-entering', 'symbol-removing': 'symbol-removing', 'reference-commanded': 'reference-commanded', 'checking': 'checking', 'cluster-manoeuvred': 'cluster-manoeuvred', 'color-wised': 'color-wised', 'cluster-added': 'cluster-added', 'definition-walk': 'definition-walk', 'definition-acquire': 'definition-acquire', 'warned': 'warned', 'cluster-risen': 'cluster-risen', 'symbol-rotating': 'symbol-rotating', 'color-tune': 'color-tune', 'color-vary': 'color-vary', 'reference-added': 'reference-added', 'reference-released': 'reference-released', 'color-risen': 'color-risen', 'flush': 'flush', 'color-master': 'color-master', 'symbol-winging': 'symbol-winging', 'symbol-opening': 'symbol-opening', 'definition-close': 'definition-close', 'color-rotated': 'color-rotated', 'reference-acknowledged': 'reference-acknowledged', 'definition-dragonize': 'definition-dragonize', 'definition-tell': 'definition-tell', 'color-disconnect': 'color-disconnect', 'color-remove': 'color-remove', 'definition-class': 'definition-class', 'color-venture': 'color-venture', 'selecting': 'selecting', 'color-wash': 'color-wash', 'cluster-wanted': 'cluster-wanted', 'color-passing': 'color-passing', 'color-release': 'color-release', 'color-wondered': 'color-wondered', 'getting': 'getting', 'definition-want': 'definition-want', 'symbol-dumping': 'symbol-dumping', 'discard': 'discard', 'color-check': 'color-check', 'reference-typed': 'reference-typed', 'color-disconnected': 'color-disconnected', 'globalized': 'globalized', 'definition-share': 'definition-share', 'winging': 'winging', 'symbol-protecting': 'symbol-protecting', 'reference-deleted': 'reference-deleted', 'color-referred': 'color-referred', 'terminated': 'terminated', 'cluster-disconnected': 'cluster-disconnected', 'color-measure': 'color-measure', 'function': 'function', 'cluster-programmed': 'cluster-programmed', 'color-abstract': 'color-abstract', 'symbol-sensing': 'symbol-sensing', 'symbol-dispatching': 'symbol-dispatching', 'wise': 'wise', 'color-walking': 'color-walking', 'reference-_pertained': 'reference-_pertained', 'record': 'record', 'symbol-doing': 'symbol-doing', 'color-inform': 'color-inform', 'color-use': 'color-use', 'reference-measured': 'reference-measured', 'reference-cleared': 'reference-cleared', 'color-sensed': 'color-sensed', 'definition-cluster': 'definition-cluster', 'compared': 'compared', 'definition-fly': 'definition-fly', 'wander': 'wander', 'symbol-parsing': 'symbol-parsing', 'definition-quit': 'definition-quit', 'symbol-varying': 'symbol-varying', 'definition-serve': 'definition-serve', 'cluster-globalized': 'cluster-globalized', 'reference-dumped': 'reference-dumped', 'color-yielded': 'color-yielded', 'cluster-asserted': 'cluster-asserted', 'cluster-zapped': 'cluster-zapped', 'symbol-abstracting': 'symbol-abstracting', 'symbol-raising': 'symbol-raising', 'symbol-renaming': 'symbol-renaming', 'color-scope': 'color-scope', 'color-weave': 'color-weave', 'color-getting': 'color-getting'}---------------------------------
                    
    len2kb= len(reasonKB4Xi)
    if debug2xi is True:
        print(33*("-"))   
        print("(STEP 4/33) OF XML_NOUN4XI: LEN2KB: ", len2kb)
        print(33*("-"))   
            
    keys2kb = reasonKB4Xi.keys()            
    if debug2xi is True:
        print(33*("-"))       
        print("(STEP 5/33) OF XML_NOUN4XI: KEYS2KB: ", keys2kb) # dict_keys(['looped', 'skip', 'zeroed', 'activated', 'sleep', 'scheming', 'functioned', 'globalize', 'reasoning', 'calculate', 'hunting', 'zeroing', 'send', 'program', 'voted', 'discovering', 'indicating', 'taken-into-account', 'returned', 'returning', 'rise', 'zapping', 'wave', 'putting', 'hatching', 'telling', 'tagging', 'rotating', 'taking-off', 'washing', 'did', 'list', 'joined', 'try', 'polling', 'freed', 'deleting', 'noted', 'concluded', 'abbreviated', 'winded', 'abstracted', 'discover', 'waking', 'zero', 'pass', 'initialized', 'functioning', 'acing', 'append', 'imported', 'selected', 'verbalize', 'waiting', 'shared', 'net', 'told', 'wrapping', 'delivering', 'upgrade', 'operating', 'web', 'concluding', 'ignore', 'abbreviating', 'referring', 'sending', 'colored', 'receive', 'specialized', 'round', 'queue', 'launched', 'specialize', 'ventured', 'examining', 'initializing', 'put', 'analyzing', 'verge', 'spawned', 'select', 'use', 'zip', 'visit', 'distancing', 'dispatching', 'noting', 'call', 'wondering', 'flawn', 'type', 'tell', 'sort', 'sharing', 'standardized', 'started', 'appending', 'expose', 'warp', 'warn', 'tested', 'landed', 'broke', 'varying', 'fly', 'weighed', 'join', 'take-off', 'created', 'took-off', 'printing', 'sent', 'closing', 'pickle', 'proxying', 'compare', 'indicated', 'stated', 'process', 'share', 'accept', 'tag', 'performed', 'want', 'sense', 'wising', 'verged', 'end', 'varied', 'verify', 'wandered', 'breaking', 'dragonized', 'write', 'dragonizing', '_pertained', 'zone', 'profile', 'tried', 'typed', 'take-into-account', 'register', 'acknowledged', 'yielding', 'inform', 'writing', 'enter', 'operate', 'wing', 'wind', 'tagged', 'serving', 'rounded', 'decide', 'finalized', 'winged', 'vary', 'ended', 'yearn', 'activating', 'disconnect', 'acknowledge', 'trying', 'borned', 'contextualizing', 'listing', 'coordinated', 'defining', 'renaming', 'skipped', 'return', 'woken', 'zoning', 'flew', 'break', 'methodizing', 'sorted', 'hunted', 'killed', 'inheriting', 'wash', 'verifying', 'warned', 'deciding', 'mastered', 'queued', 'referred', 'contextualize', 'acknowledging', 'activate', 'fired', 'weight', 'dragonize', 'dumping', 'programmed', 'wrap', 'schemed', 'connect', 'entering', 'measure', 'webbed', 'tuned', 'wander', 'standardizing', 'shown', 'opened', 'wondered', 'rounding', 'waive', 'washed', 'acting', 'flushing', 'print', 'got', 'receiving', 'weave', 'unioning', 'risen', 'xrayed', 'dispatched', 'free', 'reason', 'proxy', 'scoped', 'mastering', 'initialize', 'wanted', '_pertain', 'unresolved', 'exposing', 'unresolve', 'launch', 'impose', 'programming', 'viewing', 'commented', 'timed', 'resetting', 'waited', 'netted', 'linking', 'clear', 'warped', 'done', 'vote', 'scoping', 'open', 'zap', 'checked', 'start', 'slept', 'indicate', 'spawn', 'master', 'listed', 'passed', 'typing', 'wrapped', 'scheme', 'acquire', 'serve', 'yield', 'released', 'imposing', 'distance', 'spawning', 'classed', 'showed', 'recording', 'idle', 'protected', 'venture', 'visited', 'wandering', 'function', 'idled', 'abstracting', 'classing', 'winding', 'linked', 'viewed', 'built', 'upgrading', 'note', 'took-into-account', 'build', 'hatch', 'wanting', 'added', 'pickling', 'proxied', 'connected', 'printed', 'synopsizing', 'commanding', 'accepting', 'cleared', 'measured', 'class', 'discarding', 'calculated', 'weigh', 'voting', 'joining', 'walking', 'show', 'terminate', 'ending', 'discovered', 'stepping', 'unioned', 'coloring', 'appended', 'manoeuvre', 'zipping', 'inherited', 'watching', 'disconnecting', 'do', 'hit', 'get', 'watch', 'bear', 'yielded', 'zapped', 'coordinating', 'timing', 'unresolving', 'verbalizing', 'looping', 'weaved', 'remove', 'calling', 'xraying', 'processed', 'release', 'wrote', 'view', 'ignored', 'set', 'dump', 'zoned', 'acquired', 'testing', 'contextualized', 'yearning', 'decided', 'operated', 'close', 'wonder', 'wire', 'registering', 'visiting', 'clearing', 'xray', 'state', 'closed', 'import', 'profiling', 'weighing', 'creating', 'opening', 'zipped', 'deliver', 'killing', 'analyzed', 'interfaced', 'received', 'protect', 'commenting', 'acquiring', 'synopsize', 'embedding', 'methodized', 'passing', 'quitted', 'comment', 'abbreviate', 'conclude', 'color', 'acted', 'dispatch', 'walk', 'interface', 'waved', 'asserted', 'poll', 'specializing', 'quit', 'weaving', 'raise', 'union', 'create', 'informed', 'hitting', 'entered', 'wait', 'woke', 'define', 'fire', 'releasing', 'assert', 'sensed', 'disconnected', 'queuing', 'cast', 'profiled', 'loop', 'rename', 'globalizing', 'manoeuvring', 'dumped', 'sleeping', 'parse', 'skipping', 'examined', 'commanded', 'synopsized', 'ignoring', 'verified', 'perform', 'wiring', 'check', 'stepped', '_pertaining', 'used', 'running', 'wired', 'tune', 'venturing', 'idling', 'inherit', 'command', 'coordinate', 'methodize', 'sensing', 'stating', 'upgraded', 'polled', 'rotated', 'kill', 'distanced', 'protecting', 'adding', 'rose', 'add', 'terminating', 'wised', 'casting', 'finalize', 'checking', 'showing', 'sorting', 'using', 'accepted', 'rotate', 'imposed', 'hunt', 'discarded', 'renamed', 'waiving', 'served', 'warping', 'performing', 'exposed', 'pickled', 'born', 'flush', 'delivered', 'webbing', 'recorded', 'connecting', 'quitting', 'refer', 'measuring', 'taken-off', 'run', 'deleted', 'selecting', 'processing', 'broken', 'step', 'tuning', 'asserting', 'borning', 'ace', 'getting', 'firing', 'informing', 'act', 'discard', 'hatched', 'freeing', 'raised', 'interfacing', 'parsing', 'globalized', 'rising', 'finalizing', 'winging', 'verbalized', 'terminated', 'comparing', 'removing', 'flying', 'doing', 'analyze', 'launching', 'manoeuvred', 'yearned', 'registered', 'landing', 'link', 'scope', 'removed', 'raising', 'reset', 'wise', 'embedded', 'record', 'netting', 'verging', 'embed', 'called', 'delete', 'defined', 'abstract', 'aced', 'examine', 'warning', 'importing', 'watched', 'parsed', 'compared', 'taking-into-account', 'setting', 'test', 'standardize', 'calculating', 'waving', 'flushed', 'building', 'land', 'reasoned', 'waived', 'walked', 'time', 'wake', 'starting'])
        print(33*("-"))    
            
    verb2xi = 'dragonized'
                                            

    # ---------------------------------------------------------------------------------------------
    # tailor 
    # ---------------------------------------------------------------------------------------------       
    if 'file_path4xi' in keys2context:
        filepath2xi = c2xi['file_path4xi']
    else:
        filepath2xi = '..\\..\\xml\\ace-noun4xi.xml'
    f2xi=open(filepath2xi, 'w')
    if debug2xi is True:
        print(33*("="))       
        print("(STEP 6/33) OF XML_NOUN4XI: OPENED FILE: ", filepath2xi)
        print(33*("="))    
            
    # ---------------------------------------------------------------------------------------------
    # end of tailoring 
    # --------------------------------------------------------------------------------------------- 
  
    if debug2xi is True:
        
        print(33*("-"))
        print("(STEP 7/33) OF XML_NOUN4XI: create header for XML file")     
        print(33*("-"))    
                
    f2xi.write('<?xml version="1.0"?>\n')
    f2xi.write('<rdf:RDF\n')
    f2xi.write('   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"\n')
    f2xi.write('   xmlns:xsd="http://www.w3.org/2001/XMLSchema#"\n')
    f2xi.write('   xmlns:owl="http://www.w3.org/2002/07/owl#"\n')
    f2xi.write('   xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xmlns="http://www.yourdragonxi.org/web/lib/owl/DefaultReason4Xi.owl#"\n')
    if 'name_space4xi' in keys2context:
        namespace2xi = c2xi['name_space4xi'] 
    else:
        namespace2xi = '   xmlns="http://www.yourdragonxi.org/web/lib/owl/NounReason4Xi.owl#"\n'     
    f2xi.write(namespace2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   xmlns:p1="http://www.owl-ontologies.com/assert.owl#"\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/ace-default4xi.owl">\n')
    if 'xml_base4xi' in keys2context: 
        xmlbase2xi = c2xi['xml_base4xi'] 
    else:
        xmlbase2xi = '   xml:base="http://www.yourdragonxi.org.com/web/lib/owl/ace-noun4xi.owl">\n'
    f2xi.write(xmlbase2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------             
    #f2xi.write('   <owl:Ontology rdf:about="DefaultReason4Xi">\n')
    if 'ontology_about4xi' in keys2context: 
        ontology_about2xi = c2xi['ontology_about4xi']
    else:
        ontology_about2xi = '   <owl:Ontology rdf:about="DefaultReason4Xi">\n'
    f2xi.write(ontology_about2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">ace-default4xi</define4xi>\n')
    if 'ontology_comment4xi' in keys2context:
        ontology_comment2xi = c2xi['ontology_comment4xi']
    else:
        ontology_comment2xi = '      <define4xi xml:lang="en">ace-noun4xi</define4xi>\n'    
    f2xi.write(ontology_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('      <owl:versionInfo xml:lang="en">Version ' + strftime("%a, %d %b %Y %H:%M:%S",localtime()) + '</owl:versionInfo>\n')
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------        
    #f2xi.write('   <owl:Class rdf:ID="reasoned#0000000">\n')
    if 'class0_id4xi' in keys2context:    
        class2xi = c2xi['class0_id4xi']    
    else:
        class2xi = '   <owl:Class rdf:ID="reasoned#000000">\n'
    f2xi.write(class2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # ---------------------------------------------------------------------------------------------     
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('      <define4xi xml:lang="en">Operations</define4xi>\n')
    if 'operation_comment4xi' in keys2context:
        operation_comment2xi = c2xi['operation_comment4xi']
    else:
        operation_comment2xi = '      <define4xi xml:lang="en">Nouns</define4xi>\n'
    f2xi.write(operation_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
            
    f2xi.write('   </owl:Class>\n')
    
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------     
    #f2xi.write('   <owl:ObjectProperty rdf:ID="reasoning#0">\n')
    if 'object_property_rdf4xi' in keys2context:
        object_property2xi = c2xi['object_property_rdf4xi']
    else:
        object_property2xi = '   <owl:ObjectProperty rdf:ID="reasoning#0">\n'
    f2xi.write(object_property2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
    
    # ---------------------------------------------------------------------------------------------
    # tailor  
    # ---------------------------------------------------------------------------------------------         
    #f2xi.write('       <define4xi xml:lang="en">reason</define4xi>\n')
    if 'object_property_comment4xi' in keys2context:
        object_property_comment2xi = c2xi['object_property_comment4xi']
    else:
        object_property_comment2xi = '       <define4xi xml:lang="en">reason</define4xi>\n'    
    f2xi.write(object_property_comment2xi)
    # ---------------------------------------------------------------------------------------------
    # end of tailoring  
    # --------------------------------------------------------------------------------------------- 
        
    f2xi.write('   </owl:ObjectProperty>\n')
    
    orderIRI2xi = "#0"
    classIRI2xi = "to-be-solved-class"
    methodIRI2xi = "to-be-solved-method"
        
    classPropertyID2xi = 1
    classComment2xi = "Comment of Class "
    objectPropertID2Xi = 1
    objectPropertComment2xi = "Comment of Object Property "     
    

    # ---------------------------------------------------------------------------------------------
    # 
    # --------------------------------------------------------------------------------------------- 
    for key2kb in sorted(keys2kb):                                          # 'looped': 'looped', 'rounded': 'rounded', 'freeing': 'freeing'....
          
        print("(STEP 9/33) OF XML_NOUN4XI: PROCESSING KEY2KB: ", key2kb) 
       
        try:
            f2xi.write('   <owl:Class rdf:ID="' + key2kb + '">\n')              # <owl:Class rdf:ID="added#900>

     
            f2xi.write('      <define4xi xml:lang="en">' + reasonKB4Xi[key2kb] + '</define4xi>\n')  
        
            f2xi.write('   </owl:Class>\n')
            
            print("(STEP 10/33) OF XML_NOUN4XI: WROTE ID TO KEY2KB: ", key2kb)  # _pertain ...
        except:
            print("(STEP 11/33) OF XML_NOUN4XI *** FAILED TO WRITE ID TO KEY2KB: ", key2kb)  
               
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------             
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 10/33) OF XML_NOUN4XI: CREATING END FOR XML FILE ACE-NOUN4XI.XML")     
        print(33*("-"))          
                
    f2xi.write('   </owl:Ontology>\n')
    f2xi.write('</rdf:RDF>\n')
    f2xi.write('<!-- Copyright Small & Smart Inc. All rights reserved. -->\n')

                  
    f2xi.close()        

    
    if debug2xi is True:
        print(33*("-"))
        print("(STEP 11/33) OF XML_NOUN4XI: CLOSED XML FILE ACE-NOUN4XI.XML")     
        print(33*("-"))
                
#</function4xi>
    
              
# =================================================================================================
#<class4xi class = "Noun4Xi" base = "object" child = "None" synopsis = "
#   Offers methods for noun knowledgebase
#"
#>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
#
class Noun4Xi(object): 
    '''
    Noun4Xi class offers methods for noun knowledgebase
    '''
       
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi exposure = " 
    _exposed_ = ('sense', 'reason', 'ace')          
    #"
    #/>
                                
      
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-Noun4Xi" usage = "initializes">
    # ---------------------------------------------------------------------------------------------
    def __init__(self, context2xi = {}):
        
        
        # -----------------------------------------------------------------------------------------
        # __init__                              
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = '__init__'      
    #</methodize4xi> 
    
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "analyze-noun-of-Noun4Xi" usage = "analyzes">
    # ---------------------------------------------------------------------------------------------
    def analyze_noun(self):
        '''
        analyzes noun knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return analyzed knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'analyze_noun'      
                
        return None
        
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "wave-noun-of-Noun4Xi" usage = "waves">
    # ---------------------------------------------------------------------------------------------
    def wave_noun(self):
        '''
        waves noun knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return waves
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'wave_noun'   
                
        return None
        
    #</methodize4xi>                  

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "color-nouns-of-Noun4Xi" usage = "colors">
    # ---------------------------------------------------------------------------------------------
    def color_nouns(self):
        '''
        return colors of nouns
        '''
        
        # -----------------------------------------------------------------------------------------
        # return colors of all nouns
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'color_nouns'   
                
        return color_nouns4xi()
        
    #</methodize4xi> 

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "coordinate-nouns-of-Noun4Xi" usage = "coordinats">
    # ---------------------------------------------------------------------------------------------
    def coordinate_nouns(self, file):
        '''
        coordinates nouns
        '''
        
        # -----------------------------------------------------------------------------------------
        # return coordinate for nouns
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'coordinate_nouns'   
                
        return coordinate_nouns4xi(file)
        
    #</methodize4xi>              


                
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-noun-of-Noun4Xi" usage = "senses">
    # ---------------------------------------------------------------------------------------------
    def sense_noun(self):
        '''
        sense_noun senses noun knowledgebase
        '''
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'sense_noun'   
                
        return sense_noun4xi()
    #</methodize4xi> 
                    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-noun-of-Noun4Xi" usage = "reason">
    # ---------------------------------------------------------------------------------------------
    def reason_noun(self):
        '''
        reason_noun reasons noun knowledgebase
        '''
            
      
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'reason_noun'   
                
        return reason_noun4xi()
    #</methodize4xi> 
            
      
     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-noun-of-Noun4Xi" usage = "aces">
    # ---------------------------------------------------------------------------------------------
    def ace_noun(self):
        '''
        ace_noun aces noun knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # return knowledge
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'ace_noun' 
                
        return ace_noun4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
    #</methodize4xi> 
            
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "xml-noun-of-Noun4Xi" usage = "creates xml">
    # ---------------------------------------------------------------------------------------------
    def xml_noun(self):
        '''
        xml_noun creates xml file from noun knowledgebase
        '''
       
        
        # -----------------------------------------------------------------------------------------
        # verb knowledge to xml
        # -----------------------------------------------------------------------------------------        
        class2print = 'Noun4Xi'
        method2print = 'xml_noun' 
        
        xml_noun4xi()
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
    #</methodize4xi> 
    
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_nounkb4xi.txt
#   ace-noun4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of noun4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

                                        